#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2890
#define LARGE_STATE_COUNT 824
#define SYMBOL_COUNT 212
#define ALIAS_COUNT 0
#define TOKEN_COUNT 151
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 1

enum ts_symbol_identifiers {
  anon_sym_module = 1,
  anon_sym_SEMI = 2,
  anon_sym_export = 3,
  anon_sym_LBRACE = 4,
  anon_sym_RBRACE = 5,
  anon_sym_global = 6,
  anon_sym_COLON = 7,
  anon_sym_option = 8,
  anon_sym_const = 9,
  anon_sym_redef = 10,
  anon_sym_enum = 11,
  anon_sym_PLUS_EQ = 12,
  anon_sym_record = 13,
  anon_sym_DASH_EQ = 14,
  anon_sym_type = 15,
  anon_sym_print = 16,
  anon_sym_event = 17,
  anon_sym_if = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_else = 21,
  anon_sym_switch = 22,
  anon_sym_for = 23,
  anon_sym_COMMA = 24,
  anon_sym_in = 25,
  anon_sym_LBRACK = 26,
  anon_sym_RBRACK = 27,
  anon_sym_while = 28,
  anon_sym_next = 29,
  anon_sym_break = 30,
  anon_sym_fallthrough = 31,
  anon_sym_return = 32,
  anon_sym_add = 33,
  anon_sym_delete = 34,
  anon_sym_local = 35,
  anon_sym_when = 36,
  anon_sym_timeout = 37,
  anon_sym_EQ = 38,
  anon_sym_assert = 39,
  anon_sym_case = 40,
  anon_sym_default = 41,
  anon_sym_as = 42,
  anon_sym_addr = 43,
  anon_sym_any = 44,
  anon_sym_bool = 45,
  anon_sym_count = 46,
  anon_sym_double = 47,
  anon_sym_int = 48,
  anon_sym_interval = 49,
  anon_sym_string = 50,
  anon_sym_subnet = 51,
  anon_sym_pattern = 52,
  anon_sym_port = 53,
  anon_sym_table = 54,
  anon_sym_of = 55,
  anon_sym_set = 56,
  anon_sym_time = 57,
  anon_sym_timer = 58,
  anon_sym_union = 59,
  anon_sym_list = 60,
  anon_sym_vector = 61,
  anon_sym_function = 62,
  anon_sym_hook = 63,
  anon_sym_file = 64,
  anon_sym_opaque = 65,
  anon_sym_AMPdeprecated = 66,
  anon_sym_AMPbroker_allow_complex_type = 67,
  anon_sym_AMPerror_handler = 68,
  anon_sym_AMPis_assigned = 69,
  anon_sym_AMPis_used = 70,
  anon_sym_AMPlog = 71,
  anon_sym_AMPoptional = 72,
  anon_sym_AMPordered = 73,
  anon_sym_AMPraw_output = 74,
  anon_sym_AMPredef = 75,
  anon_sym_AMPadd_func = 76,
  anon_sym_AMPbackend = 77,
  anon_sym_AMPbroker_store = 78,
  anon_sym_AMPcreate_expire = 79,
  anon_sym_AMPdefault = 80,
  anon_sym_AMPdelete_func = 81,
  anon_sym_AMPexpire_func = 82,
  anon_sym_AMPgroup = 83,
  anon_sym_AMPon_change = 84,
  anon_sym_AMPpriority = 85,
  anon_sym_AMPread_expire = 86,
  anon_sym_AMPtype_column = 87,
  anon_sym_AMPwrite_expire = 88,
  anon_sym_DOLLAR = 89,
  anon_sym_PIPE = 90,
  anon_sym_PLUS_PLUS = 91,
  anon_sym_DASH_DASH = 92,
  anon_sym_BANG = 93,
  anon_sym_TILDE = 94,
  anon_sym_DASH = 95,
  anon_sym_PLUS = 96,
  anon_sym_is = 97,
  anon_sym_STAR = 98,
  anon_sym_SLASH = 99,
  anon_sym_PERCENT = 100,
  anon_sym_LT = 101,
  anon_sym_LT_EQ = 102,
  anon_sym_GT = 103,
  anon_sym_GT_EQ = 104,
  anon_sym_AMP = 105,
  anon_sym_CARET = 106,
  anon_sym_QMARK = 107,
  anon_sym_EQ_EQ = 108,
  anon_sym_BANG_EQ = 109,
  anon_sym_AMP_AMP = 110,
  anon_sym_PIPE_PIPE = 111,
  anon_sym_copy = 112,
  anon_sym_QMARK_DOLLAR = 113,
  anon_sym_schedule = 114,
  aux_sym_constant_token1 = 115,
  anon_sym_T = 116,
  anon_sym_F = 117,
  anon_sym_ATdeprecated = 118,
  anon_sym_ATload = 119,
  anon_sym_ATload_DASHsigs = 120,
  anon_sym_ATload_DASHplugin = 121,
  anon_sym_ATunload = 122,
  anon_sym_ATprefixes = 123,
  anon_sym_ATif = 124,
  anon_sym_ATifdef = 125,
  anon_sym_ATifndef = 126,
  anon_sym_ATendif = 127,
  anon_sym_ATelse = 128,
  anon_sym_ATpragma = 129,
  anon_sym_push = 130,
  anon_sym_pop = 131,
  aux_sym_pragma_token1 = 132,
  anon_sym_ATDIR = 133,
  anon_sym_ATFILENAME = 134,
  sym_id = 135,
  sym_file = 136,
  sym_pattern = 137,
  sym_ipv6 = 138,
  sym_ipv4 = 139,
  sym_port = 140,
  sym_floatp = 141,
  sym_hex = 142,
  sym_time_unit = 143,
  sym_hostname = 144,
  aux_sym_string_token1 = 145,
  sym_zeekygen_head_comment = 146,
  sym_zeekygen_prev_comment = 147,
  sym_zeekygen_next_comment = 148,
  sym_minor_comment = 149,
  sym_nl = 150,
  sym_source_file = 151,
  sym_decl = 152,
  sym_module_decl = 153,
  sym_export_decl = 154,
  sym_global_decl = 155,
  sym_option_decl = 156,
  sym_const_decl = 157,
  sym_redef_decl = 158,
  sym_redef_enum_decl = 159,
  sym_redef_record_decl = 160,
  sym_type_decl = 161,
  sym_func_decl = 162,
  sym_stmt = 163,
  sym_stmt_list = 164,
  sym_case_list = 165,
  sym_case_type_list = 166,
  sym_assert_msg = 167,
  sym_type = 168,
  sym_enum_body = 169,
  sym_enum_body_elem = 170,
  sym_deprecated = 171,
  sym_func_params = 172,
  sym_formal_args = 173,
  sym_formal_arg = 174,
  sym_type_spec = 175,
  sym_initializer = 176,
  sym_init_class = 177,
  sym_attr_list = 178,
  sym_attr = 179,
  sym_expr = 180,
  sym_expr_list = 181,
  sym_constant = 182,
  sym_func_hdr = 183,
  sym_func = 184,
  sym_hook = 185,
  sym_event = 186,
  sym_func_body = 187,
  sym_index_slice = 188,
  sym_begin_lambda = 189,
  sym_capture_list = 190,
  sym_capture = 191,
  sym_preproc_directive = 192,
  sym_pragma = 193,
  sym_string_directive = 194,
  sym_event_hdr = 195,
  sym_integer = 196,
  sym_interval = 197,
  sym_string = 198,
  aux_sym_source_file_repeat1 = 199,
  aux_sym_source_file_repeat2 = 200,
  aux_sym_redef_record_decl_repeat1 = 201,
  aux_sym_func_decl_repeat1 = 202,
  aux_sym_stmt_repeat1 = 203,
  aux_sym_case_list_repeat1 = 204,
  aux_sym_case_type_list_repeat1 = 205,
  aux_sym_type_repeat1 = 206,
  aux_sym_enum_body_repeat1 = 207,
  aux_sym_formal_args_repeat1 = 208,
  aux_sym_attr_list_repeat1 = 209,
  aux_sym_expr_list_repeat1 = 210,
  aux_sym_capture_list_repeat1 = 211,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_module] = "module",
  [anon_sym_SEMI] = ";",
  [anon_sym_export] = "export",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_global] = "global",
  [anon_sym_COLON] = ":",
  [anon_sym_option] = "option",
  [anon_sym_const] = "const",
  [anon_sym_redef] = "redef",
  [anon_sym_enum] = "enum",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_record] = "record",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_type] = "type",
  [anon_sym_print] = "print",
  [anon_sym_event] = "event",
  [anon_sym_if] = "if",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_COMMA] = ",",
  [anon_sym_in] = "in",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_while] = "while",
  [anon_sym_next] = "next",
  [anon_sym_break] = "break",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_return] = "return",
  [anon_sym_add] = "add",
  [anon_sym_delete] = "delete",
  [anon_sym_local] = "local",
  [anon_sym_when] = "when",
  [anon_sym_timeout] = "timeout",
  [anon_sym_EQ] = "=",
  [anon_sym_assert] = "assert",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_addr] = "addr",
  [anon_sym_any] = "any",
  [anon_sym_bool] = "bool",
  [anon_sym_count] = "count",
  [anon_sym_double] = "double",
  [anon_sym_int] = "int",
  [anon_sym_interval] = "interval",
  [anon_sym_string] = "string",
  [anon_sym_subnet] = "subnet",
  [anon_sym_pattern] = "pattern",
  [anon_sym_port] = "port",
  [anon_sym_table] = "table",
  [anon_sym_of] = "of",
  [anon_sym_set] = "set",
  [anon_sym_time] = "time",
  [anon_sym_timer] = "timer",
  [anon_sym_union] = "union",
  [anon_sym_list] = "list",
  [anon_sym_vector] = "vector",
  [anon_sym_function] = "function",
  [anon_sym_hook] = "hook",
  [anon_sym_file] = "file",
  [anon_sym_opaque] = "opaque",
  [anon_sym_AMPdeprecated] = "&deprecated",
  [anon_sym_AMPbroker_allow_complex_type] = "&broker_allow_complex_type",
  [anon_sym_AMPerror_handler] = "&error_handler",
  [anon_sym_AMPis_assigned] = "&is_assigned",
  [anon_sym_AMPis_used] = "&is_used",
  [anon_sym_AMPlog] = "&log",
  [anon_sym_AMPoptional] = "&optional",
  [anon_sym_AMPordered] = "&ordered",
  [anon_sym_AMPraw_output] = "&raw_output",
  [anon_sym_AMPredef] = "&redef",
  [anon_sym_AMPadd_func] = "&add_func",
  [anon_sym_AMPbackend] = "&backend",
  [anon_sym_AMPbroker_store] = "&broker_store",
  [anon_sym_AMPcreate_expire] = "&create_expire",
  [anon_sym_AMPdefault] = "&default",
  [anon_sym_AMPdelete_func] = "&delete_func",
  [anon_sym_AMPexpire_func] = "&expire_func",
  [anon_sym_AMPgroup] = "&group",
  [anon_sym_AMPon_change] = "&on_change",
  [anon_sym_AMPpriority] = "&priority",
  [anon_sym_AMPread_expire] = "&read_expire",
  [anon_sym_AMPtype_column] = "&type_column",
  [anon_sym_AMPwrite_expire] = "&write_expire",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_is] = "is",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_QMARK] = "\?",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_copy] = "copy",
  [anon_sym_QMARK_DOLLAR] = "\?$",
  [anon_sym_schedule] = "schedule",
  [aux_sym_constant_token1] = "constant_token1",
  [anon_sym_T] = "T",
  [anon_sym_F] = "F",
  [anon_sym_ATdeprecated] = "@deprecated",
  [anon_sym_ATload] = "@load",
  [anon_sym_ATload_DASHsigs] = "@load-sigs",
  [anon_sym_ATload_DASHplugin] = "@load-plugin",
  [anon_sym_ATunload] = "@unload",
  [anon_sym_ATprefixes] = "@prefixes",
  [anon_sym_ATif] = "@if",
  [anon_sym_ATifdef] = "@ifdef",
  [anon_sym_ATifndef] = "@ifndef",
  [anon_sym_ATendif] = "@endif",
  [anon_sym_ATelse] = "@else",
  [anon_sym_ATpragma] = "@pragma",
  [anon_sym_push] = "push",
  [anon_sym_pop] = "pop",
  [aux_sym_pragma_token1] = "pragma_token1",
  [anon_sym_ATDIR] = "@DIR",
  [anon_sym_ATFILENAME] = "@FILENAME",
  [sym_id] = "id",
  [sym_file] = "file",
  [sym_pattern] = "pattern",
  [sym_ipv6] = "ipv6",
  [sym_ipv4] = "ipv4",
  [sym_port] = "port",
  [sym_floatp] = "floatp",
  [sym_hex] = "hex",
  [sym_time_unit] = "time_unit",
  [sym_hostname] = "hostname",
  [aux_sym_string_token1] = "string_token1",
  [sym_zeekygen_head_comment] = "zeekygen_head_comment",
  [sym_zeekygen_prev_comment] = "zeekygen_prev_comment",
  [sym_zeekygen_next_comment] = "zeekygen_next_comment",
  [sym_minor_comment] = "minor_comment",
  [sym_nl] = "nl",
  [sym_source_file] = "source_file",
  [sym_decl] = "decl",
  [sym_module_decl] = "module_decl",
  [sym_export_decl] = "export_decl",
  [sym_global_decl] = "global_decl",
  [sym_option_decl] = "option_decl",
  [sym_const_decl] = "const_decl",
  [sym_redef_decl] = "redef_decl",
  [sym_redef_enum_decl] = "redef_enum_decl",
  [sym_redef_record_decl] = "redef_record_decl",
  [sym_type_decl] = "type_decl",
  [sym_func_decl] = "func_decl",
  [sym_stmt] = "stmt",
  [sym_stmt_list] = "stmt_list",
  [sym_case_list] = "case_list",
  [sym_case_type_list] = "case_type_list",
  [sym_assert_msg] = "assert_msg",
  [sym_type] = "type",
  [sym_enum_body] = "enum_body",
  [sym_enum_body_elem] = "enum_body_elem",
  [sym_deprecated] = "deprecated",
  [sym_func_params] = "func_params",
  [sym_formal_args] = "formal_args",
  [sym_formal_arg] = "formal_arg",
  [sym_type_spec] = "type_spec",
  [sym_initializer] = "initializer",
  [sym_init_class] = "init_class",
  [sym_attr_list] = "attr_list",
  [sym_attr] = "attr",
  [sym_expr] = "expr",
  [sym_expr_list] = "expr_list",
  [sym_constant] = "constant",
  [sym_func_hdr] = "func_hdr",
  [sym_func] = "func",
  [sym_hook] = "hook",
  [sym_event] = "event",
  [sym_func_body] = "func_body",
  [sym_index_slice] = "index_slice",
  [sym_begin_lambda] = "begin_lambda",
  [sym_capture_list] = "capture_list",
  [sym_capture] = "capture",
  [sym_preproc_directive] = "preproc_directive",
  [sym_pragma] = "pragma",
  [sym_string_directive] = "string_directive",
  [sym_event_hdr] = "event_hdr",
  [sym_integer] = "integer",
  [sym_interval] = "interval",
  [sym_string] = "string",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_source_file_repeat2] = "source_file_repeat2",
  [aux_sym_redef_record_decl_repeat1] = "redef_record_decl_repeat1",
  [aux_sym_func_decl_repeat1] = "func_decl_repeat1",
  [aux_sym_stmt_repeat1] = "stmt_repeat1",
  [aux_sym_case_list_repeat1] = "case_list_repeat1",
  [aux_sym_case_type_list_repeat1] = "case_type_list_repeat1",
  [aux_sym_type_repeat1] = "type_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_formal_args_repeat1] = "formal_args_repeat1",
  [aux_sym_attr_list_repeat1] = "attr_list_repeat1",
  [aux_sym_expr_list_repeat1] = "expr_list_repeat1",
  [aux_sym_capture_list_repeat1] = "capture_list_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_option] = anon_sym_option,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_redef] = anon_sym_redef,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_event] = anon_sym_event,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_next] = anon_sym_next,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_add] = anon_sym_add,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_timeout] = anon_sym_timeout,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_addr] = anon_sym_addr,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_count] = anon_sym_count,
  [anon_sym_double] = anon_sym_double,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_interval] = anon_sym_interval,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_subnet] = anon_sym_subnet,
  [anon_sym_pattern] = anon_sym_pattern,
  [anon_sym_port] = anon_sym_port,
  [anon_sym_table] = anon_sym_table,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_time] = anon_sym_time,
  [anon_sym_timer] = anon_sym_timer,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_list] = anon_sym_list,
  [anon_sym_vector] = anon_sym_vector,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_hook] = anon_sym_hook,
  [anon_sym_file] = anon_sym_file,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_AMPdeprecated] = anon_sym_AMPdeprecated,
  [anon_sym_AMPbroker_allow_complex_type] = anon_sym_AMPbroker_allow_complex_type,
  [anon_sym_AMPerror_handler] = anon_sym_AMPerror_handler,
  [anon_sym_AMPis_assigned] = anon_sym_AMPis_assigned,
  [anon_sym_AMPis_used] = anon_sym_AMPis_used,
  [anon_sym_AMPlog] = anon_sym_AMPlog,
  [anon_sym_AMPoptional] = anon_sym_AMPoptional,
  [anon_sym_AMPordered] = anon_sym_AMPordered,
  [anon_sym_AMPraw_output] = anon_sym_AMPraw_output,
  [anon_sym_AMPredef] = anon_sym_AMPredef,
  [anon_sym_AMPadd_func] = anon_sym_AMPadd_func,
  [anon_sym_AMPbackend] = anon_sym_AMPbackend,
  [anon_sym_AMPbroker_store] = anon_sym_AMPbroker_store,
  [anon_sym_AMPcreate_expire] = anon_sym_AMPcreate_expire,
  [anon_sym_AMPdefault] = anon_sym_AMPdefault,
  [anon_sym_AMPdelete_func] = anon_sym_AMPdelete_func,
  [anon_sym_AMPexpire_func] = anon_sym_AMPexpire_func,
  [anon_sym_AMPgroup] = anon_sym_AMPgroup,
  [anon_sym_AMPon_change] = anon_sym_AMPon_change,
  [anon_sym_AMPpriority] = anon_sym_AMPpriority,
  [anon_sym_AMPread_expire] = anon_sym_AMPread_expire,
  [anon_sym_AMPtype_column] = anon_sym_AMPtype_column,
  [anon_sym_AMPwrite_expire] = anon_sym_AMPwrite_expire,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_copy] = anon_sym_copy,
  [anon_sym_QMARK_DOLLAR] = anon_sym_QMARK_DOLLAR,
  [anon_sym_schedule] = anon_sym_schedule,
  [aux_sym_constant_token1] = aux_sym_constant_token1,
  [anon_sym_T] = anon_sym_T,
  [anon_sym_F] = anon_sym_F,
  [anon_sym_ATdeprecated] = anon_sym_ATdeprecated,
  [anon_sym_ATload] = anon_sym_ATload,
  [anon_sym_ATload_DASHsigs] = anon_sym_ATload_DASHsigs,
  [anon_sym_ATload_DASHplugin] = anon_sym_ATload_DASHplugin,
  [anon_sym_ATunload] = anon_sym_ATunload,
  [anon_sym_ATprefixes] = anon_sym_ATprefixes,
  [anon_sym_ATif] = anon_sym_ATif,
  [anon_sym_ATifdef] = anon_sym_ATifdef,
  [anon_sym_ATifndef] = anon_sym_ATifndef,
  [anon_sym_ATendif] = anon_sym_ATendif,
  [anon_sym_ATelse] = anon_sym_ATelse,
  [anon_sym_ATpragma] = anon_sym_ATpragma,
  [anon_sym_push] = anon_sym_push,
  [anon_sym_pop] = anon_sym_pop,
  [aux_sym_pragma_token1] = aux_sym_pragma_token1,
  [anon_sym_ATDIR] = anon_sym_ATDIR,
  [anon_sym_ATFILENAME] = anon_sym_ATFILENAME,
  [sym_id] = sym_id,
  [sym_file] = sym_file,
  [sym_pattern] = sym_pattern,
  [sym_ipv6] = sym_ipv6,
  [sym_ipv4] = sym_ipv4,
  [sym_port] = sym_port,
  [sym_floatp] = sym_floatp,
  [sym_hex] = sym_hex,
  [sym_time_unit] = sym_time_unit,
  [sym_hostname] = sym_hostname,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [sym_zeekygen_head_comment] = sym_zeekygen_head_comment,
  [sym_zeekygen_prev_comment] = sym_zeekygen_prev_comment,
  [sym_zeekygen_next_comment] = sym_zeekygen_next_comment,
  [sym_minor_comment] = sym_minor_comment,
  [sym_nl] = sym_nl,
  [sym_source_file] = sym_source_file,
  [sym_decl] = sym_decl,
  [sym_module_decl] = sym_module_decl,
  [sym_export_decl] = sym_export_decl,
  [sym_global_decl] = sym_global_decl,
  [sym_option_decl] = sym_option_decl,
  [sym_const_decl] = sym_const_decl,
  [sym_redef_decl] = sym_redef_decl,
  [sym_redef_enum_decl] = sym_redef_enum_decl,
  [sym_redef_record_decl] = sym_redef_record_decl,
  [sym_type_decl] = sym_type_decl,
  [sym_func_decl] = sym_func_decl,
  [sym_stmt] = sym_stmt,
  [sym_stmt_list] = sym_stmt_list,
  [sym_case_list] = sym_case_list,
  [sym_case_type_list] = sym_case_type_list,
  [sym_assert_msg] = sym_assert_msg,
  [sym_type] = sym_type,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_body_elem] = sym_enum_body_elem,
  [sym_deprecated] = sym_deprecated,
  [sym_func_params] = sym_func_params,
  [sym_formal_args] = sym_formal_args,
  [sym_formal_arg] = sym_formal_arg,
  [sym_type_spec] = sym_type_spec,
  [sym_initializer] = sym_initializer,
  [sym_init_class] = sym_init_class,
  [sym_attr_list] = sym_attr_list,
  [sym_attr] = sym_attr,
  [sym_expr] = sym_expr,
  [sym_expr_list] = sym_expr_list,
  [sym_constant] = sym_constant,
  [sym_func_hdr] = sym_func_hdr,
  [sym_func] = sym_func,
  [sym_hook] = sym_hook,
  [sym_event] = sym_event,
  [sym_func_body] = sym_func_body,
  [sym_index_slice] = sym_index_slice,
  [sym_begin_lambda] = sym_begin_lambda,
  [sym_capture_list] = sym_capture_list,
  [sym_capture] = sym_capture,
  [sym_preproc_directive] = sym_preproc_directive,
  [sym_pragma] = sym_pragma,
  [sym_string_directive] = sym_string_directive,
  [sym_event_hdr] = sym_event_hdr,
  [sym_integer] = sym_integer,
  [sym_interval] = sym_interval,
  [sym_string] = sym_string,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_source_file_repeat2] = aux_sym_source_file_repeat2,
  [aux_sym_redef_record_decl_repeat1] = aux_sym_redef_record_decl_repeat1,
  [aux_sym_func_decl_repeat1] = aux_sym_func_decl_repeat1,
  [aux_sym_stmt_repeat1] = aux_sym_stmt_repeat1,
  [aux_sym_case_list_repeat1] = aux_sym_case_list_repeat1,
  [aux_sym_case_type_list_repeat1] = aux_sym_case_type_list_repeat1,
  [aux_sym_type_repeat1] = aux_sym_type_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_formal_args_repeat1] = aux_sym_formal_args_repeat1,
  [aux_sym_attr_list_repeat1] = aux_sym_attr_list_repeat1,
  [aux_sym_expr_list_repeat1] = aux_sym_expr_list_repeat1,
  [aux_sym_capture_list_repeat1] = aux_sym_capture_list_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_option] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_redef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_next] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_add] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_timeout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_addr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_count] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_subnet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pattern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_port] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_table] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_time] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_timer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_list] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_vector] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hook] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_file] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPdeprecated] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPbroker_allow_complex_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPerror_handler] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPis_assigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPis_used] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPlog] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPoptional] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPordered] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPraw_output] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPredef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPadd_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPbackend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPbroker_store] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPcreate_expire] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPdefault] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPdelete_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPexpire_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPgroup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPon_change] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPpriority] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPread_expire] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPtype_column] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPwrite_expire] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_copy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_schedule] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_constant_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_T] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_F] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATdeprecated] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATload_DASHsigs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATload_DASHplugin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATunload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATprefixes] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATifdef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATifndef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATendif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATelse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATpragma] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_push] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pop] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pragma_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_ATDIR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATFILENAME] = {
    .visible = true,
    .named = false,
  },
  [sym_id] = {
    .visible = true,
    .named = true,
  },
  [sym_file] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_ipv6] = {
    .visible = true,
    .named = true,
  },
  [sym_ipv4] = {
    .visible = true,
    .named = true,
  },
  [sym_port] = {
    .visible = true,
    .named = true,
  },
  [sym_floatp] = {
    .visible = true,
    .named = true,
  },
  [sym_hex] = {
    .visible = true,
    .named = true,
  },
  [sym_time_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_hostname] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_zeekygen_head_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_zeekygen_prev_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_zeekygen_next_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_minor_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_nl] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_module_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_export_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_global_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_option_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_const_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_redef_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_redef_enum_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_redef_record_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_type_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_func_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_stmt_list] = {
    .visible = true,
    .named = true,
  },
  [sym_case_list] = {
    .visible = true,
    .named = true,
  },
  [sym_case_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_msg] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_deprecated] = {
    .visible = true,
    .named = true,
  },
  [sym_func_params] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_args] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_init_class] = {
    .visible = true,
    .named = true,
  },
  [sym_attr_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attr] = {
    .visible = true,
    .named = true,
  },
  [sym_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_expr_list] = {
    .visible = true,
    .named = true,
  },
  [sym_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_func_hdr] = {
    .visible = true,
    .named = true,
  },
  [sym_func] = {
    .visible = true,
    .named = true,
  },
  [sym_hook] = {
    .visible = true,
    .named = true,
  },
  [sym_event] = {
    .visible = true,
    .named = true,
  },
  [sym_func_body] = {
    .visible = true,
    .named = true,
  },
  [sym_index_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_begin_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_capture_list] = {
    .visible = true,
    .named = true,
  },
  [sym_capture] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_pragma] = {
    .visible = true,
    .named = true,
  },
  [sym_string_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_event_hdr] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_source_file_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redef_record_decl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_func_decl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_stmt_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attr_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expr_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_capture_list_repeat1] = {
    .visible = false,
    .named = false,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 7,
  [10] = 7,
  [11] = 7,
  [12] = 7,
  [13] = 7,
  [14] = 7,
  [15] = 7,
  [16] = 7,
  [17] = 7,
  [18] = 7,
  [19] = 7,
  [20] = 7,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 24,
  [26] = 24,
  [27] = 24,
  [28] = 24,
  [29] = 24,
  [30] = 24,
  [31] = 24,
  [32] = 24,
  [33] = 24,
  [34] = 24,
  [35] = 24,
  [36] = 24,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 40,
  [45] = 43,
  [46] = 41,
  [47] = 42,
  [48] = 43,
  [49] = 40,
  [50] = 40,
  [51] = 42,
  [52] = 43,
  [53] = 40,
  [54] = 41,
  [55] = 42,
  [56] = 43,
  [57] = 40,
  [58] = 42,
  [59] = 43,
  [60] = 40,
  [61] = 42,
  [62] = 43,
  [63] = 40,
  [64] = 42,
  [65] = 43,
  [66] = 40,
  [67] = 67,
  [68] = 42,
  [69] = 43,
  [70] = 40,
  [71] = 71,
  [72] = 42,
  [73] = 43,
  [74] = 40,
  [75] = 75,
  [76] = 76,
  [77] = 42,
  [78] = 43,
  [79] = 79,
  [80] = 42,
  [81] = 43,
  [82] = 40,
  [83] = 83,
  [84] = 84,
  [85] = 42,
  [86] = 38,
  [87] = 87,
  [88] = 39,
  [89] = 89,
  [90] = 39,
  [91] = 91,
  [92] = 91,
  [93] = 93,
  [94] = 91,
  [95] = 93,
  [96] = 93,
  [97] = 91,
  [98] = 98,
  [99] = 93,
  [100] = 91,
  [101] = 93,
  [102] = 91,
  [103] = 103,
  [104] = 104,
  [105] = 93,
  [106] = 91,
  [107] = 107,
  [108] = 108,
  [109] = 93,
  [110] = 91,
  [111] = 93,
  [112] = 93,
  [113] = 91,
  [114] = 91,
  [115] = 98,
  [116] = 93,
  [117] = 93,
  [118] = 91,
  [119] = 91,
  [120] = 103,
  [121] = 104,
  [122] = 108,
  [123] = 93,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 124,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 125,
  [134] = 126,
  [135] = 127,
  [136] = 128,
  [137] = 124,
  [138] = 128,
  [139] = 131,
  [140] = 132,
  [141] = 125,
  [142] = 126,
  [143] = 127,
  [144] = 128,
  [145] = 124,
  [146] = 146,
  [147] = 131,
  [148] = 132,
  [149] = 125,
  [150] = 126,
  [151] = 127,
  [152] = 128,
  [153] = 124,
  [154] = 124,
  [155] = 131,
  [156] = 132,
  [157] = 125,
  [158] = 126,
  [159] = 127,
  [160] = 128,
  [161] = 124,
  [162] = 131,
  [163] = 132,
  [164] = 125,
  [165] = 126,
  [166] = 127,
  [167] = 128,
  [168] = 124,
  [169] = 131,
  [170] = 132,
  [171] = 125,
  [172] = 126,
  [173] = 127,
  [174] = 128,
  [175] = 124,
  [176] = 176,
  [177] = 131,
  [178] = 132,
  [179] = 125,
  [180] = 126,
  [181] = 127,
  [182] = 128,
  [183] = 131,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 146,
  [189] = 176,
  [190] = 184,
  [191] = 185,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 192,
  [197] = 176,
  [198] = 184,
  [199] = 185,
  [200] = 192,
  [201] = 193,
  [202] = 195,
  [203] = 131,
  [204] = 176,
  [205] = 184,
  [206] = 185,
  [207] = 192,
  [208] = 193,
  [209] = 195,
  [210] = 176,
  [211] = 132,
  [212] = 185,
  [213] = 192,
  [214] = 193,
  [215] = 195,
  [216] = 193,
  [217] = 132,
  [218] = 125,
  [219] = 194,
  [220] = 126,
  [221] = 176,
  [222] = 184,
  [223] = 185,
  [224] = 192,
  [225] = 193,
  [226] = 195,
  [227] = 132,
  [228] = 127,
  [229] = 128,
  [230] = 124,
  [231] = 125,
  [232] = 176,
  [233] = 184,
  [234] = 192,
  [235] = 195,
  [236] = 186,
  [237] = 131,
  [238] = 176,
  [239] = 184,
  [240] = 192,
  [241] = 132,
  [242] = 176,
  [243] = 184,
  [244] = 192,
  [245] = 125,
  [246] = 126,
  [247] = 176,
  [248] = 184,
  [249] = 192,
  [250] = 127,
  [251] = 128,
  [252] = 124,
  [253] = 176,
  [254] = 184,
  [255] = 192,
  [256] = 126,
  [257] = 187,
  [258] = 131,
  [259] = 132,
  [260] = 125,
  [261] = 126,
  [262] = 184,
  [263] = 192,
  [264] = 127,
  [265] = 128,
  [266] = 124,
  [267] = 127,
  [268] = 176,
  [269] = 185,
  [270] = 193,
  [271] = 195,
  [272] = 185,
  [273] = 193,
  [274] = 195,
  [275] = 185,
  [276] = 193,
  [277] = 195,
  [278] = 185,
  [279] = 193,
  [280] = 195,
  [281] = 185,
  [282] = 193,
  [283] = 195,
  [284] = 185,
  [285] = 193,
  [286] = 195,
  [287] = 131,
  [288] = 184,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 83,
  [294] = 294,
  [295] = 84,
  [296] = 296,
  [297] = 297,
  [298] = 5,
  [299] = 4,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 79,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 67,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 71,
  [324] = 324,
  [325] = 325,
  [326] = 22,
  [327] = 75,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 37,
  [334] = 76,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 317,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 324,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 363,
  [381] = 381,
  [382] = 382,
  [383] = 4,
  [384] = 306,
  [385] = 331,
  [386] = 5,
  [387] = 387,
  [388] = 331,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 2,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 5,
  [409] = 4,
  [410] = 306,
  [411] = 331,
  [412] = 373,
  [413] = 5,
  [414] = 4,
  [415] = 415,
  [416] = 366,
  [417] = 417,
  [418] = 336,
  [419] = 343,
  [420] = 355,
  [421] = 306,
  [422] = 422,
  [423] = 423,
  [424] = 423,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 425,
  [429] = 426,
  [430] = 427,
  [431] = 431,
  [432] = 432,
  [433] = 395,
  [434] = 392,
  [435] = 393,
  [436] = 426,
  [437] = 394,
  [438] = 395,
  [439] = 396,
  [440] = 397,
  [441] = 398,
  [442] = 399,
  [443] = 400,
  [444] = 401,
  [445] = 402,
  [446] = 373,
  [447] = 403,
  [448] = 405,
  [449] = 387,
  [450] = 366,
  [451] = 432,
  [452] = 336,
  [453] = 343,
  [454] = 355,
  [455] = 387,
  [456] = 373,
  [457] = 5,
  [458] = 4,
  [459] = 427,
  [460] = 432,
  [461] = 407,
  [462] = 5,
  [463] = 366,
  [464] = 4,
  [465] = 415,
  [466] = 425,
  [467] = 336,
  [468] = 423,
  [469] = 343,
  [470] = 306,
  [471] = 471,
  [472] = 331,
  [473] = 405,
  [474] = 306,
  [475] = 355,
  [476] = 407,
  [477] = 5,
  [478] = 4,
  [479] = 415,
  [480] = 417,
  [481] = 306,
  [482] = 422,
  [483] = 331,
  [484] = 389,
  [485] = 390,
  [486] = 391,
  [487] = 392,
  [488] = 393,
  [489] = 423,
  [490] = 394,
  [491] = 403,
  [492] = 396,
  [493] = 397,
  [494] = 398,
  [495] = 399,
  [496] = 400,
  [497] = 401,
  [498] = 498,
  [499] = 499,
  [500] = 425,
  [501] = 426,
  [502] = 427,
  [503] = 422,
  [504] = 331,
  [505] = 389,
  [506] = 402,
  [507] = 390,
  [508] = 391,
  [509] = 417,
  [510] = 510,
  [511] = 415,
  [512] = 417,
  [513] = 366,
  [514] = 422,
  [515] = 336,
  [516] = 343,
  [517] = 389,
  [518] = 390,
  [519] = 355,
  [520] = 391,
  [521] = 392,
  [522] = 393,
  [523] = 394,
  [524] = 395,
  [525] = 396,
  [526] = 397,
  [527] = 398,
  [528] = 399,
  [529] = 400,
  [530] = 401,
  [531] = 402,
  [532] = 403,
  [533] = 405,
  [534] = 387,
  [535] = 432,
  [536] = 373,
  [537] = 4,
  [538] = 366,
  [539] = 336,
  [540] = 343,
  [541] = 355,
  [542] = 5,
  [543] = 4,
  [544] = 373,
  [545] = 306,
  [546] = 366,
  [547] = 336,
  [548] = 343,
  [549] = 331,
  [550] = 355,
  [551] = 306,
  [552] = 407,
  [553] = 5,
  [554] = 4,
  [555] = 415,
  [556] = 417,
  [557] = 306,
  [558] = 422,
  [559] = 331,
  [560] = 389,
  [561] = 390,
  [562] = 391,
  [563] = 392,
  [564] = 393,
  [565] = 394,
  [566] = 395,
  [567] = 396,
  [568] = 397,
  [569] = 398,
  [570] = 331,
  [571] = 399,
  [572] = 400,
  [573] = 401,
  [574] = 5,
  [575] = 403,
  [576] = 405,
  [577] = 387,
  [578] = 432,
  [579] = 407,
  [580] = 423,
  [581] = 423,
  [582] = 5,
  [583] = 4,
  [584] = 415,
  [585] = 417,
  [586] = 306,
  [587] = 422,
  [588] = 331,
  [589] = 389,
  [590] = 390,
  [591] = 423,
  [592] = 391,
  [593] = 425,
  [594] = 392,
  [595] = 393,
  [596] = 426,
  [597] = 394,
  [598] = 427,
  [599] = 395,
  [600] = 396,
  [601] = 397,
  [602] = 398,
  [603] = 399,
  [604] = 423,
  [605] = 400,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 612,
  [615] = 615,
  [616] = 401,
  [617] = 425,
  [618] = 426,
  [619] = 427,
  [620] = 425,
  [621] = 426,
  [622] = 427,
  [623] = 402,
  [624] = 403,
  [625] = 405,
  [626] = 387,
  [627] = 432,
  [628] = 425,
  [629] = 407,
  [630] = 426,
  [631] = 427,
  [632] = 373,
  [633] = 402,
  [634] = 407,
  [635] = 403,
  [636] = 405,
  [637] = 387,
  [638] = 432,
  [639] = 373,
  [640] = 373,
  [641] = 390,
  [642] = 394,
  [643] = 395,
  [644] = 355,
  [645] = 366,
  [646] = 396,
  [647] = 397,
  [648] = 336,
  [649] = 343,
  [650] = 366,
  [651] = 355,
  [652] = 5,
  [653] = 398,
  [654] = 422,
  [655] = 399,
  [656] = 400,
  [657] = 401,
  [658] = 402,
  [659] = 403,
  [660] = 405,
  [661] = 387,
  [662] = 432,
  [663] = 423,
  [664] = 423,
  [665] = 425,
  [666] = 423,
  [667] = 331,
  [668] = 407,
  [669] = 373,
  [670] = 373,
  [671] = 391,
  [672] = 426,
  [673] = 427,
  [674] = 4,
  [675] = 366,
  [676] = 415,
  [677] = 336,
  [678] = 407,
  [679] = 5,
  [680] = 4,
  [681] = 343,
  [682] = 415,
  [683] = 417,
  [684] = 306,
  [685] = 417,
  [686] = 422,
  [687] = 392,
  [688] = 336,
  [689] = 331,
  [690] = 423,
  [691] = 355,
  [692] = 389,
  [693] = 390,
  [694] = 389,
  [695] = 391,
  [696] = 366,
  [697] = 392,
  [698] = 306,
  [699] = 422,
  [700] = 393,
  [701] = 432,
  [702] = 393,
  [703] = 394,
  [704] = 395,
  [705] = 396,
  [706] = 397,
  [707] = 336,
  [708] = 398,
  [709] = 399,
  [710] = 426,
  [711] = 400,
  [712] = 401,
  [713] = 402,
  [714] = 403,
  [715] = 343,
  [716] = 405,
  [717] = 387,
  [718] = 432,
  [719] = 407,
  [720] = 389,
  [721] = 415,
  [722] = 417,
  [723] = 422,
  [724] = 390,
  [725] = 389,
  [726] = 390,
  [727] = 343,
  [728] = 391,
  [729] = 355,
  [730] = 403,
  [731] = 391,
  [732] = 405,
  [733] = 392,
  [734] = 415,
  [735] = 393,
  [736] = 425,
  [737] = 426,
  [738] = 427,
  [739] = 425,
  [740] = 426,
  [741] = 427,
  [742] = 417,
  [743] = 394,
  [744] = 395,
  [745] = 396,
  [746] = 397,
  [747] = 387,
  [748] = 398,
  [749] = 399,
  [750] = 392,
  [751] = 393,
  [752] = 400,
  [753] = 394,
  [754] = 395,
  [755] = 396,
  [756] = 397,
  [757] = 401,
  [758] = 398,
  [759] = 399,
  [760] = 427,
  [761] = 400,
  [762] = 401,
  [763] = 402,
  [764] = 402,
  [765] = 425,
  [766] = 394,
  [767] = 366,
  [768] = 336,
  [769] = 343,
  [770] = 392,
  [771] = 355,
  [772] = 355,
  [773] = 393,
  [774] = 401,
  [775] = 390,
  [776] = 415,
  [777] = 389,
  [778] = 391,
  [779] = 389,
  [780] = 399,
  [781] = 415,
  [782] = 343,
  [783] = 392,
  [784] = 373,
  [785] = 394,
  [786] = 417,
  [787] = 390,
  [788] = 395,
  [789] = 422,
  [790] = 407,
  [791] = 366,
  [792] = 393,
  [793] = 402,
  [794] = 395,
  [795] = 396,
  [796] = 397,
  [797] = 417,
  [798] = 398,
  [799] = 391,
  [800] = 403,
  [801] = 399,
  [802] = 336,
  [803] = 400,
  [804] = 401,
  [805] = 405,
  [806] = 402,
  [807] = 403,
  [808] = 387,
  [809] = 396,
  [810] = 432,
  [811] = 405,
  [812] = 387,
  [813] = 432,
  [814] = 422,
  [815] = 373,
  [816] = 397,
  [817] = 400,
  [818] = 398,
  [819] = 407,
  [820] = 321,
  [821] = 294,
  [822] = 305,
  [823] = 2,
  [824] = 431,
  [825] = 406,
  [826] = 431,
  [827] = 406,
  [828] = 498,
  [829] = 499,
  [830] = 499,
  [831] = 610,
  [832] = 431,
  [833] = 317,
  [834] = 5,
  [835] = 609,
  [836] = 4,
  [837] = 615,
  [838] = 612,
  [839] = 606,
  [840] = 613,
  [841] = 611,
  [842] = 607,
  [843] = 324,
  [844] = 510,
  [845] = 406,
  [846] = 431,
  [847] = 406,
  [848] = 608,
  [849] = 612,
  [850] = 499,
  [851] = 498,
  [852] = 499,
  [853] = 301,
  [854] = 510,
  [855] = 613,
  [856] = 608,
  [857] = 431,
  [858] = 321,
  [859] = 406,
  [860] = 609,
  [861] = 612,
  [862] = 310,
  [863] = 615,
  [864] = 610,
  [865] = 606,
  [866] = 607,
  [867] = 611,
  [868] = 294,
  [869] = 499,
  [870] = 305,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 879,
  [884] = 884,
  [885] = 880,
  [886] = 886,
  [887] = 882,
  [888] = 882,
  [889] = 884,
  [890] = 881,
  [891] = 882,
  [892] = 882,
  [893] = 882,
  [894] = 894,
  [895] = 895,
  [896] = 894,
  [897] = 894,
  [898] = 894,
  [899] = 894,
  [900] = 895,
  [901] = 895,
  [902] = 877,
  [903] = 894,
  [904] = 895,
  [905] = 895,
  [906] = 894,
  [907] = 907,
  [908] = 894,
  [909] = 894,
  [910] = 894,
  [911] = 895,
  [912] = 895,
  [913] = 894,
  [914] = 895,
  [915] = 907,
  [916] = 895,
  [917] = 895,
  [918] = 894,
  [919] = 895,
  [920] = 895,
  [921] = 921,
  [922] = 921,
  [923] = 328,
  [924] = 924,
  [925] = 925,
  [926] = 925,
  [927] = 927,
  [928] = 925,
  [929] = 927,
  [930] = 924,
  [931] = 8,
  [932] = 924,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 294,
  [939] = 939,
  [940] = 940,
  [941] = 305,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 321,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 935,
  [952] = 952,
  [953] = 953,
  [954] = 937,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 942,
  [960] = 943,
  [961] = 944,
  [962] = 962,
  [963] = 945,
  [964] = 947,
  [965] = 965,
  [966] = 933,
  [967] = 967,
  [968] = 968,
  [969] = 956,
  [970] = 970,
  [971] = 940,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 952,
  [977] = 950,
  [978] = 935,
  [979] = 952,
  [980] = 956,
  [981] = 958,
  [982] = 965,
  [983] = 970,
  [984] = 972,
  [985] = 973,
  [986] = 974,
  [987] = 975,
  [988] = 950,
  [989] = 935,
  [990] = 952,
  [991] = 956,
  [992] = 958,
  [993] = 965,
  [994] = 970,
  [995] = 972,
  [996] = 973,
  [997] = 974,
  [998] = 975,
  [999] = 953,
  [1000] = 950,
  [1001] = 935,
  [1002] = 956,
  [1003] = 958,
  [1004] = 965,
  [1005] = 970,
  [1006] = 972,
  [1007] = 973,
  [1008] = 974,
  [1009] = 975,
  [1010] = 950,
  [1011] = 935,
  [1012] = 956,
  [1013] = 958,
  [1014] = 965,
  [1015] = 970,
  [1016] = 972,
  [1017] = 973,
  [1018] = 974,
  [1019] = 975,
  [1020] = 1020,
  [1021] = 950,
  [1022] = 935,
  [1023] = 956,
  [1024] = 958,
  [1025] = 965,
  [1026] = 970,
  [1027] = 972,
  [1028] = 973,
  [1029] = 974,
  [1030] = 975,
  [1031] = 933,
  [1032] = 950,
  [1033] = 935,
  [1034] = 956,
  [1035] = 958,
  [1036] = 965,
  [1037] = 970,
  [1038] = 972,
  [1039] = 973,
  [1040] = 974,
  [1041] = 975,
  [1042] = 950,
  [1043] = 935,
  [1044] = 956,
  [1045] = 958,
  [1046] = 965,
  [1047] = 970,
  [1048] = 972,
  [1049] = 973,
  [1050] = 974,
  [1051] = 975,
  [1052] = 950,
  [1053] = 935,
  [1054] = 956,
  [1055] = 958,
  [1056] = 965,
  [1057] = 970,
  [1058] = 972,
  [1059] = 973,
  [1060] = 974,
  [1061] = 975,
  [1062] = 950,
  [1063] = 935,
  [1064] = 956,
  [1065] = 958,
  [1066] = 965,
  [1067] = 970,
  [1068] = 972,
  [1069] = 973,
  [1070] = 974,
  [1071] = 975,
  [1072] = 1072,
  [1073] = 950,
  [1074] = 935,
  [1075] = 956,
  [1076] = 958,
  [1077] = 965,
  [1078] = 970,
  [1079] = 972,
  [1080] = 973,
  [1081] = 974,
  [1082] = 975,
  [1083] = 958,
  [1084] = 958,
  [1085] = 1085,
  [1086] = 948,
  [1087] = 1020,
  [1088] = 1072,
  [1089] = 939,
  [1090] = 934,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 937,
  [1095] = 942,
  [1096] = 943,
  [1097] = 944,
  [1098] = 945,
  [1099] = 947,
  [1100] = 933,
  [1101] = 1101,
  [1102] = 967,
  [1103] = 968,
  [1104] = 1104,
  [1105] = 967,
  [1106] = 940,
  [1107] = 1107,
  [1108] = 953,
  [1109] = 939,
  [1110] = 962,
  [1111] = 1085,
  [1112] = 1020,
  [1113] = 1072,
  [1114] = 934,
  [1115] = 1091,
  [1116] = 1092,
  [1117] = 1093,
  [1118] = 1085,
  [1119] = 948,
  [1120] = 1020,
  [1121] = 1072,
  [1122] = 934,
  [1123] = 1091,
  [1124] = 1092,
  [1125] = 1093,
  [1126] = 1085,
  [1127] = 948,
  [1128] = 1020,
  [1129] = 1072,
  [1130] = 934,
  [1131] = 1091,
  [1132] = 1092,
  [1133] = 1093,
  [1134] = 1085,
  [1135] = 948,
  [1136] = 1020,
  [1137] = 1072,
  [1138] = 934,
  [1139] = 1091,
  [1140] = 1092,
  [1141] = 1093,
  [1142] = 1085,
  [1143] = 948,
  [1144] = 1091,
  [1145] = 1092,
  [1146] = 1093,
  [1147] = 1085,
  [1148] = 948,
  [1149] = 1091,
  [1150] = 1092,
  [1151] = 1093,
  [1152] = 1085,
  [1153] = 948,
  [1154] = 1091,
  [1155] = 1092,
  [1156] = 1093,
  [1157] = 1085,
  [1158] = 948,
  [1159] = 1091,
  [1160] = 1092,
  [1161] = 1093,
  [1162] = 1085,
  [1163] = 948,
  [1164] = 1091,
  [1165] = 1092,
  [1166] = 1093,
  [1167] = 1085,
  [1168] = 1091,
  [1169] = 1092,
  [1170] = 1093,
  [1171] = 1107,
  [1172] = 948,
  [1173] = 942,
  [1174] = 943,
  [1175] = 944,
  [1176] = 962,
  [1177] = 945,
  [1178] = 947,
  [1179] = 933,
  [1180] = 967,
  [1181] = 1181,
  [1182] = 968,
  [1183] = 933,
  [1184] = 940,
  [1185] = 968,
  [1186] = 957,
  [1187] = 972,
  [1188] = 937,
  [1189] = 1091,
  [1190] = 940,
  [1191] = 967,
  [1192] = 973,
  [1193] = 1092,
  [1194] = 958,
  [1195] = 942,
  [1196] = 943,
  [1197] = 974,
  [1198] = 953,
  [1199] = 939,
  [1200] = 1093,
  [1201] = 944,
  [1202] = 939,
  [1203] = 962,
  [1204] = 975,
  [1205] = 945,
  [1206] = 947,
  [1207] = 949,
  [1208] = 1085,
  [1209] = 1020,
  [1210] = 1072,
  [1211] = 934,
  [1212] = 1020,
  [1213] = 1072,
  [1214] = 934,
  [1215] = 1020,
  [1216] = 1072,
  [1217] = 934,
  [1218] = 1020,
  [1219] = 1072,
  [1220] = 934,
  [1221] = 1020,
  [1222] = 1072,
  [1223] = 934,
  [1224] = 953,
  [1225] = 937,
  [1226] = 1226,
  [1227] = 1181,
  [1228] = 965,
  [1229] = 968,
  [1230] = 937,
  [1231] = 942,
  [1232] = 943,
  [1233] = 944,
  [1234] = 945,
  [1235] = 947,
  [1236] = 967,
  [1237] = 968,
  [1238] = 940,
  [1239] = 953,
  [1240] = 1226,
  [1241] = 962,
  [1242] = 970,
  [1243] = 962,
  [1244] = 934,
  [1245] = 950,
  [1246] = 1020,
  [1247] = 1072,
  [1248] = 948,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 499,
  [1255] = 498,
  [1256] = 1256,
  [1257] = 290,
  [1258] = 291,
  [1259] = 289,
  [1260] = 320,
  [1261] = 329,
  [1262] = 22,
  [1263] = 76,
  [1264] = 79,
  [1265] = 292,
  [1266] = 321,
  [1267] = 307,
  [1268] = 304,
  [1269] = 297,
  [1270] = 83,
  [1271] = 37,
  [1272] = 314,
  [1273] = 294,
  [1274] = 71,
  [1275] = 309,
  [1276] = 84,
  [1277] = 67,
  [1278] = 315,
  [1279] = 300,
  [1280] = 335,
  [1281] = 332,
  [1282] = 302,
  [1283] = 301,
  [1284] = 305,
  [1285] = 311,
  [1286] = 312,
  [1287] = 303,
  [1288] = 310,
  [1289] = 322,
  [1290] = 318,
  [1291] = 319,
  [1292] = 325,
  [1293] = 330,
  [1294] = 75,
  [1295] = 610,
  [1296] = 1296,
  [1297] = 615,
  [1298] = 510,
  [1299] = 609,
  [1300] = 1300,
  [1301] = 608,
  [1302] = 1302,
  [1303] = 611,
  [1304] = 613,
  [1305] = 606,
  [1306] = 607,
  [1307] = 1307,
  [1308] = 510,
  [1309] = 1309,
  [1310] = 1309,
  [1311] = 1309,
  [1312] = 1309,
  [1313] = 301,
  [1314] = 1309,
  [1315] = 606,
  [1316] = 607,
  [1317] = 1307,
  [1318] = 321,
  [1319] = 608,
  [1320] = 1309,
  [1321] = 1309,
  [1322] = 1322,
  [1323] = 1309,
  [1324] = 1309,
  [1325] = 609,
  [1326] = 1309,
  [1327] = 615,
  [1328] = 610,
  [1329] = 611,
  [1330] = 310,
  [1331] = 1309,
  [1332] = 1307,
  [1333] = 1309,
  [1334] = 613,
  [1335] = 1296,
  [1336] = 294,
  [1337] = 1337,
  [1338] = 1300,
  [1339] = 305,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1344,
  [1350] = 1350,
  [1351] = 1340,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1341,
  [1355] = 1342,
  [1356] = 1356,
  [1357] = 1344,
  [1358] = 1345,
  [1359] = 1346,
  [1360] = 1348,
  [1361] = 1350,
  [1362] = 1340,
  [1363] = 1352,
  [1364] = 1353,
  [1365] = 1350,
  [1366] = 1341,
  [1367] = 1342,
  [1368] = 1368,
  [1369] = 1344,
  [1370] = 1345,
  [1371] = 1346,
  [1372] = 1372,
  [1373] = 1348,
  [1374] = 1350,
  [1375] = 1340,
  [1376] = 1352,
  [1377] = 1353,
  [1378] = 1341,
  [1379] = 1342,
  [1380] = 1344,
  [1381] = 1345,
  [1382] = 1346,
  [1383] = 1348,
  [1384] = 1350,
  [1385] = 1340,
  [1386] = 1352,
  [1387] = 1353,
  [1388] = 1340,
  [1389] = 1389,
  [1390] = 1341,
  [1391] = 1342,
  [1392] = 1344,
  [1393] = 1345,
  [1394] = 1346,
  [1395] = 1348,
  [1396] = 1350,
  [1397] = 1352,
  [1398] = 1353,
  [1399] = 1341,
  [1400] = 1342,
  [1401] = 1352,
  [1402] = 1344,
  [1403] = 1345,
  [1404] = 1346,
  [1405] = 1341,
  [1406] = 1348,
  [1407] = 1350,
  [1408] = 1340,
  [1409] = 1409,
  [1410] = 1352,
  [1411] = 1353,
  [1412] = 1341,
  [1413] = 1342,
  [1414] = 1414,
  [1415] = 1353,
  [1416] = 1344,
  [1417] = 1345,
  [1418] = 1346,
  [1419] = 1348,
  [1420] = 1350,
  [1421] = 1340,
  [1422] = 1352,
  [1423] = 1345,
  [1424] = 1353,
  [1425] = 1341,
  [1426] = 1342,
  [1427] = 1427,
  [1428] = 1344,
  [1429] = 1345,
  [1430] = 1346,
  [1431] = 1348,
  [1432] = 1350,
  [1433] = 1340,
  [1434] = 1352,
  [1435] = 1353,
  [1436] = 1341,
  [1437] = 1342,
  [1438] = 1344,
  [1439] = 1345,
  [1440] = 1346,
  [1441] = 1348,
  [1442] = 1350,
  [1443] = 1340,
  [1444] = 1352,
  [1445] = 1353,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1341,
  [1449] = 1342,
  [1450] = 1344,
  [1451] = 1345,
  [1452] = 1346,
  [1453] = 1348,
  [1454] = 1350,
  [1455] = 1340,
  [1456] = 1352,
  [1457] = 1346,
  [1458] = 1353,
  [1459] = 1345,
  [1460] = 1345,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1368,
  [1465] = 606,
  [1466] = 607,
  [1467] = 510,
  [1468] = 608,
  [1469] = 1469,
  [1470] = 609,
  [1471] = 610,
  [1472] = 611,
  [1473] = 1356,
  [1474] = 613,
  [1475] = 1372,
  [1476] = 1389,
  [1477] = 1409,
  [1478] = 1461,
  [1479] = 1463,
  [1480] = 1368,
  [1481] = 1469,
  [1482] = 1356,
  [1483] = 1372,
  [1484] = 1389,
  [1485] = 1409,
  [1486] = 1461,
  [1487] = 1463,
  [1488] = 1368,
  [1489] = 1469,
  [1490] = 1356,
  [1491] = 1372,
  [1492] = 1389,
  [1493] = 1409,
  [1494] = 1461,
  [1495] = 1347,
  [1496] = 1463,
  [1497] = 1368,
  [1498] = 1469,
  [1499] = 1356,
  [1500] = 1469,
  [1501] = 1372,
  [1502] = 1389,
  [1503] = 1409,
  [1504] = 1461,
  [1505] = 1463,
  [1506] = 1368,
  [1507] = 1469,
  [1508] = 1356,
  [1509] = 1372,
  [1510] = 1389,
  [1511] = 1409,
  [1512] = 1512,
  [1513] = 1461,
  [1514] = 1463,
  [1515] = 1372,
  [1516] = 1389,
  [1517] = 1409,
  [1518] = 1461,
  [1519] = 1463,
  [1520] = 1372,
  [1521] = 1389,
  [1522] = 1409,
  [1523] = 1461,
  [1524] = 1463,
  [1525] = 1372,
  [1526] = 1389,
  [1527] = 1409,
  [1528] = 1461,
  [1529] = 1463,
  [1530] = 1372,
  [1531] = 1389,
  [1532] = 1409,
  [1533] = 1461,
  [1534] = 1463,
  [1535] = 1372,
  [1536] = 1389,
  [1537] = 1409,
  [1538] = 1538,
  [1539] = 1461,
  [1540] = 1372,
  [1541] = 1461,
  [1542] = 1389,
  [1543] = 1409,
  [1544] = 615,
  [1545] = 1446,
  [1546] = 1463,
  [1547] = 1447,
  [1548] = 1348,
  [1549] = 1356,
  [1550] = 1447,
  [1551] = 1341,
  [1552] = 1538,
  [1553] = 1342,
  [1554] = 1343,
  [1555] = 1344,
  [1556] = 1414,
  [1557] = 1345,
  [1558] = 1447,
  [1559] = 1346,
  [1560] = 1347,
  [1561] = 1463,
  [1562] = 1348,
  [1563] = 1368,
  [1564] = 1469,
  [1565] = 1356,
  [1566] = 1368,
  [1567] = 1469,
  [1568] = 1356,
  [1569] = 1368,
  [1570] = 1469,
  [1571] = 1356,
  [1572] = 1368,
  [1573] = 1469,
  [1574] = 1356,
  [1575] = 1368,
  [1576] = 1469,
  [1577] = 1356,
  [1578] = 1447,
  [1579] = 1350,
  [1580] = 1340,
  [1581] = 1352,
  [1582] = 1353,
  [1583] = 1343,
  [1584] = 1447,
  [1585] = 1368,
  [1586] = 1469,
  [1587] = 1342,
  [1588] = 1588,
  [1589] = 1588,
  [1590] = 498,
  [1591] = 1588,
  [1592] = 499,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1588,
  [1596] = 1594,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1597,
  [1603] = 1601,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1597,
  [1607] = 1601,
  [1608] = 1597,
  [1609] = 1599,
  [1610] = 1600,
  [1611] = 1601,
  [1612] = 1597,
  [1613] = 1601,
  [1614] = 1597,
  [1615] = 1601,
  [1616] = 1597,
  [1617] = 1605,
  [1618] = 1604,
  [1619] = 1601,
  [1620] = 1597,
  [1621] = 1605,
  [1622] = 1622,
  [1623] = 1599,
  [1624] = 1600,
  [1625] = 1601,
  [1626] = 1597,
  [1627] = 1622,
  [1628] = 1622,
  [1629] = 1601,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1631,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1635,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1630,
  [1640] = 1640,
  [1641] = 1632,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1632,
  [1647] = 1635,
  [1648] = 1637,
  [1649] = 1649,
  [1650] = 1635,
  [1651] = 1637,
  [1652] = 1632,
  [1653] = 1653,
  [1654] = 1632,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1635,
  [1659] = 1637,
  [1660] = 1630,
  [1661] = 1637,
  [1662] = 1634,
  [1663] = 1631,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1643,
  [1667] = 1642,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1634,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1668,
  [1674] = 1674,
  [1675] = 1664,
  [1676] = 1668,
  [1677] = 1631,
  [1678] = 1632,
  [1679] = 1668,
  [1680] = 1631,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1630,
  [1685] = 1685,
  [1686] = 1664,
  [1687] = 1668,
  [1688] = 1634,
  [1689] = 1682,
  [1690] = 1685,
  [1691] = 1669,
  [1692] = 1682,
  [1693] = 1631,
  [1694] = 1630,
  [1695] = 1635,
  [1696] = 1637,
  [1697] = 1643,
  [1698] = 1698,
  [1699] = 1634,
  [1700] = 1632,
  [1701] = 1701,
  [1702] = 1630,
  [1703] = 1643,
  [1704] = 1630,
  [1705] = 1705,
  [1706] = 1634,
  [1707] = 1707,
  [1708] = 1637,
  [1709] = 1635,
  [1710] = 1631,
  [1711] = 1664,
  [1712] = 1685,
  [1713] = 1668,
  [1714] = 1714,
  [1715] = 1685,
  [1716] = 1637,
  [1717] = 1669,
  [1718] = 1682,
  [1719] = 1653,
  [1720] = 1674,
  [1721] = 1707,
  [1722] = 1668,
  [1723] = 1630,
  [1724] = 1631,
  [1725] = 1632,
  [1726] = 1668,
  [1727] = 1635,
  [1728] = 1630,
  [1729] = 1682,
  [1730] = 1637,
  [1731] = 1731,
  [1732] = 1685,
  [1733] = 1668,
  [1734] = 1734,
  [1735] = 1731,
  [1736] = 1632,
  [1737] = 1635,
  [1738] = 1643,
  [1739] = 1634,
  [1740] = 1644,
  [1741] = 1634,
  [1742] = 1649,
  [1743] = 1682,
  [1744] = 1685,
  [1745] = 1655,
  [1746] = 1665,
  [1747] = 1669,
  [1748] = 1631,
  [1749] = 1664,
  [1750] = 1685,
  [1751] = 1638,
  [1752] = 1635,
  [1753] = 1664,
  [1754] = 1631,
  [1755] = 1630,
  [1756] = 1630,
  [1757] = 1643,
  [1758] = 1668,
  [1759] = 1635,
  [1760] = 1632,
  [1761] = 1637,
  [1762] = 1762,
  [1763] = 1632,
  [1764] = 1668,
  [1765] = 1630,
  [1766] = 1714,
  [1767] = 1637,
  [1768] = 1685,
  [1769] = 1645,
  [1770] = 1671,
  [1771] = 1701,
  [1772] = 1772,
  [1773] = 1656,
  [1774] = 1631,
  [1775] = 1634,
  [1776] = 1682,
  [1777] = 1682,
  [1778] = 1685,
  [1779] = 1631,
  [1780] = 1632,
  [1781] = 1682,
  [1782] = 1643,
  [1783] = 1635,
  [1784] = 1664,
  [1785] = 1668,
  [1786] = 1637,
  [1787] = 1772,
  [1788] = 1788,
  [1789] = 331,
  [1790] = 306,
  [1791] = 353,
  [1792] = 367,
  [1793] = 374,
  [1794] = 375,
  [1795] = 339,
  [1796] = 340,
  [1797] = 342,
  [1798] = 358,
  [1799] = 345,
  [1800] = 347,
  [1801] = 349,
  [1802] = 350,
  [1803] = 352,
  [1804] = 360,
  [1805] = 361,
  [1806] = 364,
  [1807] = 346,
  [1808] = 368,
  [1809] = 369,
  [1810] = 371,
  [1811] = 372,
  [1812] = 376,
  [1813] = 377,
  [1814] = 379,
  [1815] = 381,
  [1816] = 382,
  [1817] = 337,
  [1818] = 359,
  [1819] = 338,
  [1820] = 356,
  [1821] = 373,
  [1822] = 366,
  [1823] = 354,
  [1824] = 336,
  [1825] = 343,
  [1826] = 355,
  [1827] = 365,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1829,
  [1832] = 1830,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1839,
  [1841] = 1839,
  [1842] = 1839,
  [1843] = 1839,
  [1844] = 1844,
  [1845] = 1839,
  [1846] = 1846,
  [1847] = 1839,
  [1848] = 1844,
  [1849] = 1839,
  [1850] = 1839,
  [1851] = 1839,
  [1852] = 1839,
  [1853] = 1839,
  [1854] = 1844,
  [1855] = 1839,
  [1856] = 1839,
  [1857] = 1844,
  [1858] = 1839,
  [1859] = 1844,
  [1860] = 1844,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1861,
  [1864] = 1861,
  [1865] = 1865,
  [1866] = 1865,
  [1867] = 1861,
  [1868] = 1868,
  [1869] = 1862,
  [1870] = 1862,
  [1871] = 1861,
  [1872] = 1872,
  [1873] = 1862,
  [1874] = 1865,
  [1875] = 1865,
  [1876] = 1862,
  [1877] = 1862,
  [1878] = 294,
  [1879] = 1879,
  [1880] = 1862,
  [1881] = 1881,
  [1882] = 1861,
  [1883] = 1862,
  [1884] = 321,
  [1885] = 1872,
  [1886] = 1865,
  [1887] = 1868,
  [1888] = 1862,
  [1889] = 1861,
  [1890] = 1865,
  [1891] = 1862,
  [1892] = 1861,
  [1893] = 1865,
  [1894] = 1862,
  [1895] = 1868,
  [1896] = 1861,
  [1897] = 1861,
  [1898] = 1861,
  [1899] = 1865,
  [1900] = 1865,
  [1901] = 1862,
  [1902] = 1862,
  [1903] = 305,
  [1904] = 1862,
  [1905] = 1862,
  [1906] = 1861,
  [1907] = 1907,
  [1908] = 1907,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1912,
  [1917] = 1917,
  [1918] = 1911,
  [1919] = 1910,
  [1920] = 1920,
  [1921] = 1910,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1909,
  [1925] = 1925,
  [1926] = 1920,
  [1927] = 1911,
  [1928] = 1928,
  [1929] = 1909,
  [1930] = 303,
  [1931] = 1931,
  [1932] = 1915,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1936,
  [1940] = 1937,
  [1941] = 1936,
  [1942] = 1937,
  [1943] = 1936,
  [1944] = 1937,
  [1945] = 1936,
  [1946] = 1937,
  [1947] = 1936,
  [1948] = 1937,
  [1949] = 1936,
  [1950] = 1950,
  [1951] = 1936,
  [1952] = 1937,
  [1953] = 1936,
  [1954] = 1937,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1936,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 294,
  [1961] = 305,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1937,
  [1965] = 1937,
  [1966] = 1936,
  [1967] = 321,
  [1968] = 1936,
  [1969] = 1937,
  [1970] = 1937,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1971,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1972,
  [1982] = 1976,
  [1983] = 1977,
  [1984] = 1978,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1980,
  [1988] = 1972,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1976,
  [1993] = 1977,
  [1994] = 1978,
  [1995] = 1971,
  [1996] = 1980,
  [1997] = 1972,
  [1998] = 1976,
  [1999] = 1977,
  [2000] = 1978,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 1971,
  [2005] = 2005,
  [2006] = 1976,
  [2007] = 1977,
  [2008] = 1978,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 1976,
  [2012] = 1976,
  [2013] = 1977,
  [2014] = 1978,
  [2015] = 2015,
  [2016] = 1976,
  [2017] = 1977,
  [2018] = 1978,
  [2019] = 2019,
  [2020] = 1976,
  [2021] = 1977,
  [2022] = 1978,
  [2023] = 2023,
  [2024] = 1977,
  [2025] = 1976,
  [2026] = 1977,
  [2027] = 1978,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 1971,
  [2032] = 1976,
  [2033] = 1977,
  [2034] = 1978,
  [2035] = 2035,
  [2036] = 1976,
  [2037] = 1977,
  [2038] = 1976,
  [2039] = 1977,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2044,
  [2048] = 1980,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 1972,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 305,
  [2055] = 2055,
  [2056] = 1971,
  [2057] = 1980,
  [2058] = 1972,
  [2059] = 1980,
  [2060] = 1976,
  [2061] = 2041,
  [2062] = 1977,
  [2063] = 2063,
  [2064] = 2044,
  [2065] = 2050,
  [2066] = 2066,
  [2067] = 2067,
  [2068] = 2041,
  [2069] = 1978,
  [2070] = 2044,
  [2071] = 2050,
  [2072] = 321,
  [2073] = 2073,
  [2074] = 2041,
  [2075] = 2044,
  [2076] = 2050,
  [2077] = 1989,
  [2078] = 2041,
  [2079] = 2044,
  [2080] = 2050,
  [2081] = 2041,
  [2082] = 2044,
  [2083] = 2050,
  [2084] = 2041,
  [2085] = 2044,
  [2086] = 2050,
  [2087] = 294,
  [2088] = 2044,
  [2089] = 2050,
  [2090] = 2090,
  [2091] = 1972,
  [2092] = 2041,
  [2093] = 2044,
  [2094] = 2050,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2041,
  [2098] = 2044,
  [2099] = 2050,
  [2100] = 2041,
  [2101] = 2044,
  [2102] = 2050,
  [2103] = 2035,
  [2104] = 2040,
  [2105] = 2105,
  [2106] = 1990,
  [2107] = 1978,
  [2108] = 2046,
  [2109] = 1980,
  [2110] = 1972,
  [2111] = 1971,
  [2112] = 2095,
  [2113] = 2113,
  [2114] = 2090,
  [2115] = 2050,
  [2116] = 2015,
  [2117] = 2117,
  [2118] = 1971,
  [2119] = 1980,
  [2120] = 1972,
  [2121] = 2063,
  [2122] = 2066,
  [2123] = 2041,
  [2124] = 2040,
  [2125] = 1990,
  [2126] = 2046,
  [2127] = 2073,
  [2128] = 2040,
  [2129] = 1990,
  [2130] = 2046,
  [2131] = 2040,
  [2132] = 1990,
  [2133] = 2046,
  [2134] = 2040,
  [2135] = 2063,
  [2136] = 1990,
  [2137] = 2046,
  [2138] = 2040,
  [2139] = 1971,
  [2140] = 1990,
  [2141] = 2046,
  [2142] = 2040,
  [2143] = 1990,
  [2144] = 2046,
  [2145] = 2040,
  [2146] = 1990,
  [2147] = 2046,
  [2148] = 2040,
  [2149] = 1990,
  [2150] = 2046,
  [2151] = 2040,
  [2152] = 1990,
  [2153] = 2046,
  [2154] = 2040,
  [2155] = 1990,
  [2156] = 2046,
  [2157] = 1989,
  [2158] = 2035,
  [2159] = 2117,
  [2160] = 1991,
  [2161] = 2066,
  [2162] = 2117,
  [2163] = 1991,
  [2164] = 2117,
  [2165] = 1991,
  [2166] = 2117,
  [2167] = 1991,
  [2168] = 2117,
  [2169] = 1991,
  [2170] = 2117,
  [2171] = 1991,
  [2172] = 2117,
  [2173] = 1991,
  [2174] = 2117,
  [2175] = 1991,
  [2176] = 2117,
  [2177] = 1991,
  [2178] = 2117,
  [2179] = 1991,
  [2180] = 2117,
  [2181] = 1991,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 1980,
  [2186] = 2041,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2196,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2188,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2201,
  [2211] = 2202,
  [2212] = 2193,
  [2213] = 2213,
  [2214] = 2190,
  [2215] = 2207,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2194,
  [2219] = 2219,
  [2220] = 2196,
  [2221] = 2193,
  [2222] = 2222,
  [2223] = 2199,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2196,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2203,
  [2232] = 2232,
  [2233] = 2190,
  [2234] = 2234,
  [2235] = 2227,
  [2236] = 2236,
  [2237] = 2193,
  [2238] = 2190,
  [2239] = 2239,
  [2240] = 2239,
  [2241] = 2241,
  [2242] = 2194,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2199,
  [2248] = 2236,
  [2249] = 2239,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2227,
  [2254] = 2224,
  [2255] = 2224,
  [2256] = 2208,
  [2257] = 2225,
  [2258] = 2236,
  [2259] = 2194,
  [2260] = 2260,
  [2261] = 2217,
  [2262] = 2199,
  [2263] = 2263,
  [2264] = 2206,
  [2265] = 2250,
  [2266] = 2199,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2227,
  [2276] = 2263,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2241,
  [2280] = 2252,
  [2281] = 2250,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2203,
  [2286] = 2199,
  [2287] = 2201,
  [2288] = 2208,
  [2289] = 2229,
  [2290] = 2224,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2230,
  [2296] = 2296,
  [2297] = 2260,
  [2298] = 2278,
  [2299] = 2196,
  [2300] = 2300,
  [2301] = 2243,
  [2302] = 2203,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2260,
  [2306] = 2252,
  [2307] = 2191,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2250,
  [2312] = 2188,
  [2313] = 2203,
  [2314] = 2314,
  [2315] = 2310,
  [2316] = 2222,
  [2317] = 2236,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2195,
  [2321] = 2187,
  [2322] = 325,
  [2323] = 2269,
  [2324] = 2191,
  [2325] = 2208,
  [2326] = 2217,
  [2327] = 2199,
  [2328] = 2328,
  [2329] = 2201,
  [2330] = 2330,
  [2331] = 2202,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2206,
  [2335] = 2207,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2190,
  [2340] = 2219,
  [2341] = 2190,
  [2342] = 2342,
  [2343] = 2217,
  [2344] = 2196,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2193,
  [2348] = 2282,
  [2349] = 2284,
  [2350] = 2196,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2217,
  [2354] = 2230,
  [2355] = 2222,
  [2356] = 2195,
  [2357] = 2260,
  [2358] = 2351,
  [2359] = 2204,
  [2360] = 2360,
  [2361] = 2234,
  [2362] = 2201,
  [2363] = 2304,
  [2364] = 2360,
  [2365] = 2269,
  [2366] = 2271,
  [2367] = 2272,
  [2368] = 2273,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2190,
  [2372] = 2372,
  [2373] = 2291,
  [2374] = 2292,
  [2375] = 2293,
  [2376] = 2376,
  [2377] = 2263,
  [2378] = 2222,
  [2379] = 2310,
  [2380] = 2380,
  [2381] = 2194,
  [2382] = 2203,
  [2383] = 2318,
  [2384] = 2384,
  [2385] = 2187,
  [2386] = 2278,
  [2387] = 2227,
  [2388] = 2269,
  [2389] = 2271,
  [2390] = 2272,
  [2391] = 2273,
  [2392] = 2194,
  [2393] = 2187,
  [2394] = 318,
  [2395] = 2191,
  [2396] = 2188,
  [2397] = 2222,
  [2398] = 2199,
  [2399] = 2310,
  [2400] = 2252,
  [2401] = 2202,
  [2402] = 2239,
  [2403] = 2318,
  [2404] = 2263,
  [2405] = 2187,
  [2406] = 2222,
  [2407] = 2202,
  [2408] = 2269,
  [2409] = 2271,
  [2410] = 2272,
  [2411] = 2273,
  [2412] = 2412,
  [2413] = 2191,
  [2414] = 2227,
  [2415] = 2236,
  [2416] = 2195,
  [2417] = 2250,
  [2418] = 2227,
  [2419] = 2310,
  [2420] = 2304,
  [2421] = 2194,
  [2422] = 2263,
  [2423] = 2318,
  [2424] = 2204,
  [2425] = 2187,
  [2426] = 2191,
  [2427] = 2224,
  [2428] = 2269,
  [2429] = 2271,
  [2430] = 2272,
  [2431] = 2273,
  [2432] = 2201,
  [2433] = 2278,
  [2434] = 2202,
  [2435] = 2201,
  [2436] = 2202,
  [2437] = 2195,
  [2438] = 2438,
  [2439] = 2310,
  [2440] = 2217,
  [2441] = 2206,
  [2442] = 2200,
  [2443] = 2318,
  [2444] = 2239,
  [2445] = 2187,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2269,
  [2449] = 2271,
  [2450] = 2272,
  [2451] = 2273,
  [2452] = 2206,
  [2453] = 2208,
  [2454] = 2224,
  [2455] = 2310,
  [2456] = 2206,
  [2457] = 2369,
  [2458] = 2318,
  [2459] = 2459,
  [2460] = 2187,
  [2461] = 2461,
  [2462] = 2263,
  [2463] = 2269,
  [2464] = 2271,
  [2465] = 2272,
  [2466] = 2273,
  [2467] = 2467,
  [2468] = 2239,
  [2469] = 2207,
  [2470] = 2310,
  [2471] = 2236,
  [2472] = 2472,
  [2473] = 2318,
  [2474] = 2207,
  [2475] = 2187,
  [2476] = 2278,
  [2477] = 2384,
  [2478] = 2269,
  [2479] = 2271,
  [2480] = 2272,
  [2481] = 2273,
  [2482] = 2482,
  [2483] = 2207,
  [2484] = 2484,
  [2485] = 2310,
  [2486] = 2486,
  [2487] = 2252,
  [2488] = 2318,
  [2489] = 2252,
  [2490] = 2201,
  [2491] = 2190,
  [2492] = 2314,
  [2493] = 2269,
  [2494] = 2271,
  [2495] = 2272,
  [2496] = 2273,
  [2497] = 2497,
  [2498] = 2206,
  [2499] = 2207,
  [2500] = 2310,
  [2501] = 2194,
  [2502] = 2502,
  [2503] = 2318,
  [2504] = 2236,
  [2505] = 2187,
  [2506] = 2227,
  [2507] = 2208,
  [2508] = 2269,
  [2509] = 2271,
  [2510] = 2272,
  [2511] = 2273,
  [2512] = 2199,
  [2513] = 2250,
  [2514] = 2514,
  [2515] = 2310,
  [2516] = 2199,
  [2517] = 2193,
  [2518] = 2318,
  [2519] = 2196,
  [2520] = 2187,
  [2521] = 2521,
  [2522] = 2230,
  [2523] = 2269,
  [2524] = 2271,
  [2525] = 2272,
  [2526] = 2273,
  [2527] = 2270,
  [2528] = 2528,
  [2529] = 2310,
  [2530] = 2250,
  [2531] = 2531,
  [2532] = 2318,
  [2533] = 2282,
  [2534] = 2187,
  [2535] = 2336,
  [2536] = 2271,
  [2537] = 2272,
  [2538] = 2271,
  [2539] = 2272,
  [2540] = 2502,
  [2541] = 2216,
  [2542] = 2193,
  [2543] = 2351,
  [2544] = 2544,
  [2545] = 2351,
  [2546] = 2204,
  [2547] = 2284,
  [2548] = 2260,
  [2549] = 2196,
  [2550] = 2267,
  [2551] = 2244,
  [2552] = 2260,
  [2553] = 2246,
  [2554] = 2224,
  [2555] = 2300,
  [2556] = 2304,
  [2557] = 2459,
  [2558] = 2467,
  [2559] = 2284,
  [2560] = 2234,
  [2561] = 2194,
  [2562] = 2227,
  [2563] = 2563,
  [2564] = 2188,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2199,
  [2568] = 2191,
  [2569] = 2438,
  [2570] = 2203,
  [2571] = 2571,
  [2572] = 2193,
  [2573] = 2370,
  [2574] = 2230,
  [2575] = 2188,
  [2576] = 2208,
  [2577] = 2577,
  [2578] = 2227,
  [2579] = 2227,
  [2580] = 2580,
  [2581] = 2202,
  [2582] = 2582,
  [2583] = 2227,
  [2584] = 2304,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2230,
  [2588] = 2239,
  [2589] = 2304,
  [2590] = 2528,
  [2591] = 2206,
  [2592] = 2207,
  [2593] = 2207,
  [2594] = 2239,
  [2595] = 2482,
  [2596] = 2203,
  [2597] = 2577,
  [2598] = 2224,
  [2599] = 2599,
  [2600] = 2252,
  [2601] = 2376,
  [2602] = 2602,
  [2603] = 2582,
  [2604] = 2236,
  [2605] = 2484,
  [2606] = 2193,
  [2607] = 2250,
  [2608] = 2227,
  [2609] = 2196,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2201,
  [2614] = 2234,
  [2615] = 2188,
  [2616] = 2200,
  [2617] = 2260,
  [2618] = 2213,
  [2619] = 2195,
  [2620] = 2318,
  [2621] = 2224,
  [2622] = 2191,
  [2623] = 2203,
  [2624] = 2624,
  [2625] = 2232,
  [2626] = 2227,
  [2627] = 2245,
  [2628] = 2304,
  [2629] = 2268,
  [2630] = 2283,
  [2631] = 2195,
  [2632] = 2201,
  [2633] = 2190,
  [2634] = 2239,
  [2635] = 2217,
  [2636] = 2586,
  [2637] = 2234,
  [2638] = 2236,
  [2639] = 2188,
  [2640] = 2230,
  [2641] = 2291,
  [2642] = 2250,
  [2643] = 2222,
  [2644] = 2195,
  [2645] = 2645,
  [2646] = 2224,
  [2647] = 2202,
  [2648] = 2648,
  [2649] = 2217,
  [2650] = 2206,
  [2651] = 2263,
  [2652] = 2278,
  [2653] = 2252,
  [2654] = 2207,
  [2655] = 2217,
  [2656] = 2656,
  [2657] = 2219,
  [2658] = 2263,
  [2659] = 2360,
  [2660] = 2346,
  [2661] = 2208,
  [2662] = 2194,
  [2663] = 2645,
  [2664] = 2664,
  [2665] = 2412,
  [2666] = 2585,
  [2667] = 2263,
  [2668] = 2447,
  [2669] = 2461,
  [2670] = 2273,
  [2671] = 2544,
  [2672] = 2278,
  [2673] = 2278,
  [2674] = 2216,
  [2675] = 2208,
  [2676] = 2217,
  [2677] = 2191,
  [2678] = 2244,
  [2679] = 2563,
  [2680] = 2566,
  [2681] = 2202,
  [2682] = 2370,
  [2683] = 2260,
  [2684] = 2199,
  [2685] = 2294,
  [2686] = 2582,
  [2687] = 2585,
  [2688] = 2222,
  [2689] = 2216,
  [2690] = 2263,
  [2691] = 2528,
  [2692] = 2345,
  [2693] = 2244,
  [2694] = 2563,
  [2695] = 2566,
  [2696] = 2239,
  [2697] = 2370,
  [2698] = 2656,
  [2699] = 2582,
  [2700] = 2585,
  [2701] = 2216,
  [2702] = 2260,
  [2703] = 2236,
  [2704] = 2645,
  [2705] = 2244,
  [2706] = 2563,
  [2707] = 2566,
  [2708] = 2708,
  [2709] = 2370,
  [2710] = 2278,
  [2711] = 2582,
  [2712] = 2585,
  [2713] = 2216,
  [2714] = 2656,
  [2715] = 2250,
  [2716] = 2716,
  [2717] = 2244,
  [2718] = 2563,
  [2719] = 2566,
  [2720] = 2720,
  [2721] = 2370,
  [2722] = 2252,
  [2723] = 2582,
  [2724] = 2585,
  [2725] = 2216,
  [2726] = 2230,
  [2727] = 2224,
  [2728] = 2217,
  [2729] = 2244,
  [2730] = 2563,
  [2731] = 2278,
  [2732] = 2370,
  [2733] = 2190,
  [2734] = 2582,
  [2735] = 2585,
  [2736] = 2216,
  [2737] = 2708,
  [2738] = 2236,
  [2739] = 2531,
  [2740] = 2244,
  [2741] = 2563,
  [2742] = 2571,
  [2743] = 2370,
  [2744] = 2250,
  [2745] = 2582,
  [2746] = 2585,
  [2747] = 2216,
  [2748] = 2201,
  [2749] = 2194,
  [2750] = 2202,
  [2751] = 2244,
  [2752] = 2563,
  [2753] = 2193,
  [2754] = 2370,
  [2755] = 2236,
  [2756] = 2582,
  [2757] = 2585,
  [2758] = 2216,
  [2759] = 2203,
  [2760] = 2263,
  [2761] = 2282,
  [2762] = 2244,
  [2763] = 2563,
  [2764] = 2764,
  [2765] = 2370,
  [2766] = 2199,
  [2767] = 2582,
  [2768] = 2585,
  [2769] = 2216,
  [2770] = 2599,
  [2771] = 2260,
  [2772] = 2304,
  [2773] = 2244,
  [2774] = 2563,
  [2775] = 2193,
  [2776] = 2370,
  [2777] = 2217,
  [2778] = 2582,
  [2779] = 2585,
  [2780] = 2196,
  [2781] = 2278,
  [2782] = 2370,
  [2783] = 2304,
  [2784] = 2582,
  [2785] = 2585,
  [2786] = 2216,
  [2787] = 2198,
  [2788] = 2788,
  [2789] = 2263,
  [2790] = 2304,
  [2791] = 2624,
  [2792] = 2206,
  [2793] = 2282,
  [2794] = 2337,
  [2795] = 2566,
  [2796] = 2284,
  [2797] = 2797,
  [2798] = 2252,
  [2799] = 2571,
  [2800] = 2566,
  [2801] = 2188,
  [2802] = 2278,
  [2803] = 2308,
  [2804] = 2602,
  [2805] = 2292,
  [2806] = 2191,
  [2807] = 2293,
  [2808] = 2207,
  [2809] = 2201,
  [2810] = 2195,
  [2811] = 2811,
  [2812] = 2797,
  [2813] = 2202,
  [2814] = 314,
  [2815] = 2252,
  [2816] = 2206,
  [2817] = 2252,
  [2818] = 2260,
  [2819] = 2207,
  [2820] = 2304,
  [2821] = 2188,
  [2822] = 2188,
  [2823] = 2239,
  [2824] = 2811,
  [2825] = 2191,
  [2826] = 2282,
  [2827] = 2284,
  [2828] = 2571,
  [2829] = 2203,
  [2830] = 2345,
  [2831] = 2351,
  [2832] = 2204,
  [2833] = 2277,
  [2834] = 2198,
  [2835] = 2446,
  [2836] = 2566,
  [2837] = 2271,
  [2838] = 2198,
  [2839] = 2612,
  [2840] = 2190,
  [2841] = 2198,
  [2842] = 2274,
  [2843] = 2202,
  [2844] = 2198,
  [2845] = 2224,
  [2846] = 2194,
  [2847] = 2198,
  [2848] = 2203,
  [2849] = 2188,
  [2850] = 2198,
  [2851] = 2563,
  [2852] = 2708,
  [2853] = 2198,
  [2854] = 2199,
  [2855] = 2272,
  [2856] = 2198,
  [2857] = 2201,
  [2858] = 2206,
  [2859] = 2198,
  [2860] = 2202,
  [2861] = 2250,
  [2862] = 2198,
  [2863] = 2260,
  [2864] = 2193,
  [2865] = 2345,
  [2866] = 2351,
  [2867] = 2372,
  [2868] = 2204,
  [2869] = 2193,
  [2870] = 2870,
  [2871] = 2193,
  [2872] = 2571,
  [2873] = 2566,
  [2874] = 2196,
  [2875] = 2230,
  [2876] = 2239,
  [2877] = 2190,
  [2878] = 2196,
  [2879] = 2571,
  [2880] = 2345,
  [2881] = 2345,
  [2882] = 2304,
  [2883] = 2196,
  [2884] = 2191,
  [2885] = 2222,
  [2886] = 2886,
  [2887] = 2244,
  [2888] = 2563,
  [2889] = 2201,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(595);
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 770,
        '(', 630,
        ')', 631,
        '*', 761,
        '+', 757,
        ',', 638,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 789,
        ':', 606,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 149,
        'F', 801,
        'T', 796,
        '[', 641,
        ']', 642,
        '^', 771,
        'a', 104,
        'b', 109,
        'c', 100,
        'd', 101,
        'e', 107,
        'f', 102,
        'g', 364,
        'h', 425,
        'i', 301,
        'l', 333,
        'm', 334,
        'n', 240,
        'o', 303,
        'p', 173,
        'r', 241,
        's', 205,
        't', 177,
        'u', 400,
        'v', 262,
        'w', 324,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(0);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(790);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(1234);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 770,
        '(', 630,
        ')', 631,
        '*', 761,
        '+', 757,
        ',', 638,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 783,
        ':', 607,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        ']', 642,
        '^', 771,
        '_', 1073,
        'a', 974,
        'c', 972,
        'f', 965,
        'h', 914,
        'i', 902,
        'l', 907,
        'r', 867,
        's', 838,
        't', 831,
        'v', 863,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(2);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('b' <= lookahead && lookahead <= 'e')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 769,
        '(', 630,
        ')', 631,
        '*', 761,
        '+', 757,
        ',', 638,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 783,
        ':', 607,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 148,
        'F', 799,
        'T', 797,
        '[', 641,
        ']', 642,
        '^', 771,
        '_', 1073,
        'a', 974,
        'c', 972,
        'f', 965,
        'h', 914,
        'i', 902,
        'l', 907,
        'r', 867,
        's', 838,
        't', 831,
        'v', 863,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(3);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('b' <= lookahead && lookahead <= 'e')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 769,
        '(', 630,
        '*', 761,
        '+', 757,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 783,
        ':', 94,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '^', 771,
        '_', 1073,
        'a', 962,
        'b', 973,
        'c', 959,
        'd', 966,
        'e', 970,
        'f', 958,
        'h', 914,
        'i', 871,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 829,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(4);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 769,
        '(', 630,
        '*', 761,
        '+', 757,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 783,
        ':', 94,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '^', 771,
        '_', 1073,
        'a', 962,
        'b', 973,
        'c', 959,
        'd', 966,
        'e', 970,
        'f', 958,
        'h', 914,
        'i', 871,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 831,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(5);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 769,
        '(', 630,
        '*', 761,
        '+', 757,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 783,
        ':', 94,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '^', 771,
        '_', 1073,
        'a', 962,
        'b', 973,
        'c', 959,
        'd', 966,
        'e', 978,
        'f', 958,
        'h', 914,
        'i', 871,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 829,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(6);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 769,
        '(', 630,
        '*', 761,
        '+', 757,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 783,
        ':', 94,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '^', 771,
        '_', 1073,
        'a', 962,
        'b', 973,
        'c', 959,
        'd', 966,
        'e', 978,
        'f', 958,
        'h', 914,
        'i', 871,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 831,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(7);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 770,
        '(', 630,
        ')', 631,
        '*', 761,
        '+', 758,
        ',', 638,
        '-', 755,
        '/', 762,
        ':', 605,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 231,
        '[', 641,
        ']', 642,
        '^', 771,
        'a', 493,
        'd', 183,
        'h', 461,
        'i', 389,
        'm', 335,
        'o', 302,
        's', 271,
        'u', 498,
        '{', 601,
        '|', 747,
        '}', 602,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(8);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(795);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 769,
        '(', 630,
        ')', 631,
        '*', 761,
        '+', 758,
        ',', 638,
        '-', 755,
        '/', 762,
        ':', 605,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 231,
        '[', 641,
        ']', 642,
        '^', 771,
        'a', 493,
        'c', 437,
        'd', 183,
        'e', 551,
        'f', 534,
        'g', 364,
        'h', 425,
        'i', 389,
        'm', 334,
        'o', 304,
        'r', 289,
        's', 271,
        't', 566,
        'u', 498,
        '{', 601,
        '|', 747,
        '}', 602,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(9);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '&', 172,
        '(', 630,
        ')', 631,
        '+', 757,
        ',', 638,
        '-', 754,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 607,
        ';', 598,
        '=', 662,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        ']', 642,
        '_', 1073,
        'c', 972,
        'f', 965,
        'h', 914,
        'l', 907,
        'r', 867,
        's', 838,
        't', 831,
        'v', 863,
        '{', 601,
        '|', 746,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(10);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '&', 172,
        '(', 630,
        '+', 757,
        '-', 754,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '=', 662,
        '@', 148,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'c', 972,
        'f', 965,
        'h', 914,
        'l', 907,
        'o', 874,
        'r', 867,
        's', 838,
        't', 831,
        'v', 863,
        '{', 601,
        '|', 746,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(11);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '(', 630,
        ')', 631,
        '+', 756,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'a', 961,
        'b', 973,
        'c', 959,
        'd', 966,
        'e', 970,
        'f', 958,
        'h', 914,
        'i', 872,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 829,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 746,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(12);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '(', 630,
        ')', 631,
        '+', 756,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'a', 961,
        'b', 973,
        'c', 959,
        'd', 966,
        'e', 970,
        'f', 958,
        'h', 914,
        'i', 872,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 831,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 746,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(13);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '(', 630,
        ')', 631,
        '+', 756,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'a', 961,
        'b', 973,
        'c', 959,
        'd', 966,
        'e', 978,
        'f', 958,
        'h', 914,
        'i', 872,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 829,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 746,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(14);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '(', 630,
        ')', 631,
        '+', 756,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'a', 961,
        'b', 973,
        'c', 959,
        'd', 966,
        'e', 978,
        'f', 958,
        'h', 914,
        'i', 872,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 831,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 746,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(15);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '(', 630,
        '+', 756,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '@', 148,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'c', 972,
        'f', 965,
        'h', 914,
        'l', 907,
        'r', 867,
        's', 838,
        't', 831,
        'v', 863,
        'w', 881,
        '{', 601,
        '|', 746,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(16);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '(', 630,
        '+', 756,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        '@', 148,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'c', 972,
        'f', 965,
        'h', 914,
        'l', 907,
        'r', 867,
        's', 838,
        't', 830,
        'v', 863,
        '{', 601,
        '|', 746,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(17);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '"', 28,
        '#', 1232,
        '.', 570,
        '0', 783,
        ':', 89,
        '@', 148,
        'F', 800,
        'T', 798,
        'f', 59,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(60);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '#', 1232,
        '(', 630,
        ')', 631,
        ':', 96,
        '[', 641,
        '}', 602,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 20:
      if (lookahead == '\n') ADVANCE(1234);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1232);
      if (lookahead == ':') ADVANCE(605);
      if (lookahead == '=') ADVANCE(662);
      if (lookahead == 'o') ADVANCE(302);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(20);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '#', 1232,
        ':', 96,
        'a', 994,
        'b', 1038,
        'c', 1033,
        'd', 1036,
        'e', 1028,
        'f', 1009,
        'h', 1039,
        'i', 1022,
        'l', 1010,
        'o', 1044,
        'p', 985,
        'r', 997,
        's', 1004,
        't', 986,
        'u', 1027,
        'v', 1003,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(21);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 22:
      if (lookahead == '\n') ADVANCE(1234);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1232);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'c') ADVANCE(1035);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(22);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(1234);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1232);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(1028);
      if (lookahead == 'r') ADVANCE(997);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(23);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(1234);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1232);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(24);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(816);
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(1234);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1086);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(25);
      if (lookahead != 0) ADVANCE(1091);
      END_STATE();
    case 26:
      if (lookahead == '"') ADVANCE(1227);
      if (lookahead == '\\') ADVANCE(555);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(26);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(28);
      END_STATE();
    case 27:
      if (lookahead == '"') ADVANCE(1227);
      if (lookahead == '\\') ADVANCE(555);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(27);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(28);
      END_STATE();
    case 28:
      if (lookahead == '"') ADVANCE(1227);
      if (lookahead == '\\') ADVANCE(555);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(28);
      END_STATE();
    case 29:
      if (lookahead == '%') ADVANCE(585);
      END_STATE();
    case 30:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(1104);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 31:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(51);
      END_STATE();
    case 32:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(36);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(825);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 33:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 34:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1109);
      END_STATE();
    case 35:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 36:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 37:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 38:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(584);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 39:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(1105);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 40:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1117);
      END_STATE();
    case 41:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(37);
      END_STATE();
    case 42:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 44:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1117);
      END_STATE();
    case 46:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 47:
      if (lookahead == '%') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(29);
      END_STATE();
    case 48:
      if (lookahead == '%') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == '%') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1121);
      END_STATE();
    case 50:
      if (lookahead == '%') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (lookahead == '%') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == '+') ADVANCE(571);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1208);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 53:
      if (lookahead == '+') ADVANCE(571);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1209);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 54:
      if (lookahead == '+') ADVANCE(571);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1211);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 55:
      if (lookahead == '+') ADVANCE(571);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '.') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1211);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 56:
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == '0') ADVANCE(58);
      if (lookahead == ':') ADVANCE(90);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 57:
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == '8') ADVANCE(56);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 58:
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(30);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 59:
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'e') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 60:
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 61:
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 62:
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 63:
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1211);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1220);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 66:
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 67:
      if (lookahead == '.') ADVANCE(84);
      END_STATE();
    case 68:
      if (lookahead == '.') ADVANCE(84);
      if (lookahead == '5') ADVANCE(69);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(70);
      END_STATE();
    case 69:
      if (lookahead == '.') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(67);
      END_STATE();
    case 70:
      if (lookahead == '.') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 71:
      if (lookahead == '.') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == '.') ADVANCE(575);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 73:
      if (lookahead == '.') ADVANCE(573);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(73);
      END_STATE();
    case 74:
      if (lookahead == '.') ADVANCE(86);
      END_STATE();
    case 75:
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '5') ADVANCE(76);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(77);
      END_STATE();
    case 76:
      if (lookahead == '.') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(74);
      END_STATE();
    case 77:
      if (lookahead == '.') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      END_STATE();
    case 78:
      if (lookahead == '.') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 79:
      if (lookahead == '/') ADVANCE(1095);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(79);
      END_STATE();
    case 80:
      if (lookahead == '/') ADVANCE(1093);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(79);
      END_STATE();
    case 81:
      if (lookahead == '0') ADVANCE(1122);
      if (lookahead == '1') ADVANCE(1155);
      if (lookahead == '2') ADVANCE(1128);
      if (lookahead == ':') ADVANCE(584);
      if (('3' <= lookahead && lookahead <= '9')) ADVANCE(1156);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1195);
      END_STATE();
    case 82:
      if (lookahead == '0') ADVANCE(1122);
      if (lookahead == '1') ADVANCE(1155);
      if (lookahead == '2') ADVANCE(1128);
      if (('3' <= lookahead && lookahead <= '9')) ADVANCE(1156);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1195);
      END_STATE();
    case 83:
      if (lookahead == '0') ADVANCE(91);
      if (lookahead == ':') ADVANCE(90);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 84:
      if (lookahead == '1') ADVANCE(1199);
      if (lookahead == '2') ADVANCE(1167);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1198);
      END_STATE();
    case 85:
      if (lookahead == '1') ADVANCE(78);
      if (lookahead == '2') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 86:
      if (lookahead == '1') ADVANCE(71);
      if (lookahead == '2') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      END_STATE();
    case 87:
      if (lookahead == '1') ADVANCE(1149);
      if (lookahead == '2') ADVANCE(1127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1150);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1191);
      END_STATE();
    case 88:
      if (lookahead == '8') ADVANCE(83);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 89:
      if (lookahead == ':') ADVANCE(1160);
      END_STATE();
    case 90:
      if (lookahead == ':') ADVANCE(1165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 91:
      if (lookahead == ':') ADVANCE(30);
      END_STATE();
    case 92:
      if (lookahead == ':') ADVANCE(1096);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1202);
      END_STATE();
    case 93:
      if (lookahead == ':') ADVANCE(1203);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 94:
      if (lookahead == ':') ADVANCE(1161);
      END_STATE();
    case 95:
      if (lookahead == ':') ADVANCE(1166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 96:
      if (lookahead == ':') ADVANCE(584);
      END_STATE();
    case 97:
      if (lookahead == ':') ADVANCE(584);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1191);
      END_STATE();
    case 98:
      if (lookahead == ':') ADVANCE(584);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1195);
      END_STATE();
    case 99:
      if (lookahead == ':') ADVANCE(90);
      END_STATE();
    case 100:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'a') ADVANCE(110);
      if (lookahead == 'o') ADVANCE(417);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 101:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'a') ADVANCE(112);
      if (lookahead == 'e') ADVANCE(106);
      if (lookahead == 'o') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 102:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'a') ADVANCE(108);
      if (lookahead == 'e') ADVANCE(88);
      if (lookahead == 'i') ADVANCE(367);
      if (lookahead == 'o') ADVANCE(462);
      if (lookahead == 'u') ADVANCE(415);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 103:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'a') ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 104:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'd') ADVANCE(105);
      if (lookahead == 'n') ADVANCE(563);
      if (lookahead == 's') ADVANCE(673);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 105:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'd') ADVANCE(654);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 106:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'f') ADVANCE(103);
      if (lookahead == 'l') ADVANCE(290);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(116);
      END_STATE();
    case 107:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'l') ADVANCE(500);
      if (lookahead == 'n') ADVANCE(535);
      if (lookahead == 'v') ADVANCE(287);
      if (lookahead == 'x') ADVANCE(450);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 108:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'l') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 109:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(423);
      if (lookahead == 'r') ADVANCE(263);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 110:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 's') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 111:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 112:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'y') ADVANCE(1223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 113:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1215);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 114:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1219);
      END_STATE();
    case 115:
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1214);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 116:
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 117:
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 118:
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 119:
      if (lookahead == ':') ADVANCE(1204);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(131);
      END_STATE();
    case 120:
      if (lookahead == ':') ADVANCE(93);
      END_STATE();
    case 121:
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 122:
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 123:
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 124:
      if (lookahead == ':') ADVANCE(119);
      END_STATE();
    case 125:
      if (lookahead == ':') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 126:
      if (lookahead == ':') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 127:
      if (lookahead == ':') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 128:
      if (lookahead == ':') ADVANCE(92);
      END_STATE();
    case 129:
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 130:
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 131:
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 132:
      if (lookahead == ':') ADVANCE(136);
      END_STATE();
    case 133:
      if (lookahead == ':') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 134:
      if (lookahead == ':') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(133);
      END_STATE();
    case 135:
      if (lookahead == ':') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 136:
      if (lookahead == ':') ADVANCE(1162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(123);
      END_STATE();
    case 137:
      if (lookahead == ':') ADVANCE(141);
      END_STATE();
    case 138:
      if (lookahead == ':') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(140);
      END_STATE();
    case 139:
      if (lookahead == ':') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(138);
      END_STATE();
    case 140:
      if (lookahead == ':') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 141:
      if (lookahead == ':') ADVANCE(1163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 142:
      if (lookahead == ':') ADVANCE(146);
      END_STATE();
    case 143:
      if (lookahead == ':') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(145);
      END_STATE();
    case 144:
      if (lookahead == ':') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(143);
      END_STATE();
    case 145:
      if (lookahead == ':') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(142);
      END_STATE();
    case 146:
      if (lookahead == ':') ADVANCE(1164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(139);
      END_STATE();
    case 147:
      if (lookahead == 'A') ADVANCE(155);
      END_STATE();
    case 148:
      if (lookahead == 'D') ADVANCE(152);
      if (lookahead == 'F') ADVANCE(153);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        'D', 152,
        'F', 153,
        'd', 266,
        'e', 377,
        'i', 305,
        'l', 420,
        'p', 465,
        'u', 414,
      );
      END_STATE();
    case 150:
      if (lookahead == 'E') ADVANCE(156);
      END_STATE();
    case 151:
      if (lookahead == 'E') ADVANCE(818);
      END_STATE();
    case 152:
      if (lookahead == 'I') ADVANCE(157);
      END_STATE();
    case 153:
      if (lookahead == 'I') ADVANCE(154);
      END_STATE();
    case 154:
      if (lookahead == 'L') ADVANCE(150);
      END_STATE();
    case 155:
      if (lookahead == 'M') ADVANCE(151);
      END_STATE();
    case 156:
      if (lookahead == 'N') ADVANCE(147);
      END_STATE();
    case 157:
      if (lookahead == 'R') ADVANCE(817);
      END_STATE();
    case 158:
      if (lookahead == '_') ADVANCE(182);
      END_STATE();
    case 159:
      if (lookahead == '_') ADVANCE(189);
      END_STATE();
    case 160:
      if (lookahead == '_') ADVANCE(313);
      END_STATE();
    case 161:
      if (lookahead == '_') ADVANCE(209);
      END_STATE();
    case 162:
      if (lookahead == '_') ADVANCE(214);
      END_STATE();
    case 163:
      if (lookahead == '_') ADVANCE(430);
      END_STATE();
    case 164:
      if (lookahead == '_') ADVANCE(532);
      END_STATE();
    case 165:
      if (lookahead == '_') ADVANCE(265);
      END_STATE();
    case 166:
      if (lookahead == '_') ADVANCE(215);
      END_STATE();
    case 167:
      if (lookahead == '_') ADVANCE(330);
      END_STATE();
    case 168:
      if (lookahead == '_') ADVANCE(314);
      END_STATE();
    case 169:
      if (lookahead == '_') ADVANCE(315);
      END_STATE();
    case 170:
      if (lookahead == '_') ADVANCE(295);
      END_STATE();
    case 171:
      if (lookahead == '_') ADVANCE(297);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        'a', 228,
        'b', 179,
        'c', 470,
        'd', 242,
        'e', 484,
        'g', 468,
        'i', 490,
        'l', 419,
        'o', 399,
        'p', 486,
        'r', 174,
        't', 567,
        'w', 485,
      );
      END_STATE();
    case 173:
      if (lookahead == 'a') ADVANCE(518);
      if (lookahead == 'o') ADVANCE(445);
      if (lookahead == 'r') ADVANCE(351);
      if (lookahead == 'u') ADVANCE(494);
      END_STATE();
    case 174:
      if (lookahead == 'a') ADVANCE(552);
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 175:
      if (lookahead == 'a') ADVANCE(460);
      if (lookahead == 't') ADVANCE(344);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(813);
      END_STATE();
    case 177:
      if (lookahead == 'a') ADVANCE(197);
      if (lookahead == 'i') ADVANCE(386);
      if (lookahead == 'y') ADVANCE(452);
      END_STATE();
    case 178:
      if (lookahead == 'a') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 179:
      if (lookahead == 'a') ADVANCE(206);
      if (lookahead == 'r') ADVANCE(440);
      END_STATE();
    case 180:
      if (lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 181:
      if (lookahead == 'a') ADVANCE(361);
      END_STATE();
    case 182:
      if (lookahead == 'a') ADVANCE(496);
      if (lookahead == 'u') ADVANCE(502);
      END_STATE();
    case 183:
      if (lookahead == 'a') ADVANCE(562);
      END_STATE();
    case 184:
      if (lookahead == 'a') ADVANCE(362);
      END_STATE();
    case 185:
      if (lookahead == 'a') ADVANCE(219);
      END_STATE();
    case 186:
      if (lookahead == 'a') ADVANCE(546);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(363);
      END_STATE();
    case 188:
      if (lookahead == 'a') ADVANCE(221);
      END_STATE();
    case 189:
      if (lookahead == 'a') ADVANCE(380);
      if (lookahead == 's') ADVANCE(522);
      END_STATE();
    case 190:
      if (lookahead == 'a') ADVANCE(402);
      END_STATE();
    case 191:
      if (lookahead == 'a') ADVANCE(409);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(234);
      if (lookahead == 'd') ADVANCE(269);
      END_STATE();
    case 193:
      if (lookahead == 'a') ADVANCE(527);
      END_STATE();
    case 194:
      if (lookahead == 'a') ADVANCE(528);
      END_STATE();
    case 195:
      if (lookahead == 'a') ADVANCE(533);
      END_STATE();
    case 196:
      if (lookahead == 'b') ADVANCE(412);
      END_STATE();
    case 197:
      if (lookahead == 'b') ADVANCE(371);
      END_STATE();
    case 198:
      if (lookahead == 'b') ADVANCE(184);
      END_STATE();
    case 199:
      if (lookahead == 'b') ADVANCE(373);
      END_STATE();
    case 200:
      if (lookahead == 'c') ADVANCE(1223);
      END_STATE();
    case 201:
      if (lookahead == 'c') ADVANCE(1223);
      if (lookahead == 't') ADVANCE(698);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(732);
      END_STATE();
    case 203:
      if (lookahead == 'c') ADVANCE(737);
      END_STATE();
    case 204:
      if (lookahead == 'c') ADVANCE(738);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(329);
      if (lookahead == 'e') ADVANCE(201);
      if (lookahead == 't') ADVANCE(483);
      if (lookahead == 'u') ADVANCE(196);
      if (lookahead == 'w') ADVANCE(341);
      END_STATE();
    case 206:
      if (lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 207:
      if (lookahead == 'c') ADVANCE(383);
      END_STATE();
    case 208:
      if (lookahead == 'c') ADVANCE(181);
      END_STATE();
    case 209:
      if (lookahead == 'c') ADVANCE(328);
      END_STATE();
    case 210:
      if (lookahead == 'c') ADVANCE(446);
      END_STATE();
    case 211:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 212:
      if (lookahead == 'c') ADVANCE(521);
      END_STATE();
    case 213:
      if (lookahead == 'c') ADVANCE(429);
      if (lookahead == 'd') ADVANCE(264);
      if (lookahead == 't') ADVANCE(540);
      END_STATE();
    case 214:
      if (lookahead == 'c') ADVANCE(428);
      END_STATE();
    case 215:
      if (lookahead == 'c') ADVANCE(441);
      END_STATE();
    case 216:
      if (lookahead == 'c') ADVANCE(531);
      END_STATE();
    case 217:
      if (lookahead == 'c') ADVANCE(193);
      END_STATE();
    case 218:
      if (lookahead == 'c') ADVANCE(194);
      END_STATE();
    case 219:
      if (lookahead == 'd') ADVANCE(803);
      END_STATE();
    case 220:
      if (lookahead == 'd') ADVANCE(617);
      END_STATE();
    case 221:
      if (lookahead == 'd') ADVANCE(806);
      END_STATE();
    case 222:
      if (lookahead == 'd') ADVANCE(733);
      END_STATE();
    case 223:
      if (lookahead == 'd') ADVANCE(726);
      END_STATE();
    case 224:
      if (lookahead == 'd') ADVANCE(729);
      END_STATE();
    case 225:
      if (lookahead == 'd') ADVANCE(722);
      END_STATE();
    case 226:
      if (lookahead == 'd') ADVANCE(802);
      END_STATE();
    case 227:
      if (lookahead == 'd') ADVANCE(725);
      END_STATE();
    case 228:
      if (lookahead == 'd') ADVANCE(230);
      END_STATE();
    case 229:
      if (lookahead == 'd') ADVANCE(548);
      END_STATE();
    case 230:
      if (lookahead == 'd') ADVANCE(160);
      END_STATE();
    case 231:
      if (lookahead == 'd') ADVANCE(266);
      if (lookahead == 'e') ADVANCE(377);
      if (lookahead == 'i') ADVANCE(305);
      if (lookahead == 'l') ADVANCE(420);
      if (lookahead == 'p') ADVANCE(465);
      if (lookahead == 'u') ADVANCE(414);
      END_STATE();
    case 232:
      if (lookahead == 'd') ADVANCE(446);
      if (lookahead == 'n') ADVANCE(357);
      END_STATE();
    case 233:
      if (lookahead == 'd') ADVANCE(338);
      END_STATE();
    case 234:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 235:
      if (lookahead == 'd') ADVANCE(264);
      END_STATE();
    case 236:
      if (lookahead == 'd') ADVANCE(291);
      END_STATE();
    case 237:
      if (lookahead == 'd') ADVANCE(275);
      END_STATE();
    case 238:
      if (lookahead == 'd') ADVANCE(376);
      END_STATE();
    case 239:
      if (lookahead == 'd') ADVANCE(549);
      END_STATE();
    case 240:
      if (lookahead == 'e') ADVANCE(556);
      END_STATE();
    case 241:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 242:
      if (lookahead == 'e') ADVANCE(311);
      END_STATE();
    case 243:
      if (lookahead == 'e') ADVANCE(666);
      END_STATE();
    case 244:
      if (lookahead == 'e') ADVANCE(632);
      END_STATE();
    case 245:
      if (lookahead == 'e') ADVANCE(718);
      END_STATE();
    case 246:
      if (lookahead == 'e') ADVANCE(702);
      END_STATE();
    case 247:
      if (lookahead == 'e') ADVANCE(621);
      END_STATE();
    case 248:
      if (lookahead == 'e') ADVANCE(812);
      END_STATE();
    case 249:
      if (lookahead == 'e') ADVANCE(693);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(643);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(655);
      END_STATE();
    case 252:
      if (lookahead == 'e') ADVANCE(681);
      END_STATE();
    case 253:
      if (lookahead == 'e') ADVANCE(596);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(720);
      END_STATE();
    case 255:
      if (lookahead == 'e') ADVANCE(781);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(740);
      END_STATE();
    case 257:
      if (lookahead == 'e') ADVANCE(742);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(734);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(744);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(735);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(723);
      END_STATE();
    case 262:
      if (lookahead == 'e') ADVANCE(212);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(306);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(559);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(459);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(557);
      END_STATE();
    case 268:
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 269:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(390);
      if (lookahead == 'i') ADVANCE(372);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(491);
      END_STATE();
    case 273:
      if (lookahead == 'e') ADVANCE(309);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(474);
      END_STATE();
    case 275:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 276:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 278:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 279:
      if (lookahead == 'e') ADVANCE(403);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(469);
      END_STATE();
    case 281:
      if (lookahead == 'e') ADVANCE(226);
      END_STATE();
    case 282:
      if (lookahead == 'e') ADVANCE(464);
      END_STATE();
    case 283:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 284:
      if (lookahead == 'e') ADVANCE(512);
      END_STATE();
    case 285:
      if (lookahead == 'e') ADVANCE(217);
      END_STATE();
    case 286:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 287:
      if (lookahead == 'e') ADVANCE(407);
      END_STATE();
    case 288:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 289:
      if (lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(525);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(239);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(560);
      END_STATE();
    case 296:
      if (lookahead == 'e') ADVANCE(168);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(169);
      END_STATE();
    case 299:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 301:
      if (lookahead == 'f') ADVANCE(628);
      if (lookahead == 'n') ADVANCE(639);
      if (lookahead == 's') ADVANCE(759);
      END_STATE();
    case 302:
      if (lookahead == 'f') ADVANCE(696);
      END_STATE();
    case 303:
      if (lookahead == 'f') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(175);
      END_STATE();
    case 304:
      if (lookahead == 'f') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(529);
      END_STATE();
    case 305:
      if (lookahead == 'f') ADVANCE(808);
      END_STATE();
    case 306:
      if (lookahead == 'f') ADVANCE(612);
      END_STATE();
    case 307:
      if (lookahead == 'f') ADVANCE(731);
      END_STATE();
    case 308:
      if (lookahead == 'f') ADVANCE(811);
      END_STATE();
    case 309:
      if (lookahead == 'f') ADVANCE(809);
      END_STATE();
    case 310:
      if (lookahead == 'f') ADVANCE(810);
      END_STATE();
    case 311:
      if (lookahead == 'f') ADVANCE(186);
      if (lookahead == 'l') ADVANCE(292);
      if (lookahead == 'p') ADVANCE(477);
      END_STATE();
    case 312:
      if (lookahead == 'f') ADVANCE(332);
      END_STATE();
    case 313:
      if (lookahead == 'f') ADVANCE(544);
      END_STATE();
    case 314:
      if (lookahead == 'f') ADVANCE(545);
      END_STATE();
    case 315:
      if (lookahead == 'f') ADVANCE(547);
      END_STATE();
    case 316:
      if (lookahead == 'g') ADVANCE(727);
      END_STATE();
    case 317:
      if (lookahead == 'g') ADVANCE(685);
      END_STATE();
    case 318:
      if (lookahead == 'g') ADVANCE(384);
      END_STATE();
    case 319:
      if (lookahead == 'g') ADVANCE(327);
      END_STATE();
    case 320:
      if (lookahead == 'g') ADVANCE(492);
      END_STATE();
    case 321:
      if (lookahead == 'g') ADVANCE(256);
      END_STATE();
    case 322:
      if (lookahead == 'g') ADVANCE(413);
      END_STATE();
    case 323:
      if (lookahead == 'g') ADVANCE(348);
      END_STATE();
    case 324:
      if (lookahead == 'h') ADVANCE(270);
      END_STATE();
    case 325:
      if (lookahead == 'h') ADVANCE(814);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(634);
      END_STATE();
    case 327:
      if (lookahead == 'h') ADVANCE(649);
      END_STATE();
    case 328:
      if (lookahead == 'h') ADVANCE(190);
      END_STATE();
    case 329:
      if (lookahead == 'h') ADVANCE(293);
      END_STATE();
    case 330:
      if (lookahead == 'h') ADVANCE(191);
      END_STATE();
    case 331:
      if (lookahead == 'h') ADVANCE(476);
      END_STATE();
    case 332:
      if (lookahead == 'i') ADVANCE(558);
      END_STATE();
    case 333:
      if (lookahead == 'i') ADVANCE(495);
      if (lookahead == 'o') ADVANCE(208);
      END_STATE();
    case 334:
      if (lookahead == 'i') ADVANCE(388);
      if (lookahead == 'o') ADVANCE(229);
      if (lookahead == 's') ADVANCE(271);
      END_STATE();
    case 335:
      if (lookahead == 'i') ADVANCE(388);
      if (lookahead == 's') ADVANCE(271);
      END_STATE();
    case 336:
      if (lookahead == 'i') ADVANCE(207);
      if (lookahead == 't') ADVANCE(210);
      if (lookahead == 'u') ADVANCE(232);
      END_STATE();
    case 337:
      if (lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 338:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 339:
      if (lookahead == 'i') ADVANCE(320);
      END_STATE();
    case 340:
      if (lookahead == 'i') ADVANCE(401);
      END_STATE();
    case 341:
      if (lookahead == 'i') ADVANCE(520);
      END_STATE();
    case 342:
      if (lookahead == 'i') ADVANCE(427);
      END_STATE();
    case 343:
      if (lookahead == 'i') ADVANCE(444);
      END_STATE();
    case 344:
      if (lookahead == 'i') ADVANCE(431);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(435);
      END_STATE();
    case 346:
      if (lookahead == 'i') ADVANCE(436);
      END_STATE();
    case 347:
      if (lookahead == 'i') ADVANCE(516);
      END_STATE();
    case 348:
      if (lookahead == 'i') ADVANCE(398);
      END_STATE();
    case 349:
      if (lookahead == 'i') ADVANCE(524);
      END_STATE();
    case 350:
      if (lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 351:
      if (lookahead == 'i') ADVANCE(410);
      END_STATE();
    case 352:
      if (lookahead == 'i') ADVANCE(479);
      END_STATE();
    case 353:
      if (lookahead == 'i') ADVANCE(481);
      END_STATE();
    case 354:
      if (lookahead == 'i') ADVANCE(482);
      END_STATE();
    case 355:
      if (lookahead == 'k') ADVANCE(715);
      END_STATE();
    case 356:
      if (lookahead == 'k') ADVANCE(647);
      END_STATE();
    case 357:
      if (lookahead == 'k') ADVANCE(411);
      END_STATE();
    case 358:
      if (lookahead == 'k') ADVANCE(279);
      END_STATE();
    case 359:
      if (lookahead == 'k') ADVANCE(280);
      END_STATE();
    case 360:
      if (lookahead == 'l') ADVANCE(677);
      END_STATE();
    case 361:
      if (lookahead == 'l') ADVANCE(657);
      END_STATE();
    case 362:
      if (lookahead == 'l') ADVANCE(603);
      END_STATE();
    case 363:
      if (lookahead == 'l') ADVANCE(728);
      END_STATE();
    case 364:
      if (lookahead == 'l') ADVANCE(424);
      END_STATE();
    case 365:
      if (lookahead == 'l') ADVANCE(538);
      END_STATE();
    case 366:
      if (lookahead == 'l') ADVANCE(517);
      END_STATE();
    case 367:
      if (lookahead == 'l') ADVANCE(245);
      END_STATE();
    case 368:
      if (lookahead == 'l') ADVANCE(513);
      END_STATE();
    case 369:
      if (lookahead == 'l') ADVANCE(514);
      END_STATE();
    case 370:
      if (lookahead == 'l') ADVANCE(438);
      END_STATE();
    case 371:
      if (lookahead == 'l') ADVANCE(249);
      END_STATE();
    case 372:
      if (lookahead == 'l') ADVANCE(250);
      END_STATE();
    case 373:
      if (lookahead == 'l') ADVANCE(252);
      END_STATE();
    case 374:
      if (lookahead == 'l') ADVANCE(253);
      END_STATE();
    case 375:
      if (lookahead == 'l') ADVANCE(255);
      END_STATE();
    case 376:
      if (lookahead == 'l') ADVANCE(282);
      END_STATE();
    case 377:
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'n') ADVANCE(233);
      END_STATE();
    case 378:
      if (lookahead == 'l') ADVANCE(439);
      END_STATE();
    case 379:
      if (lookahead == 'l') ADVANCE(536);
      END_STATE();
    case 380:
      if (lookahead == 'l') ADVANCE(370);
      END_STATE();
    case 381:
      if (lookahead == 'l') ADVANCE(267);
      END_STATE();
    case 382:
      if (lookahead == 'm') ADVANCE(614);
      END_STATE();
    case 383:
      if (lookahead == 'm') ADVANCE(446);
      END_STATE();
    case 384:
      if (lookahead == 'm') ADVANCE(176);
      END_STATE();
    case 385:
      if (lookahead == 'm') ADVANCE(451);
      END_STATE();
    case 386:
      if (lookahead == 'm') ADVANCE(246);
      END_STATE();
    case 387:
      if (lookahead == 'm') ADVANCE(397);
      END_STATE();
    case 388:
      if (lookahead == 'n') ADVANCE(1223);
      END_STATE();
    case 389:
      if (lookahead == 'n') ADVANCE(639);
      if (lookahead == 's') ADVANCE(759);
      END_STATE();
    case 390:
      if (lookahead == 'n') ADVANCE(659);
      END_STATE();
    case 391:
      if (lookahead == 'n') ADVANCE(1207);
      END_STATE();
    case 392:
      if (lookahead == 'n') ADVANCE(705);
      END_STATE();
    case 393:
      if (lookahead == 'n') ADVANCE(608);
      END_STATE();
    case 394:
      if (lookahead == 'n') ADVANCE(651);
      END_STATE();
    case 395:
      if (lookahead == 'n') ADVANCE(689);
      END_STATE();
    case 396:
      if (lookahead == 'n') ADVANCE(712);
      END_STATE();
    case 397:
      if (lookahead == 'n') ADVANCE(743);
      END_STATE();
    case 398:
      if (lookahead == 'n') ADVANCE(805);
      END_STATE();
    case 399:
      if (lookahead == 'n') ADVANCE(161);
      if (lookahead == 'p') ADVANCE(530);
      if (lookahead == 'r') ADVANCE(236);
      END_STATE();
    case 400:
      if (lookahead == 'n') ADVANCE(342);
      if (lookahead == 's') ADVANCE(271);
      END_STATE();
    case 401:
      if (lookahead == 'n') ADVANCE(317);
      END_STATE();
    case 402:
      if (lookahead == 'n') ADVANCE(321);
      END_STATE();
    case 403:
      if (lookahead == 'n') ADVANCE(222);
      END_STATE();
    case 404:
      if (lookahead == 'n') ADVANCE(202);
      END_STATE();
    case 405:
      if (lookahead == 'n') ADVANCE(507);
      END_STATE();
    case 406:
      if (lookahead == 'n') ADVANCE(203);
      END_STATE();
    case 407:
      if (lookahead == 'n') ADVANCE(508);
      END_STATE();
    case 408:
      if (lookahead == 'n') ADVANCE(204);
      END_STATE();
    case 409:
      if (lookahead == 'n') ADVANCE(238);
      END_STATE();
    case 410:
      if (lookahead == 'n') ADVANCE(509);
      END_STATE();
    case 411:
      if (lookahead == 'n') ADVANCE(422);
      END_STATE();
    case 412:
      if (lookahead == 'n') ADVANCE(284);
      END_STATE();
    case 413:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 414:
      if (lookahead == 'n') ADVANCE(378);
      END_STATE();
    case 415:
      if (lookahead == 'n') ADVANCE(216);
      END_STATE();
    case 416:
      if (lookahead == 'n') ADVANCE(499);
      END_STATE();
    case 417:
      if (lookahead == 'n') ADVANCE(499);
      if (lookahead == 'p') ADVANCE(564);
      if (lookahead == 'u') ADVANCE(405);
      END_STATE();
    case 418:
      if (lookahead == 'n') ADVANCE(187);
      END_STATE();
    case 419:
      if (lookahead == 'o') ADVANCE(316);
      END_STATE();
    case 420:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 421:
      if (lookahead == 'o') ADVANCE(355);
      END_STATE();
    case 422:
      if (lookahead == 'o') ADVANCE(553);
      END_STATE();
    case 423:
      if (lookahead == 'o') ADVANCE(360);
      END_STATE();
    case 424:
      if (lookahead == 'o') ADVANCE(198);
      END_STATE();
    case 425:
      if (lookahead == 'o') ADVANCE(421);
      if (lookahead == 'r') ADVANCE(1223);
      END_STATE();
    case 426:
      if (lookahead == 'o') ADVANCE(537);
      END_STATE();
    case 427:
      if (lookahead == 'o') ADVANCE(392);
      END_STATE();
    case 428:
      if (lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 429:
      if (lookahead == 'o') ADVANCE(467);
      END_STATE();
    case 430:
      if (lookahead == 'o') ADVANCE(541);
      END_STATE();
    case 431:
      if (lookahead == 'o') ADVANCE(393);
      END_STATE();
    case 432:
      if (lookahead == 'o') ADVANCE(466);
      END_STATE();
    case 433:
      if (lookahead == 'o') ADVANCE(539);
      END_STATE();
    case 434:
      if (lookahead == 'o') ADVANCE(463);
      END_STATE();
    case 435:
      if (lookahead == 'o') ADVANCE(418);
      END_STATE();
    case 436:
      if (lookahead == 'o') ADVANCE(396);
      END_STATE();
    case 437:
      if (lookahead == 'o') ADVANCE(416);
      END_STATE();
    case 438:
      if (lookahead == 'o') ADVANCE(554);
      END_STATE();
    case 439:
      if (lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 440:
      if (lookahead == 'o') ADVANCE(359);
      END_STATE();
    case 441:
      if (lookahead == 'o') ADVANCE(385);
      END_STATE();
    case 442:
      if (lookahead == 'o') ADVANCE(475);
      END_STATE();
    case 443:
      if (lookahead == 'o') ADVANCE(480);
      END_STATE();
    case 444:
      if (lookahead == 'o') ADVANCE(487);
      END_STATE();
    case 445:
      if (lookahead == 'p') ADVANCE(815);
      if (lookahead == 'r') ADVANCE(505);
      END_STATE();
    case 446:
      if (lookahead == 'p') ADVANCE(1207);
      END_STATE();
    case 447:
      if (lookahead == 'p') ADVANCE(739);
      END_STATE();
    case 448:
      if (lookahead == 'p') ADVANCE(350);
      END_STATE();
    case 449:
      if (lookahead == 'p') ADVANCE(365);
      if (lookahead == 's') ADVANCE(339);
      END_STATE();
    case 450:
      if (lookahead == 'p') ADVANCE(442);
      END_STATE();
    case 451:
      if (lookahead == 'p') ADVANCE(381);
      END_STATE();
    case 452:
      if (lookahead == 'p') ADVANCE(247);
      END_STATE();
    case 453:
      if (lookahead == 'p') ADVANCE(286);
      END_STATE();
    case 454:
      if (lookahead == 'p') ADVANCE(261);
      END_STATE();
    case 455:
      if (lookahead == 'p') ADVANCE(542);
      END_STATE();
    case 456:
      if (lookahead == 'p') ADVANCE(352);
      END_STATE();
    case 457:
      if (lookahead == 'p') ADVANCE(353);
      END_STATE();
    case 458:
      if (lookahead == 'p') ADVANCE(354);
      END_STATE();
    case 459:
      if (lookahead == 'p') ADVANCE(488);
      END_STATE();
    case 460:
      if (lookahead == 'q') ADVANCE(543);
      END_STATE();
    case 461:
      if (lookahead == 'r') ADVANCE(1223);
      END_STATE();
    case 462:
      if (lookahead == 'r') ADVANCE(636);
      END_STATE();
    case 463:
      if (lookahead == 'r') ADVANCE(709);
      END_STATE();
    case 464:
      if (lookahead == 'r') ADVANCE(724);
      END_STATE();
    case 465:
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 466:
      if (lookahead == 'r') ADVANCE(167);
      END_STATE();
    case 467:
      if (lookahead == 'r') ADVANCE(220);
      END_STATE();
    case 468:
      if (lookahead == 'r') ADVANCE(426);
      END_STATE();
    case 469:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 470:
      if (lookahead == 'r') ADVANCE(268);
      END_STATE();
    case 471:
      if (lookahead == 'r') ADVANCE(432);
      END_STATE();
    case 472:
      if (lookahead == 'r') ADVANCE(394);
      END_STATE();
    case 473:
      if (lookahead == 'r') ADVANCE(395);
      END_STATE();
    case 474:
      if (lookahead == 'r') ADVANCE(510);
      END_STATE();
    case 475:
      if (lookahead == 'r') ADVANCE(511);
      END_STATE();
    case 476:
      if (lookahead == 'r') ADVANCE(433);
      END_STATE();
    case 477:
      if (lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 478:
      if (lookahead == 'r') ADVANCE(277);
      END_STATE();
    case 479:
      if (lookahead == 'r') ADVANCE(257);
      END_STATE();
    case 480:
      if (lookahead == 'r') ADVANCE(258);
      END_STATE();
    case 481:
      if (lookahead == 'r') ADVANCE(259);
      END_STATE();
    case 482:
      if (lookahead == 'r') ADVANCE(260);
      END_STATE();
    case 483:
      if (lookahead == 'r') ADVANCE(340);
      END_STATE();
    case 484:
      if (lookahead == 'r') ADVANCE(471);
      if (lookahead == 'x') ADVANCE(448);
      END_STATE();
    case 485:
      if (lookahead == 'r') ADVANCE(349);
      END_STATE();
    case 486:
      if (lookahead == 'r') ADVANCE(343);
      END_STATE();
    case 487:
      if (lookahead == 'r') ADVANCE(347);
      END_STATE();
    case 488:
      if (lookahead == 'r') ADVANCE(294);
      END_STATE();
    case 489:
      if (lookahead == 'r') ADVANCE(298);
      END_STATE();
    case 490:
      if (lookahead == 's') ADVANCE(158);
      END_STATE();
    case 491:
      if (lookahead == 's') ADVANCE(807);
      END_STATE();
    case 492:
      if (lookahead == 's') ADVANCE(804);
      END_STATE();
    case 493:
      if (lookahead == 's') ADVANCE(670);
      END_STATE();
    case 494:
      if (lookahead == 's') ADVANCE(325);
      END_STATE();
    case 495:
      if (lookahead == 's') ADVANCE(503);
      END_STATE();
    case 496:
      if (lookahead == 's') ADVANCE(497);
      END_STATE();
    case 497:
      if (lookahead == 's') ADVANCE(337);
      END_STATE();
    case 498:
      if (lookahead == 's') ADVANCE(271);
      END_STATE();
    case 499:
      if (lookahead == 's') ADVANCE(506);
      END_STATE();
    case 500:
      if (lookahead == 's') ADVANCE(244);
      END_STATE();
    case 501:
      if (lookahead == 's') ADVANCE(248);
      END_STATE();
    case 502:
      if (lookahead == 's') ADVANCE(276);
      END_STATE();
    case 503:
      if (lookahead == 't') ADVANCE(707);
      END_STATE();
    case 504:
      if (lookahead == 't') ADVANCE(645);
      END_STATE();
    case 505:
      if (lookahead == 't') ADVANCE(691);
      END_STATE();
    case 506:
      if (lookahead == 't') ADVANCE(610);
      END_STATE();
    case 507:
      if (lookahead == 't') ADVANCE(679);
      END_STATE();
    case 508:
      if (lookahead == 't') ADVANCE(625);
      END_STATE();
    case 509:
      if (lookahead == 't') ADVANCE(623);
      END_STATE();
    case 510:
      if (lookahead == 't') ADVANCE(664);
      END_STATE();
    case 511:
      if (lookahead == 't') ADVANCE(599);
      END_STATE();
    case 512:
      if (lookahead == 't') ADVANCE(687);
      END_STATE();
    case 513:
      if (lookahead == 't') ADVANCE(668);
      END_STATE();
    case 514:
      if (lookahead == 't') ADVANCE(736);
      END_STATE();
    case 515:
      if (lookahead == 't') ADVANCE(730);
      END_STATE();
    case 516:
      if (lookahead == 't') ADVANCE(565);
      END_STATE();
    case 517:
      if (lookahead == 't') ADVANCE(331);
      END_STATE();
    case 518:
      if (lookahead == 't') ADVANCE(523);
      END_STATE();
    case 519:
      if (lookahead == 't') ADVANCE(455);
      END_STATE();
    case 520:
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 521:
      if (lookahead == 't') ADVANCE(434);
      END_STATE();
    case 522:
      if (lookahead == 't') ADVANCE(443);
      END_STATE();
    case 523:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 524:
      if (lookahead == 't') ADVANCE(299);
      END_STATE();
    case 525:
      if (lookahead == 't') ADVANCE(251);
      END_STATE();
    case 526:
      if (lookahead == 't') ADVANCE(296);
      END_STATE();
    case 527:
      if (lookahead == 't') ADVANCE(278);
      END_STATE();
    case 528:
      if (lookahead == 't') ADVANCE(281);
      END_STATE();
    case 529:
      if (lookahead == 't') ADVANCE(344);
      END_STATE();
    case 530:
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 531:
      if (lookahead == 't') ADVANCE(346);
      END_STATE();
    case 532:
      if (lookahead == 't') ADVANCE(568);
      END_STATE();
    case 533:
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 534:
      if (lookahead == 'u') ADVANCE(415);
      END_STATE();
    case 535:
      if (lookahead == 'u') ADVANCE(382);
      END_STATE();
    case 536:
      if (lookahead == 'u') ADVANCE(387);
      END_STATE();
    case 537:
      if (lookahead == 'u') ADVANCE(447);
      END_STATE();
    case 538:
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 539:
      if (lookahead == 'u') ADVANCE(319);
      END_STATE();
    case 540:
      if (lookahead == 'u') ADVANCE(472);
      END_STATE();
    case 541:
      if (lookahead == 'u') ADVANCE(519);
      END_STATE();
    case 542:
      if (lookahead == 'u') ADVANCE(515);
      END_STATE();
    case 543:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 544:
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 545:
      if (lookahead == 'u') ADVANCE(406);
      END_STATE();
    case 546:
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 547:
      if (lookahead == 'u') ADVANCE(408);
      END_STATE();
    case 548:
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 549:
      if (lookahead == 'u') ADVANCE(375);
      END_STATE();
    case 550:
      if (lookahead == 'u') ADVANCE(199);
      END_STATE();
    case 551:
      if (lookahead == 'v') ADVANCE(287);
      if (lookahead == 'x') ADVANCE(450);
      END_STATE();
    case 552:
      if (lookahead == 'w') ADVANCE(163);
      END_STATE();
    case 553:
      if (lookahead == 'w') ADVANCE(391);
      END_STATE();
    case 554:
      if (lookahead == 'w') ADVANCE(166);
      END_STATE();
    case 555:
      if (lookahead == 'x') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(26);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(28);
      END_STATE();
    case 556:
      if (lookahead == 'x') ADVANCE(504);
      END_STATE();
    case 557:
      if (lookahead == 'x') ADVANCE(164);
      END_STATE();
    case 558:
      if (lookahead == 'x') ADVANCE(272);
      END_STATE();
    case 559:
      if (lookahead == 'x') ADVANCE(456);
      END_STATE();
    case 560:
      if (lookahead == 'x') ADVANCE(457);
      END_STATE();
    case 561:
      if (lookahead == 'x') ADVANCE(458);
      END_STATE();
    case 562:
      if (lookahead == 'y') ADVANCE(1223);
      END_STATE();
    case 563:
      if (lookahead == 'y') ADVANCE(675);
      END_STATE();
    case 564:
      if (lookahead == 'y') ADVANCE(777);
      END_STATE();
    case 565:
      if (lookahead == 'y') ADVANCE(741);
      END_STATE();
    case 566:
      if (lookahead == 'y') ADVANCE(452);
      END_STATE();
    case 567:
      if (lookahead == 'y') ADVANCE(453);
      END_STATE();
    case 568:
      if (lookahead == 'y') ADVANCE(454);
      END_STATE();
    case 569:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1219);
      END_STATE();
    case 570:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1216);
      END_STATE();
    case 571:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1219);
      END_STATE();
    case 572:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(73);
      END_STATE();
    case 573:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1206);
      END_STATE();
    case 574:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 575:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1205);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 576:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 577:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1221);
      END_STATE();
    case 578:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1180);
      END_STATE();
    case 579:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1183);
      END_STATE();
    case 580:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1202);
      END_STATE();
    case 581:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1187);
      END_STATE();
    case 582:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1191);
      END_STATE();
    case 583:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1195);
      END_STATE();
    case 584:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 585:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1096);
      END_STATE();
    case 586:
      if (eof) ADVANCE(595);
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 769,
        '(', 630,
        '*', 761,
        '+', 757,
        ',', 638,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 783,
        ':', 94,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '^', 771,
        '_', 1073,
        'a', 962,
        'b', 973,
        'c', 971,
        'd', 964,
        'e', 978,
        'f', 958,
        'h', 914,
        'i', 871,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 831,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(586);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 587:
      if (eof) ADVANCE(595);
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 769,
        '(', 630,
        '*', 761,
        '+', 757,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 783,
        ':', 94,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '^', 771,
        '_', 1073,
        'a', 962,
        'b', 973,
        'c', 971,
        'd', 964,
        'e', 970,
        'f', 958,
        'h', 914,
        'i', 871,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 829,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(587);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 588:
      if (eof) ADVANCE(595);
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 769,
        '(', 630,
        '*', 761,
        '+', 757,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 783,
        ':', 94,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '^', 771,
        '_', 1073,
        'a', 962,
        'b', 973,
        'c', 971,
        'd', 964,
        'e', 970,
        'f', 958,
        'h', 914,
        'i', 871,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 831,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(588);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 589:
      if (eof) ADVANCE(595);
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 751,
        '"', 28,
        '#', 1232,
        '$', 745,
        '%', 764,
        '&', 769,
        '(', 630,
        '*', 761,
        '+', 757,
        '-', 754,
        '.', 570,
        '/', 763,
        '0', 783,
        ':', 94,
        ';', 598,
        '<', 765,
        '=', 663,
        '>', 767,
        '?', 772,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '^', 771,
        '_', 1073,
        'a', 962,
        'b', 973,
        'c', 971,
        'd', 964,
        'e', 978,
        'f', 958,
        'h', 914,
        'i', 871,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 829,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 747,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(589);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 590:
      if (eof) ADVANCE(595);
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '&', 172,
        '(', 630,
        ')', 631,
        '+', 757,
        ',', 638,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '=', 662,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'a', 961,
        'b', 973,
        'c', 971,
        'd', 964,
        'e', 977,
        'f', 958,
        'g', 890,
        'h', 914,
        'i', 872,
        'l', 907,
        'm', 908,
        'n', 849,
        'o', 919,
        'p', 923,
        'r', 850,
        's', 837,
        't', 830,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 746,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(590);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 591:
      if (eof) ADVANCE(595);
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '(', 630,
        ')', 631,
        '+', 756,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'a', 961,
        'b', 973,
        'c', 971,
        'd', 964,
        'e', 970,
        'f', 958,
        'h', 914,
        'i', 872,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 829,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 746,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(591);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 592:
      if (eof) ADVANCE(595);
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '(', 630,
        ')', 631,
        '+', 756,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'a', 961,
        'b', 973,
        'c', 971,
        'd', 964,
        'e', 970,
        'f', 958,
        'h', 914,
        'i', 872,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 831,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 746,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(592);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 593:
      if (eof) ADVANCE(595);
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '(', 630,
        ')', 631,
        '+', 756,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'a', 961,
        'b', 973,
        'c', 971,
        'd', 964,
        'e', 978,
        'f', 958,
        'h', 914,
        'i', 872,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 829,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 746,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(593);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 594:
      if (eof) ADVANCE(595);
      ADVANCE_MAP(
        '\n', 1234,
        '\r', 1,
        '!', 750,
        '"', 28,
        '#', 1232,
        '$', 745,
        '(', 630,
        ')', 631,
        '+', 756,
        '-', 753,
        '.', 570,
        '/', 79,
        '0', 783,
        ':', 94,
        ';', 598,
        '@', 149,
        'F', 799,
        'T', 797,
        '[', 641,
        '_', 1073,
        'a', 961,
        'b', 973,
        'c', 971,
        'd', 964,
        'e', 978,
        'f', 958,
        'h', 914,
        'i', 872,
        'l', 907,
        'n', 849,
        'p', 923,
        'r', 858,
        's', 837,
        't', 831,
        'v', 863,
        'w', 876,
        '{', 601,
        '|', 746,
        '}', 602,
        '~', 752,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(594);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(981);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(784);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(1160);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(1161);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_option);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_option);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_redef);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_redef);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_record);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_record);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_record);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_print);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_event);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_event);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_switch);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_next);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_next);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(anon_sym_add);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(982);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym_add);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_delete);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_local);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym_when);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(anon_sym_timeout);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(773);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(anon_sym_assert);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 's') ADVANCE(864);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(274);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(anon_sym_addr);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(anon_sym_count);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(anon_sym_count);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(anon_sym_double);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(anon_sym_double);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(1048);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(anon_sym_interval);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(anon_sym_subnet);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(anon_sym_subnet);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(anon_sym_pattern);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(anon_sym_pattern);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(anon_sym_port);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym_port);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(anon_sym_table);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(anon_sym_table);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(anon_sym_table);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_time);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(704);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(anon_sym_time);
      if (lookahead == 'r') ADVANCE(703);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_timer);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(anon_sym_timer);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(anon_sym_union);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(anon_sym_list);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(anon_sym_list);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(anon_sym_vector);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(anon_sym_vector);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(anon_sym_vector);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(anon_sym_hook);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(anon_sym_hook);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(anon_sym_hook);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(anon_sym_file);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(anon_sym_file);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(anon_sym_opaque);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(anon_sym_opaque);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(anon_sym_AMPdeprecated);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(anon_sym_AMPbroker_allow_complex_type);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(anon_sym_AMPerror_handler);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(anon_sym_AMPis_assigned);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(anon_sym_AMPis_used);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(anon_sym_AMPlog);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(anon_sym_AMPoptional);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(anon_sym_AMPordered);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_AMPraw_output);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(anon_sym_AMPredef);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(anon_sym_AMPadd_func);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(anon_sym_AMPbackend);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(anon_sym_AMPbroker_store);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(anon_sym_AMPcreate_expire);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(anon_sym_AMPdefault);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(anon_sym_AMPdelete_func);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(anon_sym_AMPexpire_func);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(anon_sym_AMPgroup);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(anon_sym_AMPon_change);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(anon_sym_AMPpriority);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(anon_sym_AMPread_expire);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(anon_sym_AMPtype_column);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(anon_sym_AMPwrite_expire);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(776);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(774);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(749);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(749);
      if (lookahead == '=') ADVANCE(620);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(620);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(748);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(748);
      if (lookahead == '=') ADVANCE(616);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(616);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(1095);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(79);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(766);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(768);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(775);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(anon_sym_AMP);
      ADVANCE_MAP(
        '&', 775,
        'a', 228,
        'b', 179,
        'c', 470,
        'd', 242,
        'e', 484,
        'g', 468,
        'i', 490,
        'l', 419,
        'o', 399,
        'p', 486,
        'r', 174,
        't', 567,
        'w', 485,
      );
      END_STATE();
    case 771:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '$') ADVANCE(780);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(anon_sym_copy);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(anon_sym_copy);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(anon_sym_copy);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(anon_sym_QMARK_DOLLAR);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(anon_sym_schedule);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(anon_sym_schedule);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1218);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'x') ADVANCE(65);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(52);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(787);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1218);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(52);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(787);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1218);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(788);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1218);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(785);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1218);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(53);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(786);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1218);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(788);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1217);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'x') ADVANCE(577);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(113);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(793);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1217);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(113);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(793);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1217);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(569);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(794);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1217);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(114);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(791);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1217);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(792);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1217);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(569);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(794);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(795);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(anon_sym_T);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(anon_sym_T);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(anon_sym_T);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(anon_sym_F);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(anon_sym_F);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(anon_sym_F);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(anon_sym_ATdeprecated);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(anon_sym_ATload);
      if (lookahead == '-') ADVANCE(449);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(anon_sym_ATload_DASHsigs);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(anon_sym_ATload_DASHplugin);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(anon_sym_ATunload);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(anon_sym_ATprefixes);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(anon_sym_ATif);
      if (lookahead == 'd') ADVANCE(273);
      if (lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(anon_sym_ATifdef);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(anon_sym_ATifndef);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(anon_sym_ATendif);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(anon_sym_ATelse);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(anon_sym_ATpragma);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(anon_sym_push);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(anon_sym_pop);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_pragma_token1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(816);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(anon_sym_ATDIR);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(anon_sym_ATFILENAME);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(819);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(820);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(826);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(824);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == '0') ADVANCE(957);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(982);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == '8') ADVANCE(827);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(980);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'a') ADVANCE(835);
      if (lookahead == 'i') ADVANCE(897);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'a') ADVANCE(835);
      if (lookahead == 'y') ADVANCE(922);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'a') ADVANCE(835);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'a') ADVANCE(887);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'a') ADVANCE(888);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'a') ADVANCE(889);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'b') ADVANCE(892);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'b') ADVANCE(834);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'c') ADVANCE(880);
      if (lookahead == 'e') ADVANCE(934);
      if (lookahead == 'w') ADVANCE(882);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'c') ADVANCE(880);
      if (lookahead == 'e') ADVANCE(934);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'c') ADVANCE(833);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'c') ADVANCE(877);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'c') ADVANCE(946);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'c') ADVANCE(912);
      if (lookahead == 'd') ADVANCE(861);
      if (lookahead == 't') ADVANCE(950);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'c') ADVANCE(912);
      if (lookahead == 't') ADVANCE(950);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'c') ADVANCE(912);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'c') ADVANCE(948);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'd') ADVANCE(952);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'd') ADVANCE(618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'd') ADVANCE(953);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(954);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(842);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(832);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(622);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(694);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(644);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(656);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(597);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(782);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(843);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(667);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(873);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(905);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(841);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(929);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(898);
      if (lookahead == 'i') ADVANCE(893);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(898);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(844);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(947);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(915);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(848);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'f') ADVANCE(629);
      if (lookahead == 'n') ADVANCE(640);
      if (lookahead == 's') ADVANCE(760);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'f') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'f') ADVANCE(613);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'f') ADVANCE(697);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'g') ADVANCE(878);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'h') ADVANCE(865);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'h') ADVANCE(635);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'h') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'h') ADVANCE(928);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'h') ADVANCE(870);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'h') ADVANCE(866);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'i') ADVANCE(945);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'i') ADVANCE(913);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'i') ADVANCE(917);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'i') ADVANCE(906);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'k') ADVANCE(716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'k') ADVANCE(648);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(658);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(604);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(910);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(943);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(853);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(854);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(941);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(856);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(857);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'm') ADVANCE(869);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'n') ADVANCE(660);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'n') ADVANCE(609);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'n') ADVANCE(652);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'n') ADVANCE(713);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'n') ADVANCE(640);
      if (lookahead == 's') ADVANCE(760);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'n') ADVANCE(932);
      if (lookahead == 'p') ADVANCE(955);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'n') ADVANCE(845);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'n') ADVANCE(937);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'n') ADVANCE(938);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(839);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(846);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(886);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(836);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(949);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(926);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(899);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(909);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(951);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(925);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(901);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(930);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'p') ADVANCE(944);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'p') ADVANCE(955);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'p') ADVANCE(918);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'p') ADVANCE(852);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'r') ADVANCE(885);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'r') ADVANCE(637);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'r') ADVANCE(710);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'r') ADVANCE(847);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'r') ADVANCE(900);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'r') ADVANCE(911);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'r') ADVANCE(939);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'r') ADVANCE(940);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 's') ADVANCE(864);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 's') ADVANCE(936);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 's') ADVANCE(860);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(699);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(646);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(624);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(665);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(600);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(661);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(879);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(883);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(840);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(916);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(855);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 't') ADVANCE(884);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'u') ADVANCE(875);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'u') ADVANCE(927);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'u') ADVANCE(942);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'u') ADVANCE(895);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'u') ADVANCE(896);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'x') ADVANCE(935);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'y') ADVANCE(778);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(39);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym_id);
      ADVANCE_MAP(
        '-', 66,
        '.', 574,
        ':', 95,
        '_', 1073,
        'a', 968,
        'e', 828,
        'o', 924,
        'u', 904,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'a') ADVANCE(975);
      if (lookahead == 'o') ADVANCE(903);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'a') ADVANCE(976);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(982);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'd') ADVANCE(963);
      if (lookahead == 's') ADVANCE(931);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'd') ADVANCE(963);
      if (lookahead == 's') ADVANCE(671);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'd') ADVANCE(653);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(980);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(969);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(828);
      if (lookahead == 'u') ADVANCE(904);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'e') ADVANCE(967);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'f') ADVANCE(960);
      if (lookahead == 'l') ADVANCE(868);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(980);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(891);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(980);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(868);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(980);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'l') ADVANCE(933);
      if (lookahead == 'v') ADVANCE(862);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(903);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'o') ADVANCE(920);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'r') ADVANCE(851);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 's') ADVANCE(672);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 's') ADVANCE(859);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(980);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'u') ADVANCE(894);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'v') ADVANCE(862);
      if (lookahead == 'x') ADVANCE(921);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (lookahead == 'v') ADVANCE(862);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(980);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(982);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(979);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == '_') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(956);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'a') ADVANCE(1046);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'a') ADVANCE(1063);
      if (lookahead == 'o') ADVANCE(1052);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'a') ADVANCE(989);
      if (lookahead == 'i') ADVANCE(1021);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'a') ADVANCE(1016);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'b') ADVANCE(1029);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'b') ADVANCE(1018);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'b') ADVANCE(1019);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'c') ADVANCE(1040);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'c') ADVANCE(1064);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'c') ADVANCE(1065);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'd') ADVANCE(996);
      if (lookahead == 'n') ADVANCE(1071);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'd') ADVANCE(619);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'd') ADVANCE(1047);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(991);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(719);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(701);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(682);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(721);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(992);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(1056);
      if (lookahead == 't') ADVANCE(1051);
      if (lookahead == 'u') ADVANCE(988);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(1053);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(1061);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'e') ADVANCE(1031);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'g') ADVANCE(686);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'i') ADVANCE(1017);
      if (lookahead == 'u') ADVANCE(1032);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'i') ADVANCE(1054);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'i') ADVANCE(1023);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'i') ADVANCE(1041);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'i') ADVANCE(1043);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'k') ADVANCE(717);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'l') ADVANCE(678);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'l') ADVANCE(684);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'l') ADVANCE(998);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'l') ADVANCE(1000);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'l') ADVANCE(1001);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'm') ADVANCE(615);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'm') ADVANCE(999);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(1055);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(1008);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(706);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(690);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(714);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(1012);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(1066);
      if (lookahead == 'v') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(1006);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(1059);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(1060);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'n') ADVANCE(993);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1068);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1014);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1045);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1069);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1015);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1037);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1034);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1050);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1024);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1049);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(1026);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'p') ADVANCE(984);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'p') ADVANCE(1072);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'q') ADVANCE(1067);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(674);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(1070);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(995);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(1011);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(1058);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(1025);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 's') ADVANCE(1057);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(683);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(708);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(692);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(680);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(627);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(688);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(1005);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(1062);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(1042);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 't') ADVANCE(1013);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'u') ADVANCE(1020);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'u') ADVANCE(1002);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'u') ADVANCE(1030);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'u') ADVANCE(990);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'v') ADVANCE(987);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'y') ADVANCE(676);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (lookahead == 'y') ADVANCE(779);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == 'f') ADVANCE(983);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1080);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == 'f') ADVANCE(1074);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1078);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == 'f') ADVANCE(1075);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1077);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1078);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1080);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1077);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1082);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1083);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1084);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '!') ADVANCE(1088);
      if (lookahead == '<') ADVANCE(1089);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1231);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1090);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '#') ADVANCE(1085);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1233);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1087);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1233);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1087);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1228);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1088);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1229);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1089);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1231);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1090);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(sym_file);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(1091);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(sym_pattern);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(sym_pattern);
      if (lookahead == '/') ADVANCE(1095);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == 'i') ADVANCE(1094);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(79);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_pattern);
      if (lookahead == '/') ADVANCE(1095);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(79);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_pattern);
      if (lookahead == 'i') ADVANCE(1092);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(sym_ipv6);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == '5') ADVANCE(1098);
      if (lookahead == ':') ADVANCE(45);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1103);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1100);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1112);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1102);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1111);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1103);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1112);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1102);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1111);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1100);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1112);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1110);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1111);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '1') ADVANCE(1101);
      if (lookahead == '2') ADVANCE(1097);
      if (lookahead == ':') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1099);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1113);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '1') ADVANCE(1101);
      if (lookahead == '2') ADVANCE(1097);
      if (lookahead == ':') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1099);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(821);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(49);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1106);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1107);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1108);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(45);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1110);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1111);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1112);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(34);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1114);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1115);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1116);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(578);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1118);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1119);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1120);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == '0') ADVANCE(1123);
      if (lookahead == ':') ADVANCE(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1157);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1194);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == '0') ADVANCE(1159);
      if (lookahead == ':') ADVANCE(87);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1196);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == '5') ADVANCE(1129);
      if (lookahead == ':') ADVANCE(583);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1134);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1131);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1175);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == '5') ADVANCE(1135);
      if (lookahead == ':') ADVANCE(578);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1139);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1136);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1182);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == '5') ADVANCE(1141);
      if (lookahead == ':') ADVANCE(579);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1145);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1142);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1186);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == '5') ADVANCE(1147);
      if (lookahead == ':') ADVANCE(581);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1151);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1148);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1190);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == '5') ADVANCE(1153);
      if (lookahead == ':') ADVANCE(582);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1157);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1154);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1194);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1133);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1174);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1134);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1175);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1133);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1174);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1131);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1175);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1170);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1174);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1140);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1184);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1140);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1184);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1136);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1182);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1139);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1182);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1184);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1181);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1146);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1188);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1146);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1188);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1142);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1186);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1145);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1186);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1188);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1185);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1152);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1192);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1152);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1192);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1148);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1190);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1151);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1190);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1192);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1189);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1158);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1196);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1158);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1196);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1154);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1194);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1157);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1194);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1196);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == ':') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1193);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '0') ADVANCE(1169);
      if (lookahead == ':') ADVANCE(87);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1193);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1132);
      if (lookahead == '2') ADVANCE(1124);
      if (lookahead == 'f') ADVANCE(1173);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1130);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1176);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1132);
      if (lookahead == '2') ADVANCE(1124);
      if (lookahead == 'f') ADVANCE(1076);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1130);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1079);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1137);
      if (lookahead == '2') ADVANCE(1125);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1138);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1183);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1143);
      if (lookahead == '2') ADVANCE(1126);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1144);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1187);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1149);
      if (lookahead == '2') ADVANCE(1127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1150);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1191);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1155);
      if (lookahead == '2') ADVANCE(1128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1156);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1195);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1155);
      if (lookahead == '2') ADVANCE(1128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1156);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1081);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1073);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '5') ADVANCE(1197);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1096);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1198);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(82);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(87);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(583);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(583);
      if (lookahead == 'f') ADVANCE(1172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1174);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(583);
      if (lookahead == 'f') ADVANCE(1168);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1170);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(583);
      if (lookahead == 'f') ADVANCE(1171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1175);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1170);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1174);
      END_STATE();
    case 1176:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1175);
      END_STATE();
    case 1177:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(580);
      END_STATE();
    case 1178:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(580);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1179);
      END_STATE();
    case 1179:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(580);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1177);
      END_STATE();
    case 1180:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(580);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1178);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(578);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1184);
      END_STATE();
    case 1183:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1182);
      END_STATE();
    case 1184:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1181);
      END_STATE();
    case 1185:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(579);
      END_STATE();
    case 1186:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1188);
      END_STATE();
    case 1187:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1186);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1185);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(581);
      END_STATE();
    case 1190:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1192);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1190);
      END_STATE();
    case 1192:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1189);
      END_STATE();
    case 1193:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(582);
      END_STATE();
    case 1194:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1196);
      END_STATE();
    case 1195:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1194);
      END_STATE();
    case 1196:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1193);
      END_STATE();
    case 1197:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1096);
      END_STATE();
    case 1198:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1096);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1198);
      END_STATE();
    case 1200:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1096);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1200);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1201);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1180);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1202);
      END_STATE();
    case 1205:
      ACCEPT_TOKEN(sym_ipv4);
      if (lookahead == '.') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1205);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(sym_ipv4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1206);
      END_STATE();
    case 1207:
      ACCEPT_TOKEN(sym_port);
      END_STATE();
    case 1208:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1209);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 1209:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1211);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 1210:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1210);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1211:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1211);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(576);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1212);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(572);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(569);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1213);
      END_STATE();
    case 1214:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1219);
      END_STATE();
    case 1215:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1214);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 1216:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(569);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1216);
      END_STATE();
    case 1217:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(569);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1213);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1224);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1212);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1219:
      ACCEPT_TOKEN(sym_floatp);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1219);
      END_STATE();
    case 1220:
      ACCEPT_TOKEN(sym_hex);
      if (lookahead == '.') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1220);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 1221:
      ACCEPT_TOKEN(sym_hex);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1221);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(sym_time_unit);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(sym_time_unit);
      if (lookahead == 's') ADVANCE(1222);
      END_STATE();
    case 1224:
      ACCEPT_TOKEN(sym_hostname);
      if (lookahead == '+') ADVANCE(571);
      if (lookahead == '-') ADVANCE(1225);
      if (lookahead == '.') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1210);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(sym_hostname);
      if (lookahead == '.') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1210);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1226:
      ACCEPT_TOKEN(sym_hostname);
      if (lookahead == '.') ADVANCE(574);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1226);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 1228:
      ACCEPT_TOKEN(sym_zeekygen_head_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1228);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(sym_zeekygen_prev_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1229);
      END_STATE();
    case 1230:
      ACCEPT_TOKEN(sym_zeekygen_next_comment);
      if (lookahead == '!') ADVANCE(1228);
      if (lookahead == '<') ADVANCE(1229);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1231);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(sym_zeekygen_next_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1231);
      END_STATE();
    case 1232:
      ACCEPT_TOKEN(sym_minor_comment);
      if (lookahead == '#') ADVANCE(1230);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1233);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(sym_minor_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1233);
      END_STATE();
    case 1234:
      ACCEPT_TOKEN(sym_nl);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 590},
  [2] = {.lex_state = 2},
  [3] = {.lex_state = 590},
  [4] = {.lex_state = 590},
  [5] = {.lex_state = 590},
  [6] = {.lex_state = 2},
  [7] = {.lex_state = 4},
  [8] = {.lex_state = 590},
  [9] = {.lex_state = 5},
  [10] = {.lex_state = 6},
  [11] = {.lex_state = 587},
  [12] = {.lex_state = 587},
  [13] = {.lex_state = 7},
  [14] = {.lex_state = 586},
  [15] = {.lex_state = 588},
  [16] = {.lex_state = 589},
  [17] = {.lex_state = 588},
  [18] = {.lex_state = 589},
  [19] = {.lex_state = 586},
  [20] = {.lex_state = 586},
  [21] = {.lex_state = 15},
  [22] = {.lex_state = 10},
  [23] = {.lex_state = 15},
  [24] = {.lex_state = 594},
  [25] = {.lex_state = 594},
  [26] = {.lex_state = 594},
  [27] = {.lex_state = 594},
  [28] = {.lex_state = 594},
  [29] = {.lex_state = 594},
  [30] = {.lex_state = 594},
  [31] = {.lex_state = 594},
  [32] = {.lex_state = 594},
  [33] = {.lex_state = 594},
  [34] = {.lex_state = 594},
  [35] = {.lex_state = 594},
  [36] = {.lex_state = 594},
  [37] = {.lex_state = 10},
  [38] = {.lex_state = 15},
  [39] = {.lex_state = 15},
  [40] = {.lex_state = 594},
  [41] = {.lex_state = 594},
  [42] = {.lex_state = 594},
  [43] = {.lex_state = 594},
  [44] = {.lex_state = 594},
  [45] = {.lex_state = 594},
  [46] = {.lex_state = 594},
  [47] = {.lex_state = 594},
  [48] = {.lex_state = 594},
  [49] = {.lex_state = 594},
  [50] = {.lex_state = 594},
  [51] = {.lex_state = 594},
  [52] = {.lex_state = 594},
  [53] = {.lex_state = 594},
  [54] = {.lex_state = 594},
  [55] = {.lex_state = 594},
  [56] = {.lex_state = 594},
  [57] = {.lex_state = 594},
  [58] = {.lex_state = 594},
  [59] = {.lex_state = 594},
  [60] = {.lex_state = 594},
  [61] = {.lex_state = 594},
  [62] = {.lex_state = 594},
  [63] = {.lex_state = 594},
  [64] = {.lex_state = 594},
  [65] = {.lex_state = 594},
  [66] = {.lex_state = 594},
  [67] = {.lex_state = 10},
  [68] = {.lex_state = 594},
  [69] = {.lex_state = 594},
  [70] = {.lex_state = 594},
  [71] = {.lex_state = 10},
  [72] = {.lex_state = 594},
  [73] = {.lex_state = 594},
  [74] = {.lex_state = 594},
  [75] = {.lex_state = 10},
  [76] = {.lex_state = 10},
  [77] = {.lex_state = 594},
  [78] = {.lex_state = 594},
  [79] = {.lex_state = 10},
  [80] = {.lex_state = 594},
  [81] = {.lex_state = 594},
  [82] = {.lex_state = 594},
  [83] = {.lex_state = 10},
  [84] = {.lex_state = 10},
  [85] = {.lex_state = 594},
  [86] = {.lex_state = 594},
  [87] = {.lex_state = 594},
  [88] = {.lex_state = 594},
  [89] = {.lex_state = 594},
  [90] = {.lex_state = 594},
  [91] = {.lex_state = 10},
  [92] = {.lex_state = 10},
  [93] = {.lex_state = 10},
  [94] = {.lex_state = 10},
  [95] = {.lex_state = 10},
  [96] = {.lex_state = 10},
  [97] = {.lex_state = 10},
  [98] = {.lex_state = 10},
  [99] = {.lex_state = 10},
  [100] = {.lex_state = 10},
  [101] = {.lex_state = 10},
  [102] = {.lex_state = 10},
  [103] = {.lex_state = 10},
  [104] = {.lex_state = 10},
  [105] = {.lex_state = 10},
  [106] = {.lex_state = 10},
  [107] = {.lex_state = 10},
  [108] = {.lex_state = 10},
  [109] = {.lex_state = 10},
  [110] = {.lex_state = 10},
  [111] = {.lex_state = 10},
  [112] = {.lex_state = 10},
  [113] = {.lex_state = 10},
  [114] = {.lex_state = 10},
  [115] = {.lex_state = 10},
  [116] = {.lex_state = 10},
  [117] = {.lex_state = 10},
  [118] = {.lex_state = 10},
  [119] = {.lex_state = 10},
  [120] = {.lex_state = 10},
  [121] = {.lex_state = 10},
  [122] = {.lex_state = 10},
  [123] = {.lex_state = 10},
  [124] = {.lex_state = 594},
  [125] = {.lex_state = 594},
  [126] = {.lex_state = 594},
  [127] = {.lex_state = 594},
  [128] = {.lex_state = 594},
  [129] = {.lex_state = 594},
  [130] = {.lex_state = 10},
  [131] = {.lex_state = 594},
  [132] = {.lex_state = 594},
  [133] = {.lex_state = 594},
  [134] = {.lex_state = 594},
  [135] = {.lex_state = 594},
  [136] = {.lex_state = 594},
  [137] = {.lex_state = 594},
  [138] = {.lex_state = 594},
  [139] = {.lex_state = 594},
  [140] = {.lex_state = 594},
  [141] = {.lex_state = 594},
  [142] = {.lex_state = 594},
  [143] = {.lex_state = 594},
  [144] = {.lex_state = 594},
  [145] = {.lex_state = 594},
  [146] = {.lex_state = 10},
  [147] = {.lex_state = 594},
  [148] = {.lex_state = 594},
  [149] = {.lex_state = 594},
  [150] = {.lex_state = 594},
  [151] = {.lex_state = 594},
  [152] = {.lex_state = 594},
  [153] = {.lex_state = 594},
  [154] = {.lex_state = 594},
  [155] = {.lex_state = 594},
  [156] = {.lex_state = 594},
  [157] = {.lex_state = 594},
  [158] = {.lex_state = 594},
  [159] = {.lex_state = 594},
  [160] = {.lex_state = 594},
  [161] = {.lex_state = 594},
  [162] = {.lex_state = 594},
  [163] = {.lex_state = 594},
  [164] = {.lex_state = 594},
  [165] = {.lex_state = 594},
  [166] = {.lex_state = 594},
  [167] = {.lex_state = 594},
  [168] = {.lex_state = 594},
  [169] = {.lex_state = 594},
  [170] = {.lex_state = 594},
  [171] = {.lex_state = 594},
  [172] = {.lex_state = 594},
  [173] = {.lex_state = 594},
  [174] = {.lex_state = 594},
  [175] = {.lex_state = 594},
  [176] = {.lex_state = 594},
  [177] = {.lex_state = 594},
  [178] = {.lex_state = 594},
  [179] = {.lex_state = 594},
  [180] = {.lex_state = 594},
  [181] = {.lex_state = 594},
  [182] = {.lex_state = 594},
  [183] = {.lex_state = 594},
  [184] = {.lex_state = 10},
  [185] = {.lex_state = 594},
  [186] = {.lex_state = 10},
  [187] = {.lex_state = 10},
  [188] = {.lex_state = 10},
  [189] = {.lex_state = 594},
  [190] = {.lex_state = 10},
  [191] = {.lex_state = 594},
  [192] = {.lex_state = 10},
  [193] = {.lex_state = 594},
  [194] = {.lex_state = 10},
  [195] = {.lex_state = 594},
  [196] = {.lex_state = 10},
  [197] = {.lex_state = 594},
  [198] = {.lex_state = 10},
  [199] = {.lex_state = 594},
  [200] = {.lex_state = 10},
  [201] = {.lex_state = 594},
  [202] = {.lex_state = 594},
  [203] = {.lex_state = 594},
  [204] = {.lex_state = 594},
  [205] = {.lex_state = 10},
  [206] = {.lex_state = 594},
  [207] = {.lex_state = 10},
  [208] = {.lex_state = 594},
  [209] = {.lex_state = 594},
  [210] = {.lex_state = 594},
  [211] = {.lex_state = 594},
  [212] = {.lex_state = 594},
  [213] = {.lex_state = 10},
  [214] = {.lex_state = 594},
  [215] = {.lex_state = 594},
  [216] = {.lex_state = 594},
  [217] = {.lex_state = 594},
  [218] = {.lex_state = 594},
  [219] = {.lex_state = 10},
  [220] = {.lex_state = 594},
  [221] = {.lex_state = 594},
  [222] = {.lex_state = 10},
  [223] = {.lex_state = 594},
  [224] = {.lex_state = 10},
  [225] = {.lex_state = 594},
  [226] = {.lex_state = 594},
  [227] = {.lex_state = 594},
  [228] = {.lex_state = 594},
  [229] = {.lex_state = 594},
  [230] = {.lex_state = 594},
  [231] = {.lex_state = 594},
  [232] = {.lex_state = 594},
  [233] = {.lex_state = 10},
  [234] = {.lex_state = 10},
  [235] = {.lex_state = 594},
  [236] = {.lex_state = 10},
  [237] = {.lex_state = 594},
  [238] = {.lex_state = 594},
  [239] = {.lex_state = 10},
  [240] = {.lex_state = 10},
  [241] = {.lex_state = 594},
  [242] = {.lex_state = 594},
  [243] = {.lex_state = 10},
  [244] = {.lex_state = 10},
  [245] = {.lex_state = 594},
  [246] = {.lex_state = 594},
  [247] = {.lex_state = 594},
  [248] = {.lex_state = 10},
  [249] = {.lex_state = 10},
  [250] = {.lex_state = 594},
  [251] = {.lex_state = 594},
  [252] = {.lex_state = 594},
  [253] = {.lex_state = 594},
  [254] = {.lex_state = 10},
  [255] = {.lex_state = 10},
  [256] = {.lex_state = 594},
  [257] = {.lex_state = 10},
  [258] = {.lex_state = 594},
  [259] = {.lex_state = 594},
  [260] = {.lex_state = 594},
  [261] = {.lex_state = 594},
  [262] = {.lex_state = 10},
  [263] = {.lex_state = 10},
  [264] = {.lex_state = 594},
  [265] = {.lex_state = 594},
  [266] = {.lex_state = 594},
  [267] = {.lex_state = 594},
  [268] = {.lex_state = 594},
  [269] = {.lex_state = 594},
  [270] = {.lex_state = 594},
  [271] = {.lex_state = 594},
  [272] = {.lex_state = 594},
  [273] = {.lex_state = 594},
  [274] = {.lex_state = 594},
  [275] = {.lex_state = 594},
  [276] = {.lex_state = 594},
  [277] = {.lex_state = 594},
  [278] = {.lex_state = 594},
  [279] = {.lex_state = 594},
  [280] = {.lex_state = 594},
  [281] = {.lex_state = 594},
  [282] = {.lex_state = 594},
  [283] = {.lex_state = 594},
  [284] = {.lex_state = 594},
  [285] = {.lex_state = 594},
  [286] = {.lex_state = 594},
  [287] = {.lex_state = 594},
  [288] = {.lex_state = 10},
  [289] = {.lex_state = 8},
  [290] = {.lex_state = 8},
  [291] = {.lex_state = 8},
  [292] = {.lex_state = 8},
  [293] = {.lex_state = 8},
  [294] = {.lex_state = 8},
  [295] = {.lex_state = 8},
  [296] = {.lex_state = 8},
  [297] = {.lex_state = 8},
  [298] = {.lex_state = 8},
  [299] = {.lex_state = 8},
  [300] = {.lex_state = 8},
  [301] = {.lex_state = 8},
  [302] = {.lex_state = 8},
  [303] = {.lex_state = 8},
  [304] = {.lex_state = 8},
  [305] = {.lex_state = 8},
  [306] = {.lex_state = 590},
  [307] = {.lex_state = 8},
  [308] = {.lex_state = 8},
  [309] = {.lex_state = 8},
  [310] = {.lex_state = 8},
  [311] = {.lex_state = 8},
  [312] = {.lex_state = 8},
  [313] = {.lex_state = 8},
  [314] = {.lex_state = 8},
  [315] = {.lex_state = 8},
  [316] = {.lex_state = 8},
  [317] = {.lex_state = 8},
  [318] = {.lex_state = 8},
  [319] = {.lex_state = 8},
  [320] = {.lex_state = 8},
  [321] = {.lex_state = 8},
  [322] = {.lex_state = 8},
  [323] = {.lex_state = 8},
  [324] = {.lex_state = 8},
  [325] = {.lex_state = 8},
  [326] = {.lex_state = 8},
  [327] = {.lex_state = 8},
  [328] = {.lex_state = 8},
  [329] = {.lex_state = 8},
  [330] = {.lex_state = 8},
  [331] = {.lex_state = 590},
  [332] = {.lex_state = 8},
  [333] = {.lex_state = 8},
  [334] = {.lex_state = 8},
  [335] = {.lex_state = 8},
  [336] = {.lex_state = 590},
  [337] = {.lex_state = 590},
  [338] = {.lex_state = 590},
  [339] = {.lex_state = 590},
  [340] = {.lex_state = 590},
  [341] = {.lex_state = 590},
  [342] = {.lex_state = 590},
  [343] = {.lex_state = 590},
  [344] = {.lex_state = 590},
  [345] = {.lex_state = 590},
  [346] = {.lex_state = 590},
  [347] = {.lex_state = 590},
  [348] = {.lex_state = 590},
  [349] = {.lex_state = 590},
  [350] = {.lex_state = 590},
  [351] = {.lex_state = 590},
  [352] = {.lex_state = 590},
  [353] = {.lex_state = 590},
  [354] = {.lex_state = 590},
  [355] = {.lex_state = 590},
  [356] = {.lex_state = 590},
  [357] = {.lex_state = 590},
  [358] = {.lex_state = 590},
  [359] = {.lex_state = 590},
  [360] = {.lex_state = 590},
  [361] = {.lex_state = 590},
  [362] = {.lex_state = 590},
  [363] = {.lex_state = 10},
  [364] = {.lex_state = 590},
  [365] = {.lex_state = 590},
  [366] = {.lex_state = 590},
  [367] = {.lex_state = 590},
  [368] = {.lex_state = 590},
  [369] = {.lex_state = 590},
  [370] = {.lex_state = 590},
  [371] = {.lex_state = 590},
  [372] = {.lex_state = 590},
  [373] = {.lex_state = 590},
  [374] = {.lex_state = 590},
  [375] = {.lex_state = 590},
  [376] = {.lex_state = 590},
  [377] = {.lex_state = 590},
  [378] = {.lex_state = 590},
  [379] = {.lex_state = 590},
  [380] = {.lex_state = 10},
  [381] = {.lex_state = 590},
  [382] = {.lex_state = 590},
  [383] = {.lex_state = 12},
  [384] = {.lex_state = 12},
  [385] = {.lex_state = 12},
  [386] = {.lex_state = 12},
  [387] = {.lex_state = 12},
  [388] = {.lex_state = 13},
  [389] = {.lex_state = 12},
  [390] = {.lex_state = 12},
  [391] = {.lex_state = 12},
  [392] = {.lex_state = 12},
  [393] = {.lex_state = 12},
  [394] = {.lex_state = 12},
  [395] = {.lex_state = 12},
  [396] = {.lex_state = 12},
  [397] = {.lex_state = 12},
  [398] = {.lex_state = 12},
  [399] = {.lex_state = 12},
  [400] = {.lex_state = 12},
  [401] = {.lex_state = 12},
  [402] = {.lex_state = 12},
  [403] = {.lex_state = 12},
  [404] = {.lex_state = 3},
  [405] = {.lex_state = 12},
  [406] = {.lex_state = 8},
  [407] = {.lex_state = 12},
  [408] = {.lex_state = 13},
  [409] = {.lex_state = 13},
  [410] = {.lex_state = 14},
  [411] = {.lex_state = 14},
  [412] = {.lex_state = 12},
  [413] = {.lex_state = 14},
  [414] = {.lex_state = 14},
  [415] = {.lex_state = 12},
  [416] = {.lex_state = 12},
  [417] = {.lex_state = 12},
  [418] = {.lex_state = 12},
  [419] = {.lex_state = 12},
  [420] = {.lex_state = 12},
  [421] = {.lex_state = 13},
  [422] = {.lex_state = 12},
  [423] = {.lex_state = 12},
  [424] = {.lex_state = 12},
  [425] = {.lex_state = 12},
  [426] = {.lex_state = 12},
  [427] = {.lex_state = 12},
  [428] = {.lex_state = 12},
  [429] = {.lex_state = 12},
  [430] = {.lex_state = 12},
  [431] = {.lex_state = 8},
  [432] = {.lex_state = 12},
  [433] = {.lex_state = 13},
  [434] = {.lex_state = 14},
  [435] = {.lex_state = 14},
  [436] = {.lex_state = 14},
  [437] = {.lex_state = 14},
  [438] = {.lex_state = 14},
  [439] = {.lex_state = 14},
  [440] = {.lex_state = 14},
  [441] = {.lex_state = 14},
  [442] = {.lex_state = 14},
  [443] = {.lex_state = 14},
  [444] = {.lex_state = 14},
  [445] = {.lex_state = 14},
  [446] = {.lex_state = 14},
  [447] = {.lex_state = 14},
  [448] = {.lex_state = 14},
  [449] = {.lex_state = 14},
  [450] = {.lex_state = 14},
  [451] = {.lex_state = 14},
  [452] = {.lex_state = 14},
  [453] = {.lex_state = 14},
  [454] = {.lex_state = 14},
  [455] = {.lex_state = 13},
  [456] = {.lex_state = 13},
  [457] = {.lex_state = 591},
  [458] = {.lex_state = 591},
  [459] = {.lex_state = 14},
  [460] = {.lex_state = 13},
  [461] = {.lex_state = 14},
  [462] = {.lex_state = 591},
  [463] = {.lex_state = 13},
  [464] = {.lex_state = 591},
  [465] = {.lex_state = 14},
  [466] = {.lex_state = 14},
  [467] = {.lex_state = 13},
  [468] = {.lex_state = 13},
  [469] = {.lex_state = 13},
  [470] = {.lex_state = 15},
  [471] = {.lex_state = 8},
  [472] = {.lex_state = 15},
  [473] = {.lex_state = 13},
  [474] = {.lex_state = 591},
  [475] = {.lex_state = 13},
  [476] = {.lex_state = 13},
  [477] = {.lex_state = 15},
  [478] = {.lex_state = 15},
  [479] = {.lex_state = 13},
  [480] = {.lex_state = 13},
  [481] = {.lex_state = 591},
  [482] = {.lex_state = 13},
  [483] = {.lex_state = 591},
  [484] = {.lex_state = 13},
  [485] = {.lex_state = 13},
  [486] = {.lex_state = 13},
  [487] = {.lex_state = 13},
  [488] = {.lex_state = 13},
  [489] = {.lex_state = 13},
  [490] = {.lex_state = 13},
  [491] = {.lex_state = 13},
  [492] = {.lex_state = 13},
  [493] = {.lex_state = 13},
  [494] = {.lex_state = 13},
  [495] = {.lex_state = 13},
  [496] = {.lex_state = 13},
  [497] = {.lex_state = 13},
  [498] = {.lex_state = 8},
  [499] = {.lex_state = 8},
  [500] = {.lex_state = 14},
  [501] = {.lex_state = 14},
  [502] = {.lex_state = 14},
  [503] = {.lex_state = 14},
  [504] = {.lex_state = 591},
  [505] = {.lex_state = 14},
  [506] = {.lex_state = 13},
  [507] = {.lex_state = 14},
  [508] = {.lex_state = 14},
  [509] = {.lex_state = 14},
  [510] = {.lex_state = 8},
  [511] = {.lex_state = 591},
  [512] = {.lex_state = 591},
  [513] = {.lex_state = 15},
  [514] = {.lex_state = 591},
  [515] = {.lex_state = 15},
  [516] = {.lex_state = 15},
  [517] = {.lex_state = 591},
  [518] = {.lex_state = 591},
  [519] = {.lex_state = 15},
  [520] = {.lex_state = 591},
  [521] = {.lex_state = 591},
  [522] = {.lex_state = 591},
  [523] = {.lex_state = 591},
  [524] = {.lex_state = 591},
  [525] = {.lex_state = 591},
  [526] = {.lex_state = 591},
  [527] = {.lex_state = 591},
  [528] = {.lex_state = 591},
  [529] = {.lex_state = 591},
  [530] = {.lex_state = 591},
  [531] = {.lex_state = 591},
  [532] = {.lex_state = 591},
  [533] = {.lex_state = 591},
  [534] = {.lex_state = 591},
  [535] = {.lex_state = 591},
  [536] = {.lex_state = 591},
  [537] = {.lex_state = 593},
  [538] = {.lex_state = 591},
  [539] = {.lex_state = 591},
  [540] = {.lex_state = 591},
  [541] = {.lex_state = 591},
  [542] = {.lex_state = 592},
  [543] = {.lex_state = 592},
  [544] = {.lex_state = 591},
  [545] = {.lex_state = 593},
  [546] = {.lex_state = 591},
  [547] = {.lex_state = 591},
  [548] = {.lex_state = 591},
  [549] = {.lex_state = 593},
  [550] = {.lex_state = 591},
  [551] = {.lex_state = 592},
  [552] = {.lex_state = 15},
  [553] = {.lex_state = 593},
  [554] = {.lex_state = 593},
  [555] = {.lex_state = 15},
  [556] = {.lex_state = 15},
  [557] = {.lex_state = 592},
  [558] = {.lex_state = 15},
  [559] = {.lex_state = 592},
  [560] = {.lex_state = 15},
  [561] = {.lex_state = 15},
  [562] = {.lex_state = 15},
  [563] = {.lex_state = 15},
  [564] = {.lex_state = 15},
  [565] = {.lex_state = 15},
  [566] = {.lex_state = 15},
  [567] = {.lex_state = 15},
  [568] = {.lex_state = 15},
  [569] = {.lex_state = 15},
  [570] = {.lex_state = 592},
  [571] = {.lex_state = 15},
  [572] = {.lex_state = 15},
  [573] = {.lex_state = 15},
  [574] = {.lex_state = 593},
  [575] = {.lex_state = 15},
  [576] = {.lex_state = 15},
  [577] = {.lex_state = 15},
  [578] = {.lex_state = 15},
  [579] = {.lex_state = 591},
  [580] = {.lex_state = 591},
  [581] = {.lex_state = 591},
  [582] = {.lex_state = 592},
  [583] = {.lex_state = 592},
  [584] = {.lex_state = 591},
  [585] = {.lex_state = 591},
  [586] = {.lex_state = 593},
  [587] = {.lex_state = 591},
  [588] = {.lex_state = 593},
  [589] = {.lex_state = 591},
  [590] = {.lex_state = 591},
  [591] = {.lex_state = 591},
  [592] = {.lex_state = 591},
  [593] = {.lex_state = 591},
  [594] = {.lex_state = 591},
  [595] = {.lex_state = 591},
  [596] = {.lex_state = 591},
  [597] = {.lex_state = 591},
  [598] = {.lex_state = 591},
  [599] = {.lex_state = 591},
  [600] = {.lex_state = 591},
  [601] = {.lex_state = 591},
  [602] = {.lex_state = 591},
  [603] = {.lex_state = 591},
  [604] = {.lex_state = 591},
  [605] = {.lex_state = 591},
  [606] = {.lex_state = 8},
  [607] = {.lex_state = 8},
  [608] = {.lex_state = 8},
  [609] = {.lex_state = 8},
  [610] = {.lex_state = 8},
  [611] = {.lex_state = 8},
  [612] = {.lex_state = 8},
  [613] = {.lex_state = 8},
  [614] = {.lex_state = 8},
  [615] = {.lex_state = 8},
  [616] = {.lex_state = 591},
  [617] = {.lex_state = 591},
  [618] = {.lex_state = 591},
  [619] = {.lex_state = 591},
  [620] = {.lex_state = 591},
  [621] = {.lex_state = 591},
  [622] = {.lex_state = 591},
  [623] = {.lex_state = 591},
  [624] = {.lex_state = 591},
  [625] = {.lex_state = 591},
  [626] = {.lex_state = 591},
  [627] = {.lex_state = 591},
  [628] = {.lex_state = 591},
  [629] = {.lex_state = 591},
  [630] = {.lex_state = 591},
  [631] = {.lex_state = 591},
  [632] = {.lex_state = 15},
  [633] = {.lex_state = 15},
  [634] = {.lex_state = 592},
  [635] = {.lex_state = 593},
  [636] = {.lex_state = 593},
  [637] = {.lex_state = 593},
  [638] = {.lex_state = 593},
  [639] = {.lex_state = 592},
  [640] = {.lex_state = 592},
  [641] = {.lex_state = 592},
  [642] = {.lex_state = 592},
  [643] = {.lex_state = 592},
  [644] = {.lex_state = 592},
  [645] = {.lex_state = 592},
  [646] = {.lex_state = 592},
  [647] = {.lex_state = 592},
  [648] = {.lex_state = 592},
  [649] = {.lex_state = 592},
  [650] = {.lex_state = 592},
  [651] = {.lex_state = 592},
  [652] = {.lex_state = 594},
  [653] = {.lex_state = 592},
  [654] = {.lex_state = 592},
  [655] = {.lex_state = 592},
  [656] = {.lex_state = 592},
  [657] = {.lex_state = 592},
  [658] = {.lex_state = 592},
  [659] = {.lex_state = 592},
  [660] = {.lex_state = 592},
  [661] = {.lex_state = 592},
  [662] = {.lex_state = 592},
  [663] = {.lex_state = 592},
  [664] = {.lex_state = 592},
  [665] = {.lex_state = 593},
  [666] = {.lex_state = 592},
  [667] = {.lex_state = 594},
  [668] = {.lex_state = 593},
  [669] = {.lex_state = 593},
  [670] = {.lex_state = 593},
  [671] = {.lex_state = 592},
  [672] = {.lex_state = 593},
  [673] = {.lex_state = 593},
  [674] = {.lex_state = 594},
  [675] = {.lex_state = 593},
  [676] = {.lex_state = 593},
  [677] = {.lex_state = 593},
  [678] = {.lex_state = 592},
  [679] = {.lex_state = 594},
  [680] = {.lex_state = 594},
  [681] = {.lex_state = 593},
  [682] = {.lex_state = 592},
  [683] = {.lex_state = 592},
  [684] = {.lex_state = 594},
  [685] = {.lex_state = 593},
  [686] = {.lex_state = 592},
  [687] = {.lex_state = 592},
  [688] = {.lex_state = 592},
  [689] = {.lex_state = 594},
  [690] = {.lex_state = 592},
  [691] = {.lex_state = 593},
  [692] = {.lex_state = 592},
  [693] = {.lex_state = 592},
  [694] = {.lex_state = 592},
  [695] = {.lex_state = 592},
  [696] = {.lex_state = 593},
  [697] = {.lex_state = 592},
  [698] = {.lex_state = 594},
  [699] = {.lex_state = 593},
  [700] = {.lex_state = 592},
  [701] = {.lex_state = 593},
  [702] = {.lex_state = 592},
  [703] = {.lex_state = 592},
  [704] = {.lex_state = 592},
  [705] = {.lex_state = 592},
  [706] = {.lex_state = 592},
  [707] = {.lex_state = 593},
  [708] = {.lex_state = 592},
  [709] = {.lex_state = 592},
  [710] = {.lex_state = 593},
  [711] = {.lex_state = 592},
  [712] = {.lex_state = 592},
  [713] = {.lex_state = 592},
  [714] = {.lex_state = 592},
  [715] = {.lex_state = 593},
  [716] = {.lex_state = 592},
  [717] = {.lex_state = 592},
  [718] = {.lex_state = 592},
  [719] = {.lex_state = 593},
  [720] = {.lex_state = 593},
  [721] = {.lex_state = 593},
  [722] = {.lex_state = 593},
  [723] = {.lex_state = 593},
  [724] = {.lex_state = 593},
  [725] = {.lex_state = 593},
  [726] = {.lex_state = 593},
  [727] = {.lex_state = 592},
  [728] = {.lex_state = 593},
  [729] = {.lex_state = 593},
  [730] = {.lex_state = 593},
  [731] = {.lex_state = 593},
  [732] = {.lex_state = 593},
  [733] = {.lex_state = 593},
  [734] = {.lex_state = 592},
  [735] = {.lex_state = 593},
  [736] = {.lex_state = 593},
  [737] = {.lex_state = 593},
  [738] = {.lex_state = 593},
  [739] = {.lex_state = 593},
  [740] = {.lex_state = 593},
  [741] = {.lex_state = 593},
  [742] = {.lex_state = 592},
  [743] = {.lex_state = 593},
  [744] = {.lex_state = 593},
  [745] = {.lex_state = 593},
  [746] = {.lex_state = 593},
  [747] = {.lex_state = 593},
  [748] = {.lex_state = 593},
  [749] = {.lex_state = 593},
  [750] = {.lex_state = 593},
  [751] = {.lex_state = 593},
  [752] = {.lex_state = 593},
  [753] = {.lex_state = 593},
  [754] = {.lex_state = 593},
  [755] = {.lex_state = 593},
  [756] = {.lex_state = 593},
  [757] = {.lex_state = 593},
  [758] = {.lex_state = 593},
  [759] = {.lex_state = 593},
  [760] = {.lex_state = 593},
  [761] = {.lex_state = 593},
  [762] = {.lex_state = 593},
  [763] = {.lex_state = 593},
  [764] = {.lex_state = 593},
  [765] = {.lex_state = 593},
  [766] = {.lex_state = 594},
  [767] = {.lex_state = 594},
  [768] = {.lex_state = 594},
  [769] = {.lex_state = 594},
  [770] = {.lex_state = 594},
  [771] = {.lex_state = 594},
  [772] = {.lex_state = 594},
  [773] = {.lex_state = 594},
  [774] = {.lex_state = 594},
  [775] = {.lex_state = 594},
  [776] = {.lex_state = 594},
  [777] = {.lex_state = 594},
  [778] = {.lex_state = 594},
  [779] = {.lex_state = 594},
  [780] = {.lex_state = 594},
  [781] = {.lex_state = 594},
  [782] = {.lex_state = 594},
  [783] = {.lex_state = 594},
  [784] = {.lex_state = 594},
  [785] = {.lex_state = 594},
  [786] = {.lex_state = 594},
  [787] = {.lex_state = 594},
  [788] = {.lex_state = 594},
  [789] = {.lex_state = 594},
  [790] = {.lex_state = 594},
  [791] = {.lex_state = 594},
  [792] = {.lex_state = 594},
  [793] = {.lex_state = 594},
  [794] = {.lex_state = 594},
  [795] = {.lex_state = 594},
  [796] = {.lex_state = 594},
  [797] = {.lex_state = 594},
  [798] = {.lex_state = 594},
  [799] = {.lex_state = 594},
  [800] = {.lex_state = 594},
  [801] = {.lex_state = 594},
  [802] = {.lex_state = 594},
  [803] = {.lex_state = 594},
  [804] = {.lex_state = 594},
  [805] = {.lex_state = 594},
  [806] = {.lex_state = 594},
  [807] = {.lex_state = 594},
  [808] = {.lex_state = 594},
  [809] = {.lex_state = 594},
  [810] = {.lex_state = 594},
  [811] = {.lex_state = 594},
  [812] = {.lex_state = 594},
  [813] = {.lex_state = 594},
  [814] = {.lex_state = 594},
  [815] = {.lex_state = 594},
  [816] = {.lex_state = 594},
  [817] = {.lex_state = 594},
  [818] = {.lex_state = 594},
  [819] = {.lex_state = 594},
  [820] = {.lex_state = 11},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 3},
  [824] = {.lex_state = 8},
  [825] = {.lex_state = 8},
  [826] = {.lex_state = 8},
  [827] = {.lex_state = 8},
  [828] = {.lex_state = 8},
  [829] = {.lex_state = 8},
  [830] = {.lex_state = 8},
  [831] = {.lex_state = 8},
  [832] = {.lex_state = 8},
  [833] = {.lex_state = 9},
  [834] = {.lex_state = 9},
  [835] = {.lex_state = 8},
  [836] = {.lex_state = 9},
  [837] = {.lex_state = 8},
  [838] = {.lex_state = 8},
  [839] = {.lex_state = 8},
  [840] = {.lex_state = 8},
  [841] = {.lex_state = 8},
  [842] = {.lex_state = 8},
  [843] = {.lex_state = 9},
  [844] = {.lex_state = 8},
  [845] = {.lex_state = 8},
  [846] = {.lex_state = 8},
  [847] = {.lex_state = 8},
  [848] = {.lex_state = 8},
  [849] = {.lex_state = 8},
  [850] = {.lex_state = 8},
  [851] = {.lex_state = 8},
  [852] = {.lex_state = 8},
  [853] = {.lex_state = 8},
  [854] = {.lex_state = 8},
  [855] = {.lex_state = 8},
  [856] = {.lex_state = 8},
  [857] = {.lex_state = 8},
  [858] = {.lex_state = 8},
  [859] = {.lex_state = 8},
  [860] = {.lex_state = 8},
  [861] = {.lex_state = 8},
  [862] = {.lex_state = 8},
  [863] = {.lex_state = 8},
  [864] = {.lex_state = 8},
  [865] = {.lex_state = 8},
  [866] = {.lex_state = 8},
  [867] = {.lex_state = 8},
  [868] = {.lex_state = 8},
  [869] = {.lex_state = 8},
  [870] = {.lex_state = 8},
  [871] = {.lex_state = 8},
  [872] = {.lex_state = 8},
  [873] = {.lex_state = 10},
  [874] = {.lex_state = 10},
  [875] = {.lex_state = 10},
  [876] = {.lex_state = 17},
  [877] = {.lex_state = 10},
  [878] = {.lex_state = 10},
  [879] = {.lex_state = 10},
  [880] = {.lex_state = 10},
  [881] = {.lex_state = 10},
  [882] = {.lex_state = 10},
  [883] = {.lex_state = 10},
  [884] = {.lex_state = 10},
  [885] = {.lex_state = 10},
  [886] = {.lex_state = 10},
  [887] = {.lex_state = 10},
  [888] = {.lex_state = 10},
  [889] = {.lex_state = 10},
  [890] = {.lex_state = 10},
  [891] = {.lex_state = 10},
  [892] = {.lex_state = 10},
  [893] = {.lex_state = 10},
  [894] = {.lex_state = 16},
  [895] = {.lex_state = 10},
  [896] = {.lex_state = 16},
  [897] = {.lex_state = 16},
  [898] = {.lex_state = 16},
  [899] = {.lex_state = 16},
  [900] = {.lex_state = 10},
  [901] = {.lex_state = 10},
  [902] = {.lex_state = 10},
  [903] = {.lex_state = 16},
  [904] = {.lex_state = 10},
  [905] = {.lex_state = 10},
  [906] = {.lex_state = 16},
  [907] = {.lex_state = 10},
  [908] = {.lex_state = 16},
  [909] = {.lex_state = 16},
  [910] = {.lex_state = 16},
  [911] = {.lex_state = 10},
  [912] = {.lex_state = 10},
  [913] = {.lex_state = 16},
  [914] = {.lex_state = 10},
  [915] = {.lex_state = 10},
  [916] = {.lex_state = 10},
  [917] = {.lex_state = 10},
  [918] = {.lex_state = 16},
  [919] = {.lex_state = 10},
  [920] = {.lex_state = 10},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 590},
  [924] = {.lex_state = 10},
  [925] = {.lex_state = 10},
  [926] = {.lex_state = 10},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 10},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 10},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 10},
  [933] = {.lex_state = 10},
  [934] = {.lex_state = 10},
  [935] = {.lex_state = 10},
  [936] = {.lex_state = 10},
  [937] = {.lex_state = 10},
  [938] = {.lex_state = 8},
  [939] = {.lex_state = 10},
  [940] = {.lex_state = 10},
  [941] = {.lex_state = 8},
  [942] = {.lex_state = 10},
  [943] = {.lex_state = 10},
  [944] = {.lex_state = 10},
  [945] = {.lex_state = 10},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 10},
  [948] = {.lex_state = 10},
  [949] = {.lex_state = 10},
  [950] = {.lex_state = 10},
  [951] = {.lex_state = 10},
  [952] = {.lex_state = 10},
  [953] = {.lex_state = 10},
  [954] = {.lex_state = 10},
  [955] = {.lex_state = 10},
  [956] = {.lex_state = 10},
  [957] = {.lex_state = 10},
  [958] = {.lex_state = 10},
  [959] = {.lex_state = 10},
  [960] = {.lex_state = 10},
  [961] = {.lex_state = 10},
  [962] = {.lex_state = 10},
  [963] = {.lex_state = 10},
  [964] = {.lex_state = 10},
  [965] = {.lex_state = 10},
  [966] = {.lex_state = 10},
  [967] = {.lex_state = 10},
  [968] = {.lex_state = 10},
  [969] = {.lex_state = 10},
  [970] = {.lex_state = 10},
  [971] = {.lex_state = 10},
  [972] = {.lex_state = 10},
  [973] = {.lex_state = 10},
  [974] = {.lex_state = 10},
  [975] = {.lex_state = 10},
  [976] = {.lex_state = 10},
  [977] = {.lex_state = 10},
  [978] = {.lex_state = 10},
  [979] = {.lex_state = 10},
  [980] = {.lex_state = 10},
  [981] = {.lex_state = 10},
  [982] = {.lex_state = 10},
  [983] = {.lex_state = 10},
  [984] = {.lex_state = 10},
  [985] = {.lex_state = 10},
  [986] = {.lex_state = 10},
  [987] = {.lex_state = 10},
  [988] = {.lex_state = 10},
  [989] = {.lex_state = 10},
  [990] = {.lex_state = 10},
  [991] = {.lex_state = 10},
  [992] = {.lex_state = 10},
  [993] = {.lex_state = 10},
  [994] = {.lex_state = 10},
  [995] = {.lex_state = 10},
  [996] = {.lex_state = 10},
  [997] = {.lex_state = 10},
  [998] = {.lex_state = 10},
  [999] = {.lex_state = 10},
  [1000] = {.lex_state = 10},
  [1001] = {.lex_state = 10},
  [1002] = {.lex_state = 10},
  [1003] = {.lex_state = 10},
  [1004] = {.lex_state = 10},
  [1005] = {.lex_state = 10},
  [1006] = {.lex_state = 10},
  [1007] = {.lex_state = 10},
  [1008] = {.lex_state = 10},
  [1009] = {.lex_state = 10},
  [1010] = {.lex_state = 10},
  [1011] = {.lex_state = 10},
  [1012] = {.lex_state = 10},
  [1013] = {.lex_state = 10},
  [1014] = {.lex_state = 10},
  [1015] = {.lex_state = 10},
  [1016] = {.lex_state = 10},
  [1017] = {.lex_state = 10},
  [1018] = {.lex_state = 10},
  [1019] = {.lex_state = 10},
  [1020] = {.lex_state = 10},
  [1021] = {.lex_state = 10},
  [1022] = {.lex_state = 10},
  [1023] = {.lex_state = 10},
  [1024] = {.lex_state = 10},
  [1025] = {.lex_state = 10},
  [1026] = {.lex_state = 10},
  [1027] = {.lex_state = 10},
  [1028] = {.lex_state = 10},
  [1029] = {.lex_state = 10},
  [1030] = {.lex_state = 10},
  [1031] = {.lex_state = 10},
  [1032] = {.lex_state = 10},
  [1033] = {.lex_state = 10},
  [1034] = {.lex_state = 10},
  [1035] = {.lex_state = 10},
  [1036] = {.lex_state = 10},
  [1037] = {.lex_state = 10},
  [1038] = {.lex_state = 10},
  [1039] = {.lex_state = 10},
  [1040] = {.lex_state = 10},
  [1041] = {.lex_state = 10},
  [1042] = {.lex_state = 10},
  [1043] = {.lex_state = 10},
  [1044] = {.lex_state = 10},
  [1045] = {.lex_state = 10},
  [1046] = {.lex_state = 10},
  [1047] = {.lex_state = 10},
  [1048] = {.lex_state = 10},
  [1049] = {.lex_state = 10},
  [1050] = {.lex_state = 10},
  [1051] = {.lex_state = 10},
  [1052] = {.lex_state = 10},
  [1053] = {.lex_state = 10},
  [1054] = {.lex_state = 10},
  [1055] = {.lex_state = 10},
  [1056] = {.lex_state = 10},
  [1057] = {.lex_state = 10},
  [1058] = {.lex_state = 10},
  [1059] = {.lex_state = 10},
  [1060] = {.lex_state = 10},
  [1061] = {.lex_state = 10},
  [1062] = {.lex_state = 10},
  [1063] = {.lex_state = 10},
  [1064] = {.lex_state = 10},
  [1065] = {.lex_state = 10},
  [1066] = {.lex_state = 10},
  [1067] = {.lex_state = 10},
  [1068] = {.lex_state = 10},
  [1069] = {.lex_state = 10},
  [1070] = {.lex_state = 10},
  [1071] = {.lex_state = 10},
  [1072] = {.lex_state = 10},
  [1073] = {.lex_state = 10},
  [1074] = {.lex_state = 10},
  [1075] = {.lex_state = 10},
  [1076] = {.lex_state = 10},
  [1077] = {.lex_state = 10},
  [1078] = {.lex_state = 10},
  [1079] = {.lex_state = 10},
  [1080] = {.lex_state = 10},
  [1081] = {.lex_state = 10},
  [1082] = {.lex_state = 10},
  [1083] = {.lex_state = 10},
  [1084] = {.lex_state = 10},
  [1085] = {.lex_state = 10},
  [1086] = {.lex_state = 10},
  [1087] = {.lex_state = 10},
  [1088] = {.lex_state = 10},
  [1089] = {.lex_state = 10},
  [1090] = {.lex_state = 10},
  [1091] = {.lex_state = 10},
  [1092] = {.lex_state = 10},
  [1093] = {.lex_state = 10},
  [1094] = {.lex_state = 10},
  [1095] = {.lex_state = 10},
  [1096] = {.lex_state = 10},
  [1097] = {.lex_state = 10},
  [1098] = {.lex_state = 10},
  [1099] = {.lex_state = 10},
  [1100] = {.lex_state = 10},
  [1101] = {.lex_state = 10},
  [1102] = {.lex_state = 10},
  [1103] = {.lex_state = 10},
  [1104] = {.lex_state = 10},
  [1105] = {.lex_state = 10},
  [1106] = {.lex_state = 10},
  [1107] = {.lex_state = 10},
  [1108] = {.lex_state = 10},
  [1109] = {.lex_state = 10},
  [1110] = {.lex_state = 10},
  [1111] = {.lex_state = 10},
  [1112] = {.lex_state = 10},
  [1113] = {.lex_state = 10},
  [1114] = {.lex_state = 10},
  [1115] = {.lex_state = 10},
  [1116] = {.lex_state = 10},
  [1117] = {.lex_state = 10},
  [1118] = {.lex_state = 10},
  [1119] = {.lex_state = 10},
  [1120] = {.lex_state = 10},
  [1121] = {.lex_state = 10},
  [1122] = {.lex_state = 10},
  [1123] = {.lex_state = 10},
  [1124] = {.lex_state = 10},
  [1125] = {.lex_state = 10},
  [1126] = {.lex_state = 10},
  [1127] = {.lex_state = 10},
  [1128] = {.lex_state = 10},
  [1129] = {.lex_state = 10},
  [1130] = {.lex_state = 10},
  [1131] = {.lex_state = 10},
  [1132] = {.lex_state = 10},
  [1133] = {.lex_state = 10},
  [1134] = {.lex_state = 10},
  [1135] = {.lex_state = 10},
  [1136] = {.lex_state = 10},
  [1137] = {.lex_state = 10},
  [1138] = {.lex_state = 10},
  [1139] = {.lex_state = 10},
  [1140] = {.lex_state = 10},
  [1141] = {.lex_state = 10},
  [1142] = {.lex_state = 10},
  [1143] = {.lex_state = 10},
  [1144] = {.lex_state = 10},
  [1145] = {.lex_state = 10},
  [1146] = {.lex_state = 10},
  [1147] = {.lex_state = 10},
  [1148] = {.lex_state = 10},
  [1149] = {.lex_state = 10},
  [1150] = {.lex_state = 10},
  [1151] = {.lex_state = 10},
  [1152] = {.lex_state = 10},
  [1153] = {.lex_state = 10},
  [1154] = {.lex_state = 10},
  [1155] = {.lex_state = 10},
  [1156] = {.lex_state = 10},
  [1157] = {.lex_state = 10},
  [1158] = {.lex_state = 10},
  [1159] = {.lex_state = 10},
  [1160] = {.lex_state = 10},
  [1161] = {.lex_state = 10},
  [1162] = {.lex_state = 10},
  [1163] = {.lex_state = 10},
  [1164] = {.lex_state = 10},
  [1165] = {.lex_state = 10},
  [1166] = {.lex_state = 10},
  [1167] = {.lex_state = 10},
  [1168] = {.lex_state = 10},
  [1169] = {.lex_state = 10},
  [1170] = {.lex_state = 10},
  [1171] = {.lex_state = 10},
  [1172] = {.lex_state = 10},
  [1173] = {.lex_state = 10},
  [1174] = {.lex_state = 10},
  [1175] = {.lex_state = 10},
  [1176] = {.lex_state = 10},
  [1177] = {.lex_state = 10},
  [1178] = {.lex_state = 10},
  [1179] = {.lex_state = 10},
  [1180] = {.lex_state = 10},
  [1181] = {.lex_state = 10},
  [1182] = {.lex_state = 10},
  [1183] = {.lex_state = 10},
  [1184] = {.lex_state = 10},
  [1185] = {.lex_state = 10},
  [1186] = {.lex_state = 10},
  [1187] = {.lex_state = 10},
  [1188] = {.lex_state = 10},
  [1189] = {.lex_state = 10},
  [1190] = {.lex_state = 10},
  [1191] = {.lex_state = 10},
  [1192] = {.lex_state = 10},
  [1193] = {.lex_state = 10},
  [1194] = {.lex_state = 10},
  [1195] = {.lex_state = 10},
  [1196] = {.lex_state = 10},
  [1197] = {.lex_state = 10},
  [1198] = {.lex_state = 10},
  [1199] = {.lex_state = 10},
  [1200] = {.lex_state = 10},
  [1201] = {.lex_state = 10},
  [1202] = {.lex_state = 10},
  [1203] = {.lex_state = 10},
  [1204] = {.lex_state = 10},
  [1205] = {.lex_state = 10},
  [1206] = {.lex_state = 10},
  [1207] = {.lex_state = 10},
  [1208] = {.lex_state = 10},
  [1209] = {.lex_state = 10},
  [1210] = {.lex_state = 10},
  [1211] = {.lex_state = 10},
  [1212] = {.lex_state = 10},
  [1213] = {.lex_state = 10},
  [1214] = {.lex_state = 10},
  [1215] = {.lex_state = 10},
  [1216] = {.lex_state = 10},
  [1217] = {.lex_state = 10},
  [1218] = {.lex_state = 10},
  [1219] = {.lex_state = 10},
  [1220] = {.lex_state = 10},
  [1221] = {.lex_state = 10},
  [1222] = {.lex_state = 10},
  [1223] = {.lex_state = 10},
  [1224] = {.lex_state = 10},
  [1225] = {.lex_state = 10},
  [1226] = {.lex_state = 10},
  [1227] = {.lex_state = 10},
  [1228] = {.lex_state = 10},
  [1229] = {.lex_state = 10},
  [1230] = {.lex_state = 10},
  [1231] = {.lex_state = 10},
  [1232] = {.lex_state = 10},
  [1233] = {.lex_state = 10},
  [1234] = {.lex_state = 10},
  [1235] = {.lex_state = 10},
  [1236] = {.lex_state = 10},
  [1237] = {.lex_state = 10},
  [1238] = {.lex_state = 10},
  [1239] = {.lex_state = 10},
  [1240] = {.lex_state = 10},
  [1241] = {.lex_state = 10},
  [1242] = {.lex_state = 10},
  [1243] = {.lex_state = 10},
  [1244] = {.lex_state = 10},
  [1245] = {.lex_state = 10},
  [1246] = {.lex_state = 10},
  [1247] = {.lex_state = 10},
  [1248] = {.lex_state = 10},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 10},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 8},
  [1257] = {.lex_state = 9},
  [1258] = {.lex_state = 9},
  [1259] = {.lex_state = 9},
  [1260] = {.lex_state = 9},
  [1261] = {.lex_state = 9},
  [1262] = {.lex_state = 9},
  [1263] = {.lex_state = 9},
  [1264] = {.lex_state = 9},
  [1265] = {.lex_state = 9},
  [1266] = {.lex_state = 9},
  [1267] = {.lex_state = 9},
  [1268] = {.lex_state = 9},
  [1269] = {.lex_state = 9},
  [1270] = {.lex_state = 9},
  [1271] = {.lex_state = 9},
  [1272] = {.lex_state = 9},
  [1273] = {.lex_state = 9},
  [1274] = {.lex_state = 9},
  [1275] = {.lex_state = 9},
  [1276] = {.lex_state = 9},
  [1277] = {.lex_state = 9},
  [1278] = {.lex_state = 9},
  [1279] = {.lex_state = 9},
  [1280] = {.lex_state = 9},
  [1281] = {.lex_state = 9},
  [1282] = {.lex_state = 9},
  [1283] = {.lex_state = 9},
  [1284] = {.lex_state = 9},
  [1285] = {.lex_state = 9},
  [1286] = {.lex_state = 9},
  [1287] = {.lex_state = 9},
  [1288] = {.lex_state = 9},
  [1289] = {.lex_state = 9},
  [1290] = {.lex_state = 9},
  [1291] = {.lex_state = 9},
  [1292] = {.lex_state = 9},
  [1293] = {.lex_state = 9},
  [1294] = {.lex_state = 9},
  [1295] = {.lex_state = 9},
  [1296] = {.lex_state = 9},
  [1297] = {.lex_state = 9},
  [1298] = {.lex_state = 9},
  [1299] = {.lex_state = 9},
  [1300] = {.lex_state = 9},
  [1301] = {.lex_state = 9},
  [1302] = {.lex_state = 10},
  [1303] = {.lex_state = 9},
  [1304] = {.lex_state = 9},
  [1305] = {.lex_state = 9},
  [1306] = {.lex_state = 9},
  [1307] = {.lex_state = 9},
  [1308] = {.lex_state = 9},
  [1309] = {.lex_state = 9},
  [1310] = {.lex_state = 9},
  [1311] = {.lex_state = 9},
  [1312] = {.lex_state = 9},
  [1313] = {.lex_state = 9},
  [1314] = {.lex_state = 9},
  [1315] = {.lex_state = 9},
  [1316] = {.lex_state = 9},
  [1317] = {.lex_state = 9},
  [1318] = {.lex_state = 9},
  [1319] = {.lex_state = 9},
  [1320] = {.lex_state = 9},
  [1321] = {.lex_state = 9},
  [1322] = {.lex_state = 9},
  [1323] = {.lex_state = 9},
  [1324] = {.lex_state = 9},
  [1325] = {.lex_state = 9},
  [1326] = {.lex_state = 9},
  [1327] = {.lex_state = 9},
  [1328] = {.lex_state = 9},
  [1329] = {.lex_state = 9},
  [1330] = {.lex_state = 9},
  [1331] = {.lex_state = 9},
  [1332] = {.lex_state = 9},
  [1333] = {.lex_state = 9},
  [1334] = {.lex_state = 9},
  [1335] = {.lex_state = 9},
  [1336] = {.lex_state = 9},
  [1337] = {.lex_state = 9},
  [1338] = {.lex_state = 9},
  [1339] = {.lex_state = 9},
  [1340] = {.lex_state = 9},
  [1341] = {.lex_state = 9},
  [1342] = {.lex_state = 9},
  [1343] = {.lex_state = 9},
  [1344] = {.lex_state = 9},
  [1345] = {.lex_state = 9},
  [1346] = {.lex_state = 9},
  [1347] = {.lex_state = 9},
  [1348] = {.lex_state = 9},
  [1349] = {.lex_state = 9},
  [1350] = {.lex_state = 9},
  [1351] = {.lex_state = 9},
  [1352] = {.lex_state = 9},
  [1353] = {.lex_state = 9},
  [1354] = {.lex_state = 9},
  [1355] = {.lex_state = 9},
  [1356] = {.lex_state = 9},
  [1357] = {.lex_state = 9},
  [1358] = {.lex_state = 9},
  [1359] = {.lex_state = 9},
  [1360] = {.lex_state = 9},
  [1361] = {.lex_state = 9},
  [1362] = {.lex_state = 9},
  [1363] = {.lex_state = 9},
  [1364] = {.lex_state = 9},
  [1365] = {.lex_state = 9},
  [1366] = {.lex_state = 9},
  [1367] = {.lex_state = 9},
  [1368] = {.lex_state = 9},
  [1369] = {.lex_state = 9},
  [1370] = {.lex_state = 9},
  [1371] = {.lex_state = 9},
  [1372] = {.lex_state = 9},
  [1373] = {.lex_state = 9},
  [1374] = {.lex_state = 9},
  [1375] = {.lex_state = 9},
  [1376] = {.lex_state = 9},
  [1377] = {.lex_state = 9},
  [1378] = {.lex_state = 9},
  [1379] = {.lex_state = 9},
  [1380] = {.lex_state = 9},
  [1381] = {.lex_state = 9},
  [1382] = {.lex_state = 9},
  [1383] = {.lex_state = 9},
  [1384] = {.lex_state = 9},
  [1385] = {.lex_state = 9},
  [1386] = {.lex_state = 9},
  [1387] = {.lex_state = 9},
  [1388] = {.lex_state = 9},
  [1389] = {.lex_state = 9},
  [1390] = {.lex_state = 9},
  [1391] = {.lex_state = 9},
  [1392] = {.lex_state = 9},
  [1393] = {.lex_state = 9},
  [1394] = {.lex_state = 9},
  [1395] = {.lex_state = 9},
  [1396] = {.lex_state = 9},
  [1397] = {.lex_state = 9},
  [1398] = {.lex_state = 9},
  [1399] = {.lex_state = 9},
  [1400] = {.lex_state = 9},
  [1401] = {.lex_state = 9},
  [1402] = {.lex_state = 9},
  [1403] = {.lex_state = 9},
  [1404] = {.lex_state = 9},
  [1405] = {.lex_state = 9},
  [1406] = {.lex_state = 9},
  [1407] = {.lex_state = 9},
  [1408] = {.lex_state = 9},
  [1409] = {.lex_state = 9},
  [1410] = {.lex_state = 9},
  [1411] = {.lex_state = 9},
  [1412] = {.lex_state = 9},
  [1413] = {.lex_state = 9},
  [1414] = {.lex_state = 9},
  [1415] = {.lex_state = 9},
  [1416] = {.lex_state = 9},
  [1417] = {.lex_state = 9},
  [1418] = {.lex_state = 9},
  [1419] = {.lex_state = 9},
  [1420] = {.lex_state = 9},
  [1421] = {.lex_state = 9},
  [1422] = {.lex_state = 9},
  [1423] = {.lex_state = 9},
  [1424] = {.lex_state = 9},
  [1425] = {.lex_state = 9},
  [1426] = {.lex_state = 9},
  [1427] = {.lex_state = 9},
  [1428] = {.lex_state = 9},
  [1429] = {.lex_state = 9},
  [1430] = {.lex_state = 9},
  [1431] = {.lex_state = 9},
  [1432] = {.lex_state = 9},
  [1433] = {.lex_state = 9},
  [1434] = {.lex_state = 9},
  [1435] = {.lex_state = 9},
  [1436] = {.lex_state = 9},
  [1437] = {.lex_state = 9},
  [1438] = {.lex_state = 9},
  [1439] = {.lex_state = 9},
  [1440] = {.lex_state = 9},
  [1441] = {.lex_state = 9},
  [1442] = {.lex_state = 9},
  [1443] = {.lex_state = 9},
  [1444] = {.lex_state = 9},
  [1445] = {.lex_state = 9},
  [1446] = {.lex_state = 9},
  [1447] = {.lex_state = 9},
  [1448] = {.lex_state = 9},
  [1449] = {.lex_state = 9},
  [1450] = {.lex_state = 9},
  [1451] = {.lex_state = 9},
  [1452] = {.lex_state = 9},
  [1453] = {.lex_state = 9},
  [1454] = {.lex_state = 9},
  [1455] = {.lex_state = 9},
  [1456] = {.lex_state = 9},
  [1457] = {.lex_state = 9},
  [1458] = {.lex_state = 9},
  [1459] = {.lex_state = 9},
  [1460] = {.lex_state = 9},
  [1461] = {.lex_state = 9},
  [1462] = {.lex_state = 9},
  [1463] = {.lex_state = 9},
  [1464] = {.lex_state = 9},
  [1465] = {.lex_state = 9},
  [1466] = {.lex_state = 9},
  [1467] = {.lex_state = 9},
  [1468] = {.lex_state = 9},
  [1469] = {.lex_state = 9},
  [1470] = {.lex_state = 9},
  [1471] = {.lex_state = 9},
  [1472] = {.lex_state = 9},
  [1473] = {.lex_state = 9},
  [1474] = {.lex_state = 9},
  [1475] = {.lex_state = 9},
  [1476] = {.lex_state = 9},
  [1477] = {.lex_state = 9},
  [1478] = {.lex_state = 9},
  [1479] = {.lex_state = 9},
  [1480] = {.lex_state = 9},
  [1481] = {.lex_state = 9},
  [1482] = {.lex_state = 9},
  [1483] = {.lex_state = 9},
  [1484] = {.lex_state = 9},
  [1485] = {.lex_state = 9},
  [1486] = {.lex_state = 9},
  [1487] = {.lex_state = 9},
  [1488] = {.lex_state = 9},
  [1489] = {.lex_state = 9},
  [1490] = {.lex_state = 9},
  [1491] = {.lex_state = 9},
  [1492] = {.lex_state = 9},
  [1493] = {.lex_state = 9},
  [1494] = {.lex_state = 9},
  [1495] = {.lex_state = 9},
  [1496] = {.lex_state = 9},
  [1497] = {.lex_state = 9},
  [1498] = {.lex_state = 9},
  [1499] = {.lex_state = 9},
  [1500] = {.lex_state = 9},
  [1501] = {.lex_state = 9},
  [1502] = {.lex_state = 9},
  [1503] = {.lex_state = 9},
  [1504] = {.lex_state = 9},
  [1505] = {.lex_state = 9},
  [1506] = {.lex_state = 9},
  [1507] = {.lex_state = 9},
  [1508] = {.lex_state = 9},
  [1509] = {.lex_state = 9},
  [1510] = {.lex_state = 9},
  [1511] = {.lex_state = 9},
  [1512] = {.lex_state = 9},
  [1513] = {.lex_state = 9},
  [1514] = {.lex_state = 9},
  [1515] = {.lex_state = 9},
  [1516] = {.lex_state = 9},
  [1517] = {.lex_state = 9},
  [1518] = {.lex_state = 9},
  [1519] = {.lex_state = 9},
  [1520] = {.lex_state = 9},
  [1521] = {.lex_state = 9},
  [1522] = {.lex_state = 9},
  [1523] = {.lex_state = 9},
  [1524] = {.lex_state = 9},
  [1525] = {.lex_state = 9},
  [1526] = {.lex_state = 9},
  [1527] = {.lex_state = 9},
  [1528] = {.lex_state = 9},
  [1529] = {.lex_state = 9},
  [1530] = {.lex_state = 9},
  [1531] = {.lex_state = 9},
  [1532] = {.lex_state = 9},
  [1533] = {.lex_state = 9},
  [1534] = {.lex_state = 9},
  [1535] = {.lex_state = 9},
  [1536] = {.lex_state = 9},
  [1537] = {.lex_state = 9},
  [1538] = {.lex_state = 9},
  [1539] = {.lex_state = 9},
  [1540] = {.lex_state = 9},
  [1541] = {.lex_state = 9},
  [1542] = {.lex_state = 9},
  [1543] = {.lex_state = 9},
  [1544] = {.lex_state = 9},
  [1545] = {.lex_state = 9},
  [1546] = {.lex_state = 9},
  [1547] = {.lex_state = 9},
  [1548] = {.lex_state = 9},
  [1549] = {.lex_state = 9},
  [1550] = {.lex_state = 9},
  [1551] = {.lex_state = 9},
  [1552] = {.lex_state = 9},
  [1553] = {.lex_state = 9},
  [1554] = {.lex_state = 9},
  [1555] = {.lex_state = 9},
  [1556] = {.lex_state = 9},
  [1557] = {.lex_state = 9},
  [1558] = {.lex_state = 9},
  [1559] = {.lex_state = 9},
  [1560] = {.lex_state = 9},
  [1561] = {.lex_state = 9},
  [1562] = {.lex_state = 9},
  [1563] = {.lex_state = 9},
  [1564] = {.lex_state = 9},
  [1565] = {.lex_state = 9},
  [1566] = {.lex_state = 9},
  [1567] = {.lex_state = 9},
  [1568] = {.lex_state = 9},
  [1569] = {.lex_state = 9},
  [1570] = {.lex_state = 9},
  [1571] = {.lex_state = 9},
  [1572] = {.lex_state = 9},
  [1573] = {.lex_state = 9},
  [1574] = {.lex_state = 9},
  [1575] = {.lex_state = 9},
  [1576] = {.lex_state = 9},
  [1577] = {.lex_state = 9},
  [1578] = {.lex_state = 9},
  [1579] = {.lex_state = 9},
  [1580] = {.lex_state = 9},
  [1581] = {.lex_state = 9},
  [1582] = {.lex_state = 9},
  [1583] = {.lex_state = 9},
  [1584] = {.lex_state = 9},
  [1585] = {.lex_state = 9},
  [1586] = {.lex_state = 9},
  [1587] = {.lex_state = 9},
  [1588] = {.lex_state = 9},
  [1589] = {.lex_state = 9},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 9},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 9},
  [1595] = {.lex_state = 9},
  [1596] = {.lex_state = 9},
  [1597] = {.lex_state = 21},
  [1598] = {.lex_state = 21},
  [1599] = {.lex_state = 21},
  [1600] = {.lex_state = 21},
  [1601] = {.lex_state = 21},
  [1602] = {.lex_state = 21},
  [1603] = {.lex_state = 21},
  [1604] = {.lex_state = 9},
  [1605] = {.lex_state = 21},
  [1606] = {.lex_state = 21},
  [1607] = {.lex_state = 21},
  [1608] = {.lex_state = 21},
  [1609] = {.lex_state = 21},
  [1610] = {.lex_state = 21},
  [1611] = {.lex_state = 21},
  [1612] = {.lex_state = 21},
  [1613] = {.lex_state = 21},
  [1614] = {.lex_state = 21},
  [1615] = {.lex_state = 21},
  [1616] = {.lex_state = 21},
  [1617] = {.lex_state = 21},
  [1618] = {.lex_state = 9},
  [1619] = {.lex_state = 21},
  [1620] = {.lex_state = 21},
  [1621] = {.lex_state = 21},
  [1622] = {.lex_state = 21},
  [1623] = {.lex_state = 21},
  [1624] = {.lex_state = 21},
  [1625] = {.lex_state = 21},
  [1626] = {.lex_state = 21},
  [1627] = {.lex_state = 21},
  [1628] = {.lex_state = 21},
  [1629] = {.lex_state = 21},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 21},
  [1635] = {.lex_state = 21},
  [1636] = {.lex_state = 21},
  [1637] = {.lex_state = 21},
  [1638] = {.lex_state = 21},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 21},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 21},
  [1643] = {.lex_state = 21},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 0},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 21},
  [1648] = {.lex_state = 21},
  [1649] = {.lex_state = 0},
  [1650] = {.lex_state = 21},
  [1651] = {.lex_state = 21},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 0},
  [1654] = {.lex_state = 0},
  [1655] = {.lex_state = 0},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 21},
  [1659] = {.lex_state = 21},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 21},
  [1662] = {.lex_state = 21},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 21},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 21},
  [1667] = {.lex_state = 21},
  [1668] = {.lex_state = 0},
  [1669] = {.lex_state = 21},
  [1670] = {.lex_state = 21},
  [1671] = {.lex_state = 21},
  [1672] = {.lex_state = 21},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 0},
  [1675] = {.lex_state = 21},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 0},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 0},
  [1681] = {.lex_state = 21},
  [1682] = {.lex_state = 21},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 21},
  [1686] = {.lex_state = 21},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 21},
  [1689] = {.lex_state = 21},
  [1690] = {.lex_state = 21},
  [1691] = {.lex_state = 21},
  [1692] = {.lex_state = 21},
  [1693] = {.lex_state = 0},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 21},
  [1696] = {.lex_state = 21},
  [1697] = {.lex_state = 21},
  [1698] = {.lex_state = 21},
  [1699] = {.lex_state = 21},
  [1700] = {.lex_state = 0},
  [1701] = {.lex_state = 21},
  [1702] = {.lex_state = 0},
  [1703] = {.lex_state = 21},
  [1704] = {.lex_state = 0},
  [1705] = {.lex_state = 21},
  [1706] = {.lex_state = 21},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 21},
  [1709] = {.lex_state = 21},
  [1710] = {.lex_state = 0},
  [1711] = {.lex_state = 21},
  [1712] = {.lex_state = 21},
  [1713] = {.lex_state = 0},
  [1714] = {.lex_state = 0},
  [1715] = {.lex_state = 21},
  [1716] = {.lex_state = 21},
  [1717] = {.lex_state = 21},
  [1718] = {.lex_state = 21},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 0},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 0},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 21},
  [1728] = {.lex_state = 0},
  [1729] = {.lex_state = 21},
  [1730] = {.lex_state = 21},
  [1731] = {.lex_state = 0},
  [1732] = {.lex_state = 21},
  [1733] = {.lex_state = 0},
  [1734] = {.lex_state = 21},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 21},
  [1738] = {.lex_state = 21},
  [1739] = {.lex_state = 21},
  [1740] = {.lex_state = 0},
  [1741] = {.lex_state = 21},
  [1742] = {.lex_state = 0},
  [1743] = {.lex_state = 21},
  [1744] = {.lex_state = 21},
  [1745] = {.lex_state = 0},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 21},
  [1748] = {.lex_state = 0},
  [1749] = {.lex_state = 21},
  [1750] = {.lex_state = 21},
  [1751] = {.lex_state = 21},
  [1752] = {.lex_state = 21},
  [1753] = {.lex_state = 21},
  [1754] = {.lex_state = 0},
  [1755] = {.lex_state = 0},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 21},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 21},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 21},
  [1762] = {.lex_state = 0},
  [1763] = {.lex_state = 0},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 0},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 21},
  [1768] = {.lex_state = 21},
  [1769] = {.lex_state = 0},
  [1770] = {.lex_state = 21},
  [1771] = {.lex_state = 21},
  [1772] = {.lex_state = 21},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 0},
  [1775] = {.lex_state = 21},
  [1776] = {.lex_state = 21},
  [1777] = {.lex_state = 21},
  [1778] = {.lex_state = 21},
  [1779] = {.lex_state = 0},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 21},
  [1782] = {.lex_state = 21},
  [1783] = {.lex_state = 21},
  [1784] = {.lex_state = 21},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 21},
  [1787] = {.lex_state = 21},
  [1788] = {.lex_state = 21},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 0},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 0},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 0},
  [1805] = {.lex_state = 0},
  [1806] = {.lex_state = 0},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 0},
  [1821] = {.lex_state = 0},
  [1822] = {.lex_state = 0},
  [1823] = {.lex_state = 0},
  [1824] = {.lex_state = 0},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 18},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 0},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 0},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 0},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 590},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 19},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 590},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 590},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 0},
  [1857] = {.lex_state = 590},
  [1858] = {.lex_state = 0},
  [1859] = {.lex_state = 590},
  [1860] = {.lex_state = 590},
  [1861] = {.lex_state = 0},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 0},
  [1864] = {.lex_state = 0},
  [1865] = {.lex_state = 19},
  [1866] = {.lex_state = 19},
  [1867] = {.lex_state = 0},
  [1868] = {.lex_state = 19},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 0},
  [1871] = {.lex_state = 0},
  [1872] = {.lex_state = 0},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 19},
  [1875] = {.lex_state = 19},
  [1876] = {.lex_state = 0},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 8},
  [1879] = {.lex_state = 590},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 0},
  [1884] = {.lex_state = 0},
  [1885] = {.lex_state = 0},
  [1886] = {.lex_state = 19},
  [1887] = {.lex_state = 19},
  [1888] = {.lex_state = 0},
  [1889] = {.lex_state = 0},
  [1890] = {.lex_state = 19},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 19},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 19},
  [1896] = {.lex_state = 0},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 0},
  [1899] = {.lex_state = 19},
  [1900] = {.lex_state = 19},
  [1901] = {.lex_state = 0},
  [1902] = {.lex_state = 0},
  [1903] = {.lex_state = 8},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 0},
  [1906] = {.lex_state = 0},
  [1907] = {.lex_state = 19},
  [1908] = {.lex_state = 19},
  [1909] = {.lex_state = 19},
  [1910] = {.lex_state = 19},
  [1911] = {.lex_state = 19},
  [1912] = {.lex_state = 19},
  [1913] = {.lex_state = 22},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 19},
  [1916] = {.lex_state = 19},
  [1917] = {.lex_state = 22},
  [1918] = {.lex_state = 19},
  [1919] = {.lex_state = 19},
  [1920] = {.lex_state = 23},
  [1921] = {.lex_state = 19},
  [1922] = {.lex_state = 19},
  [1923] = {.lex_state = 0},
  [1924] = {.lex_state = 19},
  [1925] = {.lex_state = 19},
  [1926] = {.lex_state = 23},
  [1927] = {.lex_state = 19},
  [1928] = {.lex_state = 0},
  [1929] = {.lex_state = 19},
  [1930] = {.lex_state = 8},
  [1931] = {.lex_state = 22},
  [1932] = {.lex_state = 19},
  [1933] = {.lex_state = 19},
  [1934] = {.lex_state = 590},
  [1935] = {.lex_state = 0},
  [1936] = {.lex_state = 0},
  [1937] = {.lex_state = 0},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 0},
  [1940] = {.lex_state = 0},
  [1941] = {.lex_state = 0},
  [1942] = {.lex_state = 0},
  [1943] = {.lex_state = 0},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 0},
  [1947] = {.lex_state = 0},
  [1948] = {.lex_state = 0},
  [1949] = {.lex_state = 0},
  [1950] = {.lex_state = 8},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 0},
  [1953] = {.lex_state = 0},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 8},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 0},
  [1959] = {.lex_state = 19},
  [1960] = {.lex_state = 8},
  [1961] = {.lex_state = 8},
  [1962] = {.lex_state = 0},
  [1963] = {.lex_state = 19},
  [1964] = {.lex_state = 0},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 0},
  [1967] = {.lex_state = 8},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 0},
  [1972] = {.lex_state = 0},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 19},
  [1976] = {.lex_state = 590},
  [1977] = {.lex_state = 0},
  [1978] = {.lex_state = 19},
  [1979] = {.lex_state = 8},
  [1980] = {.lex_state = 0},
  [1981] = {.lex_state = 0},
  [1982] = {.lex_state = 590},
  [1983] = {.lex_state = 0},
  [1984] = {.lex_state = 19},
  [1985] = {.lex_state = 0},
  [1986] = {.lex_state = 8},
  [1987] = {.lex_state = 0},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 0},
  [1990] = {.lex_state = 0},
  [1991] = {.lex_state = 19},
  [1992] = {.lex_state = 590},
  [1993] = {.lex_state = 0},
  [1994] = {.lex_state = 19},
  [1995] = {.lex_state = 0},
  [1996] = {.lex_state = 0},
  [1997] = {.lex_state = 0},
  [1998] = {.lex_state = 590},
  [1999] = {.lex_state = 0},
  [2000] = {.lex_state = 19},
  [2001] = {.lex_state = 0},
  [2002] = {.lex_state = 0},
  [2003] = {.lex_state = 22},
  [2004] = {.lex_state = 0},
  [2005] = {.lex_state = 0},
  [2006] = {.lex_state = 590},
  [2007] = {.lex_state = 0},
  [2008] = {.lex_state = 19},
  [2009] = {.lex_state = 0},
  [2010] = {.lex_state = 19},
  [2011] = {.lex_state = 590},
  [2012] = {.lex_state = 590},
  [2013] = {.lex_state = 0},
  [2014] = {.lex_state = 19},
  [2015] = {.lex_state = 0},
  [2016] = {.lex_state = 590},
  [2017] = {.lex_state = 0},
  [2018] = {.lex_state = 19},
  [2019] = {.lex_state = 0},
  [2020] = {.lex_state = 590},
  [2021] = {.lex_state = 0},
  [2022] = {.lex_state = 19},
  [2023] = {.lex_state = 8},
  [2024] = {.lex_state = 0},
  [2025] = {.lex_state = 590},
  [2026] = {.lex_state = 0},
  [2027] = {.lex_state = 19},
  [2028] = {.lex_state = 0},
  [2029] = {.lex_state = 590},
  [2030] = {.lex_state = 0},
  [2031] = {.lex_state = 0},
  [2032] = {.lex_state = 590},
  [2033] = {.lex_state = 0},
  [2034] = {.lex_state = 19},
  [2035] = {.lex_state = 0},
  [2036] = {.lex_state = 590},
  [2037] = {.lex_state = 0},
  [2038] = {.lex_state = 590},
  [2039] = {.lex_state = 0},
  [2040] = {.lex_state = 19},
  [2041] = {.lex_state = 0},
  [2042] = {.lex_state = 0},
  [2043] = {.lex_state = 0},
  [2044] = {.lex_state = 0},
  [2045] = {.lex_state = 0},
  [2046] = {.lex_state = 0},
  [2047] = {.lex_state = 0},
  [2048] = {.lex_state = 0},
  [2049] = {.lex_state = 19},
  [2050] = {.lex_state = 0},
  [2051] = {.lex_state = 0},
  [2052] = {.lex_state = 19},
  [2053] = {.lex_state = 0},
  [2054] = {.lex_state = 20},
  [2055] = {.lex_state = 0},
  [2056] = {.lex_state = 0},
  [2057] = {.lex_state = 0},
  [2058] = {.lex_state = 0},
  [2059] = {.lex_state = 0},
  [2060] = {.lex_state = 590},
  [2061] = {.lex_state = 0},
  [2062] = {.lex_state = 0},
  [2063] = {.lex_state = 0},
  [2064] = {.lex_state = 0},
  [2065] = {.lex_state = 0},
  [2066] = {.lex_state = 0},
  [2067] = {.lex_state = 0},
  [2068] = {.lex_state = 0},
  [2069] = {.lex_state = 19},
  [2070] = {.lex_state = 0},
  [2071] = {.lex_state = 0},
  [2072] = {.lex_state = 20},
  [2073] = {.lex_state = 19},
  [2074] = {.lex_state = 0},
  [2075] = {.lex_state = 0},
  [2076] = {.lex_state = 0},
  [2077] = {.lex_state = 0},
  [2078] = {.lex_state = 0},
  [2079] = {.lex_state = 0},
  [2080] = {.lex_state = 0},
  [2081] = {.lex_state = 0},
  [2082] = {.lex_state = 0},
  [2083] = {.lex_state = 0},
  [2084] = {.lex_state = 0},
  [2085] = {.lex_state = 0},
  [2086] = {.lex_state = 0},
  [2087] = {.lex_state = 20},
  [2088] = {.lex_state = 0},
  [2089] = {.lex_state = 0},
  [2090] = {.lex_state = 0},
  [2091] = {.lex_state = 0},
  [2092] = {.lex_state = 0},
  [2093] = {.lex_state = 0},
  [2094] = {.lex_state = 0},
  [2095] = {.lex_state = 0},
  [2096] = {.lex_state = 0},
  [2097] = {.lex_state = 0},
  [2098] = {.lex_state = 0},
  [2099] = {.lex_state = 0},
  [2100] = {.lex_state = 0},
  [2101] = {.lex_state = 0},
  [2102] = {.lex_state = 0},
  [2103] = {.lex_state = 0},
  [2104] = {.lex_state = 19},
  [2105] = {.lex_state = 590},
  [2106] = {.lex_state = 0},
  [2107] = {.lex_state = 19},
  [2108] = {.lex_state = 0},
  [2109] = {.lex_state = 0},
  [2110] = {.lex_state = 0},
  [2111] = {.lex_state = 0},
  [2112] = {.lex_state = 0},
  [2113] = {.lex_state = 0},
  [2114] = {.lex_state = 0},
  [2115] = {.lex_state = 0},
  [2116] = {.lex_state = 0},
  [2117] = {.lex_state = 19},
  [2118] = {.lex_state = 0},
  [2119] = {.lex_state = 0},
  [2120] = {.lex_state = 0},
  [2121] = {.lex_state = 0},
  [2122] = {.lex_state = 0},
  [2123] = {.lex_state = 0},
  [2124] = {.lex_state = 19},
  [2125] = {.lex_state = 0},
  [2126] = {.lex_state = 0},
  [2127] = {.lex_state = 19},
  [2128] = {.lex_state = 19},
  [2129] = {.lex_state = 0},
  [2130] = {.lex_state = 0},
  [2131] = {.lex_state = 19},
  [2132] = {.lex_state = 0},
  [2133] = {.lex_state = 0},
  [2134] = {.lex_state = 19},
  [2135] = {.lex_state = 0},
  [2136] = {.lex_state = 0},
  [2137] = {.lex_state = 0},
  [2138] = {.lex_state = 19},
  [2139] = {.lex_state = 0},
  [2140] = {.lex_state = 0},
  [2141] = {.lex_state = 0},
  [2142] = {.lex_state = 19},
  [2143] = {.lex_state = 0},
  [2144] = {.lex_state = 0},
  [2145] = {.lex_state = 19},
  [2146] = {.lex_state = 0},
  [2147] = {.lex_state = 0},
  [2148] = {.lex_state = 19},
  [2149] = {.lex_state = 0},
  [2150] = {.lex_state = 0},
  [2151] = {.lex_state = 19},
  [2152] = {.lex_state = 0},
  [2153] = {.lex_state = 0},
  [2154] = {.lex_state = 19},
  [2155] = {.lex_state = 0},
  [2156] = {.lex_state = 0},
  [2157] = {.lex_state = 0},
  [2158] = {.lex_state = 0},
  [2159] = {.lex_state = 19},
  [2160] = {.lex_state = 19},
  [2161] = {.lex_state = 0},
  [2162] = {.lex_state = 19},
  [2163] = {.lex_state = 19},
  [2164] = {.lex_state = 19},
  [2165] = {.lex_state = 19},
  [2166] = {.lex_state = 19},
  [2167] = {.lex_state = 19},
  [2168] = {.lex_state = 19},
  [2169] = {.lex_state = 19},
  [2170] = {.lex_state = 19},
  [2171] = {.lex_state = 19},
  [2172] = {.lex_state = 19},
  [2173] = {.lex_state = 19},
  [2174] = {.lex_state = 19},
  [2175] = {.lex_state = 19},
  [2176] = {.lex_state = 19},
  [2177] = {.lex_state = 19},
  [2178] = {.lex_state = 19},
  [2179] = {.lex_state = 19},
  [2180] = {.lex_state = 19},
  [2181] = {.lex_state = 19},
  [2182] = {.lex_state = 0},
  [2183] = {.lex_state = 19},
  [2184] = {.lex_state = 0},
  [2185] = {.lex_state = 0},
  [2186] = {.lex_state = 0},
  [2187] = {.lex_state = 0},
  [2188] = {.lex_state = 0},
  [2189] = {.lex_state = 0},
  [2190] = {.lex_state = 19},
  [2191] = {.lex_state = 0},
  [2192] = {.lex_state = 19},
  [2193] = {.lex_state = 25},
  [2194] = {.lex_state = 19},
  [2195] = {.lex_state = 0},
  [2196] = {.lex_state = 24},
  [2197] = {.lex_state = 24},
  [2198] = {.lex_state = 0},
  [2199] = {.lex_state = 19},
  [2200] = {.lex_state = 19},
  [2201] = {.lex_state = 25},
  [2202] = {.lex_state = 19},
  [2203] = {.lex_state = 0},
  [2204] = {.lex_state = 19},
  [2205] = {.lex_state = 0},
  [2206] = {.lex_state = 0},
  [2207] = {.lex_state = 0},
  [2208] = {.lex_state = 0},
  [2209] = {.lex_state = 19},
  [2210] = {.lex_state = 25},
  [2211] = {.lex_state = 19},
  [2212] = {.lex_state = 25},
  [2213] = {.lex_state = 0},
  [2214] = {.lex_state = 19},
  [2215] = {.lex_state = 0},
  [2216] = {.lex_state = 0},
  [2217] = {.lex_state = 0},
  [2218] = {.lex_state = 19},
  [2219] = {.lex_state = 0},
  [2220] = {.lex_state = 24},
  [2221] = {.lex_state = 25},
  [2222] = {.lex_state = 0},
  [2223] = {.lex_state = 19},
  [2224] = {.lex_state = 0},
  [2225] = {.lex_state = 19},
  [2226] = {.lex_state = 24},
  [2227] = {.lex_state = 0},
  [2228] = {.lex_state = 0},
  [2229] = {.lex_state = 19},
  [2230] = {.lex_state = 0},
  [2231] = {.lex_state = 0},
  [2232] = {.lex_state = 0},
  [2233] = {.lex_state = 19},
  [2234] = {.lex_state = 590},
  [2235] = {.lex_state = 0},
  [2236] = {.lex_state = 0},
  [2237] = {.lex_state = 25},
  [2238] = {.lex_state = 19},
  [2239] = {.lex_state = 0},
  [2240] = {.lex_state = 0},
  [2241] = {.lex_state = 19},
  [2242] = {.lex_state = 19},
  [2243] = {.lex_state = 0},
  [2244] = {.lex_state = 0},
  [2245] = {.lex_state = 0},
  [2246] = {.lex_state = 0},
  [2247] = {.lex_state = 19},
  [2248] = {.lex_state = 0},
  [2249] = {.lex_state = 0},
  [2250] = {.lex_state = 0},
  [2251] = {.lex_state = 0},
  [2252] = {.lex_state = 0},
  [2253] = {.lex_state = 0},
  [2254] = {.lex_state = 0},
  [2255] = {.lex_state = 0},
  [2256] = {.lex_state = 0},
  [2257] = {.lex_state = 19},
  [2258] = {.lex_state = 0},
  [2259] = {.lex_state = 19},
  [2260] = {.lex_state = 0},
  [2261] = {.lex_state = 0},
  [2262] = {.lex_state = 19},
  [2263] = {.lex_state = 0},
  [2264] = {.lex_state = 0},
  [2265] = {.lex_state = 0},
  [2266] = {.lex_state = 19},
  [2267] = {.lex_state = 0},
  [2268] = {.lex_state = 0},
  [2269] = {.lex_state = 0},
  [2270] = {.lex_state = 0},
  [2271] = {.lex_state = 0},
  [2272] = {.lex_state = 0},
  [2273] = {.lex_state = 590},
  [2274] = {.lex_state = 8},
  [2275] = {.lex_state = 0},
  [2276] = {.lex_state = 0},
  [2277] = {.lex_state = 0},
  [2278] = {.lex_state = 0},
  [2279] = {.lex_state = 19},
  [2280] = {.lex_state = 0},
  [2281] = {.lex_state = 0},
  [2282] = {.lex_state = 0},
  [2283] = {.lex_state = 0},
  [2284] = {.lex_state = 590},
  [2285] = {.lex_state = 0},
  [2286] = {.lex_state = 19},
  [2287] = {.lex_state = 25},
  [2288] = {.lex_state = 0},
  [2289] = {.lex_state = 19},
  [2290] = {.lex_state = 0},
  [2291] = {.lex_state = 0},
  [2292] = {.lex_state = 0},
  [2293] = {.lex_state = 0},
  [2294] = {.lex_state = 590},
  [2295] = {.lex_state = 0},
  [2296] = {.lex_state = 8},
  [2297] = {.lex_state = 0},
  [2298] = {.lex_state = 0},
  [2299] = {.lex_state = 24},
  [2300] = {.lex_state = 0},
  [2301] = {.lex_state = 0},
  [2302] = {.lex_state = 0},
  [2303] = {.lex_state = 19},
  [2304] = {.lex_state = 0},
  [2305] = {.lex_state = 0},
  [2306] = {.lex_state = 0},
  [2307] = {.lex_state = 0},
  [2308] = {.lex_state = 0},
  [2309] = {.lex_state = 8},
  [2310] = {.lex_state = 0},
  [2311] = {.lex_state = 0},
  [2312] = {.lex_state = 0},
  [2313] = {.lex_state = 0},
  [2314] = {.lex_state = 0},
  [2315] = {.lex_state = 0},
  [2316] = {.lex_state = 0},
  [2317] = {.lex_state = 0},
  [2318] = {.lex_state = 0},
  [2319] = {.lex_state = 0},
  [2320] = {.lex_state = 0},
  [2321] = {.lex_state = 0},
  [2322] = {.lex_state = 590},
  [2323] = {.lex_state = 0},
  [2324] = {.lex_state = 0},
  [2325] = {.lex_state = 0},
  [2326] = {.lex_state = 0},
  [2327] = {.lex_state = 19},
  [2328] = {.lex_state = 0},
  [2329] = {.lex_state = 25},
  [2330] = {.lex_state = 0},
  [2331] = {.lex_state = 19},
  [2332] = {.lex_state = 0},
  [2333] = {.lex_state = 0},
  [2334] = {.lex_state = 0},
  [2335] = {.lex_state = 0},
  [2336] = {.lex_state = 19},
  [2337] = {.lex_state = 0},
  [2338] = {.lex_state = 8},
  [2339] = {.lex_state = 19},
  [2340] = {.lex_state = 0},
  [2341] = {.lex_state = 19},
  [2342] = {.lex_state = 0},
  [2343] = {.lex_state = 0},
  [2344] = {.lex_state = 24},
  [2345] = {.lex_state = 0},
  [2346] = {.lex_state = 0},
  [2347] = {.lex_state = 25},
  [2348] = {.lex_state = 0},
  [2349] = {.lex_state = 590},
  [2350] = {.lex_state = 24},
  [2351] = {.lex_state = 19},
  [2352] = {.lex_state = 8},
  [2353] = {.lex_state = 0},
  [2354] = {.lex_state = 0},
  [2355] = {.lex_state = 0},
  [2356] = {.lex_state = 0},
  [2357] = {.lex_state = 0},
  [2358] = {.lex_state = 19},
  [2359] = {.lex_state = 19},
  [2360] = {.lex_state = 0},
  [2361] = {.lex_state = 590},
  [2362] = {.lex_state = 25},
  [2363] = {.lex_state = 0},
  [2364] = {.lex_state = 0},
  [2365] = {.lex_state = 0},
  [2366] = {.lex_state = 0},
  [2367] = {.lex_state = 0},
  [2368] = {.lex_state = 590},
  [2369] = {.lex_state = 0},
  [2370] = {.lex_state = 19},
  [2371] = {.lex_state = 19},
  [2372] = {.lex_state = 19},
  [2373] = {.lex_state = 0},
  [2374] = {.lex_state = 0},
  [2375] = {.lex_state = 0},
  [2376] = {.lex_state = 0},
  [2377] = {.lex_state = 0},
  [2378] = {.lex_state = 0},
  [2379] = {.lex_state = 0},
  [2380] = {.lex_state = 19},
  [2381] = {.lex_state = 19},
  [2382] = {.lex_state = 0},
  [2383] = {.lex_state = 0},
  [2384] = {.lex_state = 0},
  [2385] = {.lex_state = 0},
  [2386] = {.lex_state = 0},
  [2387] = {.lex_state = 0},
  [2388] = {.lex_state = 0},
  [2389] = {.lex_state = 0},
  [2390] = {.lex_state = 0},
  [2391] = {.lex_state = 590},
  [2392] = {.lex_state = 19},
  [2393] = {.lex_state = 0},
  [2394] = {.lex_state = 590},
  [2395] = {.lex_state = 0},
  [2396] = {.lex_state = 0},
  [2397] = {.lex_state = 0},
  [2398] = {.lex_state = 19},
  [2399] = {.lex_state = 0},
  [2400] = {.lex_state = 0},
  [2401] = {.lex_state = 19},
  [2402] = {.lex_state = 0},
  [2403] = {.lex_state = 0},
  [2404] = {.lex_state = 0},
  [2405] = {.lex_state = 0},
  [2406] = {.lex_state = 0},
  [2407] = {.lex_state = 19},
  [2408] = {.lex_state = 0},
  [2409] = {.lex_state = 0},
  [2410] = {.lex_state = 0},
  [2411] = {.lex_state = 590},
  [2412] = {.lex_state = 0},
  [2413] = {.lex_state = 0},
  [2414] = {.lex_state = 0},
  [2415] = {.lex_state = 0},
  [2416] = {.lex_state = 0},
  [2417] = {.lex_state = 0},
  [2418] = {.lex_state = 0},
  [2419] = {.lex_state = 0},
  [2420] = {.lex_state = 0},
  [2421] = {.lex_state = 19},
  [2422] = {.lex_state = 0},
  [2423] = {.lex_state = 0},
  [2424] = {.lex_state = 19},
  [2425] = {.lex_state = 0},
  [2426] = {.lex_state = 0},
  [2427] = {.lex_state = 0},
  [2428] = {.lex_state = 0},
  [2429] = {.lex_state = 0},
  [2430] = {.lex_state = 0},
  [2431] = {.lex_state = 590},
  [2432] = {.lex_state = 25},
  [2433] = {.lex_state = 0},
  [2434] = {.lex_state = 19},
  [2435] = {.lex_state = 25},
  [2436] = {.lex_state = 19},
  [2437] = {.lex_state = 0},
  [2438] = {.lex_state = 0},
  [2439] = {.lex_state = 0},
  [2440] = {.lex_state = 0},
  [2441] = {.lex_state = 0},
  [2442] = {.lex_state = 19},
  [2443] = {.lex_state = 0},
  [2444] = {.lex_state = 0},
  [2445] = {.lex_state = 0},
  [2446] = {.lex_state = 0},
  [2447] = {.lex_state = 0},
  [2448] = {.lex_state = 0},
  [2449] = {.lex_state = 0},
  [2450] = {.lex_state = 0},
  [2451] = {.lex_state = 590},
  [2452] = {.lex_state = 0},
  [2453] = {.lex_state = 0},
  [2454] = {.lex_state = 0},
  [2455] = {.lex_state = 0},
  [2456] = {.lex_state = 0},
  [2457] = {.lex_state = 0},
  [2458] = {.lex_state = 0},
  [2459] = {.lex_state = 0},
  [2460] = {.lex_state = 0},
  [2461] = {.lex_state = 0},
  [2462] = {.lex_state = 0},
  [2463] = {.lex_state = 0},
  [2464] = {.lex_state = 0},
  [2465] = {.lex_state = 0},
  [2466] = {.lex_state = 590},
  [2467] = {.lex_state = 0},
  [2468] = {.lex_state = 0},
  [2469] = {.lex_state = 0},
  [2470] = {.lex_state = 0},
  [2471] = {.lex_state = 0},
  [2472] = {.lex_state = 0},
  [2473] = {.lex_state = 0},
  [2474] = {.lex_state = 0},
  [2475] = {.lex_state = 0},
  [2476] = {.lex_state = 0},
  [2477] = {.lex_state = 0},
  [2478] = {.lex_state = 0},
  [2479] = {.lex_state = 0},
  [2480] = {.lex_state = 0},
  [2481] = {.lex_state = 590},
  [2482] = {.lex_state = 0},
  [2483] = {.lex_state = 0},
  [2484] = {.lex_state = 19},
  [2485] = {.lex_state = 0},
  [2486] = {.lex_state = 19},
  [2487] = {.lex_state = 0},
  [2488] = {.lex_state = 0},
  [2489] = {.lex_state = 0},
  [2490] = {.lex_state = 25},
  [2491] = {.lex_state = 19},
  [2492] = {.lex_state = 0},
  [2493] = {.lex_state = 0},
  [2494] = {.lex_state = 0},
  [2495] = {.lex_state = 0},
  [2496] = {.lex_state = 590},
  [2497] = {.lex_state = 19},
  [2498] = {.lex_state = 0},
  [2499] = {.lex_state = 0},
  [2500] = {.lex_state = 0},
  [2501] = {.lex_state = 19},
  [2502] = {.lex_state = 19},
  [2503] = {.lex_state = 0},
  [2504] = {.lex_state = 0},
  [2505] = {.lex_state = 0},
  [2506] = {.lex_state = 0},
  [2507] = {.lex_state = 0},
  [2508] = {.lex_state = 0},
  [2509] = {.lex_state = 0},
  [2510] = {.lex_state = 0},
  [2511] = {.lex_state = 590},
  [2512] = {.lex_state = 19},
  [2513] = {.lex_state = 0},
  [2514] = {.lex_state = 19},
  [2515] = {.lex_state = 0},
  [2516] = {.lex_state = 19},
  [2517] = {.lex_state = 25},
  [2518] = {.lex_state = 0},
  [2519] = {.lex_state = 24},
  [2520] = {.lex_state = 0},
  [2521] = {.lex_state = 8},
  [2522] = {.lex_state = 0},
  [2523] = {.lex_state = 0},
  [2524] = {.lex_state = 0},
  [2525] = {.lex_state = 0},
  [2526] = {.lex_state = 590},
  [2527] = {.lex_state = 0},
  [2528] = {.lex_state = 0},
  [2529] = {.lex_state = 0},
  [2530] = {.lex_state = 0},
  [2531] = {.lex_state = 19},
  [2532] = {.lex_state = 0},
  [2533] = {.lex_state = 0},
  [2534] = {.lex_state = 0},
  [2535] = {.lex_state = 19},
  [2536] = {.lex_state = 0},
  [2537] = {.lex_state = 0},
  [2538] = {.lex_state = 0},
  [2539] = {.lex_state = 0},
  [2540] = {.lex_state = 19},
  [2541] = {.lex_state = 0},
  [2542] = {.lex_state = 25},
  [2543] = {.lex_state = 19},
  [2544] = {.lex_state = 0},
  [2545] = {.lex_state = 19},
  [2546] = {.lex_state = 19},
  [2547] = {.lex_state = 590},
  [2548] = {.lex_state = 0},
  [2549] = {.lex_state = 24},
  [2550] = {.lex_state = 0},
  [2551] = {.lex_state = 0},
  [2552] = {.lex_state = 0},
  [2553] = {.lex_state = 0},
  [2554] = {.lex_state = 0},
  [2555] = {.lex_state = 0},
  [2556] = {.lex_state = 0},
  [2557] = {.lex_state = 0},
  [2558] = {.lex_state = 0},
  [2559] = {.lex_state = 590},
  [2560] = {.lex_state = 590},
  [2561] = {.lex_state = 19},
  [2562] = {.lex_state = 0},
  [2563] = {.lex_state = 0},
  [2564] = {.lex_state = 0},
  [2565] = {.lex_state = 19},
  [2566] = {.lex_state = 0},
  [2567] = {.lex_state = 19},
  [2568] = {.lex_state = 0},
  [2569] = {.lex_state = 0},
  [2570] = {.lex_state = 0},
  [2571] = {.lex_state = 0},
  [2572] = {.lex_state = 25},
  [2573] = {.lex_state = 19},
  [2574] = {.lex_state = 0},
  [2575] = {.lex_state = 0},
  [2576] = {.lex_state = 0},
  [2577] = {.lex_state = 0},
  [2578] = {.lex_state = 0},
  [2579] = {.lex_state = 0},
  [2580] = {.lex_state = 0},
  [2581] = {.lex_state = 19},
  [2582] = {.lex_state = 19},
  [2583] = {.lex_state = 0},
  [2584] = {.lex_state = 0},
  [2585] = {.lex_state = 19},
  [2586] = {.lex_state = 0},
  [2587] = {.lex_state = 0},
  [2588] = {.lex_state = 0},
  [2589] = {.lex_state = 0},
  [2590] = {.lex_state = 0},
  [2591] = {.lex_state = 0},
  [2592] = {.lex_state = 0},
  [2593] = {.lex_state = 0},
  [2594] = {.lex_state = 0},
  [2595] = {.lex_state = 0},
  [2596] = {.lex_state = 0},
  [2597] = {.lex_state = 0},
  [2598] = {.lex_state = 0},
  [2599] = {.lex_state = 0},
  [2600] = {.lex_state = 0},
  [2601] = {.lex_state = 0},
  [2602] = {.lex_state = 0},
  [2603] = {.lex_state = 19},
  [2604] = {.lex_state = 0},
  [2605] = {.lex_state = 19},
  [2606] = {.lex_state = 25},
  [2607] = {.lex_state = 0},
  [2608] = {.lex_state = 0},
  [2609] = {.lex_state = 24},
  [2610] = {.lex_state = 0},
  [2611] = {.lex_state = 19},
  [2612] = {.lex_state = 0},
  [2613] = {.lex_state = 25},
  [2614] = {.lex_state = 590},
  [2615] = {.lex_state = 0},
  [2616] = {.lex_state = 19},
  [2617] = {.lex_state = 0},
  [2618] = {.lex_state = 0},
  [2619] = {.lex_state = 0},
  [2620] = {.lex_state = 0},
  [2621] = {.lex_state = 0},
  [2622] = {.lex_state = 0},
  [2623] = {.lex_state = 0},
  [2624] = {.lex_state = 0},
  [2625] = {.lex_state = 0},
  [2626] = {.lex_state = 0},
  [2627] = {.lex_state = 0},
  [2628] = {.lex_state = 0},
  [2629] = {.lex_state = 0},
  [2630] = {.lex_state = 0},
  [2631] = {.lex_state = 0},
  [2632] = {.lex_state = 25},
  [2633] = {.lex_state = 19},
  [2634] = {.lex_state = 0},
  [2635] = {.lex_state = 0},
  [2636] = {.lex_state = 0},
  [2637] = {.lex_state = 590},
  [2638] = {.lex_state = 0},
  [2639] = {.lex_state = 0},
  [2640] = {.lex_state = 0},
  [2641] = {.lex_state = 0},
  [2642] = {.lex_state = 0},
  [2643] = {.lex_state = 0},
  [2644] = {.lex_state = 0},
  [2645] = {.lex_state = 0},
  [2646] = {.lex_state = 0},
  [2647] = {.lex_state = 19},
  [2648] = {.lex_state = 0},
  [2649] = {.lex_state = 0},
  [2650] = {.lex_state = 0},
  [2651] = {.lex_state = 0},
  [2652] = {.lex_state = 0},
  [2653] = {.lex_state = 0},
  [2654] = {.lex_state = 0},
  [2655] = {.lex_state = 0},
  [2656] = {.lex_state = 0},
  [2657] = {.lex_state = 0},
  [2658] = {.lex_state = 0},
  [2659] = {.lex_state = 0},
  [2660] = {.lex_state = 0},
  [2661] = {.lex_state = 0},
  [2662] = {.lex_state = 19},
  [2663] = {.lex_state = 0},
  [2664] = {.lex_state = 0},
  [2665] = {.lex_state = 0},
  [2666] = {.lex_state = 19},
  [2667] = {.lex_state = 0},
  [2668] = {.lex_state = 0},
  [2669] = {.lex_state = 0},
  [2670] = {.lex_state = 590},
  [2671] = {.lex_state = 0},
  [2672] = {.lex_state = 0},
  [2673] = {.lex_state = 0},
  [2674] = {.lex_state = 0},
  [2675] = {.lex_state = 0},
  [2676] = {.lex_state = 0},
  [2677] = {.lex_state = 0},
  [2678] = {.lex_state = 0},
  [2679] = {.lex_state = 0},
  [2680] = {.lex_state = 0},
  [2681] = {.lex_state = 19},
  [2682] = {.lex_state = 19},
  [2683] = {.lex_state = 0},
  [2684] = {.lex_state = 19},
  [2685] = {.lex_state = 590},
  [2686] = {.lex_state = 19},
  [2687] = {.lex_state = 19},
  [2688] = {.lex_state = 0},
  [2689] = {.lex_state = 0},
  [2690] = {.lex_state = 0},
  [2691] = {.lex_state = 0},
  [2692] = {.lex_state = 0},
  [2693] = {.lex_state = 0},
  [2694] = {.lex_state = 0},
  [2695] = {.lex_state = 0},
  [2696] = {.lex_state = 0},
  [2697] = {.lex_state = 19},
  [2698] = {.lex_state = 0},
  [2699] = {.lex_state = 19},
  [2700] = {.lex_state = 19},
  [2701] = {.lex_state = 0},
  [2702] = {.lex_state = 0},
  [2703] = {.lex_state = 0},
  [2704] = {.lex_state = 0},
  [2705] = {.lex_state = 0},
  [2706] = {.lex_state = 0},
  [2707] = {.lex_state = 0},
  [2708] = {.lex_state = 0},
  [2709] = {.lex_state = 19},
  [2710] = {.lex_state = 0},
  [2711] = {.lex_state = 19},
  [2712] = {.lex_state = 19},
  [2713] = {.lex_state = 0},
  [2714] = {.lex_state = 0},
  [2715] = {.lex_state = 0},
  [2716] = {.lex_state = 19},
  [2717] = {.lex_state = 0},
  [2718] = {.lex_state = 0},
  [2719] = {.lex_state = 0},
  [2720] = {.lex_state = 0},
  [2721] = {.lex_state = 19},
  [2722] = {.lex_state = 0},
  [2723] = {.lex_state = 19},
  [2724] = {.lex_state = 19},
  [2725] = {.lex_state = 0},
  [2726] = {.lex_state = 0},
  [2727] = {.lex_state = 0},
  [2728] = {.lex_state = 0},
  [2729] = {.lex_state = 0},
  [2730] = {.lex_state = 0},
  [2731] = {.lex_state = 0},
  [2732] = {.lex_state = 19},
  [2733] = {.lex_state = 19},
  [2734] = {.lex_state = 19},
  [2735] = {.lex_state = 19},
  [2736] = {.lex_state = 0},
  [2737] = {.lex_state = 0},
  [2738] = {.lex_state = 0},
  [2739] = {.lex_state = 19},
  [2740] = {.lex_state = 0},
  [2741] = {.lex_state = 0},
  [2742] = {.lex_state = 0},
  [2743] = {.lex_state = 19},
  [2744] = {.lex_state = 0},
  [2745] = {.lex_state = 19},
  [2746] = {.lex_state = 19},
  [2747] = {.lex_state = 0},
  [2748] = {.lex_state = 25},
  [2749] = {.lex_state = 19},
  [2750] = {.lex_state = 19},
  [2751] = {.lex_state = 0},
  [2752] = {.lex_state = 0},
  [2753] = {.lex_state = 25},
  [2754] = {.lex_state = 19},
  [2755] = {.lex_state = 0},
  [2756] = {.lex_state = 19},
  [2757] = {.lex_state = 19},
  [2758] = {.lex_state = 0},
  [2759] = {.lex_state = 0},
  [2760] = {.lex_state = 0},
  [2761] = {.lex_state = 0},
  [2762] = {.lex_state = 0},
  [2763] = {.lex_state = 0},
  [2764] = {.lex_state = 0},
  [2765] = {.lex_state = 19},
  [2766] = {.lex_state = 19},
  [2767] = {.lex_state = 19},
  [2768] = {.lex_state = 19},
  [2769] = {.lex_state = 0},
  [2770] = {.lex_state = 0},
  [2771] = {.lex_state = 0},
  [2772] = {.lex_state = 0},
  [2773] = {.lex_state = 0},
  [2774] = {.lex_state = 0},
  [2775] = {.lex_state = 25},
  [2776] = {.lex_state = 19},
  [2777] = {.lex_state = 0},
  [2778] = {.lex_state = 19},
  [2779] = {.lex_state = 19},
  [2780] = {.lex_state = 24},
  [2781] = {.lex_state = 0},
  [2782] = {.lex_state = 19},
  [2783] = {.lex_state = 0},
  [2784] = {.lex_state = 19},
  [2785] = {.lex_state = 19},
  [2786] = {.lex_state = 0},
  [2787] = {.lex_state = 0},
  [2788] = {.lex_state = 0},
  [2789] = {.lex_state = 0},
  [2790] = {.lex_state = 0},
  [2791] = {.lex_state = 0},
  [2792] = {.lex_state = 0},
  [2793] = {.lex_state = 0},
  [2794] = {.lex_state = 0},
  [2795] = {.lex_state = 0},
  [2796] = {.lex_state = 590},
  [2797] = {.lex_state = 0},
  [2798] = {.lex_state = 0},
  [2799] = {.lex_state = 0},
  [2800] = {.lex_state = 0},
  [2801] = {.lex_state = 0},
  [2802] = {.lex_state = 0},
  [2803] = {.lex_state = 0},
  [2804] = {.lex_state = 0},
  [2805] = {.lex_state = 0},
  [2806] = {.lex_state = 0},
  [2807] = {.lex_state = 0},
  [2808] = {.lex_state = 0},
  [2809] = {.lex_state = 25},
  [2810] = {.lex_state = 0},
  [2811] = {.lex_state = 0},
  [2812] = {.lex_state = 0},
  [2813] = {.lex_state = 19},
  [2814] = {.lex_state = 590},
  [2815] = {.lex_state = 0},
  [2816] = {.lex_state = 0},
  [2817] = {.lex_state = 0},
  [2818] = {.lex_state = 0},
  [2819] = {.lex_state = 0},
  [2820] = {.lex_state = 0},
  [2821] = {.lex_state = 0},
  [2822] = {.lex_state = 0},
  [2823] = {.lex_state = 0},
  [2824] = {.lex_state = 0},
  [2825] = {.lex_state = 0},
  [2826] = {.lex_state = 0},
  [2827] = {.lex_state = 590},
  [2828] = {.lex_state = 0},
  [2829] = {.lex_state = 0},
  [2830] = {.lex_state = 0},
  [2831] = {.lex_state = 19},
  [2832] = {.lex_state = 19},
  [2833] = {.lex_state = 0},
  [2834] = {.lex_state = 0},
  [2835] = {.lex_state = 0},
  [2836] = {.lex_state = 0},
  [2837] = {.lex_state = 0},
  [2838] = {.lex_state = 0},
  [2839] = {.lex_state = 0},
  [2840] = {.lex_state = 19},
  [2841] = {.lex_state = 0},
  [2842] = {.lex_state = 8},
  [2843] = {.lex_state = 19},
  [2844] = {.lex_state = 0},
  [2845] = {.lex_state = 0},
  [2846] = {.lex_state = 19},
  [2847] = {.lex_state = 0},
  [2848] = {.lex_state = 0},
  [2849] = {.lex_state = 0},
  [2850] = {.lex_state = 0},
  [2851] = {.lex_state = 0},
  [2852] = {.lex_state = 0},
  [2853] = {.lex_state = 0},
  [2854] = {.lex_state = 19},
  [2855] = {.lex_state = 0},
  [2856] = {.lex_state = 0},
  [2857] = {.lex_state = 25},
  [2858] = {.lex_state = 0},
  [2859] = {.lex_state = 0},
  [2860] = {.lex_state = 19},
  [2861] = {.lex_state = 0},
  [2862] = {.lex_state = 0},
  [2863] = {.lex_state = 0},
  [2864] = {.lex_state = 25},
  [2865] = {.lex_state = 0},
  [2866] = {.lex_state = 19},
  [2867] = {.lex_state = 19},
  [2868] = {.lex_state = 19},
  [2869] = {.lex_state = 25},
  [2870] = {.lex_state = 19},
  [2871] = {.lex_state = 25},
  [2872] = {.lex_state = 0},
  [2873] = {.lex_state = 0},
  [2874] = {.lex_state = 24},
  [2875] = {.lex_state = 0},
  [2876] = {.lex_state = 0},
  [2877] = {.lex_state = 19},
  [2878] = {.lex_state = 24},
  [2879] = {.lex_state = 0},
  [2880] = {.lex_state = 0},
  [2881] = {.lex_state = 0},
  [2882] = {.lex_state = 0},
  [2883] = {.lex_state = 24},
  [2884] = {.lex_state = 0},
  [2885] = {.lex_state = 0},
  [2886] = {.lex_state = 0},
  [2887] = {.lex_state = 0},
  [2888] = {.lex_state = 0},
  [2889] = {.lex_state = 25},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_option] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_redef] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_next] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_add] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_count] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_subnet] = ACTIONS(1),
    [anon_sym_pattern] = ACTIONS(1),
    [anon_sym_port] = ACTIONS(1),
    [anon_sym_table] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_time] = ACTIONS(1),
    [anon_sym_timer] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_list] = ACTIONS(1),
    [anon_sym_vector] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_hook] = ACTIONS(1),
    [anon_sym_file] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_AMPdeprecated] = ACTIONS(1),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1),
    [anon_sym_AMPerror_handler] = ACTIONS(1),
    [anon_sym_AMPis_assigned] = ACTIONS(1),
    [anon_sym_AMPis_used] = ACTIONS(1),
    [anon_sym_AMPlog] = ACTIONS(1),
    [anon_sym_AMPoptional] = ACTIONS(1),
    [anon_sym_AMPordered] = ACTIONS(1),
    [anon_sym_AMPraw_output] = ACTIONS(1),
    [anon_sym_AMPredef] = ACTIONS(1),
    [anon_sym_AMPadd_func] = ACTIONS(1),
    [anon_sym_AMPbackend] = ACTIONS(1),
    [anon_sym_AMPbroker_store] = ACTIONS(1),
    [anon_sym_AMPcreate_expire] = ACTIONS(1),
    [anon_sym_AMPdefault] = ACTIONS(1),
    [anon_sym_AMPdelete_func] = ACTIONS(1),
    [anon_sym_AMPexpire_func] = ACTIONS(1),
    [anon_sym_AMPgroup] = ACTIONS(1),
    [anon_sym_AMPon_change] = ACTIONS(1),
    [anon_sym_AMPpriority] = ACTIONS(1),
    [anon_sym_AMPread_expire] = ACTIONS(1),
    [anon_sym_AMPtype_column] = ACTIONS(1),
    [anon_sym_AMPwrite_expire] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_copy] = ACTIONS(1),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1),
    [anon_sym_schedule] = ACTIONS(1),
    [aux_sym_constant_token1] = ACTIONS(1),
    [anon_sym_T] = ACTIONS(1),
    [anon_sym_F] = ACTIONS(1),
    [anon_sym_ATdeprecated] = ACTIONS(1),
    [anon_sym_ATload] = ACTIONS(1),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1),
    [anon_sym_ATunload] = ACTIONS(1),
    [anon_sym_ATprefixes] = ACTIONS(1),
    [anon_sym_ATif] = ACTIONS(1),
    [anon_sym_ATifdef] = ACTIONS(1),
    [anon_sym_ATifndef] = ACTIONS(1),
    [anon_sym_ATendif] = ACTIONS(1),
    [anon_sym_ATelse] = ACTIONS(1),
    [anon_sym_ATpragma] = ACTIONS(1),
    [anon_sym_push] = ACTIONS(1),
    [anon_sym_pop] = ACTIONS(1),
    [anon_sym_ATDIR] = ACTIONS(1),
    [anon_sym_ATFILENAME] = ACTIONS(1),
    [sym_pattern] = ACTIONS(1),
    [sym_ipv6] = ACTIONS(1),
    [sym_ipv4] = ACTIONS(1),
    [sym_port] = ACTIONS(1),
    [sym_floatp] = ACTIONS(1),
    [sym_hex] = ACTIONS(1),
    [sym_time_unit] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(2886),
    [sym_decl] = STATE(3),
    [sym_module_decl] = STATE(346),
    [sym_export_decl] = STATE(346),
    [sym_global_decl] = STATE(346),
    [sym_option_decl] = STATE(346),
    [sym_const_decl] = STATE(346),
    [sym_redef_decl] = STATE(346),
    [sym_redef_enum_decl] = STATE(346),
    [sym_redef_record_decl] = STATE(346),
    [sym_type_decl] = STATE(346),
    [sym_func_decl] = STATE(346),
    [sym_stmt] = STATE(89),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_func_hdr] = STATE(1829),
    [sym_func] = STATE(1834),
    [sym_hook] = STATE(1834),
    [sym_event] = STATE(1834),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(348),
    [sym_pragma] = STATE(373),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat1] = STATE(3),
    [aux_sym_source_file_repeat2] = STATE(89),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_module] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_global] = ACTIONS(17),
    [anon_sym_option] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_redef] = ACTIONS(23),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_hook] = ACTIONS(63),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(81),
    [anon_sym_ATload] = ACTIONS(83),
    [anon_sym_ATload_DASHsigs] = ACTIONS(85),
    [anon_sym_ATload_DASHplugin] = ACTIONS(87),
    [anon_sym_ATunload] = ACTIONS(85),
    [anon_sym_ATprefixes] = ACTIONS(89),
    [anon_sym_ATif] = ACTIONS(91),
    [anon_sym_ATifdef] = ACTIONS(93),
    [anon_sym_ATifndef] = ACTIONS(93),
    [anon_sym_ATendif] = ACTIONS(95),
    [anon_sym_ATelse] = ACTIONS(95),
    [anon_sym_ATpragma] = ACTIONS(97),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [2] = {
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1286),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(113),
    [anon_sym_local] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(115),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [3] = {
    [sym_decl] = STATE(8),
    [sym_module_decl] = STATE(346),
    [sym_export_decl] = STATE(346),
    [sym_global_decl] = STATE(346),
    [sym_option_decl] = STATE(346),
    [sym_const_decl] = STATE(346),
    [sym_redef_decl] = STATE(346),
    [sym_redef_enum_decl] = STATE(346),
    [sym_redef_record_decl] = STATE(346),
    [sym_type_decl] = STATE(346),
    [sym_func_decl] = STATE(346),
    [sym_stmt] = STATE(87),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_func_hdr] = STATE(1829),
    [sym_func] = STATE(1834),
    [sym_hook] = STATE(1834),
    [sym_event] = STATE(1834),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(348),
    [sym_pragma] = STATE(373),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat1] = STATE(8),
    [aux_sym_source_file_repeat2] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(123),
    [anon_sym_module] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_global] = ACTIONS(17),
    [anon_sym_option] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_redef] = ACTIONS(23),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_hook] = ACTIONS(63),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(81),
    [anon_sym_ATload] = ACTIONS(83),
    [anon_sym_ATload_DASHsigs] = ACTIONS(85),
    [anon_sym_ATload_DASHplugin] = ACTIONS(87),
    [anon_sym_ATunload] = ACTIONS(85),
    [anon_sym_ATprefixes] = ACTIONS(89),
    [anon_sym_ATif] = ACTIONS(91),
    [anon_sym_ATifdef] = ACTIONS(93),
    [anon_sym_ATifndef] = ACTIONS(93),
    [anon_sym_ATendif] = ACTIONS(95),
    [anon_sym_ATelse] = ACTIONS(95),
    [anon_sym_ATpragma] = ACTIONS(97),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [4] = {
    [ts_builtin_sym_end] = ACTIONS(125),
    [anon_sym_module] = ACTIONS(127),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_global] = ACTIONS(127),
    [anon_sym_option] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_redef] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_type] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_COMMA] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_AMPdeprecated] = ACTIONS(125),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(125),
    [anon_sym_AMPerror_handler] = ACTIONS(125),
    [anon_sym_AMPis_assigned] = ACTIONS(125),
    [anon_sym_AMPis_used] = ACTIONS(125),
    [anon_sym_AMPlog] = ACTIONS(125),
    [anon_sym_AMPoptional] = ACTIONS(125),
    [anon_sym_AMPordered] = ACTIONS(125),
    [anon_sym_AMPraw_output] = ACTIONS(125),
    [anon_sym_AMPredef] = ACTIONS(125),
    [anon_sym_AMPadd_func] = ACTIONS(125),
    [anon_sym_AMPbackend] = ACTIONS(125),
    [anon_sym_AMPbroker_store] = ACTIONS(125),
    [anon_sym_AMPcreate_expire] = ACTIONS(125),
    [anon_sym_AMPdefault] = ACTIONS(125),
    [anon_sym_AMPdelete_func] = ACTIONS(125),
    [anon_sym_AMPexpire_func] = ACTIONS(125),
    [anon_sym_AMPgroup] = ACTIONS(125),
    [anon_sym_AMPon_change] = ACTIONS(125),
    [anon_sym_AMPpriority] = ACTIONS(125),
    [anon_sym_AMPread_expire] = ACTIONS(125),
    [anon_sym_AMPtype_column] = ACTIONS(125),
    [anon_sym_AMPwrite_expire] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [5] = {
    [ts_builtin_sym_end] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_export] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_option] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_redef] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_AMPdeprecated] = ACTIONS(129),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(129),
    [anon_sym_AMPerror_handler] = ACTIONS(129),
    [anon_sym_AMPis_assigned] = ACTIONS(129),
    [anon_sym_AMPis_used] = ACTIONS(129),
    [anon_sym_AMPlog] = ACTIONS(129),
    [anon_sym_AMPoptional] = ACTIONS(129),
    [anon_sym_AMPordered] = ACTIONS(129),
    [anon_sym_AMPraw_output] = ACTIONS(129),
    [anon_sym_AMPredef] = ACTIONS(129),
    [anon_sym_AMPadd_func] = ACTIONS(129),
    [anon_sym_AMPbackend] = ACTIONS(129),
    [anon_sym_AMPbroker_store] = ACTIONS(129),
    [anon_sym_AMPcreate_expire] = ACTIONS(129),
    [anon_sym_AMPdefault] = ACTIONS(129),
    [anon_sym_AMPdelete_func] = ACTIONS(129),
    [anon_sym_AMPexpire_func] = ACTIONS(129),
    [anon_sym_AMPgroup] = ACTIONS(129),
    [anon_sym_AMPon_change] = ACTIONS(129),
    [anon_sym_AMPpriority] = ACTIONS(129),
    [anon_sym_AMPread_expire] = ACTIONS(129),
    [anon_sym_AMPtype_column] = ACTIONS(129),
    [anon_sym_AMPwrite_expire] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [6] = {
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1286),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_COLON] = ACTIONS(115),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(113),
    [anon_sym_COMMA] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(113),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_local] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(115),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [7] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [8] = {
    [sym_decl] = STATE(8),
    [sym_module_decl] = STATE(346),
    [sym_export_decl] = STATE(346),
    [sym_global_decl] = STATE(346),
    [sym_option_decl] = STATE(346),
    [sym_const_decl] = STATE(346),
    [sym_redef_decl] = STATE(346),
    [sym_redef_enum_decl] = STATE(346),
    [sym_redef_record_decl] = STATE(346),
    [sym_type_decl] = STATE(346),
    [sym_func_decl] = STATE(346),
    [sym_func_hdr] = STATE(1829),
    [sym_func] = STATE(1834),
    [sym_hook] = STATE(1834),
    [sym_event] = STATE(1834),
    [sym_preproc_directive] = STATE(346),
    [sym_pragma] = STATE(373),
    [aux_sym_source_file_repeat1] = STATE(8),
    [ts_builtin_sym_end] = ACTIONS(143),
    [anon_sym_module] = ACTIONS(145),
    [anon_sym_SEMI] = ACTIONS(143),
    [anon_sym_export] = ACTIONS(148),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_global] = ACTIONS(151),
    [anon_sym_option] = ACTIONS(154),
    [anon_sym_const] = ACTIONS(157),
    [anon_sym_redef] = ACTIONS(160),
    [anon_sym_record] = ACTIONS(163),
    [anon_sym_type] = ACTIONS(165),
    [anon_sym_print] = ACTIONS(163),
    [anon_sym_event] = ACTIONS(168),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(163),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_while] = ACTIONS(163),
    [anon_sym_next] = ACTIONS(163),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_fallthrough] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(163),
    [anon_sym_add] = ACTIONS(163),
    [anon_sym_delete] = ACTIONS(163),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(163),
    [anon_sym_assert] = ACTIONS(163),
    [anon_sym_table] = ACTIONS(163),
    [anon_sym_set] = ACTIONS(163),
    [anon_sym_vector] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(171),
    [anon_sym_hook] = ACTIONS(174),
    [anon_sym_DOLLAR] = ACTIONS(143),
    [anon_sym_PIPE] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_copy] = ACTIONS(163),
    [anon_sym_schedule] = ACTIONS(163),
    [aux_sym_constant_token1] = ACTIONS(163),
    [anon_sym_T] = ACTIONS(163),
    [anon_sym_F] = ACTIONS(163),
    [anon_sym_ATdeprecated] = ACTIONS(177),
    [anon_sym_ATload] = ACTIONS(180),
    [anon_sym_ATload_DASHsigs] = ACTIONS(183),
    [anon_sym_ATload_DASHplugin] = ACTIONS(186),
    [anon_sym_ATunload] = ACTIONS(183),
    [anon_sym_ATprefixes] = ACTIONS(189),
    [anon_sym_ATif] = ACTIONS(192),
    [anon_sym_ATifdef] = ACTIONS(195),
    [anon_sym_ATifndef] = ACTIONS(195),
    [anon_sym_ATendif] = ACTIONS(198),
    [anon_sym_ATelse] = ACTIONS(198),
    [anon_sym_ATpragma] = ACTIONS(201),
    [anon_sym_ATDIR] = ACTIONS(143),
    [anon_sym_ATFILENAME] = ACTIONS(143),
    [sym_id] = ACTIONS(163),
    [sym_pattern] = ACTIONS(143),
    [sym_ipv6] = ACTIONS(163),
    [sym_ipv4] = ACTIONS(163),
    [sym_port] = ACTIONS(143),
    [sym_floatp] = ACTIONS(163),
    [sym_hex] = ACTIONS(163),
    [sym_hostname] = ACTIONS(163),
    [aux_sym_string_token1] = ACTIONS(143),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [9] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [10] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [11] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [12] = {
    [ts_builtin_sym_end] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [13] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [14] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [15] = {
    [ts_builtin_sym_end] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [16] = {
    [ts_builtin_sym_end] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [17] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [18] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [19] = {
    [ts_builtin_sym_end] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [20] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(141),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [21] = {
    [sym_stmt] = STATE(38),
    [sym_stmt_list] = STATE(1938),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(38),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_RBRACE] = ACTIONS(208),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(212),
    [anon_sym_event] = ACTIONS(214),
    [anon_sym_if] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(218),
    [anon_sym_for] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(222),
    [anon_sym_next] = ACTIONS(224),
    [anon_sym_break] = ACTIONS(224),
    [anon_sym_fallthrough] = ACTIONS(224),
    [anon_sym_return] = ACTIONS(226),
    [anon_sym_add] = ACTIONS(228),
    [anon_sym_delete] = ACTIONS(228),
    [anon_sym_local] = ACTIONS(230),
    [anon_sym_when] = ACTIONS(232),
    [anon_sym_assert] = ACTIONS(234),
    [anon_sym_case] = ACTIONS(236),
    [anon_sym_default] = ACTIONS(236),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(238),
    [anon_sym_ATload] = ACTIONS(240),
    [anon_sym_ATload_DASHsigs] = ACTIONS(242),
    [anon_sym_ATload_DASHplugin] = ACTIONS(244),
    [anon_sym_ATunload] = ACTIONS(242),
    [anon_sym_ATprefixes] = ACTIONS(246),
    [anon_sym_ATif] = ACTIONS(248),
    [anon_sym_ATifdef] = ACTIONS(250),
    [anon_sym_ATifndef] = ACTIONS(250),
    [anon_sym_ATendif] = ACTIONS(252),
    [anon_sym_ATelse] = ACTIONS(252),
    [anon_sym_ATpragma] = ACTIONS(254),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [22] = {
    [anon_sym_SEMI] = ACTIONS(256),
    [anon_sym_LBRACE] = ACTIONS(256),
    [anon_sym_RBRACE] = ACTIONS(256),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_record] = ACTIONS(258),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_LPAREN] = ACTIONS(256),
    [anon_sym_RPAREN] = ACTIONS(256),
    [anon_sym_COMMA] = ACTIONS(256),
    [anon_sym_LBRACK] = ACTIONS(256),
    [anon_sym_RBRACK] = ACTIONS(256),
    [anon_sym_local] = ACTIONS(258),
    [anon_sym_EQ] = ACTIONS(256),
    [anon_sym_table] = ACTIONS(258),
    [anon_sym_set] = ACTIONS(258),
    [anon_sym_vector] = ACTIONS(258),
    [anon_sym_function] = ACTIONS(258),
    [anon_sym_hook] = ACTIONS(258),
    [anon_sym_AMPdeprecated] = ACTIONS(256),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(256),
    [anon_sym_AMPerror_handler] = ACTIONS(256),
    [anon_sym_AMPis_assigned] = ACTIONS(256),
    [anon_sym_AMPis_used] = ACTIONS(256),
    [anon_sym_AMPlog] = ACTIONS(256),
    [anon_sym_AMPoptional] = ACTIONS(256),
    [anon_sym_AMPordered] = ACTIONS(256),
    [anon_sym_AMPraw_output] = ACTIONS(256),
    [anon_sym_AMPredef] = ACTIONS(256),
    [anon_sym_AMPadd_func] = ACTIONS(256),
    [anon_sym_AMPbackend] = ACTIONS(256),
    [anon_sym_AMPbroker_store] = ACTIONS(256),
    [anon_sym_AMPcreate_expire] = ACTIONS(256),
    [anon_sym_AMPdefault] = ACTIONS(256),
    [anon_sym_AMPdelete_func] = ACTIONS(256),
    [anon_sym_AMPexpire_func] = ACTIONS(256),
    [anon_sym_AMPgroup] = ACTIONS(256),
    [anon_sym_AMPon_change] = ACTIONS(256),
    [anon_sym_AMPpriority] = ACTIONS(256),
    [anon_sym_AMPread_expire] = ACTIONS(256),
    [anon_sym_AMPtype_column] = ACTIONS(256),
    [anon_sym_AMPwrite_expire] = ACTIONS(256),
    [anon_sym_DOLLAR] = ACTIONS(256),
    [anon_sym_PIPE] = ACTIONS(256),
    [anon_sym_PLUS_PLUS] = ACTIONS(256),
    [anon_sym_DASH_DASH] = ACTIONS(256),
    [anon_sym_BANG] = ACTIONS(256),
    [anon_sym_TILDE] = ACTIONS(256),
    [anon_sym_DASH] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(258),
    [anon_sym_copy] = ACTIONS(258),
    [anon_sym_schedule] = ACTIONS(258),
    [aux_sym_constant_token1] = ACTIONS(258),
    [anon_sym_T] = ACTIONS(258),
    [anon_sym_F] = ACTIONS(258),
    [anon_sym_ATdeprecated] = ACTIONS(256),
    [anon_sym_ATload] = ACTIONS(258),
    [anon_sym_ATload_DASHsigs] = ACTIONS(256),
    [anon_sym_ATload_DASHplugin] = ACTIONS(256),
    [anon_sym_ATunload] = ACTIONS(256),
    [anon_sym_ATprefixes] = ACTIONS(256),
    [anon_sym_ATif] = ACTIONS(258),
    [anon_sym_ATifdef] = ACTIONS(256),
    [anon_sym_ATifndef] = ACTIONS(256),
    [anon_sym_ATendif] = ACTIONS(256),
    [anon_sym_ATelse] = ACTIONS(256),
    [anon_sym_ATpragma] = ACTIONS(256),
    [anon_sym_ATDIR] = ACTIONS(256),
    [anon_sym_ATFILENAME] = ACTIONS(256),
    [sym_id] = ACTIONS(258),
    [sym_pattern] = ACTIONS(256),
    [sym_ipv6] = ACTIONS(258),
    [sym_ipv4] = ACTIONS(258),
    [sym_port] = ACTIONS(256),
    [sym_floatp] = ACTIONS(258),
    [sym_hex] = ACTIONS(258),
    [sym_hostname] = ACTIONS(258),
    [aux_sym_string_token1] = ACTIONS(256),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [23] = {
    [sym_stmt] = STATE(38),
    [sym_stmt_list] = STATE(1935),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(38),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_RBRACE] = ACTIONS(260),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(212),
    [anon_sym_event] = ACTIONS(214),
    [anon_sym_if] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(218),
    [anon_sym_for] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(222),
    [anon_sym_next] = ACTIONS(224),
    [anon_sym_break] = ACTIONS(224),
    [anon_sym_fallthrough] = ACTIONS(224),
    [anon_sym_return] = ACTIONS(226),
    [anon_sym_add] = ACTIONS(228),
    [anon_sym_delete] = ACTIONS(228),
    [anon_sym_local] = ACTIONS(230),
    [anon_sym_when] = ACTIONS(232),
    [anon_sym_assert] = ACTIONS(234),
    [anon_sym_case] = ACTIONS(262),
    [anon_sym_default] = ACTIONS(262),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(238),
    [anon_sym_ATload] = ACTIONS(240),
    [anon_sym_ATload_DASHsigs] = ACTIONS(242),
    [anon_sym_ATload_DASHplugin] = ACTIONS(244),
    [anon_sym_ATunload] = ACTIONS(242),
    [anon_sym_ATprefixes] = ACTIONS(246),
    [anon_sym_ATif] = ACTIONS(248),
    [anon_sym_ATifdef] = ACTIONS(250),
    [anon_sym_ATifndef] = ACTIONS(250),
    [anon_sym_ATendif] = ACTIONS(252),
    [anon_sym_ATelse] = ACTIONS(252),
    [anon_sym_ATpragma] = ACTIONS(254),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [24] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2264),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(268),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [25] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2441),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(314),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [26] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2452),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [27] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2452),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [28] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2858),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(320),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [29] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2650),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(322),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [30] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2792),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(324),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [31] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2456),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [32] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2206),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(328),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [33] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2334),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(330),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [34] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2591),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(332),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [35] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2498),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(334),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [36] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2816),
    [sym_expr] = STATE(1322),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_RBRACE] = ACTIONS(336),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [37] = {
    [anon_sym_SEMI] = ACTIONS(338),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_PLUS_EQ] = ACTIONS(338),
    [anon_sym_record] = ACTIONS(340),
    [anon_sym_DASH_EQ] = ACTIONS(338),
    [anon_sym_LPAREN] = ACTIONS(338),
    [anon_sym_RPAREN] = ACTIONS(338),
    [anon_sym_COMMA] = ACTIONS(338),
    [anon_sym_LBRACK] = ACTIONS(338),
    [anon_sym_RBRACK] = ACTIONS(338),
    [anon_sym_local] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(338),
    [anon_sym_table] = ACTIONS(340),
    [anon_sym_set] = ACTIONS(340),
    [anon_sym_vector] = ACTIONS(340),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_hook] = ACTIONS(340),
    [anon_sym_AMPdeprecated] = ACTIONS(338),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(338),
    [anon_sym_AMPerror_handler] = ACTIONS(338),
    [anon_sym_AMPis_assigned] = ACTIONS(338),
    [anon_sym_AMPis_used] = ACTIONS(338),
    [anon_sym_AMPlog] = ACTIONS(338),
    [anon_sym_AMPoptional] = ACTIONS(338),
    [anon_sym_AMPordered] = ACTIONS(338),
    [anon_sym_AMPraw_output] = ACTIONS(338),
    [anon_sym_AMPredef] = ACTIONS(338),
    [anon_sym_AMPadd_func] = ACTIONS(338),
    [anon_sym_AMPbackend] = ACTIONS(338),
    [anon_sym_AMPbroker_store] = ACTIONS(338),
    [anon_sym_AMPcreate_expire] = ACTIONS(338),
    [anon_sym_AMPdefault] = ACTIONS(338),
    [anon_sym_AMPdelete_func] = ACTIONS(338),
    [anon_sym_AMPexpire_func] = ACTIONS(338),
    [anon_sym_AMPgroup] = ACTIONS(338),
    [anon_sym_AMPon_change] = ACTIONS(338),
    [anon_sym_AMPpriority] = ACTIONS(338),
    [anon_sym_AMPread_expire] = ACTIONS(338),
    [anon_sym_AMPtype_column] = ACTIONS(338),
    [anon_sym_AMPwrite_expire] = ACTIONS(338),
    [anon_sym_DOLLAR] = ACTIONS(338),
    [anon_sym_PIPE] = ACTIONS(338),
    [anon_sym_PLUS_PLUS] = ACTIONS(338),
    [anon_sym_DASH_DASH] = ACTIONS(338),
    [anon_sym_BANG] = ACTIONS(338),
    [anon_sym_TILDE] = ACTIONS(338),
    [anon_sym_DASH] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(340),
    [anon_sym_copy] = ACTIONS(340),
    [anon_sym_schedule] = ACTIONS(340),
    [aux_sym_constant_token1] = ACTIONS(340),
    [anon_sym_T] = ACTIONS(340),
    [anon_sym_F] = ACTIONS(340),
    [anon_sym_ATdeprecated] = ACTIONS(338),
    [anon_sym_ATload] = ACTIONS(340),
    [anon_sym_ATload_DASHsigs] = ACTIONS(338),
    [anon_sym_ATload_DASHplugin] = ACTIONS(338),
    [anon_sym_ATunload] = ACTIONS(338),
    [anon_sym_ATprefixes] = ACTIONS(338),
    [anon_sym_ATif] = ACTIONS(340),
    [anon_sym_ATifdef] = ACTIONS(338),
    [anon_sym_ATifndef] = ACTIONS(338),
    [anon_sym_ATendif] = ACTIONS(338),
    [anon_sym_ATelse] = ACTIONS(338),
    [anon_sym_ATpragma] = ACTIONS(338),
    [anon_sym_ATDIR] = ACTIONS(338),
    [anon_sym_ATFILENAME] = ACTIONS(338),
    [sym_id] = ACTIONS(340),
    [sym_pattern] = ACTIONS(338),
    [sym_ipv6] = ACTIONS(340),
    [sym_ipv4] = ACTIONS(340),
    [sym_port] = ACTIONS(338),
    [sym_floatp] = ACTIONS(340),
    [sym_hex] = ACTIONS(340),
    [sym_hostname] = ACTIONS(340),
    [aux_sym_string_token1] = ACTIONS(338),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [38] = {
    [sym_stmt] = STATE(39),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(39),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_RBRACE] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(212),
    [anon_sym_event] = ACTIONS(214),
    [anon_sym_if] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(218),
    [anon_sym_for] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(222),
    [anon_sym_next] = ACTIONS(224),
    [anon_sym_break] = ACTIONS(224),
    [anon_sym_fallthrough] = ACTIONS(224),
    [anon_sym_return] = ACTIONS(226),
    [anon_sym_add] = ACTIONS(228),
    [anon_sym_delete] = ACTIONS(228),
    [anon_sym_local] = ACTIONS(230),
    [anon_sym_when] = ACTIONS(232),
    [anon_sym_assert] = ACTIONS(234),
    [anon_sym_case] = ACTIONS(344),
    [anon_sym_default] = ACTIONS(344),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(238),
    [anon_sym_ATload] = ACTIONS(240),
    [anon_sym_ATload_DASHsigs] = ACTIONS(242),
    [anon_sym_ATload_DASHplugin] = ACTIONS(244),
    [anon_sym_ATunload] = ACTIONS(242),
    [anon_sym_ATprefixes] = ACTIONS(246),
    [anon_sym_ATif] = ACTIONS(248),
    [anon_sym_ATifdef] = ACTIONS(250),
    [anon_sym_ATifndef] = ACTIONS(250),
    [anon_sym_ATendif] = ACTIONS(252),
    [anon_sym_ATelse] = ACTIONS(252),
    [anon_sym_ATpragma] = ACTIONS(254),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [39] = {
    [sym_stmt] = STATE(39),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(39),
    [anon_sym_SEMI] = ACTIONS(346),
    [anon_sym_LBRACE] = ACTIONS(349),
    [anon_sym_RBRACE] = ACTIONS(352),
    [anon_sym_const] = ACTIONS(354),
    [anon_sym_record] = ACTIONS(357),
    [anon_sym_print] = ACTIONS(360),
    [anon_sym_event] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(366),
    [anon_sym_LPAREN] = ACTIONS(369),
    [anon_sym_switch] = ACTIONS(372),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_while] = ACTIONS(381),
    [anon_sym_next] = ACTIONS(384),
    [anon_sym_break] = ACTIONS(384),
    [anon_sym_fallthrough] = ACTIONS(384),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_add] = ACTIONS(390),
    [anon_sym_delete] = ACTIONS(390),
    [anon_sym_local] = ACTIONS(393),
    [anon_sym_when] = ACTIONS(396),
    [anon_sym_assert] = ACTIONS(399),
    [anon_sym_case] = ACTIONS(402),
    [anon_sym_default] = ACTIONS(402),
    [anon_sym_table] = ACTIONS(404),
    [anon_sym_set] = ACTIONS(404),
    [anon_sym_vector] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(410),
    [anon_sym_hook] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(416),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_BANG] = ACTIONS(422),
    [anon_sym_TILDE] = ACTIONS(422),
    [anon_sym_DASH] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(425),
    [anon_sym_copy] = ACTIONS(428),
    [anon_sym_schedule] = ACTIONS(431),
    [aux_sym_constant_token1] = ACTIONS(434),
    [anon_sym_T] = ACTIONS(437),
    [anon_sym_F] = ACTIONS(437),
    [anon_sym_ATdeprecated] = ACTIONS(440),
    [anon_sym_ATload] = ACTIONS(443),
    [anon_sym_ATload_DASHsigs] = ACTIONS(446),
    [anon_sym_ATload_DASHplugin] = ACTIONS(449),
    [anon_sym_ATunload] = ACTIONS(446),
    [anon_sym_ATprefixes] = ACTIONS(452),
    [anon_sym_ATif] = ACTIONS(455),
    [anon_sym_ATifdef] = ACTIONS(458),
    [anon_sym_ATifndef] = ACTIONS(458),
    [anon_sym_ATendif] = ACTIONS(461),
    [anon_sym_ATelse] = ACTIONS(461),
    [anon_sym_ATpragma] = ACTIONS(464),
    [anon_sym_ATDIR] = ACTIONS(467),
    [anon_sym_ATFILENAME] = ACTIONS(467),
    [sym_id] = ACTIONS(470),
    [sym_pattern] = ACTIONS(473),
    [sym_ipv6] = ACTIONS(476),
    [sym_ipv4] = ACTIONS(476),
    [sym_port] = ACTIONS(479),
    [sym_floatp] = ACTIONS(482),
    [sym_hex] = ACTIONS(437),
    [sym_hostname] = ACTIONS(437),
    [aux_sym_string_token1] = ACTIONS(485),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [40] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2821),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [41] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2590),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(492),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [42] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2818),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [43] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2820),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [44] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2822),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [45] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2420),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [46] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2691),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [47] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2260),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(504),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [48] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2584),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [49] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2205),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [50] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2575),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [51] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2548),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [52] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2589),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [53] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2615),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [54] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2528),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [55] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2617),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [56] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2628),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [57] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2639),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [58] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2357),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [59] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2363),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [60] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2396),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [61] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2305),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(532),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [62] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2882),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [63] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2188),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [64] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2297),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [65] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2304),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [66] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2312),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [67] = {
    [anon_sym_SEMI] = ACTIONS(544),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_PLUS_EQ] = ACTIONS(544),
    [anon_sym_record] = ACTIONS(546),
    [anon_sym_DASH_EQ] = ACTIONS(544),
    [anon_sym_LPAREN] = ACTIONS(544),
    [anon_sym_RPAREN] = ACTIONS(544),
    [anon_sym_COMMA] = ACTIONS(544),
    [anon_sym_LBRACK] = ACTIONS(544),
    [anon_sym_local] = ACTIONS(546),
    [anon_sym_EQ] = ACTIONS(544),
    [anon_sym_table] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_vector] = ACTIONS(546),
    [anon_sym_function] = ACTIONS(546),
    [anon_sym_hook] = ACTIONS(546),
    [anon_sym_AMPdeprecated] = ACTIONS(544),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(544),
    [anon_sym_AMPerror_handler] = ACTIONS(544),
    [anon_sym_AMPis_assigned] = ACTIONS(544),
    [anon_sym_AMPis_used] = ACTIONS(544),
    [anon_sym_AMPlog] = ACTIONS(544),
    [anon_sym_AMPoptional] = ACTIONS(544),
    [anon_sym_AMPordered] = ACTIONS(544),
    [anon_sym_AMPraw_output] = ACTIONS(544),
    [anon_sym_AMPredef] = ACTIONS(544),
    [anon_sym_AMPadd_func] = ACTIONS(544),
    [anon_sym_AMPbackend] = ACTIONS(544),
    [anon_sym_AMPbroker_store] = ACTIONS(544),
    [anon_sym_AMPcreate_expire] = ACTIONS(544),
    [anon_sym_AMPdefault] = ACTIONS(544),
    [anon_sym_AMPdelete_func] = ACTIONS(544),
    [anon_sym_AMPexpire_func] = ACTIONS(544),
    [anon_sym_AMPgroup] = ACTIONS(544),
    [anon_sym_AMPon_change] = ACTIONS(544),
    [anon_sym_AMPpriority] = ACTIONS(544),
    [anon_sym_AMPread_expire] = ACTIONS(544),
    [anon_sym_AMPtype_column] = ACTIONS(544),
    [anon_sym_AMPwrite_expire] = ACTIONS(544),
    [anon_sym_DOLLAR] = ACTIONS(544),
    [anon_sym_PIPE] = ACTIONS(544),
    [anon_sym_PLUS_PLUS] = ACTIONS(544),
    [anon_sym_DASH_DASH] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(544),
    [anon_sym_TILDE] = ACTIONS(544),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_copy] = ACTIONS(546),
    [anon_sym_schedule] = ACTIONS(546),
    [aux_sym_constant_token1] = ACTIONS(546),
    [anon_sym_T] = ACTIONS(546),
    [anon_sym_F] = ACTIONS(546),
    [anon_sym_ATdeprecated] = ACTIONS(544),
    [anon_sym_ATload] = ACTIONS(546),
    [anon_sym_ATload_DASHsigs] = ACTIONS(544),
    [anon_sym_ATload_DASHplugin] = ACTIONS(544),
    [anon_sym_ATunload] = ACTIONS(544),
    [anon_sym_ATprefixes] = ACTIONS(544),
    [anon_sym_ATif] = ACTIONS(546),
    [anon_sym_ATifdef] = ACTIONS(544),
    [anon_sym_ATifndef] = ACTIONS(544),
    [anon_sym_ATendif] = ACTIONS(544),
    [anon_sym_ATelse] = ACTIONS(544),
    [anon_sym_ATpragma] = ACTIONS(544),
    [anon_sym_ATDIR] = ACTIONS(544),
    [anon_sym_ATFILENAME] = ACTIONS(544),
    [sym_id] = ACTIONS(546),
    [sym_pattern] = ACTIONS(544),
    [sym_ipv6] = ACTIONS(546),
    [sym_ipv4] = ACTIONS(546),
    [sym_port] = ACTIONS(544),
    [sym_floatp] = ACTIONS(546),
    [sym_hex] = ACTIONS(546),
    [sym_hostname] = ACTIONS(546),
    [aux_sym_string_token1] = ACTIONS(544),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [68] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2552),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [69] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2556),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [70] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2564),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [71] = {
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_record] = ACTIONS(556),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(554),
    [anon_sym_local] = ACTIONS(556),
    [anon_sym_EQ] = ACTIONS(554),
    [anon_sym_table] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [anon_sym_vector] = ACTIONS(556),
    [anon_sym_function] = ACTIONS(556),
    [anon_sym_hook] = ACTIONS(556),
    [anon_sym_AMPdeprecated] = ACTIONS(554),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(554),
    [anon_sym_AMPerror_handler] = ACTIONS(554),
    [anon_sym_AMPis_assigned] = ACTIONS(554),
    [anon_sym_AMPis_used] = ACTIONS(554),
    [anon_sym_AMPlog] = ACTIONS(554),
    [anon_sym_AMPoptional] = ACTIONS(554),
    [anon_sym_AMPordered] = ACTIONS(554),
    [anon_sym_AMPraw_output] = ACTIONS(554),
    [anon_sym_AMPredef] = ACTIONS(554),
    [anon_sym_AMPadd_func] = ACTIONS(554),
    [anon_sym_AMPbackend] = ACTIONS(554),
    [anon_sym_AMPbroker_store] = ACTIONS(554),
    [anon_sym_AMPcreate_expire] = ACTIONS(554),
    [anon_sym_AMPdefault] = ACTIONS(554),
    [anon_sym_AMPdelete_func] = ACTIONS(554),
    [anon_sym_AMPexpire_func] = ACTIONS(554),
    [anon_sym_AMPgroup] = ACTIONS(554),
    [anon_sym_AMPon_change] = ACTIONS(554),
    [anon_sym_AMPpriority] = ACTIONS(554),
    [anon_sym_AMPread_expire] = ACTIONS(554),
    [anon_sym_AMPtype_column] = ACTIONS(554),
    [anon_sym_AMPwrite_expire] = ACTIONS(554),
    [anon_sym_DOLLAR] = ACTIONS(554),
    [anon_sym_PIPE] = ACTIONS(554),
    [anon_sym_PLUS_PLUS] = ACTIONS(554),
    [anon_sym_DASH_DASH] = ACTIONS(554),
    [anon_sym_BANG] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_copy] = ACTIONS(556),
    [anon_sym_schedule] = ACTIONS(556),
    [aux_sym_constant_token1] = ACTIONS(556),
    [anon_sym_T] = ACTIONS(556),
    [anon_sym_F] = ACTIONS(556),
    [anon_sym_ATdeprecated] = ACTIONS(554),
    [anon_sym_ATload] = ACTIONS(556),
    [anon_sym_ATload_DASHsigs] = ACTIONS(554),
    [anon_sym_ATload_DASHplugin] = ACTIONS(554),
    [anon_sym_ATunload] = ACTIONS(554),
    [anon_sym_ATprefixes] = ACTIONS(554),
    [anon_sym_ATif] = ACTIONS(556),
    [anon_sym_ATifdef] = ACTIONS(554),
    [anon_sym_ATifndef] = ACTIONS(554),
    [anon_sym_ATendif] = ACTIONS(554),
    [anon_sym_ATelse] = ACTIONS(554),
    [anon_sym_ATpragma] = ACTIONS(554),
    [anon_sym_ATDIR] = ACTIONS(554),
    [anon_sym_ATFILENAME] = ACTIONS(554),
    [sym_id] = ACTIONS(556),
    [sym_pattern] = ACTIONS(554),
    [sym_ipv6] = ACTIONS(556),
    [sym_ipv4] = ACTIONS(556),
    [sym_port] = ACTIONS(554),
    [sym_floatp] = ACTIONS(556),
    [sym_hex] = ACTIONS(556),
    [sym_hostname] = ACTIONS(556),
    [aux_sym_string_token1] = ACTIONS(554),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [72] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2683),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [73] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2790),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(560),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [74] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2801),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [75] = {
    [anon_sym_SEMI] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(564),
    [anon_sym_record] = ACTIONS(566),
    [anon_sym_DASH_EQ] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(564),
    [anon_sym_RPAREN] = ACTIONS(564),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_local] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_table] = ACTIONS(566),
    [anon_sym_set] = ACTIONS(566),
    [anon_sym_vector] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(566),
    [anon_sym_hook] = ACTIONS(566),
    [anon_sym_AMPdeprecated] = ACTIONS(564),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(564),
    [anon_sym_AMPerror_handler] = ACTIONS(564),
    [anon_sym_AMPis_assigned] = ACTIONS(564),
    [anon_sym_AMPis_used] = ACTIONS(564),
    [anon_sym_AMPlog] = ACTIONS(564),
    [anon_sym_AMPoptional] = ACTIONS(564),
    [anon_sym_AMPordered] = ACTIONS(564),
    [anon_sym_AMPraw_output] = ACTIONS(564),
    [anon_sym_AMPredef] = ACTIONS(564),
    [anon_sym_AMPadd_func] = ACTIONS(564),
    [anon_sym_AMPbackend] = ACTIONS(564),
    [anon_sym_AMPbroker_store] = ACTIONS(564),
    [anon_sym_AMPcreate_expire] = ACTIONS(564),
    [anon_sym_AMPdefault] = ACTIONS(564),
    [anon_sym_AMPdelete_func] = ACTIONS(564),
    [anon_sym_AMPexpire_func] = ACTIONS(564),
    [anon_sym_AMPgroup] = ACTIONS(564),
    [anon_sym_AMPon_change] = ACTIONS(564),
    [anon_sym_AMPpriority] = ACTIONS(564),
    [anon_sym_AMPread_expire] = ACTIONS(564),
    [anon_sym_AMPtype_column] = ACTIONS(564),
    [anon_sym_AMPwrite_expire] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(564),
    [anon_sym_DASH_DASH] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_copy] = ACTIONS(566),
    [anon_sym_schedule] = ACTIONS(566),
    [aux_sym_constant_token1] = ACTIONS(566),
    [anon_sym_T] = ACTIONS(566),
    [anon_sym_F] = ACTIONS(566),
    [anon_sym_ATdeprecated] = ACTIONS(564),
    [anon_sym_ATload] = ACTIONS(566),
    [anon_sym_ATload_DASHsigs] = ACTIONS(564),
    [anon_sym_ATload_DASHplugin] = ACTIONS(564),
    [anon_sym_ATunload] = ACTIONS(564),
    [anon_sym_ATprefixes] = ACTIONS(564),
    [anon_sym_ATif] = ACTIONS(566),
    [anon_sym_ATifdef] = ACTIONS(564),
    [anon_sym_ATifndef] = ACTIONS(564),
    [anon_sym_ATendif] = ACTIONS(564),
    [anon_sym_ATelse] = ACTIONS(564),
    [anon_sym_ATpragma] = ACTIONS(564),
    [anon_sym_ATDIR] = ACTIONS(564),
    [anon_sym_ATFILENAME] = ACTIONS(564),
    [sym_id] = ACTIONS(566),
    [sym_pattern] = ACTIONS(564),
    [sym_ipv6] = ACTIONS(566),
    [sym_ipv4] = ACTIONS(566),
    [sym_port] = ACTIONS(564),
    [sym_floatp] = ACTIONS(566),
    [sym_hex] = ACTIONS(566),
    [sym_hostname] = ACTIONS(566),
    [aux_sym_string_token1] = ACTIONS(564),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [76] = {
    [anon_sym_SEMI] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_PLUS_EQ] = ACTIONS(568),
    [anon_sym_record] = ACTIONS(570),
    [anon_sym_DASH_EQ] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(568),
    [anon_sym_RPAREN] = ACTIONS(568),
    [anon_sym_COMMA] = ACTIONS(568),
    [anon_sym_LBRACK] = ACTIONS(568),
    [anon_sym_local] = ACTIONS(570),
    [anon_sym_EQ] = ACTIONS(568),
    [anon_sym_table] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [anon_sym_vector] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_hook] = ACTIONS(570),
    [anon_sym_AMPdeprecated] = ACTIONS(568),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(568),
    [anon_sym_AMPerror_handler] = ACTIONS(568),
    [anon_sym_AMPis_assigned] = ACTIONS(568),
    [anon_sym_AMPis_used] = ACTIONS(568),
    [anon_sym_AMPlog] = ACTIONS(568),
    [anon_sym_AMPoptional] = ACTIONS(568),
    [anon_sym_AMPordered] = ACTIONS(568),
    [anon_sym_AMPraw_output] = ACTIONS(568),
    [anon_sym_AMPredef] = ACTIONS(568),
    [anon_sym_AMPadd_func] = ACTIONS(568),
    [anon_sym_AMPbackend] = ACTIONS(568),
    [anon_sym_AMPbroker_store] = ACTIONS(568),
    [anon_sym_AMPcreate_expire] = ACTIONS(568),
    [anon_sym_AMPdefault] = ACTIONS(568),
    [anon_sym_AMPdelete_func] = ACTIONS(568),
    [anon_sym_AMPexpire_func] = ACTIONS(568),
    [anon_sym_AMPgroup] = ACTIONS(568),
    [anon_sym_AMPon_change] = ACTIONS(568),
    [anon_sym_AMPpriority] = ACTIONS(568),
    [anon_sym_AMPread_expire] = ACTIONS(568),
    [anon_sym_AMPtype_column] = ACTIONS(568),
    [anon_sym_AMPwrite_expire] = ACTIONS(568),
    [anon_sym_DOLLAR] = ACTIONS(568),
    [anon_sym_PIPE] = ACTIONS(568),
    [anon_sym_PLUS_PLUS] = ACTIONS(568),
    [anon_sym_DASH_DASH] = ACTIONS(568),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(568),
    [anon_sym_DASH] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(570),
    [anon_sym_copy] = ACTIONS(570),
    [anon_sym_schedule] = ACTIONS(570),
    [aux_sym_constant_token1] = ACTIONS(570),
    [anon_sym_T] = ACTIONS(570),
    [anon_sym_F] = ACTIONS(570),
    [anon_sym_ATdeprecated] = ACTIONS(568),
    [anon_sym_ATload] = ACTIONS(570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(568),
    [anon_sym_ATunload] = ACTIONS(568),
    [anon_sym_ATprefixes] = ACTIONS(568),
    [anon_sym_ATif] = ACTIONS(570),
    [anon_sym_ATifdef] = ACTIONS(568),
    [anon_sym_ATifndef] = ACTIONS(568),
    [anon_sym_ATendif] = ACTIONS(568),
    [anon_sym_ATelse] = ACTIONS(568),
    [anon_sym_ATpragma] = ACTIONS(568),
    [anon_sym_ATDIR] = ACTIONS(568),
    [anon_sym_ATFILENAME] = ACTIONS(568),
    [sym_id] = ACTIONS(570),
    [sym_pattern] = ACTIONS(568),
    [sym_ipv6] = ACTIONS(570),
    [sym_ipv4] = ACTIONS(570),
    [sym_port] = ACTIONS(568),
    [sym_floatp] = ACTIONS(570),
    [sym_hex] = ACTIONS(570),
    [sym_hostname] = ACTIONS(570),
    [aux_sym_string_token1] = ACTIONS(568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [77] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2702),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(572),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [78] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2772),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(574),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [79] = {
    [anon_sym_SEMI] = ACTIONS(576),
    [anon_sym_LBRACE] = ACTIONS(576),
    [anon_sym_PLUS_EQ] = ACTIONS(576),
    [anon_sym_record] = ACTIONS(578),
    [anon_sym_DASH_EQ] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(576),
    [anon_sym_RPAREN] = ACTIONS(576),
    [anon_sym_COMMA] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(576),
    [anon_sym_local] = ACTIONS(578),
    [anon_sym_EQ] = ACTIONS(576),
    [anon_sym_table] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_vector] = ACTIONS(578),
    [anon_sym_function] = ACTIONS(578),
    [anon_sym_hook] = ACTIONS(578),
    [anon_sym_AMPdeprecated] = ACTIONS(576),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(576),
    [anon_sym_AMPerror_handler] = ACTIONS(576),
    [anon_sym_AMPis_assigned] = ACTIONS(576),
    [anon_sym_AMPis_used] = ACTIONS(576),
    [anon_sym_AMPlog] = ACTIONS(576),
    [anon_sym_AMPoptional] = ACTIONS(576),
    [anon_sym_AMPordered] = ACTIONS(576),
    [anon_sym_AMPraw_output] = ACTIONS(576),
    [anon_sym_AMPredef] = ACTIONS(576),
    [anon_sym_AMPadd_func] = ACTIONS(576),
    [anon_sym_AMPbackend] = ACTIONS(576),
    [anon_sym_AMPbroker_store] = ACTIONS(576),
    [anon_sym_AMPcreate_expire] = ACTIONS(576),
    [anon_sym_AMPdefault] = ACTIONS(576),
    [anon_sym_AMPdelete_func] = ACTIONS(576),
    [anon_sym_AMPexpire_func] = ACTIONS(576),
    [anon_sym_AMPgroup] = ACTIONS(576),
    [anon_sym_AMPon_change] = ACTIONS(576),
    [anon_sym_AMPpriority] = ACTIONS(576),
    [anon_sym_AMPread_expire] = ACTIONS(576),
    [anon_sym_AMPtype_column] = ACTIONS(576),
    [anon_sym_AMPwrite_expire] = ACTIONS(576),
    [anon_sym_DOLLAR] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(576),
    [anon_sym_PLUS_PLUS] = ACTIONS(576),
    [anon_sym_DASH_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_TILDE] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(578),
    [anon_sym_copy] = ACTIONS(578),
    [anon_sym_schedule] = ACTIONS(578),
    [aux_sym_constant_token1] = ACTIONS(578),
    [anon_sym_T] = ACTIONS(578),
    [anon_sym_F] = ACTIONS(578),
    [anon_sym_ATdeprecated] = ACTIONS(576),
    [anon_sym_ATload] = ACTIONS(578),
    [anon_sym_ATload_DASHsigs] = ACTIONS(576),
    [anon_sym_ATload_DASHplugin] = ACTIONS(576),
    [anon_sym_ATunload] = ACTIONS(576),
    [anon_sym_ATprefixes] = ACTIONS(576),
    [anon_sym_ATif] = ACTIONS(578),
    [anon_sym_ATifdef] = ACTIONS(576),
    [anon_sym_ATifndef] = ACTIONS(576),
    [anon_sym_ATendif] = ACTIONS(576),
    [anon_sym_ATelse] = ACTIONS(576),
    [anon_sym_ATpragma] = ACTIONS(576),
    [anon_sym_ATDIR] = ACTIONS(576),
    [anon_sym_ATFILENAME] = ACTIONS(576),
    [sym_id] = ACTIONS(578),
    [sym_pattern] = ACTIONS(576),
    [sym_ipv6] = ACTIONS(578),
    [sym_ipv4] = ACTIONS(578),
    [sym_port] = ACTIONS(576),
    [sym_floatp] = ACTIONS(578),
    [sym_hex] = ACTIONS(578),
    [sym_hostname] = ACTIONS(578),
    [aux_sym_string_token1] = ACTIONS(576),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [80] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2771),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [81] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2783),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [82] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2849),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(584),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [83] = {
    [anon_sym_SEMI] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(586),
    [anon_sym_record] = ACTIONS(588),
    [anon_sym_DASH_EQ] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(586),
    [anon_sym_local] = ACTIONS(588),
    [anon_sym_EQ] = ACTIONS(586),
    [anon_sym_table] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_vector] = ACTIONS(588),
    [anon_sym_function] = ACTIONS(588),
    [anon_sym_hook] = ACTIONS(588),
    [anon_sym_AMPdeprecated] = ACTIONS(586),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(586),
    [anon_sym_AMPerror_handler] = ACTIONS(586),
    [anon_sym_AMPis_assigned] = ACTIONS(586),
    [anon_sym_AMPis_used] = ACTIONS(586),
    [anon_sym_AMPlog] = ACTIONS(586),
    [anon_sym_AMPoptional] = ACTIONS(586),
    [anon_sym_AMPordered] = ACTIONS(586),
    [anon_sym_AMPraw_output] = ACTIONS(586),
    [anon_sym_AMPredef] = ACTIONS(586),
    [anon_sym_AMPadd_func] = ACTIONS(586),
    [anon_sym_AMPbackend] = ACTIONS(586),
    [anon_sym_AMPbroker_store] = ACTIONS(586),
    [anon_sym_AMPcreate_expire] = ACTIONS(586),
    [anon_sym_AMPdefault] = ACTIONS(586),
    [anon_sym_AMPdelete_func] = ACTIONS(586),
    [anon_sym_AMPexpire_func] = ACTIONS(586),
    [anon_sym_AMPgroup] = ACTIONS(586),
    [anon_sym_AMPon_change] = ACTIONS(586),
    [anon_sym_AMPpriority] = ACTIONS(586),
    [anon_sym_AMPread_expire] = ACTIONS(586),
    [anon_sym_AMPtype_column] = ACTIONS(586),
    [anon_sym_AMPwrite_expire] = ACTIONS(586),
    [anon_sym_DOLLAR] = ACTIONS(586),
    [anon_sym_PIPE] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(586),
    [anon_sym_DASH_DASH] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_copy] = ACTIONS(588),
    [anon_sym_schedule] = ACTIONS(588),
    [aux_sym_constant_token1] = ACTIONS(588),
    [anon_sym_T] = ACTIONS(588),
    [anon_sym_F] = ACTIONS(588),
    [anon_sym_ATdeprecated] = ACTIONS(586),
    [anon_sym_ATload] = ACTIONS(588),
    [anon_sym_ATload_DASHsigs] = ACTIONS(586),
    [anon_sym_ATload_DASHplugin] = ACTIONS(586),
    [anon_sym_ATunload] = ACTIONS(586),
    [anon_sym_ATprefixes] = ACTIONS(586),
    [anon_sym_ATif] = ACTIONS(588),
    [anon_sym_ATifdef] = ACTIONS(586),
    [anon_sym_ATifndef] = ACTIONS(586),
    [anon_sym_ATendif] = ACTIONS(586),
    [anon_sym_ATelse] = ACTIONS(586),
    [anon_sym_ATpragma] = ACTIONS(586),
    [anon_sym_ATDIR] = ACTIONS(586),
    [anon_sym_ATFILENAME] = ACTIONS(586),
    [sym_id] = ACTIONS(588),
    [sym_pattern] = ACTIONS(586),
    [sym_ipv6] = ACTIONS(588),
    [sym_ipv4] = ACTIONS(588),
    [sym_port] = ACTIONS(586),
    [sym_floatp] = ACTIONS(588),
    [sym_hex] = ACTIONS(588),
    [sym_hostname] = ACTIONS(588),
    [aux_sym_string_token1] = ACTIONS(586),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [84] = {
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_LBRACE] = ACTIONS(590),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_RPAREN] = ACTIONS(590),
    [anon_sym_COMMA] = ACTIONS(590),
    [anon_sym_LBRACK] = ACTIONS(590),
    [anon_sym_local] = ACTIONS(592),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(592),
    [anon_sym_set] = ACTIONS(592),
    [anon_sym_vector] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(592),
    [anon_sym_hook] = ACTIONS(592),
    [anon_sym_AMPdeprecated] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(590),
    [anon_sym_AMPerror_handler] = ACTIONS(590),
    [anon_sym_AMPis_assigned] = ACTIONS(590),
    [anon_sym_AMPis_used] = ACTIONS(590),
    [anon_sym_AMPlog] = ACTIONS(590),
    [anon_sym_AMPoptional] = ACTIONS(590),
    [anon_sym_AMPordered] = ACTIONS(590),
    [anon_sym_AMPraw_output] = ACTIONS(590),
    [anon_sym_AMPredef] = ACTIONS(590),
    [anon_sym_AMPadd_func] = ACTIONS(590),
    [anon_sym_AMPbackend] = ACTIONS(590),
    [anon_sym_AMPbroker_store] = ACTIONS(590),
    [anon_sym_AMPcreate_expire] = ACTIONS(590),
    [anon_sym_AMPdefault] = ACTIONS(590),
    [anon_sym_AMPdelete_func] = ACTIONS(590),
    [anon_sym_AMPexpire_func] = ACTIONS(590),
    [anon_sym_AMPgroup] = ACTIONS(590),
    [anon_sym_AMPon_change] = ACTIONS(590),
    [anon_sym_AMPpriority] = ACTIONS(590),
    [anon_sym_AMPread_expire] = ACTIONS(590),
    [anon_sym_AMPtype_column] = ACTIONS(590),
    [anon_sym_AMPwrite_expire] = ACTIONS(590),
    [anon_sym_DOLLAR] = ACTIONS(590),
    [anon_sym_PIPE] = ACTIONS(590),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_DASH] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(592),
    [anon_sym_copy] = ACTIONS(592),
    [anon_sym_schedule] = ACTIONS(592),
    [aux_sym_constant_token1] = ACTIONS(592),
    [anon_sym_T] = ACTIONS(592),
    [anon_sym_F] = ACTIONS(592),
    [anon_sym_ATdeprecated] = ACTIONS(590),
    [anon_sym_ATload] = ACTIONS(592),
    [anon_sym_ATload_DASHsigs] = ACTIONS(590),
    [anon_sym_ATload_DASHplugin] = ACTIONS(590),
    [anon_sym_ATunload] = ACTIONS(590),
    [anon_sym_ATprefixes] = ACTIONS(590),
    [anon_sym_ATif] = ACTIONS(592),
    [anon_sym_ATifdef] = ACTIONS(590),
    [anon_sym_ATifndef] = ACTIONS(590),
    [anon_sym_ATendif] = ACTIONS(590),
    [anon_sym_ATelse] = ACTIONS(590),
    [anon_sym_ATpragma] = ACTIONS(590),
    [anon_sym_ATDIR] = ACTIONS(590),
    [anon_sym_ATFILENAME] = ACTIONS(590),
    [sym_id] = ACTIONS(592),
    [sym_pattern] = ACTIONS(590),
    [sym_ipv6] = ACTIONS(592),
    [sym_ipv4] = ACTIONS(592),
    [sym_port] = ACTIONS(590),
    [sym_floatp] = ACTIONS(592),
    [sym_hex] = ACTIONS(592),
    [sym_hostname] = ACTIONS(592),
    [aux_sym_string_token1] = ACTIONS(590),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [85] = {
    [sym_stmt] = STATE(86),
    [sym_stmt_list] = STATE(2863),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(86),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(594),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [86] = {
    [sym_stmt] = STATE(90),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(90),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [87] = {
    [sym_stmt] = STATE(88),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(776),
    [sym_pragma] = STATE(815),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(596),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(598),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(602),
    [anon_sym_ATload] = ACTIONS(604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(608),
    [anon_sym_ATunload] = ACTIONS(606),
    [anon_sym_ATprefixes] = ACTIONS(610),
    [anon_sym_ATif] = ACTIONS(612),
    [anon_sym_ATifdef] = ACTIONS(614),
    [anon_sym_ATifndef] = ACTIONS(614),
    [anon_sym_ATendif] = ACTIONS(616),
    [anon_sym_ATelse] = ACTIONS(616),
    [anon_sym_ATpragma] = ACTIONS(618),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [88] = {
    [sym_stmt] = STATE(88),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(776),
    [sym_pragma] = STATE(815),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(352),
    [anon_sym_SEMI] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_record] = ACTIONS(357),
    [anon_sym_print] = ACTIONS(629),
    [anon_sym_event] = ACTIONS(632),
    [anon_sym_if] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(369),
    [anon_sym_switch] = ACTIONS(638),
    [anon_sym_for] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_while] = ACTIONS(644),
    [anon_sym_next] = ACTIONS(647),
    [anon_sym_break] = ACTIONS(647),
    [anon_sym_fallthrough] = ACTIONS(647),
    [anon_sym_return] = ACTIONS(650),
    [anon_sym_add] = ACTIONS(653),
    [anon_sym_delete] = ACTIONS(653),
    [anon_sym_local] = ACTIONS(656),
    [anon_sym_when] = ACTIONS(659),
    [anon_sym_assert] = ACTIONS(662),
    [anon_sym_table] = ACTIONS(404),
    [anon_sym_set] = ACTIONS(404),
    [anon_sym_vector] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(410),
    [anon_sym_hook] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(416),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_BANG] = ACTIONS(422),
    [anon_sym_TILDE] = ACTIONS(422),
    [anon_sym_DASH] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(425),
    [anon_sym_copy] = ACTIONS(428),
    [anon_sym_schedule] = ACTIONS(431),
    [aux_sym_constant_token1] = ACTIONS(434),
    [anon_sym_T] = ACTIONS(437),
    [anon_sym_F] = ACTIONS(437),
    [anon_sym_ATdeprecated] = ACTIONS(665),
    [anon_sym_ATload] = ACTIONS(668),
    [anon_sym_ATload_DASHsigs] = ACTIONS(671),
    [anon_sym_ATload_DASHplugin] = ACTIONS(674),
    [anon_sym_ATunload] = ACTIONS(671),
    [anon_sym_ATprefixes] = ACTIONS(677),
    [anon_sym_ATif] = ACTIONS(680),
    [anon_sym_ATifdef] = ACTIONS(683),
    [anon_sym_ATifndef] = ACTIONS(683),
    [anon_sym_ATendif] = ACTIONS(686),
    [anon_sym_ATelse] = ACTIONS(686),
    [anon_sym_ATpragma] = ACTIONS(689),
    [anon_sym_ATDIR] = ACTIONS(467),
    [anon_sym_ATFILENAME] = ACTIONS(467),
    [sym_id] = ACTIONS(470),
    [sym_pattern] = ACTIONS(473),
    [sym_ipv6] = ACTIONS(476),
    [sym_ipv4] = ACTIONS(476),
    [sym_port] = ACTIONS(479),
    [sym_floatp] = ACTIONS(482),
    [sym_hex] = ACTIONS(437),
    [sym_hostname] = ACTIONS(437),
    [aux_sym_string_token1] = ACTIONS(485),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [89] = {
    [sym_stmt] = STATE(88),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(776),
    [sym_pragma] = STATE(815),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(598),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(602),
    [anon_sym_ATload] = ACTIONS(604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(608),
    [anon_sym_ATunload] = ACTIONS(606),
    [anon_sym_ATprefixes] = ACTIONS(610),
    [anon_sym_ATif] = ACTIONS(612),
    [anon_sym_ATifdef] = ACTIONS(614),
    [anon_sym_ATifndef] = ACTIONS(614),
    [anon_sym_ATendif] = ACTIONS(616),
    [anon_sym_ATelse] = ACTIONS(616),
    [anon_sym_ATpragma] = ACTIONS(618),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [90] = {
    [sym_stmt] = STATE(90),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_source_file_repeat2] = STATE(90),
    [anon_sym_SEMI] = ACTIONS(692),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_RBRACE] = ACTIONS(352),
    [anon_sym_const] = ACTIONS(698),
    [anon_sym_record] = ACTIONS(357),
    [anon_sym_print] = ACTIONS(701),
    [anon_sym_event] = ACTIONS(704),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(369),
    [anon_sym_switch] = ACTIONS(710),
    [anon_sym_for] = ACTIONS(713),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_while] = ACTIONS(716),
    [anon_sym_next] = ACTIONS(719),
    [anon_sym_break] = ACTIONS(719),
    [anon_sym_fallthrough] = ACTIONS(719),
    [anon_sym_return] = ACTIONS(722),
    [anon_sym_add] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_local] = ACTIONS(728),
    [anon_sym_when] = ACTIONS(731),
    [anon_sym_assert] = ACTIONS(734),
    [anon_sym_table] = ACTIONS(404),
    [anon_sym_set] = ACTIONS(404),
    [anon_sym_vector] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(410),
    [anon_sym_hook] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(416),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_BANG] = ACTIONS(422),
    [anon_sym_TILDE] = ACTIONS(422),
    [anon_sym_DASH] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(425),
    [anon_sym_copy] = ACTIONS(428),
    [anon_sym_schedule] = ACTIONS(431),
    [aux_sym_constant_token1] = ACTIONS(434),
    [anon_sym_T] = ACTIONS(437),
    [anon_sym_F] = ACTIONS(437),
    [anon_sym_ATdeprecated] = ACTIONS(737),
    [anon_sym_ATload] = ACTIONS(740),
    [anon_sym_ATload_DASHsigs] = ACTIONS(743),
    [anon_sym_ATload_DASHplugin] = ACTIONS(746),
    [anon_sym_ATunload] = ACTIONS(743),
    [anon_sym_ATprefixes] = ACTIONS(749),
    [anon_sym_ATif] = ACTIONS(752),
    [anon_sym_ATifdef] = ACTIONS(755),
    [anon_sym_ATifndef] = ACTIONS(755),
    [anon_sym_ATendif] = ACTIONS(758),
    [anon_sym_ATelse] = ACTIONS(758),
    [anon_sym_ATpragma] = ACTIONS(761),
    [anon_sym_ATDIR] = ACTIONS(467),
    [anon_sym_ATFILENAME] = ACTIONS(467),
    [sym_id] = ACTIONS(470),
    [sym_pattern] = ACTIONS(473),
    [sym_ipv6] = ACTIONS(476),
    [sym_ipv4] = ACTIONS(476),
    [sym_port] = ACTIONS(479),
    [sym_floatp] = ACTIONS(482),
    [sym_hex] = ACTIONS(437),
    [sym_hostname] = ACTIONS(437),
    [aux_sym_string_token1] = ACTIONS(485),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [91] = {
    [sym_initializer] = STATE(1764),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2240),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(768),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [92] = {
    [sym_initializer] = STATE(1758),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2249),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(826),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [93] = {
    [sym_initializer] = STATE(1763),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2231),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(828),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(830),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [94] = {
    [sym_initializer] = STATE(1785),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2239),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [95] = {
    [sym_initializer] = STATE(1725),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2570),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(840),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [96] = {
    [sym_initializer] = STATE(1780),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2285),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(842),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(844),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [97] = {
    [sym_initializer] = STATE(1733),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2594),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(848),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [98] = {
    [sym_initializer] = STATE(1740),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2618),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(852),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [99] = {
    [sym_initializer] = STATE(1700),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2382),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(854),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [100] = {
    [sym_initializer] = STATE(1726),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2402),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(858),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(860),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [101] = {
    [sym_initializer] = STATE(1652),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2302),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(862),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(864),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [102] = {
    [sym_initializer] = STATE(1679),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2823),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(866),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(868),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [103] = {
    [sym_initializer] = STATE(1653),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2246),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(872),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [104] = {
    [sym_initializer] = STATE(1674),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2300),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(876),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [105] = {
    [sym_initializer] = STATE(1678),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2623),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(880),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [106] = {
    [sym_initializer] = STATE(1713),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2634),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(884),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [107] = {
    [sym_initializer] = STATE(1683),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2332),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [108] = {
    [sym_initializer] = STATE(1707),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2459),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(892),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [109] = {
    [sym_initializer] = STATE(1632),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2848),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(896),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [110] = {
    [sym_initializer] = STATE(1676),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2588),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(900),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [111] = {
    [sym_initializer] = STATE(1760),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2829),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(904),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [112] = {
    [sym_initializer] = STATE(1646),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2759),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(908),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [113] = {
    [sym_initializer] = STATE(1722),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2444),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [114] = {
    [sym_initializer] = STATE(1687),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2876),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(916),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [115] = {
    [sym_initializer] = STATE(1644),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2213),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(920),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [116] = {
    [sym_initializer] = STATE(1654),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2596),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(922),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(924),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [117] = {
    [sym_initializer] = STATE(1641),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2313),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(926),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(928),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [118] = {
    [sym_initializer] = STATE(1673),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2468),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(932),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [119] = {
    [sym_initializer] = STATE(1668),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2696),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [120] = {
    [sym_initializer] = STATE(1719),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2553),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(938),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(940),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [121] = {
    [sym_initializer] = STATE(1720),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2555),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(944),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [122] = {
    [sym_initializer] = STATE(1721),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2557),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(948),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [123] = {
    [sym_initializer] = STATE(1736),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2203),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(952),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(832),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [124] = {
    [sym_stmt] = STATE(387),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [125] = {
    [sym_stmt] = STATE(647),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2411),
    [sym_preproc_directive] = STATE(734),
    [sym_pragma] = STATE(640),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_const] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1008),
    [anon_sym_event] = ACTIONS(1010),
    [anon_sym_if] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fallthrough] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_add] = ACTIONS(1024),
    [anon_sym_delete] = ACTIONS(1024),
    [anon_sym_local] = ACTIONS(1026),
    [anon_sym_when] = ACTIONS(1028),
    [anon_sym_assert] = ACTIONS(1030),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1032),
    [anon_sym_ATload] = ACTIONS(1034),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1036),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1038),
    [anon_sym_ATunload] = ACTIONS(1036),
    [anon_sym_ATprefixes] = ACTIONS(1040),
    [anon_sym_ATif] = ACTIONS(1042),
    [anon_sym_ATifdef] = ACTIONS(1044),
    [anon_sym_ATifndef] = ACTIONS(1044),
    [anon_sym_ATendif] = ACTIONS(1046),
    [anon_sym_ATelse] = ACTIONS(1046),
    [anon_sym_ATpragma] = ACTIONS(1048),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [126] = {
    [sym_stmt] = STATE(655),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2411),
    [sym_preproc_directive] = STATE(734),
    [sym_pragma] = STATE(640),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_const] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1008),
    [anon_sym_event] = ACTIONS(1010),
    [anon_sym_if] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fallthrough] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_add] = ACTIONS(1024),
    [anon_sym_delete] = ACTIONS(1024),
    [anon_sym_local] = ACTIONS(1026),
    [anon_sym_when] = ACTIONS(1028),
    [anon_sym_assert] = ACTIONS(1030),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1032),
    [anon_sym_ATload] = ACTIONS(1034),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1036),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1038),
    [anon_sym_ATunload] = ACTIONS(1036),
    [anon_sym_ATprefixes] = ACTIONS(1040),
    [anon_sym_ATif] = ACTIONS(1042),
    [anon_sym_ATifdef] = ACTIONS(1044),
    [anon_sym_ATifndef] = ACTIONS(1044),
    [anon_sym_ATendif] = ACTIONS(1046),
    [anon_sym_ATelse] = ACTIONS(1046),
    [anon_sym_ATpragma] = ACTIONS(1048),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [127] = {
    [sym_stmt] = STATE(657),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2411),
    [sym_preproc_directive] = STATE(734),
    [sym_pragma] = STATE(640),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_const] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1008),
    [anon_sym_event] = ACTIONS(1010),
    [anon_sym_if] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fallthrough] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_add] = ACTIONS(1024),
    [anon_sym_delete] = ACTIONS(1024),
    [anon_sym_local] = ACTIONS(1026),
    [anon_sym_when] = ACTIONS(1028),
    [anon_sym_assert] = ACTIONS(1030),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1032),
    [anon_sym_ATload] = ACTIONS(1034),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1036),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1038),
    [anon_sym_ATunload] = ACTIONS(1036),
    [anon_sym_ATprefixes] = ACTIONS(1040),
    [anon_sym_ATif] = ACTIONS(1042),
    [anon_sym_ATifdef] = ACTIONS(1044),
    [anon_sym_ATifndef] = ACTIONS(1044),
    [anon_sym_ATendif] = ACTIONS(1046),
    [anon_sym_ATelse] = ACTIONS(1046),
    [anon_sym_ATpragma] = ACTIONS(1048),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [128] = {
    [sym_stmt] = STATE(659),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2411),
    [sym_preproc_directive] = STATE(734),
    [sym_pragma] = STATE(640),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_const] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1008),
    [anon_sym_event] = ACTIONS(1010),
    [anon_sym_if] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fallthrough] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_add] = ACTIONS(1024),
    [anon_sym_delete] = ACTIONS(1024),
    [anon_sym_local] = ACTIONS(1026),
    [anon_sym_when] = ACTIONS(1028),
    [anon_sym_assert] = ACTIONS(1030),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1032),
    [anon_sym_ATload] = ACTIONS(1034),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1036),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1038),
    [anon_sym_ATunload] = ACTIONS(1036),
    [anon_sym_ATprefixes] = ACTIONS(1040),
    [anon_sym_ATif] = ACTIONS(1042),
    [anon_sym_ATifdef] = ACTIONS(1044),
    [anon_sym_ATifndef] = ACTIONS(1044),
    [anon_sym_ATendif] = ACTIONS(1046),
    [anon_sym_ATelse] = ACTIONS(1046),
    [anon_sym_ATpragma] = ACTIONS(1048),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [129] = {
    [sym_stmt] = STATE(661),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2411),
    [sym_preproc_directive] = STATE(734),
    [sym_pragma] = STATE(640),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_const] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1008),
    [anon_sym_event] = ACTIONS(1010),
    [anon_sym_if] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fallthrough] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_add] = ACTIONS(1024),
    [anon_sym_delete] = ACTIONS(1024),
    [anon_sym_local] = ACTIONS(1026),
    [anon_sym_when] = ACTIONS(1028),
    [anon_sym_assert] = ACTIONS(1030),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1032),
    [anon_sym_ATload] = ACTIONS(1034),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1036),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1038),
    [anon_sym_ATunload] = ACTIONS(1036),
    [anon_sym_ATprefixes] = ACTIONS(1040),
    [anon_sym_ATif] = ACTIONS(1042),
    [anon_sym_ATifdef] = ACTIONS(1044),
    [anon_sym_ATifndef] = ACTIONS(1044),
    [anon_sym_ATendif] = ACTIONS(1046),
    [anon_sym_ATelse] = ACTIONS(1046),
    [anon_sym_ATpragma] = ACTIONS(1048),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [130] = {
    [sym_initializer] = STATE(1657),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2251),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [131] = {
    [sym_stmt] = STATE(733),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [132] = {
    [sym_stmt] = STATE(745),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [133] = {
    [sym_stmt] = STATE(746),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [134] = {
    [sym_stmt] = STATE(749),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [135] = {
    [sym_stmt] = STATE(757),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [136] = {
    [sym_stmt] = STATE(635),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [137] = {
    [sym_stmt] = STATE(637),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [138] = {
    [sym_stmt] = STATE(800),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(776),
    [sym_pragma] = STATE(815),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(598),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(602),
    [anon_sym_ATload] = ACTIONS(604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(608),
    [anon_sym_ATunload] = ACTIONS(606),
    [anon_sym_ATprefixes] = ACTIONS(610),
    [anon_sym_ATif] = ACTIONS(612),
    [anon_sym_ATifdef] = ACTIONS(614),
    [anon_sym_ATifndef] = ACTIONS(614),
    [anon_sym_ATendif] = ACTIONS(616),
    [anon_sym_ATelse] = ACTIONS(616),
    [anon_sym_ATpragma] = ACTIONS(618),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [139] = {
    [sym_stmt] = STATE(563),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(212),
    [anon_sym_event] = ACTIONS(214),
    [anon_sym_if] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(218),
    [anon_sym_for] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(222),
    [anon_sym_next] = ACTIONS(224),
    [anon_sym_break] = ACTIONS(224),
    [anon_sym_fallthrough] = ACTIONS(224),
    [anon_sym_return] = ACTIONS(226),
    [anon_sym_add] = ACTIONS(228),
    [anon_sym_delete] = ACTIONS(228),
    [anon_sym_local] = ACTIONS(230),
    [anon_sym_when] = ACTIONS(232),
    [anon_sym_assert] = ACTIONS(234),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(238),
    [anon_sym_ATload] = ACTIONS(240),
    [anon_sym_ATload_DASHsigs] = ACTIONS(242),
    [anon_sym_ATload_DASHplugin] = ACTIONS(244),
    [anon_sym_ATunload] = ACTIONS(242),
    [anon_sym_ATprefixes] = ACTIONS(246),
    [anon_sym_ATif] = ACTIONS(248),
    [anon_sym_ATifdef] = ACTIONS(250),
    [anon_sym_ATifndef] = ACTIONS(250),
    [anon_sym_ATendif] = ACTIONS(252),
    [anon_sym_ATelse] = ACTIONS(252),
    [anon_sym_ATpragma] = ACTIONS(254),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [140] = {
    [sym_stmt] = STATE(567),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(212),
    [anon_sym_event] = ACTIONS(214),
    [anon_sym_if] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(218),
    [anon_sym_for] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(222),
    [anon_sym_next] = ACTIONS(224),
    [anon_sym_break] = ACTIONS(224),
    [anon_sym_fallthrough] = ACTIONS(224),
    [anon_sym_return] = ACTIONS(226),
    [anon_sym_add] = ACTIONS(228),
    [anon_sym_delete] = ACTIONS(228),
    [anon_sym_local] = ACTIONS(230),
    [anon_sym_when] = ACTIONS(232),
    [anon_sym_assert] = ACTIONS(234),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(238),
    [anon_sym_ATload] = ACTIONS(240),
    [anon_sym_ATload_DASHsigs] = ACTIONS(242),
    [anon_sym_ATload_DASHplugin] = ACTIONS(244),
    [anon_sym_ATunload] = ACTIONS(242),
    [anon_sym_ATprefixes] = ACTIONS(246),
    [anon_sym_ATif] = ACTIONS(248),
    [anon_sym_ATifdef] = ACTIONS(250),
    [anon_sym_ATifndef] = ACTIONS(250),
    [anon_sym_ATendif] = ACTIONS(252),
    [anon_sym_ATelse] = ACTIONS(252),
    [anon_sym_ATpragma] = ACTIONS(254),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [141] = {
    [sym_stmt] = STATE(568),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(212),
    [anon_sym_event] = ACTIONS(214),
    [anon_sym_if] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(218),
    [anon_sym_for] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(222),
    [anon_sym_next] = ACTIONS(224),
    [anon_sym_break] = ACTIONS(224),
    [anon_sym_fallthrough] = ACTIONS(224),
    [anon_sym_return] = ACTIONS(226),
    [anon_sym_add] = ACTIONS(228),
    [anon_sym_delete] = ACTIONS(228),
    [anon_sym_local] = ACTIONS(230),
    [anon_sym_when] = ACTIONS(232),
    [anon_sym_assert] = ACTIONS(234),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(238),
    [anon_sym_ATload] = ACTIONS(240),
    [anon_sym_ATload_DASHsigs] = ACTIONS(242),
    [anon_sym_ATload_DASHplugin] = ACTIONS(244),
    [anon_sym_ATunload] = ACTIONS(242),
    [anon_sym_ATprefixes] = ACTIONS(246),
    [anon_sym_ATif] = ACTIONS(248),
    [anon_sym_ATifdef] = ACTIONS(250),
    [anon_sym_ATifndef] = ACTIONS(250),
    [anon_sym_ATendif] = ACTIONS(252),
    [anon_sym_ATelse] = ACTIONS(252),
    [anon_sym_ATpragma] = ACTIONS(254),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [142] = {
    [sym_stmt] = STATE(571),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(212),
    [anon_sym_event] = ACTIONS(214),
    [anon_sym_if] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(218),
    [anon_sym_for] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(222),
    [anon_sym_next] = ACTIONS(224),
    [anon_sym_break] = ACTIONS(224),
    [anon_sym_fallthrough] = ACTIONS(224),
    [anon_sym_return] = ACTIONS(226),
    [anon_sym_add] = ACTIONS(228),
    [anon_sym_delete] = ACTIONS(228),
    [anon_sym_local] = ACTIONS(230),
    [anon_sym_when] = ACTIONS(232),
    [anon_sym_assert] = ACTIONS(234),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(238),
    [anon_sym_ATload] = ACTIONS(240),
    [anon_sym_ATload_DASHsigs] = ACTIONS(242),
    [anon_sym_ATload_DASHplugin] = ACTIONS(244),
    [anon_sym_ATunload] = ACTIONS(242),
    [anon_sym_ATprefixes] = ACTIONS(246),
    [anon_sym_ATif] = ACTIONS(248),
    [anon_sym_ATifdef] = ACTIONS(250),
    [anon_sym_ATifndef] = ACTIONS(250),
    [anon_sym_ATendif] = ACTIONS(252),
    [anon_sym_ATelse] = ACTIONS(252),
    [anon_sym_ATpragma] = ACTIONS(254),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [143] = {
    [sym_stmt] = STATE(573),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(212),
    [anon_sym_event] = ACTIONS(214),
    [anon_sym_if] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(218),
    [anon_sym_for] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(222),
    [anon_sym_next] = ACTIONS(224),
    [anon_sym_break] = ACTIONS(224),
    [anon_sym_fallthrough] = ACTIONS(224),
    [anon_sym_return] = ACTIONS(226),
    [anon_sym_add] = ACTIONS(228),
    [anon_sym_delete] = ACTIONS(228),
    [anon_sym_local] = ACTIONS(230),
    [anon_sym_when] = ACTIONS(232),
    [anon_sym_assert] = ACTIONS(234),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(238),
    [anon_sym_ATload] = ACTIONS(240),
    [anon_sym_ATload_DASHsigs] = ACTIONS(242),
    [anon_sym_ATload_DASHplugin] = ACTIONS(244),
    [anon_sym_ATunload] = ACTIONS(242),
    [anon_sym_ATprefixes] = ACTIONS(246),
    [anon_sym_ATif] = ACTIONS(248),
    [anon_sym_ATifdef] = ACTIONS(250),
    [anon_sym_ATifndef] = ACTIONS(250),
    [anon_sym_ATendif] = ACTIONS(252),
    [anon_sym_ATelse] = ACTIONS(252),
    [anon_sym_ATpragma] = ACTIONS(254),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [144] = {
    [sym_stmt] = STATE(575),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(212),
    [anon_sym_event] = ACTIONS(214),
    [anon_sym_if] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(218),
    [anon_sym_for] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(222),
    [anon_sym_next] = ACTIONS(224),
    [anon_sym_break] = ACTIONS(224),
    [anon_sym_fallthrough] = ACTIONS(224),
    [anon_sym_return] = ACTIONS(226),
    [anon_sym_add] = ACTIONS(228),
    [anon_sym_delete] = ACTIONS(228),
    [anon_sym_local] = ACTIONS(230),
    [anon_sym_when] = ACTIONS(232),
    [anon_sym_assert] = ACTIONS(234),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(238),
    [anon_sym_ATload] = ACTIONS(240),
    [anon_sym_ATload_DASHsigs] = ACTIONS(242),
    [anon_sym_ATload_DASHplugin] = ACTIONS(244),
    [anon_sym_ATunload] = ACTIONS(242),
    [anon_sym_ATprefixes] = ACTIONS(246),
    [anon_sym_ATif] = ACTIONS(248),
    [anon_sym_ATifdef] = ACTIONS(250),
    [anon_sym_ATifndef] = ACTIONS(250),
    [anon_sym_ATendif] = ACTIONS(252),
    [anon_sym_ATelse] = ACTIONS(252),
    [anon_sym_ATpragma] = ACTIONS(254),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [145] = {
    [sym_stmt] = STATE(577),
    [sym_expr] = STATE(1390),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2451),
    [sym_preproc_directive] = STATE(555),
    [sym_pragma] = STATE(632),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_const] = ACTIONS(210),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(212),
    [anon_sym_event] = ACTIONS(214),
    [anon_sym_if] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(218),
    [anon_sym_for] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(222),
    [anon_sym_next] = ACTIONS(224),
    [anon_sym_break] = ACTIONS(224),
    [anon_sym_fallthrough] = ACTIONS(224),
    [anon_sym_return] = ACTIONS(226),
    [anon_sym_add] = ACTIONS(228),
    [anon_sym_delete] = ACTIONS(228),
    [anon_sym_local] = ACTIONS(230),
    [anon_sym_when] = ACTIONS(232),
    [anon_sym_assert] = ACTIONS(234),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(238),
    [anon_sym_ATload] = ACTIONS(240),
    [anon_sym_ATload_DASHsigs] = ACTIONS(242),
    [anon_sym_ATload_DASHplugin] = ACTIONS(244),
    [anon_sym_ATunload] = ACTIONS(242),
    [anon_sym_ATprefixes] = ACTIONS(246),
    [anon_sym_ATif] = ACTIONS(248),
    [anon_sym_ATifdef] = ACTIONS(250),
    [anon_sym_ATifndef] = ACTIONS(250),
    [anon_sym_ATendif] = ACTIONS(252),
    [anon_sym_ATelse] = ACTIONS(252),
    [anon_sym_ATpragma] = ACTIONS(254),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [146] = {
    [sym_initializer] = STATE(1665),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2268),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [147] = {
    [sym_stmt] = STATE(594),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [148] = {
    [sym_stmt] = STATE(600),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [149] = {
    [sym_stmt] = STATE(601),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [150] = {
    [sym_stmt] = STATE(603),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [151] = {
    [sym_stmt] = STATE(616),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [152] = {
    [sym_stmt] = STATE(624),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [153] = {
    [sym_stmt] = STATE(626),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [154] = {
    [sym_stmt] = STATE(808),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(776),
    [sym_pragma] = STATE(815),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(598),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(602),
    [anon_sym_ATload] = ACTIONS(604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(608),
    [anon_sym_ATunload] = ACTIONS(606),
    [anon_sym_ATprefixes] = ACTIONS(610),
    [anon_sym_ATif] = ACTIONS(612),
    [anon_sym_ATifdef] = ACTIONS(614),
    [anon_sym_ATifndef] = ACTIONS(614),
    [anon_sym_ATendif] = ACTIONS(616),
    [anon_sym_ATelse] = ACTIONS(616),
    [anon_sym_ATpragma] = ACTIONS(618),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [155] = {
    [sym_stmt] = STATE(521),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [156] = {
    [sym_stmt] = STATE(525),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [157] = {
    [sym_stmt] = STATE(526),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [158] = {
    [sym_stmt] = STATE(528),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [159] = {
    [sym_stmt] = STATE(530),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [160] = {
    [sym_stmt] = STATE(532),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [161] = {
    [sym_stmt] = STATE(534),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [162] = {
    [sym_stmt] = STATE(487),
    [sym_expr] = STATE(1425),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2496),
    [sym_preproc_directive] = STATE(479),
    [sym_pragma] = STATE(456),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1204),
    [anon_sym_event] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_next] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_fallthrough] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_add] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_local] = ACTIONS(1222),
    [anon_sym_when] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1226),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1228),
    [anon_sym_ATload] = ACTIONS(1230),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1232),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1234),
    [anon_sym_ATunload] = ACTIONS(1232),
    [anon_sym_ATprefixes] = ACTIONS(1236),
    [anon_sym_ATif] = ACTIONS(1238),
    [anon_sym_ATifdef] = ACTIONS(1240),
    [anon_sym_ATifndef] = ACTIONS(1240),
    [anon_sym_ATendif] = ACTIONS(1242),
    [anon_sym_ATelse] = ACTIONS(1242),
    [anon_sym_ATpragma] = ACTIONS(1244),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [163] = {
    [sym_stmt] = STATE(492),
    [sym_expr] = STATE(1425),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2496),
    [sym_preproc_directive] = STATE(479),
    [sym_pragma] = STATE(456),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1204),
    [anon_sym_event] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_next] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_fallthrough] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_add] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_local] = ACTIONS(1222),
    [anon_sym_when] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1226),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1228),
    [anon_sym_ATload] = ACTIONS(1230),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1232),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1234),
    [anon_sym_ATunload] = ACTIONS(1232),
    [anon_sym_ATprefixes] = ACTIONS(1236),
    [anon_sym_ATif] = ACTIONS(1238),
    [anon_sym_ATifdef] = ACTIONS(1240),
    [anon_sym_ATifndef] = ACTIONS(1240),
    [anon_sym_ATendif] = ACTIONS(1242),
    [anon_sym_ATelse] = ACTIONS(1242),
    [anon_sym_ATpragma] = ACTIONS(1244),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [164] = {
    [sym_stmt] = STATE(493),
    [sym_expr] = STATE(1425),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2496),
    [sym_preproc_directive] = STATE(479),
    [sym_pragma] = STATE(456),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1204),
    [anon_sym_event] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_next] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_fallthrough] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_add] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_local] = ACTIONS(1222),
    [anon_sym_when] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1226),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1228),
    [anon_sym_ATload] = ACTIONS(1230),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1232),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1234),
    [anon_sym_ATunload] = ACTIONS(1232),
    [anon_sym_ATprefixes] = ACTIONS(1236),
    [anon_sym_ATif] = ACTIONS(1238),
    [anon_sym_ATifdef] = ACTIONS(1240),
    [anon_sym_ATifndef] = ACTIONS(1240),
    [anon_sym_ATendif] = ACTIONS(1242),
    [anon_sym_ATelse] = ACTIONS(1242),
    [anon_sym_ATpragma] = ACTIONS(1244),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [165] = {
    [sym_stmt] = STATE(495),
    [sym_expr] = STATE(1425),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2496),
    [sym_preproc_directive] = STATE(479),
    [sym_pragma] = STATE(456),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1204),
    [anon_sym_event] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_next] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_fallthrough] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_add] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_local] = ACTIONS(1222),
    [anon_sym_when] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1226),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1228),
    [anon_sym_ATload] = ACTIONS(1230),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1232),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1234),
    [anon_sym_ATunload] = ACTIONS(1232),
    [anon_sym_ATprefixes] = ACTIONS(1236),
    [anon_sym_ATif] = ACTIONS(1238),
    [anon_sym_ATifdef] = ACTIONS(1240),
    [anon_sym_ATifndef] = ACTIONS(1240),
    [anon_sym_ATendif] = ACTIONS(1242),
    [anon_sym_ATelse] = ACTIONS(1242),
    [anon_sym_ATpragma] = ACTIONS(1244),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [166] = {
    [sym_stmt] = STATE(497),
    [sym_expr] = STATE(1425),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2496),
    [sym_preproc_directive] = STATE(479),
    [sym_pragma] = STATE(456),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1204),
    [anon_sym_event] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_next] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_fallthrough] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_add] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_local] = ACTIONS(1222),
    [anon_sym_when] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1226),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1228),
    [anon_sym_ATload] = ACTIONS(1230),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1232),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1234),
    [anon_sym_ATunload] = ACTIONS(1232),
    [anon_sym_ATprefixes] = ACTIONS(1236),
    [anon_sym_ATif] = ACTIONS(1238),
    [anon_sym_ATifdef] = ACTIONS(1240),
    [anon_sym_ATifndef] = ACTIONS(1240),
    [anon_sym_ATendif] = ACTIONS(1242),
    [anon_sym_ATelse] = ACTIONS(1242),
    [anon_sym_ATpragma] = ACTIONS(1244),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [167] = {
    [sym_stmt] = STATE(491),
    [sym_expr] = STATE(1425),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2496),
    [sym_preproc_directive] = STATE(479),
    [sym_pragma] = STATE(456),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1204),
    [anon_sym_event] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_next] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_fallthrough] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_add] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_local] = ACTIONS(1222),
    [anon_sym_when] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1226),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1228),
    [anon_sym_ATload] = ACTIONS(1230),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1232),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1234),
    [anon_sym_ATunload] = ACTIONS(1232),
    [anon_sym_ATprefixes] = ACTIONS(1236),
    [anon_sym_ATif] = ACTIONS(1238),
    [anon_sym_ATifdef] = ACTIONS(1240),
    [anon_sym_ATifndef] = ACTIONS(1240),
    [anon_sym_ATendif] = ACTIONS(1242),
    [anon_sym_ATelse] = ACTIONS(1242),
    [anon_sym_ATpragma] = ACTIONS(1244),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [168] = {
    [sym_stmt] = STATE(455),
    [sym_expr] = STATE(1425),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2496),
    [sym_preproc_directive] = STATE(479),
    [sym_pragma] = STATE(456),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1204),
    [anon_sym_event] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_next] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_fallthrough] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_add] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_local] = ACTIONS(1222),
    [anon_sym_when] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1226),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1228),
    [anon_sym_ATload] = ACTIONS(1230),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1232),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1234),
    [anon_sym_ATunload] = ACTIONS(1232),
    [anon_sym_ATprefixes] = ACTIONS(1236),
    [anon_sym_ATif] = ACTIONS(1238),
    [anon_sym_ATifdef] = ACTIONS(1240),
    [anon_sym_ATifndef] = ACTIONS(1240),
    [anon_sym_ATendif] = ACTIONS(1242),
    [anon_sym_ATelse] = ACTIONS(1242),
    [anon_sym_ATpragma] = ACTIONS(1244),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [169] = {
    [sym_stmt] = STATE(434),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [170] = {
    [sym_stmt] = STATE(439),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [171] = {
    [sym_stmt] = STATE(440),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [172] = {
    [sym_stmt] = STATE(442),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [173] = {
    [sym_stmt] = STATE(444),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [174] = {
    [sym_stmt] = STATE(447),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [175] = {
    [sym_stmt] = STATE(449),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [176] = {
    [sym_stmt] = STATE(690),
    [sym_expr] = STATE(1341),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2368),
    [sym_preproc_directive] = STATE(682),
    [sym_pragma] = STATE(639),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1300),
    [anon_sym_event] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_next] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_fallthrough] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_add] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(1316),
    [anon_sym_local] = ACTIONS(1318),
    [anon_sym_when] = ACTIONS(1320),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1324),
    [anon_sym_ATload] = ACTIONS(1326),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1328),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1330),
    [anon_sym_ATunload] = ACTIONS(1328),
    [anon_sym_ATprefixes] = ACTIONS(1332),
    [anon_sym_ATif] = ACTIONS(1334),
    [anon_sym_ATifdef] = ACTIONS(1336),
    [anon_sym_ATifndef] = ACTIONS(1336),
    [anon_sym_ATendif] = ACTIONS(1338),
    [anon_sym_ATelse] = ACTIONS(1338),
    [anon_sym_ATpragma] = ACTIONS(1340),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [177] = {
    [sym_stmt] = STATE(392),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [178] = {
    [sym_stmt] = STATE(396),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [179] = {
    [sym_stmt] = STATE(397),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [180] = {
    [sym_stmt] = STATE(399),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [181] = {
    [sym_stmt] = STATE(401),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [182] = {
    [sym_stmt] = STATE(403),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [183] = {
    [sym_stmt] = STATE(770),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(776),
    [sym_pragma] = STATE(815),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(598),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(602),
    [anon_sym_ATload] = ACTIONS(604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(608),
    [anon_sym_ATunload] = ACTIONS(606),
    [anon_sym_ATprefixes] = ACTIONS(610),
    [anon_sym_ATif] = ACTIONS(612),
    [anon_sym_ATifdef] = ACTIONS(614),
    [anon_sym_ATifndef] = ACTIONS(614),
    [anon_sym_ATendif] = ACTIONS(616),
    [anon_sym_ATelse] = ACTIONS(616),
    [anon_sym_ATpragma] = ACTIONS(618),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [184] = {
    [sym_initializer] = STATE(1680),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2326),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [185] = {
    [sym_stmt] = STATE(765),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [186] = {
    [sym_initializer] = STATE(1742),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2625),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [187] = {
    [sym_initializer] = STATE(1745),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2627),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [188] = {
    [sym_initializer] = STATE(1746),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2629),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [189] = {
    [sym_stmt] = STATE(663),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2411),
    [sym_preproc_directive] = STATE(734),
    [sym_pragma] = STATE(640),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_const] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1008),
    [anon_sym_event] = ACTIONS(1010),
    [anon_sym_if] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fallthrough] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_add] = ACTIONS(1024),
    [anon_sym_delete] = ACTIONS(1024),
    [anon_sym_local] = ACTIONS(1026),
    [anon_sym_when] = ACTIONS(1028),
    [anon_sym_assert] = ACTIONS(1030),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1032),
    [anon_sym_ATload] = ACTIONS(1034),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1036),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1038),
    [anon_sym_ATunload] = ACTIONS(1036),
    [anon_sym_ATprefixes] = ACTIONS(1040),
    [anon_sym_ATif] = ACTIONS(1042),
    [anon_sym_ATifdef] = ACTIONS(1044),
    [anon_sym_ATifndef] = ACTIONS(1044),
    [anon_sym_ATendif] = ACTIONS(1046),
    [anon_sym_ATelse] = ACTIONS(1046),
    [anon_sym_ATpragma] = ACTIONS(1048),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [190] = {
    [sym_initializer] = STATE(1748),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2635),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [191] = {
    [sym_stmt] = STATE(665),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [192] = {
    [sym_initializer] = STATE(1765),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2667),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [193] = {
    [sym_stmt] = STATE(672),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [194] = {
    [sym_initializer] = STATE(1769),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2791),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [195] = {
    [sym_stmt] = STATE(673),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [196] = {
    [sym_initializer] = STATE(1702),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2422),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [197] = {
    [sym_stmt] = STATE(591),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [198] = {
    [sym_initializer] = STATE(1663),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2655),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [199] = {
    [sym_stmt] = STATE(593),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [200] = {
    [sym_initializer] = STATE(1756),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2658),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [201] = {
    [sym_stmt] = STATE(596),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [202] = {
    [sym_stmt] = STATE(598),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [203] = {
    [sym_stmt] = STATE(783),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [204] = {
    [sym_stmt] = STATE(666),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2411),
    [sym_preproc_directive] = STATE(734),
    [sym_pragma] = STATE(640),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_const] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1008),
    [anon_sym_event] = ACTIONS(1010),
    [anon_sym_if] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fallthrough] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_add] = ACTIONS(1024),
    [anon_sym_delete] = ACTIONS(1024),
    [anon_sym_local] = ACTIONS(1026),
    [anon_sym_when] = ACTIONS(1028),
    [anon_sym_assert] = ACTIONS(1030),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1032),
    [anon_sym_ATload] = ACTIONS(1034),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1036),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1038),
    [anon_sym_ATunload] = ACTIONS(1036),
    [anon_sym_ATprefixes] = ACTIONS(1040),
    [anon_sym_ATif] = ACTIONS(1042),
    [anon_sym_ATifdef] = ACTIONS(1044),
    [anon_sym_ATifndef] = ACTIONS(1044),
    [anon_sym_ATendif] = ACTIONS(1046),
    [anon_sym_ATelse] = ACTIONS(1046),
    [anon_sym_ATpragma] = ACTIONS(1048),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [205] = {
    [sym_initializer] = STATE(1631),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2343),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [206] = {
    [sym_stmt] = STATE(628),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [207] = {
    [sym_initializer] = STATE(1660),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2377),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [208] = {
    [sym_stmt] = STATE(630),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [209] = {
    [sym_stmt] = STATE(631),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [210] = {
    [sym_stmt] = STATE(604),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [211] = {
    [sym_stmt] = STATE(646),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2411),
    [sym_preproc_directive] = STATE(734),
    [sym_pragma] = STATE(640),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_const] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1008),
    [anon_sym_event] = ACTIONS(1010),
    [anon_sym_if] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fallthrough] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_add] = ACTIONS(1024),
    [anon_sym_delete] = ACTIONS(1024),
    [anon_sym_local] = ACTIONS(1026),
    [anon_sym_when] = ACTIONS(1028),
    [anon_sym_assert] = ACTIONS(1030),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1032),
    [anon_sym_ATload] = ACTIONS(1034),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1036),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1038),
    [anon_sym_ATunload] = ACTIONS(1036),
    [anon_sym_ATprefixes] = ACTIONS(1040),
    [anon_sym_ATif] = ACTIONS(1042),
    [anon_sym_ATifdef] = ACTIONS(1044),
    [anon_sym_ATifndef] = ACTIONS(1044),
    [anon_sym_ATendif] = ACTIONS(1046),
    [anon_sym_ATelse] = ACTIONS(1046),
    [anon_sym_ATpragma] = ACTIONS(1048),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [212] = {
    [sym_stmt] = STATE(466),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [213] = {
    [sym_initializer] = STATE(1755),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2760),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [214] = {
    [sym_stmt] = STATE(436),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [215] = {
    [sym_stmt] = STATE(459),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [216] = {
    [sym_stmt] = STATE(710),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [217] = {
    [sym_stmt] = STATE(795),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [218] = {
    [sym_stmt] = STATE(796),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [219] = {
    [sym_initializer] = STATE(1645),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2624),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [220] = {
    [sym_stmt] = STATE(801),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [221] = {
    [sym_stmt] = STATE(489),
    [sym_expr] = STATE(1425),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2496),
    [sym_preproc_directive] = STATE(479),
    [sym_pragma] = STATE(456),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1204),
    [anon_sym_event] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_next] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_fallthrough] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_add] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_local] = ACTIONS(1222),
    [anon_sym_when] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1226),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1228),
    [anon_sym_ATload] = ACTIONS(1230),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1232),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1234),
    [anon_sym_ATunload] = ACTIONS(1232),
    [anon_sym_ATprefixes] = ACTIONS(1236),
    [anon_sym_ATif] = ACTIONS(1238),
    [anon_sym_ATifdef] = ACTIONS(1240),
    [anon_sym_ATifndef] = ACTIONS(1240),
    [anon_sym_ATendif] = ACTIONS(1242),
    [anon_sym_ATelse] = ACTIONS(1242),
    [anon_sym_ATpragma] = ACTIONS(1244),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [222] = {
    [sym_initializer] = STATE(1693),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2217),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [223] = {
    [sym_stmt] = STATE(425),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [224] = {
    [sym_initializer] = STATE(1694),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2263),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [225] = {
    [sym_stmt] = STATE(426),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [226] = {
    [sym_stmt] = STATE(427),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [227] = {
    [sym_stmt] = STATE(809),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(776),
    [sym_pragma] = STATE(815),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(598),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(602),
    [anon_sym_ATload] = ACTIONS(604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(608),
    [anon_sym_ATunload] = ACTIONS(606),
    [anon_sym_ATprefixes] = ACTIONS(610),
    [anon_sym_ATif] = ACTIONS(612),
    [anon_sym_ATifdef] = ACTIONS(614),
    [anon_sym_ATifndef] = ACTIONS(614),
    [anon_sym_ATendif] = ACTIONS(616),
    [anon_sym_ATelse] = ACTIONS(616),
    [anon_sym_ATpragma] = ACTIONS(618),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [228] = {
    [sym_stmt] = STATE(804),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [229] = {
    [sym_stmt] = STATE(807),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [230] = {
    [sym_stmt] = STATE(812),
    [sym_expr] = STATE(1551),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2273),
    [sym_preproc_directive] = STATE(781),
    [sym_pragma] = STATE(784),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(488),
    [anon_sym_const] = ACTIONS(270),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(272),
    [anon_sym_event] = ACTIONS(274),
    [anon_sym_if] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(278),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(282),
    [anon_sym_next] = ACTIONS(284),
    [anon_sym_break] = ACTIONS(284),
    [anon_sym_fallthrough] = ACTIONS(284),
    [anon_sym_return] = ACTIONS(286),
    [anon_sym_add] = ACTIONS(288),
    [anon_sym_delete] = ACTIONS(288),
    [anon_sym_local] = ACTIONS(290),
    [anon_sym_when] = ACTIONS(292),
    [anon_sym_assert] = ACTIONS(294),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(296),
    [anon_sym_ATload] = ACTIONS(298),
    [anon_sym_ATload_DASHsigs] = ACTIONS(300),
    [anon_sym_ATload_DASHplugin] = ACTIONS(302),
    [anon_sym_ATunload] = ACTIONS(300),
    [anon_sym_ATprefixes] = ACTIONS(304),
    [anon_sym_ATif] = ACTIONS(306),
    [anon_sym_ATifdef] = ACTIONS(308),
    [anon_sym_ATifndef] = ACTIONS(308),
    [anon_sym_ATendif] = ACTIONS(310),
    [anon_sym_ATelse] = ACTIONS(310),
    [anon_sym_ATpragma] = ACTIONS(312),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [231] = {
    [sym_stmt] = STATE(816),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(776),
    [sym_pragma] = STATE(815),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(598),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(602),
    [anon_sym_ATload] = ACTIONS(604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(608),
    [anon_sym_ATunload] = ACTIONS(606),
    [anon_sym_ATprefixes] = ACTIONS(610),
    [anon_sym_ATif] = ACTIONS(612),
    [anon_sym_ATifdef] = ACTIONS(614),
    [anon_sym_ATifndef] = ACTIONS(614),
    [anon_sym_ATendif] = ACTIONS(616),
    [anon_sym_ATelse] = ACTIONS(616),
    [anon_sym_ATpragma] = ACTIONS(618),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [232] = {
    [sym_stmt] = STATE(580),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [233] = {
    [sym_initializer] = STATE(1710),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2777),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [234] = {
    [sym_initializer] = STATE(1723),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2789),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [235] = {
    [sym_stmt] = STATE(760),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [236] = {
    [sym_initializer] = STATE(1649),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2232),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [237] = {
    [sym_stmt] = STATE(697),
    [sym_expr] = STATE(1341),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2368),
    [sym_preproc_directive] = STATE(682),
    [sym_pragma] = STATE(639),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1300),
    [anon_sym_event] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_next] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_fallthrough] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_add] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(1316),
    [anon_sym_local] = ACTIONS(1318),
    [anon_sym_when] = ACTIONS(1320),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1324),
    [anon_sym_ATload] = ACTIONS(1326),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1328),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1330),
    [anon_sym_ATunload] = ACTIONS(1328),
    [anon_sym_ATprefixes] = ACTIONS(1332),
    [anon_sym_ATif] = ACTIONS(1334),
    [anon_sym_ATifdef] = ACTIONS(1336),
    [anon_sym_ATifndef] = ACTIONS(1336),
    [anon_sym_ATendif] = ACTIONS(1338),
    [anon_sym_ATelse] = ACTIONS(1338),
    [anon_sym_ATpragma] = ACTIONS(1340),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [238] = {
    [sym_stmt] = STATE(581),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [239] = {
    [sym_initializer] = STATE(1774),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2261),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [240] = {
    [sym_initializer] = STATE(1704),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2276),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [241] = {
    [sym_stmt] = STATE(705),
    [sym_expr] = STATE(1341),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2368),
    [sym_preproc_directive] = STATE(682),
    [sym_pragma] = STATE(639),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1300),
    [anon_sym_event] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_next] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_fallthrough] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_add] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(1316),
    [anon_sym_local] = ACTIONS(1318),
    [anon_sym_when] = ACTIONS(1320),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1324),
    [anon_sym_ATload] = ACTIONS(1326),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1328),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1330),
    [anon_sym_ATunload] = ACTIONS(1328),
    [anon_sym_ATprefixes] = ACTIONS(1332),
    [anon_sym_ATif] = ACTIONS(1334),
    [anon_sym_ATifdef] = ACTIONS(1336),
    [anon_sym_ATifndef] = ACTIONS(1336),
    [anon_sym_ATendif] = ACTIONS(1338),
    [anon_sym_ATelse] = ACTIONS(1338),
    [anon_sym_ATpragma] = ACTIONS(1340),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [242] = {
    [sym_stmt] = STATE(468),
    [sym_expr] = STATE(1425),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2496),
    [sym_preproc_directive] = STATE(479),
    [sym_pragma] = STATE(456),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1204),
    [anon_sym_event] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_next] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_fallthrough] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_add] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_local] = ACTIONS(1222),
    [anon_sym_when] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1226),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1228),
    [anon_sym_ATload] = ACTIONS(1230),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1232),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1234),
    [anon_sym_ATunload] = ACTIONS(1232),
    [anon_sym_ATprefixes] = ACTIONS(1236),
    [anon_sym_ATif] = ACTIONS(1238),
    [anon_sym_ATifdef] = ACTIONS(1240),
    [anon_sym_ATifndef] = ACTIONS(1240),
    [anon_sym_ATendif] = ACTIONS(1242),
    [anon_sym_ATelse] = ACTIONS(1242),
    [anon_sym_ATpragma] = ACTIONS(1244),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [243] = {
    [sym_initializer] = STATE(1633),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2440),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [244] = {
    [sym_initializer] = STATE(1639),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2462),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [245] = {
    [sym_stmt] = STATE(706),
    [sym_expr] = STATE(1341),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2368),
    [sym_preproc_directive] = STATE(682),
    [sym_pragma] = STATE(639),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1300),
    [anon_sym_event] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_next] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_fallthrough] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_add] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(1316),
    [anon_sym_local] = ACTIONS(1318),
    [anon_sym_when] = ACTIONS(1320),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1324),
    [anon_sym_ATload] = ACTIONS(1326),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1328),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1330),
    [anon_sym_ATunload] = ACTIONS(1328),
    [anon_sym_ATprefixes] = ACTIONS(1332),
    [anon_sym_ATif] = ACTIONS(1334),
    [anon_sym_ATifdef] = ACTIONS(1336),
    [anon_sym_ATifndef] = ACTIONS(1336),
    [anon_sym_ATendif] = ACTIONS(1338),
    [anon_sym_ATelse] = ACTIONS(1338),
    [anon_sym_ATpragma] = ACTIONS(1340),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [246] = {
    [sym_stmt] = STATE(709),
    [sym_expr] = STATE(1341),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2368),
    [sym_preproc_directive] = STATE(682),
    [sym_pragma] = STATE(639),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1300),
    [anon_sym_event] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_next] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_fallthrough] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_add] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(1316),
    [anon_sym_local] = ACTIONS(1318),
    [anon_sym_when] = ACTIONS(1320),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1324),
    [anon_sym_ATload] = ACTIONS(1326),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1328),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1330),
    [anon_sym_ATunload] = ACTIONS(1328),
    [anon_sym_ATprefixes] = ACTIONS(1332),
    [anon_sym_ATif] = ACTIONS(1334),
    [anon_sym_ATifdef] = ACTIONS(1336),
    [anon_sym_ATifndef] = ACTIONS(1336),
    [anon_sym_ATendif] = ACTIONS(1338),
    [anon_sym_ATelse] = ACTIONS(1338),
    [anon_sym_ATpragma] = ACTIONS(1340),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [247] = {
    [sym_stmt] = STATE(423),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [248] = {
    [sym_initializer] = STATE(1724),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2649),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [249] = {
    [sym_initializer] = STATE(1728),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2651),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [250] = {
    [sym_stmt] = STATE(712),
    [sym_expr] = STATE(1341),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2368),
    [sym_preproc_directive] = STATE(682),
    [sym_pragma] = STATE(639),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1300),
    [anon_sym_event] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_next] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_fallthrough] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_add] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(1316),
    [anon_sym_local] = ACTIONS(1318),
    [anon_sym_when] = ACTIONS(1320),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1324),
    [anon_sym_ATload] = ACTIONS(1326),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1328),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1330),
    [anon_sym_ATunload] = ACTIONS(1328),
    [anon_sym_ATprefixes] = ACTIONS(1332),
    [anon_sym_ATif] = ACTIONS(1334),
    [anon_sym_ATifdef] = ACTIONS(1336),
    [anon_sym_ATifndef] = ACTIONS(1336),
    [anon_sym_ATendif] = ACTIONS(1338),
    [anon_sym_ATelse] = ACTIONS(1338),
    [anon_sym_ATpragma] = ACTIONS(1340),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [251] = {
    [sym_stmt] = STATE(714),
    [sym_expr] = STATE(1341),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2368),
    [sym_preproc_directive] = STATE(682),
    [sym_pragma] = STATE(639),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1300),
    [anon_sym_event] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_next] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_fallthrough] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_add] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(1316),
    [anon_sym_local] = ACTIONS(1318),
    [anon_sym_when] = ACTIONS(1320),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1324),
    [anon_sym_ATload] = ACTIONS(1326),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1328),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1330),
    [anon_sym_ATunload] = ACTIONS(1328),
    [anon_sym_ATprefixes] = ACTIONS(1332),
    [anon_sym_ATif] = ACTIONS(1334),
    [anon_sym_ATifdef] = ACTIONS(1336),
    [anon_sym_ATifndef] = ACTIONS(1336),
    [anon_sym_ATendif] = ACTIONS(1338),
    [anon_sym_ATelse] = ACTIONS(1338),
    [anon_sym_ATpragma] = ACTIONS(1340),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [252] = {
    [sym_stmt] = STATE(717),
    [sym_expr] = STATE(1341),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2368),
    [sym_preproc_directive] = STATE(682),
    [sym_pragma] = STATE(639),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1300),
    [anon_sym_event] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_next] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_fallthrough] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_add] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(1316),
    [anon_sym_local] = ACTIONS(1318),
    [anon_sym_when] = ACTIONS(1320),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1324),
    [anon_sym_ATload] = ACTIONS(1326),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1328),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1330),
    [anon_sym_ATunload] = ACTIONS(1328),
    [anon_sym_ATprefixes] = ACTIONS(1332),
    [anon_sym_ATif] = ACTIONS(1334),
    [anon_sym_ATifdef] = ACTIONS(1336),
    [anon_sym_ATifndef] = ACTIONS(1336),
    [anon_sym_ATendif] = ACTIONS(1338),
    [anon_sym_ATelse] = ACTIONS(1338),
    [anon_sym_ATpragma] = ACTIONS(1340),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [253] = {
    [sym_stmt] = STATE(424),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [254] = {
    [sym_initializer] = STATE(1779),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2353),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [255] = {
    [sym_initializer] = STATE(1630),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2404),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [256] = {
    [sym_stmt] = STATE(780),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(776),
    [sym_pragma] = STATE(815),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(598),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(602),
    [anon_sym_ATload] = ACTIONS(604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(608),
    [anon_sym_ATunload] = ACTIONS(606),
    [anon_sym_ATprefixes] = ACTIONS(610),
    [anon_sym_ATif] = ACTIONS(612),
    [anon_sym_ATifdef] = ACTIONS(614),
    [anon_sym_ATifndef] = ACTIONS(614),
    [anon_sym_ATendif] = ACTIONS(616),
    [anon_sym_ATelse] = ACTIONS(616),
    [anon_sym_ATpragma] = ACTIONS(618),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [257] = {
    [sym_initializer] = STATE(1655),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2245),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [258] = {
    [sym_stmt] = STATE(750),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [259] = {
    [sym_stmt] = STATE(755),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [260] = {
    [sym_stmt] = STATE(756),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [261] = {
    [sym_stmt] = STATE(759),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [262] = {
    [sym_initializer] = STATE(1677),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2676),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [263] = {
    [sym_initializer] = STATE(1684),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2690),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [264] = {
    [sym_stmt] = STATE(762),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [265] = {
    [sym_stmt] = STATE(730),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [266] = {
    [sym_stmt] = STATE(747),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [267] = {
    [sym_stmt] = STATE(774),
    [sym_expr] = STATE(1405),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2670),
    [sym_preproc_directive] = STATE(776),
    [sym_pragma] = STATE(815),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(598),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(602),
    [anon_sym_ATload] = ACTIONS(604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(608),
    [anon_sym_ATunload] = ACTIONS(606),
    [anon_sym_ATprefixes] = ACTIONS(610),
    [anon_sym_ATif] = ACTIONS(612),
    [anon_sym_ATifdef] = ACTIONS(614),
    [anon_sym_ATifndef] = ACTIONS(614),
    [anon_sym_ATendif] = ACTIONS(616),
    [anon_sym_ATelse] = ACTIONS(616),
    [anon_sym_ATpragma] = ACTIONS(618),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [268] = {
    [sym_stmt] = STATE(664),
    [sym_expr] = STATE(1341),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2368),
    [sym_preproc_directive] = STATE(682),
    [sym_pragma] = STATE(639),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1300),
    [anon_sym_event] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_next] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_fallthrough] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_add] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(1316),
    [anon_sym_local] = ACTIONS(1318),
    [anon_sym_when] = ACTIONS(1320),
    [anon_sym_assert] = ACTIONS(1322),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1324),
    [anon_sym_ATload] = ACTIONS(1326),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1328),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1330),
    [anon_sym_ATunload] = ACTIONS(1328),
    [anon_sym_ATprefixes] = ACTIONS(1332),
    [anon_sym_ATif] = ACTIONS(1334),
    [anon_sym_ATifdef] = ACTIONS(1336),
    [anon_sym_ATifndef] = ACTIONS(1336),
    [anon_sym_ATendif] = ACTIONS(1338),
    [anon_sym_ATelse] = ACTIONS(1338),
    [anon_sym_ATpragma] = ACTIONS(1340),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [269] = {
    [sym_stmt] = STATE(739),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [270] = {
    [sym_stmt] = STATE(740),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [271] = {
    [sym_stmt] = STATE(741),
    [sym_expr] = STATE(1378),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2431),
    [sym_preproc_directive] = STATE(676),
    [sym_pragma] = STATE(669),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1056),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1058),
    [anon_sym_event] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_next] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_fallthrough] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_add] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_local] = ACTIONS(1076),
    [anon_sym_when] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1082),
    [anon_sym_ATload] = ACTIONS(1084),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1086),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1088),
    [anon_sym_ATunload] = ACTIONS(1086),
    [anon_sym_ATprefixes] = ACTIONS(1090),
    [anon_sym_ATif] = ACTIONS(1092),
    [anon_sym_ATifdef] = ACTIONS(1094),
    [anon_sym_ATifndef] = ACTIONS(1094),
    [anon_sym_ATendif] = ACTIONS(1096),
    [anon_sym_ATelse] = ACTIONS(1096),
    [anon_sym_ATpragma] = ACTIONS(1098),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [272] = {
    [sym_stmt] = STATE(617),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [273] = {
    [sym_stmt] = STATE(618),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [274] = {
    [sym_stmt] = STATE(619),
    [sym_expr] = STATE(1399),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2466),
    [sym_preproc_directive] = STATE(584),
    [sym_pragma] = STATE(536),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1108),
    [anon_sym_event] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_next] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_fallthrough] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_add] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_local] = ACTIONS(1126),
    [anon_sym_when] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1132),
    [anon_sym_ATload] = ACTIONS(1134),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1136),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1138),
    [anon_sym_ATunload] = ACTIONS(1136),
    [anon_sym_ATprefixes] = ACTIONS(1140),
    [anon_sym_ATif] = ACTIONS(1142),
    [anon_sym_ATifdef] = ACTIONS(1144),
    [anon_sym_ATifndef] = ACTIONS(1144),
    [anon_sym_ATendif] = ACTIONS(1146),
    [anon_sym_ATelse] = ACTIONS(1146),
    [anon_sym_ATpragma] = ACTIONS(1148),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [275] = {
    [sym_stmt] = STATE(620),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [276] = {
    [sym_stmt] = STATE(621),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [277] = {
    [sym_stmt] = STATE(622),
    [sym_expr] = STATE(1412),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2481),
    [sym_preproc_directive] = STATE(511),
    [sym_pragma] = STATE(544),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1156),
    [anon_sym_event] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_next] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_fallthrough] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_local] = ACTIONS(1174),
    [anon_sym_when] = ACTIONS(1176),
    [anon_sym_assert] = ACTIONS(1178),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1180),
    [anon_sym_ATload] = ACTIONS(1182),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1184),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1186),
    [anon_sym_ATunload] = ACTIONS(1184),
    [anon_sym_ATprefixes] = ACTIONS(1188),
    [anon_sym_ATif] = ACTIONS(1190),
    [anon_sym_ATifdef] = ACTIONS(1192),
    [anon_sym_ATifndef] = ACTIONS(1192),
    [anon_sym_ATendif] = ACTIONS(1194),
    [anon_sym_ATelse] = ACTIONS(1194),
    [anon_sym_ATpragma] = ACTIONS(1196),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [278] = {
    [sym_stmt] = STATE(500),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [279] = {
    [sym_stmt] = STATE(501),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [280] = {
    [sym_stmt] = STATE(502),
    [sym_expr] = STATE(1436),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2511),
    [sym_preproc_directive] = STATE(465),
    [sym_pragma] = STATE(446),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1252),
    [anon_sym_event] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_next] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_fallthrough] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_add] = ACTIONS(1268),
    [anon_sym_delete] = ACTIONS(1268),
    [anon_sym_local] = ACTIONS(1270),
    [anon_sym_when] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1274),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1276),
    [anon_sym_ATload] = ACTIONS(1278),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1280),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1282),
    [anon_sym_ATunload] = ACTIONS(1280),
    [anon_sym_ATprefixes] = ACTIONS(1284),
    [anon_sym_ATif] = ACTIONS(1286),
    [anon_sym_ATifdef] = ACTIONS(1288),
    [anon_sym_ATifndef] = ACTIONS(1288),
    [anon_sym_ATendif] = ACTIONS(1290),
    [anon_sym_ATelse] = ACTIONS(1290),
    [anon_sym_ATpragma] = ACTIONS(1292),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [281] = {
    [sym_stmt] = STATE(428),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [282] = {
    [sym_stmt] = STATE(429),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [283] = {
    [sym_stmt] = STATE(430),
    [sym_expr] = STATE(1448),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2526),
    [sym_preproc_directive] = STATE(415),
    [sym_pragma] = STATE(412),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(960),
    [anon_sym_event] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_next] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_fallthrough] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_add] = ACTIONS(976),
    [anon_sym_delete] = ACTIONS(976),
    [anon_sym_local] = ACTIONS(978),
    [anon_sym_when] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(984),
    [anon_sym_ATload] = ACTIONS(986),
    [anon_sym_ATload_DASHsigs] = ACTIONS(988),
    [anon_sym_ATload_DASHplugin] = ACTIONS(990),
    [anon_sym_ATunload] = ACTIONS(988),
    [anon_sym_ATprefixes] = ACTIONS(992),
    [anon_sym_ATif] = ACTIONS(994),
    [anon_sym_ATifdef] = ACTIONS(996),
    [anon_sym_ATifndef] = ACTIONS(996),
    [anon_sym_ATendif] = ACTIONS(998),
    [anon_sym_ATelse] = ACTIONS(998),
    [anon_sym_ATpragma] = ACTIONS(1000),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [284] = {
    [sym_stmt] = STATE(736),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [285] = {
    [sym_stmt] = STATE(737),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [286] = {
    [sym_stmt] = STATE(738),
    [sym_expr] = STATE(1354),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2391),
    [sym_preproc_directive] = STATE(721),
    [sym_pragma] = STATE(670),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1350),
    [anon_sym_event] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_next] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_fallthrough] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_add] = ACTIONS(1366),
    [anon_sym_delete] = ACTIONS(1366),
    [anon_sym_local] = ACTIONS(1368),
    [anon_sym_when] = ACTIONS(1370),
    [anon_sym_assert] = ACTIONS(1372),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1374),
    [anon_sym_ATload] = ACTIONS(1376),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1378),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1380),
    [anon_sym_ATunload] = ACTIONS(1378),
    [anon_sym_ATprefixes] = ACTIONS(1382),
    [anon_sym_ATif] = ACTIONS(1384),
    [anon_sym_ATifdef] = ACTIONS(1386),
    [anon_sym_ATifndef] = ACTIONS(1386),
    [anon_sym_ATendif] = ACTIONS(1388),
    [anon_sym_ATelse] = ACTIONS(1388),
    [anon_sym_ATpragma] = ACTIONS(1390),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [287] = {
    [sym_stmt] = STATE(687),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1286),
    [sym_index_slice] = STATE(2411),
    [sym_preproc_directive] = STATE(734),
    [sym_pragma] = STATE(640),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_const] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1008),
    [anon_sym_event] = ACTIONS(1010),
    [anon_sym_if] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_fallthrough] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_add] = ACTIONS(1024),
    [anon_sym_delete] = ACTIONS(1024),
    [anon_sym_local] = ACTIONS(1026),
    [anon_sym_when] = ACTIONS(1028),
    [anon_sym_assert] = ACTIONS(1030),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1032),
    [anon_sym_ATload] = ACTIONS(1034),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1036),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1038),
    [anon_sym_ATunload] = ACTIONS(1036),
    [anon_sym_ATprefixes] = ACTIONS(1040),
    [anon_sym_ATif] = ACTIONS(1042),
    [anon_sym_ATifdef] = ACTIONS(1044),
    [anon_sym_ATifndef] = ACTIONS(1044),
    [anon_sym_ATendif] = ACTIONS(1046),
    [anon_sym_ATelse] = ACTIONS(1046),
    [anon_sym_ATpragma] = ACTIONS(1048),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [288] = {
    [sym_initializer] = STATE(1754),
    [sym_init_class] = STATE(955),
    [sym_attr_list] = STATE(2728),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(872),
    [sym_constant] = STATE(312),
    [sym_string_directive] = STATE(299),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(304),
    [sym_string] = STATE(304),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_local] = ACTIONS(778),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_table] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [anon_sym_vector] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_hook] = ACTIONS(786),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(794),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_copy] = ACTIONS(802),
    [anon_sym_schedule] = ACTIONS(804),
    [aux_sym_constant_token1] = ACTIONS(806),
    [anon_sym_T] = ACTIONS(808),
    [anon_sym_F] = ACTIONS(808),
    [anon_sym_ATDIR] = ACTIONS(810),
    [anon_sym_ATFILENAME] = ACTIONS(810),
    [sym_id] = ACTIONS(812),
    [sym_pattern] = ACTIONS(814),
    [sym_ipv6] = ACTIONS(816),
    [sym_ipv4] = ACTIONS(816),
    [sym_port] = ACTIONS(818),
    [sym_floatp] = ACTIONS(820),
    [sym_hex] = ACTIONS(808),
    [sym_hostname] = ACTIONS(808),
    [aux_sym_string_token1] = ACTIONS(822),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [289] = {
    [anon_sym_SEMI] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_PLUS_EQ] = ACTIONS(1452),
    [anon_sym_DASH_EQ] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_RPAREN] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACK] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1454),
    [anon_sym_as] = ACTIONS(1452),
    [anon_sym_AMPdeprecated] = ACTIONS(1452),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1452),
    [anon_sym_AMPerror_handler] = ACTIONS(1452),
    [anon_sym_AMPis_assigned] = ACTIONS(1452),
    [anon_sym_AMPis_used] = ACTIONS(1452),
    [anon_sym_AMPlog] = ACTIONS(1452),
    [anon_sym_AMPoptional] = ACTIONS(1452),
    [anon_sym_AMPordered] = ACTIONS(1452),
    [anon_sym_AMPraw_output] = ACTIONS(1452),
    [anon_sym_AMPredef] = ACTIONS(1452),
    [anon_sym_AMPadd_func] = ACTIONS(1452),
    [anon_sym_AMPbackend] = ACTIONS(1452),
    [anon_sym_AMPbroker_store] = ACTIONS(1452),
    [anon_sym_AMPcreate_expire] = ACTIONS(1452),
    [anon_sym_AMPdefault] = ACTIONS(1452),
    [anon_sym_AMPdelete_func] = ACTIONS(1452),
    [anon_sym_AMPexpire_func] = ACTIONS(1452),
    [anon_sym_AMPgroup] = ACTIONS(1452),
    [anon_sym_AMPon_change] = ACTIONS(1452),
    [anon_sym_AMPpriority] = ACTIONS(1452),
    [anon_sym_AMPread_expire] = ACTIONS(1452),
    [anon_sym_AMPtype_column] = ACTIONS(1452),
    [anon_sym_AMPwrite_expire] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_is] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1452),
    [anon_sym_ATdeprecated] = ACTIONS(1452),
    [anon_sym_ATload] = ACTIONS(1454),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1452),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1452),
    [anon_sym_ATunload] = ACTIONS(1452),
    [anon_sym_ATprefixes] = ACTIONS(1452),
    [anon_sym_ATif] = ACTIONS(1454),
    [anon_sym_ATifdef] = ACTIONS(1452),
    [anon_sym_ATifndef] = ACTIONS(1452),
    [anon_sym_ATendif] = ACTIONS(1452),
    [anon_sym_ATelse] = ACTIONS(1452),
    [anon_sym_ATpragma] = ACTIONS(1452),
    [sym_time_unit] = ACTIONS(1452),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [290] = {
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1456),
    [anon_sym_PLUS_EQ] = ACTIONS(1456),
    [anon_sym_DASH_EQ] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_RPAREN] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_RBRACK] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_as] = ACTIONS(1456),
    [anon_sym_AMPdeprecated] = ACTIONS(1456),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1456),
    [anon_sym_AMPerror_handler] = ACTIONS(1456),
    [anon_sym_AMPis_assigned] = ACTIONS(1456),
    [anon_sym_AMPis_used] = ACTIONS(1456),
    [anon_sym_AMPlog] = ACTIONS(1456),
    [anon_sym_AMPoptional] = ACTIONS(1456),
    [anon_sym_AMPordered] = ACTIONS(1456),
    [anon_sym_AMPraw_output] = ACTIONS(1456),
    [anon_sym_AMPredef] = ACTIONS(1456),
    [anon_sym_AMPadd_func] = ACTIONS(1456),
    [anon_sym_AMPbackend] = ACTIONS(1456),
    [anon_sym_AMPbroker_store] = ACTIONS(1456),
    [anon_sym_AMPcreate_expire] = ACTIONS(1456),
    [anon_sym_AMPdefault] = ACTIONS(1456),
    [anon_sym_AMPdelete_func] = ACTIONS(1456),
    [anon_sym_AMPexpire_func] = ACTIONS(1456),
    [anon_sym_AMPgroup] = ACTIONS(1456),
    [anon_sym_AMPon_change] = ACTIONS(1456),
    [anon_sym_AMPpriority] = ACTIONS(1456),
    [anon_sym_AMPread_expire] = ACTIONS(1456),
    [anon_sym_AMPtype_column] = ACTIONS(1456),
    [anon_sym_AMPwrite_expire] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_is] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_QMARK] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1456),
    [anon_sym_ATdeprecated] = ACTIONS(1456),
    [anon_sym_ATload] = ACTIONS(1458),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1456),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1456),
    [anon_sym_ATunload] = ACTIONS(1456),
    [anon_sym_ATprefixes] = ACTIONS(1456),
    [anon_sym_ATif] = ACTIONS(1458),
    [anon_sym_ATifdef] = ACTIONS(1456),
    [anon_sym_ATifndef] = ACTIONS(1456),
    [anon_sym_ATendif] = ACTIONS(1456),
    [anon_sym_ATelse] = ACTIONS(1456),
    [anon_sym_ATpragma] = ACTIONS(1456),
    [sym_time_unit] = ACTIONS(1460),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [291] = {
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1456),
    [anon_sym_PLUS_EQ] = ACTIONS(1456),
    [anon_sym_DASH_EQ] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_RPAREN] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_RBRACK] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_as] = ACTIONS(1456),
    [anon_sym_AMPdeprecated] = ACTIONS(1456),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1456),
    [anon_sym_AMPerror_handler] = ACTIONS(1456),
    [anon_sym_AMPis_assigned] = ACTIONS(1456),
    [anon_sym_AMPis_used] = ACTIONS(1456),
    [anon_sym_AMPlog] = ACTIONS(1456),
    [anon_sym_AMPoptional] = ACTIONS(1456),
    [anon_sym_AMPordered] = ACTIONS(1456),
    [anon_sym_AMPraw_output] = ACTIONS(1456),
    [anon_sym_AMPredef] = ACTIONS(1456),
    [anon_sym_AMPadd_func] = ACTIONS(1456),
    [anon_sym_AMPbackend] = ACTIONS(1456),
    [anon_sym_AMPbroker_store] = ACTIONS(1456),
    [anon_sym_AMPcreate_expire] = ACTIONS(1456),
    [anon_sym_AMPdefault] = ACTIONS(1456),
    [anon_sym_AMPdelete_func] = ACTIONS(1456),
    [anon_sym_AMPexpire_func] = ACTIONS(1456),
    [anon_sym_AMPgroup] = ACTIONS(1456),
    [anon_sym_AMPon_change] = ACTIONS(1456),
    [anon_sym_AMPpriority] = ACTIONS(1456),
    [anon_sym_AMPread_expire] = ACTIONS(1456),
    [anon_sym_AMPtype_column] = ACTIONS(1456),
    [anon_sym_AMPwrite_expire] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_is] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_QMARK] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1456),
    [anon_sym_ATdeprecated] = ACTIONS(1456),
    [anon_sym_ATload] = ACTIONS(1458),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1456),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1456),
    [anon_sym_ATunload] = ACTIONS(1456),
    [anon_sym_ATprefixes] = ACTIONS(1456),
    [anon_sym_ATif] = ACTIONS(1458),
    [anon_sym_ATifdef] = ACTIONS(1456),
    [anon_sym_ATifndef] = ACTIONS(1456),
    [anon_sym_ATendif] = ACTIONS(1456),
    [anon_sym_ATelse] = ACTIONS(1456),
    [anon_sym_ATpragma] = ACTIONS(1456),
    [sym_time_unit] = ACTIONS(1460),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [292] = {
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_PLUS_EQ] = ACTIONS(1462),
    [anon_sym_DASH_EQ] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [anon_sym_RPAREN] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_RBRACK] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_as] = ACTIONS(1462),
    [anon_sym_AMPdeprecated] = ACTIONS(1462),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1462),
    [anon_sym_AMPerror_handler] = ACTIONS(1462),
    [anon_sym_AMPis_assigned] = ACTIONS(1462),
    [anon_sym_AMPis_used] = ACTIONS(1462),
    [anon_sym_AMPlog] = ACTIONS(1462),
    [anon_sym_AMPoptional] = ACTIONS(1462),
    [anon_sym_AMPordered] = ACTIONS(1462),
    [anon_sym_AMPraw_output] = ACTIONS(1462),
    [anon_sym_AMPredef] = ACTIONS(1462),
    [anon_sym_AMPadd_func] = ACTIONS(1462),
    [anon_sym_AMPbackend] = ACTIONS(1462),
    [anon_sym_AMPbroker_store] = ACTIONS(1462),
    [anon_sym_AMPcreate_expire] = ACTIONS(1462),
    [anon_sym_AMPdefault] = ACTIONS(1462),
    [anon_sym_AMPdelete_func] = ACTIONS(1462),
    [anon_sym_AMPexpire_func] = ACTIONS(1462),
    [anon_sym_AMPgroup] = ACTIONS(1462),
    [anon_sym_AMPon_change] = ACTIONS(1462),
    [anon_sym_AMPpriority] = ACTIONS(1462),
    [anon_sym_AMPread_expire] = ACTIONS(1462),
    [anon_sym_AMPtype_column] = ACTIONS(1462),
    [anon_sym_AMPwrite_expire] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_is] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_EQ_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_AMP_AMP] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1462),
    [anon_sym_ATdeprecated] = ACTIONS(1462),
    [anon_sym_ATload] = ACTIONS(1464),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1462),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1462),
    [anon_sym_ATunload] = ACTIONS(1462),
    [anon_sym_ATprefixes] = ACTIONS(1462),
    [anon_sym_ATif] = ACTIONS(1464),
    [anon_sym_ATifdef] = ACTIONS(1462),
    [anon_sym_ATifndef] = ACTIONS(1462),
    [anon_sym_ATendif] = ACTIONS(1462),
    [anon_sym_ATelse] = ACTIONS(1462),
    [anon_sym_ATpragma] = ACTIONS(1462),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [293] = {
    [anon_sym_SEMI] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_RBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(586),
    [anon_sym_DASH_EQ] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_in] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(586),
    [anon_sym_RBRACK] = ACTIONS(586),
    [anon_sym_EQ] = ACTIONS(588),
    [anon_sym_as] = ACTIONS(586),
    [anon_sym_AMPdeprecated] = ACTIONS(586),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(586),
    [anon_sym_AMPerror_handler] = ACTIONS(586),
    [anon_sym_AMPis_assigned] = ACTIONS(586),
    [anon_sym_AMPis_used] = ACTIONS(586),
    [anon_sym_AMPlog] = ACTIONS(586),
    [anon_sym_AMPoptional] = ACTIONS(586),
    [anon_sym_AMPordered] = ACTIONS(586),
    [anon_sym_AMPraw_output] = ACTIONS(586),
    [anon_sym_AMPredef] = ACTIONS(586),
    [anon_sym_AMPadd_func] = ACTIONS(586),
    [anon_sym_AMPbackend] = ACTIONS(586),
    [anon_sym_AMPbroker_store] = ACTIONS(586),
    [anon_sym_AMPcreate_expire] = ACTIONS(586),
    [anon_sym_AMPdefault] = ACTIONS(586),
    [anon_sym_AMPdelete_func] = ACTIONS(586),
    [anon_sym_AMPexpire_func] = ACTIONS(586),
    [anon_sym_AMPgroup] = ACTIONS(586),
    [anon_sym_AMPon_change] = ACTIONS(586),
    [anon_sym_AMPpriority] = ACTIONS(586),
    [anon_sym_AMPread_expire] = ACTIONS(586),
    [anon_sym_AMPtype_column] = ACTIONS(586),
    [anon_sym_AMPwrite_expire] = ACTIONS(586),
    [anon_sym_DOLLAR] = ACTIONS(586),
    [anon_sym_PIPE] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_is] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(586),
    [anon_sym_PERCENT] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(588),
    [anon_sym_LT_EQ] = ACTIONS(586),
    [anon_sym_GT] = ACTIONS(588),
    [anon_sym_GT_EQ] = ACTIONS(586),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_CARET] = ACTIONS(586),
    [anon_sym_QMARK] = ACTIONS(588),
    [anon_sym_EQ_EQ] = ACTIONS(586),
    [anon_sym_BANG_EQ] = ACTIONS(586),
    [anon_sym_AMP_AMP] = ACTIONS(586),
    [anon_sym_PIPE_PIPE] = ACTIONS(586),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(586),
    [anon_sym_ATdeprecated] = ACTIONS(586),
    [anon_sym_ATload] = ACTIONS(588),
    [anon_sym_ATload_DASHsigs] = ACTIONS(586),
    [anon_sym_ATload_DASHplugin] = ACTIONS(586),
    [anon_sym_ATunload] = ACTIONS(586),
    [anon_sym_ATprefixes] = ACTIONS(586),
    [anon_sym_ATif] = ACTIONS(588),
    [anon_sym_ATifdef] = ACTIONS(586),
    [anon_sym_ATifndef] = ACTIONS(586),
    [anon_sym_ATendif] = ACTIONS(586),
    [anon_sym_ATelse] = ACTIONS(586),
    [anon_sym_ATpragma] = ACTIONS(586),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [294] = {
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_PLUS_EQ] = ACTIONS(1466),
    [anon_sym_DASH_EQ] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [anon_sym_RPAREN] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [anon_sym_in] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_RBRACK] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_as] = ACTIONS(1466),
    [anon_sym_AMPdeprecated] = ACTIONS(1466),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1466),
    [anon_sym_AMPerror_handler] = ACTIONS(1466),
    [anon_sym_AMPis_assigned] = ACTIONS(1466),
    [anon_sym_AMPis_used] = ACTIONS(1466),
    [anon_sym_AMPlog] = ACTIONS(1466),
    [anon_sym_AMPoptional] = ACTIONS(1466),
    [anon_sym_AMPordered] = ACTIONS(1466),
    [anon_sym_AMPraw_output] = ACTIONS(1466),
    [anon_sym_AMPredef] = ACTIONS(1466),
    [anon_sym_AMPadd_func] = ACTIONS(1466),
    [anon_sym_AMPbackend] = ACTIONS(1466),
    [anon_sym_AMPbroker_store] = ACTIONS(1466),
    [anon_sym_AMPcreate_expire] = ACTIONS(1466),
    [anon_sym_AMPdefault] = ACTIONS(1466),
    [anon_sym_AMPdelete_func] = ACTIONS(1466),
    [anon_sym_AMPexpire_func] = ACTIONS(1466),
    [anon_sym_AMPgroup] = ACTIONS(1466),
    [anon_sym_AMPon_change] = ACTIONS(1466),
    [anon_sym_AMPpriority] = ACTIONS(1466),
    [anon_sym_AMPread_expire] = ACTIONS(1466),
    [anon_sym_AMPtype_column] = ACTIONS(1466),
    [anon_sym_AMPwrite_expire] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_is] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_AMP_AMP] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1466),
    [anon_sym_ATdeprecated] = ACTIONS(1466),
    [anon_sym_ATload] = ACTIONS(1470),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1466),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1466),
    [anon_sym_ATunload] = ACTIONS(1466),
    [anon_sym_ATprefixes] = ACTIONS(1466),
    [anon_sym_ATif] = ACTIONS(1470),
    [anon_sym_ATifdef] = ACTIONS(1466),
    [anon_sym_ATifndef] = ACTIONS(1466),
    [anon_sym_ATendif] = ACTIONS(1466),
    [anon_sym_ATelse] = ACTIONS(1466),
    [anon_sym_ATpragma] = ACTIONS(1466),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [295] = {
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_LBRACE] = ACTIONS(590),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_COLON] = ACTIONS(590),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_RPAREN] = ACTIONS(590),
    [anon_sym_COMMA] = ACTIONS(590),
    [anon_sym_in] = ACTIONS(590),
    [anon_sym_LBRACK] = ACTIONS(590),
    [anon_sym_RBRACK] = ACTIONS(590),
    [anon_sym_EQ] = ACTIONS(592),
    [anon_sym_as] = ACTIONS(590),
    [anon_sym_AMPdeprecated] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(590),
    [anon_sym_AMPerror_handler] = ACTIONS(590),
    [anon_sym_AMPis_assigned] = ACTIONS(590),
    [anon_sym_AMPis_used] = ACTIONS(590),
    [anon_sym_AMPlog] = ACTIONS(590),
    [anon_sym_AMPoptional] = ACTIONS(590),
    [anon_sym_AMPordered] = ACTIONS(590),
    [anon_sym_AMPraw_output] = ACTIONS(590),
    [anon_sym_AMPredef] = ACTIONS(590),
    [anon_sym_AMPadd_func] = ACTIONS(590),
    [anon_sym_AMPbackend] = ACTIONS(590),
    [anon_sym_AMPbroker_store] = ACTIONS(590),
    [anon_sym_AMPcreate_expire] = ACTIONS(590),
    [anon_sym_AMPdefault] = ACTIONS(590),
    [anon_sym_AMPdelete_func] = ACTIONS(590),
    [anon_sym_AMPexpire_func] = ACTIONS(590),
    [anon_sym_AMPgroup] = ACTIONS(590),
    [anon_sym_AMPon_change] = ACTIONS(590),
    [anon_sym_AMPpriority] = ACTIONS(590),
    [anon_sym_AMPread_expire] = ACTIONS(590),
    [anon_sym_AMPtype_column] = ACTIONS(590),
    [anon_sym_AMPwrite_expire] = ACTIONS(590),
    [anon_sym_DOLLAR] = ACTIONS(590),
    [anon_sym_PIPE] = ACTIONS(592),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_DASH] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(592),
    [anon_sym_is] = ACTIONS(590),
    [anon_sym_STAR] = ACTIONS(590),
    [anon_sym_SLASH] = ACTIONS(590),
    [anon_sym_PERCENT] = ACTIONS(590),
    [anon_sym_LT] = ACTIONS(592),
    [anon_sym_LT_EQ] = ACTIONS(590),
    [anon_sym_GT] = ACTIONS(592),
    [anon_sym_GT_EQ] = ACTIONS(590),
    [anon_sym_AMP] = ACTIONS(592),
    [anon_sym_CARET] = ACTIONS(590),
    [anon_sym_QMARK] = ACTIONS(592),
    [anon_sym_EQ_EQ] = ACTIONS(590),
    [anon_sym_BANG_EQ] = ACTIONS(590),
    [anon_sym_AMP_AMP] = ACTIONS(590),
    [anon_sym_PIPE_PIPE] = ACTIONS(590),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(590),
    [anon_sym_ATdeprecated] = ACTIONS(590),
    [anon_sym_ATload] = ACTIONS(592),
    [anon_sym_ATload_DASHsigs] = ACTIONS(590),
    [anon_sym_ATload_DASHplugin] = ACTIONS(590),
    [anon_sym_ATunload] = ACTIONS(590),
    [anon_sym_ATprefixes] = ACTIONS(590),
    [anon_sym_ATif] = ACTIONS(592),
    [anon_sym_ATifdef] = ACTIONS(590),
    [anon_sym_ATifndef] = ACTIONS(590),
    [anon_sym_ATendif] = ACTIONS(590),
    [anon_sym_ATelse] = ACTIONS(590),
    [anon_sym_ATpragma] = ACTIONS(590),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [296] = {
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_PLUS_EQ] = ACTIONS(1472),
    [anon_sym_DASH_EQ] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_RPAREN] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1472),
    [anon_sym_in] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_RBRACK] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_as] = ACTIONS(1472),
    [anon_sym_AMPdeprecated] = ACTIONS(1472),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1472),
    [anon_sym_AMPerror_handler] = ACTIONS(1472),
    [anon_sym_AMPis_assigned] = ACTIONS(1472),
    [anon_sym_AMPis_used] = ACTIONS(1472),
    [anon_sym_AMPlog] = ACTIONS(1472),
    [anon_sym_AMPoptional] = ACTIONS(1472),
    [anon_sym_AMPordered] = ACTIONS(1472),
    [anon_sym_AMPraw_output] = ACTIONS(1472),
    [anon_sym_AMPredef] = ACTIONS(1472),
    [anon_sym_AMPadd_func] = ACTIONS(1472),
    [anon_sym_AMPbackend] = ACTIONS(1472),
    [anon_sym_AMPbroker_store] = ACTIONS(1472),
    [anon_sym_AMPcreate_expire] = ACTIONS(1472),
    [anon_sym_AMPdefault] = ACTIONS(1472),
    [anon_sym_AMPdelete_func] = ACTIONS(1472),
    [anon_sym_AMPexpire_func] = ACTIONS(1472),
    [anon_sym_AMPgroup] = ACTIONS(1472),
    [anon_sym_AMPon_change] = ACTIONS(1472),
    [anon_sym_AMPpriority] = ACTIONS(1472),
    [anon_sym_AMPread_expire] = ACTIONS(1472),
    [anon_sym_AMPtype_column] = ACTIONS(1472),
    [anon_sym_AMPwrite_expire] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_is] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PERCENT] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1472),
    [anon_sym_ATdeprecated] = ACTIONS(1472),
    [anon_sym_ATload] = ACTIONS(1474),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1472),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1472),
    [anon_sym_ATunload] = ACTIONS(1472),
    [anon_sym_ATprefixes] = ACTIONS(1472),
    [anon_sym_ATif] = ACTIONS(1474),
    [anon_sym_ATifdef] = ACTIONS(1472),
    [anon_sym_ATifndef] = ACTIONS(1472),
    [anon_sym_ATendif] = ACTIONS(1472),
    [anon_sym_ATelse] = ACTIONS(1472),
    [anon_sym_ATpragma] = ACTIONS(1472),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [297] = {
    [anon_sym_SEMI] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(113),
    [anon_sym_COMMA] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(113),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(113),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [298] = {
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(129),
    [anon_sym_PLUS_EQ] = ACTIONS(129),
    [anon_sym_DASH_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_as] = ACTIONS(129),
    [anon_sym_AMPdeprecated] = ACTIONS(129),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(129),
    [anon_sym_AMPerror_handler] = ACTIONS(129),
    [anon_sym_AMPis_assigned] = ACTIONS(129),
    [anon_sym_AMPis_used] = ACTIONS(129),
    [anon_sym_AMPlog] = ACTIONS(129),
    [anon_sym_AMPoptional] = ACTIONS(129),
    [anon_sym_AMPordered] = ACTIONS(129),
    [anon_sym_AMPraw_output] = ACTIONS(129),
    [anon_sym_AMPredef] = ACTIONS(129),
    [anon_sym_AMPadd_func] = ACTIONS(129),
    [anon_sym_AMPbackend] = ACTIONS(129),
    [anon_sym_AMPbroker_store] = ACTIONS(129),
    [anon_sym_AMPcreate_expire] = ACTIONS(129),
    [anon_sym_AMPdefault] = ACTIONS(129),
    [anon_sym_AMPdelete_func] = ACTIONS(129),
    [anon_sym_AMPexpire_func] = ACTIONS(129),
    [anon_sym_AMPgroup] = ACTIONS(129),
    [anon_sym_AMPon_change] = ACTIONS(129),
    [anon_sym_AMPpriority] = ACTIONS(129),
    [anon_sym_AMPread_expire] = ACTIONS(129),
    [anon_sym_AMPtype_column] = ACTIONS(129),
    [anon_sym_AMPwrite_expire] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_is] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [299] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_COLON] = ACTIONS(125),
    [anon_sym_PLUS_EQ] = ACTIONS(125),
    [anon_sym_DASH_EQ] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_COMMA] = ACTIONS(125),
    [anon_sym_in] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_RBRACK] = ACTIONS(125),
    [anon_sym_EQ] = ACTIONS(127),
    [anon_sym_as] = ACTIONS(125),
    [anon_sym_AMPdeprecated] = ACTIONS(125),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(125),
    [anon_sym_AMPerror_handler] = ACTIONS(125),
    [anon_sym_AMPis_assigned] = ACTIONS(125),
    [anon_sym_AMPis_used] = ACTIONS(125),
    [anon_sym_AMPlog] = ACTIONS(125),
    [anon_sym_AMPoptional] = ACTIONS(125),
    [anon_sym_AMPordered] = ACTIONS(125),
    [anon_sym_AMPraw_output] = ACTIONS(125),
    [anon_sym_AMPredef] = ACTIONS(125),
    [anon_sym_AMPadd_func] = ACTIONS(125),
    [anon_sym_AMPbackend] = ACTIONS(125),
    [anon_sym_AMPbroker_store] = ACTIONS(125),
    [anon_sym_AMPcreate_expire] = ACTIONS(125),
    [anon_sym_AMPdefault] = ACTIONS(125),
    [anon_sym_AMPdelete_func] = ACTIONS(125),
    [anon_sym_AMPexpire_func] = ACTIONS(125),
    [anon_sym_AMPgroup] = ACTIONS(125),
    [anon_sym_AMPon_change] = ACTIONS(125),
    [anon_sym_AMPpriority] = ACTIONS(125),
    [anon_sym_AMPread_expire] = ACTIONS(125),
    [anon_sym_AMPtype_column] = ACTIONS(125),
    [anon_sym_AMPwrite_expire] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_is] = ACTIONS(125),
    [anon_sym_STAR] = ACTIONS(125),
    [anon_sym_SLASH] = ACTIONS(125),
    [anon_sym_PERCENT] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(125),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(127),
    [anon_sym_CARET] = ACTIONS(125),
    [anon_sym_QMARK] = ACTIONS(127),
    [anon_sym_EQ_EQ] = ACTIONS(125),
    [anon_sym_BANG_EQ] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [300] = {
    [anon_sym_SEMI] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(113),
    [anon_sym_COMMA] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(113),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(113),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [301] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_SEMI] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(113),
    [anon_sym_COMMA] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [302] = {
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_PLUS_EQ] = ACTIONS(1482),
    [anon_sym_DASH_EQ] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_RPAREN] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_as] = ACTIONS(1482),
    [anon_sym_AMPdeprecated] = ACTIONS(1482),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1482),
    [anon_sym_AMPerror_handler] = ACTIONS(1482),
    [anon_sym_AMPis_assigned] = ACTIONS(1482),
    [anon_sym_AMPis_used] = ACTIONS(1482),
    [anon_sym_AMPlog] = ACTIONS(1482),
    [anon_sym_AMPoptional] = ACTIONS(1482),
    [anon_sym_AMPordered] = ACTIONS(1482),
    [anon_sym_AMPraw_output] = ACTIONS(1482),
    [anon_sym_AMPredef] = ACTIONS(1482),
    [anon_sym_AMPadd_func] = ACTIONS(1482),
    [anon_sym_AMPbackend] = ACTIONS(1482),
    [anon_sym_AMPbroker_store] = ACTIONS(1482),
    [anon_sym_AMPcreate_expire] = ACTIONS(1482),
    [anon_sym_AMPdefault] = ACTIONS(1482),
    [anon_sym_AMPdelete_func] = ACTIONS(1482),
    [anon_sym_AMPexpire_func] = ACTIONS(1482),
    [anon_sym_AMPgroup] = ACTIONS(1482),
    [anon_sym_AMPon_change] = ACTIONS(1482),
    [anon_sym_AMPpriority] = ACTIONS(1482),
    [anon_sym_AMPread_expire] = ACTIONS(1482),
    [anon_sym_AMPtype_column] = ACTIONS(1482),
    [anon_sym_AMPwrite_expire] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1482),
    [anon_sym_ATdeprecated] = ACTIONS(1482),
    [anon_sym_ATload] = ACTIONS(1484),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1482),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1482),
    [anon_sym_ATunload] = ACTIONS(1482),
    [anon_sym_ATprefixes] = ACTIONS(1482),
    [anon_sym_ATif] = ACTIONS(1484),
    [anon_sym_ATifdef] = ACTIONS(1482),
    [anon_sym_ATifndef] = ACTIONS(1482),
    [anon_sym_ATendif] = ACTIONS(1482),
    [anon_sym_ATelse] = ACTIONS(1482),
    [anon_sym_ATpragma] = ACTIONS(1482),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [303] = {
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1456),
    [anon_sym_PLUS_EQ] = ACTIONS(1456),
    [anon_sym_DASH_EQ] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_RPAREN] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_RBRACK] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_as] = ACTIONS(1456),
    [anon_sym_AMPdeprecated] = ACTIONS(1456),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1456),
    [anon_sym_AMPerror_handler] = ACTIONS(1456),
    [anon_sym_AMPis_assigned] = ACTIONS(1456),
    [anon_sym_AMPis_used] = ACTIONS(1456),
    [anon_sym_AMPlog] = ACTIONS(1456),
    [anon_sym_AMPoptional] = ACTIONS(1456),
    [anon_sym_AMPordered] = ACTIONS(1456),
    [anon_sym_AMPraw_output] = ACTIONS(1456),
    [anon_sym_AMPredef] = ACTIONS(1456),
    [anon_sym_AMPadd_func] = ACTIONS(1456),
    [anon_sym_AMPbackend] = ACTIONS(1456),
    [anon_sym_AMPbroker_store] = ACTIONS(1456),
    [anon_sym_AMPcreate_expire] = ACTIONS(1456),
    [anon_sym_AMPdefault] = ACTIONS(1456),
    [anon_sym_AMPdelete_func] = ACTIONS(1456),
    [anon_sym_AMPexpire_func] = ACTIONS(1456),
    [anon_sym_AMPgroup] = ACTIONS(1456),
    [anon_sym_AMPon_change] = ACTIONS(1456),
    [anon_sym_AMPpriority] = ACTIONS(1456),
    [anon_sym_AMPread_expire] = ACTIONS(1456),
    [anon_sym_AMPtype_column] = ACTIONS(1456),
    [anon_sym_AMPwrite_expire] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_is] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_QMARK] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1456),
    [anon_sym_ATdeprecated] = ACTIONS(1456),
    [anon_sym_ATload] = ACTIONS(1458),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1456),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1456),
    [anon_sym_ATunload] = ACTIONS(1456),
    [anon_sym_ATprefixes] = ACTIONS(1456),
    [anon_sym_ATif] = ACTIONS(1458),
    [anon_sym_ATifdef] = ACTIONS(1456),
    [anon_sym_ATifndef] = ACTIONS(1456),
    [anon_sym_ATendif] = ACTIONS(1456),
    [anon_sym_ATelse] = ACTIONS(1456),
    [anon_sym_ATpragma] = ACTIONS(1456),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [304] = {
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1456),
    [anon_sym_PLUS_EQ] = ACTIONS(1456),
    [anon_sym_DASH_EQ] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_RPAREN] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_RBRACK] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_as] = ACTIONS(1456),
    [anon_sym_AMPdeprecated] = ACTIONS(1456),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1456),
    [anon_sym_AMPerror_handler] = ACTIONS(1456),
    [anon_sym_AMPis_assigned] = ACTIONS(1456),
    [anon_sym_AMPis_used] = ACTIONS(1456),
    [anon_sym_AMPlog] = ACTIONS(1456),
    [anon_sym_AMPoptional] = ACTIONS(1456),
    [anon_sym_AMPordered] = ACTIONS(1456),
    [anon_sym_AMPraw_output] = ACTIONS(1456),
    [anon_sym_AMPredef] = ACTIONS(1456),
    [anon_sym_AMPadd_func] = ACTIONS(1456),
    [anon_sym_AMPbackend] = ACTIONS(1456),
    [anon_sym_AMPbroker_store] = ACTIONS(1456),
    [anon_sym_AMPcreate_expire] = ACTIONS(1456),
    [anon_sym_AMPdefault] = ACTIONS(1456),
    [anon_sym_AMPdelete_func] = ACTIONS(1456),
    [anon_sym_AMPexpire_func] = ACTIONS(1456),
    [anon_sym_AMPgroup] = ACTIONS(1456),
    [anon_sym_AMPon_change] = ACTIONS(1456),
    [anon_sym_AMPpriority] = ACTIONS(1456),
    [anon_sym_AMPread_expire] = ACTIONS(1456),
    [anon_sym_AMPtype_column] = ACTIONS(1456),
    [anon_sym_AMPwrite_expire] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_is] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_QMARK] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1456),
    [anon_sym_ATdeprecated] = ACTIONS(1456),
    [anon_sym_ATload] = ACTIONS(1458),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1456),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1456),
    [anon_sym_ATunload] = ACTIONS(1456),
    [anon_sym_ATprefixes] = ACTIONS(1456),
    [anon_sym_ATif] = ACTIONS(1458),
    [anon_sym_ATifdef] = ACTIONS(1456),
    [anon_sym_ATifndef] = ACTIONS(1456),
    [anon_sym_ATendif] = ACTIONS(1456),
    [anon_sym_ATelse] = ACTIONS(1456),
    [anon_sym_ATpragma] = ACTIONS(1456),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [305] = {
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_PLUS_EQ] = ACTIONS(1486),
    [anon_sym_DASH_EQ] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [anon_sym_RPAREN] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1486),
    [anon_sym_in] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_RBRACK] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1490),
    [anon_sym_as] = ACTIONS(1486),
    [anon_sym_AMPdeprecated] = ACTIONS(1486),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1486),
    [anon_sym_AMPerror_handler] = ACTIONS(1486),
    [anon_sym_AMPis_assigned] = ACTIONS(1486),
    [anon_sym_AMPis_used] = ACTIONS(1486),
    [anon_sym_AMPlog] = ACTIONS(1486),
    [anon_sym_AMPoptional] = ACTIONS(1486),
    [anon_sym_AMPordered] = ACTIONS(1486),
    [anon_sym_AMPraw_output] = ACTIONS(1486),
    [anon_sym_AMPredef] = ACTIONS(1486),
    [anon_sym_AMPadd_func] = ACTIONS(1486),
    [anon_sym_AMPbackend] = ACTIONS(1486),
    [anon_sym_AMPbroker_store] = ACTIONS(1486),
    [anon_sym_AMPcreate_expire] = ACTIONS(1486),
    [anon_sym_AMPdefault] = ACTIONS(1486),
    [anon_sym_AMPdelete_func] = ACTIONS(1486),
    [anon_sym_AMPexpire_func] = ACTIONS(1486),
    [anon_sym_AMPgroup] = ACTIONS(1486),
    [anon_sym_AMPon_change] = ACTIONS(1486),
    [anon_sym_AMPpriority] = ACTIONS(1486),
    [anon_sym_AMPread_expire] = ACTIONS(1486),
    [anon_sym_AMPtype_column] = ACTIONS(1486),
    [anon_sym_AMPwrite_expire] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_is] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PERCENT] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1486),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1486),
    [anon_sym_ATdeprecated] = ACTIONS(1486),
    [anon_sym_ATload] = ACTIONS(1490),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1486),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1486),
    [anon_sym_ATunload] = ACTIONS(1486),
    [anon_sym_ATprefixes] = ACTIONS(1486),
    [anon_sym_ATif] = ACTIONS(1490),
    [anon_sym_ATifdef] = ACTIONS(1486),
    [anon_sym_ATifndef] = ACTIONS(1486),
    [anon_sym_ATendif] = ACTIONS(1486),
    [anon_sym_ATelse] = ACTIONS(1486),
    [anon_sym_ATpragma] = ACTIONS(1486),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_global] = ACTIONS(1494),
    [anon_sym_option] = ACTIONS(1494),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_redef] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [307] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_as] = ACTIONS(135),
    [anon_sym_AMPdeprecated] = ACTIONS(135),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(135),
    [anon_sym_AMPerror_handler] = ACTIONS(135),
    [anon_sym_AMPis_assigned] = ACTIONS(135),
    [anon_sym_AMPis_used] = ACTIONS(135),
    [anon_sym_AMPlog] = ACTIONS(135),
    [anon_sym_AMPoptional] = ACTIONS(135),
    [anon_sym_AMPordered] = ACTIONS(135),
    [anon_sym_AMPraw_output] = ACTIONS(135),
    [anon_sym_AMPredef] = ACTIONS(135),
    [anon_sym_AMPadd_func] = ACTIONS(135),
    [anon_sym_AMPbackend] = ACTIONS(135),
    [anon_sym_AMPbroker_store] = ACTIONS(135),
    [anon_sym_AMPcreate_expire] = ACTIONS(135),
    [anon_sym_AMPdefault] = ACTIONS(135),
    [anon_sym_AMPdelete_func] = ACTIONS(135),
    [anon_sym_AMPexpire_func] = ACTIONS(135),
    [anon_sym_AMPgroup] = ACTIONS(135),
    [anon_sym_AMPon_change] = ACTIONS(135),
    [anon_sym_AMPpriority] = ACTIONS(135),
    [anon_sym_AMPread_expire] = ACTIONS(135),
    [anon_sym_AMPtype_column] = ACTIONS(135),
    [anon_sym_AMPwrite_expire] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(141),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(141),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATpragma] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [308] = {
    [anon_sym_SEMI] = ACTIONS(576),
    [anon_sym_LBRACE] = ACTIONS(576),
    [anon_sym_RBRACE] = ACTIONS(576),
    [anon_sym_COLON] = ACTIONS(576),
    [anon_sym_PLUS_EQ] = ACTIONS(576),
    [anon_sym_DASH_EQ] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(576),
    [anon_sym_RPAREN] = ACTIONS(576),
    [anon_sym_COMMA] = ACTIONS(576),
    [anon_sym_in] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(576),
    [anon_sym_RBRACK] = ACTIONS(576),
    [anon_sym_EQ] = ACTIONS(578),
    [anon_sym_as] = ACTIONS(576),
    [anon_sym_AMPdeprecated] = ACTIONS(576),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(576),
    [anon_sym_AMPerror_handler] = ACTIONS(576),
    [anon_sym_AMPis_assigned] = ACTIONS(576),
    [anon_sym_AMPis_used] = ACTIONS(576),
    [anon_sym_AMPlog] = ACTIONS(576),
    [anon_sym_AMPoptional] = ACTIONS(576),
    [anon_sym_AMPordered] = ACTIONS(576),
    [anon_sym_AMPraw_output] = ACTIONS(576),
    [anon_sym_AMPredef] = ACTIONS(576),
    [anon_sym_AMPadd_func] = ACTIONS(576),
    [anon_sym_AMPbackend] = ACTIONS(576),
    [anon_sym_AMPbroker_store] = ACTIONS(576),
    [anon_sym_AMPcreate_expire] = ACTIONS(576),
    [anon_sym_AMPdefault] = ACTIONS(576),
    [anon_sym_AMPdelete_func] = ACTIONS(576),
    [anon_sym_AMPexpire_func] = ACTIONS(576),
    [anon_sym_AMPgroup] = ACTIONS(576),
    [anon_sym_AMPon_change] = ACTIONS(576),
    [anon_sym_AMPpriority] = ACTIONS(576),
    [anon_sym_AMPread_expire] = ACTIONS(576),
    [anon_sym_AMPtype_column] = ACTIONS(576),
    [anon_sym_AMPwrite_expire] = ACTIONS(576),
    [anon_sym_DOLLAR] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_BANG] = ACTIONS(578),
    [anon_sym_DASH] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(578),
    [anon_sym_is] = ACTIONS(576),
    [anon_sym_STAR] = ACTIONS(576),
    [anon_sym_SLASH] = ACTIONS(576),
    [anon_sym_PERCENT] = ACTIONS(576),
    [anon_sym_LT] = ACTIONS(578),
    [anon_sym_LT_EQ] = ACTIONS(576),
    [anon_sym_GT] = ACTIONS(578),
    [anon_sym_GT_EQ] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_QMARK] = ACTIONS(578),
    [anon_sym_EQ_EQ] = ACTIONS(576),
    [anon_sym_BANG_EQ] = ACTIONS(576),
    [anon_sym_AMP_AMP] = ACTIONS(576),
    [anon_sym_PIPE_PIPE] = ACTIONS(576),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(576),
    [anon_sym_ATdeprecated] = ACTIONS(576),
    [anon_sym_ATload] = ACTIONS(578),
    [anon_sym_ATload_DASHsigs] = ACTIONS(576),
    [anon_sym_ATload_DASHplugin] = ACTIONS(576),
    [anon_sym_ATunload] = ACTIONS(576),
    [anon_sym_ATprefixes] = ACTIONS(576),
    [anon_sym_ATif] = ACTIONS(578),
    [anon_sym_ATifdef] = ACTIONS(576),
    [anon_sym_ATifndef] = ACTIONS(576),
    [anon_sym_ATendif] = ACTIONS(576),
    [anon_sym_ATelse] = ACTIONS(576),
    [anon_sym_ATpragma] = ACTIONS(576),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [309] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_as] = ACTIONS(135),
    [anon_sym_AMPdeprecated] = ACTIONS(135),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(135),
    [anon_sym_AMPerror_handler] = ACTIONS(135),
    [anon_sym_AMPis_assigned] = ACTIONS(135),
    [anon_sym_AMPis_used] = ACTIONS(135),
    [anon_sym_AMPlog] = ACTIONS(135),
    [anon_sym_AMPoptional] = ACTIONS(135),
    [anon_sym_AMPordered] = ACTIONS(135),
    [anon_sym_AMPraw_output] = ACTIONS(135),
    [anon_sym_AMPredef] = ACTIONS(135),
    [anon_sym_AMPadd_func] = ACTIONS(135),
    [anon_sym_AMPbackend] = ACTIONS(135),
    [anon_sym_AMPbroker_store] = ACTIONS(135),
    [anon_sym_AMPcreate_expire] = ACTIONS(135),
    [anon_sym_AMPdefault] = ACTIONS(135),
    [anon_sym_AMPdelete_func] = ACTIONS(135),
    [anon_sym_AMPexpire_func] = ACTIONS(135),
    [anon_sym_AMPgroup] = ACTIONS(135),
    [anon_sym_AMPon_change] = ACTIONS(135),
    [anon_sym_AMPpriority] = ACTIONS(135),
    [anon_sym_AMPread_expire] = ACTIONS(135),
    [anon_sym_AMPtype_column] = ACTIONS(135),
    [anon_sym_AMPwrite_expire] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(141),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(141),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATpragma] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [310] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_RBRACK] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(141),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(135),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(135),
    [anon_sym_AMPerror_handler] = ACTIONS(135),
    [anon_sym_AMPis_assigned] = ACTIONS(135),
    [anon_sym_AMPis_used] = ACTIONS(135),
    [anon_sym_AMPlog] = ACTIONS(135),
    [anon_sym_AMPoptional] = ACTIONS(135),
    [anon_sym_AMPordered] = ACTIONS(135),
    [anon_sym_AMPraw_output] = ACTIONS(135),
    [anon_sym_AMPredef] = ACTIONS(135),
    [anon_sym_AMPadd_func] = ACTIONS(135),
    [anon_sym_AMPbackend] = ACTIONS(135),
    [anon_sym_AMPbroker_store] = ACTIONS(135),
    [anon_sym_AMPcreate_expire] = ACTIONS(135),
    [anon_sym_AMPdefault] = ACTIONS(135),
    [anon_sym_AMPdelete_func] = ACTIONS(135),
    [anon_sym_AMPexpire_func] = ACTIONS(135),
    [anon_sym_AMPgroup] = ACTIONS(135),
    [anon_sym_AMPon_change] = ACTIONS(135),
    [anon_sym_AMPpriority] = ACTIONS(135),
    [anon_sym_AMPread_expire] = ACTIONS(135),
    [anon_sym_AMPtype_column] = ACTIONS(135),
    [anon_sym_AMPwrite_expire] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(135),
    [anon_sym_PERCENT] = ACTIONS(135),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_LT_EQ] = ACTIONS(135),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_EQ] = ACTIONS(135),
    [anon_sym_AMP] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_EQ_EQ] = ACTIONS(135),
    [anon_sym_BANG_EQ] = ACTIONS(135),
    [anon_sym_AMP_AMP] = ACTIONS(135),
    [anon_sym_PIPE_PIPE] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(141),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(141),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATpragma] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [311] = {
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_PLUS_EQ] = ACTIONS(1482),
    [anon_sym_DASH_EQ] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_RPAREN] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_as] = ACTIONS(1482),
    [anon_sym_AMPdeprecated] = ACTIONS(1482),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1482),
    [anon_sym_AMPerror_handler] = ACTIONS(1482),
    [anon_sym_AMPis_assigned] = ACTIONS(1482),
    [anon_sym_AMPis_used] = ACTIONS(1482),
    [anon_sym_AMPlog] = ACTIONS(1482),
    [anon_sym_AMPoptional] = ACTIONS(1482),
    [anon_sym_AMPordered] = ACTIONS(1482),
    [anon_sym_AMPraw_output] = ACTIONS(1482),
    [anon_sym_AMPredef] = ACTIONS(1482),
    [anon_sym_AMPadd_func] = ACTIONS(1482),
    [anon_sym_AMPbackend] = ACTIONS(1482),
    [anon_sym_AMPbroker_store] = ACTIONS(1482),
    [anon_sym_AMPcreate_expire] = ACTIONS(1482),
    [anon_sym_AMPdefault] = ACTIONS(1482),
    [anon_sym_AMPdelete_func] = ACTIONS(1482),
    [anon_sym_AMPexpire_func] = ACTIONS(1482),
    [anon_sym_AMPgroup] = ACTIONS(1482),
    [anon_sym_AMPon_change] = ACTIONS(1482),
    [anon_sym_AMPpriority] = ACTIONS(1482),
    [anon_sym_AMPread_expire] = ACTIONS(1482),
    [anon_sym_AMPtype_column] = ACTIONS(1482),
    [anon_sym_AMPwrite_expire] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1482),
    [anon_sym_ATdeprecated] = ACTIONS(1482),
    [anon_sym_ATload] = ACTIONS(1484),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1482),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1482),
    [anon_sym_ATunload] = ACTIONS(1482),
    [anon_sym_ATprefixes] = ACTIONS(1482),
    [anon_sym_ATif] = ACTIONS(1484),
    [anon_sym_ATifdef] = ACTIONS(1482),
    [anon_sym_ATifndef] = ACTIONS(1482),
    [anon_sym_ATendif] = ACTIONS(1482),
    [anon_sym_ATelse] = ACTIONS(1482),
    [anon_sym_ATpragma] = ACTIONS(1482),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [312] = {
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1498),
    [anon_sym_PLUS_EQ] = ACTIONS(1498),
    [anon_sym_DASH_EQ] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [anon_sym_RPAREN] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1498),
    [anon_sym_in] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_RBRACK] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1500),
    [anon_sym_as] = ACTIONS(1498),
    [anon_sym_AMPdeprecated] = ACTIONS(1498),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1498),
    [anon_sym_AMPerror_handler] = ACTIONS(1498),
    [anon_sym_AMPis_assigned] = ACTIONS(1498),
    [anon_sym_AMPis_used] = ACTIONS(1498),
    [anon_sym_AMPlog] = ACTIONS(1498),
    [anon_sym_AMPoptional] = ACTIONS(1498),
    [anon_sym_AMPordered] = ACTIONS(1498),
    [anon_sym_AMPraw_output] = ACTIONS(1498),
    [anon_sym_AMPredef] = ACTIONS(1498),
    [anon_sym_AMPadd_func] = ACTIONS(1498),
    [anon_sym_AMPbackend] = ACTIONS(1498),
    [anon_sym_AMPbroker_store] = ACTIONS(1498),
    [anon_sym_AMPcreate_expire] = ACTIONS(1498),
    [anon_sym_AMPdefault] = ACTIONS(1498),
    [anon_sym_AMPdelete_func] = ACTIONS(1498),
    [anon_sym_AMPexpire_func] = ACTIONS(1498),
    [anon_sym_AMPgroup] = ACTIONS(1498),
    [anon_sym_AMPon_change] = ACTIONS(1498),
    [anon_sym_AMPpriority] = ACTIONS(1498),
    [anon_sym_AMPread_expire] = ACTIONS(1498),
    [anon_sym_AMPtype_column] = ACTIONS(1498),
    [anon_sym_AMPwrite_expire] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_is] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PERCENT] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1498),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1498),
    [anon_sym_ATdeprecated] = ACTIONS(1498),
    [anon_sym_ATload] = ACTIONS(1500),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1498),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1498),
    [anon_sym_ATunload] = ACTIONS(1498),
    [anon_sym_ATprefixes] = ACTIONS(1498),
    [anon_sym_ATif] = ACTIONS(1500),
    [anon_sym_ATifdef] = ACTIONS(1498),
    [anon_sym_ATifndef] = ACTIONS(1498),
    [anon_sym_ATendif] = ACTIONS(1498),
    [anon_sym_ATelse] = ACTIONS(1498),
    [anon_sym_ATpragma] = ACTIONS(1498),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [313] = {
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_COLON] = ACTIONS(1502),
    [anon_sym_PLUS_EQ] = ACTIONS(1502),
    [anon_sym_DASH_EQ] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_RPAREN] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1502),
    [anon_sym_in] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_RBRACK] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1504),
    [anon_sym_as] = ACTIONS(1502),
    [anon_sym_AMPdeprecated] = ACTIONS(1502),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1502),
    [anon_sym_AMPerror_handler] = ACTIONS(1502),
    [anon_sym_AMPis_assigned] = ACTIONS(1502),
    [anon_sym_AMPis_used] = ACTIONS(1502),
    [anon_sym_AMPlog] = ACTIONS(1502),
    [anon_sym_AMPoptional] = ACTIONS(1502),
    [anon_sym_AMPordered] = ACTIONS(1502),
    [anon_sym_AMPraw_output] = ACTIONS(1502),
    [anon_sym_AMPredef] = ACTIONS(1502),
    [anon_sym_AMPadd_func] = ACTIONS(1502),
    [anon_sym_AMPbackend] = ACTIONS(1502),
    [anon_sym_AMPbroker_store] = ACTIONS(1502),
    [anon_sym_AMPcreate_expire] = ACTIONS(1502),
    [anon_sym_AMPdefault] = ACTIONS(1502),
    [anon_sym_AMPdelete_func] = ACTIONS(1502),
    [anon_sym_AMPexpire_func] = ACTIONS(1502),
    [anon_sym_AMPgroup] = ACTIONS(1502),
    [anon_sym_AMPon_change] = ACTIONS(1502),
    [anon_sym_AMPpriority] = ACTIONS(1502),
    [anon_sym_AMPread_expire] = ACTIONS(1502),
    [anon_sym_AMPtype_column] = ACTIONS(1502),
    [anon_sym_AMPwrite_expire] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_is] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1502),
    [anon_sym_QMARK] = ACTIONS(1504),
    [anon_sym_EQ_EQ] = ACTIONS(1502),
    [anon_sym_BANG_EQ] = ACTIONS(1502),
    [anon_sym_AMP_AMP] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1502),
    [anon_sym_ATdeprecated] = ACTIONS(1502),
    [anon_sym_ATload] = ACTIONS(1504),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1502),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1502),
    [anon_sym_ATunload] = ACTIONS(1502),
    [anon_sym_ATprefixes] = ACTIONS(1502),
    [anon_sym_ATif] = ACTIONS(1504),
    [anon_sym_ATifdef] = ACTIONS(1502),
    [anon_sym_ATifndef] = ACTIONS(1502),
    [anon_sym_ATendif] = ACTIONS(1502),
    [anon_sym_ATelse] = ACTIONS(1502),
    [anon_sym_ATpragma] = ACTIONS(1502),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [314] = {
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_COLON] = ACTIONS(1506),
    [anon_sym_PLUS_EQ] = ACTIONS(1506),
    [anon_sym_DASH_EQ] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_RPAREN] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_RBRACK] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1508),
    [anon_sym_as] = ACTIONS(1506),
    [anon_sym_AMPdeprecated] = ACTIONS(1506),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1506),
    [anon_sym_AMPerror_handler] = ACTIONS(1506),
    [anon_sym_AMPis_assigned] = ACTIONS(1506),
    [anon_sym_AMPis_used] = ACTIONS(1506),
    [anon_sym_AMPlog] = ACTIONS(1506),
    [anon_sym_AMPoptional] = ACTIONS(1506),
    [anon_sym_AMPordered] = ACTIONS(1506),
    [anon_sym_AMPraw_output] = ACTIONS(1506),
    [anon_sym_AMPredef] = ACTIONS(1506),
    [anon_sym_AMPadd_func] = ACTIONS(1506),
    [anon_sym_AMPbackend] = ACTIONS(1506),
    [anon_sym_AMPbroker_store] = ACTIONS(1506),
    [anon_sym_AMPcreate_expire] = ACTIONS(1506),
    [anon_sym_AMPdefault] = ACTIONS(1506),
    [anon_sym_AMPdelete_func] = ACTIONS(1506),
    [anon_sym_AMPexpire_func] = ACTIONS(1506),
    [anon_sym_AMPgroup] = ACTIONS(1506),
    [anon_sym_AMPon_change] = ACTIONS(1506),
    [anon_sym_AMPpriority] = ACTIONS(1506),
    [anon_sym_AMPread_expire] = ACTIONS(1506),
    [anon_sym_AMPtype_column] = ACTIONS(1506),
    [anon_sym_AMPwrite_expire] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1506),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_is] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1506),
    [anon_sym_QMARK] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1506),
    [anon_sym_BANG_EQ] = ACTIONS(1506),
    [anon_sym_AMP_AMP] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1506),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1506),
    [anon_sym_ATdeprecated] = ACTIONS(1506),
    [anon_sym_ATload] = ACTIONS(1508),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1506),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1506),
    [anon_sym_ATunload] = ACTIONS(1506),
    [anon_sym_ATprefixes] = ACTIONS(1506),
    [anon_sym_ATif] = ACTIONS(1508),
    [anon_sym_ATifdef] = ACTIONS(1506),
    [anon_sym_ATifndef] = ACTIONS(1506),
    [anon_sym_ATendif] = ACTIONS(1506),
    [anon_sym_ATelse] = ACTIONS(1506),
    [anon_sym_ATpragma] = ACTIONS(1506),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [315] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_COLON] = ACTIONS(1510),
    [anon_sym_PLUS_EQ] = ACTIONS(1510),
    [anon_sym_DASH_EQ] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_RPAREN] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_RBRACK] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1512),
    [anon_sym_as] = ACTIONS(1510),
    [anon_sym_AMPdeprecated] = ACTIONS(1510),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1510),
    [anon_sym_AMPerror_handler] = ACTIONS(1510),
    [anon_sym_AMPis_assigned] = ACTIONS(1510),
    [anon_sym_AMPis_used] = ACTIONS(1510),
    [anon_sym_AMPlog] = ACTIONS(1510),
    [anon_sym_AMPoptional] = ACTIONS(1510),
    [anon_sym_AMPordered] = ACTIONS(1510),
    [anon_sym_AMPraw_output] = ACTIONS(1510),
    [anon_sym_AMPredef] = ACTIONS(1510),
    [anon_sym_AMPadd_func] = ACTIONS(1510),
    [anon_sym_AMPbackend] = ACTIONS(1510),
    [anon_sym_AMPbroker_store] = ACTIONS(1510),
    [anon_sym_AMPcreate_expire] = ACTIONS(1510),
    [anon_sym_AMPdefault] = ACTIONS(1510),
    [anon_sym_AMPdelete_func] = ACTIONS(1510),
    [anon_sym_AMPexpire_func] = ACTIONS(1510),
    [anon_sym_AMPgroup] = ACTIONS(1510),
    [anon_sym_AMPon_change] = ACTIONS(1510),
    [anon_sym_AMPpriority] = ACTIONS(1510),
    [anon_sym_AMPread_expire] = ACTIONS(1510),
    [anon_sym_AMPtype_column] = ACTIONS(1510),
    [anon_sym_AMPwrite_expire] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_is] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PERCENT] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_CARET] = ACTIONS(1510),
    [anon_sym_QMARK] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1510),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATpragma] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [316] = {
    [anon_sym_SEMI] = ACTIONS(544),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_RBRACE] = ACTIONS(544),
    [anon_sym_COLON] = ACTIONS(544),
    [anon_sym_PLUS_EQ] = ACTIONS(544),
    [anon_sym_DASH_EQ] = ACTIONS(544),
    [anon_sym_LPAREN] = ACTIONS(544),
    [anon_sym_RPAREN] = ACTIONS(544),
    [anon_sym_COMMA] = ACTIONS(544),
    [anon_sym_in] = ACTIONS(544),
    [anon_sym_LBRACK] = ACTIONS(544),
    [anon_sym_RBRACK] = ACTIONS(544),
    [anon_sym_EQ] = ACTIONS(546),
    [anon_sym_as] = ACTIONS(544),
    [anon_sym_AMPdeprecated] = ACTIONS(544),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(544),
    [anon_sym_AMPerror_handler] = ACTIONS(544),
    [anon_sym_AMPis_assigned] = ACTIONS(544),
    [anon_sym_AMPis_used] = ACTIONS(544),
    [anon_sym_AMPlog] = ACTIONS(544),
    [anon_sym_AMPoptional] = ACTIONS(544),
    [anon_sym_AMPordered] = ACTIONS(544),
    [anon_sym_AMPraw_output] = ACTIONS(544),
    [anon_sym_AMPredef] = ACTIONS(544),
    [anon_sym_AMPadd_func] = ACTIONS(544),
    [anon_sym_AMPbackend] = ACTIONS(544),
    [anon_sym_AMPbroker_store] = ACTIONS(544),
    [anon_sym_AMPcreate_expire] = ACTIONS(544),
    [anon_sym_AMPdefault] = ACTIONS(544),
    [anon_sym_AMPdelete_func] = ACTIONS(544),
    [anon_sym_AMPexpire_func] = ACTIONS(544),
    [anon_sym_AMPgroup] = ACTIONS(544),
    [anon_sym_AMPon_change] = ACTIONS(544),
    [anon_sym_AMPpriority] = ACTIONS(544),
    [anon_sym_AMPread_expire] = ACTIONS(544),
    [anon_sym_AMPtype_column] = ACTIONS(544),
    [anon_sym_AMPwrite_expire] = ACTIONS(544),
    [anon_sym_DOLLAR] = ACTIONS(544),
    [anon_sym_PIPE] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_is] = ACTIONS(544),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_SLASH] = ACTIONS(544),
    [anon_sym_PERCENT] = ACTIONS(544),
    [anon_sym_LT] = ACTIONS(546),
    [anon_sym_LT_EQ] = ACTIONS(544),
    [anon_sym_GT] = ACTIONS(546),
    [anon_sym_GT_EQ] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(546),
    [anon_sym_CARET] = ACTIONS(544),
    [anon_sym_QMARK] = ACTIONS(546),
    [anon_sym_EQ_EQ] = ACTIONS(544),
    [anon_sym_BANG_EQ] = ACTIONS(544),
    [anon_sym_AMP_AMP] = ACTIONS(544),
    [anon_sym_PIPE_PIPE] = ACTIONS(544),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(544),
    [anon_sym_ATdeprecated] = ACTIONS(544),
    [anon_sym_ATload] = ACTIONS(546),
    [anon_sym_ATload_DASHsigs] = ACTIONS(544),
    [anon_sym_ATload_DASHplugin] = ACTIONS(544),
    [anon_sym_ATunload] = ACTIONS(544),
    [anon_sym_ATprefixes] = ACTIONS(544),
    [anon_sym_ATif] = ACTIONS(546),
    [anon_sym_ATifdef] = ACTIONS(544),
    [anon_sym_ATifndef] = ACTIONS(544),
    [anon_sym_ATendif] = ACTIONS(544),
    [anon_sym_ATelse] = ACTIONS(544),
    [anon_sym_ATpragma] = ACTIONS(544),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [317] = {
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_COLON] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(1514),
    [anon_sym_DASH_EQ] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_RPAREN] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_RBRACK] = ACTIONS(1514),
    [anon_sym_EQ] = ACTIONS(1516),
    [anon_sym_as] = ACTIONS(1514),
    [anon_sym_AMPdeprecated] = ACTIONS(1514),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1514),
    [anon_sym_AMPerror_handler] = ACTIONS(1514),
    [anon_sym_AMPis_assigned] = ACTIONS(1514),
    [anon_sym_AMPis_used] = ACTIONS(1514),
    [anon_sym_AMPlog] = ACTIONS(1514),
    [anon_sym_AMPoptional] = ACTIONS(1514),
    [anon_sym_AMPordered] = ACTIONS(1514),
    [anon_sym_AMPraw_output] = ACTIONS(1514),
    [anon_sym_AMPredef] = ACTIONS(1514),
    [anon_sym_AMPadd_func] = ACTIONS(1514),
    [anon_sym_AMPbackend] = ACTIONS(1514),
    [anon_sym_AMPbroker_store] = ACTIONS(1514),
    [anon_sym_AMPcreate_expire] = ACTIONS(1514),
    [anon_sym_AMPdefault] = ACTIONS(1514),
    [anon_sym_AMPdelete_func] = ACTIONS(1514),
    [anon_sym_AMPexpire_func] = ACTIONS(1514),
    [anon_sym_AMPgroup] = ACTIONS(1514),
    [anon_sym_AMPon_change] = ACTIONS(1514),
    [anon_sym_AMPpriority] = ACTIONS(1514),
    [anon_sym_AMPread_expire] = ACTIONS(1514),
    [anon_sym_AMPtype_column] = ACTIONS(1514),
    [anon_sym_AMPwrite_expire] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_is] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1514),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1514),
    [anon_sym_ATdeprecated] = ACTIONS(1514),
    [anon_sym_ATload] = ACTIONS(1516),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1514),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1514),
    [anon_sym_ATunload] = ACTIONS(1514),
    [anon_sym_ATprefixes] = ACTIONS(1514),
    [anon_sym_ATif] = ACTIONS(1516),
    [anon_sym_ATifdef] = ACTIONS(1514),
    [anon_sym_ATifndef] = ACTIONS(1514),
    [anon_sym_ATendif] = ACTIONS(1514),
    [anon_sym_ATelse] = ACTIONS(1514),
    [anon_sym_ATpragma] = ACTIONS(1514),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [318] = {
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_COLON] = ACTIONS(1518),
    [anon_sym_PLUS_EQ] = ACTIONS(1518),
    [anon_sym_DASH_EQ] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_RPAREN] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_RBRACK] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1520),
    [anon_sym_as] = ACTIONS(1518),
    [anon_sym_AMPdeprecated] = ACTIONS(1518),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1518),
    [anon_sym_AMPerror_handler] = ACTIONS(1518),
    [anon_sym_AMPis_assigned] = ACTIONS(1518),
    [anon_sym_AMPis_used] = ACTIONS(1518),
    [anon_sym_AMPlog] = ACTIONS(1518),
    [anon_sym_AMPoptional] = ACTIONS(1518),
    [anon_sym_AMPordered] = ACTIONS(1518),
    [anon_sym_AMPraw_output] = ACTIONS(1518),
    [anon_sym_AMPredef] = ACTIONS(1518),
    [anon_sym_AMPadd_func] = ACTIONS(1518),
    [anon_sym_AMPbackend] = ACTIONS(1518),
    [anon_sym_AMPbroker_store] = ACTIONS(1518),
    [anon_sym_AMPcreate_expire] = ACTIONS(1518),
    [anon_sym_AMPdefault] = ACTIONS(1518),
    [anon_sym_AMPdelete_func] = ACTIONS(1518),
    [anon_sym_AMPexpire_func] = ACTIONS(1518),
    [anon_sym_AMPgroup] = ACTIONS(1518),
    [anon_sym_AMPon_change] = ACTIONS(1518),
    [anon_sym_AMPpriority] = ACTIONS(1518),
    [anon_sym_AMPread_expire] = ACTIONS(1518),
    [anon_sym_AMPtype_column] = ACTIONS(1518),
    [anon_sym_AMPwrite_expire] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_is] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PERCENT] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_QMARK] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1518),
    [anon_sym_ATdeprecated] = ACTIONS(1518),
    [anon_sym_ATload] = ACTIONS(1520),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1518),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1518),
    [anon_sym_ATunload] = ACTIONS(1518),
    [anon_sym_ATprefixes] = ACTIONS(1518),
    [anon_sym_ATif] = ACTIONS(1520),
    [anon_sym_ATifdef] = ACTIONS(1518),
    [anon_sym_ATifndef] = ACTIONS(1518),
    [anon_sym_ATendif] = ACTIONS(1518),
    [anon_sym_ATelse] = ACTIONS(1518),
    [anon_sym_ATpragma] = ACTIONS(1518),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [319] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_COLON] = ACTIONS(1510),
    [anon_sym_PLUS_EQ] = ACTIONS(1510),
    [anon_sym_DASH_EQ] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_RPAREN] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_RBRACK] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1512),
    [anon_sym_as] = ACTIONS(1510),
    [anon_sym_AMPdeprecated] = ACTIONS(1510),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1510),
    [anon_sym_AMPerror_handler] = ACTIONS(1510),
    [anon_sym_AMPis_assigned] = ACTIONS(1510),
    [anon_sym_AMPis_used] = ACTIONS(1510),
    [anon_sym_AMPlog] = ACTIONS(1510),
    [anon_sym_AMPoptional] = ACTIONS(1510),
    [anon_sym_AMPordered] = ACTIONS(1510),
    [anon_sym_AMPraw_output] = ACTIONS(1510),
    [anon_sym_AMPredef] = ACTIONS(1510),
    [anon_sym_AMPadd_func] = ACTIONS(1510),
    [anon_sym_AMPbackend] = ACTIONS(1510),
    [anon_sym_AMPbroker_store] = ACTIONS(1510),
    [anon_sym_AMPcreate_expire] = ACTIONS(1510),
    [anon_sym_AMPdefault] = ACTIONS(1510),
    [anon_sym_AMPdelete_func] = ACTIONS(1510),
    [anon_sym_AMPexpire_func] = ACTIONS(1510),
    [anon_sym_AMPgroup] = ACTIONS(1510),
    [anon_sym_AMPon_change] = ACTIONS(1510),
    [anon_sym_AMPpriority] = ACTIONS(1510),
    [anon_sym_AMPread_expire] = ACTIONS(1510),
    [anon_sym_AMPtype_column] = ACTIONS(1510),
    [anon_sym_AMPwrite_expire] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_is] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PERCENT] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_CARET] = ACTIONS(1510),
    [anon_sym_QMARK] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1510),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATpragma] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [320] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_COLON] = ACTIONS(1510),
    [anon_sym_PLUS_EQ] = ACTIONS(1510),
    [anon_sym_DASH_EQ] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_RPAREN] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_RBRACK] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1512),
    [anon_sym_as] = ACTIONS(1510),
    [anon_sym_AMPdeprecated] = ACTIONS(1510),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1510),
    [anon_sym_AMPerror_handler] = ACTIONS(1510),
    [anon_sym_AMPis_assigned] = ACTIONS(1510),
    [anon_sym_AMPis_used] = ACTIONS(1510),
    [anon_sym_AMPlog] = ACTIONS(1510),
    [anon_sym_AMPoptional] = ACTIONS(1510),
    [anon_sym_AMPordered] = ACTIONS(1510),
    [anon_sym_AMPraw_output] = ACTIONS(1510),
    [anon_sym_AMPredef] = ACTIONS(1510),
    [anon_sym_AMPadd_func] = ACTIONS(1510),
    [anon_sym_AMPbackend] = ACTIONS(1510),
    [anon_sym_AMPbroker_store] = ACTIONS(1510),
    [anon_sym_AMPcreate_expire] = ACTIONS(1510),
    [anon_sym_AMPdefault] = ACTIONS(1510),
    [anon_sym_AMPdelete_func] = ACTIONS(1510),
    [anon_sym_AMPexpire_func] = ACTIONS(1510),
    [anon_sym_AMPgroup] = ACTIONS(1510),
    [anon_sym_AMPon_change] = ACTIONS(1510),
    [anon_sym_AMPpriority] = ACTIONS(1510),
    [anon_sym_AMPread_expire] = ACTIONS(1510),
    [anon_sym_AMPtype_column] = ACTIONS(1510),
    [anon_sym_AMPwrite_expire] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_is] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PERCENT] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_CARET] = ACTIONS(1510),
    [anon_sym_QMARK] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1510),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATpragma] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [321] = {
    [anon_sym_SEMI] = ACTIONS(544),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_RBRACE] = ACTIONS(544),
    [anon_sym_PLUS_EQ] = ACTIONS(544),
    [anon_sym_DASH_EQ] = ACTIONS(544),
    [anon_sym_LPAREN] = ACTIONS(544),
    [anon_sym_RPAREN] = ACTIONS(544),
    [anon_sym_COMMA] = ACTIONS(544),
    [anon_sym_in] = ACTIONS(544),
    [anon_sym_LBRACK] = ACTIONS(544),
    [anon_sym_RBRACK] = ACTIONS(544),
    [anon_sym_EQ] = ACTIONS(546),
    [anon_sym_as] = ACTIONS(544),
    [anon_sym_of] = ACTIONS(1522),
    [anon_sym_AMPdeprecated] = ACTIONS(544),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(544),
    [anon_sym_AMPerror_handler] = ACTIONS(544),
    [anon_sym_AMPis_assigned] = ACTIONS(544),
    [anon_sym_AMPis_used] = ACTIONS(544),
    [anon_sym_AMPlog] = ACTIONS(544),
    [anon_sym_AMPoptional] = ACTIONS(544),
    [anon_sym_AMPordered] = ACTIONS(544),
    [anon_sym_AMPraw_output] = ACTIONS(544),
    [anon_sym_AMPredef] = ACTIONS(544),
    [anon_sym_AMPadd_func] = ACTIONS(544),
    [anon_sym_AMPbackend] = ACTIONS(544),
    [anon_sym_AMPbroker_store] = ACTIONS(544),
    [anon_sym_AMPcreate_expire] = ACTIONS(544),
    [anon_sym_AMPdefault] = ACTIONS(544),
    [anon_sym_AMPdelete_func] = ACTIONS(544),
    [anon_sym_AMPexpire_func] = ACTIONS(544),
    [anon_sym_AMPgroup] = ACTIONS(544),
    [anon_sym_AMPon_change] = ACTIONS(544),
    [anon_sym_AMPpriority] = ACTIONS(544),
    [anon_sym_AMPread_expire] = ACTIONS(544),
    [anon_sym_AMPtype_column] = ACTIONS(544),
    [anon_sym_AMPwrite_expire] = ACTIONS(544),
    [anon_sym_DOLLAR] = ACTIONS(544),
    [anon_sym_PIPE] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_is] = ACTIONS(544),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_SLASH] = ACTIONS(544),
    [anon_sym_PERCENT] = ACTIONS(544),
    [anon_sym_LT] = ACTIONS(546),
    [anon_sym_LT_EQ] = ACTIONS(544),
    [anon_sym_GT] = ACTIONS(546),
    [anon_sym_GT_EQ] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(546),
    [anon_sym_CARET] = ACTIONS(544),
    [anon_sym_QMARK] = ACTIONS(546),
    [anon_sym_EQ_EQ] = ACTIONS(544),
    [anon_sym_BANG_EQ] = ACTIONS(544),
    [anon_sym_AMP_AMP] = ACTIONS(544),
    [anon_sym_PIPE_PIPE] = ACTIONS(544),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(544),
    [anon_sym_ATdeprecated] = ACTIONS(544),
    [anon_sym_ATload] = ACTIONS(546),
    [anon_sym_ATload_DASHsigs] = ACTIONS(544),
    [anon_sym_ATload_DASHplugin] = ACTIONS(544),
    [anon_sym_ATunload] = ACTIONS(544),
    [anon_sym_ATprefixes] = ACTIONS(544),
    [anon_sym_ATif] = ACTIONS(546),
    [anon_sym_ATifdef] = ACTIONS(544),
    [anon_sym_ATifndef] = ACTIONS(544),
    [anon_sym_ATendif] = ACTIONS(544),
    [anon_sym_ATelse] = ACTIONS(544),
    [anon_sym_ATpragma] = ACTIONS(544),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [322] = {
    [anon_sym_SEMI] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(113),
    [anon_sym_COMMA] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(113),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(113),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [323] = {
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(554),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_in] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(554),
    [anon_sym_RBRACK] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(556),
    [anon_sym_as] = ACTIONS(554),
    [anon_sym_AMPdeprecated] = ACTIONS(554),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(554),
    [anon_sym_AMPerror_handler] = ACTIONS(554),
    [anon_sym_AMPis_assigned] = ACTIONS(554),
    [anon_sym_AMPis_used] = ACTIONS(554),
    [anon_sym_AMPlog] = ACTIONS(554),
    [anon_sym_AMPoptional] = ACTIONS(554),
    [anon_sym_AMPordered] = ACTIONS(554),
    [anon_sym_AMPraw_output] = ACTIONS(554),
    [anon_sym_AMPredef] = ACTIONS(554),
    [anon_sym_AMPadd_func] = ACTIONS(554),
    [anon_sym_AMPbackend] = ACTIONS(554),
    [anon_sym_AMPbroker_store] = ACTIONS(554),
    [anon_sym_AMPcreate_expire] = ACTIONS(554),
    [anon_sym_AMPdefault] = ACTIONS(554),
    [anon_sym_AMPdelete_func] = ACTIONS(554),
    [anon_sym_AMPexpire_func] = ACTIONS(554),
    [anon_sym_AMPgroup] = ACTIONS(554),
    [anon_sym_AMPon_change] = ACTIONS(554),
    [anon_sym_AMPpriority] = ACTIONS(554),
    [anon_sym_AMPread_expire] = ACTIONS(554),
    [anon_sym_AMPtype_column] = ACTIONS(554),
    [anon_sym_AMPwrite_expire] = ACTIONS(554),
    [anon_sym_DOLLAR] = ACTIONS(554),
    [anon_sym_PIPE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_is] = ACTIONS(554),
    [anon_sym_STAR] = ACTIONS(554),
    [anon_sym_SLASH] = ACTIONS(554),
    [anon_sym_PERCENT] = ACTIONS(554),
    [anon_sym_LT] = ACTIONS(556),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(556),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_AMP] = ACTIONS(556),
    [anon_sym_CARET] = ACTIONS(554),
    [anon_sym_QMARK] = ACTIONS(556),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(554),
    [anon_sym_ATdeprecated] = ACTIONS(554),
    [anon_sym_ATload] = ACTIONS(556),
    [anon_sym_ATload_DASHsigs] = ACTIONS(554),
    [anon_sym_ATload_DASHplugin] = ACTIONS(554),
    [anon_sym_ATunload] = ACTIONS(554),
    [anon_sym_ATprefixes] = ACTIONS(554),
    [anon_sym_ATif] = ACTIONS(556),
    [anon_sym_ATifdef] = ACTIONS(554),
    [anon_sym_ATifndef] = ACTIONS(554),
    [anon_sym_ATendif] = ACTIONS(554),
    [anon_sym_ATelse] = ACTIONS(554),
    [anon_sym_ATpragma] = ACTIONS(554),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [324] = {
    [anon_sym_SEMI] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [anon_sym_COLON] = ACTIONS(1524),
    [anon_sym_PLUS_EQ] = ACTIONS(1524),
    [anon_sym_DASH_EQ] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_RPAREN] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1524),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_RBRACK] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(1526),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_AMPdeprecated] = ACTIONS(1524),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1524),
    [anon_sym_AMPerror_handler] = ACTIONS(1524),
    [anon_sym_AMPis_assigned] = ACTIONS(1524),
    [anon_sym_AMPis_used] = ACTIONS(1524),
    [anon_sym_AMPlog] = ACTIONS(1524),
    [anon_sym_AMPoptional] = ACTIONS(1524),
    [anon_sym_AMPordered] = ACTIONS(1524),
    [anon_sym_AMPraw_output] = ACTIONS(1524),
    [anon_sym_AMPredef] = ACTIONS(1524),
    [anon_sym_AMPadd_func] = ACTIONS(1524),
    [anon_sym_AMPbackend] = ACTIONS(1524),
    [anon_sym_AMPbroker_store] = ACTIONS(1524),
    [anon_sym_AMPcreate_expire] = ACTIONS(1524),
    [anon_sym_AMPdefault] = ACTIONS(1524),
    [anon_sym_AMPdelete_func] = ACTIONS(1524),
    [anon_sym_AMPexpire_func] = ACTIONS(1524),
    [anon_sym_AMPgroup] = ACTIONS(1524),
    [anon_sym_AMPon_change] = ACTIONS(1524),
    [anon_sym_AMPpriority] = ACTIONS(1524),
    [anon_sym_AMPread_expire] = ACTIONS(1524),
    [anon_sym_AMPtype_column] = ACTIONS(1524),
    [anon_sym_AMPwrite_expire] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_is] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1524),
    [anon_sym_PERCENT] = ACTIONS(1524),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_GT] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_QMARK] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_AMP_AMP] = ACTIONS(1524),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1524),
    [anon_sym_ATdeprecated] = ACTIONS(1524),
    [anon_sym_ATload] = ACTIONS(1526),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1524),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1524),
    [anon_sym_ATunload] = ACTIONS(1524),
    [anon_sym_ATprefixes] = ACTIONS(1524),
    [anon_sym_ATif] = ACTIONS(1526),
    [anon_sym_ATifdef] = ACTIONS(1524),
    [anon_sym_ATifndef] = ACTIONS(1524),
    [anon_sym_ATendif] = ACTIONS(1524),
    [anon_sym_ATelse] = ACTIONS(1524),
    [anon_sym_ATpragma] = ACTIONS(1524),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [325] = {
    [anon_sym_SEMI] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [anon_sym_COLON] = ACTIONS(1528),
    [anon_sym_PLUS_EQ] = ACTIONS(1528),
    [anon_sym_DASH_EQ] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_RPAREN] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1528),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_RBRACK] = ACTIONS(1528),
    [anon_sym_EQ] = ACTIONS(1530),
    [anon_sym_as] = ACTIONS(1528),
    [anon_sym_AMPdeprecated] = ACTIONS(1528),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1528),
    [anon_sym_AMPerror_handler] = ACTIONS(1528),
    [anon_sym_AMPis_assigned] = ACTIONS(1528),
    [anon_sym_AMPis_used] = ACTIONS(1528),
    [anon_sym_AMPlog] = ACTIONS(1528),
    [anon_sym_AMPoptional] = ACTIONS(1528),
    [anon_sym_AMPordered] = ACTIONS(1528),
    [anon_sym_AMPraw_output] = ACTIONS(1528),
    [anon_sym_AMPredef] = ACTIONS(1528),
    [anon_sym_AMPadd_func] = ACTIONS(1528),
    [anon_sym_AMPbackend] = ACTIONS(1528),
    [anon_sym_AMPbroker_store] = ACTIONS(1528),
    [anon_sym_AMPcreate_expire] = ACTIONS(1528),
    [anon_sym_AMPdefault] = ACTIONS(1528),
    [anon_sym_AMPdelete_func] = ACTIONS(1528),
    [anon_sym_AMPexpire_func] = ACTIONS(1528),
    [anon_sym_AMPgroup] = ACTIONS(1528),
    [anon_sym_AMPon_change] = ACTIONS(1528),
    [anon_sym_AMPpriority] = ACTIONS(1528),
    [anon_sym_AMPread_expire] = ACTIONS(1528),
    [anon_sym_AMPtype_column] = ACTIONS(1528),
    [anon_sym_AMPwrite_expire] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [anon_sym_PIPE] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_is] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1528),
    [anon_sym_LT] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1528),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(1530),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_AMP_AMP] = ACTIONS(1528),
    [anon_sym_PIPE_PIPE] = ACTIONS(1528),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1528),
    [anon_sym_ATdeprecated] = ACTIONS(1528),
    [anon_sym_ATload] = ACTIONS(1530),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1528),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1528),
    [anon_sym_ATunload] = ACTIONS(1528),
    [anon_sym_ATprefixes] = ACTIONS(1528),
    [anon_sym_ATif] = ACTIONS(1530),
    [anon_sym_ATifdef] = ACTIONS(1528),
    [anon_sym_ATifndef] = ACTIONS(1528),
    [anon_sym_ATendif] = ACTIONS(1528),
    [anon_sym_ATelse] = ACTIONS(1528),
    [anon_sym_ATpragma] = ACTIONS(1528),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [326] = {
    [anon_sym_SEMI] = ACTIONS(256),
    [anon_sym_LBRACE] = ACTIONS(256),
    [anon_sym_RBRACE] = ACTIONS(256),
    [anon_sym_COLON] = ACTIONS(256),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_LPAREN] = ACTIONS(256),
    [anon_sym_RPAREN] = ACTIONS(256),
    [anon_sym_COMMA] = ACTIONS(256),
    [anon_sym_in] = ACTIONS(256),
    [anon_sym_LBRACK] = ACTIONS(256),
    [anon_sym_RBRACK] = ACTIONS(256),
    [anon_sym_EQ] = ACTIONS(258),
    [anon_sym_as] = ACTIONS(256),
    [anon_sym_AMPdeprecated] = ACTIONS(256),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(256),
    [anon_sym_AMPerror_handler] = ACTIONS(256),
    [anon_sym_AMPis_assigned] = ACTIONS(256),
    [anon_sym_AMPis_used] = ACTIONS(256),
    [anon_sym_AMPlog] = ACTIONS(256),
    [anon_sym_AMPoptional] = ACTIONS(256),
    [anon_sym_AMPordered] = ACTIONS(256),
    [anon_sym_AMPraw_output] = ACTIONS(256),
    [anon_sym_AMPredef] = ACTIONS(256),
    [anon_sym_AMPadd_func] = ACTIONS(256),
    [anon_sym_AMPbackend] = ACTIONS(256),
    [anon_sym_AMPbroker_store] = ACTIONS(256),
    [anon_sym_AMPcreate_expire] = ACTIONS(256),
    [anon_sym_AMPdefault] = ACTIONS(256),
    [anon_sym_AMPdelete_func] = ACTIONS(256),
    [anon_sym_AMPexpire_func] = ACTIONS(256),
    [anon_sym_AMPgroup] = ACTIONS(256),
    [anon_sym_AMPon_change] = ACTIONS(256),
    [anon_sym_AMPpriority] = ACTIONS(256),
    [anon_sym_AMPread_expire] = ACTIONS(256),
    [anon_sym_AMPtype_column] = ACTIONS(256),
    [anon_sym_AMPwrite_expire] = ACTIONS(256),
    [anon_sym_DOLLAR] = ACTIONS(256),
    [anon_sym_PIPE] = ACTIONS(258),
    [anon_sym_BANG] = ACTIONS(258),
    [anon_sym_DASH] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(258),
    [anon_sym_is] = ACTIONS(256),
    [anon_sym_STAR] = ACTIONS(256),
    [anon_sym_SLASH] = ACTIONS(256),
    [anon_sym_PERCENT] = ACTIONS(256),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_LT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(258),
    [anon_sym_GT_EQ] = ACTIONS(256),
    [anon_sym_AMP] = ACTIONS(258),
    [anon_sym_CARET] = ACTIONS(256),
    [anon_sym_QMARK] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(256),
    [anon_sym_BANG_EQ] = ACTIONS(256),
    [anon_sym_AMP_AMP] = ACTIONS(256),
    [anon_sym_PIPE_PIPE] = ACTIONS(256),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(256),
    [anon_sym_ATdeprecated] = ACTIONS(256),
    [anon_sym_ATload] = ACTIONS(258),
    [anon_sym_ATload_DASHsigs] = ACTIONS(256),
    [anon_sym_ATload_DASHplugin] = ACTIONS(256),
    [anon_sym_ATunload] = ACTIONS(256),
    [anon_sym_ATprefixes] = ACTIONS(256),
    [anon_sym_ATif] = ACTIONS(258),
    [anon_sym_ATifdef] = ACTIONS(256),
    [anon_sym_ATifndef] = ACTIONS(256),
    [anon_sym_ATendif] = ACTIONS(256),
    [anon_sym_ATelse] = ACTIONS(256),
    [anon_sym_ATpragma] = ACTIONS(256),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [327] = {
    [anon_sym_SEMI] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(564),
    [anon_sym_RBRACE] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(564),
    [anon_sym_DASH_EQ] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(564),
    [anon_sym_RPAREN] = ACTIONS(564),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_in] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(564),
    [anon_sym_EQ] = ACTIONS(566),
    [anon_sym_as] = ACTIONS(564),
    [anon_sym_AMPdeprecated] = ACTIONS(564),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(564),
    [anon_sym_AMPerror_handler] = ACTIONS(564),
    [anon_sym_AMPis_assigned] = ACTIONS(564),
    [anon_sym_AMPis_used] = ACTIONS(564),
    [anon_sym_AMPlog] = ACTIONS(564),
    [anon_sym_AMPoptional] = ACTIONS(564),
    [anon_sym_AMPordered] = ACTIONS(564),
    [anon_sym_AMPraw_output] = ACTIONS(564),
    [anon_sym_AMPredef] = ACTIONS(564),
    [anon_sym_AMPadd_func] = ACTIONS(564),
    [anon_sym_AMPbackend] = ACTIONS(564),
    [anon_sym_AMPbroker_store] = ACTIONS(564),
    [anon_sym_AMPcreate_expire] = ACTIONS(564),
    [anon_sym_AMPdefault] = ACTIONS(564),
    [anon_sym_AMPdelete_func] = ACTIONS(564),
    [anon_sym_AMPexpire_func] = ACTIONS(564),
    [anon_sym_AMPgroup] = ACTIONS(564),
    [anon_sym_AMPon_change] = ACTIONS(564),
    [anon_sym_AMPpriority] = ACTIONS(564),
    [anon_sym_AMPread_expire] = ACTIONS(564),
    [anon_sym_AMPtype_column] = ACTIONS(564),
    [anon_sym_AMPwrite_expire] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_is] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(566),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(566),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(566),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(566),
    [anon_sym_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(564),
    [anon_sym_PIPE_PIPE] = ACTIONS(564),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(564),
    [anon_sym_ATdeprecated] = ACTIONS(564),
    [anon_sym_ATload] = ACTIONS(566),
    [anon_sym_ATload_DASHsigs] = ACTIONS(564),
    [anon_sym_ATload_DASHplugin] = ACTIONS(564),
    [anon_sym_ATunload] = ACTIONS(564),
    [anon_sym_ATprefixes] = ACTIONS(564),
    [anon_sym_ATif] = ACTIONS(566),
    [anon_sym_ATifdef] = ACTIONS(564),
    [anon_sym_ATifndef] = ACTIONS(564),
    [anon_sym_ATendif] = ACTIONS(564),
    [anon_sym_ATelse] = ACTIONS(564),
    [anon_sym_ATpragma] = ACTIONS(564),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [328] = {
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_COLON] = ACTIONS(1502),
    [anon_sym_PLUS_EQ] = ACTIONS(1502),
    [anon_sym_DASH_EQ] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_RPAREN] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1502),
    [anon_sym_in] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_RBRACK] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1504),
    [anon_sym_as] = ACTIONS(1502),
    [anon_sym_AMPdeprecated] = ACTIONS(1502),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1502),
    [anon_sym_AMPerror_handler] = ACTIONS(1502),
    [anon_sym_AMPis_assigned] = ACTIONS(1502),
    [anon_sym_AMPis_used] = ACTIONS(1502),
    [anon_sym_AMPlog] = ACTIONS(1502),
    [anon_sym_AMPoptional] = ACTIONS(1502),
    [anon_sym_AMPordered] = ACTIONS(1502),
    [anon_sym_AMPraw_output] = ACTIONS(1502),
    [anon_sym_AMPredef] = ACTIONS(1502),
    [anon_sym_AMPadd_func] = ACTIONS(1502),
    [anon_sym_AMPbackend] = ACTIONS(1502),
    [anon_sym_AMPbroker_store] = ACTIONS(1502),
    [anon_sym_AMPcreate_expire] = ACTIONS(1502),
    [anon_sym_AMPdefault] = ACTIONS(1502),
    [anon_sym_AMPdelete_func] = ACTIONS(1502),
    [anon_sym_AMPexpire_func] = ACTIONS(1502),
    [anon_sym_AMPgroup] = ACTIONS(1502),
    [anon_sym_AMPon_change] = ACTIONS(1502),
    [anon_sym_AMPpriority] = ACTIONS(1502),
    [anon_sym_AMPread_expire] = ACTIONS(1502),
    [anon_sym_AMPtype_column] = ACTIONS(1502),
    [anon_sym_AMPwrite_expire] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_is] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1502),
    [anon_sym_QMARK] = ACTIONS(1504),
    [anon_sym_EQ_EQ] = ACTIONS(1502),
    [anon_sym_BANG_EQ] = ACTIONS(1502),
    [anon_sym_AMP_AMP] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1502),
    [anon_sym_ATdeprecated] = ACTIONS(1502),
    [anon_sym_ATload] = ACTIONS(1504),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1502),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1502),
    [anon_sym_ATunload] = ACTIONS(1502),
    [anon_sym_ATprefixes] = ACTIONS(1502),
    [anon_sym_ATif] = ACTIONS(1504),
    [anon_sym_ATifdef] = ACTIONS(1502),
    [anon_sym_ATifndef] = ACTIONS(1502),
    [anon_sym_ATendif] = ACTIONS(1502),
    [anon_sym_ATelse] = ACTIONS(1502),
    [anon_sym_ATpragma] = ACTIONS(1502),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [329] = {
    [anon_sym_SEMI] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(113),
    [anon_sym_COMMA] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(113),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(113),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [330] = {
    [anon_sym_SEMI] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [anon_sym_COLON] = ACTIONS(1532),
    [anon_sym_PLUS_EQ] = ACTIONS(1532),
    [anon_sym_DASH_EQ] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_RPAREN] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1532),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_RBRACK] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1534),
    [anon_sym_as] = ACTIONS(1532),
    [anon_sym_AMPdeprecated] = ACTIONS(1532),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1532),
    [anon_sym_AMPerror_handler] = ACTIONS(1532),
    [anon_sym_AMPis_assigned] = ACTIONS(1532),
    [anon_sym_AMPis_used] = ACTIONS(1532),
    [anon_sym_AMPlog] = ACTIONS(1532),
    [anon_sym_AMPoptional] = ACTIONS(1532),
    [anon_sym_AMPordered] = ACTIONS(1532),
    [anon_sym_AMPraw_output] = ACTIONS(1532),
    [anon_sym_AMPredef] = ACTIONS(1532),
    [anon_sym_AMPadd_func] = ACTIONS(1532),
    [anon_sym_AMPbackend] = ACTIONS(1532),
    [anon_sym_AMPbroker_store] = ACTIONS(1532),
    [anon_sym_AMPcreate_expire] = ACTIONS(1532),
    [anon_sym_AMPdefault] = ACTIONS(1532),
    [anon_sym_AMPdelete_func] = ACTIONS(1532),
    [anon_sym_AMPexpire_func] = ACTIONS(1532),
    [anon_sym_AMPgroup] = ACTIONS(1532),
    [anon_sym_AMPon_change] = ACTIONS(1532),
    [anon_sym_AMPpriority] = ACTIONS(1532),
    [anon_sym_AMPread_expire] = ACTIONS(1532),
    [anon_sym_AMPtype_column] = ACTIONS(1532),
    [anon_sym_AMPwrite_expire] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [anon_sym_PIPE] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_is] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1532),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PERCENT] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1532),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_CARET] = ACTIONS(1532),
    [anon_sym_QMARK] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_AMP_AMP] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1532),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1532),
    [anon_sym_ATdeprecated] = ACTIONS(1532),
    [anon_sym_ATload] = ACTIONS(1534),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1532),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1532),
    [anon_sym_ATunload] = ACTIONS(1532),
    [anon_sym_ATprefixes] = ACTIONS(1532),
    [anon_sym_ATif] = ACTIONS(1534),
    [anon_sym_ATifdef] = ACTIONS(1532),
    [anon_sym_ATifndef] = ACTIONS(1532),
    [anon_sym_ATendif] = ACTIONS(1532),
    [anon_sym_ATelse] = ACTIONS(1532),
    [anon_sym_ATpragma] = ACTIONS(1532),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_module] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_export] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_global] = ACTIONS(1538),
    [anon_sym_option] = ACTIONS(1538),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_redef] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_type] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1540),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [332] = {
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_COLON] = ACTIONS(1498),
    [anon_sym_PLUS_EQ] = ACTIONS(1498),
    [anon_sym_DASH_EQ] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_RPAREN] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1498),
    [anon_sym_in] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_RBRACK] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1500),
    [anon_sym_as] = ACTIONS(1498),
    [anon_sym_AMPdeprecated] = ACTIONS(1498),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1498),
    [anon_sym_AMPerror_handler] = ACTIONS(1498),
    [anon_sym_AMPis_assigned] = ACTIONS(1498),
    [anon_sym_AMPis_used] = ACTIONS(1498),
    [anon_sym_AMPlog] = ACTIONS(1498),
    [anon_sym_AMPoptional] = ACTIONS(1498),
    [anon_sym_AMPordered] = ACTIONS(1498),
    [anon_sym_AMPraw_output] = ACTIONS(1498),
    [anon_sym_AMPredef] = ACTIONS(1498),
    [anon_sym_AMPadd_func] = ACTIONS(1498),
    [anon_sym_AMPbackend] = ACTIONS(1498),
    [anon_sym_AMPbroker_store] = ACTIONS(1498),
    [anon_sym_AMPcreate_expire] = ACTIONS(1498),
    [anon_sym_AMPdefault] = ACTIONS(1498),
    [anon_sym_AMPdelete_func] = ACTIONS(1498),
    [anon_sym_AMPexpire_func] = ACTIONS(1498),
    [anon_sym_AMPgroup] = ACTIONS(1498),
    [anon_sym_AMPon_change] = ACTIONS(1498),
    [anon_sym_AMPpriority] = ACTIONS(1498),
    [anon_sym_AMPread_expire] = ACTIONS(1498),
    [anon_sym_AMPtype_column] = ACTIONS(1498),
    [anon_sym_AMPwrite_expire] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_is] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PERCENT] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1498),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1498),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1498),
    [anon_sym_ATdeprecated] = ACTIONS(1498),
    [anon_sym_ATload] = ACTIONS(1500),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1498),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1498),
    [anon_sym_ATunload] = ACTIONS(1498),
    [anon_sym_ATprefixes] = ACTIONS(1498),
    [anon_sym_ATif] = ACTIONS(1500),
    [anon_sym_ATifdef] = ACTIONS(1498),
    [anon_sym_ATifndef] = ACTIONS(1498),
    [anon_sym_ATendif] = ACTIONS(1498),
    [anon_sym_ATelse] = ACTIONS(1498),
    [anon_sym_ATpragma] = ACTIONS(1498),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [333] = {
    [anon_sym_SEMI] = ACTIONS(338),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_COLON] = ACTIONS(338),
    [anon_sym_PLUS_EQ] = ACTIONS(338),
    [anon_sym_DASH_EQ] = ACTIONS(338),
    [anon_sym_LPAREN] = ACTIONS(338),
    [anon_sym_RPAREN] = ACTIONS(338),
    [anon_sym_COMMA] = ACTIONS(338),
    [anon_sym_in] = ACTIONS(338),
    [anon_sym_LBRACK] = ACTIONS(338),
    [anon_sym_RBRACK] = ACTIONS(338),
    [anon_sym_EQ] = ACTIONS(340),
    [anon_sym_as] = ACTIONS(338),
    [anon_sym_AMPdeprecated] = ACTIONS(338),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(338),
    [anon_sym_AMPerror_handler] = ACTIONS(338),
    [anon_sym_AMPis_assigned] = ACTIONS(338),
    [anon_sym_AMPis_used] = ACTIONS(338),
    [anon_sym_AMPlog] = ACTIONS(338),
    [anon_sym_AMPoptional] = ACTIONS(338),
    [anon_sym_AMPordered] = ACTIONS(338),
    [anon_sym_AMPraw_output] = ACTIONS(338),
    [anon_sym_AMPredef] = ACTIONS(338),
    [anon_sym_AMPadd_func] = ACTIONS(338),
    [anon_sym_AMPbackend] = ACTIONS(338),
    [anon_sym_AMPbroker_store] = ACTIONS(338),
    [anon_sym_AMPcreate_expire] = ACTIONS(338),
    [anon_sym_AMPdefault] = ACTIONS(338),
    [anon_sym_AMPdelete_func] = ACTIONS(338),
    [anon_sym_AMPexpire_func] = ACTIONS(338),
    [anon_sym_AMPgroup] = ACTIONS(338),
    [anon_sym_AMPon_change] = ACTIONS(338),
    [anon_sym_AMPpriority] = ACTIONS(338),
    [anon_sym_AMPread_expire] = ACTIONS(338),
    [anon_sym_AMPtype_column] = ACTIONS(338),
    [anon_sym_AMPwrite_expire] = ACTIONS(338),
    [anon_sym_DOLLAR] = ACTIONS(338),
    [anon_sym_PIPE] = ACTIONS(340),
    [anon_sym_BANG] = ACTIONS(340),
    [anon_sym_DASH] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(340),
    [anon_sym_is] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(338),
    [anon_sym_SLASH] = ACTIONS(338),
    [anon_sym_PERCENT] = ACTIONS(338),
    [anon_sym_LT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(338),
    [anon_sym_GT] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(338),
    [anon_sym_AMP] = ACTIONS(340),
    [anon_sym_CARET] = ACTIONS(338),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(338),
    [anon_sym_BANG_EQ] = ACTIONS(338),
    [anon_sym_AMP_AMP] = ACTIONS(338),
    [anon_sym_PIPE_PIPE] = ACTIONS(338),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(338),
    [anon_sym_ATdeprecated] = ACTIONS(338),
    [anon_sym_ATload] = ACTIONS(340),
    [anon_sym_ATload_DASHsigs] = ACTIONS(338),
    [anon_sym_ATload_DASHplugin] = ACTIONS(338),
    [anon_sym_ATunload] = ACTIONS(338),
    [anon_sym_ATprefixes] = ACTIONS(338),
    [anon_sym_ATif] = ACTIONS(340),
    [anon_sym_ATifdef] = ACTIONS(338),
    [anon_sym_ATifndef] = ACTIONS(338),
    [anon_sym_ATendif] = ACTIONS(338),
    [anon_sym_ATelse] = ACTIONS(338),
    [anon_sym_ATpragma] = ACTIONS(338),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [334] = {
    [anon_sym_SEMI] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_RBRACE] = ACTIONS(568),
    [anon_sym_COLON] = ACTIONS(568),
    [anon_sym_PLUS_EQ] = ACTIONS(568),
    [anon_sym_DASH_EQ] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(568),
    [anon_sym_RPAREN] = ACTIONS(568),
    [anon_sym_COMMA] = ACTIONS(568),
    [anon_sym_in] = ACTIONS(568),
    [anon_sym_LBRACK] = ACTIONS(568),
    [anon_sym_RBRACK] = ACTIONS(568),
    [anon_sym_EQ] = ACTIONS(570),
    [anon_sym_as] = ACTIONS(568),
    [anon_sym_AMPdeprecated] = ACTIONS(568),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(568),
    [anon_sym_AMPerror_handler] = ACTIONS(568),
    [anon_sym_AMPis_assigned] = ACTIONS(568),
    [anon_sym_AMPis_used] = ACTIONS(568),
    [anon_sym_AMPlog] = ACTIONS(568),
    [anon_sym_AMPoptional] = ACTIONS(568),
    [anon_sym_AMPordered] = ACTIONS(568),
    [anon_sym_AMPraw_output] = ACTIONS(568),
    [anon_sym_AMPredef] = ACTIONS(568),
    [anon_sym_AMPadd_func] = ACTIONS(568),
    [anon_sym_AMPbackend] = ACTIONS(568),
    [anon_sym_AMPbroker_store] = ACTIONS(568),
    [anon_sym_AMPcreate_expire] = ACTIONS(568),
    [anon_sym_AMPdefault] = ACTIONS(568),
    [anon_sym_AMPdelete_func] = ACTIONS(568),
    [anon_sym_AMPexpire_func] = ACTIONS(568),
    [anon_sym_AMPgroup] = ACTIONS(568),
    [anon_sym_AMPon_change] = ACTIONS(568),
    [anon_sym_AMPpriority] = ACTIONS(568),
    [anon_sym_AMPread_expire] = ACTIONS(568),
    [anon_sym_AMPtype_column] = ACTIONS(568),
    [anon_sym_AMPwrite_expire] = ACTIONS(568),
    [anon_sym_DOLLAR] = ACTIONS(568),
    [anon_sym_PIPE] = ACTIONS(570),
    [anon_sym_BANG] = ACTIONS(570),
    [anon_sym_DASH] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(570),
    [anon_sym_is] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(568),
    [anon_sym_SLASH] = ACTIONS(568),
    [anon_sym_PERCENT] = ACTIONS(568),
    [anon_sym_LT] = ACTIONS(570),
    [anon_sym_LT_EQ] = ACTIONS(568),
    [anon_sym_GT] = ACTIONS(570),
    [anon_sym_GT_EQ] = ACTIONS(568),
    [anon_sym_AMP] = ACTIONS(570),
    [anon_sym_CARET] = ACTIONS(568),
    [anon_sym_QMARK] = ACTIONS(570),
    [anon_sym_EQ_EQ] = ACTIONS(568),
    [anon_sym_BANG_EQ] = ACTIONS(568),
    [anon_sym_AMP_AMP] = ACTIONS(568),
    [anon_sym_PIPE_PIPE] = ACTIONS(568),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(568),
    [anon_sym_ATdeprecated] = ACTIONS(568),
    [anon_sym_ATload] = ACTIONS(570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(568),
    [anon_sym_ATunload] = ACTIONS(568),
    [anon_sym_ATprefixes] = ACTIONS(568),
    [anon_sym_ATif] = ACTIONS(570),
    [anon_sym_ATifdef] = ACTIONS(568),
    [anon_sym_ATifndef] = ACTIONS(568),
    [anon_sym_ATendif] = ACTIONS(568),
    [anon_sym_ATelse] = ACTIONS(568),
    [anon_sym_ATpragma] = ACTIONS(568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [335] = {
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_PLUS_EQ] = ACTIONS(1482),
    [anon_sym_DASH_EQ] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_RPAREN] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_as] = ACTIONS(1482),
    [anon_sym_AMPdeprecated] = ACTIONS(1482),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1482),
    [anon_sym_AMPerror_handler] = ACTIONS(1482),
    [anon_sym_AMPis_assigned] = ACTIONS(1482),
    [anon_sym_AMPis_used] = ACTIONS(1482),
    [anon_sym_AMPlog] = ACTIONS(1482),
    [anon_sym_AMPoptional] = ACTIONS(1482),
    [anon_sym_AMPordered] = ACTIONS(1482),
    [anon_sym_AMPraw_output] = ACTIONS(1482),
    [anon_sym_AMPredef] = ACTIONS(1482),
    [anon_sym_AMPadd_func] = ACTIONS(1482),
    [anon_sym_AMPbackend] = ACTIONS(1482),
    [anon_sym_AMPbroker_store] = ACTIONS(1482),
    [anon_sym_AMPcreate_expire] = ACTIONS(1482),
    [anon_sym_AMPdefault] = ACTIONS(1482),
    [anon_sym_AMPdelete_func] = ACTIONS(1482),
    [anon_sym_AMPexpire_func] = ACTIONS(1482),
    [anon_sym_AMPgroup] = ACTIONS(1482),
    [anon_sym_AMPon_change] = ACTIONS(1482),
    [anon_sym_AMPpriority] = ACTIONS(1482),
    [anon_sym_AMPread_expire] = ACTIONS(1482),
    [anon_sym_AMPtype_column] = ACTIONS(1482),
    [anon_sym_AMPwrite_expire] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1482),
    [anon_sym_ATdeprecated] = ACTIONS(1482),
    [anon_sym_ATload] = ACTIONS(1484),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1482),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1482),
    [anon_sym_ATunload] = ACTIONS(1482),
    [anon_sym_ATprefixes] = ACTIONS(1482),
    [anon_sym_ATif] = ACTIONS(1484),
    [anon_sym_ATifdef] = ACTIONS(1482),
    [anon_sym_ATifndef] = ACTIONS(1482),
    [anon_sym_ATendif] = ACTIONS(1482),
    [anon_sym_ATelse] = ACTIONS(1482),
    [anon_sym_ATpragma] = ACTIONS(1482),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_module] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_export] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_global] = ACTIONS(1538),
    [anon_sym_option] = ACTIONS(1538),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_redef] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_type] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(1544),
    [anon_sym_module] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1544),
    [anon_sym_export] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_global] = ACTIONS(1546),
    [anon_sym_option] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_redef] = ACTIONS(1546),
    [anon_sym_record] = ACTIONS(1546),
    [anon_sym_type] = ACTIONS(1546),
    [anon_sym_print] = ACTIONS(1546),
    [anon_sym_event] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [anon_sym_switch] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_next] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_fallthrough] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_add] = ACTIONS(1546),
    [anon_sym_delete] = ACTIONS(1546),
    [anon_sym_local] = ACTIONS(1546),
    [anon_sym_when] = ACTIONS(1546),
    [anon_sym_assert] = ACTIONS(1546),
    [anon_sym_table] = ACTIONS(1546),
    [anon_sym_set] = ACTIONS(1546),
    [anon_sym_vector] = ACTIONS(1546),
    [anon_sym_function] = ACTIONS(1546),
    [anon_sym_hook] = ACTIONS(1546),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [anon_sym_PIPE] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_copy] = ACTIONS(1546),
    [anon_sym_schedule] = ACTIONS(1546),
    [aux_sym_constant_token1] = ACTIONS(1546),
    [anon_sym_T] = ACTIONS(1546),
    [anon_sym_F] = ACTIONS(1546),
    [anon_sym_ATdeprecated] = ACTIONS(1544),
    [anon_sym_ATload] = ACTIONS(1546),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1544),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1544),
    [anon_sym_ATunload] = ACTIONS(1544),
    [anon_sym_ATprefixes] = ACTIONS(1544),
    [anon_sym_ATif] = ACTIONS(1546),
    [anon_sym_ATifdef] = ACTIONS(1544),
    [anon_sym_ATifndef] = ACTIONS(1544),
    [anon_sym_ATendif] = ACTIONS(1544),
    [anon_sym_ATelse] = ACTIONS(1544),
    [anon_sym_ATpragma] = ACTIONS(1544),
    [anon_sym_ATDIR] = ACTIONS(1544),
    [anon_sym_ATFILENAME] = ACTIONS(1544),
    [sym_id] = ACTIONS(1546),
    [sym_pattern] = ACTIONS(1544),
    [sym_ipv6] = ACTIONS(1546),
    [sym_ipv4] = ACTIONS(1546),
    [sym_port] = ACTIONS(1544),
    [sym_floatp] = ACTIONS(1546),
    [sym_hex] = ACTIONS(1546),
    [sym_hostname] = ACTIONS(1546),
    [aux_sym_string_token1] = ACTIONS(1544),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(1548),
    [anon_sym_module] = ACTIONS(1550),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_export] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_global] = ACTIONS(1550),
    [anon_sym_option] = ACTIONS(1550),
    [anon_sym_const] = ACTIONS(1550),
    [anon_sym_redef] = ACTIONS(1550),
    [anon_sym_record] = ACTIONS(1550),
    [anon_sym_type] = ACTIONS(1550),
    [anon_sym_print] = ACTIONS(1550),
    [anon_sym_event] = ACTIONS(1550),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_switch] = ACTIONS(1550),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_while] = ACTIONS(1550),
    [anon_sym_next] = ACTIONS(1550),
    [anon_sym_break] = ACTIONS(1550),
    [anon_sym_fallthrough] = ACTIONS(1550),
    [anon_sym_return] = ACTIONS(1550),
    [anon_sym_add] = ACTIONS(1550),
    [anon_sym_delete] = ACTIONS(1550),
    [anon_sym_local] = ACTIONS(1550),
    [anon_sym_when] = ACTIONS(1550),
    [anon_sym_assert] = ACTIONS(1550),
    [anon_sym_table] = ACTIONS(1550),
    [anon_sym_set] = ACTIONS(1550),
    [anon_sym_vector] = ACTIONS(1550),
    [anon_sym_function] = ACTIONS(1550),
    [anon_sym_hook] = ACTIONS(1550),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_copy] = ACTIONS(1550),
    [anon_sym_schedule] = ACTIONS(1550),
    [aux_sym_constant_token1] = ACTIONS(1550),
    [anon_sym_T] = ACTIONS(1550),
    [anon_sym_F] = ACTIONS(1550),
    [anon_sym_ATdeprecated] = ACTIONS(1548),
    [anon_sym_ATload] = ACTIONS(1550),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1548),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1548),
    [anon_sym_ATunload] = ACTIONS(1548),
    [anon_sym_ATprefixes] = ACTIONS(1548),
    [anon_sym_ATif] = ACTIONS(1550),
    [anon_sym_ATifdef] = ACTIONS(1548),
    [anon_sym_ATifndef] = ACTIONS(1548),
    [anon_sym_ATendif] = ACTIONS(1548),
    [anon_sym_ATelse] = ACTIONS(1548),
    [anon_sym_ATpragma] = ACTIONS(1548),
    [anon_sym_ATDIR] = ACTIONS(1548),
    [anon_sym_ATFILENAME] = ACTIONS(1548),
    [sym_id] = ACTIONS(1550),
    [sym_pattern] = ACTIONS(1548),
    [sym_ipv6] = ACTIONS(1550),
    [sym_ipv4] = ACTIONS(1550),
    [sym_port] = ACTIONS(1548),
    [sym_floatp] = ACTIONS(1550),
    [sym_hex] = ACTIONS(1550),
    [sym_hostname] = ACTIONS(1550),
    [aux_sym_string_token1] = ACTIONS(1548),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(1552),
    [anon_sym_module] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1552),
    [anon_sym_export] = ACTIONS(1554),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_global] = ACTIONS(1554),
    [anon_sym_option] = ACTIONS(1554),
    [anon_sym_const] = ACTIONS(1554),
    [anon_sym_redef] = ACTIONS(1554),
    [anon_sym_record] = ACTIONS(1554),
    [anon_sym_type] = ACTIONS(1554),
    [anon_sym_print] = ACTIONS(1554),
    [anon_sym_event] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [anon_sym_switch] = ACTIONS(1554),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_while] = ACTIONS(1554),
    [anon_sym_next] = ACTIONS(1554),
    [anon_sym_break] = ACTIONS(1554),
    [anon_sym_fallthrough] = ACTIONS(1554),
    [anon_sym_return] = ACTIONS(1554),
    [anon_sym_add] = ACTIONS(1554),
    [anon_sym_delete] = ACTIONS(1554),
    [anon_sym_local] = ACTIONS(1554),
    [anon_sym_when] = ACTIONS(1554),
    [anon_sym_assert] = ACTIONS(1554),
    [anon_sym_table] = ACTIONS(1554),
    [anon_sym_set] = ACTIONS(1554),
    [anon_sym_vector] = ACTIONS(1554),
    [anon_sym_function] = ACTIONS(1554),
    [anon_sym_hook] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1552),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_copy] = ACTIONS(1554),
    [anon_sym_schedule] = ACTIONS(1554),
    [aux_sym_constant_token1] = ACTIONS(1554),
    [anon_sym_T] = ACTIONS(1554),
    [anon_sym_F] = ACTIONS(1554),
    [anon_sym_ATdeprecated] = ACTIONS(1552),
    [anon_sym_ATload] = ACTIONS(1554),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1552),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1552),
    [anon_sym_ATunload] = ACTIONS(1552),
    [anon_sym_ATprefixes] = ACTIONS(1552),
    [anon_sym_ATif] = ACTIONS(1554),
    [anon_sym_ATifdef] = ACTIONS(1552),
    [anon_sym_ATifndef] = ACTIONS(1552),
    [anon_sym_ATendif] = ACTIONS(1552),
    [anon_sym_ATelse] = ACTIONS(1552),
    [anon_sym_ATpragma] = ACTIONS(1552),
    [anon_sym_ATDIR] = ACTIONS(1552),
    [anon_sym_ATFILENAME] = ACTIONS(1552),
    [sym_id] = ACTIONS(1554),
    [sym_pattern] = ACTIONS(1552),
    [sym_ipv6] = ACTIONS(1554),
    [sym_ipv4] = ACTIONS(1554),
    [sym_port] = ACTIONS(1552),
    [sym_floatp] = ACTIONS(1554),
    [sym_hex] = ACTIONS(1554),
    [sym_hostname] = ACTIONS(1554),
    [aux_sym_string_token1] = ACTIONS(1552),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(1556),
    [anon_sym_module] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1556),
    [anon_sym_export] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_global] = ACTIONS(1558),
    [anon_sym_option] = ACTIONS(1558),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_redef] = ACTIONS(1558),
    [anon_sym_record] = ACTIONS(1558),
    [anon_sym_type] = ACTIONS(1558),
    [anon_sym_print] = ACTIONS(1558),
    [anon_sym_event] = ACTIONS(1558),
    [anon_sym_if] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [anon_sym_switch] = ACTIONS(1558),
    [anon_sym_for] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_while] = ACTIONS(1558),
    [anon_sym_next] = ACTIONS(1558),
    [anon_sym_break] = ACTIONS(1558),
    [anon_sym_fallthrough] = ACTIONS(1558),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_add] = ACTIONS(1558),
    [anon_sym_delete] = ACTIONS(1558),
    [anon_sym_local] = ACTIONS(1558),
    [anon_sym_when] = ACTIONS(1558),
    [anon_sym_assert] = ACTIONS(1558),
    [anon_sym_table] = ACTIONS(1558),
    [anon_sym_set] = ACTIONS(1558),
    [anon_sym_vector] = ACTIONS(1558),
    [anon_sym_function] = ACTIONS(1558),
    [anon_sym_hook] = ACTIONS(1558),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [anon_sym_PIPE] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1556),
    [anon_sym_DASH_DASH] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_copy] = ACTIONS(1558),
    [anon_sym_schedule] = ACTIONS(1558),
    [aux_sym_constant_token1] = ACTIONS(1558),
    [anon_sym_T] = ACTIONS(1558),
    [anon_sym_F] = ACTIONS(1558),
    [anon_sym_ATdeprecated] = ACTIONS(1556),
    [anon_sym_ATload] = ACTIONS(1558),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1556),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1556),
    [anon_sym_ATunload] = ACTIONS(1556),
    [anon_sym_ATprefixes] = ACTIONS(1556),
    [anon_sym_ATif] = ACTIONS(1558),
    [anon_sym_ATifdef] = ACTIONS(1556),
    [anon_sym_ATifndef] = ACTIONS(1556),
    [anon_sym_ATendif] = ACTIONS(1556),
    [anon_sym_ATelse] = ACTIONS(1556),
    [anon_sym_ATpragma] = ACTIONS(1556),
    [anon_sym_ATDIR] = ACTIONS(1556),
    [anon_sym_ATFILENAME] = ACTIONS(1556),
    [sym_id] = ACTIONS(1558),
    [sym_pattern] = ACTIONS(1556),
    [sym_ipv6] = ACTIONS(1558),
    [sym_ipv4] = ACTIONS(1558),
    [sym_port] = ACTIONS(1556),
    [sym_floatp] = ACTIONS(1558),
    [sym_hex] = ACTIONS(1558),
    [sym_hostname] = ACTIONS(1558),
    [aux_sym_string_token1] = ACTIONS(1556),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(1560),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_global] = ACTIONS(1562),
    [anon_sym_option] = ACTIONS(1562),
    [anon_sym_const] = ACTIONS(1562),
    [anon_sym_redef] = ACTIONS(1562),
    [anon_sym_record] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_print] = ACTIONS(1562),
    [anon_sym_event] = ACTIONS(1562),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_switch] = ACTIONS(1562),
    [anon_sym_for] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_while] = ACTIONS(1562),
    [anon_sym_next] = ACTIONS(1562),
    [anon_sym_break] = ACTIONS(1562),
    [anon_sym_fallthrough] = ACTIONS(1562),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_add] = ACTIONS(1562),
    [anon_sym_delete] = ACTIONS(1562),
    [anon_sym_local] = ACTIONS(1562),
    [anon_sym_when] = ACTIONS(1562),
    [anon_sym_assert] = ACTIONS(1562),
    [anon_sym_table] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_vector] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(1562),
    [anon_sym_hook] = ACTIONS(1562),
    [anon_sym_DOLLAR] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1560),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_copy] = ACTIONS(1562),
    [anon_sym_schedule] = ACTIONS(1562),
    [aux_sym_constant_token1] = ACTIONS(1562),
    [anon_sym_T] = ACTIONS(1562),
    [anon_sym_F] = ACTIONS(1562),
    [anon_sym_ATdeprecated] = ACTIONS(1560),
    [anon_sym_ATload] = ACTIONS(1562),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1560),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1560),
    [anon_sym_ATunload] = ACTIONS(1560),
    [anon_sym_ATprefixes] = ACTIONS(1560),
    [anon_sym_ATif] = ACTIONS(1562),
    [anon_sym_ATifdef] = ACTIONS(1560),
    [anon_sym_ATifndef] = ACTIONS(1560),
    [anon_sym_ATendif] = ACTIONS(1560),
    [anon_sym_ATelse] = ACTIONS(1560),
    [anon_sym_ATpragma] = ACTIONS(1560),
    [anon_sym_ATDIR] = ACTIONS(1560),
    [anon_sym_ATFILENAME] = ACTIONS(1560),
    [sym_id] = ACTIONS(1562),
    [sym_pattern] = ACTIONS(1560),
    [sym_ipv6] = ACTIONS(1562),
    [sym_ipv4] = ACTIONS(1562),
    [sym_port] = ACTIONS(1560),
    [sym_floatp] = ACTIONS(1562),
    [sym_hex] = ACTIONS(1562),
    [sym_hostname] = ACTIONS(1562),
    [aux_sym_string_token1] = ACTIONS(1560),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1564),
    [anon_sym_export] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_global] = ACTIONS(1566),
    [anon_sym_option] = ACTIONS(1566),
    [anon_sym_const] = ACTIONS(1566),
    [anon_sym_redef] = ACTIONS(1566),
    [anon_sym_record] = ACTIONS(1566),
    [anon_sym_type] = ACTIONS(1566),
    [anon_sym_print] = ACTIONS(1566),
    [anon_sym_event] = ACTIONS(1566),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_switch] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_next] = ACTIONS(1566),
    [anon_sym_break] = ACTIONS(1566),
    [anon_sym_fallthrough] = ACTIONS(1566),
    [anon_sym_return] = ACTIONS(1566),
    [anon_sym_add] = ACTIONS(1566),
    [anon_sym_delete] = ACTIONS(1566),
    [anon_sym_local] = ACTIONS(1566),
    [anon_sym_when] = ACTIONS(1566),
    [anon_sym_assert] = ACTIONS(1566),
    [anon_sym_table] = ACTIONS(1566),
    [anon_sym_set] = ACTIONS(1566),
    [anon_sym_vector] = ACTIONS(1566),
    [anon_sym_function] = ACTIONS(1566),
    [anon_sym_hook] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1564),
    [anon_sym_PIPE] = ACTIONS(1564),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_copy] = ACTIONS(1566),
    [anon_sym_schedule] = ACTIONS(1566),
    [aux_sym_constant_token1] = ACTIONS(1566),
    [anon_sym_T] = ACTIONS(1566),
    [anon_sym_F] = ACTIONS(1566),
    [anon_sym_ATdeprecated] = ACTIONS(1564),
    [anon_sym_ATload] = ACTIONS(1566),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1564),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1564),
    [anon_sym_ATunload] = ACTIONS(1564),
    [anon_sym_ATprefixes] = ACTIONS(1564),
    [anon_sym_ATif] = ACTIONS(1566),
    [anon_sym_ATifdef] = ACTIONS(1564),
    [anon_sym_ATifndef] = ACTIONS(1564),
    [anon_sym_ATendif] = ACTIONS(1564),
    [anon_sym_ATelse] = ACTIONS(1564),
    [anon_sym_ATpragma] = ACTIONS(1564),
    [anon_sym_ATDIR] = ACTIONS(1564),
    [anon_sym_ATFILENAME] = ACTIONS(1564),
    [sym_id] = ACTIONS(1566),
    [sym_pattern] = ACTIONS(1564),
    [sym_ipv6] = ACTIONS(1566),
    [sym_ipv4] = ACTIONS(1566),
    [sym_port] = ACTIONS(1564),
    [sym_floatp] = ACTIONS(1566),
    [sym_hex] = ACTIONS(1566),
    [sym_hostname] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1564),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1568),
    [anon_sym_module] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_export] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_global] = ACTIONS(1570),
    [anon_sym_option] = ACTIONS(1570),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_redef] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_type] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [anon_sym_module] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_export] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_global] = ACTIONS(1516),
    [anon_sym_option] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_redef] = ACTIONS(1516),
    [anon_sym_record] = ACTIONS(1516),
    [anon_sym_type] = ACTIONS(1516),
    [anon_sym_print] = ACTIONS(1516),
    [anon_sym_event] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_next] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_fallthrough] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_add] = ACTIONS(1516),
    [anon_sym_delete] = ACTIONS(1516),
    [anon_sym_local] = ACTIONS(1516),
    [anon_sym_when] = ACTIONS(1516),
    [anon_sym_assert] = ACTIONS(1516),
    [anon_sym_table] = ACTIONS(1516),
    [anon_sym_set] = ACTIONS(1516),
    [anon_sym_vector] = ACTIONS(1516),
    [anon_sym_function] = ACTIONS(1516),
    [anon_sym_hook] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_copy] = ACTIONS(1516),
    [anon_sym_schedule] = ACTIONS(1516),
    [aux_sym_constant_token1] = ACTIONS(1516),
    [anon_sym_T] = ACTIONS(1516),
    [anon_sym_F] = ACTIONS(1516),
    [anon_sym_ATdeprecated] = ACTIONS(1514),
    [anon_sym_ATload] = ACTIONS(1516),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1514),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1514),
    [anon_sym_ATunload] = ACTIONS(1514),
    [anon_sym_ATprefixes] = ACTIONS(1514),
    [anon_sym_ATif] = ACTIONS(1516),
    [anon_sym_ATifdef] = ACTIONS(1514),
    [anon_sym_ATifndef] = ACTIONS(1514),
    [anon_sym_ATendif] = ACTIONS(1514),
    [anon_sym_ATelse] = ACTIONS(1514),
    [anon_sym_ATpragma] = ACTIONS(1514),
    [anon_sym_ATDIR] = ACTIONS(1514),
    [anon_sym_ATFILENAME] = ACTIONS(1514),
    [sym_id] = ACTIONS(1516),
    [sym_pattern] = ACTIONS(1514),
    [sym_ipv6] = ACTIONS(1516),
    [sym_ipv4] = ACTIONS(1516),
    [sym_port] = ACTIONS(1514),
    [sym_floatp] = ACTIONS(1516),
    [sym_hex] = ACTIONS(1516),
    [sym_hostname] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1514),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1572),
    [anon_sym_module] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_export] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_global] = ACTIONS(1574),
    [anon_sym_option] = ACTIONS(1574),
    [anon_sym_const] = ACTIONS(1574),
    [anon_sym_redef] = ACTIONS(1574),
    [anon_sym_record] = ACTIONS(1574),
    [anon_sym_type] = ACTIONS(1574),
    [anon_sym_print] = ACTIONS(1574),
    [anon_sym_event] = ACTIONS(1574),
    [anon_sym_if] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_switch] = ACTIONS(1574),
    [anon_sym_for] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_while] = ACTIONS(1574),
    [anon_sym_next] = ACTIONS(1574),
    [anon_sym_break] = ACTIONS(1574),
    [anon_sym_fallthrough] = ACTIONS(1574),
    [anon_sym_return] = ACTIONS(1574),
    [anon_sym_add] = ACTIONS(1574),
    [anon_sym_delete] = ACTIONS(1574),
    [anon_sym_local] = ACTIONS(1574),
    [anon_sym_when] = ACTIONS(1574),
    [anon_sym_assert] = ACTIONS(1574),
    [anon_sym_table] = ACTIONS(1574),
    [anon_sym_set] = ACTIONS(1574),
    [anon_sym_vector] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(1574),
    [anon_sym_hook] = ACTIONS(1574),
    [anon_sym_DOLLAR] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1572),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_copy] = ACTIONS(1574),
    [anon_sym_schedule] = ACTIONS(1574),
    [aux_sym_constant_token1] = ACTIONS(1574),
    [anon_sym_T] = ACTIONS(1574),
    [anon_sym_F] = ACTIONS(1574),
    [anon_sym_ATdeprecated] = ACTIONS(1572),
    [anon_sym_ATload] = ACTIONS(1574),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1572),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1572),
    [anon_sym_ATunload] = ACTIONS(1572),
    [anon_sym_ATprefixes] = ACTIONS(1572),
    [anon_sym_ATif] = ACTIONS(1574),
    [anon_sym_ATifdef] = ACTIONS(1572),
    [anon_sym_ATifndef] = ACTIONS(1572),
    [anon_sym_ATendif] = ACTIONS(1572),
    [anon_sym_ATelse] = ACTIONS(1572),
    [anon_sym_ATpragma] = ACTIONS(1572),
    [anon_sym_ATDIR] = ACTIONS(1572),
    [anon_sym_ATFILENAME] = ACTIONS(1572),
    [sym_id] = ACTIONS(1574),
    [sym_pattern] = ACTIONS(1572),
    [sym_ipv6] = ACTIONS(1574),
    [sym_ipv4] = ACTIONS(1574),
    [sym_port] = ACTIONS(1572),
    [sym_floatp] = ACTIONS(1574),
    [sym_hex] = ACTIONS(1574),
    [sym_hostname] = ACTIONS(1574),
    [aux_sym_string_token1] = ACTIONS(1572),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1576),
    [anon_sym_module] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_global] = ACTIONS(1578),
    [anon_sym_option] = ACTIONS(1578),
    [anon_sym_const] = ACTIONS(1578),
    [anon_sym_redef] = ACTIONS(1578),
    [anon_sym_record] = ACTIONS(1578),
    [anon_sym_type] = ACTIONS(1578),
    [anon_sym_print] = ACTIONS(1578),
    [anon_sym_event] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_switch] = ACTIONS(1578),
    [anon_sym_for] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_while] = ACTIONS(1578),
    [anon_sym_next] = ACTIONS(1578),
    [anon_sym_break] = ACTIONS(1578),
    [anon_sym_fallthrough] = ACTIONS(1578),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_add] = ACTIONS(1578),
    [anon_sym_delete] = ACTIONS(1578),
    [anon_sym_local] = ACTIONS(1578),
    [anon_sym_when] = ACTIONS(1578),
    [anon_sym_assert] = ACTIONS(1578),
    [anon_sym_table] = ACTIONS(1578),
    [anon_sym_set] = ACTIONS(1578),
    [anon_sym_vector] = ACTIONS(1578),
    [anon_sym_function] = ACTIONS(1578),
    [anon_sym_hook] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_copy] = ACTIONS(1578),
    [anon_sym_schedule] = ACTIONS(1578),
    [aux_sym_constant_token1] = ACTIONS(1578),
    [anon_sym_T] = ACTIONS(1578),
    [anon_sym_F] = ACTIONS(1578),
    [anon_sym_ATdeprecated] = ACTIONS(1576),
    [anon_sym_ATload] = ACTIONS(1578),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1576),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1576),
    [anon_sym_ATunload] = ACTIONS(1576),
    [anon_sym_ATprefixes] = ACTIONS(1576),
    [anon_sym_ATif] = ACTIONS(1578),
    [anon_sym_ATifdef] = ACTIONS(1576),
    [anon_sym_ATifndef] = ACTIONS(1576),
    [anon_sym_ATendif] = ACTIONS(1576),
    [anon_sym_ATelse] = ACTIONS(1576),
    [anon_sym_ATpragma] = ACTIONS(1576),
    [anon_sym_ATDIR] = ACTIONS(1576),
    [anon_sym_ATFILENAME] = ACTIONS(1576),
    [sym_id] = ACTIONS(1578),
    [sym_pattern] = ACTIONS(1576),
    [sym_ipv6] = ACTIONS(1578),
    [sym_ipv4] = ACTIONS(1578),
    [sym_port] = ACTIONS(1576),
    [sym_floatp] = ACTIONS(1578),
    [sym_hex] = ACTIONS(1578),
    [sym_hostname] = ACTIONS(1578),
    [aux_sym_string_token1] = ACTIONS(1576),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1580),
    [anon_sym_module] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1580),
    [anon_sym_export] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_global] = ACTIONS(1582),
    [anon_sym_option] = ACTIONS(1582),
    [anon_sym_const] = ACTIONS(1582),
    [anon_sym_redef] = ACTIONS(1582),
    [anon_sym_record] = ACTIONS(1582),
    [anon_sym_type] = ACTIONS(1582),
    [anon_sym_print] = ACTIONS(1582),
    [anon_sym_event] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_switch] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_next] = ACTIONS(1582),
    [anon_sym_break] = ACTIONS(1582),
    [anon_sym_fallthrough] = ACTIONS(1582),
    [anon_sym_return] = ACTIONS(1582),
    [anon_sym_add] = ACTIONS(1582),
    [anon_sym_delete] = ACTIONS(1582),
    [anon_sym_local] = ACTIONS(1582),
    [anon_sym_when] = ACTIONS(1582),
    [anon_sym_assert] = ACTIONS(1582),
    [anon_sym_table] = ACTIONS(1582),
    [anon_sym_set] = ACTIONS(1582),
    [anon_sym_vector] = ACTIONS(1582),
    [anon_sym_function] = ACTIONS(1582),
    [anon_sym_hook] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1580),
    [anon_sym_DASH_DASH] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_copy] = ACTIONS(1582),
    [anon_sym_schedule] = ACTIONS(1582),
    [aux_sym_constant_token1] = ACTIONS(1582),
    [anon_sym_T] = ACTIONS(1582),
    [anon_sym_F] = ACTIONS(1582),
    [anon_sym_ATdeprecated] = ACTIONS(1580),
    [anon_sym_ATload] = ACTIONS(1582),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1580),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1580),
    [anon_sym_ATunload] = ACTIONS(1580),
    [anon_sym_ATprefixes] = ACTIONS(1580),
    [anon_sym_ATif] = ACTIONS(1582),
    [anon_sym_ATifdef] = ACTIONS(1580),
    [anon_sym_ATifndef] = ACTIONS(1580),
    [anon_sym_ATendif] = ACTIONS(1580),
    [anon_sym_ATelse] = ACTIONS(1580),
    [anon_sym_ATpragma] = ACTIONS(1580),
    [anon_sym_ATDIR] = ACTIONS(1580),
    [anon_sym_ATFILENAME] = ACTIONS(1580),
    [sym_id] = ACTIONS(1582),
    [sym_pattern] = ACTIONS(1580),
    [sym_ipv6] = ACTIONS(1582),
    [sym_ipv4] = ACTIONS(1582),
    [sym_port] = ACTIONS(1580),
    [sym_floatp] = ACTIONS(1582),
    [sym_hex] = ACTIONS(1582),
    [sym_hostname] = ACTIONS(1582),
    [aux_sym_string_token1] = ACTIONS(1580),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [348] = {
    [ts_builtin_sym_end] = ACTIONS(1576),
    [anon_sym_module] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_global] = ACTIONS(1578),
    [anon_sym_option] = ACTIONS(1578),
    [anon_sym_const] = ACTIONS(1578),
    [anon_sym_redef] = ACTIONS(1578),
    [anon_sym_record] = ACTIONS(1578),
    [anon_sym_type] = ACTIONS(1578),
    [anon_sym_print] = ACTIONS(1578),
    [anon_sym_event] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_switch] = ACTIONS(1578),
    [anon_sym_for] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_while] = ACTIONS(1578),
    [anon_sym_next] = ACTIONS(1578),
    [anon_sym_break] = ACTIONS(1578),
    [anon_sym_fallthrough] = ACTIONS(1578),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_add] = ACTIONS(1578),
    [anon_sym_delete] = ACTIONS(1578),
    [anon_sym_local] = ACTIONS(1578),
    [anon_sym_when] = ACTIONS(1578),
    [anon_sym_assert] = ACTIONS(1578),
    [anon_sym_table] = ACTIONS(1578),
    [anon_sym_set] = ACTIONS(1578),
    [anon_sym_vector] = ACTIONS(1578),
    [anon_sym_function] = ACTIONS(1578),
    [anon_sym_hook] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_copy] = ACTIONS(1578),
    [anon_sym_schedule] = ACTIONS(1578),
    [aux_sym_constant_token1] = ACTIONS(1578),
    [anon_sym_T] = ACTIONS(1578),
    [anon_sym_F] = ACTIONS(1578),
    [anon_sym_ATdeprecated] = ACTIONS(1576),
    [anon_sym_ATload] = ACTIONS(1578),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1576),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1576),
    [anon_sym_ATunload] = ACTIONS(1576),
    [anon_sym_ATprefixes] = ACTIONS(1576),
    [anon_sym_ATif] = ACTIONS(1578),
    [anon_sym_ATifdef] = ACTIONS(1576),
    [anon_sym_ATifndef] = ACTIONS(1576),
    [anon_sym_ATendif] = ACTIONS(1576),
    [anon_sym_ATelse] = ACTIONS(1576),
    [anon_sym_ATpragma] = ACTIONS(1576),
    [anon_sym_ATDIR] = ACTIONS(1576),
    [anon_sym_ATFILENAME] = ACTIONS(1576),
    [sym_id] = ACTIONS(1578),
    [sym_pattern] = ACTIONS(1576),
    [sym_ipv6] = ACTIONS(1578),
    [sym_ipv4] = ACTIONS(1578),
    [sym_port] = ACTIONS(1576),
    [sym_floatp] = ACTIONS(1578),
    [sym_hex] = ACTIONS(1578),
    [sym_hostname] = ACTIONS(1578),
    [aux_sym_string_token1] = ACTIONS(1576),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1584),
    [anon_sym_export] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym_global] = ACTIONS(1586),
    [anon_sym_option] = ACTIONS(1586),
    [anon_sym_const] = ACTIONS(1586),
    [anon_sym_redef] = ACTIONS(1586),
    [anon_sym_record] = ACTIONS(1586),
    [anon_sym_type] = ACTIONS(1586),
    [anon_sym_print] = ACTIONS(1586),
    [anon_sym_event] = ACTIONS(1586),
    [anon_sym_if] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_switch] = ACTIONS(1586),
    [anon_sym_for] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_while] = ACTIONS(1586),
    [anon_sym_next] = ACTIONS(1586),
    [anon_sym_break] = ACTIONS(1586),
    [anon_sym_fallthrough] = ACTIONS(1586),
    [anon_sym_return] = ACTIONS(1586),
    [anon_sym_add] = ACTIONS(1586),
    [anon_sym_delete] = ACTIONS(1586),
    [anon_sym_local] = ACTIONS(1586),
    [anon_sym_when] = ACTIONS(1586),
    [anon_sym_assert] = ACTIONS(1586),
    [anon_sym_table] = ACTIONS(1586),
    [anon_sym_set] = ACTIONS(1586),
    [anon_sym_vector] = ACTIONS(1586),
    [anon_sym_function] = ACTIONS(1586),
    [anon_sym_hook] = ACTIONS(1586),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_copy] = ACTIONS(1586),
    [anon_sym_schedule] = ACTIONS(1586),
    [aux_sym_constant_token1] = ACTIONS(1586),
    [anon_sym_T] = ACTIONS(1586),
    [anon_sym_F] = ACTIONS(1586),
    [anon_sym_ATdeprecated] = ACTIONS(1584),
    [anon_sym_ATload] = ACTIONS(1586),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1584),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1584),
    [anon_sym_ATunload] = ACTIONS(1584),
    [anon_sym_ATprefixes] = ACTIONS(1584),
    [anon_sym_ATif] = ACTIONS(1586),
    [anon_sym_ATifdef] = ACTIONS(1584),
    [anon_sym_ATifndef] = ACTIONS(1584),
    [anon_sym_ATendif] = ACTIONS(1584),
    [anon_sym_ATelse] = ACTIONS(1584),
    [anon_sym_ATpragma] = ACTIONS(1584),
    [anon_sym_ATDIR] = ACTIONS(1584),
    [anon_sym_ATFILENAME] = ACTIONS(1584),
    [sym_id] = ACTIONS(1586),
    [sym_pattern] = ACTIONS(1584),
    [sym_ipv6] = ACTIONS(1586),
    [sym_ipv4] = ACTIONS(1586),
    [sym_port] = ACTIONS(1584),
    [sym_floatp] = ACTIONS(1586),
    [sym_hex] = ACTIONS(1586),
    [sym_hostname] = ACTIONS(1586),
    [aux_sym_string_token1] = ACTIONS(1584),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(1588),
    [anon_sym_module] = ACTIONS(1590),
    [anon_sym_SEMI] = ACTIONS(1588),
    [anon_sym_export] = ACTIONS(1590),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_global] = ACTIONS(1590),
    [anon_sym_option] = ACTIONS(1590),
    [anon_sym_const] = ACTIONS(1590),
    [anon_sym_redef] = ACTIONS(1590),
    [anon_sym_record] = ACTIONS(1590),
    [anon_sym_type] = ACTIONS(1590),
    [anon_sym_print] = ACTIONS(1590),
    [anon_sym_event] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [anon_sym_switch] = ACTIONS(1590),
    [anon_sym_for] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1588),
    [anon_sym_while] = ACTIONS(1590),
    [anon_sym_next] = ACTIONS(1590),
    [anon_sym_break] = ACTIONS(1590),
    [anon_sym_fallthrough] = ACTIONS(1590),
    [anon_sym_return] = ACTIONS(1590),
    [anon_sym_add] = ACTIONS(1590),
    [anon_sym_delete] = ACTIONS(1590),
    [anon_sym_local] = ACTIONS(1590),
    [anon_sym_when] = ACTIONS(1590),
    [anon_sym_assert] = ACTIONS(1590),
    [anon_sym_table] = ACTIONS(1590),
    [anon_sym_set] = ACTIONS(1590),
    [anon_sym_vector] = ACTIONS(1590),
    [anon_sym_function] = ACTIONS(1590),
    [anon_sym_hook] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1588),
    [anon_sym_DASH_DASH] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_copy] = ACTIONS(1590),
    [anon_sym_schedule] = ACTIONS(1590),
    [aux_sym_constant_token1] = ACTIONS(1590),
    [anon_sym_T] = ACTIONS(1590),
    [anon_sym_F] = ACTIONS(1590),
    [anon_sym_ATdeprecated] = ACTIONS(1588),
    [anon_sym_ATload] = ACTIONS(1590),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1588),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1588),
    [anon_sym_ATunload] = ACTIONS(1588),
    [anon_sym_ATprefixes] = ACTIONS(1588),
    [anon_sym_ATif] = ACTIONS(1590),
    [anon_sym_ATifdef] = ACTIONS(1588),
    [anon_sym_ATifndef] = ACTIONS(1588),
    [anon_sym_ATendif] = ACTIONS(1588),
    [anon_sym_ATelse] = ACTIONS(1588),
    [anon_sym_ATpragma] = ACTIONS(1588),
    [anon_sym_ATDIR] = ACTIONS(1588),
    [anon_sym_ATFILENAME] = ACTIONS(1588),
    [sym_id] = ACTIONS(1590),
    [sym_pattern] = ACTIONS(1588),
    [sym_ipv6] = ACTIONS(1590),
    [sym_ipv4] = ACTIONS(1590),
    [sym_port] = ACTIONS(1588),
    [sym_floatp] = ACTIONS(1590),
    [sym_hex] = ACTIONS(1590),
    [sym_hostname] = ACTIONS(1590),
    [aux_sym_string_token1] = ACTIONS(1588),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1594),
    [anon_sym_LBRACE] = ACTIONS(1592),
    [anon_sym_global] = ACTIONS(1594),
    [anon_sym_option] = ACTIONS(1594),
    [anon_sym_const] = ACTIONS(1594),
    [anon_sym_redef] = ACTIONS(1594),
    [anon_sym_record] = ACTIONS(1594),
    [anon_sym_type] = ACTIONS(1594),
    [anon_sym_print] = ACTIONS(1594),
    [anon_sym_event] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1594),
    [anon_sym_for] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1594),
    [anon_sym_next] = ACTIONS(1594),
    [anon_sym_break] = ACTIONS(1594),
    [anon_sym_fallthrough] = ACTIONS(1594),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_add] = ACTIONS(1594),
    [anon_sym_delete] = ACTIONS(1594),
    [anon_sym_local] = ACTIONS(1594),
    [anon_sym_when] = ACTIONS(1594),
    [anon_sym_assert] = ACTIONS(1594),
    [anon_sym_table] = ACTIONS(1594),
    [anon_sym_set] = ACTIONS(1594),
    [anon_sym_vector] = ACTIONS(1594),
    [anon_sym_function] = ACTIONS(1594),
    [anon_sym_hook] = ACTIONS(1594),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1592),
    [anon_sym_DASH_DASH] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_copy] = ACTIONS(1594),
    [anon_sym_schedule] = ACTIONS(1594),
    [aux_sym_constant_token1] = ACTIONS(1594),
    [anon_sym_T] = ACTIONS(1594),
    [anon_sym_F] = ACTIONS(1594),
    [anon_sym_ATdeprecated] = ACTIONS(1592),
    [anon_sym_ATload] = ACTIONS(1594),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1592),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1592),
    [anon_sym_ATunload] = ACTIONS(1592),
    [anon_sym_ATprefixes] = ACTIONS(1592),
    [anon_sym_ATif] = ACTIONS(1594),
    [anon_sym_ATifdef] = ACTIONS(1592),
    [anon_sym_ATifndef] = ACTIONS(1592),
    [anon_sym_ATendif] = ACTIONS(1592),
    [anon_sym_ATelse] = ACTIONS(1592),
    [anon_sym_ATpragma] = ACTIONS(1592),
    [anon_sym_ATDIR] = ACTIONS(1592),
    [anon_sym_ATFILENAME] = ACTIONS(1592),
    [sym_id] = ACTIONS(1594),
    [sym_pattern] = ACTIONS(1592),
    [sym_ipv6] = ACTIONS(1594),
    [sym_ipv4] = ACTIONS(1594),
    [sym_port] = ACTIONS(1592),
    [sym_floatp] = ACTIONS(1594),
    [sym_hex] = ACTIONS(1594),
    [sym_hostname] = ACTIONS(1594),
    [aux_sym_string_token1] = ACTIONS(1592),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(1596),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1596),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [anon_sym_global] = ACTIONS(1598),
    [anon_sym_option] = ACTIONS(1598),
    [anon_sym_const] = ACTIONS(1598),
    [anon_sym_redef] = ACTIONS(1598),
    [anon_sym_record] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_print] = ACTIONS(1598),
    [anon_sym_event] = ACTIONS(1598),
    [anon_sym_if] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_switch] = ACTIONS(1598),
    [anon_sym_for] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_while] = ACTIONS(1598),
    [anon_sym_next] = ACTIONS(1598),
    [anon_sym_break] = ACTIONS(1598),
    [anon_sym_fallthrough] = ACTIONS(1598),
    [anon_sym_return] = ACTIONS(1598),
    [anon_sym_add] = ACTIONS(1598),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_local] = ACTIONS(1598),
    [anon_sym_when] = ACTIONS(1598),
    [anon_sym_assert] = ACTIONS(1598),
    [anon_sym_table] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_vector] = ACTIONS(1598),
    [anon_sym_function] = ACTIONS(1598),
    [anon_sym_hook] = ACTIONS(1598),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_TILDE] = ACTIONS(1596),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_copy] = ACTIONS(1598),
    [anon_sym_schedule] = ACTIONS(1598),
    [aux_sym_constant_token1] = ACTIONS(1598),
    [anon_sym_T] = ACTIONS(1598),
    [anon_sym_F] = ACTIONS(1598),
    [anon_sym_ATdeprecated] = ACTIONS(1596),
    [anon_sym_ATload] = ACTIONS(1598),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1596),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1596),
    [anon_sym_ATunload] = ACTIONS(1596),
    [anon_sym_ATprefixes] = ACTIONS(1596),
    [anon_sym_ATif] = ACTIONS(1598),
    [anon_sym_ATifdef] = ACTIONS(1596),
    [anon_sym_ATifndef] = ACTIONS(1596),
    [anon_sym_ATendif] = ACTIONS(1596),
    [anon_sym_ATelse] = ACTIONS(1596),
    [anon_sym_ATpragma] = ACTIONS(1596),
    [anon_sym_ATDIR] = ACTIONS(1596),
    [anon_sym_ATFILENAME] = ACTIONS(1596),
    [sym_id] = ACTIONS(1598),
    [sym_pattern] = ACTIONS(1596),
    [sym_ipv6] = ACTIONS(1598),
    [sym_ipv4] = ACTIONS(1598),
    [sym_port] = ACTIONS(1596),
    [sym_floatp] = ACTIONS(1598),
    [sym_hex] = ACTIONS(1598),
    [sym_hostname] = ACTIONS(1598),
    [aux_sym_string_token1] = ACTIONS(1596),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1560),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_global] = ACTIONS(1562),
    [anon_sym_option] = ACTIONS(1562),
    [anon_sym_const] = ACTIONS(1562),
    [anon_sym_redef] = ACTIONS(1562),
    [anon_sym_record] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_print] = ACTIONS(1562),
    [anon_sym_event] = ACTIONS(1562),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_switch] = ACTIONS(1562),
    [anon_sym_for] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_while] = ACTIONS(1562),
    [anon_sym_next] = ACTIONS(1562),
    [anon_sym_break] = ACTIONS(1562),
    [anon_sym_fallthrough] = ACTIONS(1562),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_add] = ACTIONS(1562),
    [anon_sym_delete] = ACTIONS(1562),
    [anon_sym_local] = ACTIONS(1562),
    [anon_sym_when] = ACTIONS(1562),
    [anon_sym_assert] = ACTIONS(1562),
    [anon_sym_table] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_vector] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(1562),
    [anon_sym_hook] = ACTIONS(1562),
    [anon_sym_DOLLAR] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1560),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_copy] = ACTIONS(1562),
    [anon_sym_schedule] = ACTIONS(1562),
    [aux_sym_constant_token1] = ACTIONS(1562),
    [anon_sym_T] = ACTIONS(1562),
    [anon_sym_F] = ACTIONS(1562),
    [anon_sym_ATdeprecated] = ACTIONS(1560),
    [anon_sym_ATload] = ACTIONS(1562),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1560),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1560),
    [anon_sym_ATunload] = ACTIONS(1560),
    [anon_sym_ATprefixes] = ACTIONS(1560),
    [anon_sym_ATif] = ACTIONS(1562),
    [anon_sym_ATifdef] = ACTIONS(1560),
    [anon_sym_ATifndef] = ACTIONS(1560),
    [anon_sym_ATendif] = ACTIONS(1560),
    [anon_sym_ATelse] = ACTIONS(1560),
    [anon_sym_ATpragma] = ACTIONS(1560),
    [anon_sym_ATDIR] = ACTIONS(1560),
    [anon_sym_ATFILENAME] = ACTIONS(1560),
    [sym_id] = ACTIONS(1562),
    [sym_pattern] = ACTIONS(1560),
    [sym_ipv6] = ACTIONS(1562),
    [sym_ipv4] = ACTIONS(1562),
    [sym_port] = ACTIONS(1560),
    [sym_floatp] = ACTIONS(1562),
    [sym_hex] = ACTIONS(1562),
    [sym_hostname] = ACTIONS(1562),
    [aux_sym_string_token1] = ACTIONS(1560),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1594),
    [anon_sym_LBRACE] = ACTIONS(1592),
    [anon_sym_global] = ACTIONS(1594),
    [anon_sym_option] = ACTIONS(1594),
    [anon_sym_const] = ACTIONS(1594),
    [anon_sym_redef] = ACTIONS(1594),
    [anon_sym_record] = ACTIONS(1594),
    [anon_sym_type] = ACTIONS(1594),
    [anon_sym_print] = ACTIONS(1594),
    [anon_sym_event] = ACTIONS(1594),
    [anon_sym_if] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1594),
    [anon_sym_for] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1594),
    [anon_sym_next] = ACTIONS(1594),
    [anon_sym_break] = ACTIONS(1594),
    [anon_sym_fallthrough] = ACTIONS(1594),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_add] = ACTIONS(1594),
    [anon_sym_delete] = ACTIONS(1594),
    [anon_sym_local] = ACTIONS(1594),
    [anon_sym_when] = ACTIONS(1594),
    [anon_sym_assert] = ACTIONS(1594),
    [anon_sym_table] = ACTIONS(1594),
    [anon_sym_set] = ACTIONS(1594),
    [anon_sym_vector] = ACTIONS(1594),
    [anon_sym_function] = ACTIONS(1594),
    [anon_sym_hook] = ACTIONS(1594),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1592),
    [anon_sym_DASH_DASH] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_copy] = ACTIONS(1594),
    [anon_sym_schedule] = ACTIONS(1594),
    [aux_sym_constant_token1] = ACTIONS(1594),
    [anon_sym_T] = ACTIONS(1594),
    [anon_sym_F] = ACTIONS(1594),
    [anon_sym_ATdeprecated] = ACTIONS(1592),
    [anon_sym_ATload] = ACTIONS(1594),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1592),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1592),
    [anon_sym_ATunload] = ACTIONS(1592),
    [anon_sym_ATprefixes] = ACTIONS(1592),
    [anon_sym_ATif] = ACTIONS(1594),
    [anon_sym_ATifdef] = ACTIONS(1592),
    [anon_sym_ATifndef] = ACTIONS(1592),
    [anon_sym_ATendif] = ACTIONS(1592),
    [anon_sym_ATelse] = ACTIONS(1592),
    [anon_sym_ATpragma] = ACTIONS(1592),
    [anon_sym_ATDIR] = ACTIONS(1592),
    [anon_sym_ATFILENAME] = ACTIONS(1592),
    [sym_id] = ACTIONS(1594),
    [sym_pattern] = ACTIONS(1592),
    [sym_ipv6] = ACTIONS(1594),
    [sym_ipv4] = ACTIONS(1594),
    [sym_port] = ACTIONS(1592),
    [sym_floatp] = ACTIONS(1594),
    [sym_hex] = ACTIONS(1594),
    [sym_hostname] = ACTIONS(1594),
    [aux_sym_string_token1] = ACTIONS(1592),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(1600),
    [anon_sym_module] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_export] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_global] = ACTIONS(1602),
    [anon_sym_option] = ACTIONS(1602),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_redef] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_type] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(1604),
    [anon_sym_module] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1604),
    [anon_sym_export] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_global] = ACTIONS(1606),
    [anon_sym_option] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1606),
    [anon_sym_redef] = ACTIONS(1606),
    [anon_sym_record] = ACTIONS(1606),
    [anon_sym_type] = ACTIONS(1606),
    [anon_sym_print] = ACTIONS(1606),
    [anon_sym_event] = ACTIONS(1606),
    [anon_sym_if] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_switch] = ACTIONS(1606),
    [anon_sym_for] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_while] = ACTIONS(1606),
    [anon_sym_next] = ACTIONS(1606),
    [anon_sym_break] = ACTIONS(1606),
    [anon_sym_fallthrough] = ACTIONS(1606),
    [anon_sym_return] = ACTIONS(1606),
    [anon_sym_add] = ACTIONS(1606),
    [anon_sym_delete] = ACTIONS(1606),
    [anon_sym_local] = ACTIONS(1606),
    [anon_sym_when] = ACTIONS(1606),
    [anon_sym_assert] = ACTIONS(1606),
    [anon_sym_table] = ACTIONS(1606),
    [anon_sym_set] = ACTIONS(1606),
    [anon_sym_vector] = ACTIONS(1606),
    [anon_sym_function] = ACTIONS(1606),
    [anon_sym_hook] = ACTIONS(1606),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_copy] = ACTIONS(1606),
    [anon_sym_schedule] = ACTIONS(1606),
    [aux_sym_constant_token1] = ACTIONS(1606),
    [anon_sym_T] = ACTIONS(1606),
    [anon_sym_F] = ACTIONS(1606),
    [anon_sym_ATdeprecated] = ACTIONS(1604),
    [anon_sym_ATload] = ACTIONS(1606),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1604),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1604),
    [anon_sym_ATunload] = ACTIONS(1604),
    [anon_sym_ATprefixes] = ACTIONS(1604),
    [anon_sym_ATif] = ACTIONS(1606),
    [anon_sym_ATifdef] = ACTIONS(1604),
    [anon_sym_ATifndef] = ACTIONS(1604),
    [anon_sym_ATendif] = ACTIONS(1604),
    [anon_sym_ATelse] = ACTIONS(1604),
    [anon_sym_ATpragma] = ACTIONS(1604),
    [anon_sym_ATDIR] = ACTIONS(1604),
    [anon_sym_ATFILENAME] = ACTIONS(1604),
    [sym_id] = ACTIONS(1606),
    [sym_pattern] = ACTIONS(1604),
    [sym_ipv6] = ACTIONS(1606),
    [sym_ipv4] = ACTIONS(1606),
    [sym_port] = ACTIONS(1604),
    [sym_floatp] = ACTIONS(1606),
    [sym_hex] = ACTIONS(1606),
    [sym_hostname] = ACTIONS(1606),
    [aux_sym_string_token1] = ACTIONS(1604),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1524),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_global] = ACTIONS(1526),
    [anon_sym_option] = ACTIONS(1526),
    [anon_sym_const] = ACTIONS(1526),
    [anon_sym_redef] = ACTIONS(1526),
    [anon_sym_record] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_print] = ACTIONS(1526),
    [anon_sym_event] = ACTIONS(1526),
    [anon_sym_if] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_switch] = ACTIONS(1526),
    [anon_sym_for] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_while] = ACTIONS(1526),
    [anon_sym_next] = ACTIONS(1526),
    [anon_sym_break] = ACTIONS(1526),
    [anon_sym_fallthrough] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(1526),
    [anon_sym_add] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_local] = ACTIONS(1526),
    [anon_sym_when] = ACTIONS(1526),
    [anon_sym_assert] = ACTIONS(1526),
    [anon_sym_table] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_vector] = ACTIONS(1526),
    [anon_sym_function] = ACTIONS(1526),
    [anon_sym_hook] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_copy] = ACTIONS(1526),
    [anon_sym_schedule] = ACTIONS(1526),
    [aux_sym_constant_token1] = ACTIONS(1526),
    [anon_sym_T] = ACTIONS(1526),
    [anon_sym_F] = ACTIONS(1526),
    [anon_sym_ATdeprecated] = ACTIONS(1524),
    [anon_sym_ATload] = ACTIONS(1526),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1524),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1524),
    [anon_sym_ATunload] = ACTIONS(1524),
    [anon_sym_ATprefixes] = ACTIONS(1524),
    [anon_sym_ATif] = ACTIONS(1526),
    [anon_sym_ATifdef] = ACTIONS(1524),
    [anon_sym_ATifndef] = ACTIONS(1524),
    [anon_sym_ATendif] = ACTIONS(1524),
    [anon_sym_ATelse] = ACTIONS(1524),
    [anon_sym_ATpragma] = ACTIONS(1524),
    [anon_sym_ATDIR] = ACTIONS(1524),
    [anon_sym_ATFILENAME] = ACTIONS(1524),
    [sym_id] = ACTIONS(1526),
    [sym_pattern] = ACTIONS(1524),
    [sym_ipv6] = ACTIONS(1526),
    [sym_ipv4] = ACTIONS(1526),
    [sym_port] = ACTIONS(1524),
    [sym_floatp] = ACTIONS(1526),
    [sym_hex] = ACTIONS(1526),
    [sym_hostname] = ACTIONS(1526),
    [aux_sym_string_token1] = ACTIONS(1524),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(1608),
    [anon_sym_module] = ACTIONS(1610),
    [anon_sym_SEMI] = ACTIONS(1608),
    [anon_sym_export] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1608),
    [anon_sym_global] = ACTIONS(1610),
    [anon_sym_option] = ACTIONS(1610),
    [anon_sym_const] = ACTIONS(1610),
    [anon_sym_redef] = ACTIONS(1610),
    [anon_sym_record] = ACTIONS(1610),
    [anon_sym_type] = ACTIONS(1610),
    [anon_sym_print] = ACTIONS(1610),
    [anon_sym_event] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1610),
    [anon_sym_for] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_while] = ACTIONS(1610),
    [anon_sym_next] = ACTIONS(1610),
    [anon_sym_break] = ACTIONS(1610),
    [anon_sym_fallthrough] = ACTIONS(1610),
    [anon_sym_return] = ACTIONS(1610),
    [anon_sym_add] = ACTIONS(1610),
    [anon_sym_delete] = ACTIONS(1610),
    [anon_sym_local] = ACTIONS(1610),
    [anon_sym_when] = ACTIONS(1610),
    [anon_sym_assert] = ACTIONS(1610),
    [anon_sym_table] = ACTIONS(1610),
    [anon_sym_set] = ACTIONS(1610),
    [anon_sym_vector] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1610),
    [anon_sym_hook] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1608),
    [anon_sym_DASH_DASH] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_copy] = ACTIONS(1610),
    [anon_sym_schedule] = ACTIONS(1610),
    [aux_sym_constant_token1] = ACTIONS(1610),
    [anon_sym_T] = ACTIONS(1610),
    [anon_sym_F] = ACTIONS(1610),
    [anon_sym_ATdeprecated] = ACTIONS(1608),
    [anon_sym_ATload] = ACTIONS(1610),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1608),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1608),
    [anon_sym_ATunload] = ACTIONS(1608),
    [anon_sym_ATprefixes] = ACTIONS(1608),
    [anon_sym_ATif] = ACTIONS(1610),
    [anon_sym_ATifdef] = ACTIONS(1608),
    [anon_sym_ATifndef] = ACTIONS(1608),
    [anon_sym_ATendif] = ACTIONS(1608),
    [anon_sym_ATelse] = ACTIONS(1608),
    [anon_sym_ATpragma] = ACTIONS(1608),
    [anon_sym_ATDIR] = ACTIONS(1608),
    [anon_sym_ATFILENAME] = ACTIONS(1608),
    [sym_id] = ACTIONS(1610),
    [sym_pattern] = ACTIONS(1608),
    [sym_ipv6] = ACTIONS(1610),
    [sym_ipv4] = ACTIONS(1610),
    [sym_port] = ACTIONS(1608),
    [sym_floatp] = ACTIONS(1610),
    [sym_hex] = ACTIONS(1610),
    [sym_hostname] = ACTIONS(1610),
    [aux_sym_string_token1] = ACTIONS(1608),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1612),
    [anon_sym_module] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1612),
    [anon_sym_export] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_global] = ACTIONS(1614),
    [anon_sym_option] = ACTIONS(1614),
    [anon_sym_const] = ACTIONS(1614),
    [anon_sym_redef] = ACTIONS(1614),
    [anon_sym_record] = ACTIONS(1614),
    [anon_sym_type] = ACTIONS(1614),
    [anon_sym_print] = ACTIONS(1614),
    [anon_sym_event] = ACTIONS(1614),
    [anon_sym_if] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [anon_sym_switch] = ACTIONS(1614),
    [anon_sym_for] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1612),
    [anon_sym_while] = ACTIONS(1614),
    [anon_sym_next] = ACTIONS(1614),
    [anon_sym_break] = ACTIONS(1614),
    [anon_sym_fallthrough] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1614),
    [anon_sym_add] = ACTIONS(1614),
    [anon_sym_delete] = ACTIONS(1614),
    [anon_sym_local] = ACTIONS(1614),
    [anon_sym_when] = ACTIONS(1614),
    [anon_sym_assert] = ACTIONS(1614),
    [anon_sym_table] = ACTIONS(1614),
    [anon_sym_set] = ACTIONS(1614),
    [anon_sym_vector] = ACTIONS(1614),
    [anon_sym_function] = ACTIONS(1614),
    [anon_sym_hook] = ACTIONS(1614),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1612),
    [anon_sym_DASH_DASH] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_copy] = ACTIONS(1614),
    [anon_sym_schedule] = ACTIONS(1614),
    [aux_sym_constant_token1] = ACTIONS(1614),
    [anon_sym_T] = ACTIONS(1614),
    [anon_sym_F] = ACTIONS(1614),
    [anon_sym_ATdeprecated] = ACTIONS(1612),
    [anon_sym_ATload] = ACTIONS(1614),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1612),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1612),
    [anon_sym_ATunload] = ACTIONS(1612),
    [anon_sym_ATprefixes] = ACTIONS(1612),
    [anon_sym_ATif] = ACTIONS(1614),
    [anon_sym_ATifdef] = ACTIONS(1612),
    [anon_sym_ATifndef] = ACTIONS(1612),
    [anon_sym_ATendif] = ACTIONS(1612),
    [anon_sym_ATelse] = ACTIONS(1612),
    [anon_sym_ATpragma] = ACTIONS(1612),
    [anon_sym_ATDIR] = ACTIONS(1612),
    [anon_sym_ATFILENAME] = ACTIONS(1612),
    [sym_id] = ACTIONS(1614),
    [sym_pattern] = ACTIONS(1612),
    [sym_ipv6] = ACTIONS(1614),
    [sym_ipv4] = ACTIONS(1614),
    [sym_port] = ACTIONS(1612),
    [sym_floatp] = ACTIONS(1614),
    [sym_hex] = ACTIONS(1614),
    [sym_hostname] = ACTIONS(1614),
    [aux_sym_string_token1] = ACTIONS(1612),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1616),
    [anon_sym_module] = ACTIONS(1618),
    [anon_sym_SEMI] = ACTIONS(1616),
    [anon_sym_export] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_global] = ACTIONS(1618),
    [anon_sym_option] = ACTIONS(1618),
    [anon_sym_const] = ACTIONS(1618),
    [anon_sym_redef] = ACTIONS(1618),
    [anon_sym_record] = ACTIONS(1618),
    [anon_sym_type] = ACTIONS(1618),
    [anon_sym_print] = ACTIONS(1618),
    [anon_sym_event] = ACTIONS(1618),
    [anon_sym_if] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_switch] = ACTIONS(1618),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_while] = ACTIONS(1618),
    [anon_sym_next] = ACTIONS(1618),
    [anon_sym_break] = ACTIONS(1618),
    [anon_sym_fallthrough] = ACTIONS(1618),
    [anon_sym_return] = ACTIONS(1618),
    [anon_sym_add] = ACTIONS(1618),
    [anon_sym_delete] = ACTIONS(1618),
    [anon_sym_local] = ACTIONS(1618),
    [anon_sym_when] = ACTIONS(1618),
    [anon_sym_assert] = ACTIONS(1618),
    [anon_sym_table] = ACTIONS(1618),
    [anon_sym_set] = ACTIONS(1618),
    [anon_sym_vector] = ACTIONS(1618),
    [anon_sym_function] = ACTIONS(1618),
    [anon_sym_hook] = ACTIONS(1618),
    [anon_sym_DOLLAR] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1616),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_BANG] = ACTIONS(1616),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_DASH] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_copy] = ACTIONS(1618),
    [anon_sym_schedule] = ACTIONS(1618),
    [aux_sym_constant_token1] = ACTIONS(1618),
    [anon_sym_T] = ACTIONS(1618),
    [anon_sym_F] = ACTIONS(1618),
    [anon_sym_ATdeprecated] = ACTIONS(1616),
    [anon_sym_ATload] = ACTIONS(1618),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1616),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1616),
    [anon_sym_ATunload] = ACTIONS(1616),
    [anon_sym_ATprefixes] = ACTIONS(1616),
    [anon_sym_ATif] = ACTIONS(1618),
    [anon_sym_ATifdef] = ACTIONS(1616),
    [anon_sym_ATifndef] = ACTIONS(1616),
    [anon_sym_ATendif] = ACTIONS(1616),
    [anon_sym_ATelse] = ACTIONS(1616),
    [anon_sym_ATpragma] = ACTIONS(1616),
    [anon_sym_ATDIR] = ACTIONS(1616),
    [anon_sym_ATFILENAME] = ACTIONS(1616),
    [sym_id] = ACTIONS(1618),
    [sym_pattern] = ACTIONS(1616),
    [sym_ipv6] = ACTIONS(1618),
    [sym_ipv4] = ACTIONS(1618),
    [sym_port] = ACTIONS(1616),
    [sym_floatp] = ACTIONS(1618),
    [sym_hex] = ACTIONS(1618),
    [sym_hostname] = ACTIONS(1618),
    [aux_sym_string_token1] = ACTIONS(1616),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1620),
    [anon_sym_module] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_export] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_global] = ACTIONS(1622),
    [anon_sym_option] = ACTIONS(1622),
    [anon_sym_const] = ACTIONS(1622),
    [anon_sym_redef] = ACTIONS(1622),
    [anon_sym_record] = ACTIONS(1622),
    [anon_sym_type] = ACTIONS(1622),
    [anon_sym_print] = ACTIONS(1622),
    [anon_sym_event] = ACTIONS(1622),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [anon_sym_switch] = ACTIONS(1622),
    [anon_sym_for] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1620),
    [anon_sym_while] = ACTIONS(1622),
    [anon_sym_next] = ACTIONS(1622),
    [anon_sym_break] = ACTIONS(1622),
    [anon_sym_fallthrough] = ACTIONS(1622),
    [anon_sym_return] = ACTIONS(1622),
    [anon_sym_add] = ACTIONS(1622),
    [anon_sym_delete] = ACTIONS(1622),
    [anon_sym_local] = ACTIONS(1622),
    [anon_sym_when] = ACTIONS(1622),
    [anon_sym_assert] = ACTIONS(1622),
    [anon_sym_table] = ACTIONS(1622),
    [anon_sym_set] = ACTIONS(1622),
    [anon_sym_vector] = ACTIONS(1622),
    [anon_sym_function] = ACTIONS(1622),
    [anon_sym_hook] = ACTIONS(1622),
    [anon_sym_DOLLAR] = ACTIONS(1620),
    [anon_sym_PIPE] = ACTIONS(1620),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1620),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_copy] = ACTIONS(1622),
    [anon_sym_schedule] = ACTIONS(1622),
    [aux_sym_constant_token1] = ACTIONS(1622),
    [anon_sym_T] = ACTIONS(1622),
    [anon_sym_F] = ACTIONS(1622),
    [anon_sym_ATdeprecated] = ACTIONS(1620),
    [anon_sym_ATload] = ACTIONS(1622),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1620),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1620),
    [anon_sym_ATunload] = ACTIONS(1620),
    [anon_sym_ATprefixes] = ACTIONS(1620),
    [anon_sym_ATif] = ACTIONS(1622),
    [anon_sym_ATifdef] = ACTIONS(1620),
    [anon_sym_ATifndef] = ACTIONS(1620),
    [anon_sym_ATendif] = ACTIONS(1620),
    [anon_sym_ATelse] = ACTIONS(1620),
    [anon_sym_ATpragma] = ACTIONS(1620),
    [anon_sym_ATDIR] = ACTIONS(1620),
    [anon_sym_ATFILENAME] = ACTIONS(1620),
    [sym_id] = ACTIONS(1622),
    [sym_pattern] = ACTIONS(1620),
    [sym_ipv6] = ACTIONS(1622),
    [sym_ipv4] = ACTIONS(1622),
    [sym_port] = ACTIONS(1620),
    [sym_floatp] = ACTIONS(1622),
    [sym_hex] = ACTIONS(1622),
    [sym_hostname] = ACTIONS(1622),
    [aux_sym_string_token1] = ACTIONS(1620),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1604),
    [anon_sym_module] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1604),
    [anon_sym_export] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_global] = ACTIONS(1606),
    [anon_sym_option] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1606),
    [anon_sym_redef] = ACTIONS(1606),
    [anon_sym_record] = ACTIONS(1606),
    [anon_sym_type] = ACTIONS(1606),
    [anon_sym_print] = ACTIONS(1606),
    [anon_sym_event] = ACTIONS(1606),
    [anon_sym_if] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_switch] = ACTIONS(1606),
    [anon_sym_for] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_while] = ACTIONS(1606),
    [anon_sym_next] = ACTIONS(1606),
    [anon_sym_break] = ACTIONS(1606),
    [anon_sym_fallthrough] = ACTIONS(1606),
    [anon_sym_return] = ACTIONS(1606),
    [anon_sym_add] = ACTIONS(1606),
    [anon_sym_delete] = ACTIONS(1606),
    [anon_sym_local] = ACTIONS(1606),
    [anon_sym_when] = ACTIONS(1606),
    [anon_sym_assert] = ACTIONS(1606),
    [anon_sym_table] = ACTIONS(1606),
    [anon_sym_set] = ACTIONS(1606),
    [anon_sym_vector] = ACTIONS(1606),
    [anon_sym_function] = ACTIONS(1606),
    [anon_sym_hook] = ACTIONS(1606),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_copy] = ACTIONS(1606),
    [anon_sym_schedule] = ACTIONS(1606),
    [aux_sym_constant_token1] = ACTIONS(1606),
    [anon_sym_T] = ACTIONS(1606),
    [anon_sym_F] = ACTIONS(1606),
    [anon_sym_ATdeprecated] = ACTIONS(1604),
    [anon_sym_ATload] = ACTIONS(1606),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1604),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1604),
    [anon_sym_ATunload] = ACTIONS(1604),
    [anon_sym_ATprefixes] = ACTIONS(1604),
    [anon_sym_ATif] = ACTIONS(1606),
    [anon_sym_ATifdef] = ACTIONS(1604),
    [anon_sym_ATifndef] = ACTIONS(1604),
    [anon_sym_ATendif] = ACTIONS(1604),
    [anon_sym_ATelse] = ACTIONS(1604),
    [anon_sym_ATpragma] = ACTIONS(1604),
    [anon_sym_ATDIR] = ACTIONS(1604),
    [anon_sym_ATFILENAME] = ACTIONS(1604),
    [sym_id] = ACTIONS(1606),
    [sym_pattern] = ACTIONS(1604),
    [sym_ipv6] = ACTIONS(1606),
    [sym_ipv4] = ACTIONS(1606),
    [sym_port] = ACTIONS(1604),
    [sym_floatp] = ACTIONS(1606),
    [sym_hex] = ACTIONS(1606),
    [sym_hostname] = ACTIONS(1606),
    [aux_sym_string_token1] = ACTIONS(1604),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [363] = {
    [sym_attr_list] = STATE(2492),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(1300),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(1624),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [anon_sym_local] = ACTIONS(117),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(1628),
    [anon_sym_module] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1628),
    [anon_sym_export] = ACTIONS(1630),
    [anon_sym_LBRACE] = ACTIONS(1628),
    [anon_sym_global] = ACTIONS(1630),
    [anon_sym_option] = ACTIONS(1630),
    [anon_sym_const] = ACTIONS(1630),
    [anon_sym_redef] = ACTIONS(1630),
    [anon_sym_record] = ACTIONS(1630),
    [anon_sym_type] = ACTIONS(1630),
    [anon_sym_print] = ACTIONS(1630),
    [anon_sym_event] = ACTIONS(1630),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_for] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(1628),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_next] = ACTIONS(1630),
    [anon_sym_break] = ACTIONS(1630),
    [anon_sym_fallthrough] = ACTIONS(1630),
    [anon_sym_return] = ACTIONS(1630),
    [anon_sym_add] = ACTIONS(1630),
    [anon_sym_delete] = ACTIONS(1630),
    [anon_sym_local] = ACTIONS(1630),
    [anon_sym_when] = ACTIONS(1630),
    [anon_sym_assert] = ACTIONS(1630),
    [anon_sym_table] = ACTIONS(1630),
    [anon_sym_set] = ACTIONS(1630),
    [anon_sym_vector] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(1630),
    [anon_sym_hook] = ACTIONS(1630),
    [anon_sym_DOLLAR] = ACTIONS(1628),
    [anon_sym_PIPE] = ACTIONS(1628),
    [anon_sym_PLUS_PLUS] = ACTIONS(1628),
    [anon_sym_DASH_DASH] = ACTIONS(1628),
    [anon_sym_BANG] = ACTIONS(1628),
    [anon_sym_TILDE] = ACTIONS(1628),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_copy] = ACTIONS(1630),
    [anon_sym_schedule] = ACTIONS(1630),
    [aux_sym_constant_token1] = ACTIONS(1630),
    [anon_sym_T] = ACTIONS(1630),
    [anon_sym_F] = ACTIONS(1630),
    [anon_sym_ATdeprecated] = ACTIONS(1628),
    [anon_sym_ATload] = ACTIONS(1630),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1628),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1628),
    [anon_sym_ATunload] = ACTIONS(1628),
    [anon_sym_ATprefixes] = ACTIONS(1628),
    [anon_sym_ATif] = ACTIONS(1630),
    [anon_sym_ATifdef] = ACTIONS(1628),
    [anon_sym_ATifndef] = ACTIONS(1628),
    [anon_sym_ATendif] = ACTIONS(1628),
    [anon_sym_ATelse] = ACTIONS(1628),
    [anon_sym_ATpragma] = ACTIONS(1628),
    [anon_sym_ATDIR] = ACTIONS(1628),
    [anon_sym_ATFILENAME] = ACTIONS(1628),
    [sym_id] = ACTIONS(1630),
    [sym_pattern] = ACTIONS(1628),
    [sym_ipv6] = ACTIONS(1630),
    [sym_ipv4] = ACTIONS(1630),
    [sym_port] = ACTIONS(1628),
    [sym_floatp] = ACTIONS(1630),
    [sym_hex] = ACTIONS(1630),
    [sym_hostname] = ACTIONS(1630),
    [aux_sym_string_token1] = ACTIONS(1628),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1634),
    [anon_sym_SEMI] = ACTIONS(1632),
    [anon_sym_export] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1632),
    [anon_sym_global] = ACTIONS(1634),
    [anon_sym_option] = ACTIONS(1634),
    [anon_sym_const] = ACTIONS(1634),
    [anon_sym_redef] = ACTIONS(1634),
    [anon_sym_record] = ACTIONS(1634),
    [anon_sym_type] = ACTIONS(1634),
    [anon_sym_print] = ACTIONS(1634),
    [anon_sym_event] = ACTIONS(1634),
    [anon_sym_if] = ACTIONS(1634),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [anon_sym_switch] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_next] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(1634),
    [anon_sym_fallthrough] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1634),
    [anon_sym_add] = ACTIONS(1634),
    [anon_sym_delete] = ACTIONS(1634),
    [anon_sym_local] = ACTIONS(1634),
    [anon_sym_when] = ACTIONS(1634),
    [anon_sym_assert] = ACTIONS(1634),
    [anon_sym_table] = ACTIONS(1634),
    [anon_sym_set] = ACTIONS(1634),
    [anon_sym_vector] = ACTIONS(1634),
    [anon_sym_function] = ACTIONS(1634),
    [anon_sym_hook] = ACTIONS(1634),
    [anon_sym_DOLLAR] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1632),
    [anon_sym_PLUS_PLUS] = ACTIONS(1632),
    [anon_sym_DASH_DASH] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1634),
    [anon_sym_copy] = ACTIONS(1634),
    [anon_sym_schedule] = ACTIONS(1634),
    [aux_sym_constant_token1] = ACTIONS(1634),
    [anon_sym_T] = ACTIONS(1634),
    [anon_sym_F] = ACTIONS(1634),
    [anon_sym_ATdeprecated] = ACTIONS(1632),
    [anon_sym_ATload] = ACTIONS(1634),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1632),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1632),
    [anon_sym_ATunload] = ACTIONS(1632),
    [anon_sym_ATprefixes] = ACTIONS(1632),
    [anon_sym_ATif] = ACTIONS(1634),
    [anon_sym_ATifdef] = ACTIONS(1632),
    [anon_sym_ATifndef] = ACTIONS(1632),
    [anon_sym_ATendif] = ACTIONS(1632),
    [anon_sym_ATelse] = ACTIONS(1632),
    [anon_sym_ATpragma] = ACTIONS(1632),
    [anon_sym_ATDIR] = ACTIONS(1632),
    [anon_sym_ATFILENAME] = ACTIONS(1632),
    [sym_id] = ACTIONS(1634),
    [sym_pattern] = ACTIONS(1632),
    [sym_ipv6] = ACTIONS(1634),
    [sym_ipv4] = ACTIONS(1634),
    [sym_port] = ACTIONS(1632),
    [sym_floatp] = ACTIONS(1634),
    [sym_hex] = ACTIONS(1634),
    [sym_hostname] = ACTIONS(1634),
    [aux_sym_string_token1] = ACTIONS(1632),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_global] = ACTIONS(1494),
    [anon_sym_option] = ACTIONS(1494),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_redef] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [anon_sym_module] = ACTIONS(1638),
    [anon_sym_SEMI] = ACTIONS(1636),
    [anon_sym_export] = ACTIONS(1638),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_global] = ACTIONS(1638),
    [anon_sym_option] = ACTIONS(1638),
    [anon_sym_const] = ACTIONS(1638),
    [anon_sym_redef] = ACTIONS(1638),
    [anon_sym_record] = ACTIONS(1638),
    [anon_sym_type] = ACTIONS(1638),
    [anon_sym_print] = ACTIONS(1638),
    [anon_sym_event] = ACTIONS(1638),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [anon_sym_switch] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_next] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_fallthrough] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_add] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_local] = ACTIONS(1638),
    [anon_sym_when] = ACTIONS(1638),
    [anon_sym_assert] = ACTIONS(1638),
    [anon_sym_table] = ACTIONS(1638),
    [anon_sym_set] = ACTIONS(1638),
    [anon_sym_vector] = ACTIONS(1638),
    [anon_sym_function] = ACTIONS(1638),
    [anon_sym_hook] = ACTIONS(1638),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_PLUS_PLUS] = ACTIONS(1636),
    [anon_sym_DASH_DASH] = ACTIONS(1636),
    [anon_sym_BANG] = ACTIONS(1636),
    [anon_sym_TILDE] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_copy] = ACTIONS(1638),
    [anon_sym_schedule] = ACTIONS(1638),
    [aux_sym_constant_token1] = ACTIONS(1638),
    [anon_sym_T] = ACTIONS(1638),
    [anon_sym_F] = ACTIONS(1638),
    [anon_sym_ATdeprecated] = ACTIONS(1636),
    [anon_sym_ATload] = ACTIONS(1638),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1636),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1636),
    [anon_sym_ATunload] = ACTIONS(1636),
    [anon_sym_ATprefixes] = ACTIONS(1636),
    [anon_sym_ATif] = ACTIONS(1638),
    [anon_sym_ATifdef] = ACTIONS(1636),
    [anon_sym_ATifndef] = ACTIONS(1636),
    [anon_sym_ATendif] = ACTIONS(1636),
    [anon_sym_ATelse] = ACTIONS(1636),
    [anon_sym_ATpragma] = ACTIONS(1636),
    [anon_sym_ATDIR] = ACTIONS(1636),
    [anon_sym_ATFILENAME] = ACTIONS(1636),
    [sym_id] = ACTIONS(1638),
    [sym_pattern] = ACTIONS(1636),
    [sym_ipv6] = ACTIONS(1638),
    [sym_ipv4] = ACTIONS(1638),
    [sym_port] = ACTIONS(1636),
    [sym_floatp] = ACTIONS(1638),
    [sym_hex] = ACTIONS(1638),
    [sym_hostname] = ACTIONS(1638),
    [aux_sym_string_token1] = ACTIONS(1636),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [anon_sym_module] = ACTIONS(1642),
    [anon_sym_SEMI] = ACTIONS(1640),
    [anon_sym_export] = ACTIONS(1642),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_global] = ACTIONS(1642),
    [anon_sym_option] = ACTIONS(1642),
    [anon_sym_const] = ACTIONS(1642),
    [anon_sym_redef] = ACTIONS(1642),
    [anon_sym_record] = ACTIONS(1642),
    [anon_sym_type] = ACTIONS(1642),
    [anon_sym_print] = ACTIONS(1642),
    [anon_sym_event] = ACTIONS(1642),
    [anon_sym_if] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [anon_sym_switch] = ACTIONS(1642),
    [anon_sym_for] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_next] = ACTIONS(1642),
    [anon_sym_break] = ACTIONS(1642),
    [anon_sym_fallthrough] = ACTIONS(1642),
    [anon_sym_return] = ACTIONS(1642),
    [anon_sym_add] = ACTIONS(1642),
    [anon_sym_delete] = ACTIONS(1642),
    [anon_sym_local] = ACTIONS(1642),
    [anon_sym_when] = ACTIONS(1642),
    [anon_sym_assert] = ACTIONS(1642),
    [anon_sym_table] = ACTIONS(1642),
    [anon_sym_set] = ACTIONS(1642),
    [anon_sym_vector] = ACTIONS(1642),
    [anon_sym_function] = ACTIONS(1642),
    [anon_sym_hook] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1640),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [anon_sym_BANG] = ACTIONS(1640),
    [anon_sym_TILDE] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_copy] = ACTIONS(1642),
    [anon_sym_schedule] = ACTIONS(1642),
    [aux_sym_constant_token1] = ACTIONS(1642),
    [anon_sym_T] = ACTIONS(1642),
    [anon_sym_F] = ACTIONS(1642),
    [anon_sym_ATdeprecated] = ACTIONS(1640),
    [anon_sym_ATload] = ACTIONS(1642),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1640),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1640),
    [anon_sym_ATunload] = ACTIONS(1640),
    [anon_sym_ATprefixes] = ACTIONS(1640),
    [anon_sym_ATif] = ACTIONS(1642),
    [anon_sym_ATifdef] = ACTIONS(1640),
    [anon_sym_ATifndef] = ACTIONS(1640),
    [anon_sym_ATendif] = ACTIONS(1640),
    [anon_sym_ATelse] = ACTIONS(1640),
    [anon_sym_ATpragma] = ACTIONS(1640),
    [anon_sym_ATDIR] = ACTIONS(1640),
    [anon_sym_ATFILENAME] = ACTIONS(1640),
    [sym_id] = ACTIONS(1642),
    [sym_pattern] = ACTIONS(1640),
    [sym_ipv6] = ACTIONS(1642),
    [sym_ipv4] = ACTIONS(1642),
    [sym_port] = ACTIONS(1640),
    [sym_floatp] = ACTIONS(1642),
    [sym_hex] = ACTIONS(1642),
    [sym_hostname] = ACTIONS(1642),
    [aux_sym_string_token1] = ACTIONS(1640),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [anon_sym_module] = ACTIONS(1646),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym_export] = ACTIONS(1646),
    [anon_sym_LBRACE] = ACTIONS(1644),
    [anon_sym_global] = ACTIONS(1646),
    [anon_sym_option] = ACTIONS(1646),
    [anon_sym_const] = ACTIONS(1646),
    [anon_sym_redef] = ACTIONS(1646),
    [anon_sym_record] = ACTIONS(1646),
    [anon_sym_type] = ACTIONS(1646),
    [anon_sym_print] = ACTIONS(1646),
    [anon_sym_event] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [anon_sym_switch] = ACTIONS(1646),
    [anon_sym_for] = ACTIONS(1646),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_while] = ACTIONS(1646),
    [anon_sym_next] = ACTIONS(1646),
    [anon_sym_break] = ACTIONS(1646),
    [anon_sym_fallthrough] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1646),
    [anon_sym_add] = ACTIONS(1646),
    [anon_sym_delete] = ACTIONS(1646),
    [anon_sym_local] = ACTIONS(1646),
    [anon_sym_when] = ACTIONS(1646),
    [anon_sym_assert] = ACTIONS(1646),
    [anon_sym_table] = ACTIONS(1646),
    [anon_sym_set] = ACTIONS(1646),
    [anon_sym_vector] = ACTIONS(1646),
    [anon_sym_function] = ACTIONS(1646),
    [anon_sym_hook] = ACTIONS(1646),
    [anon_sym_DOLLAR] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1644),
    [anon_sym_PLUS_PLUS] = ACTIONS(1644),
    [anon_sym_DASH_DASH] = ACTIONS(1644),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(1646),
    [anon_sym_copy] = ACTIONS(1646),
    [anon_sym_schedule] = ACTIONS(1646),
    [aux_sym_constant_token1] = ACTIONS(1646),
    [anon_sym_T] = ACTIONS(1646),
    [anon_sym_F] = ACTIONS(1646),
    [anon_sym_ATdeprecated] = ACTIONS(1644),
    [anon_sym_ATload] = ACTIONS(1646),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1644),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1644),
    [anon_sym_ATunload] = ACTIONS(1644),
    [anon_sym_ATprefixes] = ACTIONS(1644),
    [anon_sym_ATif] = ACTIONS(1646),
    [anon_sym_ATifdef] = ACTIONS(1644),
    [anon_sym_ATifndef] = ACTIONS(1644),
    [anon_sym_ATendif] = ACTIONS(1644),
    [anon_sym_ATelse] = ACTIONS(1644),
    [anon_sym_ATpragma] = ACTIONS(1644),
    [anon_sym_ATDIR] = ACTIONS(1644),
    [anon_sym_ATFILENAME] = ACTIONS(1644),
    [sym_id] = ACTIONS(1646),
    [sym_pattern] = ACTIONS(1644),
    [sym_ipv6] = ACTIONS(1646),
    [sym_ipv4] = ACTIONS(1646),
    [sym_port] = ACTIONS(1644),
    [sym_floatp] = ACTIONS(1646),
    [sym_hex] = ACTIONS(1646),
    [sym_hostname] = ACTIONS(1646),
    [aux_sym_string_token1] = ACTIONS(1644),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(1608),
    [anon_sym_module] = ACTIONS(1610),
    [anon_sym_SEMI] = ACTIONS(1608),
    [anon_sym_export] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1608),
    [anon_sym_global] = ACTIONS(1610),
    [anon_sym_option] = ACTIONS(1610),
    [anon_sym_const] = ACTIONS(1610),
    [anon_sym_redef] = ACTIONS(1610),
    [anon_sym_record] = ACTIONS(1610),
    [anon_sym_type] = ACTIONS(1610),
    [anon_sym_print] = ACTIONS(1610),
    [anon_sym_event] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1610),
    [anon_sym_for] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_while] = ACTIONS(1610),
    [anon_sym_next] = ACTIONS(1610),
    [anon_sym_break] = ACTIONS(1610),
    [anon_sym_fallthrough] = ACTIONS(1610),
    [anon_sym_return] = ACTIONS(1610),
    [anon_sym_add] = ACTIONS(1610),
    [anon_sym_delete] = ACTIONS(1610),
    [anon_sym_local] = ACTIONS(1610),
    [anon_sym_when] = ACTIONS(1610),
    [anon_sym_assert] = ACTIONS(1610),
    [anon_sym_table] = ACTIONS(1610),
    [anon_sym_set] = ACTIONS(1610),
    [anon_sym_vector] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1610),
    [anon_sym_hook] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1608),
    [anon_sym_DASH_DASH] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_copy] = ACTIONS(1610),
    [anon_sym_schedule] = ACTIONS(1610),
    [aux_sym_constant_token1] = ACTIONS(1610),
    [anon_sym_T] = ACTIONS(1610),
    [anon_sym_F] = ACTIONS(1610),
    [anon_sym_ATdeprecated] = ACTIONS(1608),
    [anon_sym_ATload] = ACTIONS(1610),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1608),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1608),
    [anon_sym_ATunload] = ACTIONS(1608),
    [anon_sym_ATprefixes] = ACTIONS(1608),
    [anon_sym_ATif] = ACTIONS(1610),
    [anon_sym_ATifdef] = ACTIONS(1608),
    [anon_sym_ATifndef] = ACTIONS(1608),
    [anon_sym_ATendif] = ACTIONS(1608),
    [anon_sym_ATelse] = ACTIONS(1608),
    [anon_sym_ATpragma] = ACTIONS(1608),
    [anon_sym_ATDIR] = ACTIONS(1608),
    [anon_sym_ATFILENAME] = ACTIONS(1608),
    [sym_id] = ACTIONS(1610),
    [sym_pattern] = ACTIONS(1608),
    [sym_ipv6] = ACTIONS(1610),
    [sym_ipv4] = ACTIONS(1610),
    [sym_port] = ACTIONS(1608),
    [sym_floatp] = ACTIONS(1610),
    [sym_hex] = ACTIONS(1610),
    [sym_hostname] = ACTIONS(1610),
    [aux_sym_string_token1] = ACTIONS(1608),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_module] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_export] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_global] = ACTIONS(1650),
    [anon_sym_option] = ACTIONS(1650),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_redef] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_type] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATpragma] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1652),
    [anon_sym_module] = ACTIONS(1654),
    [anon_sym_SEMI] = ACTIONS(1652),
    [anon_sym_export] = ACTIONS(1654),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_global] = ACTIONS(1654),
    [anon_sym_option] = ACTIONS(1654),
    [anon_sym_const] = ACTIONS(1654),
    [anon_sym_redef] = ACTIONS(1654),
    [anon_sym_record] = ACTIONS(1654),
    [anon_sym_type] = ACTIONS(1654),
    [anon_sym_print] = ACTIONS(1654),
    [anon_sym_event] = ACTIONS(1654),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_for] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_while] = ACTIONS(1654),
    [anon_sym_next] = ACTIONS(1654),
    [anon_sym_break] = ACTIONS(1654),
    [anon_sym_fallthrough] = ACTIONS(1654),
    [anon_sym_return] = ACTIONS(1654),
    [anon_sym_add] = ACTIONS(1654),
    [anon_sym_delete] = ACTIONS(1654),
    [anon_sym_local] = ACTIONS(1654),
    [anon_sym_when] = ACTIONS(1654),
    [anon_sym_assert] = ACTIONS(1654),
    [anon_sym_table] = ACTIONS(1654),
    [anon_sym_set] = ACTIONS(1654),
    [anon_sym_vector] = ACTIONS(1654),
    [anon_sym_function] = ACTIONS(1654),
    [anon_sym_hook] = ACTIONS(1654),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1652),
    [anon_sym_PLUS_PLUS] = ACTIONS(1652),
    [anon_sym_DASH_DASH] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1652),
    [anon_sym_TILDE] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_PLUS] = ACTIONS(1654),
    [anon_sym_copy] = ACTIONS(1654),
    [anon_sym_schedule] = ACTIONS(1654),
    [aux_sym_constant_token1] = ACTIONS(1654),
    [anon_sym_T] = ACTIONS(1654),
    [anon_sym_F] = ACTIONS(1654),
    [anon_sym_ATdeprecated] = ACTIONS(1652),
    [anon_sym_ATload] = ACTIONS(1654),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1652),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1652),
    [anon_sym_ATunload] = ACTIONS(1652),
    [anon_sym_ATprefixes] = ACTIONS(1652),
    [anon_sym_ATif] = ACTIONS(1654),
    [anon_sym_ATifdef] = ACTIONS(1652),
    [anon_sym_ATifndef] = ACTIONS(1652),
    [anon_sym_ATendif] = ACTIONS(1652),
    [anon_sym_ATelse] = ACTIONS(1652),
    [anon_sym_ATpragma] = ACTIONS(1652),
    [anon_sym_ATDIR] = ACTIONS(1652),
    [anon_sym_ATFILENAME] = ACTIONS(1652),
    [sym_id] = ACTIONS(1654),
    [sym_pattern] = ACTIONS(1652),
    [sym_ipv6] = ACTIONS(1654),
    [sym_ipv4] = ACTIONS(1654),
    [sym_port] = ACTIONS(1652),
    [sym_floatp] = ACTIONS(1654),
    [sym_hex] = ACTIONS(1654),
    [sym_hostname] = ACTIONS(1654),
    [aux_sym_string_token1] = ACTIONS(1652),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_module] = ACTIONS(1658),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_export] = ACTIONS(1658),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_global] = ACTIONS(1658),
    [anon_sym_option] = ACTIONS(1658),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_redef] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_type] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1660),
    [anon_sym_module] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(1660),
    [anon_sym_export] = ACTIONS(1662),
    [anon_sym_LBRACE] = ACTIONS(1660),
    [anon_sym_global] = ACTIONS(1662),
    [anon_sym_option] = ACTIONS(1662),
    [anon_sym_const] = ACTIONS(1662),
    [anon_sym_redef] = ACTIONS(1662),
    [anon_sym_record] = ACTIONS(1662),
    [anon_sym_type] = ACTIONS(1662),
    [anon_sym_print] = ACTIONS(1662),
    [anon_sym_event] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [anon_sym_switch] = ACTIONS(1662),
    [anon_sym_for] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [anon_sym_while] = ACTIONS(1662),
    [anon_sym_next] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1662),
    [anon_sym_fallthrough] = ACTIONS(1662),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_add] = ACTIONS(1662),
    [anon_sym_delete] = ACTIONS(1662),
    [anon_sym_local] = ACTIONS(1662),
    [anon_sym_when] = ACTIONS(1662),
    [anon_sym_assert] = ACTIONS(1662),
    [anon_sym_table] = ACTIONS(1662),
    [anon_sym_set] = ACTIONS(1662),
    [anon_sym_vector] = ACTIONS(1662),
    [anon_sym_function] = ACTIONS(1662),
    [anon_sym_hook] = ACTIONS(1662),
    [anon_sym_DOLLAR] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1660),
    [anon_sym_PLUS_PLUS] = ACTIONS(1660),
    [anon_sym_DASH_DASH] = ACTIONS(1660),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_copy] = ACTIONS(1662),
    [anon_sym_schedule] = ACTIONS(1662),
    [aux_sym_constant_token1] = ACTIONS(1662),
    [anon_sym_T] = ACTIONS(1662),
    [anon_sym_F] = ACTIONS(1662),
    [anon_sym_ATdeprecated] = ACTIONS(1660),
    [anon_sym_ATload] = ACTIONS(1662),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1660),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1660),
    [anon_sym_ATunload] = ACTIONS(1660),
    [anon_sym_ATprefixes] = ACTIONS(1660),
    [anon_sym_ATif] = ACTIONS(1662),
    [anon_sym_ATifdef] = ACTIONS(1660),
    [anon_sym_ATifndef] = ACTIONS(1660),
    [anon_sym_ATendif] = ACTIONS(1660),
    [anon_sym_ATelse] = ACTIONS(1660),
    [anon_sym_ATpragma] = ACTIONS(1660),
    [anon_sym_ATDIR] = ACTIONS(1660),
    [anon_sym_ATFILENAME] = ACTIONS(1660),
    [sym_id] = ACTIONS(1662),
    [sym_pattern] = ACTIONS(1660),
    [sym_ipv6] = ACTIONS(1662),
    [sym_ipv4] = ACTIONS(1662),
    [sym_port] = ACTIONS(1660),
    [sym_floatp] = ACTIONS(1662),
    [sym_hex] = ACTIONS(1662),
    [sym_hostname] = ACTIONS(1662),
    [aux_sym_string_token1] = ACTIONS(1660),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [anon_sym_module] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_export] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_global] = ACTIONS(1666),
    [anon_sym_option] = ACTIONS(1666),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_redef] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_type] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATpragma] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_module] = ACTIONS(1670),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_export] = ACTIONS(1670),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_global] = ACTIONS(1670),
    [anon_sym_option] = ACTIONS(1670),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_redef] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_type] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATpragma] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [anon_sym_module] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_export] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1672),
    [anon_sym_global] = ACTIONS(1674),
    [anon_sym_option] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1674),
    [anon_sym_redef] = ACTIONS(1674),
    [anon_sym_record] = ACTIONS(1674),
    [anon_sym_type] = ACTIONS(1674),
    [anon_sym_print] = ACTIONS(1674),
    [anon_sym_event] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_next] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_fallthrough] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_add] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(1674),
    [anon_sym_local] = ACTIONS(1674),
    [anon_sym_when] = ACTIONS(1674),
    [anon_sym_assert] = ACTIONS(1674),
    [anon_sym_table] = ACTIONS(1674),
    [anon_sym_set] = ACTIONS(1674),
    [anon_sym_vector] = ACTIONS(1674),
    [anon_sym_function] = ACTIONS(1674),
    [anon_sym_hook] = ACTIONS(1674),
    [anon_sym_DOLLAR] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1672),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_copy] = ACTIONS(1674),
    [anon_sym_schedule] = ACTIONS(1674),
    [aux_sym_constant_token1] = ACTIONS(1674),
    [anon_sym_T] = ACTIONS(1674),
    [anon_sym_F] = ACTIONS(1674),
    [anon_sym_ATdeprecated] = ACTIONS(1672),
    [anon_sym_ATload] = ACTIONS(1674),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1672),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1672),
    [anon_sym_ATunload] = ACTIONS(1672),
    [anon_sym_ATprefixes] = ACTIONS(1672),
    [anon_sym_ATif] = ACTIONS(1674),
    [anon_sym_ATifdef] = ACTIONS(1672),
    [anon_sym_ATifndef] = ACTIONS(1672),
    [anon_sym_ATendif] = ACTIONS(1672),
    [anon_sym_ATelse] = ACTIONS(1672),
    [anon_sym_ATpragma] = ACTIONS(1672),
    [anon_sym_ATDIR] = ACTIONS(1672),
    [anon_sym_ATFILENAME] = ACTIONS(1672),
    [sym_id] = ACTIONS(1674),
    [sym_pattern] = ACTIONS(1672),
    [sym_ipv6] = ACTIONS(1674),
    [sym_ipv4] = ACTIONS(1674),
    [sym_port] = ACTIONS(1672),
    [sym_floatp] = ACTIONS(1674),
    [sym_hex] = ACTIONS(1674),
    [sym_hostname] = ACTIONS(1674),
    [aux_sym_string_token1] = ACTIONS(1672),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(1612),
    [anon_sym_module] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1612),
    [anon_sym_export] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_global] = ACTIONS(1614),
    [anon_sym_option] = ACTIONS(1614),
    [anon_sym_const] = ACTIONS(1614),
    [anon_sym_redef] = ACTIONS(1614),
    [anon_sym_record] = ACTIONS(1614),
    [anon_sym_type] = ACTIONS(1614),
    [anon_sym_print] = ACTIONS(1614),
    [anon_sym_event] = ACTIONS(1614),
    [anon_sym_if] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [anon_sym_switch] = ACTIONS(1614),
    [anon_sym_for] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1612),
    [anon_sym_while] = ACTIONS(1614),
    [anon_sym_next] = ACTIONS(1614),
    [anon_sym_break] = ACTIONS(1614),
    [anon_sym_fallthrough] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1614),
    [anon_sym_add] = ACTIONS(1614),
    [anon_sym_delete] = ACTIONS(1614),
    [anon_sym_local] = ACTIONS(1614),
    [anon_sym_when] = ACTIONS(1614),
    [anon_sym_assert] = ACTIONS(1614),
    [anon_sym_table] = ACTIONS(1614),
    [anon_sym_set] = ACTIONS(1614),
    [anon_sym_vector] = ACTIONS(1614),
    [anon_sym_function] = ACTIONS(1614),
    [anon_sym_hook] = ACTIONS(1614),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1612),
    [anon_sym_DASH_DASH] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_copy] = ACTIONS(1614),
    [anon_sym_schedule] = ACTIONS(1614),
    [aux_sym_constant_token1] = ACTIONS(1614),
    [anon_sym_T] = ACTIONS(1614),
    [anon_sym_F] = ACTIONS(1614),
    [anon_sym_ATdeprecated] = ACTIONS(1612),
    [anon_sym_ATload] = ACTIONS(1614),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1612),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1612),
    [anon_sym_ATunload] = ACTIONS(1612),
    [anon_sym_ATprefixes] = ACTIONS(1612),
    [anon_sym_ATif] = ACTIONS(1614),
    [anon_sym_ATifdef] = ACTIONS(1612),
    [anon_sym_ATifndef] = ACTIONS(1612),
    [anon_sym_ATendif] = ACTIONS(1612),
    [anon_sym_ATelse] = ACTIONS(1612),
    [anon_sym_ATpragma] = ACTIONS(1612),
    [anon_sym_ATDIR] = ACTIONS(1612),
    [anon_sym_ATFILENAME] = ACTIONS(1612),
    [sym_id] = ACTIONS(1614),
    [sym_pattern] = ACTIONS(1612),
    [sym_ipv6] = ACTIONS(1614),
    [sym_ipv4] = ACTIONS(1614),
    [sym_port] = ACTIONS(1612),
    [sym_floatp] = ACTIONS(1614),
    [sym_hex] = ACTIONS(1614),
    [sym_hostname] = ACTIONS(1614),
    [aux_sym_string_token1] = ACTIONS(1612),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [anon_sym_module] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1676),
    [anon_sym_export] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_global] = ACTIONS(1678),
    [anon_sym_option] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1678),
    [anon_sym_redef] = ACTIONS(1678),
    [anon_sym_record] = ACTIONS(1678),
    [anon_sym_type] = ACTIONS(1678),
    [anon_sym_print] = ACTIONS(1678),
    [anon_sym_event] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1678),
    [anon_sym_for] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [anon_sym_while] = ACTIONS(1678),
    [anon_sym_next] = ACTIONS(1678),
    [anon_sym_break] = ACTIONS(1678),
    [anon_sym_fallthrough] = ACTIONS(1678),
    [anon_sym_return] = ACTIONS(1678),
    [anon_sym_add] = ACTIONS(1678),
    [anon_sym_delete] = ACTIONS(1678),
    [anon_sym_local] = ACTIONS(1678),
    [anon_sym_when] = ACTIONS(1678),
    [anon_sym_assert] = ACTIONS(1678),
    [anon_sym_table] = ACTIONS(1678),
    [anon_sym_set] = ACTIONS(1678),
    [anon_sym_vector] = ACTIONS(1678),
    [anon_sym_function] = ACTIONS(1678),
    [anon_sym_hook] = ACTIONS(1678),
    [anon_sym_DOLLAR] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1676),
    [anon_sym_PLUS_PLUS] = ACTIONS(1676),
    [anon_sym_DASH_DASH] = ACTIONS(1676),
    [anon_sym_BANG] = ACTIONS(1676),
    [anon_sym_TILDE] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(1678),
    [anon_sym_copy] = ACTIONS(1678),
    [anon_sym_schedule] = ACTIONS(1678),
    [aux_sym_constant_token1] = ACTIONS(1678),
    [anon_sym_T] = ACTIONS(1678),
    [anon_sym_F] = ACTIONS(1678),
    [anon_sym_ATdeprecated] = ACTIONS(1676),
    [anon_sym_ATload] = ACTIONS(1678),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1676),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1676),
    [anon_sym_ATunload] = ACTIONS(1676),
    [anon_sym_ATprefixes] = ACTIONS(1676),
    [anon_sym_ATif] = ACTIONS(1678),
    [anon_sym_ATifdef] = ACTIONS(1676),
    [anon_sym_ATifndef] = ACTIONS(1676),
    [anon_sym_ATendif] = ACTIONS(1676),
    [anon_sym_ATelse] = ACTIONS(1676),
    [anon_sym_ATpragma] = ACTIONS(1676),
    [anon_sym_ATDIR] = ACTIONS(1676),
    [anon_sym_ATFILENAME] = ACTIONS(1676),
    [sym_id] = ACTIONS(1678),
    [sym_pattern] = ACTIONS(1676),
    [sym_ipv6] = ACTIONS(1678),
    [sym_ipv4] = ACTIONS(1678),
    [sym_port] = ACTIONS(1676),
    [sym_floatp] = ACTIONS(1678),
    [sym_hex] = ACTIONS(1678),
    [sym_hostname] = ACTIONS(1678),
    [aux_sym_string_token1] = ACTIONS(1676),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [380] = {
    [sym_attr_list] = STATE(2314),
    [sym_attr] = STATE(1592),
    [sym_expr] = STATE(1300),
    [sym_expr_list] = STATE(2369),
    [sym_constant] = STATE(1286),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [aux_sym_attr_list_repeat1] = STATE(1592),
    [aux_sym_expr_list_repeat1] = STATE(877),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(1624),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [anon_sym_local] = ACTIONS(117),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_AMPdeprecated] = ACTIONS(788),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(790),
    [anon_sym_AMPerror_handler] = ACTIONS(790),
    [anon_sym_AMPis_assigned] = ACTIONS(790),
    [anon_sym_AMPis_used] = ACTIONS(790),
    [anon_sym_AMPlog] = ACTIONS(790),
    [anon_sym_AMPoptional] = ACTIONS(790),
    [anon_sym_AMPordered] = ACTIONS(790),
    [anon_sym_AMPraw_output] = ACTIONS(790),
    [anon_sym_AMPredef] = ACTIONS(790),
    [anon_sym_AMPadd_func] = ACTIONS(792),
    [anon_sym_AMPbackend] = ACTIONS(792),
    [anon_sym_AMPbroker_store] = ACTIONS(792),
    [anon_sym_AMPcreate_expire] = ACTIONS(792),
    [anon_sym_AMPdefault] = ACTIONS(792),
    [anon_sym_AMPdelete_func] = ACTIONS(792),
    [anon_sym_AMPexpire_func] = ACTIONS(792),
    [anon_sym_AMPgroup] = ACTIONS(792),
    [anon_sym_AMPon_change] = ACTIONS(792),
    [anon_sym_AMPpriority] = ACTIONS(792),
    [anon_sym_AMPread_expire] = ACTIONS(792),
    [anon_sym_AMPtype_column] = ACTIONS(792),
    [anon_sym_AMPwrite_expire] = ACTIONS(792),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [381] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [anon_sym_module] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_export] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_global] = ACTIONS(1682),
    [anon_sym_option] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1682),
    [anon_sym_redef] = ACTIONS(1682),
    [anon_sym_record] = ACTIONS(1682),
    [anon_sym_type] = ACTIONS(1682),
    [anon_sym_print] = ACTIONS(1682),
    [anon_sym_event] = ACTIONS(1682),
    [anon_sym_if] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1682),
    [anon_sym_for] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1682),
    [anon_sym_next] = ACTIONS(1682),
    [anon_sym_break] = ACTIONS(1682),
    [anon_sym_fallthrough] = ACTIONS(1682),
    [anon_sym_return] = ACTIONS(1682),
    [anon_sym_add] = ACTIONS(1682),
    [anon_sym_delete] = ACTIONS(1682),
    [anon_sym_local] = ACTIONS(1682),
    [anon_sym_when] = ACTIONS(1682),
    [anon_sym_assert] = ACTIONS(1682),
    [anon_sym_table] = ACTIONS(1682),
    [anon_sym_set] = ACTIONS(1682),
    [anon_sym_vector] = ACTIONS(1682),
    [anon_sym_function] = ACTIONS(1682),
    [anon_sym_hook] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1680),
    [anon_sym_TILDE] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_copy] = ACTIONS(1682),
    [anon_sym_schedule] = ACTIONS(1682),
    [aux_sym_constant_token1] = ACTIONS(1682),
    [anon_sym_T] = ACTIONS(1682),
    [anon_sym_F] = ACTIONS(1682),
    [anon_sym_ATdeprecated] = ACTIONS(1680),
    [anon_sym_ATload] = ACTIONS(1682),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1680),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1680),
    [anon_sym_ATunload] = ACTIONS(1680),
    [anon_sym_ATprefixes] = ACTIONS(1680),
    [anon_sym_ATif] = ACTIONS(1682),
    [anon_sym_ATifdef] = ACTIONS(1680),
    [anon_sym_ATifndef] = ACTIONS(1680),
    [anon_sym_ATendif] = ACTIONS(1680),
    [anon_sym_ATelse] = ACTIONS(1680),
    [anon_sym_ATpragma] = ACTIONS(1680),
    [anon_sym_ATDIR] = ACTIONS(1680),
    [anon_sym_ATFILENAME] = ACTIONS(1680),
    [sym_id] = ACTIONS(1682),
    [sym_pattern] = ACTIONS(1680),
    [sym_ipv6] = ACTIONS(1682),
    [sym_ipv4] = ACTIONS(1682),
    [sym_port] = ACTIONS(1680),
    [sym_floatp] = ACTIONS(1682),
    [sym_hex] = ACTIONS(1682),
    [sym_hostname] = ACTIONS(1682),
    [aux_sym_string_token1] = ACTIONS(1680),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [anon_sym_module] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1684),
    [anon_sym_export] = ACTIONS(1686),
    [anon_sym_LBRACE] = ACTIONS(1684),
    [anon_sym_global] = ACTIONS(1686),
    [anon_sym_option] = ACTIONS(1686),
    [anon_sym_const] = ACTIONS(1686),
    [anon_sym_redef] = ACTIONS(1686),
    [anon_sym_record] = ACTIONS(1686),
    [anon_sym_type] = ACTIONS(1686),
    [anon_sym_print] = ACTIONS(1686),
    [anon_sym_event] = ACTIONS(1686),
    [anon_sym_if] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1686),
    [anon_sym_for] = ACTIONS(1686),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_while] = ACTIONS(1686),
    [anon_sym_next] = ACTIONS(1686),
    [anon_sym_break] = ACTIONS(1686),
    [anon_sym_fallthrough] = ACTIONS(1686),
    [anon_sym_return] = ACTIONS(1686),
    [anon_sym_add] = ACTIONS(1686),
    [anon_sym_delete] = ACTIONS(1686),
    [anon_sym_local] = ACTIONS(1686),
    [anon_sym_when] = ACTIONS(1686),
    [anon_sym_assert] = ACTIONS(1686),
    [anon_sym_table] = ACTIONS(1686),
    [anon_sym_set] = ACTIONS(1686),
    [anon_sym_vector] = ACTIONS(1686),
    [anon_sym_function] = ACTIONS(1686),
    [anon_sym_hook] = ACTIONS(1686),
    [anon_sym_DOLLAR] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1684),
    [anon_sym_PLUS_PLUS] = ACTIONS(1684),
    [anon_sym_DASH_DASH] = ACTIONS(1684),
    [anon_sym_BANG] = ACTIONS(1684),
    [anon_sym_TILDE] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_PLUS] = ACTIONS(1686),
    [anon_sym_copy] = ACTIONS(1686),
    [anon_sym_schedule] = ACTIONS(1686),
    [aux_sym_constant_token1] = ACTIONS(1686),
    [anon_sym_T] = ACTIONS(1686),
    [anon_sym_F] = ACTIONS(1686),
    [anon_sym_ATdeprecated] = ACTIONS(1684),
    [anon_sym_ATload] = ACTIONS(1686),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1684),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1684),
    [anon_sym_ATunload] = ACTIONS(1684),
    [anon_sym_ATprefixes] = ACTIONS(1684),
    [anon_sym_ATif] = ACTIONS(1686),
    [anon_sym_ATifdef] = ACTIONS(1684),
    [anon_sym_ATifndef] = ACTIONS(1684),
    [anon_sym_ATendif] = ACTIONS(1684),
    [anon_sym_ATelse] = ACTIONS(1684),
    [anon_sym_ATpragma] = ACTIONS(1684),
    [anon_sym_ATDIR] = ACTIONS(1684),
    [anon_sym_ATFILENAME] = ACTIONS(1684),
    [sym_id] = ACTIONS(1686),
    [sym_pattern] = ACTIONS(1684),
    [sym_ipv6] = ACTIONS(1686),
    [sym_ipv4] = ACTIONS(1686),
    [sym_port] = ACTIONS(1684),
    [sym_floatp] = ACTIONS(1686),
    [sym_hex] = ACTIONS(1686),
    [sym_hostname] = ACTIONS(1686),
    [aux_sym_string_token1] = ACTIONS(1684),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [383] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [384] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1688),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1494),
    [anon_sym_default] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [385] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [386] = {
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_timeout] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [387] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [388] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [389] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [390] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [391] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [392] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [393] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [394] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [395] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [396] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [397] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [398] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [399] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_case] = ACTIONS(1720),
    [anon_sym_default] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [400] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_case] = ACTIONS(1720),
    [anon_sym_default] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [401] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_case] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [402] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_case] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [403] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_case] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [404] = {
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1286),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_SEMI] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_COLON] = ACTIONS(115),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(113),
    [anon_sym_COMMA] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(113),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_local] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(115),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [405] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_case] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [406] = {
    [sym_attr_list] = STATE(315),
    [sym_attr] = STATE(499),
    [aux_sym_attr_list_repeat1] = STATE(499),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_PLUS_EQ] = ACTIONS(1482),
    [anon_sym_DASH_EQ] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_as] = ACTIONS(1482),
    [anon_sym_AMPdeprecated] = ACTIONS(1482),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1482),
    [anon_sym_AMPerror_handler] = ACTIONS(1482),
    [anon_sym_AMPis_assigned] = ACTIONS(1482),
    [anon_sym_AMPis_used] = ACTIONS(1482),
    [anon_sym_AMPlog] = ACTIONS(1482),
    [anon_sym_AMPoptional] = ACTIONS(1482),
    [anon_sym_AMPordered] = ACTIONS(1482),
    [anon_sym_AMPraw_output] = ACTIONS(1482),
    [anon_sym_AMPredef] = ACTIONS(1482),
    [anon_sym_AMPadd_func] = ACTIONS(1482),
    [anon_sym_AMPbackend] = ACTIONS(1482),
    [anon_sym_AMPbroker_store] = ACTIONS(1482),
    [anon_sym_AMPcreate_expire] = ACTIONS(1482),
    [anon_sym_AMPdefault] = ACTIONS(1482),
    [anon_sym_AMPdelete_func] = ACTIONS(1482),
    [anon_sym_AMPexpire_func] = ACTIONS(1482),
    [anon_sym_AMPgroup] = ACTIONS(1482),
    [anon_sym_AMPon_change] = ACTIONS(1482),
    [anon_sym_AMPpriority] = ACTIONS(1482),
    [anon_sym_AMPread_expire] = ACTIONS(1482),
    [anon_sym_AMPtype_column] = ACTIONS(1482),
    [anon_sym_AMPwrite_expire] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1482),
    [anon_sym_ATdeprecated] = ACTIONS(1482),
    [anon_sym_ATload] = ACTIONS(1484),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1482),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1482),
    [anon_sym_ATunload] = ACTIONS(1482),
    [anon_sym_ATprefixes] = ACTIONS(1482),
    [anon_sym_ATif] = ACTIONS(1484),
    [anon_sym_ATifdef] = ACTIONS(1482),
    [anon_sym_ATifndef] = ACTIONS(1482),
    [anon_sym_ATendif] = ACTIONS(1482),
    [anon_sym_ATelse] = ACTIONS(1482),
    [anon_sym_ATpragma] = ACTIONS(1482),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [407] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_case] = ACTIONS(1732),
    [anon_sym_default] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [408] = {
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [409] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [410] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1494),
    [anon_sym_default] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [411] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1736),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [412] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [413] = {
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_timeout] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [414] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [415] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_case] = ACTIONS(1732),
    [anon_sym_default] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [416] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1494),
    [anon_sym_default] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [417] = {
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [418] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [419] = {
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_else] = ACTIONS(1570),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_timeout] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_case] = ACTIONS(1570),
    [anon_sym_default] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [420] = {
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(1602),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_timeout] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_case] = ACTIONS(1602),
    [anon_sym_default] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [421] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1738),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1494),
    [anon_sym_default] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [422] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [423] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1740),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [424] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1742),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [425] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1744),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [426] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1746),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [427] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1748),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [428] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1750),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [429] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1752),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [430] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1754),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [431] = {
    [sym_attr_list] = STATE(302),
    [sym_attr] = STATE(499),
    [aux_sym_attr_list_repeat1] = STATE(499),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(113),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [432] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [433] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [434] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [435] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [436] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1756),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [437] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [438] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [439] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [440] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [441] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [442] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_case] = ACTIONS(1720),
    [anon_sym_default] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [443] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_case] = ACTIONS(1720),
    [anon_sym_default] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [444] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_case] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [445] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_case] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [446] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [447] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_case] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [448] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_case] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [449] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [450] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1494),
    [anon_sym_default] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [451] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [452] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [453] = {
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_timeout] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_case] = ACTIONS(1570),
    [anon_sym_default] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [454] = {
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_timeout] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_case] = ACTIONS(1602),
    [anon_sym_default] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [455] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [456] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [457] = {
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_timeout] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [458] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [459] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1758),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [460] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [461] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_case] = ACTIONS(1732),
    [anon_sym_default] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_timeout] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [463] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1494),
    [anon_sym_default] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(125),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [465] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_case] = ACTIONS(1732),
    [anon_sym_default] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [466] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1760),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [467] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [468] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1762),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [469] = {
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_else] = ACTIONS(1570),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_case] = ACTIONS(1570),
    [anon_sym_default] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [470] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1764),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1494),
    [anon_sym_default] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [471] = {
    [anon_sym_SEMI] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1766),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(113),
    [anon_sym_AMPdeprecated] = ACTIONS(1466),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1466),
    [anon_sym_AMPerror_handler] = ACTIONS(1466),
    [anon_sym_AMPis_assigned] = ACTIONS(1466),
    [anon_sym_AMPis_used] = ACTIONS(1466),
    [anon_sym_AMPlog] = ACTIONS(1466),
    [anon_sym_AMPoptional] = ACTIONS(1466),
    [anon_sym_AMPordered] = ACTIONS(1466),
    [anon_sym_AMPraw_output] = ACTIONS(1466),
    [anon_sym_AMPredef] = ACTIONS(1466),
    [anon_sym_AMPadd_func] = ACTIONS(1466),
    [anon_sym_AMPbackend] = ACTIONS(1466),
    [anon_sym_AMPbroker_store] = ACTIONS(1466),
    [anon_sym_AMPcreate_expire] = ACTIONS(1466),
    [anon_sym_AMPdefault] = ACTIONS(1466),
    [anon_sym_AMPdelete_func] = ACTIONS(1466),
    [anon_sym_AMPexpire_func] = ACTIONS(1466),
    [anon_sym_AMPgroup] = ACTIONS(1466),
    [anon_sym_AMPon_change] = ACTIONS(1466),
    [anon_sym_AMPpriority] = ACTIONS(1466),
    [anon_sym_AMPread_expire] = ACTIONS(1466),
    [anon_sym_AMPtype_column] = ACTIONS(1466),
    [anon_sym_AMPwrite_expire] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(1466),
    [anon_sym_ATload] = ACTIONS(1470),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1466),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1466),
    [anon_sym_ATunload] = ACTIONS(1466),
    [anon_sym_ATprefixes] = ACTIONS(1466),
    [anon_sym_ATif] = ACTIONS(1470),
    [anon_sym_ATifdef] = ACTIONS(1466),
    [anon_sym_ATifndef] = ACTIONS(1466),
    [anon_sym_ATendif] = ACTIONS(1466),
    [anon_sym_ATelse] = ACTIONS(1466),
    [anon_sym_ATpragma] = ACTIONS(1466),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [472] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1768),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [473] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_case] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [474] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1770),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [475] = {
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(1602),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_case] = ACTIONS(1602),
    [anon_sym_default] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [476] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_case] = ACTIONS(1732),
    [anon_sym_default] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [477] = {
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [478] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [479] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_case] = ACTIONS(1732),
    [anon_sym_default] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [480] = {
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1772),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [482] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1774),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [484] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [485] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [486] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [487] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [488] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [489] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1776),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [490] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [491] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_case] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [492] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [493] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [494] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [495] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_case] = ACTIONS(1720),
    [anon_sym_default] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [496] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_case] = ACTIONS(1720),
    [anon_sym_default] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [497] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_case] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [498] = {
    [sym_attr] = STATE(498),
    [aux_sym_attr_list_repeat1] = STATE(498),
    [anon_sym_LBRACE] = ACTIONS(1778),
    [anon_sym_PLUS_EQ] = ACTIONS(1778),
    [anon_sym_DASH_EQ] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1778),
    [anon_sym_in] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1780),
    [anon_sym_as] = ACTIONS(1778),
    [anon_sym_AMPdeprecated] = ACTIONS(1782),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1785),
    [anon_sym_AMPerror_handler] = ACTIONS(1785),
    [anon_sym_AMPis_assigned] = ACTIONS(1785),
    [anon_sym_AMPis_used] = ACTIONS(1785),
    [anon_sym_AMPlog] = ACTIONS(1785),
    [anon_sym_AMPoptional] = ACTIONS(1785),
    [anon_sym_AMPordered] = ACTIONS(1785),
    [anon_sym_AMPraw_output] = ACTIONS(1785),
    [anon_sym_AMPredef] = ACTIONS(1785),
    [anon_sym_AMPadd_func] = ACTIONS(1788),
    [anon_sym_AMPbackend] = ACTIONS(1788),
    [anon_sym_AMPbroker_store] = ACTIONS(1788),
    [anon_sym_AMPcreate_expire] = ACTIONS(1788),
    [anon_sym_AMPdefault] = ACTIONS(1788),
    [anon_sym_AMPdelete_func] = ACTIONS(1788),
    [anon_sym_AMPexpire_func] = ACTIONS(1788),
    [anon_sym_AMPgroup] = ACTIONS(1788),
    [anon_sym_AMPon_change] = ACTIONS(1788),
    [anon_sym_AMPpriority] = ACTIONS(1788),
    [anon_sym_AMPread_expire] = ACTIONS(1788),
    [anon_sym_AMPtype_column] = ACTIONS(1788),
    [anon_sym_AMPwrite_expire] = ACTIONS(1788),
    [anon_sym_DOLLAR] = ACTIONS(1778),
    [anon_sym_PIPE] = ACTIONS(1780),
    [anon_sym_BANG] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_is] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1778),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_QMARK] = ACTIONS(1780),
    [anon_sym_EQ_EQ] = ACTIONS(1778),
    [anon_sym_BANG_EQ] = ACTIONS(1778),
    [anon_sym_AMP_AMP] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1778),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1778),
    [anon_sym_ATdeprecated] = ACTIONS(1778),
    [anon_sym_ATload] = ACTIONS(1780),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1778),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1778),
    [anon_sym_ATunload] = ACTIONS(1778),
    [anon_sym_ATprefixes] = ACTIONS(1778),
    [anon_sym_ATif] = ACTIONS(1780),
    [anon_sym_ATifdef] = ACTIONS(1778),
    [anon_sym_ATifndef] = ACTIONS(1778),
    [anon_sym_ATendif] = ACTIONS(1778),
    [anon_sym_ATelse] = ACTIONS(1778),
    [anon_sym_ATpragma] = ACTIONS(1778),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [499] = {
    [sym_attr] = STATE(498),
    [aux_sym_attr_list_repeat1] = STATE(498),
    [anon_sym_LBRACE] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_EQ] = ACTIONS(1793),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_AMPdeprecated] = ACTIONS(1791),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1791),
    [anon_sym_AMPerror_handler] = ACTIONS(1791),
    [anon_sym_AMPis_assigned] = ACTIONS(1791),
    [anon_sym_AMPis_used] = ACTIONS(1791),
    [anon_sym_AMPlog] = ACTIONS(1791),
    [anon_sym_AMPoptional] = ACTIONS(1791),
    [anon_sym_AMPordered] = ACTIONS(1791),
    [anon_sym_AMPraw_output] = ACTIONS(1791),
    [anon_sym_AMPredef] = ACTIONS(1791),
    [anon_sym_AMPadd_func] = ACTIONS(1791),
    [anon_sym_AMPbackend] = ACTIONS(1791),
    [anon_sym_AMPbroker_store] = ACTIONS(1791),
    [anon_sym_AMPcreate_expire] = ACTIONS(1791),
    [anon_sym_AMPdefault] = ACTIONS(1791),
    [anon_sym_AMPdelete_func] = ACTIONS(1791),
    [anon_sym_AMPexpire_func] = ACTIONS(1791),
    [anon_sym_AMPgroup] = ACTIONS(1791),
    [anon_sym_AMPon_change] = ACTIONS(1791),
    [anon_sym_AMPpriority] = ACTIONS(1791),
    [anon_sym_AMPread_expire] = ACTIONS(1791),
    [anon_sym_AMPtype_column] = ACTIONS(1791),
    [anon_sym_AMPwrite_expire] = ACTIONS(1791),
    [anon_sym_DOLLAR] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
    [anon_sym_BANG] = ACTIONS(1793),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1793),
    [anon_sym_is] = ACTIONS(1791),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1791),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT] = ACTIONS(1793),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_QMARK] = ACTIONS(1793),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1791),
    [anon_sym_ATdeprecated] = ACTIONS(1791),
    [anon_sym_ATload] = ACTIONS(1793),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1791),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1791),
    [anon_sym_ATunload] = ACTIONS(1791),
    [anon_sym_ATprefixes] = ACTIONS(1791),
    [anon_sym_ATif] = ACTIONS(1793),
    [anon_sym_ATifdef] = ACTIONS(1791),
    [anon_sym_ATifndef] = ACTIONS(1791),
    [anon_sym_ATendif] = ACTIONS(1791),
    [anon_sym_ATelse] = ACTIONS(1791),
    [anon_sym_ATpragma] = ACTIONS(1791),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [500] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1795),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [501] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1797),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [502] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1799),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [503] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [504] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1801),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [505] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [506] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_case] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [507] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [508] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [509] = {
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [510] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1805),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1803),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [511] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [512] = {
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [513] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1494),
    [anon_sym_default] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [514] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [515] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [516] = {
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_case] = ACTIONS(1570),
    [anon_sym_default] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [517] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [518] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [519] = {
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_case] = ACTIONS(1602),
    [anon_sym_default] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [520] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [521] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [522] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [523] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [524] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [525] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [526] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [527] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [528] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [529] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [530] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [531] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [532] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [533] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [534] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [535] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [537] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_else] = ACTIONS(1570),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_timeout] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(1602),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_timeout] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(125),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [544] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [546] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [547] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [548] = {
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_else] = ACTIONS(1570),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_timeout] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [550] = {
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(1602),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_timeout] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1817),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [552] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_case] = ACTIONS(1732),
    [anon_sym_default] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_timeout] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(125),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [555] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_case] = ACTIONS(1732),
    [anon_sym_default] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [556] = {
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [557] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1819),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [558] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [559] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1821),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [560] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [561] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [562] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [563] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [564] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [565] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [566] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [567] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [568] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [569] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1823),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [571] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_case] = ACTIONS(1720),
    [anon_sym_default] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [572] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_case] = ACTIONS(1720),
    [anon_sym_default] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [573] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_case] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [574] = {
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_timeout] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [575] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_case] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [576] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_case] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [577] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [578] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1825),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [581] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1827),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [582] = {
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [583] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [586] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1829),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [588] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1831),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1833),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1835),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1837),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1839),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [604] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [606] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1805),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1803),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [607] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [608] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(113),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(113),
    [anon_sym_AMPerror_handler] = ACTIONS(113),
    [anon_sym_AMPis_assigned] = ACTIONS(113),
    [anon_sym_AMPis_used] = ACTIONS(113),
    [anon_sym_AMPlog] = ACTIONS(113),
    [anon_sym_AMPoptional] = ACTIONS(113),
    [anon_sym_AMPordered] = ACTIONS(113),
    [anon_sym_AMPraw_output] = ACTIONS(113),
    [anon_sym_AMPredef] = ACTIONS(113),
    [anon_sym_AMPadd_func] = ACTIONS(113),
    [anon_sym_AMPbackend] = ACTIONS(113),
    [anon_sym_AMPbroker_store] = ACTIONS(113),
    [anon_sym_AMPcreate_expire] = ACTIONS(113),
    [anon_sym_AMPdefault] = ACTIONS(113),
    [anon_sym_AMPdelete_func] = ACTIONS(113),
    [anon_sym_AMPexpire_func] = ACTIONS(113),
    [anon_sym_AMPgroup] = ACTIONS(113),
    [anon_sym_AMPon_change] = ACTIONS(113),
    [anon_sym_AMPpriority] = ACTIONS(113),
    [anon_sym_AMPread_expire] = ACTIONS(113),
    [anon_sym_AMPtype_column] = ACTIONS(113),
    [anon_sym_AMPwrite_expire] = ACTIONS(113),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1805),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1803),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_ATdeprecated] = ACTIONS(113),
    [anon_sym_ATload] = ACTIONS(115),
    [anon_sym_ATload_DASHsigs] = ACTIONS(113),
    [anon_sym_ATload_DASHplugin] = ACTIONS(113),
    [anon_sym_ATunload] = ACTIONS(113),
    [anon_sym_ATprefixes] = ACTIONS(113),
    [anon_sym_ATif] = ACTIONS(115),
    [anon_sym_ATifdef] = ACTIONS(113),
    [anon_sym_ATifndef] = ACTIONS(113),
    [anon_sym_ATendif] = ACTIONS(113),
    [anon_sym_ATelse] = ACTIONS(113),
    [anon_sym_ATpragma] = ACTIONS(113),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [609] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(1482),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1482),
    [anon_sym_AMPerror_handler] = ACTIONS(1482),
    [anon_sym_AMPis_assigned] = ACTIONS(1482),
    [anon_sym_AMPis_used] = ACTIONS(1482),
    [anon_sym_AMPlog] = ACTIONS(1482),
    [anon_sym_AMPoptional] = ACTIONS(1482),
    [anon_sym_AMPordered] = ACTIONS(1482),
    [anon_sym_AMPraw_output] = ACTIONS(1482),
    [anon_sym_AMPredef] = ACTIONS(1482),
    [anon_sym_AMPadd_func] = ACTIONS(1482),
    [anon_sym_AMPbackend] = ACTIONS(1482),
    [anon_sym_AMPbroker_store] = ACTIONS(1482),
    [anon_sym_AMPcreate_expire] = ACTIONS(1482),
    [anon_sym_AMPdefault] = ACTIONS(1482),
    [anon_sym_AMPdelete_func] = ACTIONS(1482),
    [anon_sym_AMPexpire_func] = ACTIONS(1482),
    [anon_sym_AMPgroup] = ACTIONS(1482),
    [anon_sym_AMPon_change] = ACTIONS(1482),
    [anon_sym_AMPpriority] = ACTIONS(1482),
    [anon_sym_AMPread_expire] = ACTIONS(1482),
    [anon_sym_AMPtype_column] = ACTIONS(1482),
    [anon_sym_AMPwrite_expire] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1805),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1803),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1851),
    [anon_sym_ATdeprecated] = ACTIONS(1482),
    [anon_sym_ATload] = ACTIONS(1484),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1482),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1482),
    [anon_sym_ATunload] = ACTIONS(1482),
    [anon_sym_ATprefixes] = ACTIONS(1482),
    [anon_sym_ATif] = ACTIONS(1484),
    [anon_sym_ATifdef] = ACTIONS(1482),
    [anon_sym_ATifndef] = ACTIONS(1482),
    [anon_sym_ATendif] = ACTIONS(1482),
    [anon_sym_ATelse] = ACTIONS(1482),
    [anon_sym_ATpragma] = ACTIONS(1482),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [610] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(1482),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1482),
    [anon_sym_AMPerror_handler] = ACTIONS(1482),
    [anon_sym_AMPis_assigned] = ACTIONS(1482),
    [anon_sym_AMPis_used] = ACTIONS(1482),
    [anon_sym_AMPlog] = ACTIONS(1482),
    [anon_sym_AMPoptional] = ACTIONS(1482),
    [anon_sym_AMPordered] = ACTIONS(1482),
    [anon_sym_AMPraw_output] = ACTIONS(1482),
    [anon_sym_AMPredef] = ACTIONS(1482),
    [anon_sym_AMPadd_func] = ACTIONS(1482),
    [anon_sym_AMPbackend] = ACTIONS(1482),
    [anon_sym_AMPbroker_store] = ACTIONS(1482),
    [anon_sym_AMPcreate_expire] = ACTIONS(1482),
    [anon_sym_AMPdefault] = ACTIONS(1482),
    [anon_sym_AMPdelete_func] = ACTIONS(1482),
    [anon_sym_AMPexpire_func] = ACTIONS(1482),
    [anon_sym_AMPgroup] = ACTIONS(1482),
    [anon_sym_AMPon_change] = ACTIONS(1482),
    [anon_sym_AMPpriority] = ACTIONS(1482),
    [anon_sym_AMPread_expire] = ACTIONS(1482),
    [anon_sym_AMPtype_column] = ACTIONS(1482),
    [anon_sym_AMPwrite_expire] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1805),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1803),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1482),
    [anon_sym_ATdeprecated] = ACTIONS(1482),
    [anon_sym_ATload] = ACTIONS(1484),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1482),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1482),
    [anon_sym_ATunload] = ACTIONS(1482),
    [anon_sym_ATprefixes] = ACTIONS(1482),
    [anon_sym_ATif] = ACTIONS(1484),
    [anon_sym_ATifdef] = ACTIONS(1482),
    [anon_sym_ATifndef] = ACTIONS(1482),
    [anon_sym_ATendif] = ACTIONS(1482),
    [anon_sym_ATelse] = ACTIONS(1482),
    [anon_sym_ATpragma] = ACTIONS(1482),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [611] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_PLUS_EQ] = ACTIONS(1482),
    [anon_sym_DASH_EQ] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(1482),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1482),
    [anon_sym_AMPerror_handler] = ACTIONS(1482),
    [anon_sym_AMPis_assigned] = ACTIONS(1482),
    [anon_sym_AMPis_used] = ACTIONS(1482),
    [anon_sym_AMPlog] = ACTIONS(1482),
    [anon_sym_AMPoptional] = ACTIONS(1482),
    [anon_sym_AMPordered] = ACTIONS(1482),
    [anon_sym_AMPraw_output] = ACTIONS(1482),
    [anon_sym_AMPredef] = ACTIONS(1482),
    [anon_sym_AMPadd_func] = ACTIONS(1482),
    [anon_sym_AMPbackend] = ACTIONS(1482),
    [anon_sym_AMPbroker_store] = ACTIONS(1482),
    [anon_sym_AMPcreate_expire] = ACTIONS(1482),
    [anon_sym_AMPdefault] = ACTIONS(1482),
    [anon_sym_AMPdelete_func] = ACTIONS(1482),
    [anon_sym_AMPexpire_func] = ACTIONS(1482),
    [anon_sym_AMPgroup] = ACTIONS(1482),
    [anon_sym_AMPon_change] = ACTIONS(1482),
    [anon_sym_AMPpriority] = ACTIONS(1482),
    [anon_sym_AMPread_expire] = ACTIONS(1482),
    [anon_sym_AMPtype_column] = ACTIONS(1482),
    [anon_sym_AMPwrite_expire] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1482),
    [anon_sym_ATdeprecated] = ACTIONS(1482),
    [anon_sym_ATload] = ACTIONS(1484),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1482),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1482),
    [anon_sym_ATunload] = ACTIONS(1482),
    [anon_sym_ATprefixes] = ACTIONS(1482),
    [anon_sym_ATif] = ACTIONS(1484),
    [anon_sym_ATifdef] = ACTIONS(1482),
    [anon_sym_ATifndef] = ACTIONS(1482),
    [anon_sym_ATendif] = ACTIONS(1482),
    [anon_sym_ATelse] = ACTIONS(1482),
    [anon_sym_ATpragma] = ACTIONS(1482),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [612] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(1472),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1472),
    [anon_sym_AMPerror_handler] = ACTIONS(1472),
    [anon_sym_AMPis_assigned] = ACTIONS(1472),
    [anon_sym_AMPis_used] = ACTIONS(1472),
    [anon_sym_AMPlog] = ACTIONS(1472),
    [anon_sym_AMPoptional] = ACTIONS(1472),
    [anon_sym_AMPordered] = ACTIONS(1472),
    [anon_sym_AMPraw_output] = ACTIONS(1472),
    [anon_sym_AMPredef] = ACTIONS(1472),
    [anon_sym_AMPadd_func] = ACTIONS(1472),
    [anon_sym_AMPbackend] = ACTIONS(1472),
    [anon_sym_AMPbroker_store] = ACTIONS(1472),
    [anon_sym_AMPcreate_expire] = ACTIONS(1472),
    [anon_sym_AMPdefault] = ACTIONS(1472),
    [anon_sym_AMPdelete_func] = ACTIONS(1472),
    [anon_sym_AMPexpire_func] = ACTIONS(1472),
    [anon_sym_AMPgroup] = ACTIONS(1472),
    [anon_sym_AMPon_change] = ACTIONS(1472),
    [anon_sym_AMPpriority] = ACTIONS(1472),
    [anon_sym_AMPread_expire] = ACTIONS(1472),
    [anon_sym_AMPtype_column] = ACTIONS(1472),
    [anon_sym_AMPwrite_expire] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1805),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1803),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1472),
    [anon_sym_ATdeprecated] = ACTIONS(1472),
    [anon_sym_ATload] = ACTIONS(1474),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1472),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1472),
    [anon_sym_ATunload] = ACTIONS(1472),
    [anon_sym_ATprefixes] = ACTIONS(1472),
    [anon_sym_ATif] = ACTIONS(1474),
    [anon_sym_ATifdef] = ACTIONS(1472),
    [anon_sym_ATifndef] = ACTIONS(1472),
    [anon_sym_ATendif] = ACTIONS(1472),
    [anon_sym_ATelse] = ACTIONS(1472),
    [anon_sym_ATpragma] = ACTIONS(1472),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [613] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_PLUS_EQ] = ACTIONS(1510),
    [anon_sym_DASH_EQ] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1512),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(1510),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1510),
    [anon_sym_AMPerror_handler] = ACTIONS(1510),
    [anon_sym_AMPis_assigned] = ACTIONS(1510),
    [anon_sym_AMPis_used] = ACTIONS(1510),
    [anon_sym_AMPlog] = ACTIONS(1510),
    [anon_sym_AMPoptional] = ACTIONS(1510),
    [anon_sym_AMPordered] = ACTIONS(1510),
    [anon_sym_AMPraw_output] = ACTIONS(1510),
    [anon_sym_AMPredef] = ACTIONS(1510),
    [anon_sym_AMPadd_func] = ACTIONS(1510),
    [anon_sym_AMPbackend] = ACTIONS(1510),
    [anon_sym_AMPbroker_store] = ACTIONS(1510),
    [anon_sym_AMPcreate_expire] = ACTIONS(1510),
    [anon_sym_AMPdefault] = ACTIONS(1510),
    [anon_sym_AMPdelete_func] = ACTIONS(1510),
    [anon_sym_AMPexpire_func] = ACTIONS(1510),
    [anon_sym_AMPgroup] = ACTIONS(1510),
    [anon_sym_AMPon_change] = ACTIONS(1510),
    [anon_sym_AMPpriority] = ACTIONS(1510),
    [anon_sym_AMPread_expire] = ACTIONS(1510),
    [anon_sym_AMPtype_column] = ACTIONS(1510),
    [anon_sym_AMPwrite_expire] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1805),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1803),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1510),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATpragma] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [614] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(1472),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1472),
    [anon_sym_AMPerror_handler] = ACTIONS(1472),
    [anon_sym_AMPis_assigned] = ACTIONS(1472),
    [anon_sym_AMPis_used] = ACTIONS(1472),
    [anon_sym_AMPlog] = ACTIONS(1472),
    [anon_sym_AMPoptional] = ACTIONS(1472),
    [anon_sym_AMPordered] = ACTIONS(1472),
    [anon_sym_AMPraw_output] = ACTIONS(1472),
    [anon_sym_AMPredef] = ACTIONS(1472),
    [anon_sym_AMPadd_func] = ACTIONS(1472),
    [anon_sym_AMPbackend] = ACTIONS(1472),
    [anon_sym_AMPbroker_store] = ACTIONS(1472),
    [anon_sym_AMPcreate_expire] = ACTIONS(1472),
    [anon_sym_AMPdefault] = ACTIONS(1472),
    [anon_sym_AMPdelete_func] = ACTIONS(1472),
    [anon_sym_AMPexpire_func] = ACTIONS(1472),
    [anon_sym_AMPgroup] = ACTIONS(1472),
    [anon_sym_AMPon_change] = ACTIONS(1472),
    [anon_sym_AMPpriority] = ACTIONS(1472),
    [anon_sym_AMPread_expire] = ACTIONS(1472),
    [anon_sym_AMPtype_column] = ACTIONS(1472),
    [anon_sym_AMPwrite_expire] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1805),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1803),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1851),
    [anon_sym_ATdeprecated] = ACTIONS(1472),
    [anon_sym_ATload] = ACTIONS(1474),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1472),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1472),
    [anon_sym_ATunload] = ACTIONS(1472),
    [anon_sym_ATprefixes] = ACTIONS(1472),
    [anon_sym_ATif] = ACTIONS(1474),
    [anon_sym_ATifdef] = ACTIONS(1472),
    [anon_sym_ATifndef] = ACTIONS(1472),
    [anon_sym_ATendif] = ACTIONS(1472),
    [anon_sym_ATelse] = ACTIONS(1472),
    [anon_sym_ATpragma] = ACTIONS(1472),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [615] = {
    [sym_index_slice] = STATE(309),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(135),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(135),
    [anon_sym_AMPerror_handler] = ACTIONS(135),
    [anon_sym_AMPis_assigned] = ACTIONS(135),
    [anon_sym_AMPis_used] = ACTIONS(135),
    [anon_sym_AMPlog] = ACTIONS(135),
    [anon_sym_AMPoptional] = ACTIONS(135),
    [anon_sym_AMPordered] = ACTIONS(135),
    [anon_sym_AMPraw_output] = ACTIONS(135),
    [anon_sym_AMPredef] = ACTIONS(135),
    [anon_sym_AMPadd_func] = ACTIONS(135),
    [anon_sym_AMPbackend] = ACTIONS(135),
    [anon_sym_AMPbroker_store] = ACTIONS(135),
    [anon_sym_AMPcreate_expire] = ACTIONS(135),
    [anon_sym_AMPdefault] = ACTIONS(135),
    [anon_sym_AMPdelete_func] = ACTIONS(135),
    [anon_sym_AMPexpire_func] = ACTIONS(135),
    [anon_sym_AMPgroup] = ACTIONS(135),
    [anon_sym_AMPon_change] = ACTIONS(135),
    [anon_sym_AMPpriority] = ACTIONS(135),
    [anon_sym_AMPread_expire] = ACTIONS(135),
    [anon_sym_AMPtype_column] = ACTIONS(135),
    [anon_sym_AMPwrite_expire] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1805),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1803),
    [anon_sym_QMARK] = ACTIONS(1811),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1851),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(141),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(141),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATpragma] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1853),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1857),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [620] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [621] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1861),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [622] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1863),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [628] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1865),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [629] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [630] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1867),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [631] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1869),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [632] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [633] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_case] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [634] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [635] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [636] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [637] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [638] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [640] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [641] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [642] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [643] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(1602),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [645] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [646] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [647] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [648] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [649] = {
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_else] = ACTIONS(1570),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_else] = ACTIONS(1494),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [651] = {
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(1602),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [652] = {
    [ts_builtin_sym_end] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [653] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [654] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [655] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [656] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [657] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [658] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [659] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [660] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [661] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [662] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [663] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1871),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1873),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [665] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1875),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [666] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1877),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [667] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1879),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [668] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [669] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [671] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [672] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1881),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [673] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1883),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [674] = {
    [ts_builtin_sym_end] = ACTIONS(125),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [675] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [676] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [677] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [679] = {
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_next] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_fallthrough] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(131),
    [anon_sym_add] = ACTIONS(131),
    [anon_sym_delete] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_assert] = ACTIONS(131),
    [anon_sym_table] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_hook] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(131),
    [aux_sym_constant_token1] = ACTIONS(131),
    [anon_sym_T] = ACTIONS(131),
    [anon_sym_F] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(129),
    [anon_sym_ATload] = ACTIONS(131),
    [anon_sym_ATload_DASHsigs] = ACTIONS(129),
    [anon_sym_ATload_DASHplugin] = ACTIONS(129),
    [anon_sym_ATunload] = ACTIONS(129),
    [anon_sym_ATprefixes] = ACTIONS(129),
    [anon_sym_ATif] = ACTIONS(131),
    [anon_sym_ATifdef] = ACTIONS(129),
    [anon_sym_ATifndef] = ACTIONS(129),
    [anon_sym_ATendif] = ACTIONS(129),
    [anon_sym_ATelse] = ACTIONS(129),
    [anon_sym_ATpragma] = ACTIONS(129),
    [anon_sym_ATDIR] = ACTIONS(129),
    [anon_sym_ATFILENAME] = ACTIONS(129),
    [sym_id] = ACTIONS(131),
    [sym_pattern] = ACTIONS(129),
    [sym_ipv6] = ACTIONS(131),
    [sym_ipv4] = ACTIONS(131),
    [sym_port] = ACTIONS(129),
    [sym_floatp] = ACTIONS(131),
    [sym_hex] = ACTIONS(131),
    [sym_hostname] = ACTIONS(131),
    [aux_sym_string_token1] = ACTIONS(129),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [680] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_assert] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATpragma] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [681] = {
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_timeout] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1885),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [685] = {
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [687] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1887),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1889),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [691] = {
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_timeout] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [694] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1700),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_timeout] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [698] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1891),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [699] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [702] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_timeout] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1893),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_else] = ACTIONS(1720),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_else] = ACTIONS(1724),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_timeout] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_else] = ACTIONS(1728),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [720] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_timeout] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_timeout] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [724] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_else] = ACTIONS(1570),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_timeout] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [731] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [733] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [734] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_else] = ACTIONS(1732),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [735] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1895),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1897),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1899),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [739] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1901),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [740] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1903),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [741] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1905),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [742] = {
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_else] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [743] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [744] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [745] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [746] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_timeout] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [748] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [749] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [752] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_timeout] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [757] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_timeout] = ACTIONS(1907),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [763] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1909),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [766] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [772] = {
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_record] = ACTIONS(1602),
    [anon_sym_print] = ACTIONS(1602),
    [anon_sym_event] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_next] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_fallthrough] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_add] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_local] = ACTIONS(1602),
    [anon_sym_when] = ACTIONS(1602),
    [anon_sym_assert] = ACTIONS(1602),
    [anon_sym_table] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_vector] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_hook] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_copy] = ACTIONS(1602),
    [anon_sym_schedule] = ACTIONS(1602),
    [aux_sym_constant_token1] = ACTIONS(1602),
    [anon_sym_T] = ACTIONS(1602),
    [anon_sym_F] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1600),
    [anon_sym_ATload] = ACTIONS(1602),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1600),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1600),
    [anon_sym_ATunload] = ACTIONS(1600),
    [anon_sym_ATprefixes] = ACTIONS(1600),
    [anon_sym_ATif] = ACTIONS(1602),
    [anon_sym_ATifdef] = ACTIONS(1600),
    [anon_sym_ATifndef] = ACTIONS(1600),
    [anon_sym_ATendif] = ACTIONS(1600),
    [anon_sym_ATelse] = ACTIONS(1600),
    [anon_sym_ATpragma] = ACTIONS(1600),
    [anon_sym_ATDIR] = ACTIONS(1600),
    [anon_sym_ATFILENAME] = ACTIONS(1600),
    [sym_id] = ACTIONS(1602),
    [sym_pattern] = ACTIONS(1600),
    [sym_ipv6] = ACTIONS(1602),
    [sym_ipv4] = ACTIONS(1602),
    [sym_port] = ACTIONS(1600),
    [sym_floatp] = ACTIONS(1602),
    [sym_hex] = ACTIONS(1602),
    [sym_hostname] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1600),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [773] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [777] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [781] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [782] = {
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1570),
    [anon_sym_record] = ACTIONS(1570),
    [anon_sym_print] = ACTIONS(1570),
    [anon_sym_event] = ACTIONS(1570),
    [anon_sym_if] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_switch] = ACTIONS(1570),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_while] = ACTIONS(1570),
    [anon_sym_next] = ACTIONS(1570),
    [anon_sym_break] = ACTIONS(1570),
    [anon_sym_fallthrough] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1570),
    [anon_sym_add] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_local] = ACTIONS(1570),
    [anon_sym_when] = ACTIONS(1570),
    [anon_sym_assert] = ACTIONS(1570),
    [anon_sym_table] = ACTIONS(1570),
    [anon_sym_set] = ACTIONS(1570),
    [anon_sym_vector] = ACTIONS(1570),
    [anon_sym_function] = ACTIONS(1570),
    [anon_sym_hook] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_copy] = ACTIONS(1570),
    [anon_sym_schedule] = ACTIONS(1570),
    [aux_sym_constant_token1] = ACTIONS(1570),
    [anon_sym_T] = ACTIONS(1570),
    [anon_sym_F] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1568),
    [anon_sym_ATload] = ACTIONS(1570),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1568),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1568),
    [anon_sym_ATunload] = ACTIONS(1568),
    [anon_sym_ATprefixes] = ACTIONS(1568),
    [anon_sym_ATif] = ACTIONS(1570),
    [anon_sym_ATifdef] = ACTIONS(1568),
    [anon_sym_ATifndef] = ACTIONS(1568),
    [anon_sym_ATendif] = ACTIONS(1568),
    [anon_sym_ATelse] = ACTIONS(1568),
    [anon_sym_ATpragma] = ACTIONS(1568),
    [anon_sym_ATDIR] = ACTIONS(1568),
    [anon_sym_ATFILENAME] = ACTIONS(1568),
    [sym_id] = ACTIONS(1570),
    [sym_pattern] = ACTIONS(1568),
    [sym_ipv6] = ACTIONS(1570),
    [sym_ipv4] = ACTIONS(1570),
    [sym_port] = ACTIONS(1568),
    [sym_floatp] = ACTIONS(1570),
    [sym_hex] = ACTIONS(1570),
    [sym_hostname] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1568),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [783] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [784] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [785] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [787] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [788] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [791] = {
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATpragma] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATpragma] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_record] = ACTIONS(1712),
    [anon_sym_print] = ACTIONS(1712),
    [anon_sym_event] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_next] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_fallthrough] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_add] = ACTIONS(1712),
    [anon_sym_delete] = ACTIONS(1712),
    [anon_sym_local] = ACTIONS(1712),
    [anon_sym_when] = ACTIONS(1712),
    [anon_sym_assert] = ACTIONS(1712),
    [anon_sym_table] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_vector] = ACTIONS(1712),
    [anon_sym_function] = ACTIONS(1712),
    [anon_sym_hook] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_copy] = ACTIONS(1712),
    [anon_sym_schedule] = ACTIONS(1712),
    [aux_sym_constant_token1] = ACTIONS(1712),
    [anon_sym_T] = ACTIONS(1712),
    [anon_sym_F] = ACTIONS(1712),
    [anon_sym_ATdeprecated] = ACTIONS(1710),
    [anon_sym_ATload] = ACTIONS(1712),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1710),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1710),
    [anon_sym_ATunload] = ACTIONS(1710),
    [anon_sym_ATprefixes] = ACTIONS(1710),
    [anon_sym_ATif] = ACTIONS(1712),
    [anon_sym_ATifdef] = ACTIONS(1710),
    [anon_sym_ATifndef] = ACTIONS(1710),
    [anon_sym_ATendif] = ACTIONS(1710),
    [anon_sym_ATelse] = ACTIONS(1710),
    [anon_sym_ATpragma] = ACTIONS(1710),
    [anon_sym_ATDIR] = ACTIONS(1710),
    [anon_sym_ATFILENAME] = ACTIONS(1710),
    [sym_id] = ACTIONS(1712),
    [sym_pattern] = ACTIONS(1710),
    [sym_ipv6] = ACTIONS(1712),
    [sym_ipv4] = ACTIONS(1712),
    [sym_port] = ACTIONS(1710),
    [sym_floatp] = ACTIONS(1712),
    [sym_hex] = ACTIONS(1712),
    [sym_hostname] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1710),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [795] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [796] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [797] = {
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_record] = ACTIONS(139),
    [anon_sym_print] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_fallthrough] = ACTIONS(139),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_add] = ACTIONS(139),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(139),
    [anon_sym_when] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_hook] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(137),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(137),
    [anon_sym_DASH_DASH] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_copy] = ACTIONS(139),
    [anon_sym_schedule] = ACTIONS(139),
    [aux_sym_constant_token1] = ACTIONS(139),
    [anon_sym_T] = ACTIONS(139),
    [anon_sym_F] = ACTIONS(139),
    [anon_sym_ATdeprecated] = ACTIONS(137),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(137),
    [anon_sym_ATload_DASHplugin] = ACTIONS(137),
    [anon_sym_ATunload] = ACTIONS(137),
    [anon_sym_ATprefixes] = ACTIONS(137),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(137),
    [anon_sym_ATifndef] = ACTIONS(137),
    [anon_sym_ATendif] = ACTIONS(137),
    [anon_sym_ATelse] = ACTIONS(137),
    [anon_sym_ATpragma] = ACTIONS(137),
    [anon_sym_ATDIR] = ACTIONS(137),
    [anon_sym_ATFILENAME] = ACTIONS(137),
    [sym_id] = ACTIONS(139),
    [sym_pattern] = ACTIONS(137),
    [sym_ipv6] = ACTIONS(139),
    [sym_ipv4] = ACTIONS(139),
    [sym_port] = ACTIONS(137),
    [sym_floatp] = ACTIONS(139),
    [sym_hex] = ACTIONS(139),
    [sym_hostname] = ACTIONS(139),
    [aux_sym_string_token1] = ACTIONS(137),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [799] = {
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_record] = ACTIONS(1704),
    [anon_sym_print] = ACTIONS(1704),
    [anon_sym_event] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_next] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_fallthrough] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_add] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_local] = ACTIONS(1704),
    [anon_sym_when] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1704),
    [anon_sym_table] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_vector] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_hook] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_copy] = ACTIONS(1704),
    [anon_sym_schedule] = ACTIONS(1704),
    [aux_sym_constant_token1] = ACTIONS(1704),
    [anon_sym_T] = ACTIONS(1704),
    [anon_sym_F] = ACTIONS(1704),
    [anon_sym_ATdeprecated] = ACTIONS(1702),
    [anon_sym_ATload] = ACTIONS(1704),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1702),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1702),
    [anon_sym_ATunload] = ACTIONS(1702),
    [anon_sym_ATprefixes] = ACTIONS(1702),
    [anon_sym_ATif] = ACTIONS(1704),
    [anon_sym_ATifdef] = ACTIONS(1702),
    [anon_sym_ATifndef] = ACTIONS(1702),
    [anon_sym_ATendif] = ACTIONS(1702),
    [anon_sym_ATelse] = ACTIONS(1702),
    [anon_sym_ATpragma] = ACTIONS(1702),
    [anon_sym_ATDIR] = ACTIONS(1702),
    [anon_sym_ATFILENAME] = ACTIONS(1702),
    [sym_id] = ACTIONS(1704),
    [sym_pattern] = ACTIONS(1702),
    [sym_ipv6] = ACTIONS(1704),
    [sym_ipv4] = ACTIONS(1704),
    [sym_port] = ACTIONS(1702),
    [sym_floatp] = ACTIONS(1704),
    [sym_hex] = ACTIONS(1704),
    [sym_hostname] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1702),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [801] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [802] = {
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_record] = ACTIONS(1538),
    [anon_sym_print] = ACTIONS(1538),
    [anon_sym_event] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_next] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_fallthrough] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_add] = ACTIONS(1538),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_local] = ACTIONS(1538),
    [anon_sym_when] = ACTIONS(1538),
    [anon_sym_assert] = ACTIONS(1538),
    [anon_sym_table] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_vector] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_hook] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_copy] = ACTIONS(1538),
    [anon_sym_schedule] = ACTIONS(1538),
    [aux_sym_constant_token1] = ACTIONS(1538),
    [anon_sym_T] = ACTIONS(1538),
    [anon_sym_F] = ACTIONS(1538),
    [anon_sym_ATdeprecated] = ACTIONS(1536),
    [anon_sym_ATload] = ACTIONS(1538),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1536),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1536),
    [anon_sym_ATunload] = ACTIONS(1536),
    [anon_sym_ATprefixes] = ACTIONS(1536),
    [anon_sym_ATif] = ACTIONS(1538),
    [anon_sym_ATifdef] = ACTIONS(1536),
    [anon_sym_ATifndef] = ACTIONS(1536),
    [anon_sym_ATendif] = ACTIONS(1536),
    [anon_sym_ATelse] = ACTIONS(1536),
    [anon_sym_ATpragma] = ACTIONS(1536),
    [anon_sym_ATDIR] = ACTIONS(1536),
    [anon_sym_ATFILENAME] = ACTIONS(1536),
    [sym_id] = ACTIONS(1538),
    [sym_pattern] = ACTIONS(1536),
    [sym_ipv6] = ACTIONS(1538),
    [sym_ipv4] = ACTIONS(1538),
    [sym_port] = ACTIONS(1536),
    [sym_floatp] = ACTIONS(1538),
    [sym_hex] = ACTIONS(1538),
    [sym_hostname] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1536),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [803] = {
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [804] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [806] = {
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_record] = ACTIONS(1724),
    [anon_sym_print] = ACTIONS(1724),
    [anon_sym_event] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_next] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_fallthrough] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_add] = ACTIONS(1724),
    [anon_sym_delete] = ACTIONS(1724),
    [anon_sym_local] = ACTIONS(1724),
    [anon_sym_when] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1724),
    [anon_sym_set] = ACTIONS(1724),
    [anon_sym_vector] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(1724),
    [anon_sym_hook] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_copy] = ACTIONS(1724),
    [anon_sym_schedule] = ACTIONS(1724),
    [aux_sym_constant_token1] = ACTIONS(1724),
    [anon_sym_T] = ACTIONS(1724),
    [anon_sym_F] = ACTIONS(1724),
    [anon_sym_ATdeprecated] = ACTIONS(1722),
    [anon_sym_ATload] = ACTIONS(1724),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1722),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1722),
    [anon_sym_ATunload] = ACTIONS(1722),
    [anon_sym_ATprefixes] = ACTIONS(1722),
    [anon_sym_ATif] = ACTIONS(1724),
    [anon_sym_ATifdef] = ACTIONS(1722),
    [anon_sym_ATifndef] = ACTIONS(1722),
    [anon_sym_ATendif] = ACTIONS(1722),
    [anon_sym_ATelse] = ACTIONS(1722),
    [anon_sym_ATpragma] = ACTIONS(1722),
    [anon_sym_ATDIR] = ACTIONS(1722),
    [anon_sym_ATFILENAME] = ACTIONS(1722),
    [sym_id] = ACTIONS(1724),
    [sym_pattern] = ACTIONS(1722),
    [sym_ipv6] = ACTIONS(1724),
    [sym_ipv4] = ACTIONS(1724),
    [sym_port] = ACTIONS(1722),
    [sym_floatp] = ACTIONS(1724),
    [sym_hex] = ACTIONS(1724),
    [sym_hostname] = ACTIONS(1724),
    [aux_sym_string_token1] = ACTIONS(1722),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [807] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [810] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [811] = {
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_record] = ACTIONS(1728),
    [anon_sym_print] = ACTIONS(1728),
    [anon_sym_event] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_next] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_fallthrough] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_add] = ACTIONS(1728),
    [anon_sym_delete] = ACTIONS(1728),
    [anon_sym_local] = ACTIONS(1728),
    [anon_sym_when] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1728),
    [anon_sym_table] = ACTIONS(1728),
    [anon_sym_set] = ACTIONS(1728),
    [anon_sym_vector] = ACTIONS(1728),
    [anon_sym_function] = ACTIONS(1728),
    [anon_sym_hook] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_PLUS_PLUS] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_copy] = ACTIONS(1728),
    [anon_sym_schedule] = ACTIONS(1728),
    [aux_sym_constant_token1] = ACTIONS(1728),
    [anon_sym_T] = ACTIONS(1728),
    [anon_sym_F] = ACTIONS(1728),
    [anon_sym_ATdeprecated] = ACTIONS(1726),
    [anon_sym_ATload] = ACTIONS(1728),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1726),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1726),
    [anon_sym_ATunload] = ACTIONS(1726),
    [anon_sym_ATprefixes] = ACTIONS(1726),
    [anon_sym_ATif] = ACTIONS(1728),
    [anon_sym_ATifdef] = ACTIONS(1726),
    [anon_sym_ATifndef] = ACTIONS(1726),
    [anon_sym_ATendif] = ACTIONS(1726),
    [anon_sym_ATelse] = ACTIONS(1726),
    [anon_sym_ATpragma] = ACTIONS(1726),
    [anon_sym_ATDIR] = ACTIONS(1726),
    [anon_sym_ATFILENAME] = ACTIONS(1726),
    [sym_id] = ACTIONS(1728),
    [sym_pattern] = ACTIONS(1726),
    [sym_ipv6] = ACTIONS(1728),
    [sym_ipv4] = ACTIONS(1728),
    [sym_port] = ACTIONS(1726),
    [sym_floatp] = ACTIONS(1728),
    [sym_hex] = ACTIONS(1728),
    [sym_hostname] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1726),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [812] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [813] = {
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1694),
    [anon_sym_print] = ACTIONS(1694),
    [anon_sym_event] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_next] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_fallthrough] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_add] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_local] = ACTIONS(1694),
    [anon_sym_when] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1694),
    [anon_sym_table] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_vector] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_hook] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_copy] = ACTIONS(1694),
    [anon_sym_schedule] = ACTIONS(1694),
    [aux_sym_constant_token1] = ACTIONS(1694),
    [anon_sym_T] = ACTIONS(1694),
    [anon_sym_F] = ACTIONS(1694),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [anon_sym_ATpragma] = ACTIONS(1692),
    [anon_sym_ATDIR] = ACTIONS(1692),
    [anon_sym_ATFILENAME] = ACTIONS(1692),
    [sym_id] = ACTIONS(1694),
    [sym_pattern] = ACTIONS(1692),
    [sym_ipv6] = ACTIONS(1694),
    [sym_ipv4] = ACTIONS(1694),
    [sym_port] = ACTIONS(1692),
    [sym_floatp] = ACTIONS(1694),
    [sym_hex] = ACTIONS(1694),
    [sym_hostname] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [814] = {
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_record] = ACTIONS(1700),
    [anon_sym_print] = ACTIONS(1700),
    [anon_sym_event] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_next] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_fallthrough] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_add] = ACTIONS(1700),
    [anon_sym_delete] = ACTIONS(1700),
    [anon_sym_local] = ACTIONS(1700),
    [anon_sym_when] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1700),
    [anon_sym_table] = ACTIONS(1700),
    [anon_sym_set] = ACTIONS(1700),
    [anon_sym_vector] = ACTIONS(1700),
    [anon_sym_function] = ACTIONS(1700),
    [anon_sym_hook] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_copy] = ACTIONS(1700),
    [anon_sym_schedule] = ACTIONS(1700),
    [aux_sym_constant_token1] = ACTIONS(1700),
    [anon_sym_T] = ACTIONS(1700),
    [anon_sym_F] = ACTIONS(1700),
    [anon_sym_ATdeprecated] = ACTIONS(1698),
    [anon_sym_ATload] = ACTIONS(1700),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1698),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1698),
    [anon_sym_ATunload] = ACTIONS(1698),
    [anon_sym_ATprefixes] = ACTIONS(1698),
    [anon_sym_ATif] = ACTIONS(1700),
    [anon_sym_ATifdef] = ACTIONS(1698),
    [anon_sym_ATifndef] = ACTIONS(1698),
    [anon_sym_ATendif] = ACTIONS(1698),
    [anon_sym_ATelse] = ACTIONS(1698),
    [anon_sym_ATpragma] = ACTIONS(1698),
    [anon_sym_ATDIR] = ACTIONS(1698),
    [anon_sym_ATFILENAME] = ACTIONS(1698),
    [sym_id] = ACTIONS(1700),
    [sym_pattern] = ACTIONS(1698),
    [sym_ipv6] = ACTIONS(1700),
    [sym_ipv4] = ACTIONS(1700),
    [sym_port] = ACTIONS(1698),
    [sym_floatp] = ACTIONS(1700),
    [sym_hex] = ACTIONS(1700),
    [sym_hostname] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1698),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATpragma] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_record] = ACTIONS(1720),
    [anon_sym_print] = ACTIONS(1720),
    [anon_sym_event] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_next] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_fallthrough] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_add] = ACTIONS(1720),
    [anon_sym_delete] = ACTIONS(1720),
    [anon_sym_local] = ACTIONS(1720),
    [anon_sym_when] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1720),
    [anon_sym_set] = ACTIONS(1720),
    [anon_sym_vector] = ACTIONS(1720),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_hook] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_copy] = ACTIONS(1720),
    [anon_sym_schedule] = ACTIONS(1720),
    [aux_sym_constant_token1] = ACTIONS(1720),
    [anon_sym_T] = ACTIONS(1720),
    [anon_sym_F] = ACTIONS(1720),
    [anon_sym_ATdeprecated] = ACTIONS(1718),
    [anon_sym_ATload] = ACTIONS(1720),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1718),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1718),
    [anon_sym_ATunload] = ACTIONS(1718),
    [anon_sym_ATprefixes] = ACTIONS(1718),
    [anon_sym_ATif] = ACTIONS(1720),
    [anon_sym_ATifdef] = ACTIONS(1718),
    [anon_sym_ATifndef] = ACTIONS(1718),
    [anon_sym_ATendif] = ACTIONS(1718),
    [anon_sym_ATelse] = ACTIONS(1718),
    [anon_sym_ATpragma] = ACTIONS(1718),
    [anon_sym_ATDIR] = ACTIONS(1718),
    [anon_sym_ATFILENAME] = ACTIONS(1718),
    [sym_id] = ACTIONS(1720),
    [sym_pattern] = ACTIONS(1718),
    [sym_ipv6] = ACTIONS(1720),
    [sym_ipv4] = ACTIONS(1720),
    [sym_port] = ACTIONS(1718),
    [sym_floatp] = ACTIONS(1720),
    [sym_hex] = ACTIONS(1720),
    [sym_hostname] = ACTIONS(1720),
    [aux_sym_string_token1] = ACTIONS(1718),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [818] = {
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_record] = ACTIONS(1716),
    [anon_sym_print] = ACTIONS(1716),
    [anon_sym_event] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_next] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_fallthrough] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_add] = ACTIONS(1716),
    [anon_sym_delete] = ACTIONS(1716),
    [anon_sym_local] = ACTIONS(1716),
    [anon_sym_when] = ACTIONS(1716),
    [anon_sym_assert] = ACTIONS(1716),
    [anon_sym_table] = ACTIONS(1716),
    [anon_sym_set] = ACTIONS(1716),
    [anon_sym_vector] = ACTIONS(1716),
    [anon_sym_function] = ACTIONS(1716),
    [anon_sym_hook] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_copy] = ACTIONS(1716),
    [anon_sym_schedule] = ACTIONS(1716),
    [aux_sym_constant_token1] = ACTIONS(1716),
    [anon_sym_T] = ACTIONS(1716),
    [anon_sym_F] = ACTIONS(1716),
    [anon_sym_ATdeprecated] = ACTIONS(1714),
    [anon_sym_ATload] = ACTIONS(1716),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1714),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1714),
    [anon_sym_ATunload] = ACTIONS(1714),
    [anon_sym_ATprefixes] = ACTIONS(1714),
    [anon_sym_ATif] = ACTIONS(1716),
    [anon_sym_ATifdef] = ACTIONS(1714),
    [anon_sym_ATifndef] = ACTIONS(1714),
    [anon_sym_ATendif] = ACTIONS(1714),
    [anon_sym_ATelse] = ACTIONS(1714),
    [anon_sym_ATpragma] = ACTIONS(1714),
    [anon_sym_ATDIR] = ACTIONS(1714),
    [anon_sym_ATFILENAME] = ACTIONS(1714),
    [sym_id] = ACTIONS(1716),
    [sym_pattern] = ACTIONS(1714),
    [sym_ipv6] = ACTIONS(1716),
    [sym_ipv4] = ACTIONS(1716),
    [sym_port] = ACTIONS(1714),
    [sym_floatp] = ACTIONS(1716),
    [sym_hex] = ACTIONS(1716),
    [sym_hostname] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1714),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [819] = {
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_record] = ACTIONS(1732),
    [anon_sym_print] = ACTIONS(1732),
    [anon_sym_event] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_switch] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_next] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_fallthrough] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_add] = ACTIONS(1732),
    [anon_sym_delete] = ACTIONS(1732),
    [anon_sym_local] = ACTIONS(1732),
    [anon_sym_when] = ACTIONS(1732),
    [anon_sym_assert] = ACTIONS(1732),
    [anon_sym_table] = ACTIONS(1732),
    [anon_sym_set] = ACTIONS(1732),
    [anon_sym_vector] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(1732),
    [anon_sym_hook] = ACTIONS(1732),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS_PLUS] = ACTIONS(1730),
    [anon_sym_DASH_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_copy] = ACTIONS(1732),
    [anon_sym_schedule] = ACTIONS(1732),
    [aux_sym_constant_token1] = ACTIONS(1732),
    [anon_sym_T] = ACTIONS(1732),
    [anon_sym_F] = ACTIONS(1732),
    [anon_sym_ATdeprecated] = ACTIONS(1730),
    [anon_sym_ATload] = ACTIONS(1732),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1730),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1730),
    [anon_sym_ATunload] = ACTIONS(1730),
    [anon_sym_ATprefixes] = ACTIONS(1730),
    [anon_sym_ATif] = ACTIONS(1732),
    [anon_sym_ATifdef] = ACTIONS(1730),
    [anon_sym_ATifndef] = ACTIONS(1730),
    [anon_sym_ATendif] = ACTIONS(1730),
    [anon_sym_ATelse] = ACTIONS(1730),
    [anon_sym_ATpragma] = ACTIONS(1730),
    [anon_sym_ATDIR] = ACTIONS(1730),
    [anon_sym_ATFILENAME] = ACTIONS(1730),
    [sym_id] = ACTIONS(1732),
    [sym_pattern] = ACTIONS(1730),
    [sym_ipv6] = ACTIONS(1732),
    [sym_ipv4] = ACTIONS(1732),
    [sym_port] = ACTIONS(1730),
    [sym_floatp] = ACTIONS(1732),
    [sym_hex] = ACTIONS(1732),
    [sym_hostname] = ACTIONS(1732),
    [aux_sym_string_token1] = ACTIONS(1730),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [820] = {
    [anon_sym_SEMI] = ACTIONS(544),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_PLUS_EQ] = ACTIONS(544),
    [anon_sym_record] = ACTIONS(546),
    [anon_sym_DASH_EQ] = ACTIONS(544),
    [anon_sym_LPAREN] = ACTIONS(544),
    [anon_sym_LBRACK] = ACTIONS(544),
    [anon_sym_local] = ACTIONS(546),
    [anon_sym_EQ] = ACTIONS(544),
    [anon_sym_table] = ACTIONS(546),
    [anon_sym_of] = ACTIONS(1911),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_vector] = ACTIONS(546),
    [anon_sym_function] = ACTIONS(546),
    [anon_sym_hook] = ACTIONS(546),
    [anon_sym_AMPdeprecated] = ACTIONS(544),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(544),
    [anon_sym_AMPerror_handler] = ACTIONS(544),
    [anon_sym_AMPis_assigned] = ACTIONS(544),
    [anon_sym_AMPis_used] = ACTIONS(544),
    [anon_sym_AMPlog] = ACTIONS(544),
    [anon_sym_AMPoptional] = ACTIONS(544),
    [anon_sym_AMPordered] = ACTIONS(544),
    [anon_sym_AMPraw_output] = ACTIONS(544),
    [anon_sym_AMPredef] = ACTIONS(544),
    [anon_sym_AMPadd_func] = ACTIONS(544),
    [anon_sym_AMPbackend] = ACTIONS(544),
    [anon_sym_AMPbroker_store] = ACTIONS(544),
    [anon_sym_AMPcreate_expire] = ACTIONS(544),
    [anon_sym_AMPdefault] = ACTIONS(544),
    [anon_sym_AMPdelete_func] = ACTIONS(544),
    [anon_sym_AMPexpire_func] = ACTIONS(544),
    [anon_sym_AMPgroup] = ACTIONS(544),
    [anon_sym_AMPon_change] = ACTIONS(544),
    [anon_sym_AMPpriority] = ACTIONS(544),
    [anon_sym_AMPread_expire] = ACTIONS(544),
    [anon_sym_AMPtype_column] = ACTIONS(544),
    [anon_sym_AMPwrite_expire] = ACTIONS(544),
    [anon_sym_DOLLAR] = ACTIONS(544),
    [anon_sym_PIPE] = ACTIONS(544),
    [anon_sym_PLUS_PLUS] = ACTIONS(544),
    [anon_sym_DASH_DASH] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(544),
    [anon_sym_TILDE] = ACTIONS(544),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_copy] = ACTIONS(546),
    [anon_sym_schedule] = ACTIONS(546),
    [aux_sym_constant_token1] = ACTIONS(546),
    [anon_sym_T] = ACTIONS(546),
    [anon_sym_F] = ACTIONS(546),
    [anon_sym_ATDIR] = ACTIONS(544),
    [anon_sym_ATFILENAME] = ACTIONS(544),
    [sym_id] = ACTIONS(546),
    [sym_pattern] = ACTIONS(544),
    [sym_ipv6] = ACTIONS(546),
    [sym_ipv4] = ACTIONS(546),
    [sym_port] = ACTIONS(544),
    [sym_floatp] = ACTIONS(546),
    [sym_hex] = ACTIONS(546),
    [sym_hostname] = ACTIONS(546),
    [aux_sym_string_token1] = ACTIONS(544),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [821] = {
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_PLUS_EQ] = ACTIONS(1466),
    [anon_sym_record] = ACTIONS(1470),
    [anon_sym_DASH_EQ] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_local] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_table] = ACTIONS(1470),
    [anon_sym_set] = ACTIONS(1470),
    [anon_sym_vector] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_hook] = ACTIONS(1470),
    [anon_sym_AMPdeprecated] = ACTIONS(1466),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1466),
    [anon_sym_AMPerror_handler] = ACTIONS(1466),
    [anon_sym_AMPis_assigned] = ACTIONS(1466),
    [anon_sym_AMPis_used] = ACTIONS(1466),
    [anon_sym_AMPlog] = ACTIONS(1466),
    [anon_sym_AMPoptional] = ACTIONS(1466),
    [anon_sym_AMPordered] = ACTIONS(1466),
    [anon_sym_AMPraw_output] = ACTIONS(1466),
    [anon_sym_AMPredef] = ACTIONS(1466),
    [anon_sym_AMPadd_func] = ACTIONS(1466),
    [anon_sym_AMPbackend] = ACTIONS(1466),
    [anon_sym_AMPbroker_store] = ACTIONS(1466),
    [anon_sym_AMPcreate_expire] = ACTIONS(1466),
    [anon_sym_AMPdefault] = ACTIONS(1466),
    [anon_sym_AMPdelete_func] = ACTIONS(1466),
    [anon_sym_AMPexpire_func] = ACTIONS(1466),
    [anon_sym_AMPgroup] = ACTIONS(1466),
    [anon_sym_AMPon_change] = ACTIONS(1466),
    [anon_sym_AMPpriority] = ACTIONS(1466),
    [anon_sym_AMPread_expire] = ACTIONS(1466),
    [anon_sym_AMPtype_column] = ACTIONS(1466),
    [anon_sym_AMPwrite_expire] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_copy] = ACTIONS(1470),
    [anon_sym_schedule] = ACTIONS(1470),
    [aux_sym_constant_token1] = ACTIONS(1470),
    [anon_sym_T] = ACTIONS(1470),
    [anon_sym_F] = ACTIONS(1470),
    [anon_sym_ATDIR] = ACTIONS(1466),
    [anon_sym_ATFILENAME] = ACTIONS(1466),
    [sym_id] = ACTIONS(1470),
    [sym_pattern] = ACTIONS(1466),
    [sym_ipv6] = ACTIONS(1470),
    [sym_ipv4] = ACTIONS(1470),
    [sym_port] = ACTIONS(1466),
    [sym_floatp] = ACTIONS(1470),
    [sym_hex] = ACTIONS(1470),
    [sym_hostname] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1466),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [822] = {
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1486),
    [anon_sym_record] = ACTIONS(1490),
    [anon_sym_DASH_EQ] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_local] = ACTIONS(1490),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_table] = ACTIONS(1490),
    [anon_sym_set] = ACTIONS(1490),
    [anon_sym_vector] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1490),
    [anon_sym_hook] = ACTIONS(1490),
    [anon_sym_AMPdeprecated] = ACTIONS(1486),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1486),
    [anon_sym_AMPerror_handler] = ACTIONS(1486),
    [anon_sym_AMPis_assigned] = ACTIONS(1486),
    [anon_sym_AMPis_used] = ACTIONS(1486),
    [anon_sym_AMPlog] = ACTIONS(1486),
    [anon_sym_AMPoptional] = ACTIONS(1486),
    [anon_sym_AMPordered] = ACTIONS(1486),
    [anon_sym_AMPraw_output] = ACTIONS(1486),
    [anon_sym_AMPredef] = ACTIONS(1486),
    [anon_sym_AMPadd_func] = ACTIONS(1486),
    [anon_sym_AMPbackend] = ACTIONS(1486),
    [anon_sym_AMPbroker_store] = ACTIONS(1486),
    [anon_sym_AMPcreate_expire] = ACTIONS(1486),
    [anon_sym_AMPdefault] = ACTIONS(1486),
    [anon_sym_AMPdelete_func] = ACTIONS(1486),
    [anon_sym_AMPexpire_func] = ACTIONS(1486),
    [anon_sym_AMPgroup] = ACTIONS(1486),
    [anon_sym_AMPon_change] = ACTIONS(1486),
    [anon_sym_AMPpriority] = ACTIONS(1486),
    [anon_sym_AMPread_expire] = ACTIONS(1486),
    [anon_sym_AMPtype_column] = ACTIONS(1486),
    [anon_sym_AMPwrite_expire] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_copy] = ACTIONS(1490),
    [anon_sym_schedule] = ACTIONS(1490),
    [aux_sym_constant_token1] = ACTIONS(1490),
    [anon_sym_T] = ACTIONS(1490),
    [anon_sym_F] = ACTIONS(1490),
    [anon_sym_ATDIR] = ACTIONS(1486),
    [anon_sym_ATFILENAME] = ACTIONS(1486),
    [sym_id] = ACTIONS(1490),
    [sym_pattern] = ACTIONS(1486),
    [sym_ipv6] = ACTIONS(1490),
    [sym_ipv4] = ACTIONS(1490),
    [sym_port] = ACTIONS(1486),
    [sym_floatp] = ACTIONS(1490),
    [sym_hex] = ACTIONS(1490),
    [sym_hostname] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1486),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [823] = {
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1286),
    [sym_string_directive] = STATE(836),
    [sym_integer] = STATE(1258),
    [sym_interval] = STATE(1268),
    [sym_string] = STATE(1268),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(113),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_DASH_EQ] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_in] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(113),
    [anon_sym_local] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(115),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(119),
    [anon_sym_hook] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_is] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_LT_EQ] = ACTIONS(113),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(113),
    [anon_sym_AMP] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(113),
    [anon_sym_QMARK] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(113),
    [anon_sym_BANG_EQ] = ACTIONS(113),
    [anon_sym_AMP_AMP] = ACTIONS(113),
    [anon_sym_PIPE_PIPE] = ACTIONS(113),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(113),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATDIR] = ACTIONS(99),
    [anon_sym_ATFILENAME] = ACTIONS(99),
    [sym_id] = ACTIONS(101),
    [sym_pattern] = ACTIONS(103),
    [sym_ipv6] = ACTIONS(105),
    [sym_ipv4] = ACTIONS(105),
    [sym_port] = ACTIONS(107),
    [sym_floatp] = ACTIONS(109),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 9,
    ACTIONS(1917), 1,
      anon_sym_AMPdeprecated,
    STATE(1282), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(829), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1919), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(113), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [83] = 6,
    STATE(315), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(830), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 47,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [160] = 6,
    STATE(302), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(830), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 47,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [237] = 9,
    ACTIONS(1917), 1,
      anon_sym_AMPdeprecated,
    STATE(1278), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(829), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1919), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1482), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [320] = 8,
    ACTIONS(1782), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(828), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1780), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1785), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1921), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1778), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [400] = 8,
    ACTIONS(1917), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(828), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1793), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1919), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1791), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [480] = 5,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(828), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1793), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1791), 47,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [554] = 16,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1928), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1924), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1482), 30,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [649] = 6,
    STATE(302), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(852), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 45,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [724] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1516), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(1514), 46,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [795] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(131), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(129), 46,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [866] = 18,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1851), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1928), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1924), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1482), 28,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [965] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(127), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(125), 46,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [1036] = 18,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1851), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1928), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1924), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(135), 28,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [1135] = 17,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1928), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1924), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1472), 29,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [1232] = 16,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1928), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1924), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 30,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [1327] = 13,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1512), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1510), 36,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1416] = 9,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 40,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1497] = 9,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 40,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1578] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1526), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(1524), 46,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [1649] = 13,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 36,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1738] = 6,
    STATE(315), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(852), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 45,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1813] = 9,
    ACTIONS(1917), 1,
      anon_sym_AMPdeprecated,
    STATE(1282), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(850), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1942), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(113), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1894] = 9,
    ACTIONS(1917), 1,
      anon_sym_AMPdeprecated,
    STATE(1278), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(850), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1942), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1482), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1975] = 14,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 34,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2066] = 18,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1851), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1928), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1924), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1472), 27,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [2164] = 8,
    ACTIONS(1917), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(851), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1793), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1942), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1791), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2242] = 8,
    ACTIONS(1782), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(851), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1780), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1785), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1944), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1778), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2320] = 5,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(851), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1793), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1791), 45,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2392] = 8,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 41,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2469] = 13,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1957), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1955), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1949), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1951), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 34,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2556] = 13,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1512), 1,
      anon_sym_EQ,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1957), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1955), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1949), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1951), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1510), 34,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2643] = 14,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1957), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1959), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1955), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1949), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1951), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 32,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2732] = 9,
    ACTIONS(1917), 1,
      anon_sym_AMPdeprecated,
    STATE(1282), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(869), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1961), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(113), 20,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2811] = 5,
    ACTIONS(1963), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(546), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(544), 45,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2882] = 9,
    ACTIONS(1917), 1,
      anon_sym_AMPdeprecated,
    STATE(1278), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(869), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1961), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1482), 20,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2961] = 18,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1851), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1957), 1,
      anon_sym_QMARK,
    ACTIONS(1967), 1,
      anon_sym_EQ,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1959), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1965), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1969), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1955), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1949), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1951), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1482), 26,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [3058] = 17,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1957), 1,
      anon_sym_QMARK,
    ACTIONS(1967), 1,
      anon_sym_EQ,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1959), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1965), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1969), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1955), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1949), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1951), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1472), 27,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [3153] = 8,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(141), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(135), 41,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3230] = 18,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1851), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1957), 1,
      anon_sym_QMARK,
    ACTIONS(1967), 1,
      anon_sym_EQ,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1959), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1965), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1969), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1955), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1949), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1951), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(135), 26,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [3327] = 16,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1957), 1,
      anon_sym_QMARK,
    ACTIONS(1967), 1,
      anon_sym_EQ,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1959), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1965), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1969), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1955), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1949), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1951), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1482), 28,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [3420] = 16,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1953), 1,
      anon_sym_BANG,
    ACTIONS(1957), 1,
      anon_sym_QMARK,
    ACTIONS(1967), 1,
      anon_sym_EQ,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1959), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1965), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1969), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1955), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1949), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1951), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 28,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [3513] = 9,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1955), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 38,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3592] = 9,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1947), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1955), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 38,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3671] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1470), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1466), 45,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3739] = 8,
    ACTIONS(1917), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(498), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1793), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1961), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1791), 20,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3815] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1490), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1486), 45,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3883] = 18,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1851), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1928), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1924), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1971), 24,
      anon_sym_SEMI,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [3978] = 18,
    ACTIONS(1476), 1,
      anon_sym_LBRACK,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1851), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1928), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_BANG,
    ACTIONS(1936), 1,
      anon_sym_QMARK,
    STATE(309), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1478), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1924), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1940), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1934), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1926), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1930), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1973), 24,
      anon_sym_SEMI,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [4073] = 37,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(1975), 1,
      anon_sym_RPAREN,
    ACTIONS(1977), 1,
      sym_id,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2228), 1,
      sym_expr_list,
    STATE(2675), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4199] = 34,
    ACTIONS(1981), 1,
      anon_sym_LBRACE,
    ACTIONS(1984), 1,
      anon_sym_COLON,
    ACTIONS(1986), 1,
      anon_sym_record,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_local,
    ACTIONS(2001), 1,
      anon_sym_vector,
    ACTIONS(2004), 1,
      anon_sym_function,
    ACTIONS(2007), 1,
      anon_sym_hook,
    ACTIONS(2010), 1,
      anon_sym_DOLLAR,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2022), 1,
      anon_sym_copy,
    ACTIONS(2025), 1,
      anon_sym_schedule,
    ACTIONS(2028), 1,
      aux_sym_constant_token1,
    ACTIONS(2037), 1,
      sym_id,
    ACTIONS(2040), 1,
      sym_pattern,
    ACTIONS(2046), 1,
      sym_port,
    ACTIONS(2049), 1,
      sym_floatp,
    ACTIONS(2052), 1,
      aux_sym_string_token1,
    STATE(836), 1,
      sym_string_directive,
    STATE(874), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1462), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1998), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2019), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2034), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(2043), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1979), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2016), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2031), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4319] = 37,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 1,
      sym_id,
    ACTIONS(2055), 1,
      anon_sym_RPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2467), 1,
      sym_expr_list,
    STATE(2675), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4445] = 35,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2057), 1,
      anon_sym_type,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(902), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1338), 1,
      sym_expr,
    STATE(2043), 1,
      aux_sym_case_type_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    STATE(2296), 2,
      sym_case_type_list,
      sym_expr_list,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [4566] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(874), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1296), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2071), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [4683] = 35,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1624), 1,
      anon_sym_RBRACK,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    ACTIONS(2073), 1,
      anon_sym_COLON,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1332), 1,
      sym_expr,
    STATE(2595), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [4803] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_RBRACE,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2457), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4920] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      anon_sym_COLON,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1307), 1,
      sym_expr,
    STATE(2586), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [5037] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_RPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2467), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5154] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      anon_sym_RPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2742), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5271] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1624), 1,
      anon_sym_RBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2369), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5388] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_RBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2482), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5505] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    ACTIONS(2083), 1,
      anon_sym_COLON,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1317), 1,
      sym_expr,
    STATE(2636), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [5622] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_RPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2228), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5739] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_RPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2799), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5856] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_RPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2571), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5973] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1624), 1,
      anon_sym_RBRACK,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2595), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6090] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2091), 1,
      anon_sym_RPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2558), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6207] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2093), 1,
      anon_sym_RPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2828), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6324] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2095), 1,
      anon_sym_RPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2872), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6441] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2097), 1,
      anon_sym_RPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2879), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6558] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2099), 1,
      anon_sym_SEMI,
    ACTIONS(2101), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1391), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6672] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2593), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6786] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2103), 1,
      anon_sym_SEMI,
    ACTIONS(2105), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1553), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6900] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2107), 1,
      anon_sym_SEMI,
    ACTIONS(2109), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1367), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7014] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_SEMI,
    ACTIONS(2113), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1437), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7128] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2115), 1,
      anon_sym_SEMI,
    ACTIONS(2117), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1400), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7242] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2483), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7356] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2654), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7470] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    ACTIONS(2119), 1,
      anon_sym_COLON,
    STATE(836), 1,
      sym_string_directive,
    STATE(874), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1335), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [7584] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 1,
      anon_sym_SEMI,
    ACTIONS(2123), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1587), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7698] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2808), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7812] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2469), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7926] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2125), 1,
      anon_sym_SEMI,
    ACTIONS(2127), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1355), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8040] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2467), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8154] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2129), 1,
      anon_sym_SEMI,
    ACTIONS(2131), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1342), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8268] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2133), 1,
      anon_sym_SEMI,
    ACTIONS(2135), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1449), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8382] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2137), 1,
      anon_sym_SEMI,
    ACTIONS(2139), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1426), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8496] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2207), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8610] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2335), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8724] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_SEMI,
    ACTIONS(2143), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1379), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8838] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2592), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8952] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2558), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9066] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2819), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9180] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2499), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9294] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2145), 1,
      anon_sym_SEMI,
    ACTIONS(2147), 1,
      anon_sym_when,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1413), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9408] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2474), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9522] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(877), 1,
      aux_sym_expr_list_repeat1,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    STATE(2215), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9636] = 27,
    ACTIONS(2149), 1,
      anon_sym_module,
    ACTIONS(2151), 1,
      anon_sym_export,
    ACTIONS(2153), 1,
      anon_sym_RBRACE,
    ACTIONS(2155), 1,
      anon_sym_global,
    ACTIONS(2157), 1,
      anon_sym_option,
    ACTIONS(2159), 1,
      anon_sym_const,
    ACTIONS(2161), 1,
      anon_sym_redef,
    ACTIONS(2163), 1,
      anon_sym_type,
    ACTIONS(2165), 1,
      anon_sym_event,
    ACTIONS(2167), 1,
      anon_sym_function,
    ACTIONS(2169), 1,
      anon_sym_hook,
    ACTIONS(2171), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2173), 1,
      anon_sym_ATload,
    ACTIONS(2177), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2179), 1,
      anon_sym_ATprefixes,
    ACTIONS(2181), 1,
      anon_sym_ATif,
    ACTIONS(2187), 1,
      anon_sym_ATpragma,
    STATE(1821), 1,
      sym_pragma,
    STATE(1831), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2175), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2183), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2185), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(929), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1834), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1807), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [9737] = 27,
    ACTIONS(2149), 1,
      anon_sym_module,
    ACTIONS(2151), 1,
      anon_sym_export,
    ACTIONS(2155), 1,
      anon_sym_global,
    ACTIONS(2157), 1,
      anon_sym_option,
    ACTIONS(2159), 1,
      anon_sym_const,
    ACTIONS(2161), 1,
      anon_sym_redef,
    ACTIONS(2163), 1,
      anon_sym_type,
    ACTIONS(2165), 1,
      anon_sym_event,
    ACTIONS(2167), 1,
      anon_sym_function,
    ACTIONS(2169), 1,
      anon_sym_hook,
    ACTIONS(2171), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2173), 1,
      anon_sym_ATload,
    ACTIONS(2177), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2179), 1,
      anon_sym_ATprefixes,
    ACTIONS(2181), 1,
      anon_sym_ATif,
    ACTIONS(2187), 1,
      anon_sym_ATpragma,
    ACTIONS(2189), 1,
      anon_sym_RBRACE,
    STATE(1821), 1,
      sym_pragma,
    STATE(1831), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2175), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2183), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2185), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(927), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1834), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1807), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [9838] = 5,
    ACTIONS(2191), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1504), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1502), 38,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [9895] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2193), 1,
      anon_sym_RBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1554), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10006] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      anon_sym_RBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1560), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10117] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2197), 1,
      anon_sym_RBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1347), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10228] = 27,
    ACTIONS(2149), 1,
      anon_sym_module,
    ACTIONS(2151), 1,
      anon_sym_export,
    ACTIONS(2155), 1,
      anon_sym_global,
    ACTIONS(2157), 1,
      anon_sym_option,
    ACTIONS(2159), 1,
      anon_sym_const,
    ACTIONS(2161), 1,
      anon_sym_redef,
    ACTIONS(2163), 1,
      anon_sym_type,
    ACTIONS(2165), 1,
      anon_sym_event,
    ACTIONS(2167), 1,
      anon_sym_function,
    ACTIONS(2169), 1,
      anon_sym_hook,
    ACTIONS(2171), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2173), 1,
      anon_sym_ATload,
    ACTIONS(2177), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2179), 1,
      anon_sym_ATprefixes,
    ACTIONS(2181), 1,
      anon_sym_ATif,
    ACTIONS(2187), 1,
      anon_sym_ATpragma,
    ACTIONS(2199), 1,
      anon_sym_RBRACE,
    STATE(1821), 1,
      sym_pragma,
    STATE(1831), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2175), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2183), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2185), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(931), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1834), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1807), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [10329] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2201), 1,
      anon_sym_RBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1495), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10440] = 27,
    ACTIONS(2149), 1,
      anon_sym_module,
    ACTIONS(2151), 1,
      anon_sym_export,
    ACTIONS(2155), 1,
      anon_sym_global,
    ACTIONS(2157), 1,
      anon_sym_option,
    ACTIONS(2159), 1,
      anon_sym_const,
    ACTIONS(2161), 1,
      anon_sym_redef,
    ACTIONS(2163), 1,
      anon_sym_type,
    ACTIONS(2165), 1,
      anon_sym_event,
    ACTIONS(2167), 1,
      anon_sym_function,
    ACTIONS(2169), 1,
      anon_sym_hook,
    ACTIONS(2171), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2173), 1,
      anon_sym_ATload,
    ACTIONS(2177), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2179), 1,
      anon_sym_ATprefixes,
    ACTIONS(2181), 1,
      anon_sym_ATif,
    ACTIONS(2187), 1,
      anon_sym_ATpragma,
    ACTIONS(2203), 1,
      anon_sym_RBRACE,
    STATE(1821), 1,
      sym_pragma,
    STATE(1831), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2175), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2183), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2185), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(931), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1834), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1807), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [10541] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2205), 1,
      anon_sym_RBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1343), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10652] = 27,
    ACTIONS(143), 1,
      anon_sym_RBRACE,
    ACTIONS(2207), 1,
      anon_sym_module,
    ACTIONS(2210), 1,
      anon_sym_export,
    ACTIONS(2213), 1,
      anon_sym_global,
    ACTIONS(2216), 1,
      anon_sym_option,
    ACTIONS(2219), 1,
      anon_sym_const,
    ACTIONS(2222), 1,
      anon_sym_redef,
    ACTIONS(2225), 1,
      anon_sym_type,
    ACTIONS(2228), 1,
      anon_sym_event,
    ACTIONS(2231), 1,
      anon_sym_function,
    ACTIONS(2234), 1,
      anon_sym_hook,
    ACTIONS(2237), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2240), 1,
      anon_sym_ATload,
    ACTIONS(2246), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2249), 1,
      anon_sym_ATprefixes,
    ACTIONS(2252), 1,
      anon_sym_ATif,
    ACTIONS(2261), 1,
      anon_sym_ATpragma,
    STATE(1821), 1,
      sym_pragma,
    STATE(1831), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2243), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2255), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2258), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(931), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1834), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1807), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [10753] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2264), 1,
      anon_sym_RBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1583), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10864] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(864), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [10972] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1356), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11080] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1314), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11188] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2278), 1,
      sym_id,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1297), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11296] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(837), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11404] = 5,
    ACTIONS(1766), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1470), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1466), 37,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [11460] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(838), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11568] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1304), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11676] = 5,
    ACTIONS(2280), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1490), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1486), 37,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [11732] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(839), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11840] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(842), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11948] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(301), 1,
      sym_expr,
    STATE(312), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12056] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(844), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12164] = 5,
    ACTIONS(2282), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(546), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(544), 37,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [12220] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(848), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12328] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1561), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12436] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1552), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12544] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1553), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12652] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1321), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12760] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1595), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12868] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1288), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12976] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1544), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13084] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(871), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13192] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1555), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13300] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1556), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13408] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1557), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13516] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1465), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13624] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1466), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13732] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1283), 1,
      sym_expr,
    STATE(1286), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13840] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1558), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13948] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1467), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [14056] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1468), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [14164] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1559), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14272] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1471), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [14380] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1472), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [14488] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1470), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [14596] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1349), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14704] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1562), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14812] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1474), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [14920] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1579), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15028] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1580), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15136] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1581), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15244] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1582), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15352] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1588), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15460] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1342), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15568] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1309), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15676] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1589), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15784] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1344), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15892] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1345), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16000] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1346), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16108] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1348), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16216] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1350), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16324] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1351), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16432] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1352), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16540] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1353), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16648] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1355), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16756] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1326), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16864] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1591), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16972] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1357), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17080] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1358), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17188] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1359), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17296] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1360), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17404] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1361), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17512] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1362), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17620] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1363), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17728] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1364), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17836] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1288), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17944] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1367), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18052] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1333), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18160] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1369), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18268] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1370), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18376] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1371), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18484] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1373), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18592] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1374), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18700] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1375), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18808] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1376), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18916] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1377), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19024] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1379), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19132] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1311), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19240] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1380), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19348] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1381), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19456] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1382), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19564] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1383), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19672] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1384), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19780] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1385), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19888] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1386), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19996] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1387), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20104] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1368), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20212] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1391), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20320] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1310), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20428] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1392), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20536] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1393), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20644] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1394), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20752] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1395), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20860] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1396), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20968] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1340), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21076] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1397), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21184] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1398), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21292] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(831), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21400] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1400), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21508] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1331), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21616] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1402), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21724] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1403), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21832] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1404), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21940] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1406), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22048] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1407), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22156] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1408), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22264] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1410), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22372] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1411), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22480] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1413), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22588] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1324), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22696] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1416), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22804] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1417), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22912] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1418), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23020] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1419), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23128] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1420), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23236] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1421), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23344] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1422), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23452] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1424), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23560] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1426), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23668] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1320), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23776] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1428), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23884] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1429), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23992] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1430), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24100] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1431), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24208] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1432), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24316] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1433), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24424] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1434), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24532] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1435), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24640] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1437), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24748] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1312), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24856] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1438), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24964] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1439), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25072] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1440), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25180] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1441), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25288] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1442), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25396] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1443), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25504] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1444), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25612] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1445), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25720] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1500), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25828] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1449), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25936] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1323), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26044] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1450), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26152] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1451), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26260] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1452), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26368] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1453), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26476] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1454), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26584] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1455), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26692] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1456), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26800] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1458), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26908] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1459), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27016] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1460), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27124] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1461), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27232] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1463), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27340] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1464), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27448] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1469), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27556] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(614), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27664] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1473), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27772] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1475), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27880] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1476), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27988] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1477), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28096] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(615), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28204] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(606), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28312] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(607), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28420] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(301), 1,
      sym_expr,
    STATE(312), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28528] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(510), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28636] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(608), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28744] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(610), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28852] = 9,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1299), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2312), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
      sym_pattern,
      sym_port,
      aux_sym_string_token1,
    ACTIONS(2314), 20,
      anon_sym_record,
      anon_sym_local,
      anon_sym_table,
      anon_sym_set,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_copy,
      anon_sym_schedule,
      aux_sym_constant_token1,
      anon_sym_T,
      anon_sym_F,
      sym_id,
      sym_ipv6,
      sym_ipv4,
      sym_floatp,
      sym_hex,
      sym_hostname,
  [28916] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(611), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29024] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(609), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29132] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1512), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [29240] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(841), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [29348] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(613), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29456] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1446), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29564] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(310), 1,
      sym_expr,
    STATE(312), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29672] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2298), 1,
      anon_sym_local,
    ACTIONS(2302), 1,
      anon_sym_hook,
    ACTIONS(2304), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(612), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2300), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2310), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2308), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29780] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1550), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29888] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1478), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29996] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1480), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30104] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1481), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30212] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1482), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30320] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1483), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30428] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1484), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30536] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1485), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30644] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1486), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30752] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1487), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30860] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1488), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30968] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1489), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31076] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1490), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31184] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1491), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [31292] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1492), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [31400] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1493), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [31508] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1494), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [31616] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1496), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31724] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1497), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31832] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1498), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31940] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1499), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32048] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1501), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [32156] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1502), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [32264] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1503), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [32372] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1504), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [32480] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1505), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32588] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1506), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32696] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1507), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32804] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1508), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32912] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1509), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33020] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1510), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33128] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1511), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33236] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1513), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33344] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1514), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33452] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1515), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33560] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1516), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33668] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1517), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33776] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1518), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33884] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1519), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33992] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1520), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34100] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1521), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34208] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1522), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34316] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1523), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34424] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1524), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34532] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1525), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34640] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1526), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34748] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1527), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34856] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1528), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34964] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1529), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [35072] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1530), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35180] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1531), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35288] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1532), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35396] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1533), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35504] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1534), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [35612] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1535), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35720] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1536), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35828] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1537), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35936] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1539), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36044] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1540), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36152] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1542), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36260] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1543), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36368] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1545), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36476] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1546), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36584] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1315), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36692] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1316), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36800] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1313), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36908] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1547), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37016] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1308), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37124] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1319), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37232] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1328), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37340] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1329), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37448] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2316), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1305), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37556] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1325), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37664] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1295), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37772] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1334), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37880] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(835), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37988] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1414), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38096] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1365), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38204] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1297), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38312] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1372), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [38420] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(840), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38528] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1303), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38636] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1388), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38744] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1389), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [38852] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1423), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38960] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1305), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39068] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1306), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39176] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1401), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39284] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(862), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [39392] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(861), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [39500] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1409), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [39608] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1283), 1,
      sym_expr,
    STATE(1286), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39716] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(849), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39824] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1447), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [39932] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1415), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40040] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1298), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40148] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1301), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40256] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1538), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40364] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_local,
    ACTIONS(2288), 1,
      anon_sym_hook,
    ACTIONS(2290), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1541), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2286), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2294), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [40472] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1563), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40580] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1564), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40688] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1565), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40796] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1566), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40904] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1567), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41012] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1568), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41120] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1569), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41228] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1570), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41336] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1571), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41444] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1572), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41552] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1573), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41660] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1574), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41768] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1575), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41876] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1576), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41984] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1577), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [42092] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1330), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [42200] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1327), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [42308] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2318), 1,
      sym_id,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1596), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [42416] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1305), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [42524] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1457), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [42632] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1299), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [42740] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(863), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [42848] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(865), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [42956] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(866), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [43064] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(853), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [43172] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(854), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [43280] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(856), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [43388] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(867), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [43496] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(860), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [43604] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    ACTIONS(2266), 1,
      anon_sym_local,
    ACTIONS(2270), 1,
      anon_sym_hook,
    ACTIONS(2272), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(312), 1,
      sym_constant,
    STATE(855), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2268), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2274), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [43712] = 31,
    ACTIONS(766), 1,
      anon_sym_LBRACE,
    ACTIONS(772), 1,
      anon_sym_record,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      anon_sym_LBRACK,
    ACTIONS(778), 1,
      anon_sym_local,
    ACTIONS(782), 1,
      anon_sym_vector,
    ACTIONS(784), 1,
      anon_sym_function,
    ACTIONS(786), 1,
      anon_sym_hook,
    ACTIONS(794), 1,
      anon_sym_DOLLAR,
    ACTIONS(796), 1,
      anon_sym_PIPE,
    ACTIONS(802), 1,
      anon_sym_copy,
    ACTIONS(804), 1,
      anon_sym_schedule,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(812), 1,
      sym_id,
    ACTIONS(814), 1,
      sym_pattern,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(822), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(299), 1,
      sym_string_directive,
    STATE(310), 1,
      sym_expr,
    STATE(312), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(780), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(800), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(810), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(816), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(798), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [43820] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2322), 1,
      sym_id,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1594), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [43928] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1584), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [44036] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1548), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [44144] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_local,
    ACTIONS(2063), 1,
      anon_sym_hook,
    ACTIONS(2065), 1,
      anon_sym_DOLLAR,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1578), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2061), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2069), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2067), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [44252] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1549), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [44360] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1587), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [44468] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1585), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [44576] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1586), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [44684] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_id,
    ACTIONS(103), 1,
      sym_pattern,
    ACTIONS(107), 1,
      sym_port,
    ACTIONS(109), 1,
      sym_floatp,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_local,
    ACTIONS(119), 1,
      anon_sym_function,
    ACTIONS(121), 1,
      anon_sym_hook,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1626), 1,
      anon_sym_LBRACK,
    STATE(836), 1,
      sym_string_directive,
    STATE(1258), 1,
      sym_integer,
    STATE(1286), 1,
      sym_constant,
    STATE(1479), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(105), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1268), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [44792] = 9,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    STATE(1838), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2328), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1254), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2324), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
    ACTIONS(2326), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [44855] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1979), 18,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
      sym_pattern,
      sym_port,
      aux_sym_string_token1,
    ACTIONS(1984), 21,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_local,
      anon_sym_table,
      anon_sym_set,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_copy,
      anon_sym_schedule,
      aux_sym_constant_token1,
      anon_sym_T,
      anon_sym_F,
      sym_id,
      sym_ipv6,
      sym_ipv4,
      sym_floatp,
      sym_hex,
      sym_hostname,
  [44908] = 9,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    STATE(1836), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2332), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1254), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2330), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
    ACTIONS(2326), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [44971] = 9,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    STATE(1837), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2336), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1254), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2334), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
    ACTIONS(2326), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [45034] = 9,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    STATE(1835), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2340), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1254), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2338), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
    ACTIONS(2326), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [45097] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1793), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1255), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1791), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
    ACTIONS(2326), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [45157] = 8,
    ACTIONS(2342), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1780), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1255), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1785), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1778), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
    ACTIONS(2345), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [45217] = 6,
    ACTIONS(1766), 1,
      anon_sym_COLON,
    ACTIONS(2348), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1470), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1466), 34,
      anon_sym_LBRACE,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [45273] = 5,
    ACTIONS(2350), 1,
      sym_time_unit,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1458), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1456), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45325] = 5,
    ACTIONS(2350), 1,
      sym_time_unit,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1458), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1456), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45377] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1454), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1452), 27,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      sym_time_unit,
  [45427] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1512), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1510), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45476] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45525] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(258), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(256), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45574] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(570), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(568), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45623] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(578), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(576), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45672] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1464), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1462), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45721] = 5,
    ACTIONS(2352), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(546), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(544), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45772] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(141), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(135), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45821] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1458), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1456), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45870] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45919] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(588), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(586), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45968] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(340), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(338), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46017] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1508), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1506), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46066] = 5,
    ACTIONS(2354), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1470), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1466), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46117] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(556), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(554), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46166] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(141), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(135), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46215] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(592), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(590), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46264] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(546), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(544), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46313] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1512), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1510), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46362] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46411] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46460] = 5,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1500), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1498), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46511] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46560] = 8,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 21,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46617] = 5,
    ACTIONS(2364), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1490), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1486), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46668] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46717] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1500), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1498), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46766] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1458), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1456), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46815] = 8,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(141), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(135), 21,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46872] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46921] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1520), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1518), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46970] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1512), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1510), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47019] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1530), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1528), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47068] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1534), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1532), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47117] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(566), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(564), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47166] = 16,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1482), 7,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
  [47238] = 19,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2384), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47316] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(135), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47392] = 13,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 13,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47458] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1482), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47534] = 19,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2071), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47612] = 14,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 11,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47680] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2312), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
      sym_pattern,
      sym_port,
      aux_sym_string_token1,
    ACTIONS(2314), 20,
      anon_sym_record,
      anon_sym_local,
      anon_sym_table,
      anon_sym_set,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_copy,
      anon_sym_schedule,
      aux_sym_constant_token1,
      anon_sym_T,
      anon_sym_F,
      sym_id,
      sym_ipv6,
      sym_ipv4,
      sym_floatp,
      sym_hex,
      sym_hostname,
  [47728] = 9,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 17,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47786] = 13,
    ACTIONS(1512), 1,
      anon_sym_EQ,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1510), 13,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47852] = 16,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 7,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
  [47924] = 9,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 17,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47982] = 20,
    ACTIONS(2071), 1,
      anon_sym_RBRACK,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2390), 1,
      anon_sym_COLON,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48060] = 13,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 11,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [48124] = 20,
    ACTIONS(906), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2759), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48202] = 20,
    ACTIONS(922), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2596), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48280] = 20,
    ACTIONS(894), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2848), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48358] = 20,
    ACTIONS(902), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2829), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48436] = 8,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 18,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [48490] = 20,
    ACTIONS(842), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2285), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48568] = 16,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(113), 5,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48638] = 9,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 15,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [48694] = 20,
    ACTIONS(2071), 1,
      anon_sym_RBRACK,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      anon_sym_COLON,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48772] = 5,
    ACTIONS(2416), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(546), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(544), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [48820] = 14,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 9,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [48886] = 20,
    ACTIONS(878), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2623), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48964] = 20,
    ACTIONS(838), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2570), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49042] = 20,
    ACTIONS(2071), 1,
      anon_sym_RBRACE,
    ACTIONS(2103), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49120] = 20,
    ACTIONS(926), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2313), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49198] = 20,
    ACTIONS(854), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2382), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49276] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1482), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49350] = 20,
    ACTIONS(950), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2203), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49428] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(135), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49502] = 16,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1482), 5,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49572] = 9,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 15,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [49628] = 8,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(141), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(135), 18,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [49682] = 20,
    ACTIONS(828), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2231), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49760] = 20,
    ACTIONS(2071), 1,
      anon_sym_RBRACK,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_COLON,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49838] = 20,
    ACTIONS(862), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_index_slice,
    STATE(2302), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49916] = 13,
    ACTIONS(1512), 1,
      anon_sym_EQ,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1510), 11,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [49980] = 19,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2384), 1,
      anon_sym_COLON,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50055] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1470), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1466), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [50100] = 6,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2420), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1500), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1498), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [50149] = 19,
    ACTIONS(2071), 1,
      anon_sym_COLON,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50224] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1490), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1486), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [50269] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2422), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50341] = 18,
    ACTIONS(2129), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50413] = 18,
    ACTIONS(906), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50485] = 18,
    ACTIONS(2197), 1,
      anon_sym_RBRACK,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50557] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50629] = 18,
    ACTIONS(1887), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50701] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2426), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50773] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2428), 1,
      anon_sym_RBRACK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50845] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2430), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50917] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2432), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50989] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2434), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51061] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2436), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51133] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2438), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51205] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2440), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51277] = 18,
    ACTIONS(2125), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51349] = 18,
    ACTIONS(950), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51421] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2442), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51493] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2444), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51565] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2446), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51637] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2448), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51709] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2450), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51781] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2452), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51853] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2454), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51925] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2456), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51997] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2458), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52069] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2460), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52141] = 18,
    ACTIONS(2107), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52213] = 18,
    ACTIONS(862), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52285] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52357] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2464), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52429] = 18,
    ACTIONS(1823), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52501] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2466), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52573] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2468), 1,
      anon_sym_LBRACE,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52645] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2488), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52717] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2490), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52789] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2492), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52861] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2494), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52933] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2496), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53005] = 18,
    ACTIONS(2141), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53077] = 18,
    ACTIONS(894), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53149] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2498), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53221] = 18,
    ACTIONS(1815), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53293] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2500), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53365] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2502), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53437] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2504), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53509] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2506), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53581] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2508), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53653] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2510), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53725] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2512), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53797] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2514), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53869] = 18,
    ACTIONS(2099), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53941] = 18,
    ACTIONS(922), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54013] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2516), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54085] = 18,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54157] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2518), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54229] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2520), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54301] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2522), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54373] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2524), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54445] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2526), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54517] = 18,
    ACTIONS(2115), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54589] = 18,
    ACTIONS(828), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54661] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2528), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54733] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2530), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54805] = 18,
    ACTIONS(1831), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54877] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2532), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54949] = 18,
    ACTIONS(2121), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55021] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2534), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55093] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2536), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55165] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2538), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55237] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2540), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55309] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2542), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55381] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2544), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55453] = 18,
    ACTIONS(2145), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55525] = 18,
    ACTIONS(854), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55597] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2546), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55669] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2548), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55741] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2550), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55813] = 18,
    ACTIONS(1768), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55885] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2552), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55957] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2554), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56029] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2556), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56101] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2558), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56173] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2560), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56245] = 18,
    ACTIONS(1540), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56317] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2562), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56389] = 18,
    ACTIONS(2137), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56461] = 18,
    ACTIONS(878), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56533] = 6,
    ACTIONS(2564), 1,
      anon_sym_LPAREN,
    STATE(1253), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1500), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1498), 19,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [56581] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2566), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56653] = 18,
    ACTIONS(1774), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56725] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2568), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56797] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2570), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56869] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2572), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56941] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2574), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57013] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2576), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57085] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2578), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57157] = 18,
    ACTIONS(2111), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57229] = 18,
    ACTIONS(902), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57301] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57373] = 18,
    ACTIONS(1801), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57445] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2582), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57517] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2584), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57589] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2586), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57661] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2588), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57733] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2590), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57805] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2592), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57877] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2594), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57949] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    ACTIONS(2596), 1,
      anon_sym_COLON,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58021] = 18,
    ACTIONS(2133), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58093] = 18,
    ACTIONS(926), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58165] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2598), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58237] = 18,
    ACTIONS(1696), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58309] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2600), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58381] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2602), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58453] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2604), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58525] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2606), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58597] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2608), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58669] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2610), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58741] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2612), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58813] = 18,
    ACTIONS(1736), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58885] = 18,
    ACTIONS(1690), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58957] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2614), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59029] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59101] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2616), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59173] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2618), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59245] = 16,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(113), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59313] = 9,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(115), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(113), 13,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [59367] = 13,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 9,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [59429] = 14,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(113), 7,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [59493] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2620), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59565] = 18,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59637] = 16,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1482), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59705] = 9,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1484), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 13,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [59759] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2622), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59831] = 13,
    ACTIONS(1512), 1,
      anon_sym_EQ,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1510), 9,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [59893] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59965] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2626), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60037] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2628), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60109] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60181] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2632), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60253] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2634), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60325] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2636), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60397] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2638), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60469] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2640), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60541] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2642), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60613] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60685] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60757] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2648), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60829] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60901] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2652), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60973] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2654), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61045] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2656), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61117] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61189] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61261] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2662), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61333] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2664), 1,
      anon_sym_RBRACK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61405] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2666), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61477] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2668), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61549] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61621] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2672), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61693] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2674), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61765] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2676), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61837] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61909] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2680), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61981] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2682), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62053] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2684), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62125] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2686), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62197] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62269] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62341] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2692), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62413] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2694), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62485] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62557] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2698), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62629] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2700), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62701] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62773] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2704), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62845] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2706), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62917] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2708), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62989] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2710), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63061] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2712), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63133] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63205] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2716), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63277] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2718), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63349] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2720), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63421] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2722), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63493] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63565] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2726), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63637] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2728), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63709] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2730), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63781] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2732), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63853] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2734), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63925] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63997] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2738), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64069] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2740), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64141] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2742), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64213] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64285] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2746), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64357] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2748), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64429] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2750), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64501] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2752), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64573] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64645] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2756), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64717] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2758), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64789] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2760), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64861] = 18,
    ACTIONS(135), 1,
      anon_sym_LBRACE,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64933] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_BANG,
    ACTIONS(2482), 1,
      anon_sym_QMARK,
    ACTIONS(2762), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2470), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2480), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2472), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2476), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65005] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2764), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65077] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    ACTIONS(2766), 1,
      anon_sym_COLON,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65149] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2768), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65221] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2770), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65293] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    ACTIONS(2772), 1,
      anon_sym_COLON,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65365] = 18,
    ACTIONS(2103), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65437] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2774), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65509] = 18,
    ACTIONS(838), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65581] = 18,
    ACTIONS(2195), 1,
      anon_sym_RBRACK,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65653] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2776), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65725] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2778), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65797] = 18,
    ACTIONS(1879), 1,
      anon_sym_RPAREN,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65869] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    ACTIONS(2780), 1,
      anon_sym_COLON,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65941] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2782), 1,
      anon_sym_SEMI,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66013] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2784), 1,
      anon_sym_RBRACK,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66085] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2786), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66157] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2788), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66229] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2790), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66301] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2792), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66373] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2794), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66445] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2796), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66517] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2798), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66589] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2800), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66661] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2802), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66733] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2804), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66805] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2806), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66877] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2808), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66949] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2810), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67021] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2812), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67093] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2814), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67165] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2816), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67237] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2818), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67309] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    ACTIONS(2820), 1,
      anon_sym_COLON,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67381] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2822), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67453] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2824), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67525] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2826), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67597] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2828), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67669] = 18,
    ACTIONS(2201), 1,
      anon_sym_RBRACK,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67741] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_BANG,
    ACTIONS(2406), 1,
      anon_sym_QMARK,
    ACTIONS(2830), 1,
      anon_sym_COLON,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2392), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2398), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2408), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2410), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2404), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2394), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2400), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67813] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2832), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67885] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2834), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67957] = 18,
    ACTIONS(842), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [68029] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2836), 1,
      anon_sym_PIPE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [68100] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2838), 1,
      anon_sym_PIPE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [68171] = 7,
    ACTIONS(2342), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1590), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1778), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1785), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2840), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [68220] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2843), 1,
      anon_sym_PIPE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [68291] = 7,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1590), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1791), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [68340] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    STATE(1958), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2845), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [68391] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2366), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2847), 1,
      anon_sym_DASH_EQ,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [68462] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2849), 1,
      anon_sym_PIPE,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2366), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [68533] = 18,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2358), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_DOLLAR,
    ACTIONS(2366), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(2370), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_BANG,
    ACTIONS(2378), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2851), 1,
      anon_sym_DASH_EQ,
    STATE(1275), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2360), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2380), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2382), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2376), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2368), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2372), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [68604] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(1981), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68668] = 15,
    ACTIONS(2875), 1,
      anon_sym_enum,
    ACTIONS(2878), 1,
      anon_sym_record,
    ACTIONS(2887), 1,
      anon_sym_table,
    ACTIONS(2890), 1,
      anon_sym_set,
    ACTIONS(2893), 1,
      anon_sym_union,
    ACTIONS(2899), 1,
      anon_sym_vector,
    ACTIONS(2902), 1,
      anon_sym_function,
    ACTIONS(2905), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2648), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2881), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2896), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2884), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68732] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2157), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68796] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2158), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68860] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1602), 1,
      aux_sym_type_repeat1,
    STATE(2185), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68924] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(1972), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68988] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1606), 1,
      aux_sym_type_repeat1,
    STATE(2059), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69052] = 6,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1500), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1498), 17,
      anon_sym_DASH_EQ,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [69098] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1609), 1,
      aux_sym_type_repeat1,
    STATE(2063), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69162] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2091), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69226] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1597), 1,
      aux_sym_type_repeat1,
    STATE(1980), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69290] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2110), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69354] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(1989), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69418] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2035), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69482] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1612), 1,
      aux_sym_type_repeat1,
    STATE(1987), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69546] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(1988), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69610] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1614), 1,
      aux_sym_type_repeat1,
    STATE(1996), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69674] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(1997), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69738] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1616), 1,
      aux_sym_type_repeat1,
    STATE(2057), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69802] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2058), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69866] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1599), 1,
      aux_sym_type_repeat1,
    STATE(2121), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69930] = 6,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2911), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1500), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1498), 17,
      anon_sym_DASH_EQ,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [69976] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1620), 1,
      aux_sym_type_repeat1,
    STATE(2048), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70040] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2051), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70104] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1623), 1,
      aux_sym_type_repeat1,
    STATE(2135), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70168] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1624), 1,
      aux_sym_type_repeat1,
    STATE(2161), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70232] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2077), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70296] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2103), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70360] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1626), 1,
      aux_sym_type_repeat1,
    STATE(2119), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70424] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2120), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70488] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1600), 1,
      aux_sym_type_repeat1,
    STATE(2122), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70552] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1610), 1,
      aux_sym_type_repeat1,
    STATE(2066), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70616] = 15,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1608), 1,
      aux_sym_type_repeat1,
    STATE(2109), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70680] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2914), 1,
      anon_sym_SEMI,
    STATE(2489), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [70729] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2916), 1,
      anon_sym_SEMI,
    STATE(2386), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [70778] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2500), 1,
      anon_sym_SEMI,
    STATE(2744), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [70827] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2918), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [70876] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2920), 1,
      anon_sym_table,
    ACTIONS(2924), 1,
      anon_sym_vector,
    ACTIONS(2926), 1,
      anon_sym_function,
    STATE(1294), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2922), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70937] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(190), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70998] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(248), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71059] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(249), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71120] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(236), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71181] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2950), 1,
      anon_sym_SEMI,
    STATE(2487), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [71230] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(2952), 1,
      anon_sym_table,
    ACTIONS(2956), 1,
      anon_sym_vector,
    ACTIONS(2958), 1,
      anon_sym_function,
    STATE(1762), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2954), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71291] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2600), 1,
      anon_sym_SEMI,
    STATE(2530), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [71340] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(219), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71401] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2960), 1,
      anon_sym_table,
    ACTIONS(2964), 1,
      anon_sym_vector,
    ACTIONS(2966), 1,
      anon_sym_function,
    STATE(1262), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2962), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71462] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2968), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [71511] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2970), 1,
      anon_sym_SEMI,
    STATE(2824), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [71560] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2426), 1,
      anon_sym_SEMI,
    STATE(2265), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [71609] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(254), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71670] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(255), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71731] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2972), 1,
      anon_sym_SEMI,
    STATE(2447), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [71780] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(222), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71841] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(192), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71902] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2466), 1,
      anon_sym_SEMI,
    STATE(2311), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [71951] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2974), 1,
      anon_sym_SEMI,
    STATE(2577), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72000] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2518), 1,
      anon_sym_SEMI,
    STATE(2715), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72049] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2976), 1,
      anon_sym_SEMI,
    STATE(2461), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72098] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2978), 1,
      anon_sym_SEMI,
    STATE(2797), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72147] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2980), 1,
      anon_sym_SEMI,
    STATE(2472), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72196] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(262), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72257] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(263), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72318] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2982), 1,
      anon_sym_SEMI,
    STATE(2400), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72367] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(224), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72428] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2984), 1,
      anon_sym_table,
    ACTIONS(2988), 1,
      anon_sym_vector,
    ACTIONS(2990), 1,
      anon_sym_function,
    STATE(1294), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2986), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72489] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2992), 1,
      anon_sym_SEMI,
    STATE(2731), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72538] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(2952), 1,
      anon_sym_table,
    ACTIONS(2956), 1,
      anon_sym_vector,
    ACTIONS(2958), 1,
      anon_sym_function,
    STATE(37), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2954), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72599] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2994), 1,
      anon_sym_SEMI,
    STATE(2544), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72648] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(22), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72709] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(194), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72770] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2996), 1,
      anon_sym_SEMI,
    STATE(2727), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72819] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2984), 1,
      anon_sym_table,
    ACTIONS(2988), 1,
      anon_sym_vector,
    ACTIONS(2990), 1,
      anon_sym_function,
    STATE(1269), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2986), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72880] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(2952), 1,
      anon_sym_table,
    ACTIONS(2956), 1,
      anon_sym_vector,
    ACTIONS(2958), 1,
      anon_sym_function,
    STATE(75), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2954), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72941] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(257), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73002] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2984), 1,
      anon_sym_table,
    ACTIONS(2988), 1,
      anon_sym_vector,
    ACTIONS(2990), 1,
      anon_sym_function,
    STATE(1950), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2986), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73063] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2998), 1,
      anon_sym_SEMI,
    STATE(2598), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73112] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3000), 1,
      anon_sym_SEMI,
    STATE(2770), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73161] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(37), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73222] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3002), 1,
      anon_sym_SEMI,
    STATE(2845), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73271] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3004), 1,
      anon_sym_SEMI,
    STATE(2710), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73320] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2568), 1,
      anon_sym_SEMI,
    STATE(2642), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73369] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3006), 1,
      anon_sym_SEMI,
    STATE(2454), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73418] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3008), 1,
      anon_sym_SEMI,
    STATE(2672), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73467] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(130), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73528] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(2952), 1,
      anon_sym_table,
    ACTIONS(2956), 1,
      anon_sym_vector,
    ACTIONS(2958), 1,
      anon_sym_function,
    STATE(83), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2954), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73589] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3010), 1,
      anon_sym_SEMI,
    STATE(2319), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73638] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3012), 1,
      anon_sym_SEMI,
    STATE(2722), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73687] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(2952), 1,
      anon_sym_table,
    ACTIONS(2956), 1,
      anon_sym_vector,
    ACTIONS(2958), 1,
      anon_sym_function,
    STATE(84), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2954), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73748] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(37), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73809] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3014), 1,
      anon_sym_SEMI,
    STATE(2554), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73858] = 14,
    ACTIONS(3016), 1,
      anon_sym_enum,
    ACTIONS(3018), 1,
      anon_sym_record,
    ACTIONS(3024), 1,
      anon_sym_table,
    ACTIONS(3026), 1,
      anon_sym_set,
    ACTIONS(3028), 1,
      anon_sym_union,
    ACTIONS(3032), 1,
      anon_sym_vector,
    ACTIONS(3034), 1,
      anon_sym_function,
    ACTIONS(3036), 1,
      anon_sym_opaque,
    STATE(327), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3020), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3030), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3022), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73919] = 14,
    ACTIONS(3016), 1,
      anon_sym_enum,
    ACTIONS(3018), 1,
      anon_sym_record,
    ACTIONS(3024), 1,
      anon_sym_table,
    ACTIONS(3026), 1,
      anon_sym_set,
    ACTIONS(3028), 1,
      anon_sym_union,
    ACTIONS(3032), 1,
      anon_sym_vector,
    ACTIONS(3034), 1,
      anon_sym_function,
    ACTIONS(3036), 1,
      anon_sym_opaque,
    STATE(293), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3020), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3030), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3022), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73980] = 14,
    ACTIONS(3016), 1,
      anon_sym_enum,
    ACTIONS(3018), 1,
      anon_sym_record,
    ACTIONS(3024), 1,
      anon_sym_table,
    ACTIONS(3026), 1,
      anon_sym_set,
    ACTIONS(3028), 1,
      anon_sym_union,
    ACTIONS(3032), 1,
      anon_sym_vector,
    ACTIONS(3034), 1,
      anon_sym_function,
    ACTIONS(3036), 1,
      anon_sym_opaque,
    STATE(295), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3020), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3030), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3022), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74041] = 14,
    ACTIONS(3016), 1,
      anon_sym_enum,
    ACTIONS(3018), 1,
      anon_sym_record,
    ACTIONS(3024), 1,
      anon_sym_table,
    ACTIONS(3026), 1,
      anon_sym_set,
    ACTIONS(3028), 1,
      anon_sym_union,
    ACTIONS(3032), 1,
      anon_sym_vector,
    ACTIONS(3034), 1,
      anon_sym_function,
    ACTIONS(3036), 1,
      anon_sym_opaque,
    STATE(297), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3020), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3030), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3022), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74102] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2984), 1,
      anon_sym_table,
    ACTIONS(2988), 1,
      anon_sym_vector,
    ACTIONS(2990), 1,
      anon_sym_function,
    STATE(1270), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2986), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74163] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3038), 1,
      anon_sym_SEMI,
    STATE(2298), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74212] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3040), 1,
      anon_sym_SEMI,
    STATE(2306), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74261] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(233), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74322] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(234), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74383] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(22), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74444] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(2952), 1,
      anon_sym_table,
    ACTIONS(2956), 1,
      anon_sym_vector,
    ACTIONS(2958), 1,
      anon_sym_function,
    STATE(1593), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2954), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74505] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(3042), 1,
      anon_sym_table,
    ACTIONS(3046), 1,
      anon_sym_vector,
    ACTIONS(3048), 1,
      anon_sym_function,
    STATE(75), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3044), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74566] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2552), 1,
      anon_sym_SEMI,
    STATE(2417), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74615] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(146), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74676] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3050), 1,
      anon_sym_SEMI,
    STATE(2817), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74725] = 14,
    ACTIONS(3016), 1,
      anon_sym_enum,
    ACTIONS(3018), 1,
      anon_sym_record,
    ACTIONS(3026), 1,
      anon_sym_set,
    ACTIONS(3028), 1,
      anon_sym_union,
    ACTIONS(3036), 1,
      anon_sym_opaque,
    ACTIONS(3052), 1,
      anon_sym_table,
    ACTIONS(3056), 1,
      anon_sym_vector,
    ACTIONS(3058), 1,
      anon_sym_function,
    STATE(326), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3020), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3054), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3022), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74786] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3060), 1,
      anon_sym_SEMI,
    STATE(2280), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74835] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2960), 1,
      anon_sym_table,
    ACTIONS(2964), 1,
      anon_sym_vector,
    ACTIONS(2966), 1,
      anon_sym_function,
    STATE(1986), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2962), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74896] = 14,
    ACTIONS(3016), 1,
      anon_sym_enum,
    ACTIONS(3018), 1,
      anon_sym_record,
    ACTIONS(3026), 1,
      anon_sym_set,
    ACTIONS(3028), 1,
      anon_sym_union,
    ACTIONS(3036), 1,
      anon_sym_opaque,
    ACTIONS(3052), 1,
      anon_sym_table,
    ACTIONS(3056), 1,
      anon_sym_vector,
    ACTIONS(3058), 1,
      anon_sym_function,
    STATE(327), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3020), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3054), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3022), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74957] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3062), 1,
      anon_sym_SEMI,
    STATE(2376), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75006] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(196), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [75067] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(239), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [75128] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3064), 1,
      anon_sym_SEMI,
    STATE(2802), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75177] = 14,
    ACTIONS(3016), 1,
      anon_sym_enum,
    ACTIONS(3018), 1,
      anon_sym_record,
    ACTIONS(3026), 1,
      anon_sym_set,
    ACTIONS(3028), 1,
      anon_sym_union,
    ACTIONS(3036), 1,
      anon_sym_opaque,
    ACTIONS(3052), 1,
      anon_sym_table,
    ACTIONS(3056), 1,
      anon_sym_vector,
    ACTIONS(3058), 1,
      anon_sym_function,
    STATE(333), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3020), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3054), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3022), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [75238] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2984), 1,
      anon_sym_table,
    ACTIONS(2988), 1,
      anon_sym_vector,
    ACTIONS(2990), 1,
      anon_sym_function,
    STATE(1276), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2986), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [75299] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3066), 1,
      anon_sym_SEMI,
    STATE(2646), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75348] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3068), 1,
      anon_sym_SEMI,
    STATE(2602), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75397] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(3042), 1,
      anon_sym_table,
    ACTIONS(3046), 1,
      anon_sym_vector,
    ACTIONS(3048), 1,
      anon_sym_function,
    STATE(84), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3044), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [75458] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(240), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [75519] = 14,
    ACTIONS(3016), 1,
      anon_sym_enum,
    ACTIONS(3018), 1,
      anon_sym_record,
    ACTIONS(3026), 1,
      anon_sym_set,
    ACTIONS(3028), 1,
      anon_sym_union,
    ACTIONS(3036), 1,
      anon_sym_opaque,
    ACTIONS(3052), 1,
      anon_sym_table,
    ACTIONS(3056), 1,
      anon_sym_vector,
    ACTIONS(3058), 1,
      anon_sym_function,
    STATE(297), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3020), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3054), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3022), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [75580] = 14,
    ACTIONS(3016), 1,
      anon_sym_enum,
    ACTIONS(3018), 1,
      anon_sym_record,
    ACTIONS(3026), 1,
      anon_sym_set,
    ACTIONS(3028), 1,
      anon_sym_union,
    ACTIONS(3036), 1,
      anon_sym_opaque,
    ACTIONS(3052), 1,
      anon_sym_table,
    ACTIONS(3056), 1,
      anon_sym_vector,
    ACTIONS(3058), 1,
      anon_sym_function,
    STATE(293), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3020), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3054), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3022), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [75641] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3070), 1,
      anon_sym_SEMI,
    STATE(2597), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75690] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3072), 1,
      anon_sym_SEMI,
    STATE(2599), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75739] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3074), 1,
      anon_sym_SEMI,
    STATE(2601), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75788] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3076), 1,
      anon_sym_SEMI,
    STATE(2224), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75837] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3078), 1,
      anon_sym_SEMI,
    STATE(2815), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75886] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3080), 1,
      anon_sym_SEMI,
    STATE(2652), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75935] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2782), 1,
      anon_sym_SEMI,
    STATE(2607), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75984] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3082), 1,
      anon_sym_SEMI,
    STATE(2427), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76033] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(198), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [76094] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3084), 1,
      anon_sym_SEMI,
    STATE(2653), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76143] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(83), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [76204] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(200), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [76265] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3086), 1,
      anon_sym_SEMI,
    STATE(2283), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76314] = 14,
    ACTIONS(3016), 1,
      anon_sym_enum,
    ACTIONS(3018), 1,
      anon_sym_record,
    ACTIONS(3026), 1,
      anon_sym_set,
    ACTIONS(3028), 1,
      anon_sym_union,
    ACTIONS(3036), 1,
      anon_sym_opaque,
    ACTIONS(3052), 1,
      anon_sym_table,
    ACTIONS(3056), 1,
      anon_sym_vector,
    ACTIONS(3058), 1,
      anon_sym_function,
    STATE(295), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3020), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3054), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3022), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [76375] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3088), 1,
      anon_sym_SEMI,
    STATE(2621), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76424] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2984), 1,
      anon_sym_table,
    ACTIONS(2988), 1,
      anon_sym_vector,
    ACTIONS(2990), 1,
      anon_sym_function,
    STATE(1956), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2986), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [76485] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3090), 1,
      anon_sym_SEMI,
    STATE(2630), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76534] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2448), 1,
      anon_sym_SEMI,
    STATE(2281), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76583] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(184), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [76644] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2920), 1,
      anon_sym_table,
    ACTIONS(2924), 1,
      anon_sym_vector,
    ACTIONS(2926), 1,
      anon_sym_function,
    STATE(1262), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2922), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [76705] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1294), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [76766] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3092), 1,
      anon_sym_SEMI,
    STATE(2665), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76815] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2960), 1,
      anon_sym_table,
    ACTIONS(2964), 1,
      anon_sym_vector,
    ACTIONS(2966), 1,
      anon_sym_function,
    STATE(1294), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2962), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [76876] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3094), 1,
      anon_sym_SEMI,
    STATE(2668), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76925] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2960), 1,
      anon_sym_table,
    ACTIONS(2964), 1,
      anon_sym_vector,
    ACTIONS(2966), 1,
      anon_sym_function,
    STATE(1270), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2962), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [76986] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2960), 1,
      anon_sym_table,
    ACTIONS(2964), 1,
      anon_sym_vector,
    ACTIONS(2966), 1,
      anon_sym_function,
    STATE(1276), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2962), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [77047] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3096), 1,
      anon_sym_SEMI,
    STATE(2669), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77096] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3098), 1,
      anon_sym_SEMI,
    STATE(2671), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77145] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2920), 1,
      anon_sym_table,
    ACTIONS(2924), 1,
      anon_sym_vector,
    ACTIONS(2926), 1,
      anon_sym_function,
    STATE(1269), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2922), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [77206] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3100), 1,
      anon_sym_SEMI,
    STATE(2673), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77255] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2920), 1,
      anon_sym_table,
    ACTIONS(2924), 1,
      anon_sym_vector,
    ACTIONS(2926), 1,
      anon_sym_function,
    STATE(1271), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2922), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [77316] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2920), 1,
      anon_sym_table,
    ACTIONS(2924), 1,
      anon_sym_vector,
    ACTIONS(2926), 1,
      anon_sym_function,
    STATE(1276), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2922), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [77377] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(186), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [77438] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(243), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [77499] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2960), 1,
      anon_sym_table,
    ACTIONS(2964), 1,
      anon_sym_vector,
    ACTIONS(2966), 1,
      anon_sym_function,
    STATE(1271), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2962), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [77560] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3102), 1,
      anon_sym_SEMI,
    STATE(2781), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77609] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3104), 1,
      anon_sym_SEMI,
    STATE(2252), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77658] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3106), 1,
      anon_sym_SEMI,
    STATE(2600), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77707] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(2952), 1,
      anon_sym_table,
    ACTIONS(2956), 1,
      anon_sym_vector,
    ACTIONS(2958), 1,
      anon_sym_function,
    STATE(22), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2954), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [77768] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3108), 1,
      anon_sym_SEMI,
    STATE(2290), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77817] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(205), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [77878] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2582), 1,
      anon_sym_SEMI,
    STATE(2861), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77927] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(207), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [77988] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3110), 1,
      anon_sym_SEMI,
    STATE(2720), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78037] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2532), 1,
      anon_sym_SEMI,
    STATE(2250), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78086] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3112), 1,
      anon_sym_SEMI,
    STATE(2254), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78135] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3114), 1,
      anon_sym_SEMI,
    STATE(2798), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78184] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3116), 1,
      anon_sym_SEMI,
    STATE(2804), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78233] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(244), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [78294] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(84), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [78355] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3118), 1,
      anon_sym_SEMI,
    STATE(2811), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78404] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(187), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [78465] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(188), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [78526] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(2952), 1,
      anon_sym_table,
    ACTIONS(2956), 1,
      anon_sym_vector,
    ACTIONS(2958), 1,
      anon_sym_function,
    STATE(1735), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2954), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [78587] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3120), 1,
      anon_sym_SEMI,
    STATE(2812), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78636] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3122), 1,
      anon_sym_SEMI,
    STATE(2278), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78685] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(75), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [78746] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1270), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [78807] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(3042), 1,
      anon_sym_table,
    ACTIONS(3046), 1,
      anon_sym_vector,
    ACTIONS(3048), 1,
      anon_sym_function,
    STATE(83), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3044), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [78868] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2861), 1,
      anon_sym_table,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2869), 1,
      anon_sym_vector,
    ACTIONS(2871), 1,
      anon_sym_function,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    STATE(1276), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2867), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [78929] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3124), 1,
      anon_sym_SEMI,
    STATE(2433), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78978] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2610), 1,
      anon_sym_SEMI,
    STATE(2513), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [79027] = 14,
    ACTIONS(2853), 1,
      anon_sym_enum,
    ACTIONS(2855), 1,
      anon_sym_record,
    ACTIONS(2863), 1,
      anon_sym_set,
    ACTIONS(2865), 1,
      anon_sym_union,
    ACTIONS(2873), 1,
      anon_sym_opaque,
    ACTIONS(2920), 1,
      anon_sym_table,
    ACTIONS(2924), 1,
      anon_sym_vector,
    ACTIONS(2926), 1,
      anon_sym_function,
    STATE(1270), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2857), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2922), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2859), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [79088] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(3042), 1,
      anon_sym_table,
    ACTIONS(3046), 1,
      anon_sym_vector,
    ACTIONS(3048), 1,
      anon_sym_function,
    STATE(22), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3044), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [79149] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(288), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [79210] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(3042), 1,
      anon_sym_table,
    ACTIONS(3046), 1,
      anon_sym_vector,
    ACTIONS(3048), 1,
      anon_sym_function,
    STATE(37), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(3044), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [79271] = 8,
    ACTIONS(788), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3126), 1,
      anon_sym_SEMI,
    STATE(2255), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1592), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(790), 9,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPordered,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(792), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [79320] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2936), 1,
      anon_sym_table,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2944), 1,
      anon_sym_vector,
    ACTIONS(2946), 1,
      anon_sym_function,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    STATE(213), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2942), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [79381] = 14,
    ACTIONS(2928), 1,
      anon_sym_enum,
    ACTIONS(2930), 1,
      anon_sym_record,
    ACTIONS(2938), 1,
      anon_sym_set,
    ACTIONS(2940), 1,
      anon_sym_union,
    ACTIONS(2948), 1,
      anon_sym_opaque,
    ACTIONS(2952), 1,
      anon_sym_table,
    ACTIONS(2956), 1,
      anon_sym_vector,
    ACTIONS(2958), 1,
      anon_sym_function,
    STATE(1731), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2932), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2954), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2934), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [79442] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3128), 26,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_event,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_table,
      anon_sym_set,
      anon_sym_time,
      anon_sym_timer,
      anon_sym_union,
      anon_sym_list,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_file,
      anon_sym_opaque,
      sym_id,
  [79480] = 5,
    ACTIONS(2446), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1538), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1536), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79520] = 5,
    ACTIONS(3130), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1494), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1492), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79560] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1562), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1560), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79597] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1638), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1636), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79634] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1662), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1660), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79671] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1666), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1664), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79708] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1554), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1552), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79745] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1558), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1556), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79782] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1566), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1564), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79819] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1610), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1608), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79856] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1574), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1572), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79893] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1582), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1580), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79930] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1584), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [79967] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1590), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1588), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80004] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1598), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1596), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80041] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1618), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1616), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80078] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1622), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1620), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80115] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1630), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1628), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80152] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1578), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1576), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80189] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1642), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1640), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80226] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1646), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1644), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80263] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1650), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1648), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80300] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1654), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1652), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80337] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1670), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1668), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80374] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1674), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1672), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80411] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1678), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1676), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80448] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1682), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1680), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80485] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1686), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1684), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80522] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1546), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1544), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80559] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1614), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1612), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80596] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1550), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1548), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80633] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1606), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1604), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80670] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1658), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1656), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80707] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1494), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1492), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80744] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1594), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1592), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80781] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1538), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1536), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80818] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1570), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1568), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80855] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1602), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1600), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80892] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1634), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1632), 21,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [80929] = 14,
    ACTIONS(806), 1,
      aux_sym_constant_token1,
    ACTIONS(818), 1,
      sym_port,
    ACTIONS(820), 1,
      sym_floatp,
    ACTIONS(3134), 1,
      sym_ipv6,
    ACTIONS(3136), 1,
      sym_ipv4,
    ACTIONS(3138), 1,
      aux_sym_string_token1,
    STATE(4), 1,
      sym_string_directive,
    STATE(291), 1,
      sym_integer,
    STATE(1923), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3132), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    STATE(304), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(808), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [80980] = 15,
    ACTIONS(83), 1,
      anon_sym_ATload,
    ACTIONS(87), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(89), 1,
      anon_sym_ATprefixes,
    ACTIONS(91), 1,
      anon_sym_ATif,
    ACTIONS(97), 1,
      anon_sym_ATpragma,
    ACTIONS(3140), 1,
      anon_sym_LBRACE,
    ACTIONS(3142), 1,
      anon_sym_ATdeprecated,
    STATE(367), 1,
      sym_func_body,
    STATE(373), 1,
      sym_pragma,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(85), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(93), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(95), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1830), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81033] = 15,
    ACTIONS(83), 1,
      anon_sym_ATload,
    ACTIONS(87), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(89), 1,
      anon_sym_ATprefixes,
    ACTIONS(91), 1,
      anon_sym_ATif,
    ACTIONS(97), 1,
      anon_sym_ATpragma,
    ACTIONS(3140), 1,
      anon_sym_LBRACE,
    ACTIONS(3142), 1,
      anon_sym_ATdeprecated,
    STATE(345), 1,
      sym_func_body,
    STATE(373), 1,
      sym_pragma,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(85), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(93), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(95), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1833), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81086] = 15,
    ACTIONS(83), 1,
      anon_sym_ATload,
    ACTIONS(87), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(89), 1,
      anon_sym_ATprefixes,
    ACTIONS(91), 1,
      anon_sym_ATif,
    ACTIONS(97), 1,
      anon_sym_ATpragma,
    ACTIONS(3142), 1,
      anon_sym_ATdeprecated,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(373), 1,
      sym_pragma,
    STATE(1792), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(85), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(93), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(95), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1832), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81139] = 15,
    ACTIONS(83), 1,
      anon_sym_ATload,
    ACTIONS(87), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(89), 1,
      anon_sym_ATprefixes,
    ACTIONS(91), 1,
      anon_sym_ATif,
    ACTIONS(97), 1,
      anon_sym_ATpragma,
    ACTIONS(3142), 1,
      anon_sym_ATdeprecated,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(373), 1,
      sym_pragma,
    STATE(1799), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(85), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(93), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(95), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1833), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81192] = 14,
    ACTIONS(3146), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_ATdeprecated,
    ACTIONS(3151), 1,
      anon_sym_ATload,
    ACTIONS(3157), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(3160), 1,
      anon_sym_ATprefixes,
    ACTIONS(3163), 1,
      anon_sym_ATif,
    ACTIONS(3172), 1,
      anon_sym_ATpragma,
    STATE(373), 1,
      sym_pragma,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3154), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(3166), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(3169), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1833), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81242] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3177), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3175), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [81269] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3181), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3179), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [81296] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3185), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3183), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [81323] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2332), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2330), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [81350] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3189), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3187), 11,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
      anon_sym_ATpragma,
  [81377] = 7,
    ACTIONS(3191), 1,
      anon_sym_LPAREN,
    ACTIONS(3195), 1,
      aux_sym_string_token1,
    STATE(383), 1,
      sym_string_directive,
    STATE(384), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3193), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81403] = 7,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(3201), 1,
      aux_sym_string_token1,
    STATE(458), 1,
      sym_string_directive,
    STATE(474), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3199), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81429] = 7,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      aux_sym_string_token1,
    STATE(409), 1,
      sym_string_directive,
    STATE(421), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3205), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81455] = 7,
    ACTIONS(3209), 1,
      anon_sym_LPAREN,
    ACTIONS(3213), 1,
      aux_sym_string_token1,
    STATE(410), 1,
      sym_string,
    STATE(414), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3211), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81481] = 7,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3219), 1,
      aux_sym_string_token1,
    STATE(557), 1,
      sym_string,
    STATE(583), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3217), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81507] = 8,
    ACTIONS(3221), 1,
      anon_sym_LPAREN,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3225), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_capture_list,
    STATE(2105), 1,
      sym_func_params,
    STATE(2294), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81535] = 7,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    ACTIONS(3231), 1,
      aux_sym_string_token1,
    STATE(543), 1,
      sym_string_directive,
    STATE(551), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3229), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81561] = 8,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_LPAREN,
    ACTIONS(3235), 1,
      sym_id,
    STATE(2105), 1,
      sym_func_params,
    STATE(2112), 1,
      sym_begin_lambda,
    STATE(2114), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81589] = 7,
    ACTIONS(3237), 1,
      anon_sym_LPAREN,
    ACTIONS(3241), 1,
      aux_sym_string_token1,
    STATE(537), 1,
      sym_string_directive,
    STATE(586), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3239), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81615] = 8,
    ACTIONS(3221), 1,
      anon_sym_LPAREN,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3243), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_capture_list,
    STATE(2105), 1,
      sym_func_params,
    STATE(2685), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81643] = 7,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(306), 1,
      sym_string,
    STATE(836), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81669] = 7,
    ACTIONS(3138), 1,
      aux_sym_string_token1,
    ACTIONS(3247), 1,
      anon_sym_LPAREN,
    STATE(4), 1,
      sym_string_directive,
    STATE(306), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3132), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81695] = 7,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3253), 1,
      aux_sym_string_token1,
    STATE(680), 1,
      sym_string_directive,
    STATE(698), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3251), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81721] = 7,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
    ACTIONS(3259), 1,
      aux_sym_string_token1,
    STATE(674), 1,
      sym_string_directive,
    STATE(684), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3257), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81747] = 7,
    ACTIONS(3261), 1,
      anon_sym_LPAREN,
    ACTIONS(3265), 1,
      aux_sym_string_token1,
    STATE(545), 1,
      sym_string,
    STATE(554), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3263), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81773] = 8,
    ACTIONS(3221), 1,
      anon_sym_LPAREN,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3267), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_capture_list,
    STATE(2105), 1,
      sym_func_params,
    STATE(2685), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81801] = 7,
    ACTIONS(3269), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      aux_sym_string_token1,
    STATE(470), 1,
      sym_string,
    STATE(478), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3271), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81827] = 7,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    ACTIONS(3275), 1,
      anon_sym_LPAREN,
    STATE(836), 1,
      sym_string_directive,
    STATE(1790), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81853] = 8,
    ACTIONS(3221), 1,
      anon_sym_LPAREN,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_capture_list,
    STATE(2105), 1,
      sym_func_params,
    STATE(2294), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81881] = 7,
    ACTIONS(3279), 1,
      anon_sym_LPAREN,
    ACTIONS(3283), 1,
      aux_sym_string_token1,
    STATE(464), 1,
      sym_string_directive,
    STATE(481), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3281), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81907] = 8,
    ACTIONS(3221), 1,
      anon_sym_LPAREN,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_capture_list,
    STATE(2105), 1,
      sym_func_params,
    STATE(2294), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81935] = 8,
    ACTIONS(3221), 1,
      anon_sym_LPAREN,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3287), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_capture_list,
    STATE(2105), 1,
      sym_func_params,
    STATE(2685), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81963] = 7,
    ACTIONS(2600), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2471), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81988] = 6,
    ACTIONS(3231), 1,
      aux_sym_string_token1,
    STATE(543), 1,
      sym_string_directive,
    STATE(570), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3229), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82011] = 7,
    ACTIONS(2500), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2738), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82036] = 7,
    ACTIONS(2582), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2755), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82061] = 7,
    ACTIONS(3293), 1,
      anon_sym_RPAREN,
    ACTIONS(3295), 1,
      sym_id,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2453), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82086] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3297), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2661), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82111] = 7,
    ACTIONS(2448), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2258), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82136] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3299), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2364), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82161] = 6,
    ACTIONS(3259), 1,
      aux_sym_string_token1,
    STATE(674), 1,
      sym_string_directive,
    STATE(689), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3257), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82184] = 6,
    ACTIONS(3273), 1,
      aux_sym_string_token1,
    STATE(472), 1,
      sym_string,
    STATE(478), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3271), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82207] = 7,
    ACTIONS(2532), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2248), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82232] = 7,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_LPAREN,
    STATE(2095), 1,
      sym_begin_lambda,
    STATE(2105), 1,
      sym_func_params,
    STATE(2114), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82257] = 6,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    STATE(331), 1,
      sym_string,
    STATE(836), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82280] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3301), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2288), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82305] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3303), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2675), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82330] = 6,
    ACTIONS(3195), 1,
      aux_sym_string_token1,
    STATE(383), 1,
      sym_string_directive,
    STATE(385), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3193), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82353] = 6,
    ACTIONS(3213), 1,
      aux_sym_string_token1,
    STATE(411), 1,
      sym_string,
    STATE(414), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3211), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82376] = 4,
    ACTIONS(3305), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1466), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [82395] = 6,
    ACTIONS(3309), 1,
      anon_sym_EQ,
    ACTIONS(3311), 1,
      anon_sym_AMPdeprecated,
    STATE(2182), 1,
      sym_deprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3307), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82418] = 6,
    ACTIONS(3283), 1,
      aux_sym_string_token1,
    STATE(464), 1,
      sym_string_directive,
    STATE(483), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3281), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82441] = 6,
    ACTIONS(3138), 1,
      aux_sym_string_token1,
    STATE(4), 1,
      sym_string_directive,
    STATE(296), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3132), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82464] = 7,
    ACTIONS(2552), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2415), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82489] = 6,
    ACTIONS(3138), 1,
      aux_sym_string_token1,
    STATE(4), 1,
      sym_string_directive,
    STATE(331), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3132), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82512] = 4,
    ACTIONS(3313), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(544), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [82531] = 7,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_LPAREN,
    STATE(2105), 1,
      sym_func_params,
    STATE(2112), 1,
      sym_begin_lambda,
    STATE(2114), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82556] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3315), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2507), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82581] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3317), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2360), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82606] = 6,
    ACTIONS(3241), 1,
      aux_sym_string_token1,
    STATE(537), 1,
      sym_string_directive,
    STATE(588), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3239), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82629] = 7,
    ACTIONS(2518), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2703), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82654] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3319), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2576), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82679] = 6,
    ACTIONS(3253), 1,
      aux_sym_string_token1,
    STATE(667), 1,
      sym_string,
    STATE(680), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3251), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82702] = 7,
    ACTIONS(2782), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2604), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82727] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3321), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2208), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82752] = 6,
    ACTIONS(3201), 1,
      aux_sym_string_token1,
    STATE(458), 1,
      sym_string_directive,
    STATE(504), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3199), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82775] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3323), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2659), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82800] = 7,
    ACTIONS(2568), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2638), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82825] = 7,
    ACTIONS(2610), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2317), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82850] = 7,
    ACTIONS(2426), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2236), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82875] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3325), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2256), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82900] = 7,
    ACTIONS(3295), 1,
      sym_id,
    ACTIONS(3327), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_formal_arg,
    STATE(1959), 1,
      aux_sym_formal_args_repeat1,
    STATE(2325), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82925] = 6,
    ACTIONS(3265), 1,
      aux_sym_string_token1,
    STATE(549), 1,
      sym_string,
    STATE(554), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3263), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82948] = 6,
    ACTIONS(111), 1,
      aux_sym_string_token1,
    STATE(836), 1,
      sym_string_directive,
    STATE(1789), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(99), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82971] = 4,
    ACTIONS(3329), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1486), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [82990] = 6,
    ACTIONS(3219), 1,
      aux_sym_string_token1,
    STATE(559), 1,
      sym_string,
    STATE(583), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3217), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83013] = 6,
    ACTIONS(3207), 1,
      aux_sym_string_token1,
    STATE(388), 1,
      sym_string,
    STATE(409), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3205), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83036] = 7,
    ACTIONS(2466), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    STATE(1928), 1,
      aux_sym_case_list_repeat1,
    STATE(2504), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83061] = 5,
    ACTIONS(3331), 1,
      anon_sym_RBRACE,
    ACTIONS(3333), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1912), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83081] = 5,
    ACTIONS(3333), 1,
      sym_id,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1916), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83101] = 5,
    ACTIONS(3333), 1,
      sym_id,
    ACTIONS(3337), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1925), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83121] = 6,
    ACTIONS(3339), 1,
      sym_id,
    STATE(1922), 1,
      aux_sym_enum_body_repeat1,
    STATE(2055), 1,
      sym_enum_body_elem,
    STATE(2340), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83143] = 5,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    ACTIONS(3333), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1929), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83163] = 5,
    ACTIONS(3333), 1,
      sym_id,
    ACTIONS(3341), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1925), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83183] = 6,
    ACTIONS(3343), 1,
      anon_sym_copy,
    ACTIONS(3346), 1,
      sym_id,
    STATE(1913), 1,
      aux_sym_capture_list_repeat1,
    STATE(2330), 1,
      sym_capture,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83205] = 6,
    ACTIONS(208), 1,
      anon_sym_RBRACE,
    ACTIONS(3349), 1,
      anon_sym_case,
    ACTIONS(3352), 1,
      anon_sym_default,
    STATE(1914), 1,
      aux_sym_case_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83227] = 6,
    ACTIONS(3339), 1,
      sym_id,
    STATE(1922), 1,
      aux_sym_enum_body_repeat1,
    STATE(2055), 1,
      sym_enum_body_elem,
    STATE(2384), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83249] = 5,
    ACTIONS(3333), 1,
      sym_id,
    ACTIONS(3355), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1925), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83269] = 6,
    ACTIONS(3357), 1,
      anon_sym_copy,
    ACTIONS(3359), 1,
      sym_id,
    STATE(1931), 1,
      aux_sym_capture_list_repeat1,
    STATE(1985), 1,
      sym_capture,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83291] = 5,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    ACTIONS(3333), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1924), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83311] = 6,
    ACTIONS(3339), 1,
      sym_id,
    STATE(1922), 1,
      aux_sym_enum_body_repeat1,
    STATE(2055), 1,
      sym_enum_body_elem,
    STATE(2219), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83333] = 6,
    ACTIONS(3361), 1,
      anon_sym_enum,
    ACTIONS(3363), 1,
      anon_sym_record,
    ACTIONS(3365), 1,
      anon_sym_event,
    ACTIONS(3367), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83355] = 6,
    ACTIONS(3339), 1,
      sym_id,
    STATE(1922), 1,
      aux_sym_enum_body_repeat1,
    STATE(2055), 1,
      sym_enum_body_elem,
    STATE(2657), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83377] = 6,
    ACTIONS(3339), 1,
      sym_id,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
    STATE(1933), 1,
      aux_sym_enum_body_repeat1,
    STATE(2184), 1,
      sym_enum_body_elem,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83399] = 5,
    ACTIONS(3311), 1,
      anon_sym_AMPdeprecated,
    STATE(2002), 1,
      sym_deprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3371), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83419] = 5,
    ACTIONS(3333), 1,
      sym_id,
    ACTIONS(3373), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1925), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83439] = 5,
    ACTIONS(3375), 1,
      anon_sym_RBRACE,
    ACTIONS(3377), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1925), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83459] = 6,
    ACTIONS(3365), 1,
      anon_sym_event,
    ACTIONS(3380), 1,
      anon_sym_enum,
    ACTIONS(3382), 1,
      anon_sym_record,
    ACTIONS(3384), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83481] = 5,
    ACTIONS(3317), 1,
      anon_sym_RBRACE,
    ACTIONS(3333), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1909), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83501] = 6,
    ACTIONS(3289), 1,
      anon_sym_case,
    ACTIONS(3291), 1,
      anon_sym_default,
    ACTIONS(3386), 1,
      anon_sym_RBRACE,
    STATE(1914), 1,
      aux_sym_case_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83523] = 5,
    ACTIONS(3333), 1,
      sym_id,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1925), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83543] = 4,
    ACTIONS(3390), 1,
      anon_sym_SLASH,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1456), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
  [83561] = 6,
    ACTIONS(3357), 1,
      anon_sym_copy,
    ACTIONS(3359), 1,
      sym_id,
    STATE(1913), 1,
      aux_sym_capture_list_repeat1,
    STATE(2005), 1,
      sym_capture,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83583] = 6,
    ACTIONS(3339), 1,
      sym_id,
    STATE(1922), 1,
      aux_sym_enum_body_repeat1,
    STATE(2055), 1,
      sym_enum_body_elem,
    STATE(2477), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83605] = 6,
    ACTIONS(3392), 1,
      anon_sym_RBRACE,
    ACTIONS(3394), 1,
      sym_id,
    STATE(1933), 1,
      aux_sym_enum_body_repeat1,
    STATE(2764), 1,
      sym_enum_body_elem,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83627] = 4,
    ACTIONS(3399), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3397), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83644] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3401), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [83659] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3403), 1,
      anon_sym_LPAREN,
    STATE(2678), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83678] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3405), 1,
      anon_sym_LPAREN,
    STATE(2679), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83697] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(260), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [83712] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    STATE(2693), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83731] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3409), 1,
      anon_sym_LPAREN,
    STATE(2694), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83750] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3411), 1,
      anon_sym_LPAREN,
    STATE(2705), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83769] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3413), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83788] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3415), 1,
      anon_sym_LPAREN,
    STATE(2717), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83807] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3417), 1,
      anon_sym_LPAREN,
    STATE(2718), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83826] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3419), 1,
      anon_sym_LPAREN,
    STATE(2729), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83845] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      anon_sym_LPAREN,
    STATE(2730), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83864] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 1,
      anon_sym_LPAREN,
    STATE(2740), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83883] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3425), 1,
      anon_sym_LPAREN,
    STATE(2741), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83902] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3427), 1,
      anon_sym_LPAREN,
    STATE(2751), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83921] = 5,
    ACTIONS(3429), 1,
      anon_sym_COLON,
    ACTIONS(3431), 1,
      anon_sym_COMMA,
    ACTIONS(3433), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83940] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3435), 1,
      anon_sym_LPAREN,
    STATE(2762), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83959] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3437), 1,
      anon_sym_LPAREN,
    STATE(2763), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83978] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3439), 1,
      anon_sym_LPAREN,
    STATE(2773), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83997] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3441), 1,
      anon_sym_LPAREN,
    STATE(2774), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84016] = 4,
    ACTIONS(3445), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3443), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84033] = 5,
    ACTIONS(3431), 1,
      anon_sym_COMMA,
    ACTIONS(3447), 1,
      anon_sym_COLON,
    ACTIONS(3449), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84052] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2551), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84071] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3453), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [84086] = 5,
    ACTIONS(3295), 1,
      sym_id,
    STATE(1962), 1,
      sym_formal_arg,
    STATE(1963), 1,
      aux_sym_formal_args_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84105] = 4,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1466), 2,
      anon_sym_COMMA,
      anon_sym_as,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84122] = 4,
    ACTIONS(3457), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1486), 2,
      anon_sym_COMMA,
      anon_sym_as,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84139] = 4,
    ACTIONS(3459), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3443), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84156] = 5,
    ACTIONS(3461), 1,
      sym_id,
    STATE(1963), 1,
      aux_sym_formal_args_repeat1,
    STATE(2053), 1,
      sym_formal_arg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84175] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3464), 1,
      anon_sym_LPAREN,
    STATE(2563), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84194] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    STATE(2851), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84213] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3468), 1,
      anon_sym_LPAREN,
    STATE(2244), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84232] = 4,
    ACTIONS(3470), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(544), 2,
      anon_sym_COMMA,
      anon_sym_as,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84249] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3472), 1,
      anon_sym_LPAREN,
    STATE(2887), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84268] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_LPAREN,
    STATE(2888), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84287] = 5,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3476), 1,
      anon_sym_LPAREN,
    STATE(2752), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84306] = 4,
    ACTIONS(3221), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84322] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3480), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84338] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3482), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84352] = 4,
    ACTIONS(3484), 1,
      anon_sym_LPAREN,
    STATE(323), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84368] = 4,
    ACTIONS(3486), 1,
      sym_id,
    STATE(2215), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84384] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3488), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84398] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3490), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84412] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2593), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84428] = 4,
    ACTIONS(3494), 1,
      anon_sym_COLON,
    ACTIONS(3496), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84444] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3498), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84460] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3500), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84476] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3502), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84490] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3504), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84504] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2483), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84520] = 4,
    ACTIONS(3506), 1,
      anon_sym_COMMA,
    ACTIONS(3508), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84536] = 4,
    ACTIONS(3431), 1,
      anon_sym_COMMA,
    ACTIONS(3510), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84552] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3512), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84568] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3514), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84584] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3516), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84600] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3520), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84616] = 4,
    ACTIONS(3522), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84632] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3524), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84646] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3526), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84660] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2654), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84676] = 4,
    ACTIONS(3528), 1,
      anon_sym_LPAREN,
    STATE(1274), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84692] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3530), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84708] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3532), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84724] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3534), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84738] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3536), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84752] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2808), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84768] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3538), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84782] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3540), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84796] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3542), 2,
      anon_sym_copy,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84810] = 4,
    ACTIONS(3544), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84826] = 4,
    ACTIONS(3506), 1,
      anon_sym_COMMA,
    ACTIONS(3546), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84842] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3548), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84856] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3550), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84870] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2469), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84886] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3552), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84900] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3554), 2,
      anon_sym_RBRACE,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84914] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3556), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84928] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3558), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84942] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3560), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84956] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2207), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84972] = 4,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(1291), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84988] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3562), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85002] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3564), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85016] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2335), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85032] = 4,
    ACTIONS(3544), 1,
      anon_sym_LPAREN,
    STATE(1252), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85048] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3566), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85062] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3568), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85076] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2592), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85092] = 4,
    ACTIONS(3496), 1,
      anon_sym_COMMA,
    ACTIONS(3570), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85108] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3572), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85122] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3574), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85136] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3576), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85150] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2819), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85166] = 4,
    ACTIONS(3578), 1,
      anon_sym_LPAREN,
    STATE(1252), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85182] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3580), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85196] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2348), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85210] = 4,
    ACTIONS(3582), 1,
      anon_sym_LPAREN,
    STATE(323), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85226] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3584), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85240] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3586), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85254] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2499), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85270] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3516), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85286] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3588), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85300] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3590), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85314] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3592), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85328] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3594), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85342] = 4,
    ACTIONS(3596), 1,
      anon_sym_LBRACK,
    ACTIONS(3598), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85358] = 4,
    ACTIONS(3600), 1,
      anon_sym_COMMA,
    ACTIONS(3602), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85374] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3604), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85388] = 4,
    ACTIONS(3606), 1,
      anon_sym_type,
    STATE(2113), 1,
      aux_sym_case_type_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85404] = 4,
    ACTIONS(3608), 1,
      anon_sym_COMMA,
    ACTIONS(3610), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85420] = 4,
    ACTIONS(3544), 1,
      anon_sym_LPAREN,
    STATE(1253), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85436] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3612), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85452] = 4,
    ACTIONS(3614), 1,
      anon_sym_COMMA,
    ACTIONS(3616), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85468] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3618), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85484] = 4,
    ACTIONS(3620), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85500] = 4,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    ACTIONS(3625), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85516] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3627), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85532] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3629), 2,
      anon_sym_RBRACE,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85546] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3443), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85560] = 4,
    ACTIONS(1486), 1,
      anon_sym_EQ,
    ACTIONS(3631), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85576] = 4,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85592] = 4,
    ACTIONS(3635), 1,
      anon_sym_LPAREN,
    STATE(1274), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85608] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3637), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85624] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3639), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85640] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3641), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85656] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3643), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85670] = 4,
    ACTIONS(3645), 1,
      anon_sym_COMMA,
    ACTIONS(3647), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85686] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3649), 2,
      anon_sym_push,
      anon_sym_pop,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85700] = 4,
    ACTIONS(3388), 1,
      anon_sym_RBRACK,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85716] = 4,
    ACTIONS(3651), 1,
      anon_sym_COMMA,
    ACTIONS(3653), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85732] = 4,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3657), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85748] = 4,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85764] = 4,
    ACTIONS(3544), 1,
      anon_sym_LPAREN,
    STATE(1251), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85780] = 4,
    ACTIONS(3659), 1,
      anon_sym_COMMA,
    ACTIONS(3661), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85796] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2215), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85812] = 4,
    ACTIONS(3663), 1,
      anon_sym_COMMA,
    ACTIONS(3665), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85828] = 4,
    ACTIONS(3667), 1,
      anon_sym_COMMA,
    ACTIONS(3669), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85844] = 4,
    ACTIONS(544), 1,
      anon_sym_EQ,
    ACTIONS(3671), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85860] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2839), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85876] = 4,
    ACTIONS(3673), 1,
      anon_sym_COMMA,
    ACTIONS(3675), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85892] = 4,
    ACTIONS(3677), 1,
      anon_sym_COMMA,
    ACTIONS(3679), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85908] = 4,
    ACTIONS(3681), 1,
      anon_sym_COMMA,
    ACTIONS(3683), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85924] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3685), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85940] = 4,
    ACTIONS(3687), 1,
      anon_sym_COMMA,
    ACTIONS(3689), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85956] = 4,
    ACTIONS(3691), 1,
      anon_sym_COMMA,
    ACTIONS(3693), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85972] = 4,
    ACTIONS(3695), 1,
      anon_sym_COMMA,
    ACTIONS(3697), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85988] = 4,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    ACTIONS(3701), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86004] = 4,
    ACTIONS(3703), 1,
      anon_sym_COMMA,
    ACTIONS(3705), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86020] = 4,
    ACTIONS(3707), 1,
      anon_sym_COMMA,
    ACTIONS(3709), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86036] = 4,
    ACTIONS(3711), 1,
      anon_sym_COMMA,
    ACTIONS(3713), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86052] = 4,
    ACTIONS(3715), 1,
      anon_sym_COMMA,
    ACTIONS(3717), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86068] = 4,
    ACTIONS(3719), 1,
      anon_sym_COMMA,
    ACTIONS(3721), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86084] = 4,
    ACTIONS(1466), 1,
      anon_sym_EQ,
    ACTIONS(3723), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86100] = 4,
    ACTIONS(3725), 1,
      anon_sym_COMMA,
    ACTIONS(3727), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86116] = 4,
    ACTIONS(3729), 1,
      anon_sym_COMMA,
    ACTIONS(3731), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86132] = 4,
    ACTIONS(3221), 1,
      anon_sym_LPAREN,
    STATE(2029), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86148] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3733), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86164] = 4,
    ACTIONS(3735), 1,
      anon_sym_COMMA,
    ACTIONS(3737), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86180] = 4,
    ACTIONS(3739), 1,
      anon_sym_COMMA,
    ACTIONS(3741), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86196] = 4,
    ACTIONS(3743), 1,
      anon_sym_COMMA,
    ACTIONS(3745), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86212] = 4,
    ACTIONS(3747), 1,
      anon_sym_LBRACE,
    STATE(329), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86228] = 4,
    ACTIONS(3544), 1,
      anon_sym_LPAREN,
    STATE(1249), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86244] = 4,
    ACTIONS(3749), 1,
      anon_sym_COMMA,
    ACTIONS(3751), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86260] = 4,
    ACTIONS(3753), 1,
      anon_sym_COMMA,
    ACTIONS(3755), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86276] = 4,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86292] = 4,
    ACTIONS(3761), 1,
      anon_sym_COMMA,
    ACTIONS(3763), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86308] = 4,
    ACTIONS(3765), 1,
      anon_sym_COMMA,
    ACTIONS(3767), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86324] = 4,
    ACTIONS(3769), 1,
      anon_sym_COMMA,
    ACTIONS(3771), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86340] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3685), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86356] = 4,
    ACTIONS(3773), 1,
      anon_sym_LBRACK,
    ACTIONS(3775), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86372] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3777), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86386] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86402] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2474), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86418] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3781), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86434] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3783), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86450] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3785), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86466] = 4,
    ACTIONS(3787), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86482] = 4,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(1261), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86498] = 4,
    ACTIONS(3789), 1,
      anon_sym_type,
    STATE(2113), 1,
      aux_sym_case_type_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86514] = 4,
    ACTIONS(3233), 1,
      anon_sym_LPAREN,
    STATE(2029), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86530] = 4,
    ACTIONS(3792), 1,
      anon_sym_COMMA,
    ACTIONS(3794), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86546] = 4,
    ACTIONS(3747), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86562] = 4,
    ACTIONS(3796), 1,
      sym_id,
    STATE(1991), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86578] = 4,
    ACTIONS(3233), 1,
      anon_sym_LPAREN,
    STATE(1274), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86594] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3798), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86610] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3800), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86626] = 4,
    ACTIONS(3373), 1,
      anon_sym_RBRACK,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86642] = 4,
    ACTIONS(3373), 1,
      anon_sym_RBRACE,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86658] = 4,
    ACTIONS(3802), 1,
      anon_sym_COMMA,
    ACTIONS(3804), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86674] = 4,
    ACTIONS(3806), 1,
      anon_sym_LBRACK,
    ACTIONS(3808), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86690] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3810), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86706] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3812), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86722] = 4,
    ACTIONS(3492), 1,
      sym_id,
    STATE(2612), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86738] = 4,
    ACTIONS(3814), 1,
      anon_sym_LBRACK,
    ACTIONS(3816), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86754] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3818), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86770] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3820), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86786] = 4,
    ACTIONS(3822), 1,
      anon_sym_LBRACK,
    ACTIONS(3824), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86802] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3826), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86818] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3828), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86834] = 4,
    ACTIONS(3830), 1,
      anon_sym_LBRACK,
    ACTIONS(3832), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86850] = 4,
    ACTIONS(3337), 1,
      anon_sym_RBRACK,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86866] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3834), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86882] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3836), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86898] = 4,
    ACTIONS(3838), 1,
      anon_sym_LBRACK,
    ACTIONS(3840), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86914] = 4,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    STATE(1274), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86930] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3844), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86946] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3846), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86962] = 4,
    ACTIONS(3848), 1,
      anon_sym_LBRACK,
    ACTIONS(3850), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86978] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3852), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86994] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3854), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87010] = 4,
    ACTIONS(3856), 1,
      anon_sym_LBRACK,
    ACTIONS(3858), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87026] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3860), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87042] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3862), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87058] = 4,
    ACTIONS(3864), 1,
      anon_sym_LBRACK,
    ACTIONS(3866), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87074] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3868), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87090] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3870), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87106] = 4,
    ACTIONS(3872), 1,
      anon_sym_LBRACK,
    ACTIONS(3874), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87122] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3876), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87138] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3878), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87154] = 4,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    ACTIONS(3882), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87170] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3884), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87186] = 4,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3886), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87202] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3888), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87218] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3888), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87234] = 4,
    ACTIONS(3890), 1,
      sym_id,
    STATE(2160), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87250] = 4,
    ACTIONS(3892), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87266] = 4,
    ACTIONS(3337), 1,
      anon_sym_RBRACE,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87282] = 4,
    ACTIONS(3894), 1,
      sym_id,
    STATE(2163), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87298] = 4,
    ACTIONS(3896), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87314] = 4,
    ACTIONS(3898), 1,
      sym_id,
    STATE(2165), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87330] = 4,
    ACTIONS(3900), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87346] = 4,
    ACTIONS(3902), 1,
      sym_id,
    STATE(2167), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87362] = 4,
    ACTIONS(3904), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87378] = 4,
    ACTIONS(3906), 1,
      sym_id,
    STATE(2169), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87394] = 4,
    ACTIONS(3908), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87410] = 4,
    ACTIONS(3910), 1,
      sym_id,
    STATE(2171), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87426] = 4,
    ACTIONS(3912), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87442] = 4,
    ACTIONS(3914), 1,
      sym_id,
    STATE(2173), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87458] = 4,
    ACTIONS(3916), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87474] = 4,
    ACTIONS(3918), 1,
      sym_id,
    STATE(2175), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87490] = 4,
    ACTIONS(3920), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87506] = 4,
    ACTIONS(3922), 1,
      sym_id,
    STATE(2177), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87522] = 4,
    ACTIONS(3924), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87538] = 4,
    ACTIONS(3926), 1,
      sym_id,
    STATE(2179), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87554] = 4,
    ACTIONS(3928), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87570] = 4,
    ACTIONS(3930), 1,
      sym_id,
    STATE(2181), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87586] = 4,
    ACTIONS(3932), 1,
      sym_id,
    STATE(2049), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87602] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3934), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87616] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3392), 2,
      anon_sym_RBRACE,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87630] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3936), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87646] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(3938), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87662] = 4,
    ACTIONS(3940), 1,
      anon_sym_COMMA,
    ACTIONS(3942), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87678] = 3,
    ACTIONS(3944), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87691] = 3,
    ACTIONS(3946), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87704] = 3,
    ACTIONS(3948), 1,
      anon_sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87717] = 3,
    ACTIONS(3950), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87730] = 3,
    ACTIONS(2115), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87743] = 3,
    ACTIONS(3952), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87756] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3954), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [87769] = 3,
    ACTIONS(3956), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87782] = 3,
    ACTIONS(3958), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87795] = 3,
    ACTIONS(3960), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87808] = 3,
    ACTIONS(3962), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87821] = 3,
    ACTIONS(3964), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87834] = 3,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87847] = 3,
    ACTIONS(3299), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87860] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3968), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [87873] = 3,
    ACTIONS(3970), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87886] = 3,
    ACTIONS(2448), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87899] = 3,
    ACTIONS(3972), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87912] = 3,
    ACTIONS(3974), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87925] = 3,
    ACTIONS(828), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87938] = 3,
    ACTIONS(828), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87951] = 3,
    ACTIONS(3976), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87964] = 3,
    ACTIONS(3978), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87977] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3980), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [87990] = 3,
    ACTIONS(3982), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88003] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3984), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [88016] = 3,
    ACTIONS(2968), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88029] = 3,
    ACTIONS(3986), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88042] = 3,
    ACTIONS(842), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88055] = 3,
    ACTIONS(3988), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88068] = 3,
    ACTIONS(3038), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88081] = 3,
    ACTIONS(3990), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88094] = 3,
    ACTIONS(3337), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88107] = 3,
    ACTIONS(3992), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88120] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3994), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [88133] = 3,
    ACTIONS(3996), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88146] = 3,
    ACTIONS(3998), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88159] = 3,
    ACTIONS(1404), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88172] = 3,
    ACTIONS(4000), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88185] = 3,
    ACTIONS(4002), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88198] = 3,
    ACTIONS(2446), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88211] = 3,
    ACTIONS(4004), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88224] = 3,
    ACTIONS(4006), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88237] = 3,
    ACTIONS(1522), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88250] = 3,
    ACTIONS(2532), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88263] = 3,
    ACTIONS(2972), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88276] = 3,
    ACTIONS(4008), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88289] = 3,
    ACTIONS(4010), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88302] = 3,
    ACTIONS(1831), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88315] = 3,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88328] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4012), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [88341] = 3,
    ACTIONS(4014), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88354] = 3,
    ACTIONS(3126), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88367] = 3,
    ACTIONS(3112), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88380] = 3,
    ACTIONS(4016), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88393] = 3,
    ACTIONS(4018), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88406] = 3,
    ACTIONS(4020), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88419] = 3,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88432] = 3,
    ACTIONS(2976), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88445] = 3,
    ACTIONS(2974), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88458] = 3,
    ACTIONS(4022), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88471] = 3,
    ACTIONS(1428), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88484] = 3,
    ACTIONS(3108), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88497] = 3,
    ACTIONS(1428), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88510] = 3,
    ACTIONS(2980), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88523] = 3,
    ACTIONS(4024), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88536] = 3,
    ACTIONS(1690), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88549] = 3,
    ACTIONS(1442), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88562] = 3,
    ACTIONS(1430), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88575] = 3,
    ACTIONS(4026), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88588] = 3,
    ACTIONS(4028), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88601] = 3,
    ACTIONS(1410), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88614] = 3,
    ACTIONS(4030), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88627] = 3,
    ACTIONS(506), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88640] = 3,
    ACTIONS(3122), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88653] = 3,
    ACTIONS(4032), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88666] = 3,
    ACTIONS(3040), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88679] = 3,
    ACTIONS(842), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88692] = 3,
    ACTIONS(1406), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88705] = 3,
    ACTIONS(4034), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88718] = 3,
    ACTIONS(4036), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88731] = 3,
    ACTIONS(2994), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88744] = 3,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88757] = 3,
    ACTIONS(4040), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88770] = 3,
    ACTIONS(4042), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88783] = 3,
    ACTIONS(4044), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88796] = 3,
    ACTIONS(4046), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88809] = 3,
    ACTIONS(4048), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88822] = 3,
    ACTIONS(1815), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88835] = 3,
    ACTIONS(3060), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88848] = 3,
    ACTIONS(4050), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88861] = 3,
    ACTIONS(4052), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88874] = 3,
    ACTIONS(4054), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88887] = 3,
    ACTIONS(4056), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88900] = 3,
    ACTIONS(1410), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88913] = 3,
    ACTIONS(4058), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88926] = 3,
    ACTIONS(4060), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88939] = 3,
    ACTIONS(4062), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88952] = 3,
    ACTIONS(2610), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88965] = 3,
    ACTIONS(4064), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88978] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4066), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [88991] = 3,
    ACTIONS(4068), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89004] = 3,
    ACTIONS(4070), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89017] = 3,
    ACTIONS(1412), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89030] = 3,
    ACTIONS(4072), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89043] = 3,
    ACTIONS(4074), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89056] = 3,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89069] = 3,
    ACTIONS(4078), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89082] = 3,
    ACTIONS(2416), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89095] = 3,
    ACTIONS(4080), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89108] = 3,
    ACTIONS(540), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89121] = 3,
    ACTIONS(4082), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89134] = 3,
    ACTIONS(4084), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89147] = 3,
    ACTIONS(3000), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89160] = 3,
    ACTIONS(4086), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89173] = 3,
    ACTIONS(2466), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89186] = 3,
    ACTIONS(4088), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89199] = 3,
    ACTIONS(542), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89212] = 3,
    ACTIONS(500), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89225] = 3,
    ACTIONS(4090), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89238] = 3,
    ACTIONS(2125), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89251] = 3,
    ACTIONS(4092), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89264] = 3,
    ACTIONS(4094), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89277] = 3,
    ACTIONS(3616), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89290] = 3,
    ACTIONS(1450), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89303] = 3,
    ACTIONS(4096), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89316] = 3,
    ACTIONS(2600), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89329] = 3,
    ACTIONS(4098), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89342] = 3,
    ACTIONS(3610), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89355] = 3,
    ACTIONS(4100), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89368] = 3,
    ACTIONS(1342), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89381] = 3,
    ACTIONS(4102), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89394] = 3,
    ACTIONS(1050), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89407] = 3,
    ACTIONS(4104), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89420] = 3,
    ACTIONS(4106), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89433] = 3,
    ACTIONS(1528), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89446] = 3,
    ACTIONS(4108), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89459] = 3,
    ACTIONS(2145), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89472] = 3,
    ACTIONS(4110), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89485] = 3,
    ACTIONS(3008), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89498] = 3,
    ACTIONS(4112), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89511] = 3,
    ACTIONS(4114), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89524] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4116), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89537] = 3,
    ACTIONS(3506), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89550] = 3,
    ACTIONS(4118), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89563] = 3,
    ACTIONS(3010), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89576] = 3,
    ACTIONS(4120), 1,
      anon_sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89589] = 3,
    ACTIONS(854), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89602] = 3,
    ACTIONS(854), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89615] = 3,
    ACTIONS(2750), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89628] = 3,
    ACTIONS(4122), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89641] = 3,
    ACTIONS(2420), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89654] = 3,
    ACTIONS(4124), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89667] = 3,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89680] = 3,
    ACTIONS(4126), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89693] = 3,
    ACTIONS(3496), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89706] = 3,
    ACTIONS(2916), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89719] = 3,
    ACTIONS(4128), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89732] = 3,
    ACTIONS(4130), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89745] = 3,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89758] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4132), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89771] = 3,
    ACTIONS(4134), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89784] = 3,
    ACTIONS(4136), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89797] = 3,
    ACTIONS(4138), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89810] = 3,
    ACTIONS(4140), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89823] = 3,
    ACTIONS(4142), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89836] = 3,
    ACTIONS(3124), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89849] = 3,
    ACTIONS(1963), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89862] = 3,
    ACTIONS(4144), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89875] = 3,
    ACTIONS(4146), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89888] = 3,
    ACTIONS(528), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89901] = 3,
    ACTIONS(4148), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89914] = 3,
    ACTIONS(4150), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89927] = 3,
    ACTIONS(3337), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89940] = 3,
    ACTIONS(4152), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89953] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4154), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89966] = 3,
    ACTIONS(530), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89979] = 3,
    ACTIONS(3388), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89992] = 3,
    ACTIONS(4156), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90005] = 3,
    ACTIONS(4158), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90018] = 3,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90031] = 3,
    ACTIONS(4162), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90044] = 3,
    ACTIONS(2079), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90057] = 3,
    ACTIONS(4164), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90070] = 3,
    ACTIONS(4166), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90083] = 3,
    ACTIONS(4168), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90096] = 3,
    ACTIONS(4170), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90109] = 3,
    ACTIONS(4172), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90122] = 3,
    ACTIONS(4174), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90135] = 3,
    ACTIONS(1100), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90148] = 3,
    ACTIONS(2982), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90161] = 3,
    ACTIONS(4176), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90174] = 3,
    ACTIONS(3653), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90187] = 3,
    ACTIONS(4178), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90200] = 3,
    ACTIONS(4180), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90213] = 3,
    ACTIONS(2552), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90226] = 3,
    ACTIONS(4182), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90239] = 3,
    ACTIONS(4184), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90252] = 3,
    ACTIONS(4186), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90265] = 3,
    ACTIONS(4188), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90278] = 3,
    ACTIONS(1768), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90291] = 3,
    ACTIONS(4190), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90304] = 3,
    ACTIONS(4192), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90317] = 3,
    ACTIONS(4194), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90330] = 3,
    ACTIONS(4196), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90343] = 3,
    ACTIONS(4198), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90356] = 3,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90369] = 3,
    ACTIONS(1518), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90382] = 3,
    ACTIONS(2121), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90395] = 3,
    ACTIONS(4202), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90408] = 3,
    ACTIONS(4204), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90421] = 3,
    ACTIONS(4206), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90434] = 3,
    ACTIONS(3665), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90447] = 3,
    ACTIONS(4208), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90460] = 3,
    ACTIONS(4210), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90473] = 3,
    ACTIONS(3082), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90486] = 3,
    ACTIONS(4212), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90499] = 3,
    ACTIONS(2914), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90512] = 3,
    ACTIONS(4214), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90525] = 3,
    ACTIONS(4216), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90538] = 3,
    ACTIONS(4218), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90551] = 3,
    ACTIONS(4220), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90564] = 3,
    ACTIONS(4222), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90577] = 3,
    ACTIONS(4224), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90590] = 3,
    ACTIONS(4226), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90603] = 3,
    ACTIONS(1416), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90616] = 3,
    ACTIONS(2099), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90629] = 3,
    ACTIONS(1887), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90642] = 3,
    ACTIONS(1432), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90655] = 3,
    ACTIONS(4228), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90668] = 3,
    ACTIONS(1432), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90681] = 3,
    ACTIONS(1696), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90694] = 3,
    ACTIONS(3679), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90707] = 3,
    ACTIONS(510), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90720] = 3,
    ACTIONS(4230), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90733] = 3,
    ACTIONS(3050), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90746] = 3,
    ACTIONS(4232), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90759] = 3,
    ACTIONS(4234), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90772] = 3,
    ACTIONS(4236), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90785] = 3,
    ACTIONS(2103), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90798] = 3,
    ACTIONS(1434), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90811] = 3,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90824] = 3,
    ACTIONS(4240), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90837] = 3,
    ACTIONS(4242), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90850] = 3,
    ACTIONS(4244), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90863] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4246), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [90876] = 3,
    ACTIONS(4248), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90889] = 3,
    ACTIONS(4250), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90902] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4252), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [90915] = 3,
    ACTIONS(4254), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90928] = 3,
    ACTIONS(4256), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90941] = 3,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90954] = 3,
    ACTIONS(3693), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90967] = 3,
    ACTIONS(2918), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90980] = 3,
    ACTIONS(950), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90993] = 3,
    ACTIONS(3317), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91006] = 3,
    ACTIONS(4260), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91019] = 3,
    ACTIONS(3076), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91032] = 3,
    ACTIONS(4262), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91045] = 3,
    ACTIONS(4264), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91058] = 3,
    ACTIONS(4266), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91071] = 3,
    ACTIONS(4268), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91084] = 3,
    ACTIONS(4270), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91097] = 3,
    ACTIONS(4272), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91110] = 3,
    ACTIONS(4274), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91123] = 3,
    ACTIONS(838), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91136] = 3,
    ACTIONS(4276), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91149] = 3,
    ACTIONS(1414), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91162] = 3,
    ACTIONS(3705), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91175] = 3,
    ACTIONS(922), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91188] = 3,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91201] = 3,
    ACTIONS(4278), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91214] = 3,
    ACTIONS(3062), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91227] = 3,
    ACTIONS(4280), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91240] = 3,
    ACTIONS(4282), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91253] = 3,
    ACTIONS(2950), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91266] = 3,
    ACTIONS(4284), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91279] = 3,
    ACTIONS(4286), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91292] = 3,
    ACTIONS(4288), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91305] = 3,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91318] = 3,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91331] = 3,
    ACTIONS(2998), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91344] = 3,
    ACTIONS(922), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91357] = 3,
    ACTIONS(3717), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91370] = 3,
    ACTIONS(1446), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91383] = 3,
    ACTIONS(4294), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91396] = 3,
    ACTIONS(4296), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91409] = 3,
    ACTIONS(838), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91422] = 3,
    ACTIONS(4298), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91435] = 3,
    ACTIONS(4300), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91448] = 3,
    ACTIONS(4302), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91461] = 3,
    ACTIONS(4304), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91474] = 3,
    ACTIONS(4306), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91487] = 3,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91500] = 3,
    ACTIONS(4310), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91513] = 3,
    ACTIONS(2091), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91526] = 3,
    ACTIONS(950), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91539] = 3,
    ACTIONS(4312), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91552] = 3,
    ACTIONS(3727), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91565] = 3,
    ACTIONS(4314), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91578] = 3,
    ACTIONS(4316), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91591] = 3,
    ACTIONS(4318), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91604] = 3,
    ACTIONS(4320), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91617] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4322), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [91630] = 3,
    ACTIONS(4324), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91643] = 3,
    ACTIONS(4326), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91656] = 3,
    ACTIONS(4328), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91669] = 3,
    ACTIONS(4330), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91682] = 3,
    ACTIONS(4332), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91695] = 3,
    ACTIONS(4334), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91708] = 3,
    ACTIONS(3235), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91721] = 3,
    ACTIONS(926), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91734] = 3,
    ACTIONS(926), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91747] = 3,
    ACTIONS(3741), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91760] = 3,
    ACTIONS(4336), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91773] = 3,
    ACTIONS(4338), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91786] = 3,
    ACTIONS(4340), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91799] = 3,
    ACTIONS(1450), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91812] = 3,
    ACTIONS(4342), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91825] = 3,
    ACTIONS(1823), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91838] = 3,
    ACTIONS(4344), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91851] = 3,
    ACTIONS(4346), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91864] = 3,
    ACTIONS(4348), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91877] = 3,
    ACTIONS(4350), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91890] = 3,
    ACTIONS(4352), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91903] = 3,
    ACTIONS(4354), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91916] = 3,
    ACTIONS(1342), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91929] = 3,
    ACTIONS(4356), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91942] = 3,
    ACTIONS(3755), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91955] = 3,
    ACTIONS(4358), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91968] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4360), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [91981] = 3,
    ACTIONS(4362), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91994] = 3,
    ACTIONS(4364), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92007] = 3,
    ACTIONS(4366), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92020] = 3,
    ACTIONS(4368), 1,
      aux_sym_constant_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92033] = 3,
    ACTIONS(3671), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92046] = 3,
    ACTIONS(4370), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92059] = 3,
    ACTIONS(4372), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92072] = 3,
    ACTIONS(4374), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92085] = 3,
    ACTIONS(4376), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92098] = 3,
    ACTIONS(4378), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92111] = 3,
    ACTIONS(4380), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92124] = 3,
    ACTIONS(3767), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92137] = 3,
    ACTIONS(1446), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92150] = 3,
    ACTIONS(4382), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92163] = 3,
    ACTIONS(4384), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92176] = 3,
    ACTIONS(4386), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92189] = 3,
    ACTIONS(4388), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92202] = 3,
    ACTIONS(2774), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92215] = 3,
    ACTIONS(4390), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92228] = 3,
    ACTIONS(4392), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92241] = 3,
    ACTIONS(4394), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92254] = 3,
    ACTIONS(4396), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92267] = 3,
    ACTIONS(4398), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92280] = 3,
    ACTIONS(4400), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92293] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4402), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [92306] = 3,
    ACTIONS(4404), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92319] = 3,
    ACTIONS(4406), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92332] = 3,
    ACTIONS(4408), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92345] = 3,
    ACTIONS(4410), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92358] = 3,
    ACTIONS(4412), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92371] = 3,
    ACTIONS(514), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92384] = 3,
    ACTIONS(4414), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92397] = 3,
    ACTIONS(4416), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92410] = 3,
    ACTIONS(3464), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92423] = 3,
    ACTIONS(550), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92436] = 3,
    ACTIONS(3070), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92449] = 3,
    ACTIONS(1408), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92462] = 3,
    ACTIONS(3072), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92475] = 3,
    ACTIONS(552), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92488] = 3,
    ACTIONS(3074), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92501] = 3,
    ACTIONS(4418), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92514] = 3,
    ACTIONS(4420), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92527] = 3,
    ACTIONS(4422), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92540] = 3,
    ACTIONS(4424), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92553] = 3,
    ACTIONS(1540), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92566] = 3,
    ACTIONS(4426), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92579] = 3,
    ACTIONS(4428), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92592] = 3,
    ACTIONS(4430), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92605] = 3,
    ACTIONS(4432), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92618] = 3,
    ACTIONS(4434), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92631] = 3,
    ACTIONS(2137), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92644] = 3,
    ACTIONS(4436), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92657] = 3,
    ACTIONS(2782), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92670] = 3,
    ACTIONS(4438), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92683] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4440), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [92696] = 3,
    ACTIONS(4442), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92709] = 3,
    ACTIONS(2282), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92722] = 3,
    ACTIONS(4444), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92735] = 3,
    ACTIONS(4446), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92748] = 3,
    ACTIONS(1426), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92761] = 3,
    ACTIONS(1801), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92774] = 3,
    ACTIONS(1736), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92787] = 3,
    ACTIONS(4448), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92800] = 3,
    ACTIONS(4450), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92813] = 3,
    ACTIONS(4452), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92826] = 3,
    ACTIONS(1879), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92839] = 3,
    ACTIONS(508), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92852] = 3,
    ACTIONS(4454), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92865] = 3,
    ACTIONS(4456), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92878] = 3,
    ACTIONS(4458), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92891] = 3,
    ACTIONS(3002), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92904] = 3,
    ACTIONS(516), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92917] = 3,
    ACTIONS(4460), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92930] = 3,
    ACTIONS(878), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92943] = 3,
    ACTIONS(878), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92956] = 3,
    ACTIONS(906), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92969] = 3,
    ACTIONS(3088), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92982] = 3,
    ACTIONS(2079), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92995] = 3,
    ACTIONS(2518), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93008] = 3,
    ACTIONS(1392), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93021] = 3,
    ACTIONS(1448), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93034] = 3,
    ACTIONS(1394), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93047] = 3,
    ACTIONS(4462), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93060] = 3,
    ACTIONS(1396), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93073] = 3,
    ACTIONS(2978), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93086] = 3,
    ACTIONS(4464), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93099] = 3,
    ACTIONS(1398), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93112] = 3,
    ACTIONS(4466), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93125] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4468), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [93138] = 3,
    ACTIONS(1398), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93151] = 3,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93164] = 3,
    ACTIONS(4470), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93177] = 3,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93190] = 3,
    ACTIONS(4472), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93203] = 3,
    ACTIONS(4474), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93216] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4476), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [93229] = 3,
    ACTIONS(4478), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93242] = 3,
    ACTIONS(4480), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93255] = 3,
    ACTIONS(3323), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93268] = 3,
    ACTIONS(522), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93281] = 3,
    ACTIONS(3092), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93294] = 3,
    ACTIONS(4482), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93307] = 3,
    ACTIONS(4484), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93320] = 3,
    ACTIONS(1400), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93333] = 3,
    ACTIONS(2107), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93346] = 3,
    ACTIONS(2568), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93359] = 3,
    ACTIONS(2970), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93372] = 3,
    ACTIONS(3094), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93385] = 3,
    ACTIONS(1774), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93398] = 3,
    ACTIONS(3096), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93411] = 3,
    ACTIONS(524), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93424] = 3,
    ACTIONS(3098), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93437] = 3,
    ACTIONS(4486), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93450] = 3,
    ACTIONS(4488), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93463] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4490), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [93476] = 3,
    ACTIONS(4492), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93489] = 3,
    ACTIONS(3066), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93502] = 3,
    ACTIONS(3100), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93515] = 3,
    ACTIONS(4494), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93528] = 3,
    ACTIONS(4496), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93541] = 3,
    ACTIONS(1436), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93554] = 3,
    ACTIONS(4498), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93567] = 3,
    ACTIONS(3470), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93580] = 3,
    ACTIONS(4500), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93593] = 3,
    ACTIONS(1436), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93606] = 3,
    ACTIONS(4502), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93619] = 3,
    ACTIONS(4504), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93632] = 3,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93645] = 3,
    ACTIONS(1438), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93658] = 3,
    ACTIONS(4508), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93671] = 3,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93684] = 3,
    ACTIONS(3080), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93697] = 3,
    ACTIONS(862), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93710] = 3,
    ACTIONS(3084), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93723] = 3,
    ACTIONS(4510), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93736] = 3,
    ACTIONS(4512), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93749] = 3,
    ACTIONS(862), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93762] = 3,
    ACTIONS(2992), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93775] = 3,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93788] = 3,
    ACTIONS(3373), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93801] = 3,
    ACTIONS(3106), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93814] = 3,
    ACTIONS(3373), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93827] = 3,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93840] = 3,
    ACTIONS(4516), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93853] = 3,
    ACTIONS(4518), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93866] = 3,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93879] = 3,
    ACTIONS(4522), 1,
      anon_sym_const,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93892] = 3,
    ACTIONS(1402), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93905] = 3,
    ACTIONS(4524), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93918] = 3,
    ACTIONS(3114), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93931] = 3,
    ACTIONS(4526), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93944] = 3,
    ACTIONS(4528), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93957] = 3,
    ACTIONS(4530), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93970] = 3,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93983] = 3,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93996] = 3,
    ACTIONS(4536), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94009] = 3,
    ACTIONS(4538), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94022] = 3,
    ACTIONS(4540), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94035] = 3,
    ACTIONS(3004), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94048] = 3,
    ACTIONS(2141), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94061] = 3,
    ACTIONS(3405), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94074] = 3,
    ACTIONS(4542), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94087] = 3,
    ACTIONS(4544), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94100] = 3,
    ACTIONS(4546), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94113] = 3,
    ACTIONS(4548), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94126] = 3,
    ACTIONS(560), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94139] = 3,
    ACTIONS(4550), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94152] = 3,
    ACTIONS(4552), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94165] = 3,
    ACTIONS(4554), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94178] = 3,
    ACTIONS(4556), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94191] = 3,
    ACTIONS(4558), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94204] = 3,
    ACTIONS(4560), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94217] = 3,
    ACTIONS(3012), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94230] = 3,
    ACTIONS(4562), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94243] = 3,
    ACTIONS(4564), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94256] = 3,
    ACTIONS(3409), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94269] = 3,
    ACTIONS(4566), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94282] = 3,
    ACTIONS(4568), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94295] = 3,
    ACTIONS(2996), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94308] = 3,
    ACTIONS(4570), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94321] = 3,
    ACTIONS(4572), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94334] = 3,
    ACTIONS(4574), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94347] = 3,
    ACTIONS(4576), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94360] = 3,
    ACTIONS(4578), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94373] = 3,
    ACTIONS(574), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94386] = 3,
    ACTIONS(1422), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94399] = 3,
    ACTIONS(4580), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94412] = 3,
    ACTIONS(3413), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94425] = 3,
    ACTIONS(4582), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94438] = 3,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94451] = 3,
    ACTIONS(4586), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94464] = 3,
    ACTIONS(4588), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94477] = 3,
    ACTIONS(4590), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94490] = 3,
    ACTIONS(4592), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94503] = 3,
    ACTIONS(4594), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94516] = 3,
    ACTIONS(4596), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94529] = 3,
    ACTIONS(4598), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94542] = 3,
    ACTIONS(1422), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94555] = 3,
    ACTIONS(4600), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94568] = 3,
    ACTIONS(3417), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94581] = 3,
    ACTIONS(4602), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94594] = 3,
    ACTIONS(4604), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94607] = 3,
    ACTIONS(4606), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94620] = 3,
    ACTIONS(4608), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94633] = 3,
    ACTIONS(4610), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94646] = 3,
    ACTIONS(4612), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94659] = 3,
    ACTIONS(4614), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94672] = 3,
    ACTIONS(4616), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94685] = 3,
    ACTIONS(3313), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94698] = 3,
    ACTIONS(1424), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94711] = 3,
    ACTIONS(3102), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94724] = 3,
    ACTIONS(3421), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94737] = 3,
    ACTIONS(4618), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94750] = 3,
    ACTIONS(4620), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94763] = 3,
    ACTIONS(4622), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94776] = 3,
    ACTIONS(4624), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94789] = 3,
    ACTIONS(4626), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94802] = 3,
    ACTIONS(4628), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94815] = 3,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94828] = 3,
    ACTIONS(4632), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94841] = 3,
    ACTIONS(1418), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94854] = 3,
    ACTIONS(4634), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94867] = 3,
    ACTIONS(3425), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94880] = 3,
    ACTIONS(4636), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94893] = 3,
    ACTIONS(4638), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94906] = 3,
    ACTIONS(4640), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94919] = 3,
    ACTIONS(1418), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94932] = 3,
    ACTIONS(4642), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94945] = 3,
    ACTIONS(4644), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94958] = 3,
    ACTIONS(4646), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94971] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4648), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [94984] = 3,
    ACTIONS(4650), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94997] = 3,
    ACTIONS(4652), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95010] = 3,
    ACTIONS(3476), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95023] = 3,
    ACTIONS(4654), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95036] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4656), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [95049] = 3,
    ACTIONS(4658), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95062] = 3,
    ACTIONS(1440), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95075] = 3,
    ACTIONS(4660), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95088] = 3,
    ACTIONS(4662), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95101] = 3,
    ACTIONS(4664), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95114] = 3,
    ACTIONS(2426), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95127] = 3,
    ACTIONS(3104), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95140] = 3,
    ACTIONS(4666), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95153] = 3,
    ACTIONS(3437), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95166] = 3,
    ACTIONS(4668), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95179] = 3,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95192] = 3,
    ACTIONS(4670), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95205] = 3,
    ACTIONS(4672), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95218] = 3,
    ACTIONS(4674), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95231] = 3,
    ACTIONS(4676), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95244] = 3,
    ACTIONS(4678), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95257] = 3,
    ACTIONS(1444), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95270] = 3,
    ACTIONS(582), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95283] = 3,
    ACTIONS(490), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95296] = 3,
    ACTIONS(3441), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95309] = 3,
    ACTIONS(4680), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95322] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4682), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [95335] = 3,
    ACTIONS(4684), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95348] = 3,
    ACTIONS(3064), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95361] = 3,
    ACTIONS(4686), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95374] = 3,
    ACTIONS(4688), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95387] = 3,
    ACTIONS(4690), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95400] = 3,
    ACTIONS(4692), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95413] = 3,
    ACTIONS(4694), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95426] = 3,
    ACTIONS(584), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95439] = 3,
    ACTIONS(4696), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95452] = 3,
    ACTIONS(4698), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95465] = 3,
    ACTIONS(4700), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95478] = 3,
    ACTIONS(4702), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95491] = 3,
    ACTIONS(4704), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95504] = 3,
    ACTIONS(3078), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95517] = 3,
    ACTIONS(562), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95530] = 3,
    ACTIONS(3118), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95543] = 3,
    ACTIONS(894), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95556] = 3,
    ACTIONS(4706), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95569] = 3,
    ACTIONS(4708), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95582] = 3,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95595] = 3,
    ACTIONS(4712), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95608] = 3,
    ACTIONS(4714), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95621] = 3,
    ACTIONS(4716), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95634] = 3,
    ACTIONS(4718), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95647] = 3,
    ACTIONS(4720), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95660] = 3,
    ACTIONS(4722), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95673] = 3,
    ACTIONS(4724), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95686] = 3,
    ACTIONS(4726), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95699] = 3,
    ACTIONS(3120), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95712] = 3,
    ACTIONS(4728), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95725] = 3,
    ACTIONS(2111), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95738] = 3,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95751] = 3,
    ACTIONS(894), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95764] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4732), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [95777] = 3,
    ACTIONS(4734), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95790] = 3,
    ACTIONS(4736), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95803] = 3,
    ACTIONS(4738), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95816] = 3,
    ACTIONS(4740), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95829] = 3,
    ACTIONS(1506), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95842] = 3,
    ACTIONS(4742), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95855] = 3,
    ACTIONS(902), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95868] = 3,
    ACTIONS(4744), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95881] = 3,
    ACTIONS(496), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95894] = 3,
    ACTIONS(902), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95907] = 3,
    ACTIONS(498), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95920] = 3,
    ACTIONS(4746), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95933] = 3,
    ACTIONS(4748), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95946] = 3,
    ACTIONS(3006), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95959] = 3,
    ACTIONS(4750), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95972] = 3,
    ACTIONS(2133), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95985] = 3,
    ACTIONS(4752), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95998] = 3,
    ACTIONS(4754), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96011] = 3,
    ACTIONS(4756), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96024] = 3,
    ACTIONS(2582), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96037] = 3,
    ACTIONS(4758), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96050] = 3,
    ACTIONS(4760), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96063] = 3,
    ACTIONS(4762), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96076] = 3,
    ACTIONS(4764), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96089] = 3,
    ACTIONS(4766), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96102] = 3,
    ACTIONS(4768), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96115] = 3,
    ACTIONS(4770), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96128] = 3,
    ACTIONS(4772), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96141] = 3,
    ACTIONS(4774), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96154] = 3,
    ACTIONS(4776), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96167] = 3,
    ACTIONS(4778), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96180] = 3,
    ACTIONS(4780), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96193] = 3,
    ACTIONS(4782), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96206] = 3,
    ACTIONS(4784), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96219] = 3,
    ACTIONS(4786), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96232] = 3,
    ACTIONS(1420), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96245] = 3,
    ACTIONS(4788), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96258] = 3,
    ACTIONS(4790), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96271] = 3,
    ACTIONS(2500), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96284] = 3,
    ACTIONS(4792), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96297] = 3,
    ACTIONS(4794), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96310] = 3,
    ACTIONS(4796), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96323] = 3,
    ACTIONS(4798), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96336] = 3,
    ACTIONS(4800), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96349] = 3,
    ACTIONS(4802), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96362] = 3,
    ACTIONS(4804), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96375] = 3,
    ACTIONS(4806), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96388] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4808), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [96401] = 3,
    ACTIONS(906), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96414] = 3,
    ACTIONS(4810), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96427] = 3,
    ACTIONS(4812), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96440] = 3,
    ACTIONS(1440), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96453] = 3,
    ACTIONS(4814), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96466] = 3,
    ACTIONS(534), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96479] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4816), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [96492] = 3,
    ACTIONS(4818), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96505] = 3,
    ACTIONS(4820), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96518] = 3,
    ACTIONS(4822), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96531] = 3,
    ACTIONS(4824), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96544] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4826), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [96557] = 3,
    ACTIONS(4828), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96570] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4830), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [96583] = 3,
    ACTIONS(4832), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96596] = 3,
    ACTIONS(4834), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96609] = 3,
    ACTIONS(4836), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96622] = 3,
    ACTIONS(2352), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96635] = 3,
    ACTIONS(3014), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96648] = 3,
    ACTIONS(4838), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96661] = 3,
    ACTIONS(4840), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96674] = 3,
    ACTIONS(4842), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96687] = 3,
    ACTIONS(4844), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96700] = 3,
    ACTIONS(4846), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96713] = 3,
    ACTIONS(536), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96726] = 3,
    ACTIONS(4848), 1,
      aux_sym_pragma_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96739] = 3,
    ACTIONS(2129), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96752] = 3,
    ACTIONS(4850), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96765] = 3,
    ACTIONS(4852), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96778] = 3,
    ACTIONS(3474), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96791] = 3,
    ACTIONS(4854), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [96804] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4856), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(824)] = 0,
  [SMALL_STATE(825)] = 83,
  [SMALL_STATE(826)] = 160,
  [SMALL_STATE(827)] = 237,
  [SMALL_STATE(828)] = 320,
  [SMALL_STATE(829)] = 400,
  [SMALL_STATE(830)] = 480,
  [SMALL_STATE(831)] = 554,
  [SMALL_STATE(832)] = 649,
  [SMALL_STATE(833)] = 724,
  [SMALL_STATE(834)] = 795,
  [SMALL_STATE(835)] = 866,
  [SMALL_STATE(836)] = 965,
  [SMALL_STATE(837)] = 1036,
  [SMALL_STATE(838)] = 1135,
  [SMALL_STATE(839)] = 1232,
  [SMALL_STATE(840)] = 1327,
  [SMALL_STATE(841)] = 1416,
  [SMALL_STATE(842)] = 1497,
  [SMALL_STATE(843)] = 1578,
  [SMALL_STATE(844)] = 1649,
  [SMALL_STATE(845)] = 1738,
  [SMALL_STATE(846)] = 1813,
  [SMALL_STATE(847)] = 1894,
  [SMALL_STATE(848)] = 1975,
  [SMALL_STATE(849)] = 2066,
  [SMALL_STATE(850)] = 2164,
  [SMALL_STATE(851)] = 2242,
  [SMALL_STATE(852)] = 2320,
  [SMALL_STATE(853)] = 2392,
  [SMALL_STATE(854)] = 2469,
  [SMALL_STATE(855)] = 2556,
  [SMALL_STATE(856)] = 2643,
  [SMALL_STATE(857)] = 2732,
  [SMALL_STATE(858)] = 2811,
  [SMALL_STATE(859)] = 2882,
  [SMALL_STATE(860)] = 2961,
  [SMALL_STATE(861)] = 3058,
  [SMALL_STATE(862)] = 3153,
  [SMALL_STATE(863)] = 3230,
  [SMALL_STATE(864)] = 3327,
  [SMALL_STATE(865)] = 3420,
  [SMALL_STATE(866)] = 3513,
  [SMALL_STATE(867)] = 3592,
  [SMALL_STATE(868)] = 3671,
  [SMALL_STATE(869)] = 3739,
  [SMALL_STATE(870)] = 3815,
  [SMALL_STATE(871)] = 3883,
  [SMALL_STATE(872)] = 3978,
  [SMALL_STATE(873)] = 4073,
  [SMALL_STATE(874)] = 4199,
  [SMALL_STATE(875)] = 4319,
  [SMALL_STATE(876)] = 4445,
  [SMALL_STATE(877)] = 4566,
  [SMALL_STATE(878)] = 4683,
  [SMALL_STATE(879)] = 4803,
  [SMALL_STATE(880)] = 4920,
  [SMALL_STATE(881)] = 5037,
  [SMALL_STATE(882)] = 5154,
  [SMALL_STATE(883)] = 5271,
  [SMALL_STATE(884)] = 5388,
  [SMALL_STATE(885)] = 5505,
  [SMALL_STATE(886)] = 5622,
  [SMALL_STATE(887)] = 5739,
  [SMALL_STATE(888)] = 5856,
  [SMALL_STATE(889)] = 5973,
  [SMALL_STATE(890)] = 6090,
  [SMALL_STATE(891)] = 6207,
  [SMALL_STATE(892)] = 6324,
  [SMALL_STATE(893)] = 6441,
  [SMALL_STATE(894)] = 6558,
  [SMALL_STATE(895)] = 6672,
  [SMALL_STATE(896)] = 6786,
  [SMALL_STATE(897)] = 6900,
  [SMALL_STATE(898)] = 7014,
  [SMALL_STATE(899)] = 7128,
  [SMALL_STATE(900)] = 7242,
  [SMALL_STATE(901)] = 7356,
  [SMALL_STATE(902)] = 7470,
  [SMALL_STATE(903)] = 7584,
  [SMALL_STATE(904)] = 7698,
  [SMALL_STATE(905)] = 7812,
  [SMALL_STATE(906)] = 7926,
  [SMALL_STATE(907)] = 8040,
  [SMALL_STATE(908)] = 8154,
  [SMALL_STATE(909)] = 8268,
  [SMALL_STATE(910)] = 8382,
  [SMALL_STATE(911)] = 8496,
  [SMALL_STATE(912)] = 8610,
  [SMALL_STATE(913)] = 8724,
  [SMALL_STATE(914)] = 8838,
  [SMALL_STATE(915)] = 8952,
  [SMALL_STATE(916)] = 9066,
  [SMALL_STATE(917)] = 9180,
  [SMALL_STATE(918)] = 9294,
  [SMALL_STATE(919)] = 9408,
  [SMALL_STATE(920)] = 9522,
  [SMALL_STATE(921)] = 9636,
  [SMALL_STATE(922)] = 9737,
  [SMALL_STATE(923)] = 9838,
  [SMALL_STATE(924)] = 9895,
  [SMALL_STATE(925)] = 10006,
  [SMALL_STATE(926)] = 10117,
  [SMALL_STATE(927)] = 10228,
  [SMALL_STATE(928)] = 10329,
  [SMALL_STATE(929)] = 10440,
  [SMALL_STATE(930)] = 10541,
  [SMALL_STATE(931)] = 10652,
  [SMALL_STATE(932)] = 10753,
  [SMALL_STATE(933)] = 10864,
  [SMALL_STATE(934)] = 10972,
  [SMALL_STATE(935)] = 11080,
  [SMALL_STATE(936)] = 11188,
  [SMALL_STATE(937)] = 11296,
  [SMALL_STATE(938)] = 11404,
  [SMALL_STATE(939)] = 11460,
  [SMALL_STATE(940)] = 11568,
  [SMALL_STATE(941)] = 11676,
  [SMALL_STATE(942)] = 11732,
  [SMALL_STATE(943)] = 11840,
  [SMALL_STATE(944)] = 11948,
  [SMALL_STATE(945)] = 12056,
  [SMALL_STATE(946)] = 12164,
  [SMALL_STATE(947)] = 12220,
  [SMALL_STATE(948)] = 12328,
  [SMALL_STATE(949)] = 12436,
  [SMALL_STATE(950)] = 12544,
  [SMALL_STATE(951)] = 12652,
  [SMALL_STATE(952)] = 12760,
  [SMALL_STATE(953)] = 12868,
  [SMALL_STATE(954)] = 12976,
  [SMALL_STATE(955)] = 13084,
  [SMALL_STATE(956)] = 13192,
  [SMALL_STATE(957)] = 13300,
  [SMALL_STATE(958)] = 13408,
  [SMALL_STATE(959)] = 13516,
  [SMALL_STATE(960)] = 13624,
  [SMALL_STATE(961)] = 13732,
  [SMALL_STATE(962)] = 13840,
  [SMALL_STATE(963)] = 13948,
  [SMALL_STATE(964)] = 14056,
  [SMALL_STATE(965)] = 14164,
  [SMALL_STATE(966)] = 14272,
  [SMALL_STATE(967)] = 14380,
  [SMALL_STATE(968)] = 14488,
  [SMALL_STATE(969)] = 14596,
  [SMALL_STATE(970)] = 14704,
  [SMALL_STATE(971)] = 14812,
  [SMALL_STATE(972)] = 14920,
  [SMALL_STATE(973)] = 15028,
  [SMALL_STATE(974)] = 15136,
  [SMALL_STATE(975)] = 15244,
  [SMALL_STATE(976)] = 15352,
  [SMALL_STATE(977)] = 15460,
  [SMALL_STATE(978)] = 15568,
  [SMALL_STATE(979)] = 15676,
  [SMALL_STATE(980)] = 15784,
  [SMALL_STATE(981)] = 15892,
  [SMALL_STATE(982)] = 16000,
  [SMALL_STATE(983)] = 16108,
  [SMALL_STATE(984)] = 16216,
  [SMALL_STATE(985)] = 16324,
  [SMALL_STATE(986)] = 16432,
  [SMALL_STATE(987)] = 16540,
  [SMALL_STATE(988)] = 16648,
  [SMALL_STATE(989)] = 16756,
  [SMALL_STATE(990)] = 16864,
  [SMALL_STATE(991)] = 16972,
  [SMALL_STATE(992)] = 17080,
  [SMALL_STATE(993)] = 17188,
  [SMALL_STATE(994)] = 17296,
  [SMALL_STATE(995)] = 17404,
  [SMALL_STATE(996)] = 17512,
  [SMALL_STATE(997)] = 17620,
  [SMALL_STATE(998)] = 17728,
  [SMALL_STATE(999)] = 17836,
  [SMALL_STATE(1000)] = 17944,
  [SMALL_STATE(1001)] = 18052,
  [SMALL_STATE(1002)] = 18160,
  [SMALL_STATE(1003)] = 18268,
  [SMALL_STATE(1004)] = 18376,
  [SMALL_STATE(1005)] = 18484,
  [SMALL_STATE(1006)] = 18592,
  [SMALL_STATE(1007)] = 18700,
  [SMALL_STATE(1008)] = 18808,
  [SMALL_STATE(1009)] = 18916,
  [SMALL_STATE(1010)] = 19024,
  [SMALL_STATE(1011)] = 19132,
  [SMALL_STATE(1012)] = 19240,
  [SMALL_STATE(1013)] = 19348,
  [SMALL_STATE(1014)] = 19456,
  [SMALL_STATE(1015)] = 19564,
  [SMALL_STATE(1016)] = 19672,
  [SMALL_STATE(1017)] = 19780,
  [SMALL_STATE(1018)] = 19888,
  [SMALL_STATE(1019)] = 19996,
  [SMALL_STATE(1020)] = 20104,
  [SMALL_STATE(1021)] = 20212,
  [SMALL_STATE(1022)] = 20320,
  [SMALL_STATE(1023)] = 20428,
  [SMALL_STATE(1024)] = 20536,
  [SMALL_STATE(1025)] = 20644,
  [SMALL_STATE(1026)] = 20752,
  [SMALL_STATE(1027)] = 20860,
  [SMALL_STATE(1028)] = 20968,
  [SMALL_STATE(1029)] = 21076,
  [SMALL_STATE(1030)] = 21184,
  [SMALL_STATE(1031)] = 21292,
  [SMALL_STATE(1032)] = 21400,
  [SMALL_STATE(1033)] = 21508,
  [SMALL_STATE(1034)] = 21616,
  [SMALL_STATE(1035)] = 21724,
  [SMALL_STATE(1036)] = 21832,
  [SMALL_STATE(1037)] = 21940,
  [SMALL_STATE(1038)] = 22048,
  [SMALL_STATE(1039)] = 22156,
  [SMALL_STATE(1040)] = 22264,
  [SMALL_STATE(1041)] = 22372,
  [SMALL_STATE(1042)] = 22480,
  [SMALL_STATE(1043)] = 22588,
  [SMALL_STATE(1044)] = 22696,
  [SMALL_STATE(1045)] = 22804,
  [SMALL_STATE(1046)] = 22912,
  [SMALL_STATE(1047)] = 23020,
  [SMALL_STATE(1048)] = 23128,
  [SMALL_STATE(1049)] = 23236,
  [SMALL_STATE(1050)] = 23344,
  [SMALL_STATE(1051)] = 23452,
  [SMALL_STATE(1052)] = 23560,
  [SMALL_STATE(1053)] = 23668,
  [SMALL_STATE(1054)] = 23776,
  [SMALL_STATE(1055)] = 23884,
  [SMALL_STATE(1056)] = 23992,
  [SMALL_STATE(1057)] = 24100,
  [SMALL_STATE(1058)] = 24208,
  [SMALL_STATE(1059)] = 24316,
  [SMALL_STATE(1060)] = 24424,
  [SMALL_STATE(1061)] = 24532,
  [SMALL_STATE(1062)] = 24640,
  [SMALL_STATE(1063)] = 24748,
  [SMALL_STATE(1064)] = 24856,
  [SMALL_STATE(1065)] = 24964,
  [SMALL_STATE(1066)] = 25072,
  [SMALL_STATE(1067)] = 25180,
  [SMALL_STATE(1068)] = 25288,
  [SMALL_STATE(1069)] = 25396,
  [SMALL_STATE(1070)] = 25504,
  [SMALL_STATE(1071)] = 25612,
  [SMALL_STATE(1072)] = 25720,
  [SMALL_STATE(1073)] = 25828,
  [SMALL_STATE(1074)] = 25936,
  [SMALL_STATE(1075)] = 26044,
  [SMALL_STATE(1076)] = 26152,
  [SMALL_STATE(1077)] = 26260,
  [SMALL_STATE(1078)] = 26368,
  [SMALL_STATE(1079)] = 26476,
  [SMALL_STATE(1080)] = 26584,
  [SMALL_STATE(1081)] = 26692,
  [SMALL_STATE(1082)] = 26800,
  [SMALL_STATE(1083)] = 26908,
  [SMALL_STATE(1084)] = 27016,
  [SMALL_STATE(1085)] = 27124,
  [SMALL_STATE(1086)] = 27232,
  [SMALL_STATE(1087)] = 27340,
  [SMALL_STATE(1088)] = 27448,
  [SMALL_STATE(1089)] = 27556,
  [SMALL_STATE(1090)] = 27664,
  [SMALL_STATE(1091)] = 27772,
  [SMALL_STATE(1092)] = 27880,
  [SMALL_STATE(1093)] = 27988,
  [SMALL_STATE(1094)] = 28096,
  [SMALL_STATE(1095)] = 28204,
  [SMALL_STATE(1096)] = 28312,
  [SMALL_STATE(1097)] = 28420,
  [SMALL_STATE(1098)] = 28528,
  [SMALL_STATE(1099)] = 28636,
  [SMALL_STATE(1100)] = 28744,
  [SMALL_STATE(1101)] = 28852,
  [SMALL_STATE(1102)] = 28916,
  [SMALL_STATE(1103)] = 29024,
  [SMALL_STATE(1104)] = 29132,
  [SMALL_STATE(1105)] = 29240,
  [SMALL_STATE(1106)] = 29348,
  [SMALL_STATE(1107)] = 29456,
  [SMALL_STATE(1108)] = 29564,
  [SMALL_STATE(1109)] = 29672,
  [SMALL_STATE(1110)] = 29780,
  [SMALL_STATE(1111)] = 29888,
  [SMALL_STATE(1112)] = 29996,
  [SMALL_STATE(1113)] = 30104,
  [SMALL_STATE(1114)] = 30212,
  [SMALL_STATE(1115)] = 30320,
  [SMALL_STATE(1116)] = 30428,
  [SMALL_STATE(1117)] = 30536,
  [SMALL_STATE(1118)] = 30644,
  [SMALL_STATE(1119)] = 30752,
  [SMALL_STATE(1120)] = 30860,
  [SMALL_STATE(1121)] = 30968,
  [SMALL_STATE(1122)] = 31076,
  [SMALL_STATE(1123)] = 31184,
  [SMALL_STATE(1124)] = 31292,
  [SMALL_STATE(1125)] = 31400,
  [SMALL_STATE(1126)] = 31508,
  [SMALL_STATE(1127)] = 31616,
  [SMALL_STATE(1128)] = 31724,
  [SMALL_STATE(1129)] = 31832,
  [SMALL_STATE(1130)] = 31940,
  [SMALL_STATE(1131)] = 32048,
  [SMALL_STATE(1132)] = 32156,
  [SMALL_STATE(1133)] = 32264,
  [SMALL_STATE(1134)] = 32372,
  [SMALL_STATE(1135)] = 32480,
  [SMALL_STATE(1136)] = 32588,
  [SMALL_STATE(1137)] = 32696,
  [SMALL_STATE(1138)] = 32804,
  [SMALL_STATE(1139)] = 32912,
  [SMALL_STATE(1140)] = 33020,
  [SMALL_STATE(1141)] = 33128,
  [SMALL_STATE(1142)] = 33236,
  [SMALL_STATE(1143)] = 33344,
  [SMALL_STATE(1144)] = 33452,
  [SMALL_STATE(1145)] = 33560,
  [SMALL_STATE(1146)] = 33668,
  [SMALL_STATE(1147)] = 33776,
  [SMALL_STATE(1148)] = 33884,
  [SMALL_STATE(1149)] = 33992,
  [SMALL_STATE(1150)] = 34100,
  [SMALL_STATE(1151)] = 34208,
  [SMALL_STATE(1152)] = 34316,
  [SMALL_STATE(1153)] = 34424,
  [SMALL_STATE(1154)] = 34532,
  [SMALL_STATE(1155)] = 34640,
  [SMALL_STATE(1156)] = 34748,
  [SMALL_STATE(1157)] = 34856,
  [SMALL_STATE(1158)] = 34964,
  [SMALL_STATE(1159)] = 35072,
  [SMALL_STATE(1160)] = 35180,
  [SMALL_STATE(1161)] = 35288,
  [SMALL_STATE(1162)] = 35396,
  [SMALL_STATE(1163)] = 35504,
  [SMALL_STATE(1164)] = 35612,
  [SMALL_STATE(1165)] = 35720,
  [SMALL_STATE(1166)] = 35828,
  [SMALL_STATE(1167)] = 35936,
  [SMALL_STATE(1168)] = 36044,
  [SMALL_STATE(1169)] = 36152,
  [SMALL_STATE(1170)] = 36260,
  [SMALL_STATE(1171)] = 36368,
  [SMALL_STATE(1172)] = 36476,
  [SMALL_STATE(1173)] = 36584,
  [SMALL_STATE(1174)] = 36692,
  [SMALL_STATE(1175)] = 36800,
  [SMALL_STATE(1176)] = 36908,
  [SMALL_STATE(1177)] = 37016,
  [SMALL_STATE(1178)] = 37124,
  [SMALL_STATE(1179)] = 37232,
  [SMALL_STATE(1180)] = 37340,
  [SMALL_STATE(1181)] = 37448,
  [SMALL_STATE(1182)] = 37556,
  [SMALL_STATE(1183)] = 37664,
  [SMALL_STATE(1184)] = 37772,
  [SMALL_STATE(1185)] = 37880,
  [SMALL_STATE(1186)] = 37988,
  [SMALL_STATE(1187)] = 38096,
  [SMALL_STATE(1188)] = 38204,
  [SMALL_STATE(1189)] = 38312,
  [SMALL_STATE(1190)] = 38420,
  [SMALL_STATE(1191)] = 38528,
  [SMALL_STATE(1192)] = 38636,
  [SMALL_STATE(1193)] = 38744,
  [SMALL_STATE(1194)] = 38852,
  [SMALL_STATE(1195)] = 38960,
  [SMALL_STATE(1196)] = 39068,
  [SMALL_STATE(1197)] = 39176,
  [SMALL_STATE(1198)] = 39284,
  [SMALL_STATE(1199)] = 39392,
  [SMALL_STATE(1200)] = 39500,
  [SMALL_STATE(1201)] = 39608,
  [SMALL_STATE(1202)] = 39716,
  [SMALL_STATE(1203)] = 39824,
  [SMALL_STATE(1204)] = 39932,
  [SMALL_STATE(1205)] = 40040,
  [SMALL_STATE(1206)] = 40148,
  [SMALL_STATE(1207)] = 40256,
  [SMALL_STATE(1208)] = 40364,
  [SMALL_STATE(1209)] = 40472,
  [SMALL_STATE(1210)] = 40580,
  [SMALL_STATE(1211)] = 40688,
  [SMALL_STATE(1212)] = 40796,
  [SMALL_STATE(1213)] = 40904,
  [SMALL_STATE(1214)] = 41012,
  [SMALL_STATE(1215)] = 41120,
  [SMALL_STATE(1216)] = 41228,
  [SMALL_STATE(1217)] = 41336,
  [SMALL_STATE(1218)] = 41444,
  [SMALL_STATE(1219)] = 41552,
  [SMALL_STATE(1220)] = 41660,
  [SMALL_STATE(1221)] = 41768,
  [SMALL_STATE(1222)] = 41876,
  [SMALL_STATE(1223)] = 41984,
  [SMALL_STATE(1224)] = 42092,
  [SMALL_STATE(1225)] = 42200,
  [SMALL_STATE(1226)] = 42308,
  [SMALL_STATE(1227)] = 42416,
  [SMALL_STATE(1228)] = 42524,
  [SMALL_STATE(1229)] = 42632,
  [SMALL_STATE(1230)] = 42740,
  [SMALL_STATE(1231)] = 42848,
  [SMALL_STATE(1232)] = 42956,
  [SMALL_STATE(1233)] = 43064,
  [SMALL_STATE(1234)] = 43172,
  [SMALL_STATE(1235)] = 43280,
  [SMALL_STATE(1236)] = 43388,
  [SMALL_STATE(1237)] = 43496,
  [SMALL_STATE(1238)] = 43604,
  [SMALL_STATE(1239)] = 43712,
  [SMALL_STATE(1240)] = 43820,
  [SMALL_STATE(1241)] = 43928,
  [SMALL_STATE(1242)] = 44036,
  [SMALL_STATE(1243)] = 44144,
  [SMALL_STATE(1244)] = 44252,
  [SMALL_STATE(1245)] = 44360,
  [SMALL_STATE(1246)] = 44468,
  [SMALL_STATE(1247)] = 44576,
  [SMALL_STATE(1248)] = 44684,
  [SMALL_STATE(1249)] = 44792,
  [SMALL_STATE(1250)] = 44855,
  [SMALL_STATE(1251)] = 44908,
  [SMALL_STATE(1252)] = 44971,
  [SMALL_STATE(1253)] = 45034,
  [SMALL_STATE(1254)] = 45097,
  [SMALL_STATE(1255)] = 45157,
  [SMALL_STATE(1256)] = 45217,
  [SMALL_STATE(1257)] = 45273,
  [SMALL_STATE(1258)] = 45325,
  [SMALL_STATE(1259)] = 45377,
  [SMALL_STATE(1260)] = 45427,
  [SMALL_STATE(1261)] = 45476,
  [SMALL_STATE(1262)] = 45525,
  [SMALL_STATE(1263)] = 45574,
  [SMALL_STATE(1264)] = 45623,
  [SMALL_STATE(1265)] = 45672,
  [SMALL_STATE(1266)] = 45721,
  [SMALL_STATE(1267)] = 45772,
  [SMALL_STATE(1268)] = 45821,
  [SMALL_STATE(1269)] = 45870,
  [SMALL_STATE(1270)] = 45919,
  [SMALL_STATE(1271)] = 45968,
  [SMALL_STATE(1272)] = 46017,
  [SMALL_STATE(1273)] = 46066,
  [SMALL_STATE(1274)] = 46117,
  [SMALL_STATE(1275)] = 46166,
  [SMALL_STATE(1276)] = 46215,
  [SMALL_STATE(1277)] = 46264,
  [SMALL_STATE(1278)] = 46313,
  [SMALL_STATE(1279)] = 46362,
  [SMALL_STATE(1280)] = 46411,
  [SMALL_STATE(1281)] = 46460,
  [SMALL_STATE(1282)] = 46511,
  [SMALL_STATE(1283)] = 46560,
  [SMALL_STATE(1284)] = 46617,
  [SMALL_STATE(1285)] = 46668,
  [SMALL_STATE(1286)] = 46717,
  [SMALL_STATE(1287)] = 46766,
  [SMALL_STATE(1288)] = 46815,
  [SMALL_STATE(1289)] = 46872,
  [SMALL_STATE(1290)] = 46921,
  [SMALL_STATE(1291)] = 46970,
  [SMALL_STATE(1292)] = 47019,
  [SMALL_STATE(1293)] = 47068,
  [SMALL_STATE(1294)] = 47117,
  [SMALL_STATE(1295)] = 47166,
  [SMALL_STATE(1296)] = 47238,
  [SMALL_STATE(1297)] = 47316,
  [SMALL_STATE(1298)] = 47392,
  [SMALL_STATE(1299)] = 47458,
  [SMALL_STATE(1300)] = 47534,
  [SMALL_STATE(1301)] = 47612,
  [SMALL_STATE(1302)] = 47680,
  [SMALL_STATE(1303)] = 47728,
  [SMALL_STATE(1304)] = 47786,
  [SMALL_STATE(1305)] = 47852,
  [SMALL_STATE(1306)] = 47924,
  [SMALL_STATE(1307)] = 47982,
  [SMALL_STATE(1308)] = 48060,
  [SMALL_STATE(1309)] = 48124,
  [SMALL_STATE(1310)] = 48202,
  [SMALL_STATE(1311)] = 48280,
  [SMALL_STATE(1312)] = 48358,
  [SMALL_STATE(1313)] = 48436,
  [SMALL_STATE(1314)] = 48490,
  [SMALL_STATE(1315)] = 48568,
  [SMALL_STATE(1316)] = 48638,
  [SMALL_STATE(1317)] = 48694,
  [SMALL_STATE(1318)] = 48772,
  [SMALL_STATE(1319)] = 48820,
  [SMALL_STATE(1320)] = 48886,
  [SMALL_STATE(1321)] = 48964,
  [SMALL_STATE(1322)] = 49042,
  [SMALL_STATE(1323)] = 49120,
  [SMALL_STATE(1324)] = 49198,
  [SMALL_STATE(1325)] = 49276,
  [SMALL_STATE(1326)] = 49350,
  [SMALL_STATE(1327)] = 49428,
  [SMALL_STATE(1328)] = 49502,
  [SMALL_STATE(1329)] = 49572,
  [SMALL_STATE(1330)] = 49628,
  [SMALL_STATE(1331)] = 49682,
  [SMALL_STATE(1332)] = 49760,
  [SMALL_STATE(1333)] = 49838,
  [SMALL_STATE(1334)] = 49916,
  [SMALL_STATE(1335)] = 49980,
  [SMALL_STATE(1336)] = 50055,
  [SMALL_STATE(1337)] = 50100,
  [SMALL_STATE(1338)] = 50149,
  [SMALL_STATE(1339)] = 50224,
  [SMALL_STATE(1340)] = 50269,
  [SMALL_STATE(1341)] = 50341,
  [SMALL_STATE(1342)] = 50413,
  [SMALL_STATE(1343)] = 50485,
  [SMALL_STATE(1344)] = 50557,
  [SMALL_STATE(1345)] = 50629,
  [SMALL_STATE(1346)] = 50701,
  [SMALL_STATE(1347)] = 50773,
  [SMALL_STATE(1348)] = 50845,
  [SMALL_STATE(1349)] = 50917,
  [SMALL_STATE(1350)] = 50989,
  [SMALL_STATE(1351)] = 51061,
  [SMALL_STATE(1352)] = 51133,
  [SMALL_STATE(1353)] = 51205,
  [SMALL_STATE(1354)] = 51277,
  [SMALL_STATE(1355)] = 51349,
  [SMALL_STATE(1356)] = 51421,
  [SMALL_STATE(1357)] = 51493,
  [SMALL_STATE(1358)] = 51565,
  [SMALL_STATE(1359)] = 51637,
  [SMALL_STATE(1360)] = 51709,
  [SMALL_STATE(1361)] = 51781,
  [SMALL_STATE(1362)] = 51853,
  [SMALL_STATE(1363)] = 51925,
  [SMALL_STATE(1364)] = 51997,
  [SMALL_STATE(1365)] = 52069,
  [SMALL_STATE(1366)] = 52141,
  [SMALL_STATE(1367)] = 52213,
  [SMALL_STATE(1368)] = 52285,
  [SMALL_STATE(1369)] = 52357,
  [SMALL_STATE(1370)] = 52429,
  [SMALL_STATE(1371)] = 52501,
  [SMALL_STATE(1372)] = 52573,
  [SMALL_STATE(1373)] = 52645,
  [SMALL_STATE(1374)] = 52717,
  [SMALL_STATE(1375)] = 52789,
  [SMALL_STATE(1376)] = 52861,
  [SMALL_STATE(1377)] = 52933,
  [SMALL_STATE(1378)] = 53005,
  [SMALL_STATE(1379)] = 53077,
  [SMALL_STATE(1380)] = 53149,
  [SMALL_STATE(1381)] = 53221,
  [SMALL_STATE(1382)] = 53293,
  [SMALL_STATE(1383)] = 53365,
  [SMALL_STATE(1384)] = 53437,
  [SMALL_STATE(1385)] = 53509,
  [SMALL_STATE(1386)] = 53581,
  [SMALL_STATE(1387)] = 53653,
  [SMALL_STATE(1388)] = 53725,
  [SMALL_STATE(1389)] = 53797,
  [SMALL_STATE(1390)] = 53869,
  [SMALL_STATE(1391)] = 53941,
  [SMALL_STATE(1392)] = 54013,
  [SMALL_STATE(1393)] = 54085,
  [SMALL_STATE(1394)] = 54157,
  [SMALL_STATE(1395)] = 54229,
  [SMALL_STATE(1396)] = 54301,
  [SMALL_STATE(1397)] = 54373,
  [SMALL_STATE(1398)] = 54445,
  [SMALL_STATE(1399)] = 54517,
  [SMALL_STATE(1400)] = 54589,
  [SMALL_STATE(1401)] = 54661,
  [SMALL_STATE(1402)] = 54733,
  [SMALL_STATE(1403)] = 54805,
  [SMALL_STATE(1404)] = 54877,
  [SMALL_STATE(1405)] = 54949,
  [SMALL_STATE(1406)] = 55021,
  [SMALL_STATE(1407)] = 55093,
  [SMALL_STATE(1408)] = 55165,
  [SMALL_STATE(1409)] = 55237,
  [SMALL_STATE(1410)] = 55309,
  [SMALL_STATE(1411)] = 55381,
  [SMALL_STATE(1412)] = 55453,
  [SMALL_STATE(1413)] = 55525,
  [SMALL_STATE(1414)] = 55597,
  [SMALL_STATE(1415)] = 55669,
  [SMALL_STATE(1416)] = 55741,
  [SMALL_STATE(1417)] = 55813,
  [SMALL_STATE(1418)] = 55885,
  [SMALL_STATE(1419)] = 55957,
  [SMALL_STATE(1420)] = 56029,
  [SMALL_STATE(1421)] = 56101,
  [SMALL_STATE(1422)] = 56173,
  [SMALL_STATE(1423)] = 56245,
  [SMALL_STATE(1424)] = 56317,
  [SMALL_STATE(1425)] = 56389,
  [SMALL_STATE(1426)] = 56461,
  [SMALL_STATE(1427)] = 56533,
  [SMALL_STATE(1428)] = 56581,
  [SMALL_STATE(1429)] = 56653,
  [SMALL_STATE(1430)] = 56725,
  [SMALL_STATE(1431)] = 56797,
  [SMALL_STATE(1432)] = 56869,
  [SMALL_STATE(1433)] = 56941,
  [SMALL_STATE(1434)] = 57013,
  [SMALL_STATE(1435)] = 57085,
  [SMALL_STATE(1436)] = 57157,
  [SMALL_STATE(1437)] = 57229,
  [SMALL_STATE(1438)] = 57301,
  [SMALL_STATE(1439)] = 57373,
  [SMALL_STATE(1440)] = 57445,
  [SMALL_STATE(1441)] = 57517,
  [SMALL_STATE(1442)] = 57589,
  [SMALL_STATE(1443)] = 57661,
  [SMALL_STATE(1444)] = 57733,
  [SMALL_STATE(1445)] = 57805,
  [SMALL_STATE(1446)] = 57877,
  [SMALL_STATE(1447)] = 57949,
  [SMALL_STATE(1448)] = 58021,
  [SMALL_STATE(1449)] = 58093,
  [SMALL_STATE(1450)] = 58165,
  [SMALL_STATE(1451)] = 58237,
  [SMALL_STATE(1452)] = 58309,
  [SMALL_STATE(1453)] = 58381,
  [SMALL_STATE(1454)] = 58453,
  [SMALL_STATE(1455)] = 58525,
  [SMALL_STATE(1456)] = 58597,
  [SMALL_STATE(1457)] = 58669,
  [SMALL_STATE(1458)] = 58741,
  [SMALL_STATE(1459)] = 58813,
  [SMALL_STATE(1460)] = 58885,
  [SMALL_STATE(1461)] = 58957,
  [SMALL_STATE(1462)] = 59029,
  [SMALL_STATE(1463)] = 59101,
  [SMALL_STATE(1464)] = 59173,
  [SMALL_STATE(1465)] = 59245,
  [SMALL_STATE(1466)] = 59313,
  [SMALL_STATE(1467)] = 59367,
  [SMALL_STATE(1468)] = 59429,
  [SMALL_STATE(1469)] = 59493,
  [SMALL_STATE(1470)] = 59565,
  [SMALL_STATE(1471)] = 59637,
  [SMALL_STATE(1472)] = 59705,
  [SMALL_STATE(1473)] = 59759,
  [SMALL_STATE(1474)] = 59831,
  [SMALL_STATE(1475)] = 59893,
  [SMALL_STATE(1476)] = 59965,
  [SMALL_STATE(1477)] = 60037,
  [SMALL_STATE(1478)] = 60109,
  [SMALL_STATE(1479)] = 60181,
  [SMALL_STATE(1480)] = 60253,
  [SMALL_STATE(1481)] = 60325,
  [SMALL_STATE(1482)] = 60397,
  [SMALL_STATE(1483)] = 60469,
  [SMALL_STATE(1484)] = 60541,
  [SMALL_STATE(1485)] = 60613,
  [SMALL_STATE(1486)] = 60685,
  [SMALL_STATE(1487)] = 60757,
  [SMALL_STATE(1488)] = 60829,
  [SMALL_STATE(1489)] = 60901,
  [SMALL_STATE(1490)] = 60973,
  [SMALL_STATE(1491)] = 61045,
  [SMALL_STATE(1492)] = 61117,
  [SMALL_STATE(1493)] = 61189,
  [SMALL_STATE(1494)] = 61261,
  [SMALL_STATE(1495)] = 61333,
  [SMALL_STATE(1496)] = 61405,
  [SMALL_STATE(1497)] = 61477,
  [SMALL_STATE(1498)] = 61549,
  [SMALL_STATE(1499)] = 61621,
  [SMALL_STATE(1500)] = 61693,
  [SMALL_STATE(1501)] = 61765,
  [SMALL_STATE(1502)] = 61837,
  [SMALL_STATE(1503)] = 61909,
  [SMALL_STATE(1504)] = 61981,
  [SMALL_STATE(1505)] = 62053,
  [SMALL_STATE(1506)] = 62125,
  [SMALL_STATE(1507)] = 62197,
  [SMALL_STATE(1508)] = 62269,
  [SMALL_STATE(1509)] = 62341,
  [SMALL_STATE(1510)] = 62413,
  [SMALL_STATE(1511)] = 62485,
  [SMALL_STATE(1512)] = 62557,
  [SMALL_STATE(1513)] = 62629,
  [SMALL_STATE(1514)] = 62701,
  [SMALL_STATE(1515)] = 62773,
  [SMALL_STATE(1516)] = 62845,
  [SMALL_STATE(1517)] = 62917,
  [SMALL_STATE(1518)] = 62989,
  [SMALL_STATE(1519)] = 63061,
  [SMALL_STATE(1520)] = 63133,
  [SMALL_STATE(1521)] = 63205,
  [SMALL_STATE(1522)] = 63277,
  [SMALL_STATE(1523)] = 63349,
  [SMALL_STATE(1524)] = 63421,
  [SMALL_STATE(1525)] = 63493,
  [SMALL_STATE(1526)] = 63565,
  [SMALL_STATE(1527)] = 63637,
  [SMALL_STATE(1528)] = 63709,
  [SMALL_STATE(1529)] = 63781,
  [SMALL_STATE(1530)] = 63853,
  [SMALL_STATE(1531)] = 63925,
  [SMALL_STATE(1532)] = 63997,
  [SMALL_STATE(1533)] = 64069,
  [SMALL_STATE(1534)] = 64141,
  [SMALL_STATE(1535)] = 64213,
  [SMALL_STATE(1536)] = 64285,
  [SMALL_STATE(1537)] = 64357,
  [SMALL_STATE(1538)] = 64429,
  [SMALL_STATE(1539)] = 64501,
  [SMALL_STATE(1540)] = 64573,
  [SMALL_STATE(1541)] = 64645,
  [SMALL_STATE(1542)] = 64717,
  [SMALL_STATE(1543)] = 64789,
  [SMALL_STATE(1544)] = 64861,
  [SMALL_STATE(1545)] = 64933,
  [SMALL_STATE(1546)] = 65005,
  [SMALL_STATE(1547)] = 65077,
  [SMALL_STATE(1548)] = 65149,
  [SMALL_STATE(1549)] = 65221,
  [SMALL_STATE(1550)] = 65293,
  [SMALL_STATE(1551)] = 65365,
  [SMALL_STATE(1552)] = 65437,
  [SMALL_STATE(1553)] = 65509,
  [SMALL_STATE(1554)] = 65581,
  [SMALL_STATE(1555)] = 65653,
  [SMALL_STATE(1556)] = 65725,
  [SMALL_STATE(1557)] = 65797,
  [SMALL_STATE(1558)] = 65869,
  [SMALL_STATE(1559)] = 65941,
  [SMALL_STATE(1560)] = 66013,
  [SMALL_STATE(1561)] = 66085,
  [SMALL_STATE(1562)] = 66157,
  [SMALL_STATE(1563)] = 66229,
  [SMALL_STATE(1564)] = 66301,
  [SMALL_STATE(1565)] = 66373,
  [SMALL_STATE(1566)] = 66445,
  [SMALL_STATE(1567)] = 66517,
  [SMALL_STATE(1568)] = 66589,
  [SMALL_STATE(1569)] = 66661,
  [SMALL_STATE(1570)] = 66733,
  [SMALL_STATE(1571)] = 66805,
  [SMALL_STATE(1572)] = 66877,
  [SMALL_STATE(1573)] = 66949,
  [SMALL_STATE(1574)] = 67021,
  [SMALL_STATE(1575)] = 67093,
  [SMALL_STATE(1576)] = 67165,
  [SMALL_STATE(1577)] = 67237,
  [SMALL_STATE(1578)] = 67309,
  [SMALL_STATE(1579)] = 67381,
  [SMALL_STATE(1580)] = 67453,
  [SMALL_STATE(1581)] = 67525,
  [SMALL_STATE(1582)] = 67597,
  [SMALL_STATE(1583)] = 67669,
  [SMALL_STATE(1584)] = 67741,
  [SMALL_STATE(1585)] = 67813,
  [SMALL_STATE(1586)] = 67885,
  [SMALL_STATE(1587)] = 67957,
  [SMALL_STATE(1588)] = 68029,
  [SMALL_STATE(1589)] = 68100,
  [SMALL_STATE(1590)] = 68171,
  [SMALL_STATE(1591)] = 68220,
  [SMALL_STATE(1592)] = 68291,
  [SMALL_STATE(1593)] = 68340,
  [SMALL_STATE(1594)] = 68391,
  [SMALL_STATE(1595)] = 68462,
  [SMALL_STATE(1596)] = 68533,
  [SMALL_STATE(1597)] = 68604,
  [SMALL_STATE(1598)] = 68668,
  [SMALL_STATE(1599)] = 68732,
  [SMALL_STATE(1600)] = 68796,
  [SMALL_STATE(1601)] = 68860,
  [SMALL_STATE(1602)] = 68924,
  [SMALL_STATE(1603)] = 68988,
  [SMALL_STATE(1604)] = 69052,
  [SMALL_STATE(1605)] = 69098,
  [SMALL_STATE(1606)] = 69162,
  [SMALL_STATE(1607)] = 69226,
  [SMALL_STATE(1608)] = 69290,
  [SMALL_STATE(1609)] = 69354,
  [SMALL_STATE(1610)] = 69418,
  [SMALL_STATE(1611)] = 69482,
  [SMALL_STATE(1612)] = 69546,
  [SMALL_STATE(1613)] = 69610,
  [SMALL_STATE(1614)] = 69674,
  [SMALL_STATE(1615)] = 69738,
  [SMALL_STATE(1616)] = 69802,
  [SMALL_STATE(1617)] = 69866,
  [SMALL_STATE(1618)] = 69930,
  [SMALL_STATE(1619)] = 69976,
  [SMALL_STATE(1620)] = 70040,
  [SMALL_STATE(1621)] = 70104,
  [SMALL_STATE(1622)] = 70168,
  [SMALL_STATE(1623)] = 70232,
  [SMALL_STATE(1624)] = 70296,
  [SMALL_STATE(1625)] = 70360,
  [SMALL_STATE(1626)] = 70424,
  [SMALL_STATE(1627)] = 70488,
  [SMALL_STATE(1628)] = 70552,
  [SMALL_STATE(1629)] = 70616,
  [SMALL_STATE(1630)] = 70680,
  [SMALL_STATE(1631)] = 70729,
  [SMALL_STATE(1632)] = 70778,
  [SMALL_STATE(1633)] = 70827,
  [SMALL_STATE(1634)] = 70876,
  [SMALL_STATE(1635)] = 70937,
  [SMALL_STATE(1636)] = 70998,
  [SMALL_STATE(1637)] = 71059,
  [SMALL_STATE(1638)] = 71120,
  [SMALL_STATE(1639)] = 71181,
  [SMALL_STATE(1640)] = 71230,
  [SMALL_STATE(1641)] = 71291,
  [SMALL_STATE(1642)] = 71340,
  [SMALL_STATE(1643)] = 71401,
  [SMALL_STATE(1644)] = 71462,
  [SMALL_STATE(1645)] = 71511,
  [SMALL_STATE(1646)] = 71560,
  [SMALL_STATE(1647)] = 71609,
  [SMALL_STATE(1648)] = 71670,
  [SMALL_STATE(1649)] = 71731,
  [SMALL_STATE(1650)] = 71780,
  [SMALL_STATE(1651)] = 71841,
  [SMALL_STATE(1652)] = 71902,
  [SMALL_STATE(1653)] = 71951,
  [SMALL_STATE(1654)] = 72000,
  [SMALL_STATE(1655)] = 72049,
  [SMALL_STATE(1656)] = 72098,
  [SMALL_STATE(1657)] = 72147,
  [SMALL_STATE(1658)] = 72196,
  [SMALL_STATE(1659)] = 72257,
  [SMALL_STATE(1660)] = 72318,
  [SMALL_STATE(1661)] = 72367,
  [SMALL_STATE(1662)] = 72428,
  [SMALL_STATE(1663)] = 72489,
  [SMALL_STATE(1664)] = 72538,
  [SMALL_STATE(1665)] = 72599,
  [SMALL_STATE(1666)] = 72648,
  [SMALL_STATE(1667)] = 72709,
  [SMALL_STATE(1668)] = 72770,
  [SMALL_STATE(1669)] = 72819,
  [SMALL_STATE(1670)] = 72880,
  [SMALL_STATE(1671)] = 72941,
  [SMALL_STATE(1672)] = 73002,
  [SMALL_STATE(1673)] = 73063,
  [SMALL_STATE(1674)] = 73112,
  [SMALL_STATE(1675)] = 73161,
  [SMALL_STATE(1676)] = 73222,
  [SMALL_STATE(1677)] = 73271,
  [SMALL_STATE(1678)] = 73320,
  [SMALL_STATE(1679)] = 73369,
  [SMALL_STATE(1680)] = 73418,
  [SMALL_STATE(1681)] = 73467,
  [SMALL_STATE(1682)] = 73528,
  [SMALL_STATE(1683)] = 73589,
  [SMALL_STATE(1684)] = 73638,
  [SMALL_STATE(1685)] = 73687,
  [SMALL_STATE(1686)] = 73748,
  [SMALL_STATE(1687)] = 73809,
  [SMALL_STATE(1688)] = 73858,
  [SMALL_STATE(1689)] = 73919,
  [SMALL_STATE(1690)] = 73980,
  [SMALL_STATE(1691)] = 74041,
  [SMALL_STATE(1692)] = 74102,
  [SMALL_STATE(1693)] = 74163,
  [SMALL_STATE(1694)] = 74212,
  [SMALL_STATE(1695)] = 74261,
  [SMALL_STATE(1696)] = 74322,
  [SMALL_STATE(1697)] = 74383,
  [SMALL_STATE(1698)] = 74444,
  [SMALL_STATE(1699)] = 74505,
  [SMALL_STATE(1700)] = 74566,
  [SMALL_STATE(1701)] = 74615,
  [SMALL_STATE(1702)] = 74676,
  [SMALL_STATE(1703)] = 74725,
  [SMALL_STATE(1704)] = 74786,
  [SMALL_STATE(1705)] = 74835,
  [SMALL_STATE(1706)] = 74896,
  [SMALL_STATE(1707)] = 74957,
  [SMALL_STATE(1708)] = 75006,
  [SMALL_STATE(1709)] = 75067,
  [SMALL_STATE(1710)] = 75128,
  [SMALL_STATE(1711)] = 75177,
  [SMALL_STATE(1712)] = 75238,
  [SMALL_STATE(1713)] = 75299,
  [SMALL_STATE(1714)] = 75348,
  [SMALL_STATE(1715)] = 75397,
  [SMALL_STATE(1716)] = 75458,
  [SMALL_STATE(1717)] = 75519,
  [SMALL_STATE(1718)] = 75580,
  [SMALL_STATE(1719)] = 75641,
  [SMALL_STATE(1720)] = 75690,
  [SMALL_STATE(1721)] = 75739,
  [SMALL_STATE(1722)] = 75788,
  [SMALL_STATE(1723)] = 75837,
  [SMALL_STATE(1724)] = 75886,
  [SMALL_STATE(1725)] = 75935,
  [SMALL_STATE(1726)] = 75984,
  [SMALL_STATE(1727)] = 76033,
  [SMALL_STATE(1728)] = 76094,
  [SMALL_STATE(1729)] = 76143,
  [SMALL_STATE(1730)] = 76204,
  [SMALL_STATE(1731)] = 76265,
  [SMALL_STATE(1732)] = 76314,
  [SMALL_STATE(1733)] = 76375,
  [SMALL_STATE(1734)] = 76424,
  [SMALL_STATE(1735)] = 76485,
  [SMALL_STATE(1736)] = 76534,
  [SMALL_STATE(1737)] = 76583,
  [SMALL_STATE(1738)] = 76644,
  [SMALL_STATE(1739)] = 76705,
  [SMALL_STATE(1740)] = 76766,
  [SMALL_STATE(1741)] = 76815,
  [SMALL_STATE(1742)] = 76876,
  [SMALL_STATE(1743)] = 76925,
  [SMALL_STATE(1744)] = 76986,
  [SMALL_STATE(1745)] = 77047,
  [SMALL_STATE(1746)] = 77096,
  [SMALL_STATE(1747)] = 77145,
  [SMALL_STATE(1748)] = 77206,
  [SMALL_STATE(1749)] = 77255,
  [SMALL_STATE(1750)] = 77316,
  [SMALL_STATE(1751)] = 77377,
  [SMALL_STATE(1752)] = 77438,
  [SMALL_STATE(1753)] = 77499,
  [SMALL_STATE(1754)] = 77560,
  [SMALL_STATE(1755)] = 77609,
  [SMALL_STATE(1756)] = 77658,
  [SMALL_STATE(1757)] = 77707,
  [SMALL_STATE(1758)] = 77768,
  [SMALL_STATE(1759)] = 77817,
  [SMALL_STATE(1760)] = 77878,
  [SMALL_STATE(1761)] = 77927,
  [SMALL_STATE(1762)] = 77988,
  [SMALL_STATE(1763)] = 78037,
  [SMALL_STATE(1764)] = 78086,
  [SMALL_STATE(1765)] = 78135,
  [SMALL_STATE(1766)] = 78184,
  [SMALL_STATE(1767)] = 78233,
  [SMALL_STATE(1768)] = 78294,
  [SMALL_STATE(1769)] = 78355,
  [SMALL_STATE(1770)] = 78404,
  [SMALL_STATE(1771)] = 78465,
  [SMALL_STATE(1772)] = 78526,
  [SMALL_STATE(1773)] = 78587,
  [SMALL_STATE(1774)] = 78636,
  [SMALL_STATE(1775)] = 78685,
  [SMALL_STATE(1776)] = 78746,
  [SMALL_STATE(1777)] = 78807,
  [SMALL_STATE(1778)] = 78868,
  [SMALL_STATE(1779)] = 78929,
  [SMALL_STATE(1780)] = 78978,
  [SMALL_STATE(1781)] = 79027,
  [SMALL_STATE(1782)] = 79088,
  [SMALL_STATE(1783)] = 79149,
  [SMALL_STATE(1784)] = 79210,
  [SMALL_STATE(1785)] = 79271,
  [SMALL_STATE(1786)] = 79320,
  [SMALL_STATE(1787)] = 79381,
  [SMALL_STATE(1788)] = 79442,
  [SMALL_STATE(1789)] = 79480,
  [SMALL_STATE(1790)] = 79520,
  [SMALL_STATE(1791)] = 79560,
  [SMALL_STATE(1792)] = 79597,
  [SMALL_STATE(1793)] = 79634,
  [SMALL_STATE(1794)] = 79671,
  [SMALL_STATE(1795)] = 79708,
  [SMALL_STATE(1796)] = 79745,
  [SMALL_STATE(1797)] = 79782,
  [SMALL_STATE(1798)] = 79819,
  [SMALL_STATE(1799)] = 79856,
  [SMALL_STATE(1800)] = 79893,
  [SMALL_STATE(1801)] = 79930,
  [SMALL_STATE(1802)] = 79967,
  [SMALL_STATE(1803)] = 80004,
  [SMALL_STATE(1804)] = 80041,
  [SMALL_STATE(1805)] = 80078,
  [SMALL_STATE(1806)] = 80115,
  [SMALL_STATE(1807)] = 80152,
  [SMALL_STATE(1808)] = 80189,
  [SMALL_STATE(1809)] = 80226,
  [SMALL_STATE(1810)] = 80263,
  [SMALL_STATE(1811)] = 80300,
  [SMALL_STATE(1812)] = 80337,
  [SMALL_STATE(1813)] = 80374,
  [SMALL_STATE(1814)] = 80411,
  [SMALL_STATE(1815)] = 80448,
  [SMALL_STATE(1816)] = 80485,
  [SMALL_STATE(1817)] = 80522,
  [SMALL_STATE(1818)] = 80559,
  [SMALL_STATE(1819)] = 80596,
  [SMALL_STATE(1820)] = 80633,
  [SMALL_STATE(1821)] = 80670,
  [SMALL_STATE(1822)] = 80707,
  [SMALL_STATE(1823)] = 80744,
  [SMALL_STATE(1824)] = 80781,
  [SMALL_STATE(1825)] = 80818,
  [SMALL_STATE(1826)] = 80855,
  [SMALL_STATE(1827)] = 80892,
  [SMALL_STATE(1828)] = 80929,
  [SMALL_STATE(1829)] = 80980,
  [SMALL_STATE(1830)] = 81033,
  [SMALL_STATE(1831)] = 81086,
  [SMALL_STATE(1832)] = 81139,
  [SMALL_STATE(1833)] = 81192,
  [SMALL_STATE(1834)] = 81242,
  [SMALL_STATE(1835)] = 81269,
  [SMALL_STATE(1836)] = 81296,
  [SMALL_STATE(1837)] = 81323,
  [SMALL_STATE(1838)] = 81350,
  [SMALL_STATE(1839)] = 81377,
  [SMALL_STATE(1840)] = 81403,
  [SMALL_STATE(1841)] = 81429,
  [SMALL_STATE(1842)] = 81455,
  [SMALL_STATE(1843)] = 81481,
  [SMALL_STATE(1844)] = 81507,
  [SMALL_STATE(1845)] = 81535,
  [SMALL_STATE(1846)] = 81561,
  [SMALL_STATE(1847)] = 81589,
  [SMALL_STATE(1848)] = 81615,
  [SMALL_STATE(1849)] = 81643,
  [SMALL_STATE(1850)] = 81669,
  [SMALL_STATE(1851)] = 81695,
  [SMALL_STATE(1852)] = 81721,
  [SMALL_STATE(1853)] = 81747,
  [SMALL_STATE(1854)] = 81773,
  [SMALL_STATE(1855)] = 81801,
  [SMALL_STATE(1856)] = 81827,
  [SMALL_STATE(1857)] = 81853,
  [SMALL_STATE(1858)] = 81881,
  [SMALL_STATE(1859)] = 81907,
  [SMALL_STATE(1860)] = 81935,
  [SMALL_STATE(1861)] = 81963,
  [SMALL_STATE(1862)] = 81988,
  [SMALL_STATE(1863)] = 82011,
  [SMALL_STATE(1864)] = 82036,
  [SMALL_STATE(1865)] = 82061,
  [SMALL_STATE(1866)] = 82086,
  [SMALL_STATE(1867)] = 82111,
  [SMALL_STATE(1868)] = 82136,
  [SMALL_STATE(1869)] = 82161,
  [SMALL_STATE(1870)] = 82184,
  [SMALL_STATE(1871)] = 82207,
  [SMALL_STATE(1872)] = 82232,
  [SMALL_STATE(1873)] = 82257,
  [SMALL_STATE(1874)] = 82280,
  [SMALL_STATE(1875)] = 82305,
  [SMALL_STATE(1876)] = 82330,
  [SMALL_STATE(1877)] = 82353,
  [SMALL_STATE(1878)] = 82376,
  [SMALL_STATE(1879)] = 82395,
  [SMALL_STATE(1880)] = 82418,
  [SMALL_STATE(1881)] = 82441,
  [SMALL_STATE(1882)] = 82464,
  [SMALL_STATE(1883)] = 82489,
  [SMALL_STATE(1884)] = 82512,
  [SMALL_STATE(1885)] = 82531,
  [SMALL_STATE(1886)] = 82556,
  [SMALL_STATE(1887)] = 82581,
  [SMALL_STATE(1888)] = 82606,
  [SMALL_STATE(1889)] = 82629,
  [SMALL_STATE(1890)] = 82654,
  [SMALL_STATE(1891)] = 82679,
  [SMALL_STATE(1892)] = 82702,
  [SMALL_STATE(1893)] = 82727,
  [SMALL_STATE(1894)] = 82752,
  [SMALL_STATE(1895)] = 82775,
  [SMALL_STATE(1896)] = 82800,
  [SMALL_STATE(1897)] = 82825,
  [SMALL_STATE(1898)] = 82850,
  [SMALL_STATE(1899)] = 82875,
  [SMALL_STATE(1900)] = 82900,
  [SMALL_STATE(1901)] = 82925,
  [SMALL_STATE(1902)] = 82948,
  [SMALL_STATE(1903)] = 82971,
  [SMALL_STATE(1904)] = 82990,
  [SMALL_STATE(1905)] = 83013,
  [SMALL_STATE(1906)] = 83036,
  [SMALL_STATE(1907)] = 83061,
  [SMALL_STATE(1908)] = 83081,
  [SMALL_STATE(1909)] = 83101,
  [SMALL_STATE(1910)] = 83121,
  [SMALL_STATE(1911)] = 83143,
  [SMALL_STATE(1912)] = 83163,
  [SMALL_STATE(1913)] = 83183,
  [SMALL_STATE(1914)] = 83205,
  [SMALL_STATE(1915)] = 83227,
  [SMALL_STATE(1916)] = 83249,
  [SMALL_STATE(1917)] = 83269,
  [SMALL_STATE(1918)] = 83291,
  [SMALL_STATE(1919)] = 83311,
  [SMALL_STATE(1920)] = 83333,
  [SMALL_STATE(1921)] = 83355,
  [SMALL_STATE(1922)] = 83377,
  [SMALL_STATE(1923)] = 83399,
  [SMALL_STATE(1924)] = 83419,
  [SMALL_STATE(1925)] = 83439,
  [SMALL_STATE(1926)] = 83459,
  [SMALL_STATE(1927)] = 83481,
  [SMALL_STATE(1928)] = 83501,
  [SMALL_STATE(1929)] = 83523,
  [SMALL_STATE(1930)] = 83543,
  [SMALL_STATE(1931)] = 83561,
  [SMALL_STATE(1932)] = 83583,
  [SMALL_STATE(1933)] = 83605,
  [SMALL_STATE(1934)] = 83627,
  [SMALL_STATE(1935)] = 83644,
  [SMALL_STATE(1936)] = 83659,
  [SMALL_STATE(1937)] = 83678,
  [SMALL_STATE(1938)] = 83697,
  [SMALL_STATE(1939)] = 83712,
  [SMALL_STATE(1940)] = 83731,
  [SMALL_STATE(1941)] = 83750,
  [SMALL_STATE(1942)] = 83769,
  [SMALL_STATE(1943)] = 83788,
  [SMALL_STATE(1944)] = 83807,
  [SMALL_STATE(1945)] = 83826,
  [SMALL_STATE(1946)] = 83845,
  [SMALL_STATE(1947)] = 83864,
  [SMALL_STATE(1948)] = 83883,
  [SMALL_STATE(1949)] = 83902,
  [SMALL_STATE(1950)] = 83921,
  [SMALL_STATE(1951)] = 83940,
  [SMALL_STATE(1952)] = 83959,
  [SMALL_STATE(1953)] = 83978,
  [SMALL_STATE(1954)] = 83997,
  [SMALL_STATE(1955)] = 84016,
  [SMALL_STATE(1956)] = 84033,
  [SMALL_STATE(1957)] = 84052,
  [SMALL_STATE(1958)] = 84071,
  [SMALL_STATE(1959)] = 84086,
  [SMALL_STATE(1960)] = 84105,
  [SMALL_STATE(1961)] = 84122,
  [SMALL_STATE(1962)] = 84139,
  [SMALL_STATE(1963)] = 84156,
  [SMALL_STATE(1964)] = 84175,
  [SMALL_STATE(1965)] = 84194,
  [SMALL_STATE(1966)] = 84213,
  [SMALL_STATE(1967)] = 84232,
  [SMALL_STATE(1968)] = 84249,
  [SMALL_STATE(1969)] = 84268,
  [SMALL_STATE(1970)] = 84287,
  [SMALL_STATE(1971)] = 84306,
  [SMALL_STATE(1972)] = 84322,
  [SMALL_STATE(1973)] = 84338,
  [SMALL_STATE(1974)] = 84352,
  [SMALL_STATE(1975)] = 84368,
  [SMALL_STATE(1976)] = 84384,
  [SMALL_STATE(1977)] = 84398,
  [SMALL_STATE(1978)] = 84412,
  [SMALL_STATE(1979)] = 84428,
  [SMALL_STATE(1980)] = 84444,
  [SMALL_STATE(1981)] = 84460,
  [SMALL_STATE(1982)] = 84476,
  [SMALL_STATE(1983)] = 84490,
  [SMALL_STATE(1984)] = 84504,
  [SMALL_STATE(1985)] = 84520,
  [SMALL_STATE(1986)] = 84536,
  [SMALL_STATE(1987)] = 84552,
  [SMALL_STATE(1988)] = 84568,
  [SMALL_STATE(1989)] = 84584,
  [SMALL_STATE(1990)] = 84600,
  [SMALL_STATE(1991)] = 84616,
  [SMALL_STATE(1992)] = 84632,
  [SMALL_STATE(1993)] = 84646,
  [SMALL_STATE(1994)] = 84660,
  [SMALL_STATE(1995)] = 84676,
  [SMALL_STATE(1996)] = 84692,
  [SMALL_STATE(1997)] = 84708,
  [SMALL_STATE(1998)] = 84724,
  [SMALL_STATE(1999)] = 84738,
  [SMALL_STATE(2000)] = 84752,
  [SMALL_STATE(2001)] = 84768,
  [SMALL_STATE(2002)] = 84782,
  [SMALL_STATE(2003)] = 84796,
  [SMALL_STATE(2004)] = 84810,
  [SMALL_STATE(2005)] = 84826,
  [SMALL_STATE(2006)] = 84842,
  [SMALL_STATE(2007)] = 84856,
  [SMALL_STATE(2008)] = 84870,
  [SMALL_STATE(2009)] = 84886,
  [SMALL_STATE(2010)] = 84900,
  [SMALL_STATE(2011)] = 84914,
  [SMALL_STATE(2012)] = 84928,
  [SMALL_STATE(2013)] = 84942,
  [SMALL_STATE(2014)] = 84956,
  [SMALL_STATE(2015)] = 84972,
  [SMALL_STATE(2016)] = 84988,
  [SMALL_STATE(2017)] = 85002,
  [SMALL_STATE(2018)] = 85016,
  [SMALL_STATE(2019)] = 85032,
  [SMALL_STATE(2020)] = 85048,
  [SMALL_STATE(2021)] = 85062,
  [SMALL_STATE(2022)] = 85076,
  [SMALL_STATE(2023)] = 85092,
  [SMALL_STATE(2024)] = 85108,
  [SMALL_STATE(2025)] = 85122,
  [SMALL_STATE(2026)] = 85136,
  [SMALL_STATE(2027)] = 85150,
  [SMALL_STATE(2028)] = 85166,
  [SMALL_STATE(2029)] = 85182,
  [SMALL_STATE(2030)] = 85196,
  [SMALL_STATE(2031)] = 85210,
  [SMALL_STATE(2032)] = 85226,
  [SMALL_STATE(2033)] = 85240,
  [SMALL_STATE(2034)] = 85254,
  [SMALL_STATE(2035)] = 85270,
  [SMALL_STATE(2036)] = 85286,
  [SMALL_STATE(2037)] = 85300,
  [SMALL_STATE(2038)] = 85314,
  [SMALL_STATE(2039)] = 85328,
  [SMALL_STATE(2040)] = 85342,
  [SMALL_STATE(2041)] = 85358,
  [SMALL_STATE(2042)] = 85374,
  [SMALL_STATE(2043)] = 85388,
  [SMALL_STATE(2044)] = 85404,
  [SMALL_STATE(2045)] = 85420,
  [SMALL_STATE(2046)] = 85436,
  [SMALL_STATE(2047)] = 85452,
  [SMALL_STATE(2048)] = 85468,
  [SMALL_STATE(2049)] = 85484,
  [SMALL_STATE(2050)] = 85500,
  [SMALL_STATE(2051)] = 85516,
  [SMALL_STATE(2052)] = 85532,
  [SMALL_STATE(2053)] = 85546,
  [SMALL_STATE(2054)] = 85560,
  [SMALL_STATE(2055)] = 85576,
  [SMALL_STATE(2056)] = 85592,
  [SMALL_STATE(2057)] = 85608,
  [SMALL_STATE(2058)] = 85624,
  [SMALL_STATE(2059)] = 85640,
  [SMALL_STATE(2060)] = 85656,
  [SMALL_STATE(2061)] = 85670,
  [SMALL_STATE(2062)] = 85686,
  [SMALL_STATE(2063)] = 85700,
  [SMALL_STATE(2064)] = 85716,
  [SMALL_STATE(2065)] = 85732,
  [SMALL_STATE(2066)] = 85748,
  [SMALL_STATE(2067)] = 85764,
  [SMALL_STATE(2068)] = 85780,
  [SMALL_STATE(2069)] = 85796,
  [SMALL_STATE(2070)] = 85812,
  [SMALL_STATE(2071)] = 85828,
  [SMALL_STATE(2072)] = 85844,
  [SMALL_STATE(2073)] = 85860,
  [SMALL_STATE(2074)] = 85876,
  [SMALL_STATE(2075)] = 85892,
  [SMALL_STATE(2076)] = 85908,
  [SMALL_STATE(2077)] = 85924,
  [SMALL_STATE(2078)] = 85940,
  [SMALL_STATE(2079)] = 85956,
  [SMALL_STATE(2080)] = 85972,
  [SMALL_STATE(2081)] = 85988,
  [SMALL_STATE(2082)] = 86004,
  [SMALL_STATE(2083)] = 86020,
  [SMALL_STATE(2084)] = 86036,
  [SMALL_STATE(2085)] = 86052,
  [SMALL_STATE(2086)] = 86068,
  [SMALL_STATE(2087)] = 86084,
  [SMALL_STATE(2088)] = 86100,
  [SMALL_STATE(2089)] = 86116,
  [SMALL_STATE(2090)] = 86132,
  [SMALL_STATE(2091)] = 86148,
  [SMALL_STATE(2092)] = 86164,
  [SMALL_STATE(2093)] = 86180,
  [SMALL_STATE(2094)] = 86196,
  [SMALL_STATE(2095)] = 86212,
  [SMALL_STATE(2096)] = 86228,
  [SMALL_STATE(2097)] = 86244,
  [SMALL_STATE(2098)] = 86260,
  [SMALL_STATE(2099)] = 86276,
  [SMALL_STATE(2100)] = 86292,
  [SMALL_STATE(2101)] = 86308,
  [SMALL_STATE(2102)] = 86324,
  [SMALL_STATE(2103)] = 86340,
  [SMALL_STATE(2104)] = 86356,
  [SMALL_STATE(2105)] = 86372,
  [SMALL_STATE(2106)] = 86386,
  [SMALL_STATE(2107)] = 86402,
  [SMALL_STATE(2108)] = 86418,
  [SMALL_STATE(2109)] = 86434,
  [SMALL_STATE(2110)] = 86450,
  [SMALL_STATE(2111)] = 86466,
  [SMALL_STATE(2112)] = 86482,
  [SMALL_STATE(2113)] = 86498,
  [SMALL_STATE(2114)] = 86514,
  [SMALL_STATE(2115)] = 86530,
  [SMALL_STATE(2116)] = 86546,
  [SMALL_STATE(2117)] = 86562,
  [SMALL_STATE(2118)] = 86578,
  [SMALL_STATE(2119)] = 86594,
  [SMALL_STATE(2120)] = 86610,
  [SMALL_STATE(2121)] = 86626,
  [SMALL_STATE(2122)] = 86642,
  [SMALL_STATE(2123)] = 86658,
  [SMALL_STATE(2124)] = 86674,
  [SMALL_STATE(2125)] = 86690,
  [SMALL_STATE(2126)] = 86706,
  [SMALL_STATE(2127)] = 86722,
  [SMALL_STATE(2128)] = 86738,
  [SMALL_STATE(2129)] = 86754,
  [SMALL_STATE(2130)] = 86770,
  [SMALL_STATE(2131)] = 86786,
  [SMALL_STATE(2132)] = 86802,
  [SMALL_STATE(2133)] = 86818,
  [SMALL_STATE(2134)] = 86834,
  [SMALL_STATE(2135)] = 86850,
  [SMALL_STATE(2136)] = 86866,
  [SMALL_STATE(2137)] = 86882,
  [SMALL_STATE(2138)] = 86898,
  [SMALL_STATE(2139)] = 86914,
  [SMALL_STATE(2140)] = 86930,
  [SMALL_STATE(2141)] = 86946,
  [SMALL_STATE(2142)] = 86962,
  [SMALL_STATE(2143)] = 86978,
  [SMALL_STATE(2144)] = 86994,
  [SMALL_STATE(2145)] = 87010,
  [SMALL_STATE(2146)] = 87026,
  [SMALL_STATE(2147)] = 87042,
  [SMALL_STATE(2148)] = 87058,
  [SMALL_STATE(2149)] = 87074,
  [SMALL_STATE(2150)] = 87090,
  [SMALL_STATE(2151)] = 87106,
  [SMALL_STATE(2152)] = 87122,
  [SMALL_STATE(2153)] = 87138,
  [SMALL_STATE(2154)] = 87154,
  [SMALL_STATE(2155)] = 87170,
  [SMALL_STATE(2156)] = 87186,
  [SMALL_STATE(2157)] = 87202,
  [SMALL_STATE(2158)] = 87218,
  [SMALL_STATE(2159)] = 87234,
  [SMALL_STATE(2160)] = 87250,
  [SMALL_STATE(2161)] = 87266,
  [SMALL_STATE(2162)] = 87282,
  [SMALL_STATE(2163)] = 87298,
  [SMALL_STATE(2164)] = 87314,
  [SMALL_STATE(2165)] = 87330,
  [SMALL_STATE(2166)] = 87346,
  [SMALL_STATE(2167)] = 87362,
  [SMALL_STATE(2168)] = 87378,
  [SMALL_STATE(2169)] = 87394,
  [SMALL_STATE(2170)] = 87410,
  [SMALL_STATE(2171)] = 87426,
  [SMALL_STATE(2172)] = 87442,
  [SMALL_STATE(2173)] = 87458,
  [SMALL_STATE(2174)] = 87474,
  [SMALL_STATE(2175)] = 87490,
  [SMALL_STATE(2176)] = 87506,
  [SMALL_STATE(2177)] = 87522,
  [SMALL_STATE(2178)] = 87538,
  [SMALL_STATE(2179)] = 87554,
  [SMALL_STATE(2180)] = 87570,
  [SMALL_STATE(2181)] = 87586,
  [SMALL_STATE(2182)] = 87602,
  [SMALL_STATE(2183)] = 87616,
  [SMALL_STATE(2184)] = 87630,
  [SMALL_STATE(2185)] = 87646,
  [SMALL_STATE(2186)] = 87662,
  [SMALL_STATE(2187)] = 87678,
  [SMALL_STATE(2188)] = 87691,
  [SMALL_STATE(2189)] = 87704,
  [SMALL_STATE(2190)] = 87717,
  [SMALL_STATE(2191)] = 87730,
  [SMALL_STATE(2192)] = 87743,
  [SMALL_STATE(2193)] = 87756,
  [SMALL_STATE(2194)] = 87769,
  [SMALL_STATE(2195)] = 87782,
  [SMALL_STATE(2196)] = 87795,
  [SMALL_STATE(2197)] = 87808,
  [SMALL_STATE(2198)] = 87821,
  [SMALL_STATE(2199)] = 87834,
  [SMALL_STATE(2200)] = 87847,
  [SMALL_STATE(2201)] = 87860,
  [SMALL_STATE(2202)] = 87873,
  [SMALL_STATE(2203)] = 87886,
  [SMALL_STATE(2204)] = 87899,
  [SMALL_STATE(2205)] = 87912,
  [SMALL_STATE(2206)] = 87925,
  [SMALL_STATE(2207)] = 87938,
  [SMALL_STATE(2208)] = 87951,
  [SMALL_STATE(2209)] = 87964,
  [SMALL_STATE(2210)] = 87977,
  [SMALL_STATE(2211)] = 87990,
  [SMALL_STATE(2212)] = 88003,
  [SMALL_STATE(2213)] = 88016,
  [SMALL_STATE(2214)] = 88029,
  [SMALL_STATE(2215)] = 88042,
  [SMALL_STATE(2216)] = 88055,
  [SMALL_STATE(2217)] = 88068,
  [SMALL_STATE(2218)] = 88081,
  [SMALL_STATE(2219)] = 88094,
  [SMALL_STATE(2220)] = 88107,
  [SMALL_STATE(2221)] = 88120,
  [SMALL_STATE(2222)] = 88133,
  [SMALL_STATE(2223)] = 88146,
  [SMALL_STATE(2224)] = 88159,
  [SMALL_STATE(2225)] = 88172,
  [SMALL_STATE(2226)] = 88185,
  [SMALL_STATE(2227)] = 88198,
  [SMALL_STATE(2228)] = 88211,
  [SMALL_STATE(2229)] = 88224,
  [SMALL_STATE(2230)] = 88237,
  [SMALL_STATE(2231)] = 88250,
  [SMALL_STATE(2232)] = 88263,
  [SMALL_STATE(2233)] = 88276,
  [SMALL_STATE(2234)] = 88289,
  [SMALL_STATE(2235)] = 88302,
  [SMALL_STATE(2236)] = 88315,
  [SMALL_STATE(2237)] = 88328,
  [SMALL_STATE(2238)] = 88341,
  [SMALL_STATE(2239)] = 88354,
  [SMALL_STATE(2240)] = 88367,
  [SMALL_STATE(2241)] = 88380,
  [SMALL_STATE(2242)] = 88393,
  [SMALL_STATE(2243)] = 88406,
  [SMALL_STATE(2244)] = 88419,
  [SMALL_STATE(2245)] = 88432,
  [SMALL_STATE(2246)] = 88445,
  [SMALL_STATE(2247)] = 88458,
  [SMALL_STATE(2248)] = 88471,
  [SMALL_STATE(2249)] = 88484,
  [SMALL_STATE(2250)] = 88497,
  [SMALL_STATE(2251)] = 88510,
  [SMALL_STATE(2252)] = 88523,
  [SMALL_STATE(2253)] = 88536,
  [SMALL_STATE(2254)] = 88549,
  [SMALL_STATE(2255)] = 88562,
  [SMALL_STATE(2256)] = 88575,
  [SMALL_STATE(2257)] = 88588,
  [SMALL_STATE(2258)] = 88601,
  [SMALL_STATE(2259)] = 88614,
  [SMALL_STATE(2260)] = 88627,
  [SMALL_STATE(2261)] = 88640,
  [SMALL_STATE(2262)] = 88653,
  [SMALL_STATE(2263)] = 88666,
  [SMALL_STATE(2264)] = 88679,
  [SMALL_STATE(2265)] = 88692,
  [SMALL_STATE(2266)] = 88705,
  [SMALL_STATE(2267)] = 88718,
  [SMALL_STATE(2268)] = 88731,
  [SMALL_STATE(2269)] = 88744,
  [SMALL_STATE(2270)] = 88757,
  [SMALL_STATE(2271)] = 88770,
  [SMALL_STATE(2272)] = 88783,
  [SMALL_STATE(2273)] = 88796,
  [SMALL_STATE(2274)] = 88809,
  [SMALL_STATE(2275)] = 88822,
  [SMALL_STATE(2276)] = 88835,
  [SMALL_STATE(2277)] = 88848,
  [SMALL_STATE(2278)] = 88861,
  [SMALL_STATE(2279)] = 88874,
  [SMALL_STATE(2280)] = 88887,
  [SMALL_STATE(2281)] = 88900,
  [SMALL_STATE(2282)] = 88913,
  [SMALL_STATE(2283)] = 88926,
  [SMALL_STATE(2284)] = 88939,
  [SMALL_STATE(2285)] = 88952,
  [SMALL_STATE(2286)] = 88965,
  [SMALL_STATE(2287)] = 88978,
  [SMALL_STATE(2288)] = 88991,
  [SMALL_STATE(2289)] = 89004,
  [SMALL_STATE(2290)] = 89017,
  [SMALL_STATE(2291)] = 89030,
  [SMALL_STATE(2292)] = 89043,
  [SMALL_STATE(2293)] = 89056,
  [SMALL_STATE(2294)] = 89069,
  [SMALL_STATE(2295)] = 89082,
  [SMALL_STATE(2296)] = 89095,
  [SMALL_STATE(2297)] = 89108,
  [SMALL_STATE(2298)] = 89121,
  [SMALL_STATE(2299)] = 89134,
  [SMALL_STATE(2300)] = 89147,
  [SMALL_STATE(2301)] = 89160,
  [SMALL_STATE(2302)] = 89173,
  [SMALL_STATE(2303)] = 89186,
  [SMALL_STATE(2304)] = 89199,
  [SMALL_STATE(2305)] = 89212,
  [SMALL_STATE(2306)] = 89225,
  [SMALL_STATE(2307)] = 89238,
  [SMALL_STATE(2308)] = 89251,
  [SMALL_STATE(2309)] = 89264,
  [SMALL_STATE(2310)] = 89277,
  [SMALL_STATE(2311)] = 89290,
  [SMALL_STATE(2312)] = 89303,
  [SMALL_STATE(2313)] = 89316,
  [SMALL_STATE(2314)] = 89329,
  [SMALL_STATE(2315)] = 89342,
  [SMALL_STATE(2316)] = 89355,
  [SMALL_STATE(2317)] = 89368,
  [SMALL_STATE(2318)] = 89381,
  [SMALL_STATE(2319)] = 89394,
  [SMALL_STATE(2320)] = 89407,
  [SMALL_STATE(2321)] = 89420,
  [SMALL_STATE(2322)] = 89433,
  [SMALL_STATE(2323)] = 89446,
  [SMALL_STATE(2324)] = 89459,
  [SMALL_STATE(2325)] = 89472,
  [SMALL_STATE(2326)] = 89485,
  [SMALL_STATE(2327)] = 89498,
  [SMALL_STATE(2328)] = 89511,
  [SMALL_STATE(2329)] = 89524,
  [SMALL_STATE(2330)] = 89537,
  [SMALL_STATE(2331)] = 89550,
  [SMALL_STATE(2332)] = 89563,
  [SMALL_STATE(2333)] = 89576,
  [SMALL_STATE(2334)] = 89589,
  [SMALL_STATE(2335)] = 89602,
  [SMALL_STATE(2336)] = 89615,
  [SMALL_STATE(2337)] = 89628,
  [SMALL_STATE(2338)] = 89641,
  [SMALL_STATE(2339)] = 89654,
  [SMALL_STATE(2340)] = 89667,
  [SMALL_STATE(2341)] = 89680,
  [SMALL_STATE(2342)] = 89693,
  [SMALL_STATE(2343)] = 89706,
  [SMALL_STATE(2344)] = 89719,
  [SMALL_STATE(2345)] = 89732,
  [SMALL_STATE(2346)] = 89745,
  [SMALL_STATE(2347)] = 89758,
  [SMALL_STATE(2348)] = 89771,
  [SMALL_STATE(2349)] = 89784,
  [SMALL_STATE(2350)] = 89797,
  [SMALL_STATE(2351)] = 89810,
  [SMALL_STATE(2352)] = 89823,
  [SMALL_STATE(2353)] = 89836,
  [SMALL_STATE(2354)] = 89849,
  [SMALL_STATE(2355)] = 89862,
  [SMALL_STATE(2356)] = 89875,
  [SMALL_STATE(2357)] = 89888,
  [SMALL_STATE(2358)] = 89901,
  [SMALL_STATE(2359)] = 89914,
  [SMALL_STATE(2360)] = 89927,
  [SMALL_STATE(2361)] = 89940,
  [SMALL_STATE(2362)] = 89953,
  [SMALL_STATE(2363)] = 89966,
  [SMALL_STATE(2364)] = 89979,
  [SMALL_STATE(2365)] = 89992,
  [SMALL_STATE(2366)] = 90005,
  [SMALL_STATE(2367)] = 90018,
  [SMALL_STATE(2368)] = 90031,
  [SMALL_STATE(2369)] = 90044,
  [SMALL_STATE(2370)] = 90057,
  [SMALL_STATE(2371)] = 90070,
  [SMALL_STATE(2372)] = 90083,
  [SMALL_STATE(2373)] = 90096,
  [SMALL_STATE(2374)] = 90109,
  [SMALL_STATE(2375)] = 90122,
  [SMALL_STATE(2376)] = 90135,
  [SMALL_STATE(2377)] = 90148,
  [SMALL_STATE(2378)] = 90161,
  [SMALL_STATE(2379)] = 90174,
  [SMALL_STATE(2380)] = 90187,
  [SMALL_STATE(2381)] = 90200,
  [SMALL_STATE(2382)] = 90213,
  [SMALL_STATE(2383)] = 90226,
  [SMALL_STATE(2384)] = 90239,
  [SMALL_STATE(2385)] = 90252,
  [SMALL_STATE(2386)] = 90265,
  [SMALL_STATE(2387)] = 90278,
  [SMALL_STATE(2388)] = 90291,
  [SMALL_STATE(2389)] = 90304,
  [SMALL_STATE(2390)] = 90317,
  [SMALL_STATE(2391)] = 90330,
  [SMALL_STATE(2392)] = 90343,
  [SMALL_STATE(2393)] = 90356,
  [SMALL_STATE(2394)] = 90369,
  [SMALL_STATE(2395)] = 90382,
  [SMALL_STATE(2396)] = 90395,
  [SMALL_STATE(2397)] = 90408,
  [SMALL_STATE(2398)] = 90421,
  [SMALL_STATE(2399)] = 90434,
  [SMALL_STATE(2400)] = 90447,
  [SMALL_STATE(2401)] = 90460,
  [SMALL_STATE(2402)] = 90473,
  [SMALL_STATE(2403)] = 90486,
  [SMALL_STATE(2404)] = 90499,
  [SMALL_STATE(2405)] = 90512,
  [SMALL_STATE(2406)] = 90525,
  [SMALL_STATE(2407)] = 90538,
  [SMALL_STATE(2408)] = 90551,
  [SMALL_STATE(2409)] = 90564,
  [SMALL_STATE(2410)] = 90577,
  [SMALL_STATE(2411)] = 90590,
  [SMALL_STATE(2412)] = 90603,
  [SMALL_STATE(2413)] = 90616,
  [SMALL_STATE(2414)] = 90629,
  [SMALL_STATE(2415)] = 90642,
  [SMALL_STATE(2416)] = 90655,
  [SMALL_STATE(2417)] = 90668,
  [SMALL_STATE(2418)] = 90681,
  [SMALL_STATE(2419)] = 90694,
  [SMALL_STATE(2420)] = 90707,
  [SMALL_STATE(2421)] = 90720,
  [SMALL_STATE(2422)] = 90733,
  [SMALL_STATE(2423)] = 90746,
  [SMALL_STATE(2424)] = 90759,
  [SMALL_STATE(2425)] = 90772,
  [SMALL_STATE(2426)] = 90785,
  [SMALL_STATE(2427)] = 90798,
  [SMALL_STATE(2428)] = 90811,
  [SMALL_STATE(2429)] = 90824,
  [SMALL_STATE(2430)] = 90837,
  [SMALL_STATE(2431)] = 90850,
  [SMALL_STATE(2432)] = 90863,
  [SMALL_STATE(2433)] = 90876,
  [SMALL_STATE(2434)] = 90889,
  [SMALL_STATE(2435)] = 90902,
  [SMALL_STATE(2436)] = 90915,
  [SMALL_STATE(2437)] = 90928,
  [SMALL_STATE(2438)] = 90941,
  [SMALL_STATE(2439)] = 90954,
  [SMALL_STATE(2440)] = 90967,
  [SMALL_STATE(2441)] = 90980,
  [SMALL_STATE(2442)] = 90993,
  [SMALL_STATE(2443)] = 91006,
  [SMALL_STATE(2444)] = 91019,
  [SMALL_STATE(2445)] = 91032,
  [SMALL_STATE(2446)] = 91045,
  [SMALL_STATE(2447)] = 91058,
  [SMALL_STATE(2448)] = 91071,
  [SMALL_STATE(2449)] = 91084,
  [SMALL_STATE(2450)] = 91097,
  [SMALL_STATE(2451)] = 91110,
  [SMALL_STATE(2452)] = 91123,
  [SMALL_STATE(2453)] = 91136,
  [SMALL_STATE(2454)] = 91149,
  [SMALL_STATE(2455)] = 91162,
  [SMALL_STATE(2456)] = 91175,
  [SMALL_STATE(2457)] = 91188,
  [SMALL_STATE(2458)] = 91201,
  [SMALL_STATE(2459)] = 91214,
  [SMALL_STATE(2460)] = 91227,
  [SMALL_STATE(2461)] = 91240,
  [SMALL_STATE(2462)] = 91253,
  [SMALL_STATE(2463)] = 91266,
  [SMALL_STATE(2464)] = 91279,
  [SMALL_STATE(2465)] = 91292,
  [SMALL_STATE(2466)] = 91305,
  [SMALL_STATE(2467)] = 91318,
  [SMALL_STATE(2468)] = 91331,
  [SMALL_STATE(2469)] = 91344,
  [SMALL_STATE(2470)] = 91357,
  [SMALL_STATE(2471)] = 91370,
  [SMALL_STATE(2472)] = 91383,
  [SMALL_STATE(2473)] = 91396,
  [SMALL_STATE(2474)] = 91409,
  [SMALL_STATE(2475)] = 91422,
  [SMALL_STATE(2476)] = 91435,
  [SMALL_STATE(2477)] = 91448,
  [SMALL_STATE(2478)] = 91461,
  [SMALL_STATE(2479)] = 91474,
  [SMALL_STATE(2480)] = 91487,
  [SMALL_STATE(2481)] = 91500,
  [SMALL_STATE(2482)] = 91513,
  [SMALL_STATE(2483)] = 91526,
  [SMALL_STATE(2484)] = 91539,
  [SMALL_STATE(2485)] = 91552,
  [SMALL_STATE(2486)] = 91565,
  [SMALL_STATE(2487)] = 91578,
  [SMALL_STATE(2488)] = 91591,
  [SMALL_STATE(2489)] = 91604,
  [SMALL_STATE(2490)] = 91617,
  [SMALL_STATE(2491)] = 91630,
  [SMALL_STATE(2492)] = 91643,
  [SMALL_STATE(2493)] = 91656,
  [SMALL_STATE(2494)] = 91669,
  [SMALL_STATE(2495)] = 91682,
  [SMALL_STATE(2496)] = 91695,
  [SMALL_STATE(2497)] = 91708,
  [SMALL_STATE(2498)] = 91721,
  [SMALL_STATE(2499)] = 91734,
  [SMALL_STATE(2500)] = 91747,
  [SMALL_STATE(2501)] = 91760,
  [SMALL_STATE(2502)] = 91773,
  [SMALL_STATE(2503)] = 91786,
  [SMALL_STATE(2504)] = 91799,
  [SMALL_STATE(2505)] = 91812,
  [SMALL_STATE(2506)] = 91825,
  [SMALL_STATE(2507)] = 91838,
  [SMALL_STATE(2508)] = 91851,
  [SMALL_STATE(2509)] = 91864,
  [SMALL_STATE(2510)] = 91877,
  [SMALL_STATE(2511)] = 91890,
  [SMALL_STATE(2512)] = 91903,
  [SMALL_STATE(2513)] = 91916,
  [SMALL_STATE(2514)] = 91929,
  [SMALL_STATE(2515)] = 91942,
  [SMALL_STATE(2516)] = 91955,
  [SMALL_STATE(2517)] = 91968,
  [SMALL_STATE(2518)] = 91981,
  [SMALL_STATE(2519)] = 91994,
  [SMALL_STATE(2520)] = 92007,
  [SMALL_STATE(2521)] = 92020,
  [SMALL_STATE(2522)] = 92033,
  [SMALL_STATE(2523)] = 92046,
  [SMALL_STATE(2524)] = 92059,
  [SMALL_STATE(2525)] = 92072,
  [SMALL_STATE(2526)] = 92085,
  [SMALL_STATE(2527)] = 92098,
  [SMALL_STATE(2528)] = 92111,
  [SMALL_STATE(2529)] = 92124,
  [SMALL_STATE(2530)] = 92137,
  [SMALL_STATE(2531)] = 92150,
  [SMALL_STATE(2532)] = 92163,
  [SMALL_STATE(2533)] = 92176,
  [SMALL_STATE(2534)] = 92189,
  [SMALL_STATE(2535)] = 92202,
  [SMALL_STATE(2536)] = 92215,
  [SMALL_STATE(2537)] = 92228,
  [SMALL_STATE(2538)] = 92241,
  [SMALL_STATE(2539)] = 92254,
  [SMALL_STATE(2540)] = 92267,
  [SMALL_STATE(2541)] = 92280,
  [SMALL_STATE(2542)] = 92293,
  [SMALL_STATE(2543)] = 92306,
  [SMALL_STATE(2544)] = 92319,
  [SMALL_STATE(2545)] = 92332,
  [SMALL_STATE(2546)] = 92345,
  [SMALL_STATE(2547)] = 92358,
  [SMALL_STATE(2548)] = 92371,
  [SMALL_STATE(2549)] = 92384,
  [SMALL_STATE(2550)] = 92397,
  [SMALL_STATE(2551)] = 92410,
  [SMALL_STATE(2552)] = 92423,
  [SMALL_STATE(2553)] = 92436,
  [SMALL_STATE(2554)] = 92449,
  [SMALL_STATE(2555)] = 92462,
  [SMALL_STATE(2556)] = 92475,
  [SMALL_STATE(2557)] = 92488,
  [SMALL_STATE(2558)] = 92501,
  [SMALL_STATE(2559)] = 92514,
  [SMALL_STATE(2560)] = 92527,
  [SMALL_STATE(2561)] = 92540,
  [SMALL_STATE(2562)] = 92553,
  [SMALL_STATE(2563)] = 92566,
  [SMALL_STATE(2564)] = 92579,
  [SMALL_STATE(2565)] = 92592,
  [SMALL_STATE(2566)] = 92605,
  [SMALL_STATE(2567)] = 92618,
  [SMALL_STATE(2568)] = 92631,
  [SMALL_STATE(2569)] = 92644,
  [SMALL_STATE(2570)] = 92657,
  [SMALL_STATE(2571)] = 92670,
  [SMALL_STATE(2572)] = 92683,
  [SMALL_STATE(2573)] = 92696,
  [SMALL_STATE(2574)] = 92709,
  [SMALL_STATE(2575)] = 92722,
  [SMALL_STATE(2576)] = 92735,
  [SMALL_STATE(2577)] = 92748,
  [SMALL_STATE(2578)] = 92761,
  [SMALL_STATE(2579)] = 92774,
  [SMALL_STATE(2580)] = 92787,
  [SMALL_STATE(2581)] = 92800,
  [SMALL_STATE(2582)] = 92813,
  [SMALL_STATE(2583)] = 92826,
  [SMALL_STATE(2584)] = 92839,
  [SMALL_STATE(2585)] = 92852,
  [SMALL_STATE(2586)] = 92865,
  [SMALL_STATE(2587)] = 92878,
  [SMALL_STATE(2588)] = 92891,
  [SMALL_STATE(2589)] = 92904,
  [SMALL_STATE(2590)] = 92917,
  [SMALL_STATE(2591)] = 92930,
  [SMALL_STATE(2592)] = 92943,
  [SMALL_STATE(2593)] = 92956,
  [SMALL_STATE(2594)] = 92969,
  [SMALL_STATE(2595)] = 92982,
  [SMALL_STATE(2596)] = 92995,
  [SMALL_STATE(2597)] = 93008,
  [SMALL_STATE(2598)] = 93021,
  [SMALL_STATE(2599)] = 93034,
  [SMALL_STATE(2600)] = 93047,
  [SMALL_STATE(2601)] = 93060,
  [SMALL_STATE(2602)] = 93073,
  [SMALL_STATE(2603)] = 93086,
  [SMALL_STATE(2604)] = 93099,
  [SMALL_STATE(2605)] = 93112,
  [SMALL_STATE(2606)] = 93125,
  [SMALL_STATE(2607)] = 93138,
  [SMALL_STATE(2608)] = 93151,
  [SMALL_STATE(2609)] = 93164,
  [SMALL_STATE(2610)] = 93177,
  [SMALL_STATE(2611)] = 93190,
  [SMALL_STATE(2612)] = 93203,
  [SMALL_STATE(2613)] = 93216,
  [SMALL_STATE(2614)] = 93229,
  [SMALL_STATE(2615)] = 93242,
  [SMALL_STATE(2616)] = 93255,
  [SMALL_STATE(2617)] = 93268,
  [SMALL_STATE(2618)] = 93281,
  [SMALL_STATE(2619)] = 93294,
  [SMALL_STATE(2620)] = 93307,
  [SMALL_STATE(2621)] = 93320,
  [SMALL_STATE(2622)] = 93333,
  [SMALL_STATE(2623)] = 93346,
  [SMALL_STATE(2624)] = 93359,
  [SMALL_STATE(2625)] = 93372,
  [SMALL_STATE(2626)] = 93385,
  [SMALL_STATE(2627)] = 93398,
  [SMALL_STATE(2628)] = 93411,
  [SMALL_STATE(2629)] = 93424,
  [SMALL_STATE(2630)] = 93437,
  [SMALL_STATE(2631)] = 93450,
  [SMALL_STATE(2632)] = 93463,
  [SMALL_STATE(2633)] = 93476,
  [SMALL_STATE(2634)] = 93489,
  [SMALL_STATE(2635)] = 93502,
  [SMALL_STATE(2636)] = 93515,
  [SMALL_STATE(2637)] = 93528,
  [SMALL_STATE(2638)] = 93541,
  [SMALL_STATE(2639)] = 93554,
  [SMALL_STATE(2640)] = 93567,
  [SMALL_STATE(2641)] = 93580,
  [SMALL_STATE(2642)] = 93593,
  [SMALL_STATE(2643)] = 93606,
  [SMALL_STATE(2644)] = 93619,
  [SMALL_STATE(2645)] = 93632,
  [SMALL_STATE(2646)] = 93645,
  [SMALL_STATE(2647)] = 93658,
  [SMALL_STATE(2648)] = 93671,
  [SMALL_STATE(2649)] = 93684,
  [SMALL_STATE(2650)] = 93697,
  [SMALL_STATE(2651)] = 93710,
  [SMALL_STATE(2652)] = 93723,
  [SMALL_STATE(2653)] = 93736,
  [SMALL_STATE(2654)] = 93749,
  [SMALL_STATE(2655)] = 93762,
  [SMALL_STATE(2656)] = 93775,
  [SMALL_STATE(2657)] = 93788,
  [SMALL_STATE(2658)] = 93801,
  [SMALL_STATE(2659)] = 93814,
  [SMALL_STATE(2660)] = 93827,
  [SMALL_STATE(2661)] = 93840,
  [SMALL_STATE(2662)] = 93853,
  [SMALL_STATE(2663)] = 93866,
  [SMALL_STATE(2664)] = 93879,
  [SMALL_STATE(2665)] = 93892,
  [SMALL_STATE(2666)] = 93905,
  [SMALL_STATE(2667)] = 93918,
  [SMALL_STATE(2668)] = 93931,
  [SMALL_STATE(2669)] = 93944,
  [SMALL_STATE(2670)] = 93957,
  [SMALL_STATE(2671)] = 93970,
  [SMALL_STATE(2672)] = 93983,
  [SMALL_STATE(2673)] = 93996,
  [SMALL_STATE(2674)] = 94009,
  [SMALL_STATE(2675)] = 94022,
  [SMALL_STATE(2676)] = 94035,
  [SMALL_STATE(2677)] = 94048,
  [SMALL_STATE(2678)] = 94061,
  [SMALL_STATE(2679)] = 94074,
  [SMALL_STATE(2680)] = 94087,
  [SMALL_STATE(2681)] = 94100,
  [SMALL_STATE(2682)] = 94113,
  [SMALL_STATE(2683)] = 94126,
  [SMALL_STATE(2684)] = 94139,
  [SMALL_STATE(2685)] = 94152,
  [SMALL_STATE(2686)] = 94165,
  [SMALL_STATE(2687)] = 94178,
  [SMALL_STATE(2688)] = 94191,
  [SMALL_STATE(2689)] = 94204,
  [SMALL_STATE(2690)] = 94217,
  [SMALL_STATE(2691)] = 94230,
  [SMALL_STATE(2692)] = 94243,
  [SMALL_STATE(2693)] = 94256,
  [SMALL_STATE(2694)] = 94269,
  [SMALL_STATE(2695)] = 94282,
  [SMALL_STATE(2696)] = 94295,
  [SMALL_STATE(2697)] = 94308,
  [SMALL_STATE(2698)] = 94321,
  [SMALL_STATE(2699)] = 94334,
  [SMALL_STATE(2700)] = 94347,
  [SMALL_STATE(2701)] = 94360,
  [SMALL_STATE(2702)] = 94373,
  [SMALL_STATE(2703)] = 94386,
  [SMALL_STATE(2704)] = 94399,
  [SMALL_STATE(2705)] = 94412,
  [SMALL_STATE(2706)] = 94425,
  [SMALL_STATE(2707)] = 94438,
  [SMALL_STATE(2708)] = 94451,
  [SMALL_STATE(2709)] = 94464,
  [SMALL_STATE(2710)] = 94477,
  [SMALL_STATE(2711)] = 94490,
  [SMALL_STATE(2712)] = 94503,
  [SMALL_STATE(2713)] = 94516,
  [SMALL_STATE(2714)] = 94529,
  [SMALL_STATE(2715)] = 94542,
  [SMALL_STATE(2716)] = 94555,
  [SMALL_STATE(2717)] = 94568,
  [SMALL_STATE(2718)] = 94581,
  [SMALL_STATE(2719)] = 94594,
  [SMALL_STATE(2720)] = 94607,
  [SMALL_STATE(2721)] = 94620,
  [SMALL_STATE(2722)] = 94633,
  [SMALL_STATE(2723)] = 94646,
  [SMALL_STATE(2724)] = 94659,
  [SMALL_STATE(2725)] = 94672,
  [SMALL_STATE(2726)] = 94685,
  [SMALL_STATE(2727)] = 94698,
  [SMALL_STATE(2728)] = 94711,
  [SMALL_STATE(2729)] = 94724,
  [SMALL_STATE(2730)] = 94737,
  [SMALL_STATE(2731)] = 94750,
  [SMALL_STATE(2732)] = 94763,
  [SMALL_STATE(2733)] = 94776,
  [SMALL_STATE(2734)] = 94789,
  [SMALL_STATE(2735)] = 94802,
  [SMALL_STATE(2736)] = 94815,
  [SMALL_STATE(2737)] = 94828,
  [SMALL_STATE(2738)] = 94841,
  [SMALL_STATE(2739)] = 94854,
  [SMALL_STATE(2740)] = 94867,
  [SMALL_STATE(2741)] = 94880,
  [SMALL_STATE(2742)] = 94893,
  [SMALL_STATE(2743)] = 94906,
  [SMALL_STATE(2744)] = 94919,
  [SMALL_STATE(2745)] = 94932,
  [SMALL_STATE(2746)] = 94945,
  [SMALL_STATE(2747)] = 94958,
  [SMALL_STATE(2748)] = 94971,
  [SMALL_STATE(2749)] = 94984,
  [SMALL_STATE(2750)] = 94997,
  [SMALL_STATE(2751)] = 95010,
  [SMALL_STATE(2752)] = 95023,
  [SMALL_STATE(2753)] = 95036,
  [SMALL_STATE(2754)] = 95049,
  [SMALL_STATE(2755)] = 95062,
  [SMALL_STATE(2756)] = 95075,
  [SMALL_STATE(2757)] = 95088,
  [SMALL_STATE(2758)] = 95101,
  [SMALL_STATE(2759)] = 95114,
  [SMALL_STATE(2760)] = 95127,
  [SMALL_STATE(2761)] = 95140,
  [SMALL_STATE(2762)] = 95153,
  [SMALL_STATE(2763)] = 95166,
  [SMALL_STATE(2764)] = 95179,
  [SMALL_STATE(2765)] = 95192,
  [SMALL_STATE(2766)] = 95205,
  [SMALL_STATE(2767)] = 95218,
  [SMALL_STATE(2768)] = 95231,
  [SMALL_STATE(2769)] = 95244,
  [SMALL_STATE(2770)] = 95257,
  [SMALL_STATE(2771)] = 95270,
  [SMALL_STATE(2772)] = 95283,
  [SMALL_STATE(2773)] = 95296,
  [SMALL_STATE(2774)] = 95309,
  [SMALL_STATE(2775)] = 95322,
  [SMALL_STATE(2776)] = 95335,
  [SMALL_STATE(2777)] = 95348,
  [SMALL_STATE(2778)] = 95361,
  [SMALL_STATE(2779)] = 95374,
  [SMALL_STATE(2780)] = 95387,
  [SMALL_STATE(2781)] = 95400,
  [SMALL_STATE(2782)] = 95413,
  [SMALL_STATE(2783)] = 95426,
  [SMALL_STATE(2784)] = 95439,
  [SMALL_STATE(2785)] = 95452,
  [SMALL_STATE(2786)] = 95465,
  [SMALL_STATE(2787)] = 95478,
  [SMALL_STATE(2788)] = 95491,
  [SMALL_STATE(2789)] = 95504,
  [SMALL_STATE(2790)] = 95517,
  [SMALL_STATE(2791)] = 95530,
  [SMALL_STATE(2792)] = 95543,
  [SMALL_STATE(2793)] = 95556,
  [SMALL_STATE(2794)] = 95569,
  [SMALL_STATE(2795)] = 95582,
  [SMALL_STATE(2796)] = 95595,
  [SMALL_STATE(2797)] = 95608,
  [SMALL_STATE(2798)] = 95621,
  [SMALL_STATE(2799)] = 95634,
  [SMALL_STATE(2800)] = 95647,
  [SMALL_STATE(2801)] = 95660,
  [SMALL_STATE(2802)] = 95673,
  [SMALL_STATE(2803)] = 95686,
  [SMALL_STATE(2804)] = 95699,
  [SMALL_STATE(2805)] = 95712,
  [SMALL_STATE(2806)] = 95725,
  [SMALL_STATE(2807)] = 95738,
  [SMALL_STATE(2808)] = 95751,
  [SMALL_STATE(2809)] = 95764,
  [SMALL_STATE(2810)] = 95777,
  [SMALL_STATE(2811)] = 95790,
  [SMALL_STATE(2812)] = 95803,
  [SMALL_STATE(2813)] = 95816,
  [SMALL_STATE(2814)] = 95829,
  [SMALL_STATE(2815)] = 95842,
  [SMALL_STATE(2816)] = 95855,
  [SMALL_STATE(2817)] = 95868,
  [SMALL_STATE(2818)] = 95881,
  [SMALL_STATE(2819)] = 95894,
  [SMALL_STATE(2820)] = 95907,
  [SMALL_STATE(2821)] = 95920,
  [SMALL_STATE(2822)] = 95933,
  [SMALL_STATE(2823)] = 95946,
  [SMALL_STATE(2824)] = 95959,
  [SMALL_STATE(2825)] = 95972,
  [SMALL_STATE(2826)] = 95985,
  [SMALL_STATE(2827)] = 95998,
  [SMALL_STATE(2828)] = 96011,
  [SMALL_STATE(2829)] = 96024,
  [SMALL_STATE(2830)] = 96037,
  [SMALL_STATE(2831)] = 96050,
  [SMALL_STATE(2832)] = 96063,
  [SMALL_STATE(2833)] = 96076,
  [SMALL_STATE(2834)] = 96089,
  [SMALL_STATE(2835)] = 96102,
  [SMALL_STATE(2836)] = 96115,
  [SMALL_STATE(2837)] = 96128,
  [SMALL_STATE(2838)] = 96141,
  [SMALL_STATE(2839)] = 96154,
  [SMALL_STATE(2840)] = 96167,
  [SMALL_STATE(2841)] = 96180,
  [SMALL_STATE(2842)] = 96193,
  [SMALL_STATE(2843)] = 96206,
  [SMALL_STATE(2844)] = 96219,
  [SMALL_STATE(2845)] = 96232,
  [SMALL_STATE(2846)] = 96245,
  [SMALL_STATE(2847)] = 96258,
  [SMALL_STATE(2848)] = 96271,
  [SMALL_STATE(2849)] = 96284,
  [SMALL_STATE(2850)] = 96297,
  [SMALL_STATE(2851)] = 96310,
  [SMALL_STATE(2852)] = 96323,
  [SMALL_STATE(2853)] = 96336,
  [SMALL_STATE(2854)] = 96349,
  [SMALL_STATE(2855)] = 96362,
  [SMALL_STATE(2856)] = 96375,
  [SMALL_STATE(2857)] = 96388,
  [SMALL_STATE(2858)] = 96401,
  [SMALL_STATE(2859)] = 96414,
  [SMALL_STATE(2860)] = 96427,
  [SMALL_STATE(2861)] = 96440,
  [SMALL_STATE(2862)] = 96453,
  [SMALL_STATE(2863)] = 96466,
  [SMALL_STATE(2864)] = 96479,
  [SMALL_STATE(2865)] = 96492,
  [SMALL_STATE(2866)] = 96505,
  [SMALL_STATE(2867)] = 96518,
  [SMALL_STATE(2868)] = 96531,
  [SMALL_STATE(2869)] = 96544,
  [SMALL_STATE(2870)] = 96557,
  [SMALL_STATE(2871)] = 96570,
  [SMALL_STATE(2872)] = 96583,
  [SMALL_STATE(2873)] = 96596,
  [SMALL_STATE(2874)] = 96609,
  [SMALL_STATE(2875)] = 96622,
  [SMALL_STATE(2876)] = 96635,
  [SMALL_STATE(2877)] = 96648,
  [SMALL_STATE(2878)] = 96661,
  [SMALL_STATE(2879)] = 96674,
  [SMALL_STATE(2880)] = 96687,
  [SMALL_STATE(2881)] = 96700,
  [SMALL_STATE(2882)] = 96713,
  [SMALL_STATE(2883)] = 96726,
  [SMALL_STATE(2884)] = 96739,
  [SMALL_STATE(2885)] = 96752,
  [SMALL_STATE(2886)] = 96765,
  [SMALL_STATE(2887)] = 96778,
  [SMALL_STATE(2888)] = 96791,
  [SMALL_STATE(2889)] = 96804,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 3, 0, 0),
  [115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 3, 0, 0),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_directive, 1, 0, 0),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_directive, 1, 0, 0),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 2, 0, 0),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 2, 0, 0),
  [139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 2, 0, 0),
  [141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 2, 0, 0),
  [143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2225),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2833),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2241),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2229),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2605),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1920),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2502),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2486),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2497),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2287),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2287),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2401),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2011),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2837),
  [195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(373),
  [201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2024),
  [204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2, 0, 0),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_list_repeat1, 2, 0, 0),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 4, 0, 0),
  [258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 4, 0, 0),
  [260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 3, 0, 0),
  [262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_list_repeat1, 3, 0, 0),
  [264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 5, 0, 0),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 5, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt_list, 1, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt_list, 1, 0, 0),
  [346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(552),
  [349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(31),
  [352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2662),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2550),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(905),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2008),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2713),
  [369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1207),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1142),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2847),
  [378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(878),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2448),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2413),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(894),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1021),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2633),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1943),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1022),
  [402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2692),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2660),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1885),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1188),
  [416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2545),
  [419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(976),
  [422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(999),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(999),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2527),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1107),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1259),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1268),
  [440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1855),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2329),
  [446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2329),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2331),
  [452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2016),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2479),
  [458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2480),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(632),
  [464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2017),
  [467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(834),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1281),
  [473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1286),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1287),
  [479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1268),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1257),
  [485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(836),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 2, 0, 0),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 2, 0, 0),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 3, 0, 0),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 3, 0, 0),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 4, 0, 0),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 4, 0, 0),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 5, 0, 0),
  [578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 5, 0, 0),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 6, 0, 0),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 6, 0, 0),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 7, 0, 0),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 7, 0, 0),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(790),
  [623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(24),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2392),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(920),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2069),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2216),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1208),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2198),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2323),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2395),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(903),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1245),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2877),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1966),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(935),
  [665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1852),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2613),
  [671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2613),
  [674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2681),
  [677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1976),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2366),
  [683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2367),
  [686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(815),
  [689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1977),
  [692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(819),
  [695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(27),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2561),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(919),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2107),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2541),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1085),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2787),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2269),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2426),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(896),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(950),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2339),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1957),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(951),
  [737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1851),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2435),
  [743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2435),
  [746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2436),
  [749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2060),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2271),
  [755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2272),
  [758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(784),
  [761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2062),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [1282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer, 1, 0, 0),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer, 1, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant, 1, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 1, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 2, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 2, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 2, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 2, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attr, 3, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attr, 3, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 4, 0, 0),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 4, 0, 0),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 3, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 3, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 2, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 2, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 1, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 1, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attr, 1, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attr, 1, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_slice, 3, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_slice, 3, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 5, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 5, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_body, 2, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_body, 2, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_slice, 4, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_slice, 4, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_body, 3, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_body, 3, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_slice, 5, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_slice, 5, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant, 3, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 3, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 3, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 3, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_record_decl, 8, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_record_decl, 8, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_record_decl, 9, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_record_decl, 9, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 3, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 3, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 3, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 3, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 3, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 3, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pragma, 3, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pragma, 3, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_decl, 3, 0, 0),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_decl, 3, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decl, 1, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decl, 1, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_decl, 4, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_decl, 4, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 4, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 4, 0, 0),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 4, 0, 0),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 4, 0, 0),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 4, 0, 0),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 4, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 4, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 4, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 4, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 4, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 5, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 5, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 6, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 6, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 7, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 7, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 5, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 5, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 5, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 5, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 5, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 5, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_decl, 5, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_decl, 5, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_decl, 2, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_decl, 2, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 6, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 6, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 6, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 6, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 6, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 6, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_decl, 6, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_decl, 6, 0, 0),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 1, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 1, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_decl, 3, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_decl, 3, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_decl, 3, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_decl, 3, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 7, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 7, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 7, 0, 0),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 7, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_record_decl, 7, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_record_decl, 7, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 7, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 7, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_enum_decl, 8, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_enum_decl, 8, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 12, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 12, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 3, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 3, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 4, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 4, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 5, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 5, 0, 0),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 6, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 6, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 7, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 7, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 9, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 9, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 10, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 10, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 11, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 11, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 1, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 1, 0, 0),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0),
  [1782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(328),
  [1785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(313),
  [1788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2361),
  [1791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attr_list, 1, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attr_list, 1, 0, 0),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [1921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2614),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [1944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2637),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer, 2, 0, 0),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer, 1, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0),
  [1981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(883),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0),
  [1986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2550),
  [1989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1207),
  [1992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(889),
  [1995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2204),
  [1998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2692),
  [2001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2660),
  [2004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1885),
  [2007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1188),
  [2010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2545),
  [2013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(976),
  [2016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(999),
  [2019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(999),
  [2022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [2025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1107),
  [2028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1259),
  [2031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1268),
  [2034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(834),
  [2037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1281),
  [2040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [2043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1287),
  [2046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1268),
  [2049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1257),
  [2052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(836),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr_list, 1, 0, 0),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr_list, 1, 0, 0),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2257),
  [2210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2277),
  [2213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2279),
  [2216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2289),
  [2219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2484),
  [2222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [2225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2540),
  [2228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2486),
  [2231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2497),
  [2234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [2237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1856),
  [2240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2362),
  [2243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2362),
  [2246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2407),
  [2249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1982),
  [2252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2389),
  [2255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2390),
  [2258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1821),
  [2261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1983),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_class, 1, 0, 0),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_class, 1, 0, 0),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func, 3, 0, 0),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func, 3, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 4, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 4, 0, 0),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 3, 0, 0),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 3, 0, 0),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hook, 3, 0, 0),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hook, 3, 0, 0),
  [2342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [2345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_hdr, 3, 0, 0),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr_list, 2, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_msg, 2, 0, 0),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [2840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2234),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [2845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_arg, 3, 0, 0),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [2875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [2878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2645),
  [2881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2656),
  [2884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1277),
  [2887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2800),
  [2890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2805),
  [2893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2807),
  [2896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1884),
  [2899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2726),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2118),
  [2905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2852),
  [2908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expr, 1, 0, 0), SHIFT(2243),
  [2911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expr, 1, 0, 0), SHIFT(2301),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0),
  [3148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(1849),
  [3151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2287),
  [3154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2287),
  [3157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2401),
  [3160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2011),
  [3163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2837),
  [3166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2855),
  [3169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(373),
  [3172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2024),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_hdr, 1, 0, 0),
  [3177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_hdr, 1, 0, 0),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hook, 4, 0, 0),
  [3181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hook, 4, 0, 0),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 5, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 5, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func, 4, 0, 0),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func, 4, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 1, 0, 0),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_capture_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [3346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_capture_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1973),
  [3349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2, 0, 0), SHIFT_REPEAT(876),
  [3352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2309),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [3369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 1, 0, 0),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 3, 0, 0),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redef_record_decl_repeat1, 2, 0, 0),
  [3377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redef_record_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2352),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_list, 1, 0, 0),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [3394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1879),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated, 1, 0, 0),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 4, 0, 0),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 2, 0, 0),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_args, 1, 0, 0),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 3, 0, 0),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_arg, 4, 0, 0),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_args, 2, 0, 0),
  [3461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_args_repeat1, 2, 0, 0), SHIFT_REPEAT(2338),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture, 1, 0, 0),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [3494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 4, 0, 0),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [3538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture, 2, 0, 0),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 4, 0, 0),
  [3542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_capture_list_repeat1, 2, 0, 0),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated, 3, 0, 0),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 4, 0, 0),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [3570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 5, 0, 0),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [3580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_lambda, 2, 0, 0),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_hdr, 4, 0, 0),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [3620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_repeat1, 2, 0, 0), SHIFT_REPEAT(2610),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 5, 0, 0),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [3777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_lambda, 1, 0, 0),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [3789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [3934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 2, 0, 0),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_type_list_repeat1, 5, 0, 0),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_stmt_repeat1, 2, 0, 0),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [4114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list, 4, 0, 0),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_type_list_repeat1, 3, 0, 0),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list, 3, 0, 0),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_args_repeat1, 2, 0, 0),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4852] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_zeek(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
